#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include <colm/pdarun.h>
#include <colm/debug.h>
#include <colm/bytecode.h>
#include <colm/config.h>
#include <colm/defs.h>
#include <colm/input.h>
#include <colm/tree.h>
#include <colm/program.h>
#include <colm/colm.h>

extern struct colm_sections colm_object;

#define parser_start 43
#define parser_first_final 43
#define parser_error 0
#define false 0
#define true 1

static long parser_entry_by_region[] = {
	0, 43, 257, 470, 470, 472, 474, 476, 
	476, 477, 479, 481, 481, 482, 484, 486, 
	486, 487, 499, 510, 510, 512, 513, 514, 
	514, 515, 528, 541, 541
};

static struct fsm_tables fsmTables_start =
{
	0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
	parser_entry_by_region,

	0,  0,  0,  0,  0,  0,  0,  0,
	28,

	parser_start,
	parser_first_final,
	parser_error,

	0,
	0
};

static void fsm_execute( struct pda_run *pdaRun, struct stream_impl *inputStream )
{
	pdaRun->start = pdaRun->p;
/*_resume:*/
	if ( pdaRun->fsm_cs == 0 )
		goto out;
	if ( pdaRun->p == pdaRun->pe )
		goto out_switch;
	--pdaRun->p;

	switch ( pdaRun->fsm_cs )
	{
tr1:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 109;
	goto out;
}
	goto st43;
tr2:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 106;
	goto out;
}
	goto st43;
tr5:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 73;
	goto out;
}
	goto st43;
tr65:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st43;
tr66:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 100;
	goto out;
}
	goto st43;
tr67:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st43;
tr69:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st43;
tr70:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st43;
tr71:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st43;
tr72:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st43;
tr73:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st43;
tr74:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st43;
tr76:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st43;
tr77:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 80;
	goto out;
}
	goto st43;
tr83:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st43;
tr84:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st43;
tr86:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st43;
tr87:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st43;
tr88:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st43;
tr108:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st43;
tr110:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st43;
tr111:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st43;
tr112:
	{	pdaRun->matched_token = 108;
	goto out;
}
	goto st43;
tr113:
	{	pdaRun->matched_token = 99;
	goto out;
}
	goto st43;
tr114:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st43;
tr115:
	{	pdaRun->matched_token = 105;
	goto out;
}
	goto st43;
tr116:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st43;
tr117:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st43;
tr118:
	{	pdaRun->matched_token = 81;
	goto out;
}
	goto st43;
tr119:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 82;
	goto out;
}
	goto st43;
tr120:
	{	pdaRun->matched_token = 95;
	goto out;
}
	goto st43;
tr121:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 97;
	goto out;
}
	goto st43;
tr122:
	{	pdaRun->matched_token = 91;
	goto out;
}
	goto st43;
tr123:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 92;
	goto out;
}
	goto st43;
tr124:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st43;
tr125:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st43;
tr126:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 3:
	pdaRun->matched_token = 5;
	break;
	case 5:
	pdaRun->matched_token = 6;
	break;
	case 7:
	pdaRun->matched_token = 7;
	break;
	case 9:
	pdaRun->matched_token = 8;
	break;
	case 11:
	pdaRun->matched_token = 9;
	break;
	case 15:
	pdaRun->matched_token = 11;
	break;
	case 21:
	pdaRun->matched_token = 14;
	break;
	case 23:
	pdaRun->matched_token = 15;
	break;
	case 25:
	pdaRun->matched_token = 16;
	break;
	case 27:
	pdaRun->matched_token = 17;
	break;
	case 29:
	pdaRun->matched_token = 18;
	break;
	case 31:
	pdaRun->matched_token = 19;
	break;
	case 35:
	pdaRun->matched_token = 21;
	break;
	case 37:
	pdaRun->matched_token = 22;
	break;
	case 39:
	pdaRun->matched_token = 23;
	break;
	case 41:
	pdaRun->matched_token = 24;
	break;
	case 43:
	pdaRun->matched_token = 25;
	break;
	case 45:
	pdaRun->matched_token = 26;
	break;
	case 47:
	pdaRun->matched_token = 27;
	break;
	case 49:
	pdaRun->matched_token = 28;
	break;
	case 51:
	pdaRun->matched_token = 29;
	break;
	case 55:
	pdaRun->matched_token = 31;
	break;
	case 59:
	pdaRun->matched_token = 33;
	break;
	case 63:
	pdaRun->matched_token = 35;
	break;
	case 65:
	pdaRun->matched_token = 36;
	break;
	case 67:
	pdaRun->matched_token = 37;
	break;
	case 69:
	pdaRun->matched_token = 38;
	break;
	case 71:
	pdaRun->matched_token = 39;
	break;
	case 73:
	pdaRun->matched_token = 40;
	break;
	case 75:
	pdaRun->matched_token = 41;
	break;
	case 77:
	pdaRun->matched_token = 42;
	break;
	case 79:
	pdaRun->matched_token = 43;
	break;
	case 81:
	pdaRun->matched_token = 44;
	break;
	case 83:
	pdaRun->matched_token = 45;
	break;
	case 85:
	pdaRun->matched_token = 46;
	break;
	case 87:
	pdaRun->matched_token = 47;
	break;
	case 89:
	pdaRun->matched_token = 48;
	break;
	case 91:
	pdaRun->matched_token = 49;
	break;
	case 93:
	pdaRun->matched_token = 50;
	break;
	case 95:
	pdaRun->matched_token = 51;
	break;
	case 97:
	pdaRun->matched_token = 52;
	break;
	case 99:
	pdaRun->matched_token = 53;
	break;
	case 101:
	pdaRun->matched_token = 54;
	break;
	case 103:
	pdaRun->matched_token = 55;
	break;
	case 105:
	pdaRun->matched_token = 56;
	break;
	case 107:
	pdaRun->matched_token = 57;
	break;
	case 109:
	pdaRun->matched_token = 58;
	break;
	case 111:
	pdaRun->matched_token = 59;
	break;
	case 113:
	pdaRun->matched_token = 60;
	break;
	case 115:
	pdaRun->matched_token = 61;
	break;
	case 117:
	pdaRun->matched_token = 62;
	break;
	case 121:
	pdaRun->matched_token = 64;
	break;
	case 123:
	pdaRun->matched_token = 65;
	break;
	case 125:
	pdaRun->matched_token = 66;
	break;
	case 127:
	pdaRun->matched_token = 67;
	break;
	case 129:
	pdaRun->matched_token = 68;
	break;
	case 131:
	pdaRun->matched_token = 69;
	break;
	case 133:
	pdaRun->matched_token = 70;
	break;
	case 135:
	pdaRun->matched_token = 71;
	break;
	}
		goto skip_toklen;
}
	goto st43;
tr127:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st43;
tr128:
	{	pdaRun->matched_token = 71;
	goto out;
}
	goto st43;
tr156:
	{	pdaRun->matched_token = 17;
	goto out;
}
	goto st43;
tr167:
	{	pdaRun->matched_token = 4;
	goto out;
}
	goto st43;
tr205:
	{	pdaRun->matched_token = 30;
	goto out;
}
	goto st43;
tr222:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st43;
tr244:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st43;
tr262:
	{	pdaRun->matched_token = 63;
	goto out;
}
	goto st43;
tr276:
	{	pdaRun->matched_token = 12;
	goto out;
}
	goto st43;
tr293:
	{	pdaRun->matched_token = 10;
	goto out;
}
	goto st43;
tr317:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st43;
tr344:
	{	pdaRun->matched_token = 20;
	goto out;
}
	goto st43;
tr381:
	{	pdaRun->matched_token = 79;
	goto out;
}
	goto st43;
tr382:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st43;
st43:
case 43:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out43;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st44;
		case 33: goto st45;
		case 34: goto tr65;
		case 35: goto st1;
		case 36: goto tr66;
		case 37: goto tr67;
		case 38: goto st2;
		case 39: goto tr69;
		case 40: goto tr70;
		case 41: goto tr71;
		case 42: goto tr72;
		case 43: goto tr73;
		case 44: goto tr74;
		case 45: goto st46;
		case 46: goto tr76;
		case 47: goto tr77;
		case 58: goto st48;
		case 60: goto st49;
		case 61: goto st50;
		case 62: goto st51;
		case 63: goto tr83;
		case 64: goto tr84;
		case 91: goto tr86;
		case 93: goto tr87;
		case 94: goto tr88;
		case 96: goto st3;
		case 97: goto st54;
		case 98: goto st61;
		case 99: goto st67;
		case 100: goto st83;
		case 101: goto st89;
		case 102: goto st99;
		case 103: goto st104;
		case 105: goto st109;
		case 108: goto st121;
		case 109: goto st133;
		case 110: goto st149;
		case 112: goto st165;
		case 114: goto st185;
		case 115: goto st219;
		case 116: goto st235;
		case 118: goto st245;
		case 119: goto st248;
		case 121: goto st252;
		case 123: goto tr108;
		case 124: goto st256;
		case 125: goto tr110;
		case 126: goto tr111;
	}
	if ( (*pdaRun->p) < 48 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st44;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto tr85;
		} else if ( (*pdaRun->p) >= 65 )
			goto tr85;
	} else
		goto st47;
	goto st0;
st44:
case 44:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out44;
	if ( (*pdaRun->p) == 32 )
		goto st44;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st44;
	goto tr112;
st45:
case 45:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out45;
	if ( (*pdaRun->p) == 61 )
		goto tr114;
	goto tr113;
st1:
case 1:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out1;
	if ( (*pdaRun->p) == 10 )
		goto tr1;
	goto st1;
st2:
case 2:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out2;
	if ( (*pdaRun->p) == 38 )
		goto tr2;
	goto st0;
st0:
	goto out0;
st46:
case 46:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out46;
	if ( (*pdaRun->p) == 62 )
		goto tr116;
	goto tr115;
st48:
case 48:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out48;
	if ( (*pdaRun->p) == 58 )
		goto tr119;
	goto tr118;
st49:
case 49:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out49;
	if ( (*pdaRun->p) == 61 )
		goto tr121;
	goto tr120;
st50:
case 50:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out50;
	if ( (*pdaRun->p) == 61 )
		goto tr123;
	goto tr122;
st51:
case 51:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out51;
	if ( (*pdaRun->p) == 61 )
		goto tr125;
	goto tr124;
st3:
case 3:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out3;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr5;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st53;
st53:
case 53:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out53;
	switch( (*pdaRun->p) ) {
		case 32: goto tr127;
		case 93: goto tr127;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr127;
	goto st53;
st54:
case 54:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out54;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st55;
		case 108: goto st58;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
tr85:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 135;}
	goto st52;
tr133:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 55;}
	goto st52;
tr136:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 81;}
	goto st52;
tr140:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 103;}
	goto st52;
tr143:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 75;}
	goto st52;
tr147:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 97;}
	goto st52;
tr148:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 93;}
	goto st52;
tr153:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 83;}
	goto st52;
tr161:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 27;}
	goto st52;
tr164:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 115;}
	goto st52;
tr171:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 99;}
	goto st52;
tr177:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 51;}
	goto st52;
tr179:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 49;}
	goto st52;
tr180:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 5;}
	goto st52;
tr181:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 91;}
	goto st52;
tr185:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 71;}
	goto st52;
tr190:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 125;}
	goto st52;
tr191:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 41;}
	goto st52;
tr196:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 89;}
	goto st52;
tr197:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 43;}
	goto st52;
tr204:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 11;}
	goto st52;
tr207:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 101;}
	goto st52;
tr211:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 133;}
	goto st52;
tr213:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 67;}
	goto st52;
tr217:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 3;}
	goto st52;
tr218:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 127;}
	goto st52;
tr225:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 59;}
	goto st52;
tr229:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 113;}
	goto st52;
tr241:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 107;}
	goto st52;
tr243:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 109;}
	goto st52;
tr247:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 63;}
	goto st52;
tr249:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 29;}
	goto st52;
tr260:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 37;}
	goto st52;
tr261:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 85;}
	goto st52;
tr263:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 121;}
	goto st52;
tr269:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 131;}
	goto st52;
tr282:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 25;}
	goto st52;
tr285:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 23;}
	goto st52;
tr290:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 87;}
	goto st52;
tr294:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 15;}
	goto st52;
tr295:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 65;}
	goto st52;
tr298:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 9;}
	goto st52;
tr301:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 69;}
	goto st52;
tr312:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 21;}
	goto st52;
tr322:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 79;}
	goto st52;
tr325:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 39;}
	goto st52;
tr328:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 77;}
	goto st52;
tr332:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 31;}
	goto st52;
tr335:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 73;}
	goto st52;
tr338:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 129;}
	goto st52;
tr349:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 35;}
	goto st52;
tr353:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 117;}
	goto st52;
tr357:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 95;}
	goto st52;
tr363:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 7;}
	goto st52;
tr365:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 123;}
	goto st52;
tr369:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 111;}
	goto st52;
tr372:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 105;}
	goto st52;
tr376:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 47;}
	goto st52;
tr380:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 45;}
	goto st52;
st52:
case 52:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out52;
	if ( (*pdaRun->p) == 95 )
		goto tr85;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr126;
st55:
case 55:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out55;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st56;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st56:
case 56:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out56;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st57;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st57:
case 57:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out57;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto tr133;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st58:
case 58:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out58;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st59;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st59:
case 59:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out59;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st60;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st60:
case 60:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out60;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto tr136;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st61:
case 61:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out61;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st62;
		case 114: goto st64;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st62:
case 62:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out62;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st63;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st63:
case 63:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out63;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr140;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st64:
case 64:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out64;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st65;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st65:
case 65:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out65;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st66;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st66:
case 66:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out66;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto tr143;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st67:
case 67:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out67;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st68;
		case 111: goto st70;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st68:
case 68:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out68;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st69;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st69:
case 69:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out69;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr147;
		case 116: goto tr148;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st70:
case 70:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out70;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st71;
		case 110: goto st74;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st71:
case 71:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out71;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st72;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st72:
case 72:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out72;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st73;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st73:
case 73:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out73;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr153;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st74:
case 74:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out74;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st75;
		case 116: goto st80;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st75:
case 75:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out75;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st76;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr156;
st76:
case 76:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out76;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st77;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st77:
case 77:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out77;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st78;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st78:
case 78:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out78;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st79;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st79:
case 79:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out79;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr161;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st80:
case 80:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out80;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st81;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st81:
case 81:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out81;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 120: goto st82;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st82:
case 82:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out82;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr164;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st83:
case 83:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out83;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st84;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st84:
case 84:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out84;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st85;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st85:
case 85:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out85;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st86;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr167;
st86:
case 86:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out86;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st87;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st87:
case 87:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out87;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st88;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st88:
case 88:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out88;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr171;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st89:
case 89:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out89;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st90;
		case 110: goto st93;
		case 111: goto st94;
		case 120: goto st95;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st90:
case 90:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out90;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st91;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st91:
case 91:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out91;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr177;
		case 105: goto st92;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st92:
case 92:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out92;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st93:
case 93:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out93;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr180;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st94:
case 94:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out94;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto tr181;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st95:
case 95:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out95;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st96;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st96:
case 96:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out96;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st97;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st97:
case 97:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out97;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st98;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st98:
case 98:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out98;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr185;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st99:
case 99:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out99;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st100;
		case 111: goto st103;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st100:
case 100:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out100;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st101;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st101:
case 101:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out101;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st102;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st102:
case 102:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out102;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr190;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st103:
case 103:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out103;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr191;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st104:
case 104:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out104;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st105;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st105:
case 105:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out105;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st106;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st106:
case 106:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out106;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 98: goto st107;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st107:
case 107:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out107;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st108;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st108:
case 108:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out108;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr196;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st109:
case 109:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out109;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr197;
		case 103: goto st110;
		case 110: goto st114;
		case 116: goto st119;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st110:
case 110:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out110;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st111;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st111:
case 111:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out111;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st112;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st112:
case 112:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out112;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st113;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st113:
case 113:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out113;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr204;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st114:
case 114:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out114;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st115;
		case 116: goto tr207;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr205;
st115:
case 115:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out115;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st116;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st116:
case 116:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out116;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st117;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st117:
case 117:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out117;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st118;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st118:
case 118:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out118;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr211;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st119:
case 119:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out119;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st120;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st120:
case 120:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out120;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr213;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st121:
case 121:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out121;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st122;
		case 105: goto st124;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st122:
case 122:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out122;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st123;
		case 120: goto tr217;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st123:
case 123:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out123;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr218;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st124:
case 124:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out124;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st125;
		case 116: goto st129;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st125:
case 125:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out125;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st126;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st126:
case 126:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out126;
	if ( (*pdaRun->p) == 95 )
		goto st127;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr222;
st127:
case 127:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out127;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st128;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st128:
case 128:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out128;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr225;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st129:
case 129:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out129;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st130;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st130:
case 130:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out130;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st131;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st131:
case 131:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out131;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st132;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st132:
case 132:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out132;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr229;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st133:
case 133:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out133;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st134;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st134:
case 134:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out134;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st135;
		case 112: goto st144;
		case 116: goto st147;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st135:
case 135:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out135;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st136;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st136:
case 136:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out136;
	if ( (*pdaRun->p) == 95 )
		goto st137;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st137:
case 137:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out137;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st138;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st138:
case 138:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out138;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st139;
		case 114: goto st142;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st139:
case 139:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out139;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st140;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st140:
case 140:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out140;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st141;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st141:
case 141:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out141;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr241;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st142:
case 142:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out142;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st143;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st143:
case 143:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out143;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr243;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st144:
case 144:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out144;
	if ( (*pdaRun->p) == 95 )
		goto st145;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr244;
st145:
case 145:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out145;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st146;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st146:
case 146:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out146;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr247;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st147:
case 147:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out147;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st148;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st148:
case 148:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out148;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto tr249;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st149:
case 149:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out149;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st150;
		case 101: goto st157;
		case 105: goto st158;
		case 111: goto st159;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st150:
case 150:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out150;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 109: goto st151;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st151:
case 151:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out151;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st152;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st152:
case 152:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out152;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st153;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st153:
case 153:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out153;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st154;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st154:
case 154:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out154;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st155;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st155:
case 155:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out155;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st156;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st156:
case 156:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out156;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr260;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st157:
case 157:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out157;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 119: goto tr261;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st158:
case 158:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out158;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto tr263;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr262;
st159:
case 159:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out159;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st160;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st160:
case 160:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out160;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st161;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st161:
case 161:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out161;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st162;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st162:
case 162:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out162;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st163;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st163:
case 163:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out163;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st164;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st164:
case 164:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out164;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto tr269;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st165:
case 165:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out165;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st166;
		case 114: goto st177;
		case 116: goto st184;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st166:
case 166:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out166;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st167;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st167:
case 167:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out167;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st168;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st168:
case 168:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out168;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st169;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st169:
case 169:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out169;
	switch( (*pdaRun->p) ) {
		case 95: goto st170;
		case 114: goto tr133;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr276;
st170:
case 170:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out170;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st171;
		case 116: goto st174;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st171:
case 171:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out171;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st172;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st172:
case 172:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out172;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st173;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st173:
case 173:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out173;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto tr282;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st174:
case 174:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out174;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st175;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st175:
case 175:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out175;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st176;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st176:
case 176:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out176;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr285;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st177:
case 177:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out177;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st178;
		case 105: goto st181;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st178:
case 178:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out178;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st179;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st179:
case 179:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out179;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st180;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st180:
case 180:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out180;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto tr290;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st181:
case 181:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out181;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st182;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st182:
case 182:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out182;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st183;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st183:
case 183:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out183;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto tr294;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr293;
st184:
case 184:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out184;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto tr295;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st185:
case 185:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out185;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st186;
		case 105: goto st216;
		case 108: goto tr298;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st186:
case 186:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out186;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 97: goto st187;
		case 100: goto st195;
		case 102: goto tr301;
		case 106: goto st206;
		case 113: goto st209;
		case 116: goto st213;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st187:
case 187:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out187;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st188;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st188:
case 188:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out188;
	if ( (*pdaRun->p) == 95 )
		goto st189;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st189:
case 189:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out189;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st190;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st190:
case 190:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out190;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st191;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st191:
case 191:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out191;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st192;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st192:
case 192:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out192;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st193;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st193:
case 193:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out193;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st194;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st194:
case 194:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out194;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr312;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st195:
case 195:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out195;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st196;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st196:
case 196:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out196;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st197;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st197:
case 197:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out197;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st198;
		case 116: goto st203;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st198:
case 198:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out198;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 102: goto st199;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr317;
st199:
case 199:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out199;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st200;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st200:
case 200:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out200;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st201;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st201:
case 201:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out201;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 115: goto st202;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st202:
case 202:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out202;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr322;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st203:
case 203:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out203;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st204;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st204:
case 204:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out204;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st205;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st205:
case 205:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out205;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr325;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st206:
case 206:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out206;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st207;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st207:
case 207:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out207;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st208;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st208:
case 208:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out208;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr328;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st209:
case 209:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out209;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st210;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st210:
case 210:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out210;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st211;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st211:
case 211:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out211;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st212;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st212:
case 212:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out212;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr332;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st213:
case 213:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out213;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st214;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st214:
case 214:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out214;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st215;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st215:
case 215:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out215;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr335;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st216:
case 216:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out216;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 103: goto st217;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st217:
case 217:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out217;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto st218;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st218:
case 218:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out218;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr338;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st219:
case 219:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out219;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st220;
		case 116: goto st227;
		case 119: goto st231;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st220:
case 220:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out220;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto st221;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st221:
case 221:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out221;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto st222;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st222:
case 222:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out222;
	if ( (*pdaRun->p) == 95 )
		goto st223;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr344;
st223:
case 223:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out223;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st224;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st224:
case 224:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out224;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st225;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st225:
case 225:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out225;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st226;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st226:
case 226:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out226;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr349;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st227:
case 227:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out227;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 114: goto st228;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st228:
case 228:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out228;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st229;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st229:
case 229:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out229;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st230;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st230:
case 230:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out230;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto tr353;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st231:
case 231:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out231;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st232;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st232:
case 232:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out232;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 116: goto st233;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st233:
case 233:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out233;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 99: goto st234;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st234:
case 234:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out234;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto tr357;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st235:
case 235:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out235;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st236;
		case 114: goto st239;
		case 121: goto st241;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st236:
case 236:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out236;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 107: goto st237;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st237:
case 237:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out237;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st238;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st238:
case 238:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out238;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 110: goto tr363;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st239:
case 239:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out239;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 117: goto st240;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st240:
case 240:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out240;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr365;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st241:
case 241:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out241;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 112: goto st242;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st242:
case 242:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out242;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st243;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st243:
case 243:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out243;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st244;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st244:
case 244:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out244;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr369;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st245:
case 245:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out245;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 111: goto st246;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st246:
case 246:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out246;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st247;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st247:
case 247:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out247;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr372;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st248:
case 248:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out248;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 104: goto st249;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st249:
case 249:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out249;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st250;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st250:
case 250:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out250;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st251;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st251:
case 251:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out251;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto tr376;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st252:
case 252:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out252;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 105: goto st253;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st253:
case 253:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out253;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 101: goto st254;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st254:
case 254:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out254;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 108: goto st255;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st255:
case 255:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out255;
	switch( (*pdaRun->p) ) {
		case 95: goto tr85;
		case 100: goto tr380;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr85;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr85;
	} else
		goto tr85;
	goto tr128;
st256:
case 256:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out256;
	if ( (*pdaRun->p) == 124 )
		goto tr382;
	goto tr381;
st47:
case 47:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out47;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st47;
	goto tr117;
tr6:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 106;
	goto out;
}
	goto st257;
tr8:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 73;
	goto out;
}
	goto st257;
tr384:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 74;
	goto out;
}
	goto st257;
tr385:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 100;
	goto out;
}
	goto st257;
tr386:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 103;
	goto out;
}
	goto st257;
tr388:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 75;
	goto out;
}
	goto st257;
tr389:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 85;
	goto out;
}
	goto st257;
tr390:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 86;
	goto out;
}
	goto st257;
tr391:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 89;
	goto out;
}
	goto st257;
tr392:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 104;
	goto out;
}
	goto st257;
tr393:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 94;
	goto out;
}
	goto st257;
tr395:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 83;
	goto out;
}
	goto st257;
tr396:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 80;
	goto out;
}
	goto st257;
tr402:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 90;
	goto out;
}
	goto st257;
tr403:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 102;
	goto out;
}
	goto st257;
tr405:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 77;
	goto out;
}
	goto st257;
tr406:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 78;
	goto out;
}
	goto st257;
tr407:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 101;
	goto out;
}
	goto st257;
tr427:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 87;
	goto out;
}
	goto st257;
tr429:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 88;
	goto out;
}
	goto st257;
tr430:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 76;
	goto out;
}
	goto st257;
tr431:
	{	pdaRun->matched_token = 99;
	goto out;
}
	goto st257;
tr432:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 93;
	goto out;
}
	goto st257;
tr433:
	{	pdaRun->matched_token = 105;
	goto out;
}
	goto st257;
tr434:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 84;
	goto out;
}
	goto st257;
tr435:
	{	pdaRun->matched_token = 72;
	goto out;
}
	goto st257;
tr436:
	{	pdaRun->matched_token = 81;
	goto out;
}
	goto st257;
tr437:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 82;
	goto out;
}
	goto st257;
tr438:
	{	pdaRun->matched_token = 95;
	goto out;
}
	goto st257;
tr439:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 97;
	goto out;
}
	goto st257;
tr440:
	{	pdaRun->matched_token = 91;
	goto out;
}
	goto st257;
tr441:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 92;
	goto out;
}
	goto st257;
tr442:
	{	pdaRun->matched_token = 96;
	goto out;
}
	goto st257;
tr443:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 98;
	goto out;
}
	goto st257;
tr444:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 4:
	pdaRun->matched_token = 5;
	break;
	case 6:
	pdaRun->matched_token = 6;
	break;
	case 8:
	pdaRun->matched_token = 7;
	break;
	case 10:
	pdaRun->matched_token = 8;
	break;
	case 12:
	pdaRun->matched_token = 9;
	break;
	case 16:
	pdaRun->matched_token = 11;
	break;
	case 22:
	pdaRun->matched_token = 14;
	break;
	case 24:
	pdaRun->matched_token = 15;
	break;
	case 26:
	pdaRun->matched_token = 16;
	break;
	case 28:
	pdaRun->matched_token = 17;
	break;
	case 30:
	pdaRun->matched_token = 18;
	break;
	case 32:
	pdaRun->matched_token = 19;
	break;
	case 36:
	pdaRun->matched_token = 21;
	break;
	case 38:
	pdaRun->matched_token = 22;
	break;
	case 40:
	pdaRun->matched_token = 23;
	break;
	case 42:
	pdaRun->matched_token = 24;
	break;
	case 44:
	pdaRun->matched_token = 25;
	break;
	case 46:
	pdaRun->matched_token = 26;
	break;
	case 48:
	pdaRun->matched_token = 27;
	break;
	case 50:
	pdaRun->matched_token = 28;
	break;
	case 52:
	pdaRun->matched_token = 29;
	break;
	case 56:
	pdaRun->matched_token = 31;
	break;
	case 60:
	pdaRun->matched_token = 33;
	break;
	case 64:
	pdaRun->matched_token = 35;
	break;
	case 66:
	pdaRun->matched_token = 36;
	break;
	case 68:
	pdaRun->matched_token = 37;
	break;
	case 70:
	pdaRun->matched_token = 38;
	break;
	case 72:
	pdaRun->matched_token = 39;
	break;
	case 74:
	pdaRun->matched_token = 40;
	break;
	case 76:
	pdaRun->matched_token = 41;
	break;
	case 78:
	pdaRun->matched_token = 42;
	break;
	case 80:
	pdaRun->matched_token = 43;
	break;
	case 82:
	pdaRun->matched_token = 44;
	break;
	case 84:
	pdaRun->matched_token = 45;
	break;
	case 86:
	pdaRun->matched_token = 46;
	break;
	case 88:
	pdaRun->matched_token = 47;
	break;
	case 90:
	pdaRun->matched_token = 48;
	break;
	case 92:
	pdaRun->matched_token = 49;
	break;
	case 94:
	pdaRun->matched_token = 50;
	break;
	case 96:
	pdaRun->matched_token = 51;
	break;
	case 98:
	pdaRun->matched_token = 52;
	break;
	case 100:
	pdaRun->matched_token = 53;
	break;
	case 102:
	pdaRun->matched_token = 54;
	break;
	case 104:
	pdaRun->matched_token = 55;
	break;
	case 106:
	pdaRun->matched_token = 56;
	break;
	case 108:
	pdaRun->matched_token = 57;
	break;
	case 110:
	pdaRun->matched_token = 58;
	break;
	case 112:
	pdaRun->matched_token = 59;
	break;
	case 114:
	pdaRun->matched_token = 60;
	break;
	case 116:
	pdaRun->matched_token = 61;
	break;
	case 118:
	pdaRun->matched_token = 62;
	break;
	case 122:
	pdaRun->matched_token = 64;
	break;
	case 124:
	pdaRun->matched_token = 65;
	break;
	case 126:
	pdaRun->matched_token = 66;
	break;
	case 128:
	pdaRun->matched_token = 67;
	break;
	case 130:
	pdaRun->matched_token = 68;
	break;
	case 132:
	pdaRun->matched_token = 69;
	break;
	case 134:
	pdaRun->matched_token = 70;
	break;
	case 136:
	pdaRun->matched_token = 71;
	break;
	}
		goto skip_toklen;
}
	goto st257;
tr445:
	{	pdaRun->matched_token = 73;
	goto out;
}
	goto st257;
tr446:
	{	pdaRun->matched_token = 71;
	goto out;
}
	goto st257;
tr474:
	{	pdaRun->matched_token = 17;
	goto out;
}
	goto st257;
tr485:
	{	pdaRun->matched_token = 4;
	goto out;
}
	goto st257;
tr523:
	{	pdaRun->matched_token = 30;
	goto out;
}
	goto st257;
tr540:
	{	pdaRun->matched_token = 32;
	goto out;
}
	goto st257;
tr562:
	{	pdaRun->matched_token = 34;
	goto out;
}
	goto st257;
tr580:
	{	pdaRun->matched_token = 63;
	goto out;
}
	goto st257;
tr594:
	{	pdaRun->matched_token = 12;
	goto out;
}
	goto st257;
tr611:
	{	pdaRun->matched_token = 10;
	goto out;
}
	goto st257;
tr635:
	{	pdaRun->matched_token = 13;
	goto out;
}
	goto st257;
tr662:
	{	pdaRun->matched_token = 20;
	goto out;
}
	goto st257;
tr699:
	{	pdaRun->matched_token = 79;
	goto out;
}
	goto st257;
tr700:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 107;
	goto out;
}
	goto st257;
st257:
case 257:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out257;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 33: goto st258;
		case 34: goto tr384;
		case 36: goto tr385;
		case 37: goto tr386;
		case 38: goto st4;
		case 39: goto tr388;
		case 40: goto tr389;
		case 41: goto tr390;
		case 42: goto tr391;
		case 43: goto tr392;
		case 44: goto tr393;
		case 45: goto st259;
		case 46: goto tr395;
		case 47: goto tr396;
		case 58: goto st261;
		case 60: goto st262;
		case 61: goto st263;
		case 62: goto st264;
		case 63: goto tr402;
		case 64: goto tr403;
		case 91: goto tr405;
		case 93: goto tr406;
		case 94: goto tr407;
		case 96: goto st5;
		case 97: goto st267;
		case 98: goto st274;
		case 99: goto st280;
		case 100: goto st296;
		case 101: goto st302;
		case 102: goto st312;
		case 103: goto st317;
		case 105: goto st322;
		case 108: goto st334;
		case 109: goto st346;
		case 110: goto st362;
		case 112: goto st378;
		case 114: goto st398;
		case 115: goto st432;
		case 116: goto st448;
		case 118: goto st458;
		case 119: goto st461;
		case 121: goto st465;
		case 123: goto tr427;
		case 124: goto st469;
		case 125: goto tr429;
		case 126: goto tr430;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st260;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 95 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto st0;
st258:
case 258:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out258;
	if ( (*pdaRun->p) == 61 )
		goto tr432;
	goto tr431;
st4:
case 4:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out4;
	if ( (*pdaRun->p) == 38 )
		goto tr6;
	goto st0;
st259:
case 259:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out259;
	if ( (*pdaRun->p) == 62 )
		goto tr434;
	goto tr433;
st261:
case 261:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out261;
	if ( (*pdaRun->p) == 58 )
		goto tr437;
	goto tr436;
st262:
case 262:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out262;
	if ( (*pdaRun->p) == 61 )
		goto tr439;
	goto tr438;
st263:
case 263:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out263;
	if ( (*pdaRun->p) == 61 )
		goto tr441;
	goto tr440;
st264:
case 264:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out264;
	if ( (*pdaRun->p) == 61 )
		goto tr443;
	goto tr442;
st5:
case 5:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out5;
	switch( (*pdaRun->p) ) {
		case 32: goto st0;
		case 93: goto tr8;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st0;
	goto st266;
st266:
case 266:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out266;
	switch( (*pdaRun->p) ) {
		case 32: goto tr445;
		case 93: goto tr445;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto tr445;
	goto st266;
st267:
case 267:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out267;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st268;
		case 108: goto st271;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
tr404:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 136;}
	goto st265;
tr451:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 56;}
	goto st265;
tr454:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 82;}
	goto st265;
tr458:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 104;}
	goto st265;
tr461:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 76;}
	goto st265;
tr465:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 98;}
	goto st265;
tr466:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 94;}
	goto st265;
tr471:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 84;}
	goto st265;
tr479:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 28;}
	goto st265;
tr482:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 116;}
	goto st265;
tr489:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 100;}
	goto st265;
tr495:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 52;}
	goto st265;
tr497:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 50;}
	goto st265;
tr498:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 6;}
	goto st265;
tr499:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 92;}
	goto st265;
tr503:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 72;}
	goto st265;
tr508:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 126;}
	goto st265;
tr509:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 42;}
	goto st265;
tr514:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 90;}
	goto st265;
tr515:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 44;}
	goto st265;
tr522:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 12;}
	goto st265;
tr525:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 102;}
	goto st265;
tr529:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 134;}
	goto st265;
tr531:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 68;}
	goto st265;
tr535:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 4;}
	goto st265;
tr536:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 128;}
	goto st265;
tr543:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 60;}
	goto st265;
tr547:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 114;}
	goto st265;
tr559:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 108;}
	goto st265;
tr561:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 110;}
	goto st265;
tr565:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 64;}
	goto st265;
tr567:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 30;}
	goto st265;
tr578:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 38;}
	goto st265;
tr579:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 86;}
	goto st265;
tr581:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 122;}
	goto st265;
tr587:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 132;}
	goto st265;
tr600:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 26;}
	goto st265;
tr603:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 24;}
	goto st265;
tr608:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 88;}
	goto st265;
tr612:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 16;}
	goto st265;
tr613:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 66;}
	goto st265;
tr616:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 10;}
	goto st265;
tr619:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 70;}
	goto st265;
tr630:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 22;}
	goto st265;
tr640:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 80;}
	goto st265;
tr643:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 40;}
	goto st265;
tr646:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 78;}
	goto st265;
tr650:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 32;}
	goto st265;
tr653:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 74;}
	goto st265;
tr656:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 130;}
	goto st265;
tr667:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 36;}
	goto st265;
tr671:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 118;}
	goto st265;
tr675:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 96;}
	goto st265;
tr681:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 8;}
	goto st265;
tr683:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 124;}
	goto st265;
tr687:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 112;}
	goto st265;
tr690:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 106;}
	goto st265;
tr694:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 48;}
	goto st265;
tr698:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 46;}
	goto st265;
st265:
case 265:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out265;
	if ( (*pdaRun->p) == 95 )
		goto tr404;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr444;
st268:
case 268:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out268;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st269;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st269:
case 269:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out269;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st270;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st270:
case 270:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out270;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 109: goto tr451;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st271:
case 271:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out271;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st272;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st272:
case 272:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out272;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st273;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st273:
case 273:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out273;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto tr454;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st274:
case 274:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out274;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st275;
		case 114: goto st277;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st275:
case 275:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out275;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st276;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st276:
case 276:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out276;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr458;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st277:
case 277:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out277;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st278;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st278:
case 278:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out278;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st279;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st279:
case 279:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out279;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 107: goto tr461;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st280:
case 280:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out280;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st281;
		case 111: goto st283;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st281:
case 281:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out281;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st282;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st282:
case 282:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out282;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr465;
		case 116: goto tr466;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st283:
case 283:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out283;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 109: goto st284;
		case 110: goto st287;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st284:
case 284:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out284;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 109: goto st285;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st285:
case 285:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out285;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st286;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st286:
case 286:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out286;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr471;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st287:
case 287:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out287;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st288;
		case 116: goto st293;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st288:
case 288:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out288;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st289;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr474;
st289:
case 289:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out289;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st290;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st290:
case 290:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out290;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st291;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st291:
case 291:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out291;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st292;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st292:
case 292:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out292;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr479;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st293:
case 293:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out293;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st294;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st294:
case 294:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out294;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 120: goto st295;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st295:
case 295:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out295;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr482;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st296:
case 296:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out296;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st297;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st297:
case 297:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out297;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto st298;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st298:
case 298:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out298;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st299;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr485;
st299:
case 299:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out299;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st300;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st300:
case 300:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out300;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st301;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st301:
case 301:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out301;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr489;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st302:
case 302:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out302;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st303;
		case 110: goto st306;
		case 111: goto st307;
		case 120: goto st308;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st303:
case 303:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out303;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st304;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st304:
case 304:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out304;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr495;
		case 105: goto st305;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st305:
case 305:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out305;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto tr497;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st306:
case 306:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out306;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto tr498;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st307:
case 307:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out307;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto tr499;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st308:
case 308:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out308;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 112: goto st309;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st309:
case 309:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out309;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st310;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st310:
case 310:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out310;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st311;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st311:
case 311:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out311;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr503;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st312:
case 312:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out312;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st313;
		case 111: goto st316;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st313:
case 313:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out313;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st314;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st314:
case 314:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out314;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st315;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st315:
case 315:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out315;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr508;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st316:
case 316:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out316;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto tr509;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st317:
case 317:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out317;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st318;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st318:
case 318:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out318;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st319;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st319:
case 319:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out319;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 98: goto st320;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st320:
case 320:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out320;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st321;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st321:
case 321:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out321;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr514;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st322:
case 322:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out322;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto tr515;
		case 103: goto st323;
		case 110: goto st327;
		case 116: goto st332;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st323:
case 323:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out323;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto st324;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st324:
case 324:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out324;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st325;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st325:
case 325:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out325;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st326;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st326:
case 326:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out326;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr522;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st327:
case 327:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out327;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st328;
		case 116: goto tr525;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr523;
st328:
case 328:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out328;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st329;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st329:
case 329:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out329;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st330;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st330:
case 330:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out330;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto st331;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st331:
case 331:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out331;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr529;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st332:
case 332:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out332;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st333;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st333:
case 333:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out333;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto tr531;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st334:
case 334:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out334;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st335;
		case 105: goto st337;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st335:
case 335:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out335;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto st336;
		case 120: goto tr535;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st336:
case 336:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out336;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr536;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st337:
case 337:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out337;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st338;
		case 116: goto st342;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st338:
case 338:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out338;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st339;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st339:
case 339:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out339;
	if ( (*pdaRun->p) == 95 )
		goto st340;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr540;
st340:
case 340:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out340;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st341;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st341:
case 341:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out341;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr543;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st342:
case 342:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out342;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st343;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st343:
case 343:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out343;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st344;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st344:
case 344:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out344;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st345;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st345:
case 345:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out345;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr547;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st346:
case 346:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out346;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st347;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st347:
case 347:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out347;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 107: goto st348;
		case 112: goto st357;
		case 116: goto st360;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st348:
case 348:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out348;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st349;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st349:
case 349:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out349;
	if ( (*pdaRun->p) == 95 )
		goto st350;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st350:
case 350:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out350;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st351;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st351:
case 351:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out351;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st352;
		case 114: goto st355;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st352:
case 352:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out352;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 107: goto st353;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st353:
case 353:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out353;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st354;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st354:
case 354:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out354;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto tr559;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st355:
case 355:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out355;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st356;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st356:
case 356:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out356;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr561;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st357:
case 357:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out357;
	if ( (*pdaRun->p) == 95 )
		goto st358;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr562;
st358:
case 358:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out358;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st359;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st359:
case 359:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out359;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr565;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st360:
case 360:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out360;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st361;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st361:
case 361:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out361;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 104: goto tr567;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st362:
case 362:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out362;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st363;
		case 101: goto st370;
		case 105: goto st371;
		case 111: goto st372;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st363:
case 363:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out363;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 109: goto st364;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st364:
case 364:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out364;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st365;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st365:
case 365:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out365;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st366;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st366:
case 366:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out366;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 112: goto st367;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st367:
case 367:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out367;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st368;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st368:
case 368:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out368;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st369;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st369:
case 369:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out369;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr578;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st370:
case 370:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out370;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 119: goto tr579;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st371:
case 371:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out371;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto tr581;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr580;
st372:
case 372:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out372;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto st373;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st373:
case 373:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out373;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st374;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st374:
case 374:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out374;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st375;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st375:
case 375:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out375;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st376;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st376:
case 376:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out376;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st377;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st377:
case 377:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out377;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto tr587;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st378:
case 378:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out378;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st379;
		case 114: goto st390;
		case 116: goto st397;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st379:
case 379:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out379;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st380;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st380:
case 380:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out380;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st381;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st381:
case 381:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out381;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st382;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st382:
case 382:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out382;
	switch( (*pdaRun->p) ) {
		case 95: goto st383;
		case 114: goto tr451;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr594;
st383:
case 383:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out383;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st384;
		case 116: goto st387;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st384:
case 384:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out384;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st385;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st385:
case 385:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out385;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st386;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st386:
case 386:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out386;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 112: goto tr600;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st387:
case 387:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out387;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st388;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st388:
case 388:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out388;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st389;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st389:
case 389:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out389;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr603;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st390:
case 390:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out390;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st391;
		case 105: goto st394;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st391:
case 391:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out391;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st392;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st392:
case 392:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out392;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st393;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st393:
case 393:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out393;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto tr608;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st394:
case 394:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out394;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto st395;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st395:
case 395:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out395;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st396;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st396:
case 396:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out396;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto tr612;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr611;
st397:
case 397:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out397;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto tr613;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st398:
case 398:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out398;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st399;
		case 105: goto st429;
		case 108: goto tr616;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st399:
case 399:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out399;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 97: goto st400;
		case 100: goto st408;
		case 102: goto tr619;
		case 106: goto st419;
		case 113: goto st422;
		case 116: goto st426;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 98 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st400:
case 400:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out400;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto st401;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st401:
case 401:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out401;
	if ( (*pdaRun->p) == 95 )
		goto st402;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st402:
case 402:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out402;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st403;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st403:
case 403:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out403;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st404;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st404:
case 404:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out404;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto st405;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st405:
case 405:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out405;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st406;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st406:
case 406:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out406;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st407;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st407:
case 407:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out407;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr630;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st408:
case 408:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out408;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st409;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st409:
case 409:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out409;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st410;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st410:
case 410:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out410;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st411;
		case 116: goto st416;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st411:
case 411:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out411;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 102: goto st412;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr635;
st412:
case 412:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out412;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st413;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st413:
case 413:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out413;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st414;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st414:
case 414:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out414;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 115: goto st415;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st415:
case 415:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out415;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr640;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st416:
case 416:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out416;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st417;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st417:
case 417:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out417;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st418;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st418:
case 418:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out418;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto tr643;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st419:
case 419:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out419;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st420;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st420:
case 420:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out420;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st421;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st421:
case 421:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out421;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr646;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st422:
case 422:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out422;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st423;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st423:
case 423:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out423;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st424;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st424:
case 424:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out424;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st425;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st425:
case 425:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out425;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr650;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st426:
case 426:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out426;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st427;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st427:
case 427:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out427;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st428;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st428:
case 428:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out428;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto tr653;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st429:
case 429:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out429;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 103: goto st430;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st430:
case 430:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out430;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 104: goto st431;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st431:
case 431:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out431;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr656;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st432:
case 432:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out432;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st433;
		case 116: goto st440;
		case 119: goto st444;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st433:
case 433:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out433;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto st434;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st434:
case 434:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out434;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto st435;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st435:
case 435:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out435;
	if ( (*pdaRun->p) == 95 )
		goto st436;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr662;
st436:
case 436:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out436;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st437;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st437:
case 437:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out437;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st438;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st438:
case 438:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out438;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st439;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st439:
case 439:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out439;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr667;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st440:
case 440:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out440;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 114: goto st441;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st441:
case 441:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out441;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st442;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st442:
case 442:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out442;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st443;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st443:
case 443:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out443;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto tr671;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st444:
case 444:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out444;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st445;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st445:
case 445:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out445;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 116: goto st446;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st446:
case 446:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out446;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 99: goto st447;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st447:
case 447:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out447;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 104: goto tr675;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st448:
case 448:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out448;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st449;
		case 114: goto st452;
		case 121: goto st454;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st449:
case 449:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out449;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 107: goto st450;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st450:
case 450:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out450;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st451;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st451:
case 451:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out451;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 110: goto tr681;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st452:
case 452:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out452;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 117: goto st453;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st453:
case 453:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out453;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr683;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st454:
case 454:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out454;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 112: goto st455;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st455:
case 455:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out455;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st456;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st456:
case 456:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out456;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st457;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st457:
case 457:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out457;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto tr687;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st458:
case 458:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out458;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 111: goto st459;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st459:
case 459:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out459;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st460;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st460:
case 460:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out460;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto tr690;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st461:
case 461:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out461;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 104: goto st462;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st462:
case 462:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out462;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st463;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st463:
case 463:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out463;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st464;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st464:
case 464:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out464;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto tr694;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st465:
case 465:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out465;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 105: goto st466;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st466:
case 466:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out466;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 101: goto st467;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st467:
case 467:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out467;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 108: goto st468;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st468:
case 468:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out468;
	switch( (*pdaRun->p) ) {
		case 95: goto tr404;
		case 100: goto tr698;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto tr404;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto tr404;
	} else
		goto tr404;
	goto tr446;
st469:
case 469:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out469;
	if ( (*pdaRun->p) == 124 )
		goto tr700;
	goto tr699;
st260:
case 260:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out260;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st260;
	goto tr435;
tr10:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 109;
	goto out;
}
	goto st470;
tr702:
	{	pdaRun->matched_token = 108;
	goto out;
}
	goto st470;
st470:
case 470:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out470;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st471;
		case 35: goto st6;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st471;
	goto st0;
st471:
case 471:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out471;
	if ( (*pdaRun->p) == 32 )
		goto st471;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st471;
	goto tr702;
st6:
case 6:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out6;
	if ( (*pdaRun->p) == 10 )
		goto tr10;
	goto st6;
tr12:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 221:
	pdaRun->matched_token = 114;
	break;
	}
		goto skip_toklen;
}
	goto st472;
tr703:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st472;
tr704:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st472;
tr705:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st472;
tr707:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st472;
tr708:
	{	pdaRun->matched_token = 114;
	goto out;
}
	goto st472;
st472:
	{pdaRun->act = 0;}
case 472:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out472;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr703;
		case 34: goto tr704;
		case 91: goto tr705;
		case 92: goto st7;
		case 93: goto tr707;
	}
	goto tr11;
st7:
case 7:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out7;
	goto tr11;
tr11:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 221;}
	goto st473;
st473:
case 473:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out473;
	switch( (*pdaRun->p) ) {
		case 10: goto tr708;
		case 34: goto tr708;
		case 92: goto st7;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr708;
	goto tr11;
tr14:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 222:
	pdaRun->matched_token = 114;
	break;
	}
		goto skip_toklen;
}
	goto st474;
tr709:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 111;
	goto out;
}
	goto st474;
tr710:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 110;
	goto out;
}
	goto st474;
tr711:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 112;
	goto out;
}
	goto st474;
tr713:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 113;
	goto out;
}
	goto st474;
tr714:
	{	pdaRun->matched_token = 114;
	goto out;
}
	goto st474;
st474:
	{pdaRun->act = 0;}
case 474:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out474;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr709;
		case 34: goto tr710;
		case 91: goto tr711;
		case 92: goto st8;
		case 93: goto tr713;
	}
	goto tr13;
st8:
case 8:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out8;
	goto tr13;
tr13:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 222;}
	goto st475;
st475:
case 475:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out475;
	switch( (*pdaRun->p) ) {
		case 10: goto tr714;
		case 34: goto tr714;
		case 92: goto st8;
	}
	if ( 91 <= (*pdaRun->p) && (*pdaRun->p) <= 93 )
		goto tr714;
	goto tr13;
tr715:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 167;
	goto out;
}
	goto st476;
st476:
case 476:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out476;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr715;
tr16:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 227:
	pdaRun->matched_token = 117;
	break;
	}
		goto skip_toklen;
}
	goto st477;
tr716:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st477;
tr717:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 115;
	goto out;
}
	goto st477;
tr719:
	{	pdaRun->matched_token = 117;
	goto out;
}
	goto st477;
st477:
	{pdaRun->act = 0;}
case 477:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out477;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr716;
		case 39: goto tr717;
		case 92: goto st9;
	}
	goto tr15;
st9:
case 9:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out9;
	goto tr15;
tr15:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 227;}
	goto st478;
st478:
case 478:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out478;
	switch( (*pdaRun->p) ) {
		case 10: goto tr719;
		case 39: goto tr719;
		case 92: goto st9;
	}
	goto tr15;
tr18:
	{	pdaRun->toklen = pdaRun->tokend;
	switch( pdaRun->act ) {
	case 0: goto st0;
	case 228:
	pdaRun->matched_token = 117;
	break;
	}
		goto skip_toklen;
}
	goto st479;
tr720:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 116;
	goto out;
}
	goto st479;
tr721:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 115;
	goto out;
}
	goto st479;
tr723:
	{	pdaRun->matched_token = 117;
	goto out;
}
	goto st479;
st479:
	{pdaRun->act = 0;}
case 479:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out479;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 10: goto tr720;
		case 39: goto tr721;
		case 92: goto st10;
	}
	goto tr17;
st10:
case 10:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out10;
	goto tr17;
tr17:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	{pdaRun->act = 228;}
	goto st480;
st480:
case 480:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out480;
	switch( (*pdaRun->p) ) {
		case 10: goto tr723;
		case 39: goto tr723;
		case 92: goto st10;
	}
	goto tr17;
tr724:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 168;
	goto out;
}
	goto st481;
st481:
case 481:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out481;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr724;
tr726:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 118;
	goto out;
}
	goto st482;
tr727:
	{	pdaRun->matched_token = 119;
	goto out;
}
	goto st482;
st482:
case 482:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out482;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr726;
	goto st483;
st483:
case 483:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out483;
	if ( (*pdaRun->p) == 10 )
		goto tr727;
	goto st483;
tr729:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 118;
	goto out;
}
	goto st484;
tr730:
	{	pdaRun->matched_token = 119;
	goto out;
}
	goto st484;
st484:
case 484:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out484;
	{pdaRun->tokstart = pdaRun->p;}
	if ( (*pdaRun->p) == 10 )
		goto tr729;
	goto st485;
st485:
case 485:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out485;
	if ( (*pdaRun->p) == 10 )
		goto tr730;
	goto st485;
tr731:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 169;
	goto out;
}
	goto st486;
st486:
case 486:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out486;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr731;
tr23:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 144;
	goto out;
}
	goto st487;
tr26:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 121;
	goto skip_toklen;
}
	goto st487;
tr29:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st487;
tr733:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st487;
tr734:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 128;
	goto out;
}
	goto st487;
tr735:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st487;
tr737:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st487;
tr740:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st487;
tr745:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st487;
tr748:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st487;
tr749:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 125;
	goto out;
}
	goto st487;
tr750:
	{	pdaRun->matched_token = 143;
	goto out;
}
	goto st487;
tr751:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st487;
tr752:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 123;
	goto out;
}
	goto st487;
tr753:
	{	pdaRun->matched_token = 130;
	goto out;
}
	goto st487;
tr754:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 131;
	goto out;
}
	goto st487;
tr755:
	{	pdaRun->matched_token = 127;
	goto out;
}
	goto st487;
tr756:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st487;
tr757:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st487;
tr758:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st487;
tr759:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st487;
tr761:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st487;
tr762:
	{	pdaRun->matched_token = 140;
	goto out;
}
	goto st487;
tr763:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 141;
	goto out;
}
	goto st487;
tr764:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st487;
tr765:
	{	pdaRun->matched_token = 136;
	goto out;
}
	goto st487;
tr766:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 137;
	goto out;
}
	goto st487;
st487:
case 487:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out487;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st488;
		case 34: goto st11;
		case 35: goto st13;
		case 38: goto tr733;
		case 39: goto st14;
		case 40: goto tr734;
		case 41: goto tr735;
		case 42: goto st490;
		case 43: goto tr737;
		case 45: goto st491;
		case 46: goto st492;
		case 47: goto tr740;
		case 48: goto tr741;
		case 58: goto st17;
		case 60: goto st18;
		case 63: goto tr745;
		case 91: goto st498;
		case 94: goto tr748;
		case 95: goto st497;
		case 124: goto tr749;
	}
	if ( (*pdaRun->p) < 49 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st488;
	} else if ( (*pdaRun->p) > 57 ) {
		if ( (*pdaRun->p) > 90 ) {
			if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
				goto st497;
		} else if ( (*pdaRun->p) >= 65 )
			goto st497;
	} else
		goto st494;
	goto st0;
st488:
case 488:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out488;
	if ( (*pdaRun->p) == 32 )
		goto st488;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st488;
	goto tr750;
st11:
case 11:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out11;
	switch( (*pdaRun->p) ) {
		case 34: goto st489;
		case 92: goto st12;
	}
	goto st11;
st489:
case 489:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out489;
	if ( (*pdaRun->p) == 105 )
		goto tr752;
	goto tr751;
st12:
case 12:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out12;
	goto st11;
st13:
case 13:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out13;
	if ( (*pdaRun->p) == 10 )
		goto tr23;
	goto st13;
st14:
case 14:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out14;
	switch( (*pdaRun->p) ) {
		case 39: goto st489;
		case 92: goto st15;
	}
	goto st14;
st15:
case 15:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out15;
	goto st14;
st490:
case 490:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out490;
	if ( (*pdaRun->p) == 42 )
		goto tr754;
	goto tr753;
st491:
case 491:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out491;
	if ( (*pdaRun->p) == 45 )
		goto tr756;
	goto tr755;
st492:
case 492:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out492;
	if ( (*pdaRun->p) == 46 )
		goto tr758;
	goto tr757;
tr741:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st493;
st493:
case 493:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out493;
	if ( (*pdaRun->p) == 120 )
		goto st16;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st494;
	goto tr759;
st16:
case 16:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out16;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st495;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st495;
	} else
		goto st495;
	goto tr26;
st495:
case 495:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out495;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st495;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st495;
	} else
		goto st495;
	goto tr761;
st494:
case 494:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out494;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st494;
	goto tr759;
st17:
case 17:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out17;
	if ( (*pdaRun->p) == 62 )
		goto st496;
	goto st0;
st496:
case 496:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out496;
	if ( (*pdaRun->p) == 62 )
		goto tr763;
	goto tr762;
st18:
case 18:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out18;
	if ( (*pdaRun->p) == 58 )
		goto tr29;
	goto st0;
st498:
case 498:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out498;
	if ( (*pdaRun->p) == 94 )
		goto tr766;
	goto tr765;
st497:
case 497:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out497;
	if ( (*pdaRun->p) == 95 )
		goto st497;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st497;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st497;
	} else
		goto st497;
	goto tr764;
tr35:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 121;
	goto skip_toklen;
}
	goto st499;
tr38:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 142;
	goto out;
}
	goto st499;
tr767:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 126;
	goto out;
}
	goto st499;
tr768:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 128;
	goto out;
}
	goto st499;
tr769:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 129;
	goto out;
}
	goto st499;
tr771:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 133;
	goto out;
}
	goto st499;
tr774:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 138;
	goto out;
}
	goto st499;
tr779:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 132;
	goto out;
}
	goto st499;
tr782:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 134;
	goto out;
}
	goto st499;
tr783:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 125;
	goto out;
}
	goto st499;
tr784:
	{	pdaRun->matched_token = 123;
	goto out;
}
	goto st499;
tr785:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 123;
	goto out;
}
	goto st499;
tr786:
	{	pdaRun->matched_token = 130;
	goto out;
}
	goto st499;
tr787:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 131;
	goto out;
}
	goto st499;
tr788:
	{	pdaRun->matched_token = 127;
	goto out;
}
	goto st499;
tr789:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 139;
	goto out;
}
	goto st499;
tr790:
	{	pdaRun->matched_token = 124;
	goto out;
}
	goto st499;
tr791:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 135;
	goto out;
}
	goto st499;
tr792:
	{	pdaRun->matched_token = 121;
	goto out;
}
	goto st499;
tr794:
	{	pdaRun->matched_token = 122;
	goto out;
}
	goto st499;
tr795:
	{	pdaRun->matched_token = 140;
	goto out;
}
	goto st499;
tr796:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 141;
	goto out;
}
	goto st499;
tr797:
	{	pdaRun->matched_token = 120;
	goto out;
}
	goto st499;
tr798:
	{	pdaRun->matched_token = 136;
	goto out;
}
	goto st499;
tr799:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 137;
	goto out;
}
	goto st499;
st499:
case 499:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out499;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 34: goto st19;
		case 38: goto tr767;
		case 39: goto st21;
		case 40: goto tr768;
		case 41: goto tr769;
		case 42: goto st501;
		case 43: goto tr771;
		case 45: goto st502;
		case 46: goto st503;
		case 47: goto tr774;
		case 48: goto tr775;
		case 58: goto st24;
		case 60: goto st25;
		case 63: goto tr779;
		case 91: goto st509;
		case 94: goto tr782;
		case 95: goto st508;
		case 124: goto tr783;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st505;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st508;
	} else
		goto st508;
	goto st0;
st19:
case 19:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out19;
	switch( (*pdaRun->p) ) {
		case 34: goto st500;
		case 92: goto st20;
	}
	goto st19;
st500:
case 500:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out500;
	if ( (*pdaRun->p) == 105 )
		goto tr785;
	goto tr784;
st20:
case 20:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out20;
	goto st19;
st21:
case 21:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out21;
	switch( (*pdaRun->p) ) {
		case 39: goto st500;
		case 92: goto st22;
	}
	goto st21;
st22:
case 22:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out22;
	goto st21;
st501:
case 501:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out501;
	if ( (*pdaRun->p) == 42 )
		goto tr787;
	goto tr786;
st502:
case 502:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out502;
	if ( (*pdaRun->p) == 45 )
		goto tr789;
	goto tr788;
st503:
case 503:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out503;
	if ( (*pdaRun->p) == 46 )
		goto tr791;
	goto tr790;
tr775:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st504;
st504:
case 504:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out504;
	if ( (*pdaRun->p) == 120 )
		goto st23;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st505;
	goto tr792;
st23:
case 23:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out23;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st506;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st506;
	} else
		goto st506;
	goto tr35;
st506:
case 506:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out506;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st506;
	} else if ( (*pdaRun->p) > 70 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 102 )
			goto st506;
	} else
		goto st506;
	goto tr794;
st505:
case 505:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out505;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st505;
	goto tr792;
st24:
case 24:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out24;
	if ( (*pdaRun->p) == 62 )
		goto st507;
	goto st0;
st507:
case 507:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out507;
	if ( (*pdaRun->p) == 62 )
		goto tr796;
	goto tr795;
st25:
case 25:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out25;
	if ( (*pdaRun->p) == 58 )
		goto tr38;
	goto st0;
st509:
case 509:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out509;
	if ( (*pdaRun->p) == 94 )
		goto tr799;
	goto tr798;
st508:
case 508:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out508;
	if ( (*pdaRun->p) == 95 )
		goto st508;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st508;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st508;
	} else
		goto st508;
	goto tr797;
tr40:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 144;
	goto out;
}
	goto st510;
tr801:
	{	pdaRun->matched_token = 143;
	goto out;
}
	goto st510;
st510:
case 510:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out510;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st511;
		case 35: goto st26;
	}
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st511;
	goto st0;
st511:
case 511:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out511;
	if ( (*pdaRun->p) == 32 )
		goto st511;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st511;
	goto tr801;
st26:
case 26:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out26;
	if ( (*pdaRun->p) == 10 )
		goto tr40;
	goto st26;
tr41:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st512;
tr802:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st512;
tr804:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st512;
st512:
case 512:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out512;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr802;
		case 92: goto st27;
		case 93: goto tr804;
	}
	goto tr41;
st27:
case 27:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out27;
	goto tr41;
tr42:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 146;
	goto out;
}
	goto st513;
tr805:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 145;
	goto out;
}
	goto st513;
tr807:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 147;
	goto out;
}
	goto st513;
st513:
case 513:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out513;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 45: goto tr805;
		case 92: goto st28;
		case 93: goto tr807;
	}
	goto tr42;
st28:
case 28:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out28;
	goto tr42;
tr808:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 170;
	goto out;
}
	goto st514;
st514:
case 514:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out514;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr808;
tr46:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 159;
	goto skip_toklen;
}
	goto st515;
tr51:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 151;
	goto out;
}
	goto st515;
tr809:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 159;
	goto out;
}
	goto st515;
tr817:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st515;
tr818:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st515;
tr819:
	{	pdaRun->matched_token = 152;
	goto out;
}
	goto st515;
tr820:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st515;
tr821:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st515;
tr822:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 153;
	goto out;
}
	goto st515;
tr823:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st515;
tr826:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st515;
tr827:
	{	pdaRun->matched_token = 155;
	goto out;
}
	goto st515;
tr830:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st515;
tr831:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st515;
tr832:
	{	pdaRun->matched_token = 150;
	goto out;
}
	goto st515;
st515:
case 515:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out515;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st516;
		case 34: goto tr811;
		case 36: goto st519;
		case 39: goto tr813;
		case 47: goto tr814;
		case 64: goto st524;
		case 95: goto st527;
		case 123: goto tr817;
		case 125: goto tr818;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st516;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st527;
	} else
		goto st527;
	goto tr809;
st516:
case 516:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out516;
	if ( (*pdaRun->p) == 32 )
		goto st516;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st516;
	goto tr819;
tr811:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st517;
st517:
case 517:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out517;
	switch( (*pdaRun->p) ) {
		case 34: goto st518;
		case 92: goto st30;
	}
	goto st29;
st518:
case 518:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out518;
	if ( (*pdaRun->p) == 105 )
		goto tr822;
	goto tr821;
st30:
case 30:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out30;
	goto st29;
st29:
case 29:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out29;
	switch( (*pdaRun->p) ) {
		case 34: goto st518;
		case 92: goto st30;
	}
	goto st29;
st519:
case 519:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out519;
	switch( (*pdaRun->p) ) {
		case 36: goto tr823;
		case 95: goto st521;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st520;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st521;
	} else
		goto st521;
	goto tr820;
st521:
case 521:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out521;
	if ( (*pdaRun->p) == 95 )
		goto st521;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st521;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st521;
	} else
		goto st521;
	goto tr827;
st520:
case 520:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out520;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st520;
	goto tr826;
tr813:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st522;
st522:
case 522:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out522;
	switch( (*pdaRun->p) ) {
		case 39: goto st518;
		case 92: goto st32;
	}
	goto st31;
st32:
case 32:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out32;
	goto st31;
st31:
case 31:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out31;
	switch( (*pdaRun->p) ) {
		case 39: goto st518;
		case 92: goto st32;
	}
	goto st31;
tr814:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st523;
st523:
case 523:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out523;
	switch( (*pdaRun->p) ) {
		case 42: goto st33;
		case 47: goto st35;
	}
	goto tr820;
st33:
case 33:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out33;
	if ( (*pdaRun->p) == 42 )
		goto st34;
	goto st33;
st34:
case 34:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out34;
	switch( (*pdaRun->p) ) {
		case 42: goto st34;
		case 47: goto tr51;
	}
	goto st33;
st35:
case 35:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out35;
	if ( (*pdaRun->p) == 10 )
		goto tr51;
	goto st35;
st524:
case 524:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out524;
	if ( (*pdaRun->p) == 95 )
		goto st526;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st525;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st526;
	} else
		goto st526;
	goto tr820;
st526:
case 526:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out526;
	if ( (*pdaRun->p) == 95 )
		goto st526;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st526;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st526;
	} else
		goto st526;
	goto tr831;
st525:
case 525:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out525;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st525;
	goto tr830;
st527:
case 527:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out527;
	if ( (*pdaRun->p) == 95 )
		goto st527;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st527;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st527;
	} else
		goto st527;
	goto tr832;
tr56:
	{	pdaRun->toklen = pdaRun->tokend;
	pdaRun->matched_token = 159;
	goto skip_toklen;
}
	goto st528;
tr61:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 151;
	goto out;
}
	goto st528;
tr833:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 159;
	goto out;
}
	goto st528;
tr841:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 148;
	goto out;
}
	goto st528;
tr842:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 149;
	goto out;
}
	goto st528;
tr843:
	{	pdaRun->matched_token = 152;
	goto out;
}
	goto st528;
tr844:
	{	pdaRun->matched_token = 159;
	goto out;
}
	goto st528;
tr845:
	{	pdaRun->matched_token = 153;
	goto out;
}
	goto st528;
tr846:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 153;
	goto out;
}
	goto st528;
tr847:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 154;
	goto out;
}
	goto st528;
tr850:
	{	pdaRun->matched_token = 157;
	goto out;
}
	goto st528;
tr851:
	{	pdaRun->matched_token = 155;
	goto out;
}
	goto st528;
tr854:
	{	pdaRun->matched_token = 158;
	goto out;
}
	goto st528;
tr855:
	{	pdaRun->matched_token = 156;
	goto out;
}
	goto st528;
tr856:
	{	pdaRun->matched_token = 150;
	goto out;
}
	goto st528;
st528:
case 528:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out528;
	{pdaRun->tokstart = pdaRun->p;}
	switch( (*pdaRun->p) ) {
		case 32: goto st529;
		case 34: goto tr835;
		case 36: goto st532;
		case 39: goto tr837;
		case 47: goto tr838;
		case 64: goto st537;
		case 95: goto st540;
		case 123: goto tr841;
		case 125: goto tr842;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
			goto st529;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st540;
	} else
		goto st540;
	goto tr833;
st529:
case 529:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out529;
	if ( (*pdaRun->p) == 32 )
		goto st529;
	if ( 9 <= (*pdaRun->p) && (*pdaRun->p) <= 10 )
		goto st529;
	goto tr843;
tr835:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st530;
st530:
case 530:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out530;
	switch( (*pdaRun->p) ) {
		case 34: goto st531;
		case 92: goto st37;
	}
	goto st36;
st531:
case 531:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out531;
	if ( (*pdaRun->p) == 105 )
		goto tr846;
	goto tr845;
st37:
case 37:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out37;
	goto st36;
st36:
case 36:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out36;
	switch( (*pdaRun->p) ) {
		case 34: goto st531;
		case 92: goto st37;
	}
	goto st36;
st532:
case 532:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out532;
	switch( (*pdaRun->p) ) {
		case 36: goto tr847;
		case 95: goto st534;
	}
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st533;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st534;
	} else
		goto st534;
	goto tr844;
st534:
case 534:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out534;
	if ( (*pdaRun->p) == 95 )
		goto st534;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st534;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st534;
	} else
		goto st534;
	goto tr851;
st533:
case 533:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out533;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st533;
	goto tr850;
tr837:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st535;
st535:
case 535:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out535;
	switch( (*pdaRun->p) ) {
		case 39: goto st531;
		case 92: goto st39;
	}
	goto st38;
st39:
case 39:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out39;
	goto st38;
st38:
case 38:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out38;
	switch( (*pdaRun->p) ) {
		case 39: goto st531;
		case 92: goto st39;
	}
	goto st38;
tr838:
	{{ pdaRun->tokend = pdaRun->toklen + ( pdaRun->p - pdaRun->start ) + 1; }}
	goto st536;
st536:
case 536:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out536;
	switch( (*pdaRun->p) ) {
		case 42: goto st40;
		case 47: goto st42;
	}
	goto tr844;
st40:
case 40:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out40;
	if ( (*pdaRun->p) == 42 )
		goto st41;
	goto st40;
st41:
case 41:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out41;
	switch( (*pdaRun->p) ) {
		case 42: goto st41;
		case 47: goto tr61;
	}
	goto st40;
st42:
case 42:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out42;
	if ( (*pdaRun->p) == 10 )
		goto tr61;
	goto st42;
st537:
case 537:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out537;
	if ( (*pdaRun->p) == 95 )
		goto st539;
	if ( (*pdaRun->p) < 65 ) {
		if ( 49 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st538;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st539;
	} else
		goto st539;
	goto tr844;
st539:
case 539:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out539;
	if ( (*pdaRun->p) == 95 )
		goto st539;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st539;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st539;
	} else
		goto st539;
	goto tr855;
st538:
case 538:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out538;
	if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
		goto st538;
	goto tr854;
st540:
case 540:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out540;
	if ( (*pdaRun->p) == 95 )
		goto st540;
	if ( (*pdaRun->p) < 65 ) {
		if ( 48 <= (*pdaRun->p) && (*pdaRun->p) <= 57 )
			goto st540;
	} else if ( (*pdaRun->p) > 90 ) {
		if ( 97 <= (*pdaRun->p) && (*pdaRun->p) <= 122 )
			goto st540;
	} else
		goto st540;
	goto tr856;
tr857:
	{	pdaRun->p += 1;
	pdaRun->matched_token = 171;
	goto out;
}
	goto st541;
st541:
case 541:
	if ( ++pdaRun->p == pdaRun->pe )
		goto out541;
	{pdaRun->tokstart = pdaRun->p;}
	goto tr857;
	}
out_switch:
	switch ( pdaRun->fsm_cs )
	{
	case 43: out43: pdaRun->fsm_cs = 43; goto out; 
	case 44: out44: if ( pdaRun->eof ) {goto tr112;
}pdaRun->fsm_cs = 44; goto out; 
	case 45: out45: if ( pdaRun->eof ) {goto tr113;
}pdaRun->fsm_cs = 45; goto out; 
	case 1: out1: pdaRun->fsm_cs = 1; goto out; 
	case 2: out2: pdaRun->fsm_cs = 2; goto out; 
	case 0: out0: pdaRun->fsm_cs = 0; goto out; 
	case 46: out46: if ( pdaRun->eof ) {goto tr115;
}pdaRun->fsm_cs = 46; goto out; 
	case 48: out48: if ( pdaRun->eof ) {goto tr118;
}pdaRun->fsm_cs = 48; goto out; 
	case 49: out49: if ( pdaRun->eof ) {goto tr120;
}pdaRun->fsm_cs = 49; goto out; 
	case 50: out50: if ( pdaRun->eof ) {goto tr122;
}pdaRun->fsm_cs = 50; goto out; 
	case 51: out51: if ( pdaRun->eof ) {goto tr124;
}pdaRun->fsm_cs = 51; goto out; 
	case 3: out3: pdaRun->fsm_cs = 3; goto out; 
	case 53: out53: if ( pdaRun->eof ) {goto tr127;
}pdaRun->fsm_cs = 53; goto out; 
	case 54: out54: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 54; goto out; 
	case 52: out52: if ( pdaRun->eof ) {goto tr126;
}pdaRun->fsm_cs = 52; goto out; 
	case 55: out55: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 55; goto out; 
	case 56: out56: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 56; goto out; 
	case 57: out57: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 57; goto out; 
	case 58: out58: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 58; goto out; 
	case 59: out59: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 59; goto out; 
	case 60: out60: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 60; goto out; 
	case 61: out61: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 61; goto out; 
	case 62: out62: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 62; goto out; 
	case 63: out63: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 63; goto out; 
	case 64: out64: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 64; goto out; 
	case 65: out65: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 65; goto out; 
	case 66: out66: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 66; goto out; 
	case 67: out67: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 67; goto out; 
	case 68: out68: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 68; goto out; 
	case 69: out69: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 69; goto out; 
	case 70: out70: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 70; goto out; 
	case 71: out71: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 71; goto out; 
	case 72: out72: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 72; goto out; 
	case 73: out73: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 73; goto out; 
	case 74: out74: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 74; goto out; 
	case 75: out75: if ( pdaRun->eof ) {goto tr156;
}pdaRun->fsm_cs = 75; goto out; 
	case 76: out76: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 76; goto out; 
	case 77: out77: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 77; goto out; 
	case 78: out78: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 78; goto out; 
	case 79: out79: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 79; goto out; 
	case 80: out80: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 80; goto out; 
	case 81: out81: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 81; goto out; 
	case 82: out82: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 82; goto out; 
	case 83: out83: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 83; goto out; 
	case 84: out84: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 84; goto out; 
	case 85: out85: if ( pdaRun->eof ) {goto tr167;
}pdaRun->fsm_cs = 85; goto out; 
	case 86: out86: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 86; goto out; 
	case 87: out87: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 87; goto out; 
	case 88: out88: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 88; goto out; 
	case 89: out89: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 89; goto out; 
	case 90: out90: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 90; goto out; 
	case 91: out91: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 91; goto out; 
	case 92: out92: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 92; goto out; 
	case 93: out93: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 93; goto out; 
	case 94: out94: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 94; goto out; 
	case 95: out95: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 95; goto out; 
	case 96: out96: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 96; goto out; 
	case 97: out97: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 97; goto out; 
	case 98: out98: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 98; goto out; 
	case 99: out99: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 99; goto out; 
	case 100: out100: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 100; goto out; 
	case 101: out101: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 101; goto out; 
	case 102: out102: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 102; goto out; 
	case 103: out103: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 103; goto out; 
	case 104: out104: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 104; goto out; 
	case 105: out105: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 105; goto out; 
	case 106: out106: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 106; goto out; 
	case 107: out107: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 107; goto out; 
	case 108: out108: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 108; goto out; 
	case 109: out109: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 109; goto out; 
	case 110: out110: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 110; goto out; 
	case 111: out111: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 111; goto out; 
	case 112: out112: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 112; goto out; 
	case 113: out113: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 113; goto out; 
	case 114: out114: if ( pdaRun->eof ) {goto tr205;
}pdaRun->fsm_cs = 114; goto out; 
	case 115: out115: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 115; goto out; 
	case 116: out116: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 116; goto out; 
	case 117: out117: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 117; goto out; 
	case 118: out118: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 118; goto out; 
	case 119: out119: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 119; goto out; 
	case 120: out120: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 120; goto out; 
	case 121: out121: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 121; goto out; 
	case 122: out122: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 122; goto out; 
	case 123: out123: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 123; goto out; 
	case 124: out124: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 124; goto out; 
	case 125: out125: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 125; goto out; 
	case 126: out126: if ( pdaRun->eof ) {goto tr222;
}pdaRun->fsm_cs = 126; goto out; 
	case 127: out127: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 127; goto out; 
	case 128: out128: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 128; goto out; 
	case 129: out129: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 129; goto out; 
	case 130: out130: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 130; goto out; 
	case 131: out131: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 131; goto out; 
	case 132: out132: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 132; goto out; 
	case 133: out133: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 133; goto out; 
	case 134: out134: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 134; goto out; 
	case 135: out135: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 135; goto out; 
	case 136: out136: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 136; goto out; 
	case 137: out137: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 137; goto out; 
	case 138: out138: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 138; goto out; 
	case 139: out139: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 139; goto out; 
	case 140: out140: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 140; goto out; 
	case 141: out141: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 141; goto out; 
	case 142: out142: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 142; goto out; 
	case 143: out143: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 143; goto out; 
	case 144: out144: if ( pdaRun->eof ) {goto tr244;
}pdaRun->fsm_cs = 144; goto out; 
	case 145: out145: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 145; goto out; 
	case 146: out146: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 146; goto out; 
	case 147: out147: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 147; goto out; 
	case 148: out148: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 148; goto out; 
	case 149: out149: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 149; goto out; 
	case 150: out150: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 150; goto out; 
	case 151: out151: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 151; goto out; 
	case 152: out152: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 152; goto out; 
	case 153: out153: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 153; goto out; 
	case 154: out154: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 154; goto out; 
	case 155: out155: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 155; goto out; 
	case 156: out156: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 156; goto out; 
	case 157: out157: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 157; goto out; 
	case 158: out158: if ( pdaRun->eof ) {goto tr262;
}pdaRun->fsm_cs = 158; goto out; 
	case 159: out159: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 159; goto out; 
	case 160: out160: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 160; goto out; 
	case 161: out161: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 161; goto out; 
	case 162: out162: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 162; goto out; 
	case 163: out163: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 163; goto out; 
	case 164: out164: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 164; goto out; 
	case 165: out165: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 165; goto out; 
	case 166: out166: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 166; goto out; 
	case 167: out167: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 167; goto out; 
	case 168: out168: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 168; goto out; 
	case 169: out169: if ( pdaRun->eof ) {goto tr276;
}pdaRun->fsm_cs = 169; goto out; 
	case 170: out170: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 170; goto out; 
	case 171: out171: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 171; goto out; 
	case 172: out172: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 172; goto out; 
	case 173: out173: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 173; goto out; 
	case 174: out174: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 174; goto out; 
	case 175: out175: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 175; goto out; 
	case 176: out176: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 176; goto out; 
	case 177: out177: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 177; goto out; 
	case 178: out178: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 178; goto out; 
	case 179: out179: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 179; goto out; 
	case 180: out180: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 180; goto out; 
	case 181: out181: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 181; goto out; 
	case 182: out182: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 182; goto out; 
	case 183: out183: if ( pdaRun->eof ) {goto tr293;
}pdaRun->fsm_cs = 183; goto out; 
	case 184: out184: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 184; goto out; 
	case 185: out185: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 185; goto out; 
	case 186: out186: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 186; goto out; 
	case 187: out187: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 187; goto out; 
	case 188: out188: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 188; goto out; 
	case 189: out189: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 189; goto out; 
	case 190: out190: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 190; goto out; 
	case 191: out191: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 191; goto out; 
	case 192: out192: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 192; goto out; 
	case 193: out193: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 193; goto out; 
	case 194: out194: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 194; goto out; 
	case 195: out195: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 195; goto out; 
	case 196: out196: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 196; goto out; 
	case 197: out197: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 197; goto out; 
	case 198: out198: if ( pdaRun->eof ) {goto tr317;
}pdaRun->fsm_cs = 198; goto out; 
	case 199: out199: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 199; goto out; 
	case 200: out200: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 200; goto out; 
	case 201: out201: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 201; goto out; 
	case 202: out202: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 202; goto out; 
	case 203: out203: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 203; goto out; 
	case 204: out204: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 204; goto out; 
	case 205: out205: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 205; goto out; 
	case 206: out206: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 206; goto out; 
	case 207: out207: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 207; goto out; 
	case 208: out208: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 208; goto out; 
	case 209: out209: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 209; goto out; 
	case 210: out210: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 210; goto out; 
	case 211: out211: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 211; goto out; 
	case 212: out212: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 212; goto out; 
	case 213: out213: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 213; goto out; 
	case 214: out214: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 214; goto out; 
	case 215: out215: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 215; goto out; 
	case 216: out216: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 216; goto out; 
	case 217: out217: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 217; goto out; 
	case 218: out218: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 218; goto out; 
	case 219: out219: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 219; goto out; 
	case 220: out220: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 220; goto out; 
	case 221: out221: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 221; goto out; 
	case 222: out222: if ( pdaRun->eof ) {goto tr344;
}pdaRun->fsm_cs = 222; goto out; 
	case 223: out223: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 223; goto out; 
	case 224: out224: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 224; goto out; 
	case 225: out225: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 225; goto out; 
	case 226: out226: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 226; goto out; 
	case 227: out227: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 227; goto out; 
	case 228: out228: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 228; goto out; 
	case 229: out229: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 229; goto out; 
	case 230: out230: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 230; goto out; 
	case 231: out231: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 231; goto out; 
	case 232: out232: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 232; goto out; 
	case 233: out233: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 233; goto out; 
	case 234: out234: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 234; goto out; 
	case 235: out235: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 235; goto out; 
	case 236: out236: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 236; goto out; 
	case 237: out237: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 237; goto out; 
	case 238: out238: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 238; goto out; 
	case 239: out239: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 239; goto out; 
	case 240: out240: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 240; goto out; 
	case 241: out241: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 241; goto out; 
	case 242: out242: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 242; goto out; 
	case 243: out243: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 243; goto out; 
	case 244: out244: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 244; goto out; 
	case 245: out245: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 245; goto out; 
	case 246: out246: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 246; goto out; 
	case 247: out247: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 247; goto out; 
	case 248: out248: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 248; goto out; 
	case 249: out249: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 249; goto out; 
	case 250: out250: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 250; goto out; 
	case 251: out251: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 251; goto out; 
	case 252: out252: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 252; goto out; 
	case 253: out253: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 253; goto out; 
	case 254: out254: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 254; goto out; 
	case 255: out255: if ( pdaRun->eof ) {goto tr128;
}pdaRun->fsm_cs = 255; goto out; 
	case 256: out256: if ( pdaRun->eof ) {goto tr381;
}pdaRun->fsm_cs = 256; goto out; 
	case 47: out47: if ( pdaRun->eof ) {goto tr117;
}pdaRun->fsm_cs = 47; goto out; 
	case 257: out257: pdaRun->fsm_cs = 257; goto out; 
	case 258: out258: if ( pdaRun->eof ) {goto tr431;
}pdaRun->fsm_cs = 258; goto out; 
	case 4: out4: pdaRun->fsm_cs = 4; goto out; 
	case 259: out259: if ( pdaRun->eof ) {goto tr433;
}pdaRun->fsm_cs = 259; goto out; 
	case 261: out261: if ( pdaRun->eof ) {goto tr436;
}pdaRun->fsm_cs = 261; goto out; 
	case 262: out262: if ( pdaRun->eof ) {goto tr438;
}pdaRun->fsm_cs = 262; goto out; 
	case 263: out263: if ( pdaRun->eof ) {goto tr440;
}pdaRun->fsm_cs = 263; goto out; 
	case 264: out264: if ( pdaRun->eof ) {goto tr442;
}pdaRun->fsm_cs = 264; goto out; 
	case 5: out5: pdaRun->fsm_cs = 5; goto out; 
	case 266: out266: if ( pdaRun->eof ) {goto tr445;
}pdaRun->fsm_cs = 266; goto out; 
	case 267: out267: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 267; goto out; 
	case 265: out265: if ( pdaRun->eof ) {goto tr444;
}pdaRun->fsm_cs = 265; goto out; 
	case 268: out268: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 268; goto out; 
	case 269: out269: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 269; goto out; 
	case 270: out270: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 270; goto out; 
	case 271: out271: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 271; goto out; 
	case 272: out272: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 272; goto out; 
	case 273: out273: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 273; goto out; 
	case 274: out274: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 274; goto out; 
	case 275: out275: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 275; goto out; 
	case 276: out276: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 276; goto out; 
	case 277: out277: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 277; goto out; 
	case 278: out278: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 278; goto out; 
	case 279: out279: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 279; goto out; 
	case 280: out280: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 280; goto out; 
	case 281: out281: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 281; goto out; 
	case 282: out282: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 282; goto out; 
	case 283: out283: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 283; goto out; 
	case 284: out284: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 284; goto out; 
	case 285: out285: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 285; goto out; 
	case 286: out286: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 286; goto out; 
	case 287: out287: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 287; goto out; 
	case 288: out288: if ( pdaRun->eof ) {goto tr474;
}pdaRun->fsm_cs = 288; goto out; 
	case 289: out289: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 289; goto out; 
	case 290: out290: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 290; goto out; 
	case 291: out291: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 291; goto out; 
	case 292: out292: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 292; goto out; 
	case 293: out293: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 293; goto out; 
	case 294: out294: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 294; goto out; 
	case 295: out295: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 295; goto out; 
	case 296: out296: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 296; goto out; 
	case 297: out297: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 297; goto out; 
	case 298: out298: if ( pdaRun->eof ) {goto tr485;
}pdaRun->fsm_cs = 298; goto out; 
	case 299: out299: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 299; goto out; 
	case 300: out300: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 300; goto out; 
	case 301: out301: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 301; goto out; 
	case 302: out302: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 302; goto out; 
	case 303: out303: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 303; goto out; 
	case 304: out304: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 304; goto out; 
	case 305: out305: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 305; goto out; 
	case 306: out306: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 306; goto out; 
	case 307: out307: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 307; goto out; 
	case 308: out308: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 308; goto out; 
	case 309: out309: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 309; goto out; 
	case 310: out310: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 310; goto out; 
	case 311: out311: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 311; goto out; 
	case 312: out312: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 312; goto out; 
	case 313: out313: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 313; goto out; 
	case 314: out314: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 314; goto out; 
	case 315: out315: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 315; goto out; 
	case 316: out316: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 316; goto out; 
	case 317: out317: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 317; goto out; 
	case 318: out318: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 318; goto out; 
	case 319: out319: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 319; goto out; 
	case 320: out320: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 320; goto out; 
	case 321: out321: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 321; goto out; 
	case 322: out322: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 322; goto out; 
	case 323: out323: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 323; goto out; 
	case 324: out324: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 324; goto out; 
	case 325: out325: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 325; goto out; 
	case 326: out326: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 326; goto out; 
	case 327: out327: if ( pdaRun->eof ) {goto tr523;
}pdaRun->fsm_cs = 327; goto out; 
	case 328: out328: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 328; goto out; 
	case 329: out329: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 329; goto out; 
	case 330: out330: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 330; goto out; 
	case 331: out331: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 331; goto out; 
	case 332: out332: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 332; goto out; 
	case 333: out333: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 333; goto out; 
	case 334: out334: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 334; goto out; 
	case 335: out335: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 335; goto out; 
	case 336: out336: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 336; goto out; 
	case 337: out337: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 337; goto out; 
	case 338: out338: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 338; goto out; 
	case 339: out339: if ( pdaRun->eof ) {goto tr540;
}pdaRun->fsm_cs = 339; goto out; 
	case 340: out340: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 340; goto out; 
	case 341: out341: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 341; goto out; 
	case 342: out342: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 342; goto out; 
	case 343: out343: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 343; goto out; 
	case 344: out344: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 344; goto out; 
	case 345: out345: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 345; goto out; 
	case 346: out346: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 346; goto out; 
	case 347: out347: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 347; goto out; 
	case 348: out348: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 348; goto out; 
	case 349: out349: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 349; goto out; 
	case 350: out350: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 350; goto out; 
	case 351: out351: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 351; goto out; 
	case 352: out352: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 352; goto out; 
	case 353: out353: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 353; goto out; 
	case 354: out354: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 354; goto out; 
	case 355: out355: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 355; goto out; 
	case 356: out356: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 356; goto out; 
	case 357: out357: if ( pdaRun->eof ) {goto tr562;
}pdaRun->fsm_cs = 357; goto out; 
	case 358: out358: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 358; goto out; 
	case 359: out359: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 359; goto out; 
	case 360: out360: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 360; goto out; 
	case 361: out361: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 361; goto out; 
	case 362: out362: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 362; goto out; 
	case 363: out363: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 363; goto out; 
	case 364: out364: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 364; goto out; 
	case 365: out365: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 365; goto out; 
	case 366: out366: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 366; goto out; 
	case 367: out367: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 367; goto out; 
	case 368: out368: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 368; goto out; 
	case 369: out369: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 369; goto out; 
	case 370: out370: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 370; goto out; 
	case 371: out371: if ( pdaRun->eof ) {goto tr580;
}pdaRun->fsm_cs = 371; goto out; 
	case 372: out372: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 372; goto out; 
	case 373: out373: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 373; goto out; 
	case 374: out374: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 374; goto out; 
	case 375: out375: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 375; goto out; 
	case 376: out376: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 376; goto out; 
	case 377: out377: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 377; goto out; 
	case 378: out378: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 378; goto out; 
	case 379: out379: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 379; goto out; 
	case 380: out380: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 380; goto out; 
	case 381: out381: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 381; goto out; 
	case 382: out382: if ( pdaRun->eof ) {goto tr594;
}pdaRun->fsm_cs = 382; goto out; 
	case 383: out383: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 383; goto out; 
	case 384: out384: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 384; goto out; 
	case 385: out385: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 385; goto out; 
	case 386: out386: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 386; goto out; 
	case 387: out387: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 387; goto out; 
	case 388: out388: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 388; goto out; 
	case 389: out389: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 389; goto out; 
	case 390: out390: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 390; goto out; 
	case 391: out391: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 391; goto out; 
	case 392: out392: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 392; goto out; 
	case 393: out393: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 393; goto out; 
	case 394: out394: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 394; goto out; 
	case 395: out395: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 395; goto out; 
	case 396: out396: if ( pdaRun->eof ) {goto tr611;
}pdaRun->fsm_cs = 396; goto out; 
	case 397: out397: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 397; goto out; 
	case 398: out398: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 398; goto out; 
	case 399: out399: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 399; goto out; 
	case 400: out400: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 400; goto out; 
	case 401: out401: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 401; goto out; 
	case 402: out402: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 402; goto out; 
	case 403: out403: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 403; goto out; 
	case 404: out404: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 404; goto out; 
	case 405: out405: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 405; goto out; 
	case 406: out406: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 406; goto out; 
	case 407: out407: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 407; goto out; 
	case 408: out408: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 408; goto out; 
	case 409: out409: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 409; goto out; 
	case 410: out410: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 410; goto out; 
	case 411: out411: if ( pdaRun->eof ) {goto tr635;
}pdaRun->fsm_cs = 411; goto out; 
	case 412: out412: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 412; goto out; 
	case 413: out413: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 413; goto out; 
	case 414: out414: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 414; goto out; 
	case 415: out415: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 415; goto out; 
	case 416: out416: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 416; goto out; 
	case 417: out417: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 417; goto out; 
	case 418: out418: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 418; goto out; 
	case 419: out419: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 419; goto out; 
	case 420: out420: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 420; goto out; 
	case 421: out421: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 421; goto out; 
	case 422: out422: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 422; goto out; 
	case 423: out423: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 423; goto out; 
	case 424: out424: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 424; goto out; 
	case 425: out425: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 425; goto out; 
	case 426: out426: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 426; goto out; 
	case 427: out427: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 427; goto out; 
	case 428: out428: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 428; goto out; 
	case 429: out429: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 429; goto out; 
	case 430: out430: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 430; goto out; 
	case 431: out431: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 431; goto out; 
	case 432: out432: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 432; goto out; 
	case 433: out433: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 433; goto out; 
	case 434: out434: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 434; goto out; 
	case 435: out435: if ( pdaRun->eof ) {goto tr662;
}pdaRun->fsm_cs = 435; goto out; 
	case 436: out436: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 436; goto out; 
	case 437: out437: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 437; goto out; 
	case 438: out438: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 438; goto out; 
	case 439: out439: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 439; goto out; 
	case 440: out440: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 440; goto out; 
	case 441: out441: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 441; goto out; 
	case 442: out442: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 442; goto out; 
	case 443: out443: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 443; goto out; 
	case 444: out444: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 444; goto out; 
	case 445: out445: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 445; goto out; 
	case 446: out446: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 446; goto out; 
	case 447: out447: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 447; goto out; 
	case 448: out448: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 448; goto out; 
	case 449: out449: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 449; goto out; 
	case 450: out450: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 450; goto out; 
	case 451: out451: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 451; goto out; 
	case 452: out452: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 452; goto out; 
	case 453: out453: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 453; goto out; 
	case 454: out454: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 454; goto out; 
	case 455: out455: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 455; goto out; 
	case 456: out456: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 456; goto out; 
	case 457: out457: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 457; goto out; 
	case 458: out458: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 458; goto out; 
	case 459: out459: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 459; goto out; 
	case 460: out460: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 460; goto out; 
	case 461: out461: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 461; goto out; 
	case 462: out462: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 462; goto out; 
	case 463: out463: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 463; goto out; 
	case 464: out464: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 464; goto out; 
	case 465: out465: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 465; goto out; 
	case 466: out466: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 466; goto out; 
	case 467: out467: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 467; goto out; 
	case 468: out468: if ( pdaRun->eof ) {goto tr446;
}pdaRun->fsm_cs = 468; goto out; 
	case 469: out469: if ( pdaRun->eof ) {goto tr699;
}pdaRun->fsm_cs = 469; goto out; 
	case 260: out260: if ( pdaRun->eof ) {goto tr435;
}pdaRun->fsm_cs = 260; goto out; 
	case 470: out470: pdaRun->fsm_cs = 470; goto out; 
	case 471: out471: if ( pdaRun->eof ) {goto tr702;
}pdaRun->fsm_cs = 471; goto out; 
	case 6: out6: pdaRun->fsm_cs = 6; goto out; 
	case 472: out472: pdaRun->fsm_cs = 472; goto out; 
	case 7: out7: if ( pdaRun->eof ) {goto tr12;
}pdaRun->fsm_cs = 7; goto out; 
	case 473: out473: if ( pdaRun->eof ) {goto tr708;
}pdaRun->fsm_cs = 473; goto out; 
	case 474: out474: pdaRun->fsm_cs = 474; goto out; 
	case 8: out8: if ( pdaRun->eof ) {goto tr14;
}pdaRun->fsm_cs = 8; goto out; 
	case 475: out475: if ( pdaRun->eof ) {goto tr714;
}pdaRun->fsm_cs = 475; goto out; 
	case 476: out476: pdaRun->fsm_cs = 476; goto out; 
	case 477: out477: pdaRun->fsm_cs = 477; goto out; 
	case 9: out9: if ( pdaRun->eof ) {goto tr16;
}pdaRun->fsm_cs = 9; goto out; 
	case 478: out478: if ( pdaRun->eof ) {goto tr719;
}pdaRun->fsm_cs = 478; goto out; 
	case 479: out479: pdaRun->fsm_cs = 479; goto out; 
	case 10: out10: if ( pdaRun->eof ) {goto tr18;
}pdaRun->fsm_cs = 10; goto out; 
	case 480: out480: if ( pdaRun->eof ) {goto tr723;
}pdaRun->fsm_cs = 480; goto out; 
	case 481: out481: pdaRun->fsm_cs = 481; goto out; 
	case 482: out482: pdaRun->fsm_cs = 482; goto out; 
	case 483: out483: if ( pdaRun->eof ) {goto tr727;
}pdaRun->fsm_cs = 483; goto out; 
	case 484: out484: pdaRun->fsm_cs = 484; goto out; 
	case 485: out485: if ( pdaRun->eof ) {goto tr730;
}pdaRun->fsm_cs = 485; goto out; 
	case 486: out486: pdaRun->fsm_cs = 486; goto out; 
	case 487: out487: pdaRun->fsm_cs = 487; goto out; 
	case 488: out488: if ( pdaRun->eof ) {goto tr750;
}pdaRun->fsm_cs = 488; goto out; 
	case 11: out11: pdaRun->fsm_cs = 11; goto out; 
	case 489: out489: if ( pdaRun->eof ) {goto tr751;
}pdaRun->fsm_cs = 489; goto out; 
	case 12: out12: pdaRun->fsm_cs = 12; goto out; 
	case 13: out13: pdaRun->fsm_cs = 13; goto out; 
	case 14: out14: pdaRun->fsm_cs = 14; goto out; 
	case 15: out15: pdaRun->fsm_cs = 15; goto out; 
	case 490: out490: if ( pdaRun->eof ) {goto tr753;
}pdaRun->fsm_cs = 490; goto out; 
	case 491: out491: if ( pdaRun->eof ) {goto tr755;
}pdaRun->fsm_cs = 491; goto out; 
	case 492: out492: if ( pdaRun->eof ) {goto tr757;
}pdaRun->fsm_cs = 492; goto out; 
	case 493: out493: if ( pdaRun->eof ) {goto tr759;
}pdaRun->fsm_cs = 493; goto out; 
	case 16: out16: if ( pdaRun->eof ) {goto tr26;
}pdaRun->fsm_cs = 16; goto out; 
	case 495: out495: if ( pdaRun->eof ) {goto tr761;
}pdaRun->fsm_cs = 495; goto out; 
	case 494: out494: if ( pdaRun->eof ) {goto tr759;
}pdaRun->fsm_cs = 494; goto out; 
	case 17: out17: pdaRun->fsm_cs = 17; goto out; 
	case 496: out496: if ( pdaRun->eof ) {goto tr762;
}pdaRun->fsm_cs = 496; goto out; 
	case 18: out18: pdaRun->fsm_cs = 18; goto out; 
	case 498: out498: if ( pdaRun->eof ) {goto tr765;
}pdaRun->fsm_cs = 498; goto out; 
	case 497: out497: if ( pdaRun->eof ) {goto tr764;
}pdaRun->fsm_cs = 497; goto out; 
	case 499: out499: pdaRun->fsm_cs = 499; goto out; 
	case 19: out19: pdaRun->fsm_cs = 19; goto out; 
	case 500: out500: if ( pdaRun->eof ) {goto tr784;
}pdaRun->fsm_cs = 500; goto out; 
	case 20: out20: pdaRun->fsm_cs = 20; goto out; 
	case 21: out21: pdaRun->fsm_cs = 21; goto out; 
	case 22: out22: pdaRun->fsm_cs = 22; goto out; 
	case 501: out501: if ( pdaRun->eof ) {goto tr786;
}pdaRun->fsm_cs = 501; goto out; 
	case 502: out502: if ( pdaRun->eof ) {goto tr788;
}pdaRun->fsm_cs = 502; goto out; 
	case 503: out503: if ( pdaRun->eof ) {goto tr790;
}pdaRun->fsm_cs = 503; goto out; 
	case 504: out504: if ( pdaRun->eof ) {goto tr792;
}pdaRun->fsm_cs = 504; goto out; 
	case 23: out23: if ( pdaRun->eof ) {goto tr35;
}pdaRun->fsm_cs = 23; goto out; 
	case 506: out506: if ( pdaRun->eof ) {goto tr794;
}pdaRun->fsm_cs = 506; goto out; 
	case 505: out505: if ( pdaRun->eof ) {goto tr792;
}pdaRun->fsm_cs = 505; goto out; 
	case 24: out24: pdaRun->fsm_cs = 24; goto out; 
	case 507: out507: if ( pdaRun->eof ) {goto tr795;
}pdaRun->fsm_cs = 507; goto out; 
	case 25: out25: pdaRun->fsm_cs = 25; goto out; 
	case 509: out509: if ( pdaRun->eof ) {goto tr798;
}pdaRun->fsm_cs = 509; goto out; 
	case 508: out508: if ( pdaRun->eof ) {goto tr797;
}pdaRun->fsm_cs = 508; goto out; 
	case 510: out510: pdaRun->fsm_cs = 510; goto out; 
	case 511: out511: if ( pdaRun->eof ) {goto tr801;
}pdaRun->fsm_cs = 511; goto out; 
	case 26: out26: pdaRun->fsm_cs = 26; goto out; 
	case 512: out512: pdaRun->fsm_cs = 512; goto out; 
	case 27: out27: pdaRun->fsm_cs = 27; goto out; 
	case 513: out513: pdaRun->fsm_cs = 513; goto out; 
	case 28: out28: pdaRun->fsm_cs = 28; goto out; 
	case 514: out514: pdaRun->fsm_cs = 514; goto out; 
	case 515: out515: pdaRun->fsm_cs = 515; goto out; 
	case 516: out516: if ( pdaRun->eof ) {goto tr819;
}pdaRun->fsm_cs = 516; goto out; 
	case 517: out517: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 517; goto out; 
	case 518: out518: if ( pdaRun->eof ) {goto tr821;
}pdaRun->fsm_cs = 518; goto out; 
	case 30: out30: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 30; goto out; 
	case 29: out29: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 29; goto out; 
	case 519: out519: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 519; goto out; 
	case 521: out521: if ( pdaRun->eof ) {goto tr827;
}pdaRun->fsm_cs = 521; goto out; 
	case 520: out520: if ( pdaRun->eof ) {goto tr826;
}pdaRun->fsm_cs = 520; goto out; 
	case 522: out522: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 522; goto out; 
	case 32: out32: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 32; goto out; 
	case 31: out31: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 31; goto out; 
	case 523: out523: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 523; goto out; 
	case 33: out33: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 33; goto out; 
	case 34: out34: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 34; goto out; 
	case 35: out35: if ( pdaRun->eof ) {goto tr46;
}pdaRun->fsm_cs = 35; goto out; 
	case 524: out524: if ( pdaRun->eof ) {goto tr820;
}pdaRun->fsm_cs = 524; goto out; 
	case 526: out526: if ( pdaRun->eof ) {goto tr831;
}pdaRun->fsm_cs = 526; goto out; 
	case 525: out525: if ( pdaRun->eof ) {goto tr830;
}pdaRun->fsm_cs = 525; goto out; 
	case 527: out527: if ( pdaRun->eof ) {goto tr832;
}pdaRun->fsm_cs = 527; goto out; 
	case 528: out528: pdaRun->fsm_cs = 528; goto out; 
	case 529: out529: if ( pdaRun->eof ) {goto tr843;
}pdaRun->fsm_cs = 529; goto out; 
	case 530: out530: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 530; goto out; 
	case 531: out531: if ( pdaRun->eof ) {goto tr845;
}pdaRun->fsm_cs = 531; goto out; 
	case 37: out37: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 37; goto out; 
	case 36: out36: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 36; goto out; 
	case 532: out532: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 532; goto out; 
	case 534: out534: if ( pdaRun->eof ) {goto tr851;
}pdaRun->fsm_cs = 534; goto out; 
	case 533: out533: if ( pdaRun->eof ) {goto tr850;
}pdaRun->fsm_cs = 533; goto out; 
	case 535: out535: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 535; goto out; 
	case 39: out39: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 39; goto out; 
	case 38: out38: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 38; goto out; 
	case 536: out536: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 536; goto out; 
	case 40: out40: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 40; goto out; 
	case 41: out41: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 41; goto out; 
	case 42: out42: if ( pdaRun->eof ) {goto tr56;
}pdaRun->fsm_cs = 42; goto out; 
	case 537: out537: if ( pdaRun->eof ) {goto tr844;
}pdaRun->fsm_cs = 537; goto out; 
	case 539: out539: if ( pdaRun->eof ) {goto tr855;
}pdaRun->fsm_cs = 539; goto out; 
	case 538: out538: if ( pdaRun->eof ) {goto tr854;
}pdaRun->fsm_cs = 538; goto out; 
	case 540: out540: if ( pdaRun->eof ) {goto tr856;
}pdaRun->fsm_cs = 540; goto out; 
	case 541: out541: pdaRun->fsm_cs = 541; goto out; 
	}
out:
	if ( pdaRun->p != 0 )
		pdaRun->toklen += pdaRun->p - pdaRun->start;
skip_toklen:
	{}
}

static void sendNamedLangEl( struct colm_program *prg, tree_t **tree,
		struct pda_run *pdaRun, struct stream_impl *inputStream ) { }
static void initBindings( struct pda_run *pdaRun ) {}
static void popBinding( struct pda_run *pdaRun, parse_tree_t *tree ) {}


static int pid_0_parser_indicies[] = {
	27, 28, 827, 25, 23, 26, 55, 56, 
	64, 67, 68, 65, 66, 73, 74, 828, 
	69, 70, 30, 52, 35, 36, 40, 38, 
	93, 92, 90, 851, 851, 851, 851, 851, 
	95, 32, 184, 47, 41, 42, 43, 109, 
	50, 150, 75, 48, 46, 111, 989, 37, 
	989, 163, 851, 851, 851, 72, 71, 196, 
	24, 54, 53, 863, 57, 195, 155, 77, 
	78, 79, 51, 61, 153, 164, 82, 84, 
	86, 88, 110, 855, 856, 98, 165, 188, 
	82, 84, 86, 88, 101, 102, 989, 159, 
	989, 158, 199, 96, 831, 202, 831, 203, 
	892, 208, 249, 893, 1018, 173, 138, 139, 
	141, 140, 142, 288, 832, 256, 832, 255, 
	250, 251, 253, 252, 254, 293, 315, 1018, 
	173, 313, 321, 322, 327, 135, 136, 137, 
	290, 325, 326, 1017, 334, 328, 329, 330, 
	1116, 336, 338, 337, 289, 359, 989, 833, 
	360, 833, 1119, 1119, 171, 989, 384, 82, 
	84, 86, 88, 925, 989, 386, 989, 414, 
	418, 431, 989, 437, 321, 322, 432, 433, 
	434, 0, 2, 21, 19, 49, 471, 438, 
	18, 20, 94, 17, 16, 14, 473, 160, 
	161, 162, 31, 12, 13, 417, 29, 10, 
	4, 179, 180, 274, 275, 22, 483, 831, 
	831, 484, 11, 488, 1142, 1142, 8, 9, 
	3, 494, 5, 6, 496, 365, 7, 832, 
	832, 850, 850, 850, 850, 850, 499, 1143, 
	1143, 169, 15, 168, 62, 503, 62, 156, 
	218, 219, 220, 221, 325, 326, 34, 33, 
	850, 850, 850, 523, 172, 524, 546, 882, 
	851, 63, 833, 833, 321, 322, 44, 554, 
	416, 60, 547, 1119, 1119, 171, 1126, 262, 
	157, 989, 148, 989, 181, 1119, 1119, 171, 
	320, 924, 831, 324, 989, 80, 76, 45, 
	862, 385, 1122, 325, 326, 39, 989, 80, 
	76, 97, 832, 555, 1119, 274, 275, 1113, 
	1113, 1, 189, 27, 28, 1117, 25, 23, 
	26, 55, 56, 64, 67, 68, 65, 66, 
	73, 74, 429, 69, 70, 30, 52, 35, 
	36, 40, 38, 182, 183, 833, 851, 851, 
	851, 851, 851, 62, 32, 170, 47, 41, 
	42, 43, 62, 50, 62, 75, 48, 46, 
	62, 862, 37, 189, 569, 851, 851, 851, 
	72, 71, 1142, 24, 54, 53, 80, 76, 
	222, 163, 77, 78, 79, 51, 61, 107, 
	989, 82, 84, 86, 88, 1143, 108, 989, 
	106, 989, 570, 364, 207, 989, 430, 82, 
	84, 86, 88, 1119, 1119, 171, 571, 1018, 
	173, 167, 882, 572, 882, 995, 995, 995, 
	995, 995, 544, 573, 989, 1119, 989, 995, 
	995, 995, 995, 995, 1055, 1055, 1055, 1119, 
	1055, 1144, 307, 309, 995, 995, 995, 1129, 
	217, 216, 215, 166, 151, 487, 995, 995, 
	995, 574, 1118, 1118, 863, 100, 850, 850, 
	575, 995, 995, 995, 995, 995, 261, 100, 
	506, 1113, 576, 57, 1144, 302, 577, 582, 
	316, 1129, 62, 995, 995, 995, 995, 995, 
	995, 995, 995, 587, 1148, 2, 21, 19, 
	49, 589, 1117, 18, 20, 846, 17, 16, 
	14, 100, 995, 995, 995, 31, 12, 13, 
	588, 29, 10, 4, 325, 326, 461, 989, 
	22, 366, 935, 100, 1129, 11, 988, 1148, 
	988, 8, 9, 3, 57, 5, 6, 601, 
	493, 7, 1146, 1146, 995, 995, 995, 995, 
	995, 602, 1018, 173, 845, 15, 138, 139, 
	141, 140, 142, 605, 590, 1119, 1120, 399, 
	1077, 34, 33, 995, 995, 995, 201, 1119, 
	1119, 171, 476, 851, 63, 135, 136, 137, 
	1078, 44, 1018, 173, 100, 1147, 1147, 260, 
	624, 259, 1055, 881, 1018, 173, 989, 923, 
	997, 997, 997, 997, 1113, 1113, 323, 1129, 
	80, 76, 45, 388, 1118, 629, 1055, 631, 
	39, 989, 181, 623, 642, 1129, 80, 76, 
	223, 303, 305, 301, 178, 645, 648, 1068, 
	1068, 1068, 470, 1068, 1129, 646, 1129, 647, 
	1116, 138, 139, 141, 140, 142, 651, 934, 
	1055, 847, 995, 995, 1136, 99, 198, 1119, 
	1119, 171, 661, 1130, 995, 995, 666, 103, 
	135, 136, 137, 668, 1129, 478, 545, 933, 
	218, 219, 220, 221, 138, 139, 141, 140, 
	142, 989, 138, 139, 141, 140, 142, 1136, 
	1143, 1143, 169, 675, 168, 681, 995, 995, 
	1146, 104, 491, 135, 136, 137, 1011, 683, 
	1011, 135, 136, 137, 325, 326, 502, 198, 
	995, 995, 684, 105, 989, 1018, 173, 197, 
	685, 1119, 989, 994, 994, 994, 994, 994, 
	1130, 1132, 550, 138, 139, 141, 140, 142, 
	307, 309, 690, 1147, 580, 697, 881, 701, 
	881, 1124, 994, 994, 994, 704, 468, 467, 
	469, 988, 135, 136, 137, 507, 1113, 321, 
	322, 706, 398, 994, 258, 1134, 1134, 707, 
	708, 995, 995, 989, 154, 1143, 1143, 169, 
	200, 168, 844, 209, 183, 1068, 393, 711, 
	138, 139, 141, 140, 142, 1119, 1119, 171, 
	989, 714, 719, 257, 712, 475, 474, 720, 
	713, 1119, 997, 997, 997, 1117, 1068, 135, 
	136, 137, 721, 0, 2, 21, 19, 49, 
	723, 729, 18, 20, 94, 17, 16, 14, 
	989, 160, 161, 162, 31, 12, 13, 730, 
	29, 10, 4, 179, 180, 1068, 1143, 22, 
	732, 502, 490, 722, 11, 1112, 1112, 848, 
	8, 9, 3, 470, 5, 6, 604, 848, 
	7, 501, 167, 500, 734, 637, 210, 183, 
	217, 216, 477, 1128, 15, 989, 62, 989, 
	62, 156, 997, 997, 997, 997, 1130, 1130, 
	34, 33, 613, 611, 1011, 388, 172, 1128, 
	1119, 1119, 171, 62, 319, 187, 1011, 727, 
	44, 211, 183, 1018, 173, 1128, 735, 212, 
	183, 262, 157, 742, 148, 603, 181, 303, 
	305, 480, 320, 1134, 738, 324, 739, 80, 
	76, 45, 745, 1143, 509, 510, 511, 39, 
	747, 80, 76, 97, 509, 510, 511, 1119, 
	610, 508, 512, 1, 189, 748, 470, 167, 
	994, 994, 512, 138, 139, 141, 140, 142, 
	213, 183, 754, 849, 429, 847, 756, 757, 
	321, 322, 1128, 849, -1, 182, 183, 667, 
	1140, 469, 135, 136, 137, 62, 62, 170, 
	549, 489, -1, -1, 62, -1, 62, 509, 
	510, 511, 62, 989, 680, 189, 138, 139, 
	141, 140, 142, -1, 886, 512, -1, 1112, 
	80, 76, 222, 1140, 843, 214, 183, 325, 
	326, 107, 592, 989, 843, 135, 136, 137, 
	108, -1, 106, -1, -1, 364, 207, 1128, 
	430, 1069, 1069, 1069, -1, 1069, 989, 1115, 
	1115, 1128, 1119, 167, 612, -1, -1, -1, 
	-1, -1, -1, 673, 544, -1, -1, -1, 
	1128, -1, 1128, 552, 325, 326, 613, 614, 
	387, -1, 468, 606, 469, 551, -1, 325, 
	326, -1, 217, 216, 215, 166, 151, 487, 
	682, 1114, 1114, 579, -1, -1, -1, 1138, 
	1138, 997, 997, 997, -1, -1, -1, -1, 
	261, -1, 506, -1, -1, -1, -1, -1, 
	-1, -1, 316, -1, 62, 138, 139, 141, 
	140, 142, 989, -1, 989, -1, 643, 2, 
	21, 19, 49, -1, -1, 18, 20, -1, 
	17, 16, 14, -1, 135, 136, 137, 31, 
	12, 13, -1, 29, 10, 4, 1123, -1, 
	461, -1, 22, 366, -1, 989, -1, 11, 
	627, 628, 626, 8, 9, 3, -1, 5, 
	6, 644, 493, 7, -1, -1, -1, 138, 
	139, 141, 140, 142, -1, -1, -1, 15, 
	295, 183, 997, 997, 997, 997, -1, 1069, 
	1129, 399, -1, 34, 33, 388, 135, 136, 
	137, 1115, 997, 997, 997, 997, 62, 997, 
	997, 997, 997, 44, 1129, 388, 660, 989, 
	1069, -1, 388, -1, 57, 321, 322, -1, 
	612, 689, 1129, 296, 183, 1056, 1056, 1056, 
	323, 1056, 80, 76, 45, 1135, 1135, 397, 
	-1, 396, 39, 1114, 181, 1138, -1, 1069, 
	80, 76, 223, 303, 305, 301, 178, 769, 
	769, 769, 769, 769, 769, 769, 769, 769, 
	769, 769, 769, 769, 769, 769, -1, 769, 
	769, 769, 769, 769, 769, 769, 769, 99, 
	198, -1, 769, 769, 769, 769, 769, 1129, 
	769, 103, 769, 769, 769, 769, -1, 769, 
	545, 769, 769, 769, -1, -1, 769, -1, 
	717, 769, 769, 769, 769, 769, -1, 769, 
	769, 769, 1119, 1119, 171, -1, 769, 769, 
	769, 769, 769, 104, 491, 769, 769, 769, 
	769, 850, 850, 850, 850, 850, -1, 625, 
	381, 198, 317, 183, -1, 105, -1, -1, 
	-1, 197, 246, 247, 1129, 245, 325, 326, 
	850, 850, 850, -1, 550, -1, 1129, -1, 
	-1, -1, 321, 322, -1, -1, 580, -1, 
	389, 850, -1, 659, -1, 1129, -1, 1129, 
	468, 467, 469, 1056, -1, 1018, 173, 507, 
	390, -1, -1, 1135, 398, 391, 258, 198, 
	395, 997, 997, 997, 248, 183, 154, 1056, 
	-1, -1, 200, -1, -1, 209, 183, -1, 
	393, 997, 997, 997, -1, -1, 997, 997, 
	997, -1, -1, -1, -1, 257, -1, 475, 
	474, 769, 769, 769, 769, -1, -1, 769, 
	769, 1056, 769, 769, 769, 394, 321, 322, 
	989, 769, 769, 769, -1, 769, 769, 769, 
	244, -1, -1, -1, 769, 1119, 1119, 171, 
	363, 769, -1, -1, 1119, 769, 769, 769, 
	-1, 769, 769, -1, 490, 769, -1, 997, 
	997, 997, 997, 897, -1, 897, -1, -1, 
	604, 769, 388, 501, 167, 500, -1, 637, 
	210, 183, 217, 216, 477, 769, 769, -1, 
	710, 374, 375, 376, 373, 636, -1, 769, 
	769, 380, 1135, 1135, 397, 769, 396, 371, 
	688, 378, 379, 900, -1, 900, 319, -1, 
	325, 326, 900, 211, 183, 726, -1, -1, 
	-1, 212, 183, -1, 769, 769, 769, 603, 
	-1, 303, 305, 480, 769, 769, -1, 1025, 
	1025, 1025, 679, 1025, 898, -1, 850, 850, 
	769, 677, 770, 770, 770, 770, 770, 770, 
	770, 770, 770, 770, 770, 770, 770, 770, 
	770, 167, 770, 770, 770, 770, 770, 770, 
	770, 770, 213, 183, -1, 770, 770, 770, 
	770, 770, -1, 770, 743, 770, 770, 770, 
	770, 667, 770, 469, 770, 770, 770, 1119, 
	62, 770, 549, 489, 770, 770, 770, 770, 
	770, -1, 770, 770, 770, -1, 680, -1, 
	-1, 770, 770, 770, 770, 770, 62, -1, 
	770, 770, 770, 770, -1, -1, -1, 214, 
	183, -1, -1, -1, 592, -1, -1, -1, 
	672, 996, 996, 996, 996, -1, -1, 989, 
	-1, 989, 692, 693, 694, 392, -1, -1, 
	1135, 897, 703, 989, -1, 395, 612, 900, 
	900, 607, 744, -1, 367, 673, 368, 369, 
	370, 377, 381, 372, -1, 552, 997, 997, 
	997, -1, 387, -1, 468, 606, 469, 551, 
	-1, -1, -1, -1, -1, 1025, 676, 678, 
	-1, 900, 1025, -1, -1, 579, -1, -1, 
	-1, -1, 543, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	82, 84, 86, 88, 770, 770, 770, 770, 
	898, 769, 770, 770, -1, 770, 770, 770, 
	643, -1, -1, -1, 770, 770, 770, 1025, 
	770, 770, 770, -1, -1, -1, 409, 770, 
	1012, 403, 405, 407, 770, 1137, -1, -1, 
	770, 770, 770, -1, 770, 770, -1, -1, 
	770, -1, -1, 805, 538, 539, 540, 541, 
	-1, -1, -1, 644, 770, -1, 138, 139, 
	141, 140, 142, 1147, 1147, 260, -1, 259, 
	770, 770, 295, 183, 805, 805, 805, 805, 
	805, -1, 770, 770, -1, 135, 136, 137, 
	770, 374, 375, 376, 373, -1, 1043, 1043, 
	1043, 380, 1043, 805, 805, 805, 989, 371, 
	660, 378, 379, 887, -1, 691, -1, 770, 
	770, 770, 612, 689, 805, 296, 183, 770, 
	770, -1, -1, 996, 996, 996, -1, -1, 
	996, 996, 996, 770, -1, 771, 771, 771, 
	771, 771, 771, 771, 771, 771, 771, 771, 
	771, 771, 771, 771, -1, 771, 771, 771, 
	771, 771, 771, 771, 771, -1, -1, -1, 
	771, 771, 771, 771, 771, -1, 771, -1, 
	771, 771, 771, 771, -1, 771, -1, 771, 
	771, 771, -1, -1, 771, -1, 382, 771, 
	771, 771, 771, 771, -1, 771, 771, 771, 
	-1, -1, 717, -1, 771, 771, 771, 771, 
	771, -1, -1, 771, 771, 771, 771, 80, 
	76, 530, -1, -1, 1012, -1, -1, -1, 
	-1, 1147, 402, -1, -1, -1, 1012, 401, 
	-1, 625, 381, -1, 317, 183, -1, 899, 
	-1, 899, -1, -1, 246, 247, 899, 245, 
	-1, -1, 258, -1, 1043, -1, -1, 805, 
	805, -1, 805, -1, -1, -1, 537, 536, 
	535, -1, 389, 1043, 383, 659, 368, 369, 
	370, 377, 381, 372, -1, -1, 400, -1, 
	-1, 428, 390, -1, -1, -1, -1, 391, 
	-1, 198, 395, 419, 183, -1, 248, 183, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1043, 805, 805, -1, -1, -1, -1, 771, 
	771, 771, 771, -1, 770, 771, 771, -1, 
	771, 771, 771, -1, -1, -1, -1, 771, 
	771, 771, -1, 771, 771, 771, -1, 394, 
	806, -1, 771, 82, 84, 86, 88, 771, 
	-1, -1, 244, 771, 771, 771, -1, 771, 
	771, -1, 363, 771, -1, 805, -1, -1, 
	-1, 806, 806, 806, 806, 806, -1, 771, 
	138, 139, 141, 140, 142, 138, 139, 141, 
	140, 142, -1, 771, 771, -1, -1, -1, 
	806, 806, 806, 899, 899, 771, 771, 135, 
	136, 137, 710, 771, 135, 136, 137, 636, 
	-1, 806, -1, -1, -1, 1026, 1026, 1026, 
	989, 1026, 688, -1, -1, 989, -1, -1, 
	-1, -1, 771, 771, 771, 899, -1, 726, 
	-1, -1, 771, 771, -1, 1135, 1135, 397, 
	895, 396, 895, -1, -1, -1, 771, 895, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	772, 772, 772, 772, 772, 772, 772, -1, 
	772, 772, 772, 772, 772, 772, 772, 772, 
	-1, -1, -1, 772, 772, 772, 772, 772, 
	-1, 772, -1, 772, 772, 772, 772, -1, 
	772, -1, 772, 772, 772, -1, 743, 772, 
	-1, -1, 772, 772, 772, 772, 772, -1, 
	772, 772, 772, -1, -1, -1, -1, 772, 
	772, 772, 772, 772, -1, -1, 772, 772, 
	772, 772, 82, 84, 86, 88, -1, -1, 
	62, -1, -1, -1, -1, -1, 374, 375, 
	376, 373, -1, -1, 806, 806, 380, 806, 
	-1, -1, 672, -1, 371, -1, 378, 379, 
	-1, -1, 80, 76, 531, -1, -1, 392, 
	-1, -1, -1, 1026, 703, -1, -1, 395, 
	1026, -1, -1, 607, 744, -1, 367, -1, 
	368, 369, 370, 377, 381, 372, -1, -1, 
	-1, -1, -1, 1135, 895, 895, 806, 806, 
	395, -1, -1, -1, -1, 420, 183, -1, 
	676, 678, 421, 183, -1, -1, -1, 138, 
	139, 141, 140, 142, 543, 1026, 82, 84, 
	86, 88, 772, 772, 772, 772, 895, 771, 
	772, 772, -1, 772, 772, 772, 135, 136, 
	137, -1, 772, 772, 772, 548, 772, 772, 
	772, -1, 806, -1, 896, 772, 896, 989, 
	-1, -1, 772, 896, -1, -1, 772, 772, 
	772, -1, 772, 772, -1, -1, 772, -1, 
	-1, -1, -1, -1, -1, 82, 84, 86, 
	88, -1, 772, -1, 138, 139, 141, 140, 
	142, 138, 139, 141, 140, 142, 772, 772, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	772, 772, -1, 135, 136, 137, 772, -1, 
	135, 136, 137, -1, -1, 505, 377, 381, 
	372, 1119, 1119, 171, 989, -1, -1, -1, 
	-1, 989, -1, -1, -1, 772, 772, 772, 
	-1, 80, 76, 532, -1, 772, 772, 691, 
	-1, 218, 219, 220, 221, -1, -1, -1, 
	-1, 772, -1, 773, 773, 773, 773, 773, 
	773, 773, 773, 773, 773, 773, 773, 773, 
	773, 773, -1, 773, 773, 773, 773, 773, 
	773, 773, 773, -1, -1, -1, 773, 773, 
	773, 773, 773, -1, 773, -1, 773, 773, 
	773, 773, -1, 773, -1, 773, 773, 773, 
	896, 896, 773, -1, -1, 773, 773, 773, 
	773, 773, -1, 773, 773, 773, -1, -1, 
	382, -1, 773, 773, 773, 773, 773, -1, 
	-1, 773, 773, 773, 773, 80, 76, 533, 
	-1, -1, 896, -1, 422, 183, -1, -1, 
	-1, 80, 76, 530, -1, 1153, 1153, 1153, 
	-1, 1153, -1, -1, 402, -1, -1, -1, 
	-1, 401, -1, -1, -1, 1084, 1084, 1084, 
	1084, -1, -1, 1119, -1, 1084, -1, -1, 
	-1, -1, -1, 1084, 258, 1084, 1084, -1, 
	-1, -1, -1, -1, 80, 76, 534, -1, 
	537, 536, 535, -1, -1, -1, 383, -1, 
	368, 369, 370, 377, 381, 372, -1, -1, 
	400, 423, 183, 428, 725, -1, 424, 183, 
	-1, -1, -1, -1, -1, 419, 183, -1, 
	-1, -1, -1, -1, -1, 773, 773, 773, 
	773, -1, 772, 773, 773, -1, 773, 773, 
	773, 217, 216, 669, -1, 773, 773, 773, 
	-1, 773, 773, 773, -1, 1123, -1, -1, 
	773, -1, -1, -1, -1, 773, -1, -1, 
	-1, 773, 773, 773, -1, 773, 773, -1, 
	-1, 773, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, 773, 138, 139, 
	141, 140, 142, 138, 139, 141, 140, 142, 
	-1, 773, 773, 1153, -1, 135, 136, 137, 
	1025, -1, -1, 773, 773, 135, 136, 137, 
	-1, 773, 135, 136, 137, -1, 989, 1055, 
	-1, -1, -1, -1, -1, -1, 989, -1, 
	-1, -1, -1, 989, -1, -1, -1, -1, 
	773, 773, 773, 1084, 1084, 1084, 1084, 1084, 
	773, 773, -1, -1, -1, 1025, -1, -1, 
	-1, 1055, -1, -1, 773, -1, 774, 774, 
	774, 774, 774, 774, 774, 774, 774, 774, 
	774, 774, 774, 774, 774, -1, 774, 774, 
	774, 774, 774, 774, 774, 774, -1, -1, 
	-1, 774, 774, 774, 774, 774, -1, 774, 
	-1, 774, 774, 774, 774, -1, 774, -1, 
	774, 774, 774, -1, -1, 774, -1, -1, 
	774, 774, 774, 774, 774, -1, 774, 774, 
	774, -1, -1, -1, -1, 774, 774, 774, 
	774, 774, -1, -1, 774, 774, 774, 774, 
	-1, -1, -1, -1, -1, -1, -1, 1085, 
	1085, 1085, 1085, 517, 1083, 1083, 1083, 1085, 
	1083, 246, 247, -1, 245, 1085, -1, 1085, 
	1085, 1083, 1083, 514, 515, 516, 869, 869, 
	869, 869, 869, 869, 869, 869, 869, 869, 
	869, 869, -1, -1, 80, 76, 531, -1, 
	-1, -1, -1, -1, 568, 1125, 558, 560, 
	561, 559, 563, 564, 565, 566, 567, 562, 
	-1, -1, -1, 248, 183, -1, -1, -1, 
	-1, -1, -1, 425, 183, -1, -1, -1, 
	426, 183, 395, -1, -1, -1, 869, 420, 
	183, -1, -1, -1, 421, 183, -1, -1, 
	774, 774, 774, 774, -1, 773, 774, 774, 
	-1, 774, 774, 774, 557, -1, -1, -1, 
	774, 774, 774, -1, 774, 774, 774, 415, 
	-1, -1, -1, 774, -1, -1, -1, 548, 
	774, -1, -1, -1, 774, 774, 774, -1, 
	774, 774, -1, -1, 774, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	774, 138, 139, 141, 140, 142, -1, -1, 
	-1, -1, -1, -1, 774, 774, -1, -1, 
	-1, -1, -1, -1, -1, -1, 774, 774, 
	135, 136, 137, 513, 774, 1085, 1085, 1085, 
	1085, 1085, -1, 869, -1, -1, -1, -1, 
	-1, 989, -1, -1, -1, -1, -1, 505, 
	377, 381, 372, 774, 774, 774, -1, -1, 
	-1, 556, -1, 774, 774, -1, -1, -1, 
	-1, -1, -1, 80, 76, 532, -1, 774, 
	-1, 775, 775, 775, 775, 775, 775, 775, 
	775, 775, 775, 775, 775, 775, 775, 775, 
	-1, 775, 775, 775, 775, 775, 775, 775, 
	775, -1, -1, -1, 775, 775, 775, 775, 
	775, -1, 775, -1, 775, 775, 775, 775, 
	-1, 775, -1, 775, 775, 775, -1, -1, 
	775, -1, -1, 775, 775, 775, 775, 775, 
	-1, 775, 775, 775, -1, -1, -1, 522, 
	775, 775, 775, 775, 775, -1, -1, 775, 
	775, 775, 775, -1, 1147, 1147, 260, -1, 
	259, 1044, 1044, 1044, -1, 1044, 1099, 80, 
	76, 533, -1, -1, -1, -1, 422, 183, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, 1090, 
	1090, 1090, 518, 519, 521, 520, 1090, -1, 
	1090, 1090, 1090, 1090, 1090, 1090, 1090, 1099, 
	1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099, 
	1099, 1099, 1099, 1099, 1099, 1099, -1, 1099, 
	1099, 1099, 1099, 1099, 1099, 1099, 80, 76, 
	534, -1, -1, -1, -1, -1, 656, 183, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 423, 183, -1, 725, -1, 
	424, 183, -1, 775, 775, 775, 775, -1, 
	774, 775, 775, -1, 775, 775, 775, -1, 
	-1, -1, -1, 775, 775, 775, -1, 775, 
	775, 775, -1, 217, 216, 669, 775, -1, 
	-1, -1, -1, 775, -1, -1, -1, 775, 
	775, 775, -1, 775, 775, -1, -1, 775, 
	-1, -1, -1, -1, -1, 374, 375, 376, 
	373, -1, 1147, 775, -1, 380, -1, 1044, 
	-1, -1, -1, 371, -1, 378, 379, 775, 
	775, -1, -1, 1139, 1139, 635, 1044, 634, 
	-1, 775, 775, 258, -1, -1, -1, 775, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1090, -1, 1090, 1090, 
	1090, 1090, 1090, -1, -1, -1, 775, 775, 
	775, -1, 578, 1044, -1, -1, 775, 775, 
	-1, -1, -1, 1099, -1, 1099, 1099, 1099, 
	1099, 1099, 775, -1, 776, 776, 776, 776, 
	776, 776, 776, 776, 776, 776, 776, 776, 
	776, 776, 776, -1, 776, 776, 776, 776, 
	776, 776, 776, 776, -1, -1, -1, 776, 
	776, 776, 776, 776, -1, 776, -1, 776, 
	776, 776, 776, -1, 776, -1, 776, 776, 
	776, -1, -1, 776, -1, -1, 776, 776, 
	776, 776, 776, -1, 776, 776, 776, -1, 
	-1, -1, -1, 776, 776, 776, 776, 776, 
	-1, -1, 776, 776, 776, 776, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1101, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	504, 1139, 368, 369, 370, 377, 381, 372, 
	-1, -1, -1, 246, 247, -1, 245, -1, 
	633, -1, -1, -1, -1, -1, -1, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, -1, 1101, 
	1101, 1101, 1101, 1101, 1101, 1101, -1, -1, 
	-1, -1, -1, -1, -1, 632, -1, -1, 
	-1, -1, -1, -1, -1, 248, 183, -1, 
	-1, -1, -1, -1, -1, 425, 183, -1, 
	-1, -1, 426, 183, -1, -1, 776, 776, 
	776, 776, -1, 775, 776, 776, -1, 776, 
	776, 776, -1, -1, -1, -1, 776, 776, 
	776, -1, 776, 776, 776, -1, 557, -1, 
	-1, 776, -1, -1, -1, -1, 776, -1, 
	-1, 415, 776, 776, 776, -1, 776, 776, 
	-1, -1, 776, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 409, 776, 1012, 
	403, 405, 407, -1, -1, -1, -1, -1, 
	-1, -1, 776, 776, -1, -1, -1, -1, 
	-1, -1, -1, -1, 776, 776, -1, -1, 
	-1, -1, 776, 374, 375, 376, 373, -1, 
	-1, -1, -1, 380, -1, 513, -1, 1137, 
	-1, 371, -1, 378, 379, 887, -1, -1, 
	-1, 776, 776, 776, -1, -1, -1, -1, 
	-1, 776, 776, 1101, -1, 1101, 1101, 1101, 
	1101, 1101, -1, 556, -1, 776, -1, 777, 
	777, 777, 777, 777, 777, 777, 777, 777, 
	777, 777, 777, 777, 777, 777, -1, 777, 
	777, 777, 777, 777, 777, 777, 777, -1, 
	-1, -1, 777, 777, 777, 777, 777, -1, 
	777, -1, 777, 777, 777, 777, -1, 777, 
	-1, 777, 777, 777, -1, -1, 777, 1106, 
	609, 777, 777, 777, 777, 777, -1, 777, 
	777, 777, -1, -1, -1, -1, 777, 777, 
	777, 777, 777, -1, -1, 777, 777, 777, 
	777, -1, -1, -1, -1, -1, -1, -1, 
	1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106, 
	1106, 1106, 1106, 1106, 1106, 1106, 1106, 1102, 
	1106, 1106, 1106, 1106, 1106, 1106, 1106, -1, 
	-1, -1, -1, 1012, -1, -1, -1, -1, 
	-1, 402, -1, -1, -1, 1012, 401, -1, 
	-1, -1, -1, -1, -1, -1, 383, -1, 
	368, 369, 370, 377, 381, 372, -1, -1, 
	870, 870, 870, 870, 870, 870, 870, 870, 
	870, 870, 870, 870, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	656, 183, -1, -1, -1, 542, -1, -1, 
	-1, 777, 777, 777, 777, -1, 776, 777, 
	777, -1, 777, 777, 777, -1, -1, -1, 
	-1, 777, 777, 777, -1, 777, 777, 777, 
	870, -1, -1, -1, 777, -1, -1, -1, 
	-1, 777, -1, -1, -1, 777, 777, 777, 
	-1, 777, 777, -1, -1, 777, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 777, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 777, 777, -1, 
	-1, -1, -1, -1, -1, -1, -1, 777, 
	777, -1, -1, -1, 1106, 777, 1106, 1106, 
	1106, 1106, 1106, -1, -1, 258, -1, -1, 
	-1, 374, 375, 376, 373, -1, -1, -1, 
	-1, 380, -1, -1, 777, 777, 777, 371, 
	-1, 378, 379, -1, 777, 777, -1, -1, 
	-1, -1, -1, -1, 578, 870, -1, -1, 
	777, -1, 778, 778, 778, 778, 778, 778, 
	778, 778, 778, 778, 778, 778, 778, 778, 
	778, -1, 778, 778, 778, 778, 778, 778, 
	778, 778, -1, -1, -1, 778, 778, 778, 
	778, 778, -1, 778, -1, 778, 778, 778, 
	778, -1, 778, -1, 778, 778, 778, -1, 
	-1, 778, 1107, -1, 778, 778, 778, 778, 
	778, -1, 778, 778, 778, -1, -1, -1, 
	-1, 778, 778, 778, 778, 778, -1, -1, 
	778, 778, 778, 778, -1, -1, -1, -1, 
	-1, -1, -1, 1107, 1107, 1107, 1107, 1107, 
	1107, 1107, 1107, 1107, 1107, 1107, 1107, 1107, 
	1107, 1107, -1, 1107, 1107, 1107, 1107, 1107, 
	1107, 1107, 504, -1, 368, 369, 370, 377, 
	381, 372, -1, -1, -1, -1, -1, -1, 
	-1, -1, 633, -1, -1, -1, -1, -1, 
	568, 1125, 558, 560, 561, 559, 563, 564, 
	565, 566, 567, 562, -1, -1, 615, 369, 
	370, 377, 381, 372, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 632, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 778, 778, 778, 778, 
	-1, 777, 778, 778, -1, 778, 778, 778, 
	557, -1, -1, -1, 778, 778, 778, -1, 
	778, 778, 778, -1, -1, -1, -1, 778, 
	-1, -1, -1, -1, 778, -1, -1, -1, 
	778, 778, 778, -1, 778, 778, -1, -1, 
	778, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 409, 778, 1012, 403, 405, 
	407, -1, 1137, -1, -1, -1, -1, -1, 
	778, 778, -1, -1, -1, -1, -1, -1, 
	-1, -1, 778, 778, -1, -1, -1, 1107, 
	778, 1107, 1107, 1107, 1107, 1107, -1, -1, 
	-1, -1, -1, -1, -1, 1137, -1, -1, 
	-1, -1, -1, 374, 375, 376, 373, 778, 
	778, 778, -1, 380, -1, 650, -1, 778, 
	778, 371, -1, 378, 379, -1, -1, -1, 
	-1, -1, -1, 778, -1, 779, 779, 779, 
	779, 779, 779, 779, 779, 779, 779, 779, 
	779, 779, 779, 779, -1, 779, 779, 779, 
	779, 779, 779, 779, 779, -1, -1, -1, 
	779, 779, 779, 779, 779, -1, 779, -1, 
	779, 779, 779, 779, -1, 779, -1, 779, 
	779, 779, -1, -1, 779, 1156, -1, 779, 
	779, 779, 779, 779, -1, 779, 779, 779, 
	-1, -1, 609, -1, 779, 779, 779, 779, 
	779, -1, -1, 779, 779, 779, 779, -1, 
	-1, -1, -1, -1, -1, -1, 1156, 1156, 
	1156, 1156, 1156, 1156, 1156, 1156, 1156, 1156, 
	1156, 1156, 1156, 1156, 1156, 1104, 1156, 1156, 
	1156, 1156, 1156, 1156, 1156, -1, -1, -1, 
	-1, 1012, -1, -1, -1, -1, -1, 402, 
	-1, -1, -1, 1012, 401, -1, -1, -1, 
	-1, -1, -1, 402, -1, -1, -1, -1, 
	401, -1, -1, -1, -1, -1, -1, -1, 
	383, -1, 368, 369, 370, 377, 381, 372, 
	616, 369, 370, 377, 381, 372, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 553, -1, -1, -1, 779, 
	779, 779, 779, -1, 778, 779, 779, 542, 
	779, 779, 779, -1, -1, -1, -1, 779, 
	779, 779, -1, 779, 779, 779, -1, -1, 
	-1, -1, 779, -1, -1, -1, -1, 779, 
	-1, -1, -1, 779, 779, 779, -1, 779, 
	779, -1, -1, 779, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 779, 
	-1, -1, 374, 375, 376, 373, -1, -1, 
	-1, -1, 380, 779, 779, -1, -1, -1, 
	371, -1, 378, 379, -1, 779, 779, -1, 
	-1, -1, 1156, 779, 1156, 1156, 1156, 1156, 
	1156, -1, -1, -1, -1, -1, -1, 374, 
	375, 376, 373, -1, -1, -1, -1, 380, 
	-1, -1, 779, 779, 779, 371, -1, 378, 
	379, -1, 779, 779, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 779, -1, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	780, 780, 780, 780, 780, 780, 780, -1, 
	780, 780, 780, 780, 780, 780, 780, 780, 
	-1, -1, -1, 780, 780, 780, 780, 780, 
	-1, 780, -1, 780, 780, 780, 780, -1, 
	780, -1, 780, 780, 780, -1, -1, 780, 
	1157, -1, 780, 780, 780, 780, 780, -1, 
	780, 780, 780, -1, -1, -1, -1, 780, 
	780, 780, 780, 780, -1, -1, 780, 780, 
	780, 780, -1, -1, -1, -1, -1, -1, 
	-1, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 
	1157, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 
	1105, 1157, 1157, 1157, 1157, 1157, 1157, 1157, 
	622, 370, 377, 381, 372, -1, -1, -1, 
	-1, 871, 871, 871, 871, 871, 871, 871, 
	871, 871, 871, 871, 871, -1, -1, 872, 
	872, 872, 872, 872, 872, 872, 872, 872, 
	872, 872, 872, -1, 617, 369, 370, 377, 
	381, 372, -1, -1, -1, -1, -1, -1, 
	615, 369, 370, 377, 381, 372, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 871, 780, 780, 780, 780, -1, 779, 
	780, 780, -1, 780, 780, 780, -1, 872, 
	-1, -1, 780, 780, 780, -1, 780, 780, 
	780, -1, 557, -1, -1, 780, -1, -1, 
	-1, -1, 780, -1, -1, -1, 780, 780, 
	780, -1, 780, 780, -1, -1, 780, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 780, -1, -1, 374, 375, 376, 
	373, -1, -1, -1, -1, 380, 780, 780, 
	-1, -1, -1, 371, -1, 378, 379, -1, 
	780, 780, -1, -1, -1, 1157, 780, 1157, 
	1157, 1157, 1157, 1157, -1, -1, -1, -1, 
	-1, -1, 374, 375, 376, 373, 871, -1, 
	-1, -1, 380, -1, -1, 780, 780, 780, 
	371, -1, 378, 379, 872, 780, 780, -1, 
	-1, -1, -1, -1, -1, -1, -1, 650, 
	-1, 780, -1, 781, 781, 781, 781, 781, 
	781, 781, 781, 781, 781, 781, 781, 781, 
	781, 781, -1, 781, 781, 781, 781, 781, 
	781, 781, 781, -1, -1, -1, 781, 781, 
	781, 781, 781, -1, 781, -1, 781, 781, 
	781, 781, -1, 781, -1, 781, 781, 781, 
	-1, -1, 781, 1103, -1, 781, 781, 781, 
	781, 781, -1, 781, 781, 781, -1, -1, 
	-1, -1, 781, 781, 781, 781, 781, -1, 
	-1, 781, 781, 781, 781, -1, -1, -1, 
	-1, -1, -1, -1, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 1103, 1103, 1103, 1103, 1103, 
	1103, 1103, 1103, 619, 370, 377, 381, 372, 
	-1, -1, -1, -1, 873, 873, 873, 873, 
	873, 873, 873, 873, 873, 873, 873, 873, 
	-1, 402, -1, -1, -1, -1, 401, -1, 
	-1, -1, -1, -1, -1, -1, -1, 618, 
	369, 370, 377, 381, 372, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 616, 369, 370, 377, 381, 372, 
	-1, -1, -1, -1, 873, 781, 781, 781, 
	781, -1, 780, 781, 781, 553, 781, 781, 
	781, -1, -1, -1, -1, 781, 781, 781, 
	-1, 781, 781, 781, -1, -1, -1, -1, 
	781, -1, -1, -1, -1, 781, -1, -1, 
	-1, 781, 781, 781, -1, 781, 781, -1, 
	-1, 781, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 781, -1, -1, 
	374, 375, 376, 373, -1, -1, -1, -1, 
	380, 781, 781, -1, -1, -1, 371, -1, 
	378, 379, -1, 781, 781, -1, -1, -1, 
	1103, 781, 1103, 1103, 1103, 1103, 1103, -1, 
	-1, -1, -1, -1, -1, 374, 375, 376, 
	373, 873, -1, -1, -1, 380, -1, -1, 
	781, 781, 781, 371, -1, 378, 379, -1, 
	781, 781, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 781, -1, 782, 782, 
	782, 782, 782, 782, 782, 782, 782, 782, 
	782, 782, 782, 782, 782, -1, 782, 782, 
	782, 782, 782, 782, 782, 782, -1, -1, 
	-1, 782, 782, 782, 782, 782, -1, 782, 
	-1, 782, 782, 782, 782, -1, 782, -1, 
	782, 782, 782, -1, -1, 782, 1100, -1, 
	782, 782, 782, 782, 782, -1, 782, 782, 
	782, -1, -1, -1, -1, 782, 782, 782, 
	782, 782, -1, -1, 782, 782, 782, 782, 
	-1, -1, -1, -1, -1, -1, -1, 1100, 
	1100, 1100, 1100, 1100, 1100, 1100, 1100, 1100, 
	1100, 1100, 1100, 1100, 1100, 1100, -1, 1100, 
	1100, 1100, 1100, 1100, 1100, 1100, 620, 370, 
	377, 381, 372, -1, -1, -1, -1, -1, 
	-1, -1, 622, 370, 377, 381, 372, -1, 
	-1, -1, -1, -1, 874, 874, 874, 874, 
	874, 874, 874, 874, 874, 874, 874, 874, 
	-1, -1, -1, 621, 370, 377, 381, 372, 
	-1, -1, -1, -1, -1, -1, 617, 369, 
	370, 377, 381, 372, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	782, 782, 782, 782, -1, 781, 782, 782, 
	-1, 782, 782, 782, 874, -1, -1, -1, 
	782, 782, 782, -1, 782, 782, 782, -1, 
	-1, -1, -1, 782, -1, -1, -1, -1, 
	782, -1, -1, -1, 782, 782, 782, -1, 
	782, 782, -1, -1, 782, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	782, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 782, 782, -1, -1, 
	-1, -1, -1, -1, -1, -1, 782, 782, 
	-1, -1, -1, 1100, 782, 1100, 1100, 1100, 
	1100, 1100, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 782, 782, 782, -1, -1, 
	-1, 874, -1, 782, 782, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 782, 
	-1, 783, 783, 783, 783, 783, 783, 783, 
	783, 783, 783, 783, 783, 783, 783, 783, 
	-1, 783, 783, 783, 783, 783, 783, 783, 
	783, -1, -1, -1, 783, 783, 783, 783, 
	783, -1, 783, -1, 783, 783, 783, 783, 
	-1, 783, -1, 783, 783, 783, -1, -1, 
	783, 1091, -1, 783, 783, 783, 783, 783, 
	-1, 783, 783, 783, -1, -1, -1, -1, 
	783, 783, 783, 783, 783, -1, -1, 783, 
	783, 783, 783, -1, -1, -1, -1, -1, 
	-1, -1, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, 1091, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, -1, 1091, 1091, 1091, 1091, 1091, 1091, 
	1091, 875, 875, 875, 875, 875, 875, 875, 
	875, 875, 875, 875, 875, 619, 370, 377, 
	381, 372, -1, -1, -1, -1, -1, 876, 
	876, 876, 876, 876, 876, 876, 876, 876, 
	876, 876, 876, 877, 877, 877, 877, 877, 
	877, 877, 877, 877, 877, 877, 877, -1, 
	-1, 618, 369, 370, 377, 381, 372, -1, 
	-1, 875, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 783, 783, 783, 783, -1, 
	782, 783, 783, -1, 783, 783, 783, 876, 
	-1, -1, -1, 783, 783, 783, -1, 783, 
	783, 783, -1, 877, -1, -1, 783, -1, 
	-1, -1, -1, 783, -1, -1, -1, 783, 
	783, 783, -1, 783, 783, -1, -1, 783, 
	-1, -1, -1, -1, -1, 138, 139, 141, 
	140, 142, -1, 783, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 783, 
	783, -1, -1, -1, 135, 136, 137, -1, 
	-1, 783, 783, -1, -1, -1, 1091, 783, 
	1091, 1091, 1091, 1091, 1091, 989, 875, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 783, 783, 
	783, -1, -1, -1, 876, -1, 783, 783, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	877, -1, 783, -1, 784, 784, 784, 784, 
	784, 784, 784, 784, 784, 784, 784, 784, 
	784, 784, 784, -1, 784, 784, 784, 784, 
	784, 784, 784, 784, -1, -1, -1, 784, 
	784, 784, 784, 784, -1, 784, -1, 784, 
	784, 784, 784, -1, 784, -1, 784, 784, 
	784, -1, -1, 784, 1092, -1, 784, 784, 
	784, 784, 784, -1, 784, 784, 784, -1, 
	-1, -1, -1, 784, 784, 784, 784, 784, 
	-1, -1, 784, 784, 784, 784, -1, -1, 
	-1, -1, -1, -1, -1, 1092, 1092, 1092, 
	1092, 1092, 1092, 1092, 1092, 1092, 1092, 1092, 
	1092, 1092, 1092, 1092, -1, 1092, 1092, 1092, 
	1092, 1092, 1092, 1092, 878, 878, 878, 878, 
	878, 878, 878, 878, 878, 878, 878, 878, 
	620, 370, 377, 381, 372, -1, -1, -1, 
	-1, -1, 568, 1125, 558, 560, 561, 559, 
	563, 564, 565, 566, 567, 562, -1, -1, 
	-1, -1, 657, 183, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 621, 370, 377, 
	381, 372, -1, -1, 878, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 784, 784, 
	784, 784, -1, 783, 784, 784, -1, 784, 
	784, 784, 557, -1, -1, -1, 784, 784, 
	784, -1, 784, 784, 784, -1, -1, -1, 
	-1, 784, -1, -1, -1, -1, 784, -1, 
	-1, -1, 784, 784, 784, -1, 784, 784, 
	-1, -1, 784, -1, -1, -1, -1, -1, 
	138, 139, 141, 140, 142, 1021, 784, 1021, 
	1021, 1021, 1021, -1, 1021, -1, -1, -1, 
	-1, -1, 784, 784, -1, -1, -1, 135, 
	136, 137, -1, -1, 784, 784, -1, -1, 
	-1, 1092, 784, 1092, 1092, 1092, 1092, 1092, 
	989, 878, -1, -1, -1, -1, -1, 1021, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 784, 784, 784, 1139, 1139, 635, 649, 
	634, 784, 784, -1, -1, -1, 1139, 1139, 
	635, -1, 634, -1, -1, 784, -1, 785, 
	785, 785, 785, 785, 785, 785, 785, 785, 
	785, 785, 785, 785, 785, 785, -1, 785, 
	785, 785, 785, 785, 785, 785, 785, -1, 
	-1, -1, 785, 785, 785, 785, 785, -1, 
	785, -1, 785, 785, 785, 785, -1, 785, 
	-1, 785, 785, 785, -1, -1, 785, 1093, 
	-1, 785, 785, 785, 785, 785, -1, 785, 
	785, 785, -1, -1, -1, -1, 785, 785, 
	785, 785, 785, -1, -1, 785, 785, 785, 
	785, -1, -1, -1, -1, -1, -1, -1, 
	1093, 1093, 1093, 1093, 1093, 1093, 1093, 1093, 
	1093, 1093, 1093, 1093, 1093, 1093, 1093, -1, 
	1093, 1093, 1093, 1093, 1093, 1093, 1093, -1, 
	-1, -1, -1, 1021, -1, -1, -1, -1, 
	-1, 1021, -1, -1, -1, 1021, 1021, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1139, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1139, 731, 183, -1, 
	-1, 633, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 633, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1021, -1, -1, 
	-1, 785, 785, 785, 785, -1, 784, 785, 
	785, -1, 785, 785, 785, -1, 687, -1, 
	-1, 785, 785, 785, -1, 785, 785, 785, 
	724, -1, -1, -1, 785, -1, -1, -1, 
	-1, 785, -1, -1, -1, 785, 785, 785, 
	-1, 785, 785, -1, -1, 785, -1, -1, 
	-1, -1, -1, 138, 139, 141, 140, 142, 
	-1, 785, 665, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 785, 785, -1, 
	-1, -1, 135, 136, 137, -1, -1, 785, 
	785, -1, -1, -1, 1093, 785, 1093, 1093, 
	1093, 1093, 1093, 989, 1158, 1158, 671, -1, 
	670, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 785, 785, 785, -1, 
	-1, -1, -1, -1, 785, 785, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	785, -1, 786, 786, 786, 786, 786, 786, 
	786, 786, 786, 786, 786, 786, 786, 786, 
	786, -1, 786, 786, 786, 786, 786, 786, 
	786, 786, -1, -1, -1, 786, 786, 786, 
	786, 786, -1, 786, -1, 786, 786, 786, 
	786, -1, 786, -1, 786, 786, 786, -1, 
	-1, 786, 1094, -1, 786, 786, 786, 786, 
	786, -1, 786, 786, 786, -1, -1, -1, 
	-1, 786, 786, 786, 786, 786, -1, -1, 
	786, 786, 786, 786, -1, -1, 664, -1, 
	-1, -1, -1, 1094, 1094, 1094, 1094, 1094, 
	1094, 1094, 1094, 1094, 1094, 1094, 1094, 1094, 
	1094, 1094, -1, 1094, 1094, 1094, 1094, 1094, 
	1094, 1094, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1158, -1, -1, -1, -1, 395, 
	879, 879, 879, 879, 879, 879, 879, 879, 
	879, 879, 879, 879, -1, -1, 167, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	663, 183, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 657, 183, -1, -1, 
	-1, -1, -1, -1, 394, -1, -1, -1, 
	166, -1, -1, -1, 786, 786, 786, 786, 
	879, 785, 786, 786, -1, 786, 786, 786, 
	-1, -1, -1, -1, 786, 786, 786, -1, 
	786, 786, 786, -1, 557, -1, -1, 786, 
	-1, -1, -1, -1, 786, -1, -1, -1, 
	786, 786, 786, -1, 786, 786, -1, -1, 
	786, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1022, 786, 1022, 1022, 1022, 
	1022, -1, 1022, -1, -1, -1, -1, -1, 
	786, 786, -1, -1, -1, -1, -1, -1, 
	-1, -1, 786, 786, -1, -1, -1, 1094, 
	786, 1094, 1094, 1094, 1094, 1094, -1, -1, 
	-1, 993, -1, 993, -1, 1022, -1, -1, 
	993, -1, -1, -1, 359, 879, -1, 786, 
	786, 786, -1, 463, 465, -1, -1, 786, 
	786, -1, -1, -1, -1, -1, -1, -1, 
	-1, 649, 464, 786, -1, 787, 787, 787, 
	787, 787, 787, 787, 787, 787, 787, 787, 
	787, 787, 787, 787, -1, 787, 787, 787, 
	787, 787, 787, 787, 787, -1, -1, -1, 
	787, 787, 787, 787, 787, -1, 787, -1, 
	787, 787, 787, 787, -1, 787, -1, 787, 
	787, 787, -1, -1, 787, 1111, -1, 787, 
	787, 787, 787, 787, -1, 787, 787, 787, 
	-1, -1, -1, -1, 787, 787, 787, 787, 
	787, -1, -1, 787, 787, 787, 787, -1, 
	-1, -1, -1, -1, -1, -1, 1111, 1111, 
	1111, 1111, 1111, 1111, 1111, 1111, 1111, 1111, 
	1111, 1111, 1111, 1111, 1111, -1, 1111, 1111, 
	1111, 1111, 1111, 1111, 1111, -1, -1, -1, 
	-1, 1022, -1, -1, -1, 993, 993, 1022, 
	-1, -1, -1, 1022, 1022, -1, -1, -1, 
	-1, -1, -1, 568, 1125, 558, 560, 561, 
	559, 563, 564, 565, 566, 567, 562, -1, 
	-1, -1, -1, -1, -1, -1, -1, 993, 
	751, -1, -1, -1, -1, -1, -1, 731, 
	183, -1, -1, 633, -1, -1, -1, -1, 
	-1, -1, -1, 1022, -1, 633, -1, 787, 
	787, 787, 787, -1, 786, 787, 787, -1, 
	787, 787, 787, 557, -1, -1, -1, 787, 
	787, 787, -1, 787, 787, 787, -1, -1, 
	687, -1, 787, -1, -1, -1, -1, 787, 
	-1, -1, 724, 787, 787, 787, -1, 787, 
	787, -1, -1, 787, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 787, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 787, 787, -1, -1, -1, 
	-1, -1, -1, -1, -1, 787, 787, -1, 
	-1, -1, 1111, 787, 1111, 1111, 1111, 1111, 
	1111, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 787, 787, 787, -1, -1, -1, 
	700, -1, 787, 787, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 787, -1, 
	788, 788, 788, 788, 788, 788, 788, 788, 
	788, 788, 788, 788, 788, 788, 788, -1, 
	788, 788, 788, 788, 788, 788, 788, 788, 
	-1, -1, -1, 788, 788, 788, 788, 788, 
	-1, 788, -1, 788, 788, 788, 788, -1, 
	788, -1, 788, 788, 788, -1, -1, 788, 
	-1, -1, 788, 788, 788, 788, 788, -1, 
	788, 788, 788, 1109, -1, -1, -1, 788, 
	788, 788, 788, 788, -1, -1, 788, 788, 
	788, 788, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	664, -1, -1, -1, 1109, 1109, 1109, 1109, 
	1109, 1109, 1109, 1109, 1109, 1109, 1109, 1109, 
	1109, 1109, 1109, -1, 1109, 1109, 1109, 1109, 
	1109, 1109, 1109, -1, 1085, 1085, 1085, 1085, 
	517, 1079, 1079, 1079, 1085, 1079, -1, -1, 
	-1, 395, 1085, -1, 1085, 1085, 1079, 1079, 
	514, 515, 516, -1, -1, -1, -1, -1, 
	167, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 663, 183, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 788, 788, 788, 788, 394, 787, 
	788, 788, 166, 788, 788, 788, -1, -1, 
	-1, -1, 788, 788, 788, -1, 788, 788, 
	788, -1, -1, -1, -1, 788, -1, -1, 
	-1, -1, 788, -1, -1, -1, 788, 788, 
	788, -1, 788, 788, -1, -1, 788, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 993, 788, 993, -1, -1, -1, -1, 
	993, -1, -1, -1, -1, -1, 788, 788, 
	-1, -1, -1, 463, 465, -1, -1, -1, 
	788, 788, -1, -1, -1, -1, 788, -1, 
	-1, -1, 464, -1, -1, -1, -1, -1, 
	1109, -1, 1109, 1109, 1109, 1109, 1109, -1, 
	-1, -1, -1, -1, -1, 788, 788, 788, 
	-1, -1, -1, -1, -1, 788, 788, -1, 
	513, -1, 1085, 1085, 1085, 1085, 1085, -1, 
	-1, 788, -1, 27, 28, 1117, 25, 23, 
	26, 55, 56, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, 30, 52, 35, 
	36, 40, 38, -1, -1, -1, 851, 851, 
	851, 851, 851, -1, 32, -1, 47, 41, 
	42, 43, -1, 50, -1, 75, 48, 46, 
	-1, -1, 37, 1110, -1, 851, 851, 851, 
	72, 71, -1, 24, 54, 53, -1, -1, 
	-1, -1, 77, 78, 79, 51, 61, -1, 
	-1, 82, 84, 86, 88, 993, 993, -1, 
	-1, -1, -1, -1, 1110, 1110, 1110, 1110, 
	1110, 1110, 1110, 1110, 1110, 1110, 1110, 1110, 
	1110, 1110, 1110, -1, 1110, 1110, 1110, 1110, 
	1110, 1110, 1110, -1, -1, -1, -1, 993, 
	752, -1, -1, -1, -1, -1, 1085, 1085, 
	1085, 1085, 517, 1080, 1080, 1080, 1085, 1080, 
	-1, -1, -1, -1, 1085, -1, 1085, 1085, 
	1080, 1080, 514, 515, 516, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 751, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 2, 21, 19, 
	49, -1, 788, 18, 20, -1, 17, 16, 
	14, -1, -1, -1, -1, 31, 12, 13, 
	-1, 29, 10, 4, -1, 557, -1, -1, 
	22, -1, -1, -1, -1, 11, -1, -1, 
	-1, 8, 9, 3, -1, 5, 6, -1, 
	-1, 7, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 15, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 34, 33, -1, -1, -1, -1, -1, 
	-1, -1, -1, 851, 63, -1, -1, -1, 
	1110, 44, 1110, 1110, 1110, 1110, 1110, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	80, 76, 45, -1, -1, -1, -1, -1, 
	39, 989, 513, -1, 1085, 1085, 1085, 1085, 
	1085, -1, 700, -1, 91, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, 824, 
	824, 824, 824, 824, 824, 824, 824, -1, 
	824, 824, 824, 824, 824, -1, 824, -1, 
	824, 824, 824, 824, -1, 824, -1, 824, 
	824, 824, -1, -1, 824, 824, 824, 824, 
	824, 824, 824, 824, -1, 824, 824, 824, 
	-1, -1, -1, -1, 824, 824, 824, 824, 
	824, -1, -1, 824, 824, 824, 824, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, 824, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	1023, -1, 1023, 1023, 1023, 1023, -1, 1023, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, 1023, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, 1024, -1, 1024, 
	1024, 1024, 1024, -1, 1024, -1, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, 824, 
	824, 824, 824, -1, -1, 824, 824, -1, 
	824, 824, 824, -1, -1, -1, -1, 824, 
	824, 824, -1, 824, 824, 824, -1, 1024, 
	-1, -1, 824, -1, -1, -1, -1, 824, 
	-1, -1, -1, 824, 824, 824, -1, 824, 
	824, -1, -1, 824, 867, -1, -1, -1, 
	-1, -1, -1, -1, 824, 824, 824, 824, 
	824, 824, 824, -1, -1, -1, -1, 824, 
	824, -1, -1, 824, 824, 867, 867, 867, 
	867, 867, -1, -1, -1, 824, 824, -1, 
	-1, -1, -1, 824, -1, -1, -1, -1, 
	-1, -1, -1, -1, 867, 867, 867, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 824, 824, 824, 867, 1023, -1, 
	-1, -1, 824, 824, 1023, -1, -1, -1, 
	1023, 1023, -1, -1, -1, -1, 824, -1, 
	-1, -1, 513, -1, -1, 824, -1, -1, 
	112, 113, 114, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1024, -1, -1, -1, -1, 
	1023, 1024, -1, -1, -1, 1024, 1024, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1085, 1085, 1085, 1085, 517, 1081, 
	1081, 1081, 1085, 1081, -1, -1, -1, -1, 
	1085, -1, 1085, 1085, 1081, 1081, 514, 515, 
	516, -1, -1, -1, -1, 1024, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	867, 867, -1, 867, -1, -1, -1, -1, 
	-1, -1, 752, -1, -1, -1, -1, -1, 
	-1, 1085, 1085, 1085, 1085, 517, 1082, 1082, 
	1082, 1085, 1082, -1, -1, -1, -1, 1085, 
	-1, 1085, 1085, 1082, 1082, 514, 515, 516, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 867, 867, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 824, 
	-1, -1, -1, -1, -1, -1, -1, 2, 
	21, 19, 49, -1, -1, 18, 20, -1, 
	17, 16, 14, -1, -1, -1, -1, 31, 
	12, 13, -1, 29, 10, 4, -1, -1, 
	-1, -1, 22, -1, -1, -1, 867, 11, 
	-1, -1, -1, 8, 9, 3, -1, 5, 
	6, -1, -1, 7, -1, -1, 807, 807, 
	807, 807, 807, 807, -1, -1, 513, 15, 
	1085, 1085, 1085, 1085, 1085, -1, -1, -1, 
	807, -1, -1, 34, 33, -1, -1, -1, 
	-1, 807, 807, 807, 807, 807, 62, 807, 
	-1, 807, -1, 44, -1, -1, 807, -1, 
	-1, 807, 807, -1, -1, -1, -1, -1, 
	807, 807, 807, -1, -1, -1, 807, 807, 
	807, -1, 80, 76, 45, 807, 807, 807, 
	807, 807, 39, -1, 513, 513, -1, 1085, 
	1085, 1085, 1085, 1085, -1, -1, 91, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, -1, 937, 937, 937, 937, 937, -1, 
	937, -1, 937, 937, 937, 937, -1, 937, 
	-1, 937, 937, 937, -1, -1, 937, 937, 
	937, 937, 937, 937, 937, 937, -1, 937, 
	937, 937, -1, -1, -1, -1, 937, 937, 
	937, 937, 937, -1, -1, 937, 937, 937, 
	937, -1, -1, 1019, -1, 1019, 1019, 1019, 
	1019, -1, 1019, 937, -1, -1, 186, -1, 
	-1, 807, 807, 807, -1, -1, 807, 807, 
	-1, -1, 807, 807, -1, -1, -1, -1, 
	807, 807, 807, -1, 807, 807, 807, -1, 
	-1, -1, -1, -1, -1, 1019, -1, -1, 
	807, 807, -1, -1, 807, 807, 807, -1, 
	807, 807, -1, -1, 807, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 807, 807, 
	-1, 937, 937, 937, 937, -1, -1, 937, 
	937, -1, 937, 937, 937, -1, -1, -1, 
	-1, 937, 937, 937, -1, 937, 937, 937, 
	-1, -1, -1, -1, 937, -1, -1, -1, 
	-1, 937, -1, -1, -1, 937, 937, 937, 
	-1, 937, 937, -1, -1, 937, -1, -1, 
	-1, -1, -1, -1, 807, -1, 937, 937, 
	937, 937, 937, 937, 937, -1, -1, -1, 
	-1, 937, 937, -1, 185, 937, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, 937, 
	937, -1, -1, -1, -1, 937, -1, -1, 
	-1, 1019, -1, -1, -1, -1, -1, 1019, 
	-1, -1, -1, 1019, 1019, -1, -1, -1, 
	-1, -1, -1, -1, 937, 937, 937, -1, 
	-1, -1, -1, -1, 937, 937, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	937, -1, -1, -1, -1, -1, -1, 937, 
	-1, -1, 112, 113, 114, 115, 116, -1, 
	121, 129, 133, 1019, -1, -1, -1, 132, 
	64, 67, 68, 65, 66, 73, 74, -1, 
	69, 70, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 138, 139, 141, 140, 142, 
	-1, -1, -1, 143, 134, 128, 123, -1, 
	-1, -1, 75, -1, -1, -1, 131, -1, 
	-1, -1, 135, 136, 137, 72, 71, 130, 
	-1, -1, -1, -1, 124, 125, 126, -1, 
	-1, -1, -1, 989, 122, -1, 144, 145, 
	146, 147, -1, -1, -1, -1, -1, -1, 
	-1, 127, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, -1, 117, 
	118, 119, -1, 120, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, 522, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, -1, -1, -1, -1, 
	-1, 937, -1, -1, -1, -1, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, -1, 
	1087, 1087, 1087, 1087, 1087, 1087, 1087, 1087, 
	1087, 1087, 518, 519, 521, 520, 1087, -1, 
	1087, 1087, 1087, 1087, 1087, 1087, 1087, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	513, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 149, 113, 114, 115, 116, -1, 121, 
	129, 133, -1, -1, -1, -1, 132, 522, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 143, 134, 128, 123, 989, 513, 
	1088, 1088, 1088, 1088, 1088, 1088, 1088, 1088, 
	1088, 1088, 518, 519, 521, 520, 1088, -1, 
	1088, 1088, 1088, 1088, 1088, 1088, 1088, -1, 
	-1, -1, -1, 152, 113, 114, 115, 116, 
	-1, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1087, -1, 1087, 1087, 
	1087, 1087, 1087, -1, 143, 134, 128, 123, 
	989, -1, -1, -1, -1, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, 825, 
	825, 825, 825, 825, 825, 825, 825, -1, 
	825, 825, 825, 825, 825, -1, 825, -1, 
	825, 825, 825, 825, -1, 825, -1, 825, 
	825, 825, -1, -1, 825, 825, 825, 825, 
	825, 825, 825, 825, -1, 825, 825, 825, 
	-1, -1, -1, -1, 825, 825, 825, 825, 
	825, -1, -1, 825, 825, 825, 825, -1, 
	-1, -1, -1, -1, -1, -1, -1, 522, 
	-1, 825, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1088, -1, 1088, 1088, 
	1088, 1088, 1088, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 522, -1, -1, -1, 
	1089, 1089, 1089, 1089, 1089, 1089, 1089, 1089, 
	1089, 1089, 518, 519, 521, 520, 1089, -1, 
	1089, 1089, 1089, 1089, 1089, 1089, 1089, -1, 
	-1, -1, -1, -1, -1, 1086, 1086, 1086, 
	1086, 1086, 1086, 1086, 1086, 1086, 1086, 518, 
	519, 521, 520, 1086, -1, 1086, 1086, 1086, 
	1086, 1086, 1086, 1086, -1, -1, 185, 825, 
	825, 825, 825, -1, -1, 825, 825, -1, 
	825, 825, 825, -1, -1, -1, -1, 825, 
	825, 825, -1, 825, 825, 825, 868, -1, 
	-1, -1, 825, -1, -1, -1, -1, 825, 
	-1, -1, -1, 825, 825, 825, -1, 825, 
	825, -1, -1, 825, -1, -1, -1, 868, 
	868, 868, 868, 868, 825, 825, 825, 825, 
	825, 825, 825, -1, -1, -1, -1, 825, 
	825, -1, -1, 825, 825, -1, 868, 868, 
	868, -1, -1, -1, -1, 825, 825, -1, 
	-1, -1, -1, 825, -1, -1, -1, 868, 
	-1, -1, -1, -1, 993, -1, 993, 993, 
	993, 993, -1, 993, -1, -1, -1, 359, 
	-1, -1, 825, 825, 825, -1, 463, 465, 
	-1, -1, 825, 825, 1089, -1, 1089, 1089, 
	1089, 1089, 1089, -1, -1, 464, 825, -1, 
	-1, -1, -1, -1, -1, 825, 993, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, 1086, -1, 1086, 1086, 1086, 1086, 1086, 
	-1, -1, 138, 139, 141, 140, 142, 1020, 
	-1, 1020, 1020, 1020, 1020, -1, 1020, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, 1108, 144, 145, 146, 
	147, 1020, -1, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 868, 868, -1, 868, -1, -1, 
	-1, -1, -1, -1, -1, 1108, 1108, 1108, 
	1108, 1108, 1108, 1108, 1108, 1108, 1108, 1108, 
	1108, 1108, 1108, 1108, -1, 1108, 1108, 1108, 
	1108, 1108, 1108, 1108, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 868, 868, -1, -1, 
	-1, -1, 993, 698, -1, -1, -1, -1, 
	993, -1, -1, -1, 993, 993, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 825, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 149, 113, 114, 115, 116, 
	868, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, 993, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1020, -1, -1, 
	-1, -1, -1, 1020, -1, -1, -1, 1020, 
	1020, -1, -1, -1, 143, 134, 128, 123, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 268, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, 152, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, 1020, 
	-1, 1108, 132, 1108, 1108, 1108, 1108, 1108, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, 826, 826, 826, 826, 826, 826, 
	826, 826, 826, 826, 826, 826, 826, 826, 
	826, 826, 826, 826, 826, 826, 826, 826, 
	826, 826, 826, 826, -1, 826, 826, 826, 
	826, 826, -1, 826, -1, 826, 826, 826, 
	826, -1, 826, -1, 826, 826, 826, -1, 
	-1, 826, 826, 826, 826, 826, 826, 826, 
	826, 1102, 826, 826, 826, -1, -1, -1, 
	-1, 826, 826, 826, 826, 826, -1, -1, 
	826, 826, 826, 826, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1104, -1, 826, -1, 
	-1, -1, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, -1, 1102, 1102, 1102, 1102, 1102, 1102, 
	1102, -1, -1, -1, -1, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, 1104, 1104, 1104, 1104, 
	1104, 1104, 1104, 1104, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 826, 826, 826, 826, 
	-1, -1, 826, 826, -1, 826, 826, 826, 
	-1, -1, -1, -1, 826, 826, 826, -1, 
	826, 826, 826, -1, -1, -1, -1, 826, 
	-1, -1, -1, -1, 826, -1, -1, -1, 
	826, 826, 826, -1, 826, 826, -1, -1, 
	826, -1, -1, -1, -1, -1, -1, -1, 
	-1, 826, 826, 826, 826, 826, 826, 826, 
	-1, -1, -1, -1, 826, 826, -1, -1, 
	826, 826, 993, -1, 993, 993, 993, 993, 
	-1, 993, 826, 826, -1, -1, -1, -1, 
	826, -1, -1, -1, 463, 465, 1102, -1, 
	1102, 1102, 1102, 1102, 1102, -1, -1, -1, 
	-1, -1, -1, 464, -1, -1, -1, 826, 
	826, 826, -1, -1, 993, -1, -1, 826, 
	826, 1104, -1, 1104, 1104, 1104, 1104, 1104, 
	-1, -1, -1, 826, -1, -1, -1, -1, 
	-1, -1, 826, 916, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, 916, 916, 916, 
	916, 916, 916, 916, 916, -1, 916, 916, 
	916, 916, 916, -1, 916, -1, 916, 916, 
	916, 916, -1, 916, -1, 916, 916, 916, 
	-1, -1, 916, 916, 916, 916, 916, 916, 
	916, 916, 1105, 916, 916, 916, -1, -1, 
	-1, -1, 916, 916, 916, 916, 916, -1, 
	-1, 916, 916, 916, 916, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 916, 
	-1, -1, -1, 1105, 1105, 1105, 1105, 1105, 
	1105, 1105, 1105, 1105, 1105, 1105, 1105, 1105, 
	1105, 1105, 1105, 1105, 1105, 1105, 1105, 1105, 
	1105, 1105, -1, -1, -1, -1, -1, -1, 
	993, 699, -1, -1, -1, -1, 993, -1, 
	-1, -1, 993, 993, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 698, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 826, 916, 916, 916, 
	916, -1, 993, 916, 916, -1, 916, 916, 
	916, -1, -1, -1, -1, 916, 916, 916, 
	-1, 916, 916, 916, -1, -1, -1, -1, 
	916, -1, -1, -1, -1, 916, -1, -1, 
	-1, 916, 916, 916, -1, 916, 916, -1, 
	-1, 916, -1, -1, -1, -1, -1, -1, 
	-1, -1, 916, 916, 916, 916, 916, 916, 
	916, -1, -1, -1, -1, 916, 916, -1, 
	-1, 916, 916, -1, -1, -1, -1, -1, 
	268, 129, 133, 916, 916, -1, -1, 132, 
	-1, 916, -1, -1, -1, -1, -1, 1105, 
	-1, 1105, 1105, 1105, 1105, 1105, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	916, 916, 916, 143, 134, 128, 123, -1, 
	916, 916, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 916, -1, -1, -1, 
	-1, -1, -1, 916, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, -1, 966, 
	966, 966, 966, 966, -1, 966, -1, 966, 
	966, 966, 966, -1, 966, -1, 966, 966, 
	966, 194, -1, 966, 966, 966, 966, 966, 
	966, 966, 966, 1095, 966, 966, 966, -1, 
	-1, -1, -1, 966, 966, 966, 966, 966, 
	-1, -1, 966, 966, 966, 966, -1, -1, 
	-1, -1, -1, 193, -1, -1, 1096, -1, 
	966, -1, -1, -1, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, 1095, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, -1, 1095, 1095, 1095, 1095, 
	1095, 1095, 1095, -1, -1, -1, -1, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, 1096, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, -1, 1096, 
	1096, 1096, 1096, 1096, 1096, 1096, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 916, 966, 966, 
	966, 966, -1, -1, 966, 966, -1, 966, 
	966, 966, -1, -1, -1, -1, 966, 966, 
	966, -1, 966, 966, 966, -1, -1, -1, 
	-1, 966, -1, -1, -1, -1, 966, -1, 
	-1, -1, 966, 966, 966, -1, 966, 966, 
	-1, -1, 966, -1, -1, -1, -1, -1, 
	-1, -1, -1, 966, 966, 966, 966, 966, 
	966, 966, -1, -1, -1, -1, 966, 966, 
	-1, -1, 966, 966, -1, -1, -1, -1, 
	-1, -1, 192, -1, 966, 966, -1, -1, 
	-1, -1, 966, -1, -1, -1, -1, -1, 
	1095, -1, 1095, 1095, 1095, 1095, 1095, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 966, 966, 966, -1, -1, -1, -1, 
	-1, 966, 966, 1096, -1, 1096, 1096, 1096, 
	1096, 1096, -1, -1, -1, 966, -1, -1, 
	-1, -1, -1, -1, 966, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	1063, 1063, 1063, 1063, 1063, -1, 1063, -1, 
	1063, 1063, 1063, 1063, -1, 1063, -1, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	-1, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	-1, 1063, -1, -1, 1063, -1, 1063, 1063, 
	1063, 1063, 1063, -1, -1, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, -1, -1, -1, 
	-1, -1, 1063, -1, -1, -1, -1, -1, 
	-1, -1, -1, 699, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 966, 1063, 
	1063, 1063, 1063, -1, -1, 1063, 1063, 1063, 
	1063, 1063, 1063, -1, -1, -1, -1, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, -1, -1, 
	-1, -1, 1063, -1, -1, -1, -1, 1063, 
	1063, -1, -1, 1063, 1063, 1063, -1, 1063, 
	1063, -1, -1, 1063, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1063, 1063, 1063, 1063, 
	1063, 1063, 1063, -1, -1, -1, 1063, 1063, 
	1063, -1, -1, 1063, 1063, -1, 1063, 1063, 
	1063, 1063, 1063, 1063, 1063, 1063, 1063, -1, 
	-1, -1, 1063, 1063, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1063, 1063, 
	1063, -1, -1, 1063, -1, -1, -1, -1, 
	1063, -1, 1063, 1063, 1063, 1063, -1, 1063, 
	1063, 1063, 1063, 1063, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1063, -1, 
	1063, -1, -1, 1063, -1, 1063, 1063, -1, 
	-1, -1, 1063, -1, 1063, -1, 1063, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, -1, 1062, 1062, 1062, 1062, 1062, -1, 
	1062, -1, 1062, 1062, 1062, 1062, -1, 1062, 
	-1, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, -1, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 83, 85, 87, 
	89, 1062, -1, 1062, -1, -1, 1062, -1, 
	1062, 1062, 1062, 1062, 1062, -1, -1, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, -1, 
	-1, -1, -1, -1, 1062, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1063, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1062, 1062, 1062, 1062, -1, -1, 1062, 
	1062, 1062, 1062, 1062, 1062, -1, -1, -1, 
	-1, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	-1, -1, -1, -1, 1062, -1, -1, -1, 
	-1, 1062, 1062, -1, -1, 1062, 1062, 1062, 
	-1, 1062, 1062, -1, -1, 1062, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1062, 1062, 
	1062, 1062, 1062, 1062, 1062, -1, -1, -1, 
	1062, 1062, 1062, -1, 192, 1062, 1062, -1, 
	1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 
	1062, -1, -1, -1, 1062, 1062, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1062, 1062, 1062, -1, -1, 1062, -1, -1, 
	-1, -1, 1062, -1, 81, 191, 1062, 1062, 
	-1, 1062, 1062, 1062, 1062, 1062, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1062, -1, 1062, -1, -1, 1062, -1, 1062, 
	1062, -1, -1, -1, 1062, -1, 1062, -1, 
	1062, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, -1, -1, -1, 1036, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, -1, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1036, 1036, -1, 1150, 
	1150, 1150, 1036, 1145, -1, -1, -1, -1, 
	-1, -1, 1036, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	1097, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, 926, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1062, 117, 118, 119, -1, 120, -1, 
	-1, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	1097, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	-1, 1097, 1097, 1097, 1097, 1097, 1097, 1097, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	1036, 1036, 1036, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 176, 177, -1, -1, -1, 
	-1, -1, -1, -1, 175, -1, -1, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 205, 204, -1, -1, -1, -1, -1, 
	174, -1, -1, -1, 206, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1097, -1, 1097, 
	1097, 1097, 1097, 1097, -1, 143, 134, 128, 
	123, 989, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, 941, 941, 941, 941, 
	941, 941, 941, 941, -1, 941, 941, 941, 
	941, 941, -1, 941, -1, 941, 941, 941, 
	941, -1, 941, -1, 941, 941, 941, -1, 
	-1, 941, 941, 941, 941, 941, 941, 941, 
	941, 1098, 941, 941, 941, -1, -1, -1, 
	-1, 941, 941, 941, 941, 941, -1, -1, 
	941, 941, 941, 941, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 941, -1, 
	-1, -1, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, 1098, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, -1, 1098, 1098, 1098, 1098, 1098, 1098, 
	1098, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 941, 941, 941, 941, 
	-1, -1, 941, 941, -1, 941, 941, 941, 
	-1, -1, -1, -1, 941, 941, 941, -1, 
	941, 941, 941, -1, -1, -1, -1, 941, 
	-1, -1, -1, -1, 941, -1, -1, -1, 
	941, 941, 941, -1, 941, 941, -1, -1, 
	941, -1, -1, -1, -1, -1, 80, 190, 
	-1, 941, 941, 941, 941, 941, 941, 941, 
	-1, -1, -1, -1, 941, 941, -1, -1, 
	941, 941, -1, -1, -1, -1, -1, -1, 
	-1, -1, 941, 941, -1, -1, -1, -1, 
	941, -1, -1, -1, -1, -1, 1098, -1, 
	1098, 1098, 1098, 1098, 1098, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 941, 
	941, 941, -1, -1, -1, -1, -1, 941, 
	941, -1, -1, 27, 28, 1127, 25, 23, 
	26, -1, -1, 941, -1, -1, -1, -1, 
	-1, -1, 941, -1, -1, 30, -1, -1, 
	-1, -1, -1, -1, -1, -1, 851, 851, 
	851, 851, 851, -1, 32, -1, 243, -1, 
	-1, -1, -1, 50, -1, -1, 48, 46, 
	-1, -1, -1, -1, -1, 851, 851, 851, 
	-1, -1, -1, 24, 54, 53, -1, -1, 
	-1, -1, 77, 78, 79, 51, 851, -1, 
	-1, -1, -1, 55, 56, 64, 67, 68, 
	65, 66, 73, 74, -1, 69, 70, -1, 
	-1, 35, 36, 40, 38, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 41, 42, 43, -1, -1, -1, 75, 
	-1, -1, -1, -1, 37, -1, -1, -1, 
	-1, -1, 72, 71, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	59, -1, -1, 82, 84, 86, 88, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	276, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 274, 275, -1, 241, 239, 
	49, -1, -1, 238, 240, -1, -1, 242, 
	237, -1, -1, -1, 941, 31, 235, 236, 
	-1, 29, 233, 227, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 234, 225, -1, 
	-1, 231, 232, 226, -1, 228, 229, -1, 
	-1, 230, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 176, 177, -1, 
	-1, -1, -1, -1, -1, -1, 175, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 851, 851, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 205, 204, -1, -1, -1, 
	-1, -1, 174, -1, -1, -1, 206, 113, 
	114, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, 277, 
	-1, -1, -1, -1, -1, -1, 273, -1, 
	-1, 224, -1, 34, 33, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 62, 143, 
	134, 128, 123, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 76, 45, -1, -1, -1, 
	-1, -1, 39, 989, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, -1, 944, 
	944, 944, 944, 944, -1, 944, -1, 944, 
	944, 944, 944, -1, 944, -1, 944, 944, 
	944, -1, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, -1, 
	944, 944, 944, 944, 944, 944, 944, 944, 
	944, 944, 944, 944, 944, 944, 944, -1, 
	-1, -1, -1, -1, -1, 944, 944, 944, 
	944, -1, -1, -1, 278, 279, 944, 280, 
	281, 282, 283, 944, 944, 944, 944, 944, 
	-1, -1, 944, 944, -1, -1, -1, -1, 
	-1, 944, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 944, 944, 
	944, 944, -1, -1, 944, 944, 944, 944, 
	944, 944, -1, -1, -1, -1, 944, 944, 
	944, 944, 944, 944, 944, -1, -1, -1, 
	-1, 944, -1, -1, -1, -1, 944, 944, 
	-1, -1, 944, 944, 944, -1, 944, 944, 
	-1, -1, 944, -1, -1, -1, -1, -1, 
	-1, -1, -1, 944, 944, 944, 944, 944, 
	944, 944, -1, -1, -1, 944, 944, 944, 
	-1, -1, 944, 944, -1, 944, 944, 944, 
	944, 944, -1, 944, 944, 944, -1, -1, 
	-1, 944, 944, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 944, 944, 944, 
	-1, -1, 944, -1, -1, -1, -1, 944, 
	-1, 944, 944, 944, 944, -1, 944, 944, 
	944, 944, 944, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 944, -1, 944, 
	-1, -1, 944, -1, 944, 944, -1, -1, 
	-1, 944, -1, 944, -1, 944, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 64, 67, 68, 
	65, 66, 73, 74, -1, 69, 70, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, 139, 141, 140, 142, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, 131, -1, -1, -1, 135, 
	136, 137, 72, 71, 130, -1, -1, -1, 
	-1, 124, 125, 126, -1, -1, -1, -1, 
	989, 122, -1, 144, 145, 146, 147, -1, 
	-1, -1, -1, -1, -1, -1, 127, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 270, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	241, 239, 49, -1, -1, 238, 240, -1, 
	-1, 242, 237, -1, -1, -1, -1, 31, 
	235, 236, -1, 29, 233, 227, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 234, 
	225, -1, -1, 231, 232, 226, -1, 228, 
	229, -1, -1, 230, -1, -1, 944, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 277, -1, -1, -1, -1, -1, -1, 
	273, -1, -1, 224, -1, 34, 33, -1, 
	-1, -1, -1, -1, 269, 129, 133, -1, 
	62, -1, -1, 132, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 76, 45, 143, 
	134, 128, 123, 989, 39, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, -1, 
	951, 951, 951, 951, 951, -1, 951, -1, 
	951, 951, 951, 951, -1, 951, -1, 951, 
	951, 951, -1, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	-1, 951, 951, 951, 951, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	-1, -1, -1, -1, -1, -1, 951, 951, 
	951, 951, -1, -1, -1, 951, 951, 951, 
	951, 951, 951, 951, 951, 951, 951, 951, 
	951, 284, 285, 951, 951, -1, -1, -1, 
	-1, -1, 951, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 951, 
	951, 951, 951, -1, -1, 951, 951, 951, 
	951, 951, 951, -1, -1, -1, -1, 951, 
	951, 951, 951, 951, 951, 951, -1, -1, 
	-1, -1, 951, -1, -1, -1, -1, 951, 
	951, -1, -1, 951, 951, 951, -1, 951, 
	951, -1, -1, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, 951, 951, 951, 951, 
	951, 951, 951, -1, -1, -1, 951, 951, 
	951, -1, -1, 951, 951, -1, 951, 951, 
	951, 951, 951, -1, 951, 951, 951, -1, 
	-1, -1, 951, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, 951, 
	951, -1, -1, 951, -1, -1, -1, -1, 
	951, -1, 951, 951, 951, 951, -1, 951, 
	951, 951, 951, 951, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 951, -1, 
	951, -1, -1, 951, -1, 951, 951, -1, 
	-1, -1, 951, -1, 951, -1, 951, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, -1, 954, 954, 954, 954, 954, -1, 
	954, -1, 954, 954, 954, 954, -1, 954, 
	-1, 954, 954, 954, -1, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, -1, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, -1, 287, -1, -1, -1, -1, 
	954, 954, 954, 954, 286, -1, -1, 954, 
	954, 954, 954, 954, 954, 954, 954, 954, 
	954, 954, 954, 954, 954, 954, 954, -1, 
	-1, -1, -1, -1, 954, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 951, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 954, 954, 954, 954, -1, -1, 954, 
	954, 954, 954, 954, 954, -1, -1, -1, 
	-1, 954, 954, 954, 954, 954, 954, 954, 
	-1, -1, -1, -1, 954, -1, -1, -1, 
	-1, 954, 954, -1, -1, 954, 954, 954, 
	-1, 954, 954, -1, -1, 954, -1, -1, 
	-1, -1, -1, -1, -1, -1, 954, 954, 
	954, 954, 954, 954, 954, -1, -1, -1, 
	954, 954, 954, -1, -1, 954, 954, -1, 
	954, 954, 954, 954, 954, -1, 954, 954, 
	954, -1, -1, -1, 954, 954, 269, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	954, 954, 954, -1, -1, 954, -1, -1, 
	-1, -1, 954, -1, 954, 954, 954, 954, 
	-1, 954, 954, 954, 954, 954, -1, -1, 
	-1, 143, 134, 128, 123, -1, -1, -1, 
	954, -1, 954, -1, -1, 954, -1, 954, 
	954, -1, -1, -1, 954, -1, 954, -1, 
	954, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, -1, 957, 957, 957, 957, 
	957, -1, 957, -1, 957, 957, 957, 957, 
	-1, 957, -1, 957, 957, 957, -1, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, -1, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, -1, 957, -1, -1, 
	-1, -1, 957, 957, 957, 957, 957, -1, 
	-1, 957, 957, 957, 957, 957, 957, 957, 
	957, 957, 957, 957, 957, 957, 957, 957, 
	957, -1, -1, -1, -1, -1, 957, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 954, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 957, 957, 957, 957, -1, 
	-1, 957, 957, 957, 957, 957, 957, -1, 
	-1, -1, -1, 957, 957, 957, 957, 957, 
	957, 957, -1, -1, -1, -1, 957, -1, 
	-1, -1, -1, 957, 957, -1, -1, 957, 
	957, 957, -1, 957, 957, -1, -1, 957, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	957, 957, 957, 957, 957, 957, 957, -1, 
	-1, -1, 957, 957, 957, -1, -1, 957, 
	957, -1, 957, 957, 957, 957, 957, -1, 
	957, 957, 957, -1, -1, -1, 957, 957, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 957, 957, 957, -1, -1, 957, 
	-1, -1, -1, -1, 957, -1, 957, 957, 
	957, 957, -1, 957, 957, 957, 957, 957, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 957, -1, 957, -1, -1, 957, 
	-1, 957, 957, -1, -1, -1, 957, -1, 
	957, -1, 957, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, 64, 67, 68, 
	65, 66, 73, 74, 127, 69, 70, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, 139, 141, 140, 142, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, 131, -1, -1, -1, 135, 
	136, 137, 72, 71, 130, -1, -1, -1, 
	-1, 124, 125, 126, -1, -1, -1, -1, 
	989, 122, -1, 144, 145, 146, 147, -1, 
	-1, -1, -1, -1, -1, -1, 127, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 957, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 271, 129, 133, -1, -1, -1, 
	-1, 132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 272, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, 989, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, -1, 963, 
	963, 963, 963, 963, -1, 963, -1, 963, 
	963, 963, 963, -1, 963, -1, 963, 963, 
	963, -1, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, -1, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, -1, 
	963, -1, -1, -1, -1, 963, 963, 963, 
	963, 963, -1, -1, 963, 963, 963, 963, 
	963, 963, 963, 963, 963, 963, 963, 963, 
	963, 963, 963, 963, -1, -1, -1, -1, 
	-1, 963, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 963, 963, 
	963, 963, -1, -1, 963, 963, 963, 963, 
	963, 963, -1, -1, -1, -1, 963, 963, 
	963, 963, 963, 963, 963, -1, -1, -1, 
	-1, 963, -1, -1, -1, -1, 963, 963, 
	-1, -1, 963, 963, 963, -1, 963, 963, 
	-1, -1, 963, -1, -1, -1, -1, -1, 
	-1, -1, -1, 963, 963, 963, 963, 963, 
	963, 963, -1, -1, -1, 963, 963, 963, 
	-1, -1, 963, 963, -1, 963, 963, 963, 
	963, 963, -1, 963, 963, 963, -1, -1, 
	-1, 963, 963, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 963, 963, 963, 
	-1, -1, 963, -1, -1, -1, -1, 963, 
	-1, 963, 963, 963, 963, -1, 963, 963, 
	963, 963, 963, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 963, -1, 963, 
	-1, -1, 963, -1, 963, 963, -1, -1, 
	-1, 963, -1, 963, -1, 963, -1, -1, 
	1034, 1034, 1034, 1034, 1034, 1034, 1034, -1, 
	1034, 1034, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1034, -1, -1, -1, 1034, -1, 
	-1, -1, 1034, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, -1, 1034, 1034, 1034, -1, 
	-1, -1, -1, 1034, 1034, -1, 1034, 1034, 
	1034, 1034, -1, -1, -1, -1, -1, -1, 
	-1, 1034, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1034, 
	1034, 1034, 332, 1034, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 963, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 271, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, 1034, 1034, 1034, 1034, 1034, -1, 1034, 
	1034, 1034, -1, -1, -1, -1, 1034, -1, 
	-1, -1, -1, -1, -1, -1, 272, 129, 
	133, 331, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1034, 1034, 1034, 1034, 1034, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, -1, 
	967, 967, 967, 967, 967, -1, 967, -1, 
	967, 967, 967, 967, -1, 967, -1, 967, 
	967, 967, -1, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	-1, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	-1, 967, -1, -1, -1, -1, 967, 967, 
	967, 967, 967, -1, -1, 967, 967, 967, 
	967, 967, 967, 967, 967, 967, 967, 967, 
	967, 967, 967, 967, 967, -1, -1, -1, 
	-1, -1, 967, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 967, 
	967, 967, 967, -1, -1, 967, 967, 967, 
	967, 967, 967, -1, -1, -1, -1, 967, 
	967, 967, 967, 967, 967, 967, -1, -1, 
	-1, -1, 967, -1, -1, -1, -1, 967, 
	967, -1, -1, 967, 967, 967, -1, 967, 
	967, -1, -1, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, 967, 967, 967, 967, 
	967, 967, 967, -1, -1, -1, 967, 967, 
	967, -1, -1, 967, 967, -1, 967, 967, 
	967, 967, 967, -1, 967, 967, 967, -1, 
	-1, -1, 967, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 967, 967, 
	967, -1, -1, 967, -1, -1, -1, -1, 
	967, -1, 967, 967, 967, 967, -1, 967, 
	967, 967, 967, 967, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 967, -1, 
	967, -1, -1, 967, -1, 967, 967, -1, 
	-1, -1, 967, -1, 967, -1, 967, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, -1, 969, 969, 969, 969, 969, -1, 
	969, -1, 969, 969, 969, 969, -1, 969, 
	-1, 969, 969, 969, -1, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, -1, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, -1, 969, -1, -1, -1, -1, 
	291, 969, 969, 969, 969, -1, -1, 969, 
	969, 969, 969, 969, 969, 969, 969, 969, 
	969, 969, 969, 969, 969, 969, 969, -1, 
	-1, -1, -1, -1, 969, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 967, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 969, 969, 969, 969, -1, -1, 969, 
	969, 969, 969, 969, 969, -1, -1, -1, 
	-1, 969, 969, 969, 969, 969, 969, 969, 
	-1, -1, -1, -1, 969, -1, -1, -1, 
	-1, 969, 969, -1, -1, 969, 969, 969, 
	-1, 969, 969, -1, -1, 969, -1, -1, 
	-1, -1, -1, -1, -1, -1, 969, 969, 
	969, 969, 969, 969, 969, -1, -1, -1, 
	969, 969, 969, -1, -1, 969, 969, -1, 
	969, 969, 969, 969, 969, -1, 969, 969, 
	969, -1, -1, -1, 969, 969, -1, -1, 
	-1, -1, -1, 331, -1, -1, -1, -1, 
	969, 969, 969, -1, -1, 969, -1, -1, 
	-1, -1, 969, -1, 969, 969, 969, 969, 
	-1, 969, 969, 969, 969, 969, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	969, -1, 969, -1, -1, 969, -1, 969, 
	969, -1, -1, -1, 969, -1, 969, -1, 
	969, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, -1, 970, 970, 970, 970, 
	970, -1, 970, -1, 970, 970, 970, 970, 
	-1, 970, -1, 970, 970, 970, -1, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, -1, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, -1, 970, -1, -1, 
	-1, -1, 970, 970, 970, 970, 970, -1, 
	-1, 970, 970, 970, 970, 970, 970, 970, 
	970, 970, 970, 970, 970, 970, 970, 970, 
	970, -1, -1, -1, -1, -1, 970, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 969, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 970, 970, 970, 970, -1, 
	-1, 970, 970, 970, 970, 970, 970, -1, 
	-1, -1, -1, 970, 970, 970, 970, 970, 
	970, 970, -1, -1, -1, -1, 970, -1, 
	-1, -1, -1, 970, 970, -1, -1, 970, 
	970, 970, -1, 970, 970, -1, -1, 970, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	970, 970, 970, 970, 970, 970, 970, -1, 
	-1, -1, 970, 970, 970, -1, -1, 970, 
	970, -1, 970, 970, 970, 970, 970, -1, 
	970, 970, 970, -1, -1, -1, 970, 970, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 970, 970, 970, -1, -1, 970, 
	-1, -1, -1, -1, 970, -1, 970, 970, 
	970, 970, -1, 970, 970, 970, 970, 970, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 970, -1, 970, -1, -1, 970, 
	-1, 970, 970, -1, -1, -1, 970, -1, 
	970, -1, 970, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, -1, 971, 971, 
	971, 971, 971, -1, 971, -1, 971, 971, 
	971, 971, -1, 971, -1, 971, 971, 971, 
	-1, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, -1, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, -1, 971, 
	-1, -1, -1, -1, 971, 971, 971, 971, 
	971, -1, -1, 971, 971, 971, 971, 971, 
	971, 971, 971, 971, 971, 971, 971, 971, 
	971, 971, 971, -1, -1, -1, -1, -1, 
	971, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 970, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 971, 971, 971, 
	971, -1, -1, 971, 971, 971, 971, 971, 
	971, -1, -1, -1, -1, 971, 971, 971, 
	971, 971, 971, 971, -1, -1, -1, -1, 
	971, -1, -1, -1, -1, 971, 971, -1, 
	-1, 971, 971, 971, -1, 971, 971, -1, 
	-1, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, 971, 971, 971, 971, 971, 971, 
	971, -1, -1, -1, 971, 971, 971, -1, 
	-1, 971, 971, -1, 971, 971, 971, 971, 
	971, -1, 971, 971, 971, -1, -1, -1, 
	971, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 971, 971, 971, -1, 
	-1, 971, -1, -1, -1, -1, 971, -1, 
	971, 971, 971, 971, -1, 971, 971, 971, 
	971, 971, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 971, -1, 971, -1, 
	-1, 971, -1, 971, 971, -1, -1, -1, 
	971, -1, 971, -1, 971, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, -1, 
	972, 972, 972, 972, 972, -1, 972, -1, 
	972, 972, 972, 972, -1, 972, -1, 972, 
	972, 972, -1, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	-1, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	-1, 972, -1, -1, -1, -1, 972, 972, 
	972, 972, 972, -1, -1, 972, 972, 972, 
	972, 972, 972, 972, 972, 972, 972, 972, 
	972, 972, 972, 972, 972, -1, -1, -1, 
	-1, -1, 972, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 971, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 972, 
	972, 972, 972, -1, -1, 972, 972, 972, 
	972, 972, 972, -1, -1, -1, -1, 972, 
	972, 972, 972, 972, 972, 972, -1, -1, 
	-1, -1, 972, -1, -1, -1, -1, 972, 
	972, -1, -1, 972, 972, 972, -1, 972, 
	972, -1, -1, 972, -1, -1, -1, -1, 
	-1, -1, -1, -1, 972, 972, 972, 972, 
	972, 972, 972, -1, -1, -1, 972, 972, 
	972, -1, -1, 972, 972, -1, 972, 972, 
	972, 972, 972, -1, 972, 972, 972, -1, 
	-1, -1, 972, 972, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 972, 972, 
	972, -1, -1, 972, -1, -1, -1, -1, 
	972, -1, 972, 972, 972, 972, -1, 972, 
	972, 972, 972, 972, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 972, -1, 
	972, -1, -1, 972, -1, 972, 972, -1, 
	-1, -1, 972, -1, 972, -1, 972, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, -1, 974, 974, 974, 
	974, 974, -1, 974, -1, 974, 974, 974, 
	974, -1, 974, -1, 974, 974, 974, 972, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, -1, 974, -1, 
	-1, -1, -1, 974, 974, 974, 974, 974, 
	-1, -1, 974, 974, 974, 974, 974, 974, 
	974, 974, 974, 974, 974, 974, 974, 974, 
	974, 974, -1, -1, -1, -1, -1, 974, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	267, 113, 114, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, -1, -1, 974, 974, 974, 974, 
	-1, -1, 974, 974, 974, 974, 974, 974, 
	-1, -1, -1, -1, 974, 974, 974, 974, 
	974, 974, 974, -1, -1, -1, -1, 974, 
	-1, -1, -1, -1, 974, 974, -1, -1, 
	974, 974, 974, -1, 974, 974, -1, -1, 
	974, -1, -1, -1, -1, -1, -1, -1, 
	-1, 974, 974, 974, 974, 974, 974, 974, 
	-1, -1, -1, 974, 974, 974, -1, -1, 
	974, 974, -1, 974, 974, 974, 974, 974, 
	-1, 974, 974, 974, -1, -1, -1, 974, 
	974, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 974, 974, 974, -1, -1, 
	974, -1, -1, -1, -1, 974, -1, 974, 
	974, 974, 974, -1, 974, 974, 974, 974, 
	974, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 974, -1, 974, -1, -1, 
	974, -1, 974, 974, -1, -1, -1, 974, 
	-1, 974, -1, 974, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, -1, 978, 
	978, 978, 978, 978, -1, 978, -1, 978, 
	978, 978, 978, -1, 978, -1, 978, 978, 
	978, -1, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, -1, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, -1, 
	978, -1, -1, -1, -1, 978, 978, 978, 
	978, 978, -1, -1, 978, 978, 978, 978, 
	978, 978, 978, 978, 978, 978, 978, 978, 
	978, 978, 978, 978, -1, -1, -1, -1, 
	-1, 978, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 974, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 978, 978, 
	978, 978, -1, -1, 978, 978, 978, 978, 
	978, 978, -1, -1, -1, -1, 978, 978, 
	978, 978, 978, 978, 978, -1, -1, -1, 
	-1, 978, -1, -1, -1, -1, 978, 978, 
	-1, -1, 978, 978, 978, -1, 978, 978, 
	-1, -1, 978, -1, -1, -1, -1, -1, 
	-1, -1, -1, 978, 978, 978, 978, 978, 
	978, 978, -1, -1, -1, 978, 978, 978, 
	-1, -1, 978, 978, -1, 978, 978, 978, 
	978, 978, -1, 978, 978, 978, -1, -1, 
	-1, 978, 978, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 978, 978, 978, 
	-1, -1, 978, -1, -1, -1, -1, 978, 
	-1, 978, 978, 978, 978, -1, 978, 978, 
	978, 978, 978, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 978, -1, 978, 
	-1, -1, 978, -1, 978, 978, -1, -1, 
	-1, 978, -1, 978, -1, 978, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, -1, -1, -1, 1036, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, 1036, 1036, 1036, -1, -1, -1, 
	-1, 1036, 1036, -1, 1150, 1150, 1150, 1036, 
	-1, -1, 267, 113, 114, 115, 116, 1036, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1145, -1, -1, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 978, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, -1, 1075, 1075, 1075, 1075, 1075, -1, 
	1075, -1, 1075, 1075, 1075, 1075, -1, 1075, 
	-1, 1075, 1075, 1075, -1, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, -1, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, -1, 1075, -1, -1, -1, -1, 
	1075, 1075, 1075, 1075, 1075, -1, -1, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, 1075, 1075, 1036, 
	1036, 1036, 1036, 1036, 1075, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	176, 177, -1, -1, -1, -1, -1, -1, 
	-1, 175, -1, -1, -1, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1075, 1075, 1075, 1075, 318, -1, 1075, 
	1075, 1075, 1075, 1075, 1075, -1, -1, -1, 
	-1, 1075, 1075, 1075, 1075, 1075, 1075, 1075, 
	-1, -1, -1, -1, 1075, -1, -1, -1, 
	-1, 1075, 1075, -1, -1, 1075, 1075, 1075, 
	-1, 1075, 1075, -1, -1, 1075, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1075, 1075, 
	1075, 1075, 1075, 1075, 1075, -1, -1, -1, 
	1075, 1075, 1075, -1, -1, 1075, 1075, -1, 
	1075, 1075, 1075, 1075, 1075, -1, 1075, 1075, 
	1075, -1, -1, -1, 1075, 1075, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1075, 1075, 1075, -1, -1, 1075, -1, -1, 
	-1, -1, 1075, -1, 1075, 1075, 1075, 1075, 
	-1, 1075, 1075, 1075, 1075, 1075, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1075, -1, 1075, -1, -1, 1075, -1, 1075, 
	1075, -1, -1, -1, 1075, -1, 1075, -1, 
	1075, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	980, -1, 980, -1, 980, 980, 980, 980, 
	980, 980, -1, 980, 980, 980, -1, -1, 
	980, 980, 980, 980, 980, 980, 980, 980, 
	-1, 980, 980, 980, 980, -1, -1, -1, 
	980, 980, 980, 980, 980, -1, -1, 980, 
	980, 980, 980, -1, -1, -1, 980, -1, 
	-1, -1, 980, 980, -1, 980, -1, -1, 
	980, -1, -1, 980, -1, 980, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 980, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 980, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1075, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 980, 980, 980, 980, -1, 
	-1, 980, 980, 980, 980, 980, 980, -1, 
	-1, -1, -1, 980, 980, 980, 980, 980, 
	980, 980, -1, -1, 980, -1, 980, -1, 
	-1, -1, -1, 980, 980, -1, 980, 980, 
	980, 980, -1, 980, 980, -1, -1, 980, 
	-1, -1, -1, -1, -1, 980, -1, 980, 
	980, 980, 980, 980, 980, 980, 980, -1, 
	-1, -1, -1, 980, 980, -1, 980, 980, 
	980, -1, -1, -1, -1, -1, -1, -1, 
	-1, 980, 980, -1, -1, 980, -1, 980, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 980, 980, 980, -1, -1, 980, 980, 
	980, -1, -1, -1, -1, -1, 980, 980, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 980, -1, 980, -1, -1, 980, 
	980, 980, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	981, 981, -1, 981, -1, 981, 981, 981, 
	981, 981, 981, -1, 981, 981, 981, -1, 
	-1, 981, 981, 981, 981, 981, 981, 981, 
	981, -1, 981, 981, 981, 981, -1, -1, 
	-1, 981, 981, 981, 981, 981, -1, -1, 
	981, 981, 981, 981, -1, -1, -1, 981, 
	-1, -1, -1, 981, 981, -1, 981, -1, 
	-1, 981, -1, -1, 981, -1, 981, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 176, 177, -1, -1, -1, -1, 
	-1, -1, -1, 175, -1, -1, -1, -1, 
	981, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 981, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 318, 
	-1, -1, -1, 980, 981, 981, 981, 981, 
	-1, -1, 981, 981, 981, 981, 981, 981, 
	-1, -1, -1, -1, 981, 981, 981, 981, 
	981, 981, 981, -1, -1, 981, -1, 981, 
	-1, -1, -1, -1, 981, 981, -1, 981, 
	981, 981, 981, -1, 981, 981, -1, -1, 
	981, -1, -1, -1, -1, -1, 981, -1, 
	981, 981, 981, 981, 981, 981, 981, 981, 
	-1, -1, -1, -1, 981, 981, -1, 981, 
	981, 981, -1, -1, -1, -1, -1, -1, 
	-1, -1, 981, 981, -1, -1, 981, -1, 
	981, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 981, 981, 981, -1, -1, 981, 
	981, 981, -1, -1, -1, -1, -1, 981, 
	981, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 981, -1, 981, -1, -1, 
	981, 981, 981, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, 982, 982, 982, 982, 982, 
	982, 982, 982, -1, 982, -1, 982, 982, 
	982, 982, 982, 982, -1, 982, 982, 982, 
	-1, -1, 982, 982, 982, 982, 982, 982, 
	982, 982, -1, 982, 982, 982, 982, -1, 
	-1, -1, 982, 982, 982, 982, 982, -1, 
	-1, 982, 982, 982, 982, -1, -1, -1, 
	982, -1, -1, -1, 982, 982, -1, 982, 
	-1, -1, 982, -1, -1, 982, -1, 982, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 982, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 982, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 981, 982, 982, 982, 
	982, -1, -1, 982, 982, 982, 982, 982, 
	982, -1, -1, -1, -1, 982, 982, 982, 
	982, 982, 982, 982, -1, -1, 982, -1, 
	982, -1, -1, -1, -1, 982, 982, -1, 
	982, 982, 982, 982, -1, 982, 982, -1, 
	-1, 982, -1, -1, -1, -1, -1, 982, 
	-1, 982, 982, 982, 982, 982, 982, 982, 
	982, -1, -1, -1, -1, 982, 982, -1, 
	982, 982, 982, -1, -1, -1, -1, -1, 
	-1, -1, -1, 982, 982, -1, -1, 982, 
	-1, 982, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 982, 982, 982, -1, -1, 
	982, 982, 982, -1, -1, -1, -1, -1, 
	982, 982, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 982, -1, 982, -1, 
	-1, 982, 982, 982, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, -1, 1074, 
	1074, 1074, 1074, 1074, -1, 1074, -1, 1074, 
	1074, 1074, 1074, -1, 1074, -1, 1074, 1074, 
	1074, -1, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, -1, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, -1, 
	1074, -1, -1, -1, -1, 1074, 1074, 1074, 
	1074, 1074, -1, -1, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, 1074, 1074, -1, -1, -1, -1, 
	-1, 1074, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 982, 1074, 1074, 
	1074, 1074, -1, -1, 1074, 1074, 1074, 1074, 
	1074, 1074, -1, -1, -1, -1, 1074, 1074, 
	1074, 1074, 1074, 1074, 1074, -1, -1, -1, 
	-1, 1074, -1, -1, -1, -1, 1074, 1074, 
	-1, -1, 1074, 1074, 1074, -1, 1074, 1074, 
	-1, -1, 1074, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1074, 1074, 1074, 1074, 1074, 
	1074, 1074, -1, -1, -1, 1074, 1074, 1074, 
	-1, -1, 1074, 1074, -1, 1074, 1074, 1074, 
	1074, 1074, -1, 1074, 1074, 1074, -1, -1, 
	-1, 1074, 1074, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1074, 1074, 1074, 
	-1, -1, 1074, -1, -1, -1, -1, 1074, 
	-1, 1074, 1074, 1074, 1074, -1, 1074, 1074, 
	1074, 1074, 1074, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1074, -1, 1074, 
	-1, -1, 1074, -1, 1074, 1074, -1, -1, 
	-1, 1074, -1, 1074, -1, 1074, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, -1, -1, -1, 1036, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, 1036, 1036, 1036, -1, -1, -1, 
	-1, 1036, 1036, -1, 1150, 1150, 1150, 1036, 
	1149, -1, -1, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 767, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, 767, 767, 767, 767, 767, 767, 767, 
	767, -1, 767, 767, 767, 767, 767, -1, 
	767, -1, 767, 767, 767, 767, 1074, 767, 
	-1, 767, 767, 767, -1, -1, 767, 767, 
	767, 767, 767, 767, 767, 767, -1, 767, 
	767, 767, -1, -1, -1, -1, 767, 767, 
	767, 767, 767, -1, -1, 767, 767, 767, 
	767, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 767, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	1036, 1036, 1036, 1036, -1, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	265, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, -1, 
	1036, 1036, 1036, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 767, 767, 767, 767, -1, -1, 767, 
	767, -1, 767, 767, 767, -1, -1, 263, 
	-1, 767, 767, 767, -1, 767, 767, 767, 
	-1, -1, -1, -1, 767, -1, -1, -1, 
	-1, 767, -1, -1, -1, 767, 767, 767, 
	-1, 767, 767, -1, -1, 767, -1, -1, 
	-1, -1, -1, -1, -1, -1, 767, 767, 
	767, 767, 767, 767, 767, -1, -1, -1, 
	-1, 767, 767, -1, -1, 767, 767, -1, 
	-1, -1, -1, -1, -1, -1, -1, 767, 
	767, -1, -1, -1, -1, 767, -1, -1, 
	-1, 55, 56, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, 35, 
	36, 40, 38, -1, 767, 767, 767, -1, 
	-1, -1, -1, -1, 767, 767, -1, 41, 
	42, 43, -1, -1, -1, 75, -1, -1, 
	767, -1, 37, -1, -1, -1, -1, 767, 
	72, 71, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 59, -1, 
	-1, 82, 84, 86, 88, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 276, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 274, 275, -1, -1, -1, -1, -1, 
	-1, -1, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, -1, 937, 937, 937, 937, 937, 937, 
	937, 937, -1, -1, -1, 937, 937, 937, 
	937, 937, -1, 937, -1, 937, 937, 937, 
	937, -1, 937, -1, 937, 937, 937, -1, 
	-1, 937, -1, -1, 937, 937, 937, 937, 
	937, -1, 937, 937, 937, -1, -1, -1, 
	-1, 937, 937, 937, 937, 937, -1, -1, 
	937, 937, 937, 937, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 186, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 767, -1, -1, -1, 277, -1, -1, 
	-1, -1, -1, -1, 292, -1, -1, -1, 
	-1, 34, 33, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 62, -1, -1, -1, 
	-1, 44, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	80, 76, 45, -1, 937, 937, 937, 937, 
	39, 989, 937, 937, 937, 937, 937, 937, 
	-1, -1, -1, -1, 937, 937, 937, 937, 
	937, 937, 937, -1, -1, -1, -1, 937, 
	-1, -1, -1, -1, 937, -1, -1, -1, 
	937, 937, 937, -1, 937, 937, -1, -1, 
	937, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 937, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 294, 
	937, 937, -1, -1, -1, -1, -1, -1, 
	-1, -1, 937, 937, -1, -1, -1, -1, 
	937, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 937, 
	937, 937, -1, -1, -1, -1, -1, 937, 
	937, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 937, -1, 937, -1, -1, 
	-1, -1, -1, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 768, 768, 768, 768, 
	768, 768, 768, 768, 768, -1, 768, 768, 
	768, 768, 768, -1, 768, -1, 768, 768, 
	768, 768, -1, 768, -1, 768, 768, 768, 
	-1, -1, 768, 768, 768, 768, 768, 768, 
	768, 768, -1, 768, 768, 768, -1, -1, 
	-1, -1, 768, 768, 768, 768, 768, -1, 
	-1, 768, 768, 768, 768, -1, -1, -1, 
	-1, -1, 265, 266, -1, -1, -1, 768, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	264, -1, -1, -1, -1, -1, -1, -1, 
	-1, 274, 275, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 263, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 937, 768, 768, 768, 
	768, -1, -1, 768, 768, -1, 768, 768, 
	768, -1, -1, -1, -1, 768, 768, 768, 
	-1, 768, 768, 768, -1, -1, -1, -1, 
	768, -1, -1, -1, -1, 768, -1, -1, 
	-1, 768, 768, 768, -1, 768, 768, -1, 
	-1, 768, -1, -1, -1, -1, -1, -1, 
	-1, -1, 768, 768, 768, 768, 768, 768, 
	768, -1, -1, -1, -1, 768, 768, -1, 
	-1, 768, 768, -1, -1, -1, -1, -1, 
	-1, -1, -1, 768, 768, -1, -1, -1, 
	-1, 768, -1, -1, -1, 55, 56, 64, 
	67, 68, 65, 66, 73, 74, 1131, 69, 
	70, -1, -1, 35, 36, 40, 38, -1, 
	768, 768, 768, -1, -1, -1, -1, -1, 
	768, 768, -1, 41, 42, 43, -1, -1, 
	-1, 75, -1, -1, 768, -1, 37, -1, 
	-1, -1, -1, 768, 72, 71, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 59, -1, -1, 82, 84, 86, 
	88, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1131, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 277, 
	-1, -1, -1, -1, -1, -1, 292, -1, 
	-1, -1, -1, 34, 33, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 62, -1, 
	-1, -1, -1, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 76, 45, 768, -1, -1, 
	-1, 299, 39, -1, -1, -1, -1, -1, 
	-1, 1131, 1131, 297, -1, 34, 33, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	62, -1, -1, -1, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 76, 45, -1, 
	-1, -1, -1, -1, 39, 989, -1, -1, 
	-1, 294, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 298, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	937, 937, 937, 937, 937, 937, 937, -1, 
	937, 937, 937, 937, 937, 937, 937, 937, 
	-1, -1, -1, 937, 937, 937, 937, 937, 
	-1, 937, -1, 937, 937, 937, 937, -1, 
	937, -1, 937, 937, 937, -1, -1, 937, 
	-1, -1, 937, 937, 937, 937, 937, -1, 
	937, 937, 937, -1, -1, -1, -1, 937, 
	937, 937, 937, 937, -1, -1, 937, 937, 
	937, 937, -1, -1, 64, 67, 68, 65, 
	66, 73, 74, -1, 69, 70, -1, 186, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	139, 141, 140, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	-1, -1, 131, -1, -1, -1, 135, 136, 
	137, 72, 71, 130, -1, -1, -1, -1, 
	124, 125, 126, -1, -1, -1, -1, 989, 
	122, -1, 144, 145, 146, 147, -1, -1, 
	-1, -1, -1, -1, -1, 127, 926, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 117, 118, 119, -1, 120, 
	-1, -1, 937, 937, 937, 937, -1, -1, 
	937, 937, -1, 937, 937, 937, -1, -1, 
	-1, -1, 937, 937, 937, -1, 937, 937, 
	937, -1, -1, -1, -1, 937, -1, -1, 
	-1, -1, 937, 937, -1, -1, 937, 937, 
	937, -1, 937, 937, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 937, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 300, 937, 937, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	937, 937, -1, -1, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 937, 937, 937, 
	-1, -1, -1, -1, -1, 937, 937, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 937, 205, 311, -1, -1, 937, -1, 
	-1, -1, -1, -1, -1, 206, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, 143, 134, 
	128, 123, 989, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, 926, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 117, 118, 119, -1, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 858, 858, 858, 858, 858, 858, 
	858, 858, 858, 858, 858, 858, 858, 858, 
	858, -1, 858, 858, 858, 858, 858, 858, 
	858, 858, 937, -1, -1, 858, 858, 858, 
	858, 858, -1, 858, -1, 858, 858, 858, 
	858, -1, 858, -1, 858, 858, 858, -1, 
	-1, 858, -1, -1, 858, 858, 858, 858, 
	858, -1, 858, 858, 858, 163, -1, -1, 
	-1, 858, 858, 858, 858, 858, -1, 863, 
	858, 858, 858, 858, -1, -1, -1, -1, 
	-1, -1, -1, 299, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 297, -1, 34, 
	33, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 62, -1, -1, -1, -1, 44, 
	-1, 205, 312, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 206, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, 80, 76, 
	45, 132, -1, -1, -1, -1, 39, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 298, -1, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, 858, 858, 858, 858, 
	-1, -1, 858, 858, 858, 858, 858, 858, 
	-1, -1, -1, -1, 858, 858, 858, 858, 
	858, 858, 858, -1, 314, 162, -1, 858, 
	-1, -1, -1, -1, 858, 858, -1, -1, 
	858, 858, 858, -1, 858, 858, -1, -1, 
	858, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 858, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	858, 858, -1, -1, -1, -1, -1, -1, 
	-1, -1, 858, 858, -1, -1, -1, -1, 
	858, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 858, 
	858, 858, -1, -1, -1, -1, -1, 858, 
	858, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 858, -1, 858, -1, -1, 
	858, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 860, 860, 
	860, 860, 860, 860, 860, 860, 860, 860, 
	860, 860, 860, 860, 860, -1, 860, 860, 
	860, 860, 860, 860, 860, 860, -1, -1, 
	-1, 860, 860, 860, 860, 860, -1, 860, 
	-1, 860, 860, 860, 860, -1, 860, -1, 
	860, 860, 860, -1, -1, 860, -1, 300, 
	860, 860, 860, 860, 860, -1, 860, 860, 
	860, 860, -1, -1, -1, 860, 860, 860, 
	860, 860, -1, 860, 860, 860, 860, 860, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 205, 311, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 206, 
	113, 114, 115, 116, 858, 121, 129, 133, 
	-1, -1, -1, -1, 132, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	143, 134, 128, 123, -1, -1, -1, -1, 
	860, 860, 860, 860, -1, -1, 860, 860, 
	860, 860, 860, 860, -1, -1, -1, -1, 
	860, 860, 860, 860, 860, 860, 860, -1, 
	860, 860, -1, 860, -1, -1, -1, -1, 
	860, 860, -1, -1, 860, 860, 860, -1, 
	860, 860, -1, -1, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	860, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 860, 860, -1, -1, 
	-1, -1, -1, -1, -1, -1, 860, 860, 
	-1, -1, -1, -1, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 860, 860, 860, -1, -1, 
	-1, -1, -1, 860, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 860, 
	-1, 860, -1, -1, 860, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, -1, 1036, 1036, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	1036, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, 1036, 1036, 
	1036, -1, -1, 205, 312, 1036, 1036, -1, 
	1150, 1150, 1150, 1036, 1145, -1, 206, 113, 
	114, 115, 116, 1036, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1145, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 314, 162, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	860, 830, 830, 830, 830, 830, 830, 830, 
	830, 830, 830, 830, 830, 830, 830, 830, 
	-1, 830, 830, 830, 830, 830, 830, 830, 
	830, -1, -1, -1, 830, 830, 830, 830, 
	830, -1, 830, -1, 830, 830, 830, 830, 
	-1, 830, -1, 830, 830, 830, -1, -1, 
	830, -1, -1, 830, 830, 830, 830, 830, 
	-1, 830, 830, 830, -1, -1, -1, -1, 
	830, 830, 830, 830, 830, -1, -1, 830, 
	830, 830, 830, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, 1036, -1, -1, -1, -1, 
	1036, -1, -1, 335, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 176, 177, -1, -1, 
	-1, -1, -1, -1, -1, 175, -1, -1, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 333, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 830, 830, 830, 830, -1, 
	-1, 830, 830, 830, 830, 830, 830, -1, 
	-1, -1, -1, 830, 830, 830, 830, 830, 
	830, 830, -1, -1, -1, -1, 830, -1, 
	-1, -1, -1, 830, 830, -1, -1, 830, 
	830, 830, -1, 830, 830, -1, -1, 830, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 830, -1, -1, -1, -1, 
	27, 28, 1121, 25, 23, 26, -1, 830, 
	830, -1, -1, -1, -1, -1, -1, -1, 
	-1, 830, 830, -1, -1, -1, -1, 830, 
	-1, -1, -1, 851, 851, 851, 851, 851, 
	-1, 32, -1, 47, -1, -1, -1, -1, 
	50, -1, -1, 48, -1, -1, 830, 830, 
	830, -1, 851, 851, 851, -1, 830, 830, 
	24, 54, 53, -1, -1, -1, -1, 77, 
	78, 79, 830, 58, 830, -1, -1, 830, 
	-1, -1, 835, 835, 835, 835, 835, 835, 
	835, 835, 835, 835, 835, 835, 835, 835, 
	835, -1, 835, 835, 835, 835, 835, 835, 
	835, 835, -1, -1, -1, 835, 835, 835, 
	835, 835, -1, 835, -1, 835, 835, 835, 
	835, -1, 835, -1, 835, 835, 835, -1, 
	-1, 835, -1, -1, 835, 835, 835, 835, 
	835, -1, 835, 835, 835, -1, -1, -1, 
	-1, 835, 835, 835, 835, 835, -1, -1, 
	835, 835, 835, 835, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 835, -1, -1, -1, 
	-1, -1, -1, -1, 355, 49, -1, -1, 
	354, 356, 340, 353, -1, 352, -1, -1, 
	-1, -1, 31, 350, 351, 341, 29, 349, 
	342, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 347, 348, 
	343, -1, 344, 345, -1, -1, 346, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 357, -1, 
	-1, -1, -1, 830, 835, 835, 835, 835, 
	851, 851, 835, 835, 835, 835, 835, 835, 
	-1, -1, -1, -1, 835, 835, 835, 835, 
	835, 835, 835, -1, -1, -1, -1, 835, 
	-1, -1, -1, -1, 835, 835, -1, -1, 
	835, 835, 835, -1, 835, 835, -1, -1, 
	835, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 339, 835, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	835, 835, -1, -1, -1, -1, -1, -1, 
	-1, -1, 835, 835, -1, -1, -1, -1, 
	835, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 835, 
	835, 835, -1, -1, -1, -1, -1, 835, 
	835, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 835, -1, 835, -1, -1, 
	835, -1, -1, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, 766, 766, 766, 
	766, 766, 766, 766, 766, -1, 766, 766, 
	766, 766, 766, -1, 766, -1, 766, 766, 
	766, 766, -1, 766, -1, 766, 766, 766, 
	-1, -1, 766, 766, 766, 766, 766, 766, 
	766, 766, -1, 766, 766, 766, -1, -1, 
	-1, -1, 766, 766, 766, 766, 766, -1, 
	-1, 766, 766, 766, 766, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 766, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 176, 177, 
	-1, -1, -1, -1, -1, -1, -1, 175, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 333, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 835, 766, 766, 766, 
	766, -1, -1, 766, 766, -1, 766, 766, 
	766, -1, -1, -1, -1, 766, 766, 766, 
	-1, 766, 766, 766, -1, -1, -1, -1, 
	766, -1, -1, -1, -1, 766, -1, -1, 
	-1, 766, 766, 766, -1, 766, 766, -1, 
	-1, 766, -1, -1, -1, -1, -1, -1, 
	-1, -1, 766, 766, 766, 766, 766, 766, 
	766, -1, -1, -1, -1, 766, 766, -1, 
	-1, 766, 766, -1, -1, -1, -1, -1, 
	-1, -1, -1, 766, 766, -1, -1, -1, 
	-1, 766, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	766, 766, 766, -1, -1, -1, -1, -1, 
	766, 766, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, 766, -1, -1, -1, 
	-1, -1, -1, 766, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 355, 49, 
	-1, -1, 354, 356, 340, 353, -1, 352, 
	-1, -1, -1, -1, 31, 350, 351, 341, 
	29, 349, 342, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	347, 348, 343, -1, 344, 345, -1, -1, 
	346, -1, -1, -1, -1, -1, 932, 932, 
	932, 932, 932, 932, 932, 932, 932, 932, 
	932, 932, -1, -1, 932, 932, 932, 932, 
	357, -1, -1, -1, -1, 766, -1, -1, 
	-1, -1, -1, -1, 932, 932, 932, -1, 
	-1, -1, 932, -1, -1, -1, -1, 932, 
	-1, -1, -1, -1, -1, 932, 932, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 932, -1, -1, 932, 932, 
	932, 932, -1, 358, 113, 114, 115, 116, 
	-1, 121, 129, 133, 932, 339, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, -1, 1061, 1061, 1061, 1061, 
	1061, -1, 1061, -1, 1061, 1061, 1061, 1061, 
	-1, 1061, -1, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, -1, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, -1, 1061, -1, -1, 
	1061, -1, 1061, 1061, 1061, 1061, 1061, -1, 
	-1, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, -1, 932, -1, -1, -1, 1061, -1, 
	-1, -1, 932, 932, 932, -1, 932, 932, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 932, -1, -1, -1, -1, 932, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 932, 932, 932, 
	-1, -1, -1, -1, -1, 932, 932, -1, 
	-1, -1, -1, 1061, 1061, 1061, 1061, -1, 
	-1, 1061, 1061, 1061, 1061, 1061, 1061, -1, 
	932, -1, -1, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, -1, -1, -1, -1, 1061, -1, 
	-1, -1, -1, 1061, 1061, -1, -1, 1061, 
	1061, 1061, -1, 1061, 1061, -1, -1, 1061, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1061, 1061, 1061, 1061, 1061, 1061, 1061, -1, 
	-1, -1, 1061, 1061, 1061, -1, -1, 1061, 
	1061, -1, 1061, 1061, 1061, 1061, 1061, 1061, 
	1061, 1061, 1061, -1, -1, -1, 1061, 1061, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1061, 1061, 1061, -1, -1, 1061, 
	-1, -1, -1, -1, 1061, -1, 1061, 1061, 
	1061, 1061, -1, 1061, 1061, 1061, 1061, 1061, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1061, -1, 1061, -1, -1, 1061, 
	-1, 1061, 1061, -1, -1, -1, 1061, -1, 
	1061, -1, 1061, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 808, 
	808, 808, 808, 808, 808, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 808, -1, -1, -1, -1, -1, -1, 
	-1, -1, 808, 808, 808, 808, 808, -1, 
	808, -1, 808, -1, -1, -1, -1, 808, 
	-1, -1, 808, 808, -1, -1, -1, -1, 
	-1, 808, 808, 808, -1, -1, -1, 808, 
	808, 808, -1, -1, -1, -1, 808, 808, 
	808, 808, 808, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 917, 917, 917, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, 917, 917, 917, 917, 917, 
	917, 917, 917, 917, 917, 917, 917, -1, 
	917, 917, 917, 917, 917, -1, 917, -1, 
	917, 917, 917, 917, -1, 917, -1, 917, 
	917, 917, -1, -1, 917, 917, 917, 917, 
	917, 917, 917, 917, -1, 917, 917, 917, 
	-1, -1, -1, 1061, 917, 917, 917, 917, 
	917, -1, -1, 917, 917, 917, 917, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 917, 808, 808, 808, -1, -1, 808, 
	808, -1, -1, 808, 808, -1, -1, -1, 
	-1, 808, 808, 808, -1, 808, 808, 808, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 808, 808, -1, -1, 808, 808, 808, 
	-1, 808, 808, -1, -1, 808, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 358, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, 808, 
	808, -1, 132, -1, -1, -1, -1, 917, 
	917, 917, 917, -1, -1, 917, 917, -1, 
	917, 917, 917, -1, -1, -1, -1, 917, 
	917, 917, -1, 917, 917, 917, 143, 134, 
	128, 123, 917, -1, -1, -1, -1, 917, 
	-1, -1, -1, 917, 917, 917, -1, 917, 
	917, -1, -1, 917, -1, 808, -1, -1, 
	-1, -1, -1, -1, 917, 917, 917, 917, 
	917, 917, 917, -1, -1, -1, -1, 917, 
	917, -1, -1, 917, 917, -1, -1, -1, 
	-1, -1, -1, -1, -1, 917, 917, -1, 
	-1, -1, -1, 917, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 917, 917, 917, -1, -1, -1, 
	-1, -1, 917, 917, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 917, -1, 
	-1, -1, -1, -1, -1, 917, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	-1, 964, 964, 964, 964, 964, -1, 964, 
	-1, 964, 964, 964, 964, -1, 964, -1, 
	964, 964, 964, -1, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, -1, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, -1, 964, -1, -1, -1, -1, 964, 
	964, 964, 964, 964, -1, -1, 964, 964, 
	964, 964, 964, 964, 964, 964, 964, 964, 
	964, 964, 964, 964, 964, 964, -1, -1, 
	-1, -1, -1, 964, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 917, 
	964, 964, 964, 964, -1, -1, 964, 964, 
	964, 964, 964, 964, -1, -1, -1, -1, 
	964, 964, 964, 964, 964, 964, 964, -1, 
	-1, -1, -1, 964, -1, -1, -1, -1, 
	964, 964, -1, -1, 964, 964, 964, -1, 
	964, 964, -1, -1, 964, -1, -1, -1, 
	-1, -1, -1, -1, -1, 964, 964, 964, 
	964, 964, 964, 964, -1, -1, -1, 964, 
	964, 964, -1, -1, 964, 964, -1, 964, 
	964, 964, 964, 964, -1, 964, 964, 964, 
	-1, -1, -1, 964, 964, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 964, 
	964, 964, -1, -1, 964, -1, -1, -1, 
	-1, 964, -1, 964, 964, 964, 964, -1, 
	964, 964, 964, 964, 964, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 964, 
	-1, 964, -1, -1, 964, -1, 964, 964, 
	-1, -1, -1, 964, -1, 964, -1, 964, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, -1, 965, 965, 965, 965, 965, 
	-1, 965, -1, 965, 965, 965, 965, -1, 
	965, -1, 965, 965, 965, -1, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, -1, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, -1, 965, -1, -1, -1, 
	-1, 965, 965, 965, 965, 965, -1, -1, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	965, 965, 965, 965, 965, 965, 965, 965, 
	-1, -1, -1, -1, -1, 965, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	964, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 965, 965, 965, 965, -1, -1, 
	965, 965, 965, 965, 965, 965, -1, -1, 
	-1, -1, 965, 965, 965, 965, 965, 965, 
	965, -1, -1, -1, -1, 965, -1, -1, 
	-1, -1, 965, 965, -1, -1, 965, 965, 
	965, -1, 965, 965, -1, -1, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, 965, 
	965, 965, 965, 965, 965, 965, -1, -1, 
	-1, 965, 965, 965, -1, -1, 965, 965, 
	-1, 965, 965, 965, 965, 965, -1, 965, 
	965, 965, -1, -1, -1, 965, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, 965, 965, -1, -1, 965, -1, 
	-1, -1, -1, 965, -1, 965, 965, 965, 
	965, -1, 965, 965, 965, 965, 965, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 965, -1, 965, -1, -1, 965, -1, 
	965, 965, -1, -1, -1, 965, -1, 965, 
	-1, 965, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, 64, 67, 68, 65, 
	66, 73, 74, -1, 69, 70, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, 138, 
	139, 141, 140, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	-1, -1, 131, -1, -1, -1, 135, 136, 
	137, 72, 71, 130, -1, -1, -1, -1, 
	124, 125, 126, -1, -1, -1, -1, 989, 
	122, -1, 144, 145, 146, 147, -1, -1, 
	-1, -1, -1, -1, -1, 127, 926, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 965, 117, 118, 119, -1, 120, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 362, 113, 114, 115, 116, 
	-1, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 205, 361, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 206, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, 989, 884, 884, 884, 884, 884, 
	884, 884, 884, 884, 884, 884, 884, 884, 
	884, 884, -1, 884, 884, 884, 884, 884, 
	884, 884, 884, -1, -1, -1, 884, 884, 
	884, 884, 884, -1, 884, -1, 884, 884, 
	884, 884, -1, 884, -1, 884, 884, 884, 
	-1, -1, 884, -1, -1, 884, 884, 884, 
	884, 884, -1, 884, 884, 884, -1, -1, 
	-1, -1, 884, 884, 884, 884, 884, -1, 
	-1, 884, 884, 884, 884, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 789, 
	789, 789, 789, 789, 789, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 789, 789, 789, 789, 789, -1, 
	789, -1, 789, -1, -1, -1, -1, 789, 
	-1, -1, 789, -1, -1, -1, -1, -1, 
	-1, 789, 789, 789, -1, -1, -1, 789, 
	789, 789, -1, -1, -1, -1, 789, 789, 
	789, -1, 789, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 884, 884, 884, 
	884, -1, -1, 884, 884, 884, 884, 884, 
	884, -1, -1, -1, -1, 884, 884, 884, 
	884, 884, 884, 884, -1, -1, -1, -1, 
	884, -1, -1, -1, -1, 884, 884, -1, 
	-1, 884, 884, 884, -1, 884, 884, -1, 
	-1, 884, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 884, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 884, 884, -1, -1, -1, -1, -1, 
	-1, -1, -1, 884, 884, -1, -1, -1, 
	-1, 884, -1, 789, 789, -1, -1, 789, 
	789, 789, 789, -1, 789, -1, -1, -1, 
	-1, 789, 789, 789, 789, 789, 789, 789, 
	884, 884, 884, -1, -1, -1, -1, -1, 
	884, 884, -1, -1, -1, 789, 789, 789, 
	-1, 789, 789, -1, 884, 789, 884, -1, 
	-1, 884, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 789, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 789, 
	789, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	889, 889, 889, 889, 889, 889, 889, 889, 
	889, 889, 889, 889, 889, 889, 889, -1, 
	889, 889, 889, 889, 889, 889, 889, 889, 
	-1, -1, -1, 889, 889, 889, 889, 889, 
	-1, 889, 789, 889, 889, 889, 889, -1, 
	889, -1, 889, 889, 889, -1, -1, 889, 
	-1, -1, 889, 889, 889, 889, 889, -1, 
	889, 889, 889, -1, -1, -1, -1, 889, 
	889, 889, 889, 889, -1, -1, 889, 889, 
	889, 889, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 884, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 362, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 889, 889, 889, 889, -1, -1, 
	889, 889, 889, 889, 889, 889, 143, 134, 
	128, 123, 889, 889, 889, 889, 889, 889, 
	889, -1, -1, -1, -1, 889, -1, -1, 
	-1, -1, 889, 889, 205, 361, 889, 889, 
	889, -1, 889, 889, -1, -1, 889, 206, 
	113, 114, 115, 116, -1, 121, 129, 133, 
	-1, -1, 889, -1, 132, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 889, 889, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	889, 889, -1, -1, -1, -1, 889, -1, 
	143, 134, 128, 123, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 889, 889, 889, 
	-1, -1, -1, -1, -1, 889, 889, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 889, -1, 889, -1, -1, 889, -1, 
	-1, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, -1, 1009, 1009, 1009, 1009, 
	1009, -1, 1009, -1, 1009, 1009, 1009, 1009, 
	-1, 1009, -1, 1009, 1009, 1009, -1, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, -1, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, -1, 1009, -1, -1, 
	-1, -1, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, 1009, 
	1009, -1, -1, -1, -1, -1, 1009, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 889, 1009, 1009, 1009, 1009, -1, 
	-1, 1009, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, -1, -1, 1009, 1009, 1009, 1009, 1009, 
	1009, 1009, -1, -1, -1, -1, 1009, -1, 
	-1, -1, -1, 1009, 1009, -1, -1, 1009, 
	1009, 1009, -1, 1009, 1009, -1, -1, 1009, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1009, 1009, 1009, 1009, 1009, 1009, 1009, -1, 
	-1, -1, 1009, 1009, 1009, -1, -1, 1009, 
	1009, -1, 1009, 1009, 1009, 1009, 1009, -1, 
	1009, 1009, 1009, -1, -1, -1, 1009, 1009, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1009, 1009, 1009, -1, -1, 1009, 
	-1, -1, -1, -1, 1009, -1, 1009, 1009, 
	1009, 1009, -1, 1009, 1009, 1009, 1009, 1009, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1009, -1, 1009, -1, -1, 1009, 
	-1, 1009, 1009, -1, -1, -1, 1009, -1, 
	1009, -1, 1009, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, -1, 1032, 1032, 
	1032, 1032, 1032, -1, 1032, -1, 1032, 1032, 
	1032, 1032, -1, 1032, -1, 1032, 1032, 1032, 
	-1, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, -1, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, -1, 1032, 
	-1, -1, -1, -1, 1032, 1032, 1032, 1032, 
	1032, -1, -1, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, 1032, 1032, -1, -1, -1, -1, -1, 
	1032, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1009, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1032, 1032, 1032, 
	1032, -1, -1, 1032, 1032, 1032, 1032, 1032, 
	1032, -1, -1, -1, -1, 1032, 1032, 1032, 
	1032, 1032, 1032, 1032, -1, -1, -1, -1, 
	1032, -1, -1, -1, -1, 1032, 1032, -1, 
	-1, 1032, 1032, 1032, -1, 1032, 1032, -1, 
	-1, 1032, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1032, 1032, 1032, 1032, 1032, 1032, 
	1032, -1, -1, -1, 1032, 1032, 1032, 1032, 
	-1, 1032, 1032, -1, 1032, 1032, 1032, 1032, 
	1032, -1, 1032, 1032, 1032, -1, -1, -1, 
	1032, 1032, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1032, 1032, 1032, -1, 
	-1, 1032, -1, -1, -1, -1, 1032, -1, 
	1032, 1032, 1032, 1032, -1, 1032, 1032, 1032, 
	1032, 1032, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1032, -1, 1032, -1, 
	-1, 1032, -1, 1032, 1032, -1, -1, -1, 
	1032, -1, 1032, -1, 1032, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, -1, 
	1031, 1031, 1031, 1031, 1031, -1, 1031, -1, 
	1031, 1031, 1031, 1031, -1, 1031, -1, 1031, 
	1031, 1031, -1, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	-1, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	-1, 1031, -1, -1, -1, -1, 1031, 1031, 
	1031, 1031, 1031, -1, -1, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, 1031, 1031, -1, -1, -1, 
	-1, -1, 1031, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1032, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1031, 
	1031, 1031, 1031, -1, -1, 1031, 1031, 1031, 
	1031, 1031, 1031, -1, -1, -1, -1, 1031, 
	1031, 1031, 1031, 1031, 1031, 1031, -1, -1, 
	-1, -1, 1031, -1, -1, -1, -1, 1031, 
	1031, -1, -1, 1031, 1031, 1031, -1, 1031, 
	1031, -1, -1, 1031, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1031, 1031, 1031, 1031, 
	1031, 1031, 1031, -1, -1, -1, 1031, 1031, 
	1031, 1031, -1, 1031, 1031, -1, 1031, 1031, 
	1031, 1031, 1031, -1, 1031, 1031, 1031, -1, 
	-1, -1, 1031, 1031, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1031, 1031, 
	1031, -1, -1, 1031, -1, -1, -1, -1, 
	1031, -1, 1031, 1031, 1031, 1031, -1, 1031, 
	1031, 1031, 1031, 1031, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1031, -1, 
	1031, -1, -1, 1031, -1, 1031, 1031, -1, 
	-1, -1, 1031, -1, 1031, -1, 1031, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, -1, 966, 966, 966, 966, 966, -1, 
	966, -1, 966, 966, 966, 966, -1, 966, 
	-1, 966, 966, 966, 194, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, -1, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, -1, 966, -1, -1, 193, -1, 
	966, 966, 966, 966, 966, -1, -1, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, -1, -1, 966, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1031, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 966, 966, 966, 966, -1, -1, 966, 
	966, 966, 966, 966, 966, -1, -1, -1, 
	-1, 966, 966, 966, 966, 966, 966, 966, 
	-1, -1, -1, -1, 966, -1, -1, -1, 
	-1, 966, 966, -1, -1, 966, 966, 966, 
	-1, 966, 966, -1, -1, 966, -1, -1, 
	-1, -1, -1, -1, -1, -1, 966, 966, 
	966, 966, 966, 966, 966, -1, -1, -1, 
	966, 966, 966, -1, -1, 966, 966, -1, 
	966, 966, 966, 966, 966, 411, 966, 966, 
	966, -1, -1, -1, 966, 966, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	966, 966, 966, -1, -1, 966, -1, -1, 
	-1, -1, 966, -1, 966, 966, 966, 966, 
	-1, 966, 966, 966, 966, 966, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	966, -1, 966, -1, -1, 966, -1, 966, 
	966, -1, -1, -1, 966, -1, 966, -1, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, -1, 966, 966, 966, 966, 
	966, -1, 966, -1, 966, 966, 966, 966, 
	-1, 966, -1, 966, 966, 966, 194, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, -1, 966, -1, -1, 
	193, -1, 966, 966, 966, 966, 966, -1, 
	-1, 966, 966, 966, 966, 966, 966, 966, 
	966, 966, 966, 966, 966, 966, 966, 966, 
	966, -1, -1, -1, -1, -1, 966, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 966, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 966, 966, 966, 966, -1, 
	-1, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, -1, 966, 966, 966, 966, 966, 
	966, 966, -1, -1, -1, -1, 966, -1, 
	-1, -1, -1, 966, 966, -1, -1, 966, 
	966, 966, -1, 966, 966, -1, -1, 966, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	966, 966, 966, 966, 966, 966, 966, -1, 
	-1, -1, 966, 966, 966, -1, -1, 966, 
	966, -1, 966, 966, 966, 966, 966, 412, 
	966, 966, 966, -1, -1, -1, 966, 966, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 966, 966, 966, -1, -1, 966, 
	-1, -1, -1, -1, 966, -1, 966, 966, 
	966, 966, -1, 966, 966, 966, 966, 966, 
	-1, -1, 27, 28, 1127, 25, 23, 26, 
	-1, -1, 966, -1, 966, -1, -1, 966, 
	-1, 966, 966, -1, 30, -1, 966, -1, 
	966, -1, 966, -1, -1, 851, 851, 851, 
	851, 851, -1, 32, -1, 243, -1, -1, 
	-1, -1, 50, -1, -1, 48, 46, -1, 
	-1, -1, -1, -1, 851, 851, 851, -1, 
	-1, -1, 24, 54, 53, -1, -1, -1, 
	-1, 77, 78, 79, 51, 851, -1, -1, 
	809, 809, 809, 809, 809, 809, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 809, -1, -1, -1, -1, -1, 
	-1, -1, -1, 809, 809, 809, 809, 809, 
	-1, 809, -1, 809, -1, -1, -1, -1, 
	809, -1, -1, 809, 809, -1, -1, -1, 
	-1, -1, 809, 809, 809, -1, -1, -1, 
	809, 809, 809, -1, -1, -1, -1, 809, 
	809, 809, 809, 809, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 241, 239, 49, 
	-1, -1, 238, 240, -1, -1, 242, 237, 
	-1, -1, -1, 966, 31, 235, 236, -1, 
	29, 233, 227, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 234, 225, -1, -1, 
	231, 232, 226, -1, 228, 229, -1, -1, 
	230, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 809, 809, 809, -1, -1, 
	809, 809, 851, 851, 809, 809, -1, 411, 
	-1, -1, 809, 809, 809, -1, 809, 809, 
	809, -1, 810, 810, 810, 810, 810, 810, 
	-1, -1, 809, 809, -1, -1, 809, 809, 
	809, -1, 809, 809, 810, -1, 809, -1, 
	-1, -1, -1, -1, -1, 810, 810, 810, 
	810, 810, -1, 810, -1, 810, -1, -1, 
	413, -1, 810, -1, -1, 810, 810, -1, 
	-1, -1, -1, -1, 810, 810, 810, -1, 
	809, 809, 810, 810, 810, -1, -1, -1, 
	-1, 810, 810, 810, 810, 810, -1, -1, 
	811, 811, 811, 811, 811, 811, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 811, -1, -1, -1, -1, -1, 
	-1, -1, -1, 811, 811, 811, 811, 811, 
	-1, 811, -1, 811, -1, -1, 809, -1, 
	811, -1, -1, 811, 811, -1, -1, -1, 
	-1, -1, 811, 811, 811, -1, -1, -1, 
	811, 811, 811, -1, -1, -1, -1, 811, 
	811, 811, 811, 811, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 810, 810, 810, 
	-1, -1, 810, 810, -1, -1, 810, 810, 
	-1, -1, -1, -1, 810, 810, 810, -1, 
	810, 810, 810, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 810, 810, -1, -1, 
	810, 810, 810, -1, 810, 810, -1, -1, 
	810, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 811, 811, 811, -1, -1, 
	811, 811, 810, 810, 811, 811, -1, -1, 
	-1, -1, 811, 811, 811, -1, 811, 811, 
	811, -1, 812, 812, 812, 812, 812, 812, 
	-1, -1, 811, 811, -1, -1, 811, 811, 
	811, -1, 811, 811, 812, -1, 811, -1, 
	-1, -1, -1, -1, -1, 812, 812, 812, 
	812, 812, -1, 812, -1, 812, -1, -1, 
	810, 412, 812, -1, -1, 812, 812, -1, 
	-1, -1, -1, -1, 812, 812, 812, -1, 
	811, 811, 812, 812, 812, -1, -1, -1, 
	-1, 812, 812, 812, 812, 812, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 928, 928, 928, 928, 928, 
	928, 928, 928, 928, -1, 928, 928, -1, 
	-1, 928, 928, 928, 928, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 811, -1, 
	-1, 928, 928, 928, -1, -1, -1, 928, 
	-1, -1, -1, -1, 928, -1, -1, -1, 
	-1, -1, 928, 928, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	928, -1, -1, 928, 928, 928, 928, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	928, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 812, 812, 812, 
	-1, -1, 812, 812, -1, -1, 812, 812, 
	-1, -1, -1, -1, 812, 812, 812, -1, 
	812, 812, 812, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 812, 812, -1, -1, 
	812, 812, 812, -1, 812, 812, -1, -1, 
	812, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 812, 812, -1, -1, -1, 241, 
	239, 49, -1, -1, 238, 240, -1, -1, 
	242, 237, -1, -1, -1, -1, 31, 235, 
	236, -1, 29, 233, 227, -1, 813, 813, 
	813, 813, 813, 813, -1, -1, 234, 225, 
	-1, -1, 231, 232, 226, -1, 228, 229, 
	813, -1, 230, -1, -1, -1, -1, 928, 
	812, 813, 813, 813, 813, 813, 928, 813, 
	-1, 813, -1, 928, 928, -1, 813, -1, 
	-1, 813, 813, -1, -1, -1, 928, -1, 
	813, 813, 813, 928, -1, -1, 813, 813, 
	813, -1, -1, -1, -1, 813, 813, 813, 
	813, 813, -1, -1, 814, 814, 814, 814, 
	814, 814, 928, 928, 928, -1, -1, -1, 
	-1, -1, 928, 928, -1, -1, 814, -1, 
	-1, -1, -1, -1, -1, -1, -1, 814, 
	814, 814, 814, 814, -1, 814, -1, 814, 
	-1, -1, 413, -1, 814, -1, -1, 814, 
	814, -1, -1, -1, -1, -1, 814, 814, 
	814, -1, -1, -1, 814, 814, 814, -1, 
	-1, -1, -1, 814, 814, 814, 814, 814, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 813, 813, 813, -1, -1, 813, 813, 
	-1, -1, 813, 813, -1, -1, -1, -1, 
	813, 813, 813, -1, 813, 813, 813, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	813, 813, -1, -1, 813, 813, 813, -1, 
	813, 813, -1, -1, 813, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 814, 
	814, 814, -1, -1, 814, 814, 813, 813, 
	814, 814, -1, -1, -1, -1, 814, 814, 
	814, -1, 814, 814, 814, -1, 815, 815, 
	815, 815, 815, 815, -1, -1, 814, 814, 
	-1, -1, 814, 814, 814, -1, 814, 814, 
	815, -1, 814, -1, -1, -1, -1, -1, 
	-1, 815, 815, 815, 815, 815, -1, 815, 
	-1, 815, -1, -1, 813, -1, 815, -1, 
	-1, 815, 815, -1, -1, -1, -1, -1, 
	815, 815, 815, -1, 814, 814, 815, 815, 
	815, -1, -1, -1, -1, 815, 815, 815, 
	815, 815, -1, -1, 816, 816, 816, 816, 
	816, 816, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 816, -1, 
	-1, -1, -1, -1, -1, -1, -1, 816, 
	816, 816, 816, 816, -1, 816, -1, 816, 
	-1, -1, 814, -1, 816, -1, -1, 816, 
	816, -1, -1, -1, -1, -1, 816, 816, 
	816, -1, -1, -1, 816, 816, 816, -1, 
	-1, -1, -1, 816, 816, 816, 816, 816, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 815, 815, 815, -1, -1, 815, 815, 
	-1, -1, 815, 815, -1, -1, -1, -1, 
	815, 815, 815, -1, 815, 815, 815, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	815, 815, -1, -1, 815, 815, 815, -1, 
	815, 815, -1, -1, 815, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 816, 
	816, 816, -1, -1, 816, 816, 815, 815, 
	816, 816, -1, -1, -1, -1, 816, 816, 
	816, -1, 816, 816, 816, -1, 817, 817, 
	817, 817, 817, 817, -1, -1, 816, 816, 
	-1, -1, 816, 816, 816, -1, 816, 816, 
	817, -1, 816, -1, -1, -1, -1, -1, 
	-1, 817, 817, 817, 817, 817, -1, 817, 
	-1, 817, -1, -1, 815, -1, 817, -1, 
	-1, 817, 817, -1, -1, -1, -1, -1, 
	817, 817, 817, -1, 816, 816, 817, 817, 
	817, -1, -1, -1, -1, 817, 817, 817, 
	817, 817, -1, -1, 818, 818, 818, 818, 
	818, 818, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 818, -1, 
	-1, -1, -1, -1, -1, -1, -1, 818, 
	818, 818, 818, 818, -1, 818, -1, 818, 
	-1, -1, 816, -1, 818, -1, -1, 818, 
	818, -1, -1, -1, -1, -1, 818, 818, 
	818, -1, -1, -1, 818, 818, 818, -1, 
	-1, -1, -1, 818, 818, 818, 818, 818, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 817, 817, 817, -1, -1, 817, 817, 
	-1, -1, 817, 817, -1, -1, -1, -1, 
	817, 817, 817, -1, 817, 817, 817, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	817, 817, -1, -1, 817, 817, 817, -1, 
	817, 817, -1, -1, 817, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 818, 
	818, 818, -1, -1, 818, 818, 817, 817, 
	818, 818, -1, -1, -1, -1, 818, 818, 
	818, -1, 818, 818, 818, -1, 819, 819, 
	819, 819, 819, 819, -1, -1, 818, 818, 
	-1, -1, 818, 818, 818, -1, 818, 818, 
	819, -1, 818, -1, -1, -1, -1, -1, 
	-1, 819, 819, 819, 819, 819, -1, 819, 
	-1, 819, -1, -1, 817, -1, 819, -1, 
	-1, 819, 819, -1, -1, -1, -1, -1, 
	819, 819, 819, -1, 818, 818, 819, 819, 
	819, -1, -1, -1, -1, 819, 819, 819, 
	819, 819, -1, -1, 820, 820, 820, 820, 
	820, 820, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 820, -1, 
	-1, -1, -1, -1, -1, -1, -1, 820, 
	820, 820, 820, 820, -1, 820, -1, 820, 
	-1, -1, 818, -1, 820, -1, -1, 820, 
	820, -1, -1, -1, -1, -1, 820, 820, 
	820, -1, -1, -1, 820, 820, 820, -1, 
	-1, -1, -1, 820, 820, 820, 820, 820, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 819, 819, 819, -1, -1, 819, 819, 
	-1, -1, 819, 819, -1, -1, -1, -1, 
	819, 819, 819, -1, 819, 819, 819, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	819, 819, -1, -1, 819, 819, 819, -1, 
	819, 819, -1, -1, 819, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 820, 
	820, 820, -1, -1, 820, 820, 819, 819, 
	820, 820, -1, -1, -1, -1, 820, 820, 
	820, -1, 820, 820, 820, -1, 821, 821, 
	821, 821, 821, 821, -1, -1, 820, 820, 
	-1, -1, 820, 820, 820, -1, 820, 820, 
	821, -1, 820, -1, -1, -1, -1, -1, 
	-1, 821, 821, 821, 821, 821, -1, 821, 
	-1, 821, -1, -1, 819, -1, 821, -1, 
	-1, 821, 821, -1, -1, -1, -1, -1, 
	821, 821, 821, -1, 820, 820, 821, 821, 
	821, -1, -1, -1, -1, 821, 821, 821, 
	821, 821, -1, -1, 822, 822, 822, 822, 
	822, 822, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 822, -1, 
	-1, -1, -1, -1, -1, -1, -1, 822, 
	822, 822, 822, 822, -1, 822, -1, 822, 
	-1, -1, 820, -1, 822, -1, -1, 822, 
	822, -1, -1, -1, -1, -1, 822, 822, 
	822, -1, -1, -1, 822, 822, 822, -1, 
	-1, -1, -1, 822, 822, 822, 822, 822, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 821, 821, 821, -1, -1, 821, 821, 
	-1, -1, 821, 821, -1, -1, -1, -1, 
	821, 821, 821, -1, 821, 821, 821, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	821, 821, -1, -1, 821, 821, 821, -1, 
	821, 821, -1, -1, 821, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 822, 
	822, 822, -1, -1, 822, 822, 821, 821, 
	822, 822, -1, -1, -1, -1, 822, 822, 
	822, -1, 822, 822, 822, -1, 823, 823, 
	823, 823, 823, 823, -1, -1, 822, 822, 
	-1, -1, 822, 822, 822, -1, 822, 822, 
	823, -1, 822, -1, -1, -1, -1, -1, 
	-1, 823, 823, 823, 823, 823, -1, 823, 
	-1, 823, -1, -1, 821, -1, 823, -1, 
	-1, 823, 823, -1, -1, -1, -1, -1, 
	823, 823, 823, -1, 822, 822, 823, 823, 
	823, -1, -1, -1, -1, 823, 823, 823, 
	823, 823, -1, -1, -1, -1, -1, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 822, -1, -1, 1036, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, 1036, 1036, 1036, -1, -1, 
	-1, -1, 1036, 1036, -1, 1150, 1150, 1150, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, -1, 
	-1, 823, 823, 823, 1149, -1, 823, 823, 
	-1, -1, 823, 823, -1, -1, -1, -1, 
	823, 823, 823, -1, 823, 823, 823, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	823, 823, -1, -1, 823, 823, 823, -1, 
	823, 823, -1, -1, 823, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 823, 823, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 823, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	1036, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	1036, 265, 266, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, 264, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	1036, -1, -1, -1, 1036, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, 1036, 1036, 1036, -1, -1, -1, 
	427, 1036, 1036, -1, 1150, 1150, 1150, 1036, 
	1149, -1, -1, -1, -1, -1, -1, 1036, 
	1034, 1034, 1034, 1034, 1034, 1034, 1034, -1, 
	1034, 1034, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, 1149, -1, -1, -1, -1, 
	-1, -1, 1034, -1, -1, -1, 1034, -1, 
	-1, -1, 1034, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, -1, 1034, 1034, 1034, -1, 
	-1, -1, -1, 1034, 1034, -1, 1034, 1034, 
	1034, 1034, -1, -1, -1, -1, -1, -1, 
	-1, 1034, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1034, 
	1034, 1034, 332, 1034, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	1036, 1036, 1036, 1036, -1, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1036, 
	265, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, -1, 
	1036, 1036, 1036, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 436, 
	-1, 1034, 1034, 1034, 1034, 1034, -1, 1034, 
	1034, 1034, -1, -1, -1, -1, 1034, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 435, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1034, 1034, 1034, 1034, 1034, -1, 
	-1, -1, -1, -1, -1, -1, -1, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, -1, 958, 958, 958, 958, 958, -1, 
	958, -1, 958, 958, 958, 958, -1, 958, 
	-1, 958, 958, 958, -1, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, -1, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, -1, 958, -1, -1, -1, -1, 
	958, 958, 958, 958, 958, -1, -1, 958, 
	958, 958, 958, 958, 958, 958, 958, 958, 
	958, 958, 958, 958, 958, 958, 958, -1, 
	-1, -1, -1, -1, 958, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 958, 958, 958, 958, -1, -1, 958, 
	958, 958, 958, 958, 958, -1, -1, -1, 
	-1, 958, 958, 958, 958, 958, 958, 958, 
	-1, -1, -1, -1, 958, -1, -1, -1, 
	-1, 958, 958, -1, -1, 958, 958, 958, 
	-1, 958, 958, -1, -1, 958, -1, -1, 
	-1, -1, -1, -1, -1, -1, 958, 958, 
	958, 958, 958, 958, 958, -1, -1, -1, 
	958, 958, 958, -1, -1, 958, 958, -1, 
	958, 958, 958, 958, 958, -1, 958, 958, 
	958, -1, -1, -1, 958, 958, -1, -1, 
	-1, -1, -1, 265, 266, -1, -1, -1, 
	958, 958, 958, -1, -1, 958, -1, -1, 
	-1, 264, 958, -1, 958, 958, 958, 958, 
	-1, 958, 958, 958, 958, 958, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	958, -1, 958, -1, -1, 958, -1, 958, 
	958, -1, 427, -1, 958, -1, 958, -1, 
	958, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, -1, 959, 959, 959, 
	959, 959, -1, 959, -1, 959, 959, 959, 
	959, -1, 959, -1, 959, 959, 959, -1, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, -1, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, -1, 959, -1, 
	-1, -1, -1, 959, 959, 959, 959, 959, 
	-1, -1, 959, 959, 959, 959, 959, 959, 
	959, 959, 959, 959, 959, 959, 959, 959, 
	959, 959, -1, -1, -1, -1, -1, 959, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 958, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 959, 959, 959, 959, 
	-1, -1, 959, 959, 959, 959, 959, 959, 
	-1, -1, 265, 266, 959, 959, 959, 959, 
	959, 959, 959, -1, -1, -1, -1, 959, 
	264, -1, -1, -1, 959, 959, -1, -1, 
	959, 959, 959, -1, 959, 959, -1, -1, 
	959, -1, -1, -1, -1, -1, -1, -1, 
	-1, 959, 959, 959, 959, 959, 959, 959, 
	-1, 436, -1, 959, 959, 959, -1, -1, 
	959, 959, -1, 959, 959, 959, 959, 959, 
	-1, 959, 959, 959, -1, -1, -1, 959, 
	959, -1, -1, 435, -1, -1, -1, -1, 
	-1, -1, -1, 959, 959, 959, -1, -1, 
	959, -1, -1, -1, -1, 959, -1, 959, 
	959, 959, 959, -1, 959, 959, 959, 959, 
	959, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 959, -1, 959, -1, -1, 
	959, -1, 959, 959, -1, -1, -1, 959, 
	-1, 959, -1, 959, 64, 67, 68, 65, 
	66, 73, 74, -1, 69, 70, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	139, 141, 140, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	-1, -1, 131, -1, -1, -1, 135, 136, 
	137, 72, 71, 130, -1, -1, -1, -1, 
	124, 125, 126, -1, -1, -1, -1, 989, 
	122, -1, 144, 145, 146, 147, -1, -1, 
	-1, -1, -1, -1, -1, 127, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, -1, 961, 961, 961, 961, 961, -1, 
	961, -1, 961, 961, 961, 961, -1, 961, 
	-1, 961, 961, 961, 959, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, -1, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, -1, 961, -1, -1, -1, -1, 
	961, 961, 961, 961, 961, -1, -1, 961, 
	961, 961, 961, 961, 961, 961, 961, 961, 
	961, 961, 961, 961, 961, 961, 961, -1, 
	-1, -1, -1, -1, 961, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 439, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, 989, -1, -1, -1, -1, -1, 
	-1, 961, 961, 961, 961, -1, -1, 961, 
	961, 961, 961, 961, 961, -1, -1, -1, 
	-1, 961, 961, 961, 961, 961, 961, 961, 
	-1, -1, -1, -1, 961, -1, -1, -1, 
	-1, 961, 961, -1, -1, 961, 961, 961, 
	-1, 961, 961, -1, -1, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, 961, 961, 
	961, 961, 961, 961, 961, -1, -1, -1, 
	961, 961, 961, -1, -1, 961, 961, -1, 
	961, 961, 961, 961, 961, -1, 961, 961, 
	961, -1, -1, -1, 961, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, 961, 961, -1, -1, 961, -1, -1, 
	-1, -1, 961, -1, 961, 961, 961, 961, 
	-1, 961, 961, 961, 961, 961, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	961, -1, 961, -1, -1, 961, -1, 961, 
	961, -1, -1, -1, 961, -1, 961, -1, 
	961, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, -1, 962, 962, 962, 962, 
	962, -1, 962, -1, 962, 962, 962, 962, 
	-1, 962, -1, 962, 962, 962, -1, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, -1, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, -1, 962, -1, -1, 
	-1, -1, 962, 962, 962, 962, 962, -1, 
	-1, 962, 962, 962, 962, 962, 962, 962, 
	962, 962, 962, 962, 962, 962, 962, 962, 
	962, -1, -1, -1, -1, -1, 962, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 961, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 962, 962, 962, 962, -1, 
	-1, 962, 962, 962, 962, 962, 962, -1, 
	-1, -1, -1, 962, 962, 962, 962, 962, 
	962, 962, -1, -1, -1, -1, 962, -1, 
	-1, -1, -1, 962, 962, -1, -1, 962, 
	962, 962, -1, 962, 962, -1, -1, 962, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	962, 962, 962, 962, 962, 962, 962, -1, 
	-1, -1, 962, 962, 962, -1, -1, 962, 
	962, -1, 962, 962, 962, 962, 962, -1, 
	962, 962, 962, -1, -1, -1, 962, 962, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 962, 962, 962, -1, -1, 962, 
	-1, -1, -1, -1, 962, -1, 962, 962, 
	962, 962, -1, 962, 962, 962, 962, 962, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 962, -1, 962, -1, -1, 962, 
	-1, 962, 962, -1, -1, -1, 962, -1, 
	962, -1, 962, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 449, 450, -1, 922, 922, 
	922, 922, 922, -1, 922, -1, 922, 922, 
	922, 922, -1, 922, -1, 922, 922, 922, 
	-1, -1, 922, 922, 922, 922, 922, 922, 
	922, 922, -1, 922, 922, 922, -1, -1, 
	-1, -1, 922, 922, 922, 922, 922, -1, 
	-1, 922, 922, 922, 922, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 922, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, 129, 133, 
	-1, -1, -1, -1, 132, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	143, 134, 128, 123, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 962, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 922, 922, 922, 
	922, -1, -1, 922, 922, -1, 922, 922, 
	922, -1, -1, -1, -1, 922, 922, 922, 
	-1, 922, 922, 922, -1, -1, -1, -1, 
	922, -1, -1, -1, -1, 922, -1, -1, 
	-1, 922, 922, 922, -1, 922, 922, -1, 
	-1, 922, -1, -1, -1, -1, -1, -1, 
	-1, -1, 922, 922, 922, 922, 444, 446, 
	448, -1, -1, -1, -1, 922, 922, -1, 
	-1, 922, 922, -1, -1, -1, -1, -1, 
	-1, -1, -1, 922, 922, -1, -1, -1, 
	-1, 922, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	922, 922, 922, -1, -1, -1, -1, -1, 
	922, 922, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, 922, -1, -1, -1, 
	-1, -1, -1, 922, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, 64, 67, 68, 65, 
	66, 73, 74, -1, 69, 70, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, 138, 
	139, 141, 140, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	-1, -1, 131, -1, -1, -1, 135, 136, 
	137, 72, 71, 130, -1, -1, -1, -1, 
	124, 125, 126, -1, -1, -1, -1, 989, 
	122, -1, 144, 145, 146, 147, -1, -1, 
	-1, -1, -1, -1, -1, 127, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 117, 118, 119, -1, 120, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, 1131, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, -1, -1, 922, -1, -1, 
	-1, -1, -1, -1, -1, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, -1, 
	-1, 37, -1, -1, -1, -1, -1, 72, 
	71, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 59, -1, -1, 
	82, 84, 86, 88, 441, 114, 115, 116, 
	-1, 121, 129, 133, -1, -1, 1131, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 442, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, 989, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 299, -1, -1, -1, 
	-1, -1, -1, -1, 1131, 1131, 440, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, -1, -1, -1, -1, 39, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 298, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, 931, 931, 931, 
	931, 931, 931, 931, 931, -1, 931, 931, 
	931, 931, 931, -1, 931, -1, 931, 931, 
	931, 931, -1, 931, -1, 931, 931, 931, 
	-1, -1, 931, 931, 931, 931, 931, 931, 
	931, 931, -1, 931, 931, 931, -1, -1, 
	-1, -1, 931, 931, 931, 931, 931, -1, 
	-1, 931, 931, 931, 931, 64, 67, 68, 
	65, 66, 73, 74, -1, 69, 70, 931, 
	443, 445, 447, -1, -1, -1, -1, -1, 
	138, 139, 141, 140, 142, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, 131, -1, -1, -1, 135, 
	136, 137, 72, 71, 130, -1, -1, -1, 
	-1, 124, 125, 126, -1, -1, -1, -1, 
	989, 122, -1, 144, 145, 146, 147, -1, 
	-1, -1, -1, -1, -1, -1, 127, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 117, 118, 119, -1, 
	120, -1, -1, -1, -1, 931, 931, 931, 
	931, -1, -1, 931, 931, -1, 931, 931, 
	931, -1, -1, -1, -1, 931, 931, 931, 
	-1, 931, 931, 931, -1, -1, -1, -1, 
	931, -1, -1, -1, -1, 931, -1, -1, 
	-1, 931, 931, 931, -1, 931, 931, -1, 
	-1, 931, -1, -1, -1, -1, -1, -1, 
	-1, -1, 931, 931, 931, 931, 931, 931, 
	931, -1, -1, -1, -1, 931, 931, -1, 
	-1, 931, 931, -1, -1, -1, -1, -1, 
	-1, -1, -1, 931, 931, -1, -1, -1, 
	-1, 931, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	931, 931, 931, -1, -1, -1, -1, -1, 
	931, 931, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 931, -1, -1, -1, 
	-1, -1, -1, 931, -1, -1, -1, -1, 
	451, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, 989, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 441, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	442, 114, 115, 116, -1, 121, 129, 133, 
	-1, -1, -1, -1, 132, -1, -1, -1, 
	-1, -1, -1, -1, -1, 931, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	143, 134, 128, 123, -1, -1, -1, -1, 
	-1, -1, -1, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, 299, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	440, 131, 34, 33, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, 62, -1, 124, 
	125, 126, 44, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, -1, -1, -1, 
	-1, 80, 76, 45, -1, -1, -1, -1, 
	-1, 39, 117, 118, 119, -1, 120, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, 298, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 452, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, -1, -1, -1, 
	-1, -1, 453, 115, 116, -1, 121, 129, 
	133, -1, 117, 118, 119, 132, 120, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, -1, 451, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 454, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, -1, -1, -1, 
	-1, -1, 455, 115, 116, -1, 121, 129, 
	133, -1, 117, 118, 119, 132, 120, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 456, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, -1, -1, -1, 
	-1, -1, -1, 457, 116, -1, 121, 129, 
	133, -1, 117, 118, 119, 132, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	452, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, 453, 115, 116, -1, 
	121, 129, 133, 127, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, 458, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	454, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, 460, 
	-1, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, -1, -1, 929, 929, 929, 929, 929, 
	929, 929, 929, 929, -1, 929, 929, -1, 
	-1, 929, 929, 929, 929, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 929, 929, 929, 455, 115, 116, 929, 
	121, 129, 133, -1, 929, -1, -1, 132, 
	-1, -1, 929, 929, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	929, -1, -1, 929, 929, 929, 929, -1, 
	-1, -1, -1, 143, 134, 128, 123, 459, 
	929, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 274, 275, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	456, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 929, 
	-1, -1, -1, -1, -1, -1, 929, 143, 
	134, 128, 123, 929, 929, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 929, -1, 
	-1, -1, -1, 929, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 929, 929, 929, -1, -1, -1, 
	-1, -1, 929, 929, -1, 457, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 64, 67, 68, 65, 
	66, 73, 74, -1, 69, 70, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, 138, 
	139, 141, 140, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 75, -1, 
	-1, -1, 131, -1, -1, -1, 135, 136, 
	137, 72, 71, 130, -1, -1, -1, -1, 
	124, 125, 126, -1, -1, -1, -1, 989, 
	122, -1, 144, 145, 146, 147, -1, -1, 
	-1, -1, -1, -1, -1, 127, 926, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 117, 118, 119, -1, 120, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 458, 116, -1, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 205, 466, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 206, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 460, -1, 121, 129, 133, -1, -1, 
	-1, -1, 132, -1, -1, -1, 143, 134, 
	128, 123, 989, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, -1, -1, -1, -1, -1, -1, 
	-1, 55, 56, 64, 67, 68, 65, 66, 
	73, 74, 1131, 69, 70, -1, -1, 35, 
	36, 40, 38, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 41, 
	42, 43, -1, -1, -1, 75, -1, -1, 
	-1, -1, 37, -1, -1, -1, -1, -1, 
	72, 71, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 59, -1, 
	-1, 82, 84, 86, 88, -1, -1, -1, 
	-1, 459, -1, 121, 129, 133, -1, 1131, 
	-1, -1, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	993, 993, -1, 993, -1, 993, 993, 993, 
	993, 993, 993, -1, 993, 993, 993, -1, 
	-1, 993, 993, 993, 993, 993, 993, 993, 
	993, -1, 993, 993, 993, 993, -1, -1, 
	-1, 993, 993, 993, 993, 993, -1, -1, 
	993, 993, 993, 993, -1, -1, -1, 993, 
	359, -1, -1, 993, 993, -1, 993, 463, 
	465, 993, -1, -1, 993, -1, 993, -1, 
	-1, -1, -1, -1, -1, -1, 464, -1, 
	-1, -1, -1, -1, -1, 299, -1, -1, 
	-1, -1, -1, -1, -1, 1131, 1131, -1, 
	-1, 34, 33, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 62, -1, -1, -1, 
	993, 44, -1, -1, -1, -1, -1, -1, 
	-1, -1, 993, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	80, 76, 45, -1, -1, -1, -1, -1, 
	39, 989, -1, -1, 993, 993, 993, 993, 
	-1, -1, 993, 993, 993, 993, 993, 993, 
	-1, -1, -1, 472, 993, 993, 993, 993, 
	993, 993, 993, -1, -1, 993, -1, 993, 
	-1, -1, -1, -1, 993, 993, -1, 993, 
	993, 993, 993, -1, 993, 993, -1, -1, 
	993, -1, -1, -1, -1, -1, 993, -1, 
	993, 993, 993, 993, 993, 993, 993, 993, 
	-1, -1, -1, -1, 993, 993, -1, 993, 
	993, 993, -1, -1, -1, -1, -1, -1, 
	-1, -1, 993, 993, 462, -1, 993, -1, 
	993, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 993, 993, 993, -1, -1, 993, 
	993, 993, -1, -1, -1, -1, -1, 993, 
	993, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 993, -1, 993, -1, -1, 
	993, 993, 993, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, 763, 763, 763, 
	763, 763, 763, 763, 763, -1, 763, 763, 
	763, 763, 763, -1, 763, -1, 763, 763, 
	763, 763, -1, 763, -1, 763, 763, 763, 
	-1, -1, 763, 763, 763, 763, 763, 763, 
	763, 763, -1, 763, 763, 763, -1, -1, 
	-1, -1, 763, 763, 763, 763, 763, -1, 
	-1, 763, 763, 763, 763, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 763, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 205, 466, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 206, 
	113, 114, 115, 116, -1, 121, 129, 133, 
	-1, -1, -1, -1, 132, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	143, 134, 128, 123, -1, -1, -1, -1, 
	-1, -1, -1, -1, 993, 763, 763, 763, 
	763, -1, -1, 763, 763, -1, 763, 763, 
	763, -1, -1, -1, -1, 763, 763, 763, 
	-1, 763, 763, 763, -1, -1, -1, -1, 
	763, -1, -1, -1, -1, 763, -1, -1, 
	-1, 763, 763, 763, -1, 763, 763, -1, 
	-1, 763, -1, -1, -1, -1, -1, -1, 
	-1, -1, 763, 763, 763, 763, 763, 763, 
	763, -1, -1, -1, -1, 763, 763, -1, 
	-1, 763, 763, -1, -1, -1, -1, -1, 
	-1, -1, -1, 763, 763, -1, -1, -1, 
	-1, 763, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	763, 763, 763, -1, -1, -1, -1, -1, 
	763, 763, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 763, -1, -1, -1, 
	-1, -1, -1, 763, 840, 840, 840, 840, 
	840, 840, 840, 840, 840, 840, 840, 840, 
	840, 840, 840, -1, 840, 840, 840, 840, 
	840, 840, 840, 840, -1, -1, -1, 840, 
	840, 840, 840, 840, -1, 840, -1, 840, 
	840, 840, 840, -1, 840, -1, 840, 840, 
	840, -1, -1, 840, -1, -1, 840, 840, 
	840, 840, 840, -1, 840, 840, 840, -1, 
	-1, -1, -1, 840, 840, 840, 840, 840, 
	-1, -1, 840, 840, 840, 840, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 299, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 34, 33, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 62, -1, 
	-1, -1, -1, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 76, 45, -1, -1, -1, 
	-1, -1, 39, -1, -1, 763, 840, 840, 
	840, 840, -1, -1, 840, 840, 840, 840, 
	840, 840, -1, -1, -1, 472, 840, 840, 
	840, 840, 840, 840, 840, -1, -1, -1, 
	-1, 840, -1, -1, -1, -1, 840, -1, 
	-1, -1, 840, 840, 840, -1, 840, 840, 
	-1, -1, 840, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 840, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 840, 840, -1, -1, -1, -1, 
	-1, -1, -1, -1, 840, 840, 462, -1, 
	-1, -1, 840, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 840, 840, 840, -1, -1, -1, -1, 
	-1, 840, 840, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 840, -1, 840, 
	839, 839, 839, 839, 839, 839, 839, 839, 
	839, 839, 839, 839, 839, 839, 839, -1, 
	839, 839, 839, 839, 839, 839, 839, 839, 
	-1, -1, -1, 839, 839, 839, 839, 839, 
	-1, 839, -1, 839, 839, 839, 839, -1, 
	839, -1, 839, 839, 839, -1, -1, 839, 
	-1, -1, 839, 839, 839, 839, 839, -1, 
	839, 839, 839, -1, -1, -1, -1, 839, 
	839, 839, 839, 839, -1, -1, 839, 839, 
	839, 839, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 839, 839, 839, 839, 840, -1, 
	839, 839, 839, 839, 839, 839, -1, -1, 
	-1, -1, 839, 839, 839, 839, 839, 839, 
	839, -1, -1, -1, -1, 839, -1, -1, 
	-1, -1, 839, 839, -1, -1, 839, 839, 
	839, -1, 839, 839, -1, -1, 839, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 839, -1, -1, -1, -1, 790, 
	790, 790, 790, 790, 790, -1, 839, 839, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	839, 839, -1, -1, -1, -1, 839, -1, 
	-1, -1, 790, 790, 790, 790, 790, -1, 
	790, -1, 790, -1, -1, -1, -1, 790, 
	-1, -1, 790, -1, -1, 839, 839, 839, 
	-1, 790, 790, 790, -1, 839, 839, 790, 
	790, 790, -1, -1, -1, -1, 790, 790, 
	790, 839, 790, 839, -1, -1, 839, -1, 
	-1, 841, 841, 841, 841, 841, 841, 841, 
	841, 841, 841, 841, 841, 841, 841, 841, 
	-1, 841, 841, 841, 841, 841, 841, 841, 
	841, -1, -1, -1, 841, 841, 841, 841, 
	841, -1, 841, -1, 841, 841, 841, 841, 
	-1, 841, -1, 841, 841, 841, -1, -1, 
	841, -1, -1, 841, 841, 841, 841, 841, 
	-1, 841, 841, 841, -1, -1, -1, -1, 
	841, 841, 841, 841, 841, -1, -1, 841, 
	841, 841, 841, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 790, 790, -1, -1, 790, 
	790, 790, 790, -1, 790, -1, -1, -1, 
	-1, 790, 790, 790, 790, 790, 790, 790, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 790, 790, 790, 
	-1, 790, 790, -1, -1, 790, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 790, -1, -1, 
	-1, -1, 839, 841, 841, 841, 841, 790, 
	790, 841, 841, -1, 841, 841, 841, -1, 
	-1, -1, -1, 841, 841, 841, -1, 841, 
	841, 841, -1, -1, -1, -1, 841, -1, 
	-1, -1, -1, 841, 841, -1, -1, 841, 
	841, 841, -1, 841, 841, -1, -1, 841, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 790, 841, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 841, 
	841, -1, -1, -1, -1, -1, -1, -1, 
	-1, 841, 841, -1, -1, -1, -1, 841, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 841, 841, 
	841, -1, -1, -1, -1, -1, 841, 841, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 841, -1, -1, -1, -1, 841, 
	-1, -1, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, 913, 913, 913, 913, 
	913, 913, 913, 913, -1, 913, 913, 913, 
	913, 913, -1, 913, -1, 913, 913, 913, 
	913, -1, 913, -1, 913, 913, 913, -1, 
	-1, 913, 913, 913, 913, 913, 913, 913, 
	913, -1, 913, 913, 913, -1, -1, -1, 
	-1, 913, 913, 913, 913, 913, -1, -1, 
	913, 913, 913, 913, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 913, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 841, 913, 913, 913, 913, 
	-1, -1, 913, 913, -1, 913, 913, 913, 
	-1, -1, -1, -1, 913, 913, 913, -1, 
	913, 913, 913, -1, -1, -1, -1, 913, 
	-1, -1, -1, -1, 913, -1, -1, -1, 
	913, 913, 913, -1, 913, 913, -1, -1, 
	913, -1, -1, -1, -1, -1, -1, -1, 
	-1, 913, 913, 913, 913, 913, 913, 913, 
	-1, -1, -1, -1, 913, 913, -1, -1, 
	913, 913, -1, -1, -1, -1, -1, -1, 
	-1, -1, 913, 913, -1, -1, -1, -1, 
	913, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 913, 
	913, 913, -1, -1, -1, -1, -1, 913, 
	913, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 913, -1, -1, -1, -1, 
	-1, -1, 913, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, 911, 911, 911, 
	911, 911, 911, 911, 911, -1, 911, 911, 
	911, 911, 911, -1, 911, -1, 911, 911, 
	911, 911, -1, 911, -1, 911, 911, 911, 
	-1, -1, 911, 308, 310, 911, 911, 911, 
	911, 911, -1, 911, 911, 911, -1, -1, 
	-1, -1, 911, 911, 911, 911, 911, -1, 
	-1, 911, 911, 911, 911, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 911, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 913, 911, 911, 911, 
	911, -1, -1, 911, 911, -1, 911, 911, 
	911, -1, -1, -1, -1, 911, 911, 911, 
	-1, 911, 911, 911, -1, -1, -1, -1, 
	911, -1, -1, -1, -1, 911, -1, -1, 
	-1, 911, 911, 911, -1, 911, 911, -1, 
	-1, 911, -1, -1, -1, -1, -1, -1, 
	-1, -1, 304, 306, 482, 911, 911, 911, 
	911, -1, -1, -1, -1, 911, 911, -1, 
	-1, 911, 911, -1, -1, -1, -1, -1, 
	-1, -1, -1, 911, 911, -1, -1, -1, 
	-1, 911, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	911, 911, 911, -1, -1, -1, -1, -1, 
	911, 911, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 911, -1, -1, -1, 
	-1, -1, -1, 911, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, 912, 912, 
	912, 912, 912, 912, 912, 912, -1, 912, 
	912, 912, 912, 912, -1, 912, -1, 912, 
	912, 912, 912, -1, 912, -1, 912, 912, 
	912, -1, -1, 912, 912, 912, 912, 912, 
	912, 912, 912, -1, 912, 912, 912, -1, 
	-1, -1, -1, 912, 912, 912, 912, 912, 
	-1, -1, 912, 912, 912, 912, -1, 55, 
	56, 64, 67, 68, 65, 66, 73, 74, 
	912, 69, 70, -1, -1, 35, 36, 40, 
	38, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 41, 42, 43, 
	-1, -1, -1, 75, -1, -1, -1, -1, 
	37, -1, -1, -1, -1, -1, 72, 71, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 59, -1, -1, 82, 
	84, 86, 88, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 276, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 911, 912, 912, 
	912, 912, -1, -1, 912, 912, -1, 912, 
	912, 912, -1, -1, -1, -1, 912, 912, 
	912, -1, 912, 912, 912, -1, -1, -1, 
	-1, 912, -1, -1, -1, -1, 912, -1, 
	-1, -1, 912, 912, 912, -1, 912, 912, 
	-1, -1, 912, -1, -1, -1, -1, -1, 
	-1, -1, -1, 912, 912, 912, 912, 912, 
	912, 912, -1, -1, -1, -1, 912, 912, 
	-1, -1, 912, 912, -1, -1, -1, -1, 
	-1, -1, -1, -1, 912, 912, -1, -1, 
	-1, -1, 912, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 912, 912, 912, -1, -1, -1, -1, 
	-1, 912, 912, -1, -1, -1, -1, -1, 
	-1, -1, -1, 277, -1, 912, -1, -1, 
	-1, -1, 479, -1, 912, -1, -1, 34, 
	33, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 62, -1, -1, -1, -1, 44, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 80, 76, 
	45, -1, -1, -1, -1, -1, 39, 989, 
	-1, -1, -1, -1, -1, 859, 859, 859, 
	859, 859, 859, 859, 859, 859, 859, 859, 
	859, 859, 859, 859, -1, 859, 859, 859, 
	859, 859, 859, 859, 859, -1, -1, -1, 
	859, 859, 859, 859, 859, -1, 859, -1, 
	859, 859, 859, 859, -1, 859, -1, 859, 
	859, 859, -1, -1, 859, -1, -1, 859, 
	859, 859, 859, 859, -1, 859, 859, 859, 
	859, -1, -1, -1, 859, 859, 859, 859, 
	859, -1, 859, 859, 859, 859, 859, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 912, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 303, 305, 481, 859, 
	859, 859, 859, -1, -1, 859, 859, 859, 
	859, 859, 859, -1, -1, -1, -1, 859, 
	859, 859, 859, 859, 859, 859, -1, 859, 
	859, -1, 859, -1, -1, -1, -1, 859, 
	859, -1, -1, 859, 859, 859, -1, 859, 
	859, -1, -1, 859, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 859, 
	-1, -1, -1, -1, 791, 791, 791, 791, 
	791, 791, -1, 859, 859, -1, -1, -1, 
	-1, -1, -1, -1, -1, 859, 859, -1, 
	-1, -1, -1, 859, -1, -1, -1, 791, 
	791, 791, 791, 791, -1, 791, -1, 791, 
	-1, -1, -1, -1, 791, -1, -1, 791, 
	-1, -1, 859, 859, 859, -1, 791, 791, 
	791, -1, 859, 859, 791, 791, 791, -1, 
	-1, -1, -1, 791, 791, 791, 859, 791, 
	859, -1, -1, 859, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 865, 
	865, 865, 865, 865, 865, 865, 865, 865, 
	865, 865, 865, 865, 865, 865, -1, 865, 
	865, 865, 865, 865, 865, 865, 865, -1, 
	-1, -1, 865, 865, 865, 865, 865, -1, 
	865, -1, 865, 865, 865, 865, -1, 865, 
	-1, 865, 865, 865, -1, -1, 865, -1, 
	-1, 865, 865, 865, 865, 865, -1, 865, 
	865, 865, 865, -1, -1, -1, 865, 865, 
	865, 865, 865, -1, 865, 865, 865, 865, 
	865, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	791, 791, -1, -1, 791, 791, 791, 791, 
	-1, 791, -1, -1, 486, -1, 791, 791, 
	791, 791, 791, 791, 791, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 791, 791, 791, -1, 791, 791, 
	-1, -1, 791, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 791, -1, -1, -1, -1, 859, 
	-1, -1, -1, -1, 791, 791, -1, -1, 
	-1, 865, 865, 865, 865, -1, -1, 865, 
	865, 865, 865, 865, 865, -1, -1, -1, 
	-1, 865, 865, 865, 865, 865, 865, 865, 
	-1, 865, 865, 485, 865, -1, -1, -1, 
	-1, 865, 865, -1, -1, 865, 865, 865, 
	-1, 865, 865, -1, -1, 865, -1, 791, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 865, -1, -1, -1, 277, -1, -1, 
	-1, -1, -1, -1, 479, 865, 865, -1, 
	-1, 34, 33, -1, -1, -1, -1, 865, 
	865, -1, -1, -1, 62, 865, -1, -1, 
	-1, 44, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 865, 865, 865, -1, 
	80, 76, 45, -1, 865, 865, -1, -1, 
	39, -1, -1, -1, -1, -1, -1, -1, 
	865, -1, 865, -1, -1, 865, -1, -1, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, 938, 938, 938, 938, 938, 938, 
	938, 938, -1, 938, 938, 938, 938, 938, 
	-1, 938, -1, 938, 938, 938, 938, 938, 
	938, -1, 938, 938, 938, -1, -1, 938, 
	938, 938, 938, 938, 938, 938, 938, -1, 
	938, 938, 938, 938, -1, -1, -1, 938, 
	938, 938, 938, 938, -1, -1, 938, 938, 
	938, 938, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 938, -1, -1, 938, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 938, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 865, 938, 938, 938, 938, -1, -1, 
	938, 938, 938, 938, 938, 938, -1, -1, 
	-1, -1, 938, 938, 938, 938, 938, 938, 
	938, -1, -1, 938, -1, 938, -1, -1, 
	-1, -1, 938, 938, -1, 938, 938, 938, 
	938, -1, 938, 938, -1, -1, 938, -1, 
	-1, -1, -1, -1, 938, -1, 938, 938, 
	938, 938, 938, 938, 938, 938, -1, -1, 
	-1, -1, 938, 938, -1, 938, 938, 938, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	938, 938, -1, -1, -1, -1, 938, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 938, 938, 938, 
	-1, -1, -1, -1, -1, 938, 938, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 938, -1, 938, -1, -1, 938, 938, 
	938, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, -1, 1057, 1057, 1057, 1057, 
	1057, -1, 1057, -1, 1057, 1057, 1057, 1057, 
	-1, 1057, -1, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, -1, 1057, -1, -1, 
	1057, -1, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, -1, -1, -1, -1, -1, 1057, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 938, 1057, 1057, 1057, 1057, -1, 
	-1, 1057, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, -1, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, -1, -1, -1, 485, 1057, -1, 
	-1, -1, -1, 1057, 1057, -1, -1, 1057, 
	1057, 1057, -1, 1057, 1057, -1, -1, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1057, 1057, 1057, 1057, 1057, 1057, 1057, -1, 
	-1, -1, 1057, 1057, 1057, -1, -1, 1057, 
	1057, -1, 1057, 1057, 1057, 1057, 1057, 1057, 
	1057, 1057, 1057, -1, -1, -1, 1057, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1057, 1057, 1057, -1, -1, 1057, 
	-1, -1, -1, -1, 1057, -1, 1057, 1057, 
	1057, 1057, -1, 1057, 1057, 1057, 1057, 1057, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1057, -1, 1057, -1, -1, 1057, 
	-1, 1057, 1057, -1, -1, -1, 1057, -1, 
	1057, -1, 1057, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, -1, 1013, 1013, 
	1013, 1013, 1013, -1, 1013, -1, 1013, 1013, 
	1013, 1013, -1, 1013, -1, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, -1, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, -1, 1013, 
	-1, -1, 1013, -1, 1013, 1013, 1013, 1013, 
	1013, -1, -1, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, -1, -1, -1, -1, -1, 
	1013, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1057, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1013, 1013, 1013, 
	1013, -1, -1, 1013, 1013, 1013, 1013, 1013, 
	1013, -1, -1, -1, -1, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, -1, -1, -1, -1, 
	1013, -1, -1, -1, -1, 1013, 1013, -1, 
	-1, 1013, 1013, 1013, -1, 1013, 1013, -1, 
	-1, 1013, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1013, 1013, 1013, 1013, 1013, 1013, 
	1013, -1, -1, -1, 1013, 1013, 1013, 1013, 
	-1, 1013, 1013, -1, 1013, 1013, 1013, 1013, 
	1013, 1013, 1013, 1013, 1013, -1, -1, -1, 
	1013, 1013, 1013, -1, -1, -1, 1013, 1013, 
	-1, -1, -1, -1, 1013, 1013, 1013, -1, 
	-1, 1013, -1, -1, -1, -1, 1013, -1, 
	1013, 1013, 1013, 1013, -1, 1013, 1013, 1013, 
	1013, 1013, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1013, -1, 1013, -1, 
	-1, 1013, -1, 1013, 1013, -1, 1013, -1, 
	1013, -1, 1013, -1, 1013, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, -1, 
	1014, 1014, 1014, 1014, 1014, -1, 1014, -1, 
	1014, 1014, 1014, 1014, -1, 1014, -1, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	-1, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	-1, 1014, -1, -1, 1014, -1, 1014, 1014, 
	1014, 1014, 1014, -1, -1, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, -1, -1, -1, 
	-1, -1, 1014, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1013, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1014, 
	1014, 1014, 1014, -1, -1, 1014, 1014, 1014, 
	1014, 1014, 1014, -1, -1, -1, -1, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, -1, -1, 
	-1, -1, 1014, -1, -1, -1, -1, 1014, 
	1014, -1, -1, 1014, 1014, 1014, -1, 1014, 
	1014, -1, -1, 1014, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1014, 1014, 1014, 1014, 
	1014, 1014, 1014, -1, -1, -1, 1014, 1014, 
	1014, 1014, -1, 1014, 1014, -1, 1014, 1014, 
	1014, 1014, 1014, 1014, 1014, 1014, 1014, -1, 
	-1, -1, 1014, 1014, 1014, -1, -1, -1, 
	1014, 1014, -1, -1, -1, -1, 1014, 1014, 
	1014, -1, -1, 1014, -1, -1, -1, -1, 
	1014, -1, 1014, 1014, 1014, 1014, -1, 1014, 
	1014, 1014, 1014, 1014, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1014, -1, 
	1014, -1, -1, 1014, -1, 1014, 1014, -1, 
	1014, -1, 1014, -1, 1014, -1, 1014, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, -1, 1058, 1058, 1058, 1058, 1058, -1, 
	1058, -1, 1058, 1058, 1058, 1058, -1, 1058, 
	-1, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, -1, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, -1, 1058, -1, -1, 1058, -1, 
	1058, 1058, 1058, 1058, 1058, -1, -1, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, -1, 
	-1, -1, -1, -1, 1058, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1014, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1058, 1058, 1058, 1058, -1, -1, 1058, 
	1058, 1058, 1058, 1058, 1058, -1, -1, -1, 
	-1, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	-1, -1, -1, -1, 1058, -1, -1, -1, 
	-1, 1058, 1058, -1, -1, 1058, 1058, 1058, 
	-1, 1058, 1058, -1, -1, 1058, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1058, 1058, 
	1058, 1058, 1058, 1058, 1058, -1, -1, -1, 
	1058, 1058, 1058, -1, -1, 1058, 1058, -1, 
	1058, 1058, 1058, 1058, 1058, 1058, 1058, 1058, 
	1058, -1, -1, -1, 1058, 1058, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1058, 1058, 1058, -1, -1, 1058, -1, -1, 
	-1, -1, 1058, -1, 1058, 1058, 1058, 1058, 
	-1, 1058, 1058, 1058, 1058, 1058, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1058, -1, 1058, -1, -1, 1058, -1, 1058, 
	1058, -1, -1, -1, 1058, -1, 1058, -1, 
	1058, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, -1, 1015, 1015, 1015, 1015, 
	1015, -1, 1015, -1, 1015, 1015, 1015, 1015, 
	-1, 1015, -1, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, -1, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, -1, 1015, -1, -1, 
	1015, -1, 1015, 1015, 1015, 1015, 1015, -1, 
	-1, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, -1, -1, -1, -1, -1, 1015, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1058, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1015, 1015, 1015, 1015, -1, 
	-1, 1015, 1015, 1015, 1015, 1015, 1015, -1, 
	-1, -1, -1, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, -1, -1, -1, -1, 1015, -1, 
	-1, -1, -1, 1015, 1015, -1, -1, 1015, 
	1015, 1015, -1, 1015, 1015, -1, -1, 1015, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1015, 1015, 1015, 1015, 1015, 1015, 1015, -1, 
	-1, -1, 1015, 1015, 1015, 1015, -1, 1015, 
	1015, -1, 1015, 1015, 1015, 1015, 1015, 1015, 
	1015, 1015, 1015, -1, -1, -1, 1015, 1015, 
	1015, -1, -1, -1, 1015, 1015, -1, -1, 
	-1, -1, 1015, 1015, 1015, -1, -1, 1015, 
	-1, -1, -1, -1, 1015, -1, 1015, 1015, 
	1015, 1015, -1, 1015, 1015, 1015, 1015, 1015, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1015, -1, 1015, -1, -1, 1015, 
	-1, 1015, 1015, -1, 1015, -1, 1015, -1, 
	1015, -1, 1015, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, -1, 1016, 1016, 
	1016, 1016, 1016, -1, 1016, -1, 1016, 1016, 
	1016, 1016, -1, 1016, -1, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, -1, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, -1, 1016, 
	-1, -1, 1016, -1, 1016, 1016, 1016, 1016, 
	1016, -1, -1, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, -1, -1, -1, -1, -1, 
	1016, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1015, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1016, 1016, 1016, 
	1016, -1, -1, 1016, 1016, 1016, 1016, 1016, 
	1016, -1, -1, -1, -1, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, -1, -1, -1, -1, 
	1016, -1, -1, -1, -1, 1016, 1016, -1, 
	-1, 1016, 1016, 1016, -1, 1016, 1016, -1, 
	-1, 1016, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1016, 1016, 1016, 1016, 1016, 1016, 
	1016, -1, -1, -1, 1016, 1016, 1016, 1016, 
	-1, 1016, 1016, -1, 1016, 1016, 1016, 1016, 
	1016, 1016, 1016, 1016, 1016, -1, -1, -1, 
	1016, 1016, 1016, -1, -1, -1, 1016, 1016, 
	-1, -1, -1, -1, 1016, 1016, 1016, -1, 
	-1, 1016, -1, -1, -1, -1, 1016, -1, 
	1016, 1016, 1016, 1016, -1, 1016, 1016, 1016, 
	1016, 1016, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1016, -1, 1016, -1, 
	-1, 1016, -1, 1016, 1016, -1, 1016, -1, 
	1016, -1, 1016, -1, 1016, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, -1, 
	1059, 1059, 1059, 1059, 1059, -1, 1059, -1, 
	1059, 1059, 1059, 1059, -1, 1059, -1, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	-1, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	-1, 1059, -1, -1, 1059, -1, 1059, 1059, 
	1059, 1059, 1059, -1, -1, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, -1, -1, -1, 
	-1, -1, 1059, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1016, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1059, 
	1059, 1059, 1059, -1, -1, 1059, 1059, 1059, 
	1059, 1059, 1059, -1, -1, -1, -1, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, -1, -1, 
	-1, -1, 1059, -1, -1, -1, -1, 1059, 
	1059, -1, -1, 1059, 1059, 1059, -1, 1059, 
	1059, -1, -1, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1059, 1059, 1059, 1059, 
	1059, 1059, 1059, -1, -1, -1, 1059, 1059, 
	1059, -1, -1, 1059, 1059, -1, 1059, 1059, 
	1059, 1059, 1059, 1059, 1059, 1059, 1059, -1, 
	-1, -1, 1059, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1059, 1059, 
	1059, -1, -1, 1059, -1, -1, -1, -1, 
	1059, -1, 1059, 1059, 1059, 1059, -1, 1059, 
	1059, 1059, 1059, 1059, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1059, -1, 
	1059, -1, -1, 1059, -1, 1059, 1059, -1, 
	-1, -1, 1059, -1, 1059, -1, 1059, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, 1033, 1033, 1033, 1033, 1033, 1033, 1033, 
	-1, 1033, 1033, -1, -1, -1, 117, 118, 
	119, -1, 120, -1, 1033, 1033, 1033, 1033, 
	1033, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, -1, -1, -1, 1033, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1033, -1, -1, -1, -1, 1033, 1033, 1033, 
	-1, -1, -1, -1, 1033, 1033, -1, 1033, 
	1033, 1033, 1033, -1, -1, -1, -1, -1, 
	-1, -1, 1033, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1059, 
	1033, 1033, 1033, -1, 1033, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	492, 113, 114, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1033, 1033, 1033, 1033, 1033, -1, 
	1033, 1033, 1033, -1, -1, -1, -1, 1033, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1033, 1033, 1033, 1033, 1033, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, -1, 1060, 1060, 1060, 1060, 1060, 
	-1, 1060, -1, 1060, 1060, 1060, 1060, -1, 
	1060, -1, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, -1, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, -1, 1060, -1, -1, 1060, 
	-1, 1060, 1060, 1060, 1060, 1060, -1, -1, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	-1, -1, -1, -1, -1, 1060, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1060, 1060, 1060, 1060, -1, -1, 
	1060, 1060, 1060, 1060, 1060, 1060, -1, -1, 
	-1, -1, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, -1, -1, -1, -1, 1060, -1, -1, 
	-1, -1, 1060, 1060, -1, -1, 1060, 1060, 
	1060, -1, 1060, 1060, -1, -1, 1060, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1060, 
	1060, 1060, 1060, 1060, 1060, 1060, -1, -1, 
	-1, 1060, 1060, 1060, -1, -1, 1060, 1060, 
	-1, 1060, 1060, 1060, 1060, 1060, 1060, 1060, 
	1060, 1060, -1, -1, -1, 1060, 1060, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1060, 1060, 1060, -1, -1, 1060, -1, 
	-1, -1, -1, 1060, -1, 1060, 1060, 1060, 
	1060, -1, 1060, 1060, 1060, 1060, 1060, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1060, -1, 1060, -1, -1, 1060, -1, 
	1060, 1060, -1, -1, -1, 1060, -1, 1060, 
	-1, 1060, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 836, 836, 836, 836, 836, 836, 
	836, 836, 836, 836, 836, 836, 836, 836, 
	836, -1, 836, 836, 836, 836, 836, 836, 
	836, 836, -1, -1, -1, 836, 836, 836, 
	836, 836, -1, 836, -1, 836, 836, 836, 
	836, -1, 836, -1, 836, 836, 836, -1, 
	-1, 836, -1, -1, 836, 836, 836, 836, 
	836, -1, 836, 836, 836, -1, -1, -1, 
	-1, 836, 836, 836, 836, 836, -1, -1, 
	836, 836, 836, 836, -1, -1, -1, -1, 
	359, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 836, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1060, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 492, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, 836, 836, 836, 836, 
	-1, -1, 836, 836, 836, 836, 836, 836, 
	-1, -1, -1, -1, 836, 836, 836, 836, 
	836, 836, 836, 143, 134, 128, 123, 836, 
	-1, -1, -1, -1, 836, 836, -1, -1, 
	836, 836, 836, -1, 836, 836, -1, -1, 
	836, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 836, -1, -1, -1, 
	-1, 27, 28, 1121, 25, 23, 26, -1, 
	836, 836, -1, -1, -1, -1, -1, -1, 
	-1, -1, 836, 836, -1, -1, -1, -1, 
	836, -1, -1, -1, 851, 851, 851, 851, 
	851, -1, 32, -1, 47, -1, -1, -1, 
	-1, 50, -1, -1, 48, -1, -1, 836, 
	836, 836, -1, 851, 851, 851, -1, 836, 
	836, 24, 54, 53, -1, -1, -1, -1, 
	77, 78, 79, 836, 58, 836, -1, -1, 
	836, -1, -1, 837, 837, 837, 837, 837, 
	837, 837, 837, 837, 837, 837, 837, 837, 
	837, 837, -1, 837, 837, 837, 837, 837, 
	837, 837, 837, -1, -1, -1, 837, 837, 
	837, 837, 837, -1, 837, -1, 837, 837, 
	837, 837, -1, 837, -1, 837, 837, 837, 
	-1, -1, 837, -1, -1, 837, 837, 837, 
	837, 837, -1, 837, 837, 837, -1, -1, 
	-1, -1, 837, 837, 837, 837, 837, -1, 
	-1, 837, 837, 837, 837, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 837, -1, -1, 
	-1, -1, -1, -1, -1, 355, 49, -1, 
	-1, 354, 356, 340, 353, -1, 352, -1, 
	-1, -1, -1, 31, 350, 351, 341, 29, 
	349, 342, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 347, 
	348, 343, -1, 344, 345, -1, -1, 346, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 357, 
	-1, -1, -1, -1, 836, 837, 837, 837, 
	837, 851, 851, 837, 837, 837, 837, 837, 
	837, -1, -1, -1, -1, 837, 837, 837, 
	837, 837, 837, 837, -1, -1, -1, -1, 
	837, -1, -1, -1, -1, 837, 837, -1, 
	-1, 837, 837, 837, -1, 837, 837, -1, 
	-1, 837, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 495, 837, -1, -1, 
	-1, -1, 792, 792, 792, 792, 792, 792, 
	-1, 837, 837, -1, -1, -1, -1, -1, 
	-1, -1, -1, 837, 837, -1, -1, -1, 
	-1, 837, -1, -1, -1, 792, 792, 792, 
	792, 792, -1, 792, -1, 792, -1, -1, 
	-1, -1, 792, -1, -1, 792, -1, -1, 
	837, 837, 837, -1, 792, 792, 792, -1, 
	837, 837, 792, 792, 792, -1, -1, -1, 
	-1, 792, 792, 792, 837, 792, 837, -1, 
	-1, 837, -1, -1, 793, 793, 793, 793, 
	793, 793, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 793, 
	793, 793, 793, 793, -1, 793, -1, 793, 
	-1, -1, -1, -1, 793, -1, -1, 793, 
	-1, -1, -1, -1, -1, -1, 793, 793, 
	793, -1, -1, -1, 793, 793, 793, -1, 
	-1, -1, -1, 793, 793, 793, -1, 793, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 792, 792, 
	-1, -1, 792, 792, 792, 792, -1, 792, 
	-1, -1, -1, -1, 792, 792, 792, 792, 
	792, 792, 792, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	792, 792, 792, -1, 792, 792, -1, -1, 
	792, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	792, -1, -1, -1, -1, 837, -1, -1, 
	793, 793, 792, 792, 793, 793, 793, 793, 
	-1, 793, -1, -1, -1, -1, 793, 793, 
	793, 793, 793, 793, 793, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 793, 793, 793, -1, 793, 793, 
	-1, -1, 793, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 792, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 793, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 793, 793, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 794, 794, 
	794, 794, 794, 794, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 793, 
	-1, 794, 794, 794, 794, 794, -1, 794, 
	-1, 794, -1, -1, -1, -1, 794, -1, 
	-1, 794, 795, 795, 795, 795, 795, 795, 
	794, 794, 794, -1, -1, -1, 794, 794, 
	794, -1, -1, -1, -1, 794, 794, 794, 
	-1, 794, -1, -1, -1, 795, 795, 795, 
	795, 795, -1, 795, -1, 795, -1, -1, 
	-1, -1, 795, -1, -1, 795, -1, -1, 
	-1, -1, -1, -1, 795, 795, 795, -1, 
	-1, -1, 795, 795, 795, -1, -1, -1, 
	-1, 795, 795, 795, -1, 795, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 355, 
	49, -1, -1, 354, 356, 340, 353, -1, 
	352, -1, -1, -1, -1, 31, 350, 351, 
	341, 29, 349, 342, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 347, 348, 343, -1, 344, 345, -1, 
	-1, 346, 794, 794, -1, -1, 794, 794, 
	794, 794, -1, 794, -1, -1, -1, -1, 
	794, 794, 794, 794, 794, 794, 794, -1, 
	-1, 357, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 794, 794, 794, -1, 
	794, 794, -1, -1, 794, -1, 795, 795, 
	-1, -1, 795, 795, 795, 795, -1, 795, 
	-1, -1, -1, -1, 795, 795, 795, 795, 
	795, 795, 795, -1, 794, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 794, 794, 
	795, 795, 795, -1, 795, 795, 495, -1, 
	795, -1, -1, -1, -1, -1, -1, -1, 
	-1, 796, 796, 796, 796, 796, 796, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	795, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 795, 795, 796, 796, 796, 796, 
	796, 794, 796, -1, 796, -1, -1, -1, 
	-1, 796, -1, -1, 796, 797, 797, 797, 
	797, 797, 797, 796, 796, 796, -1, -1, 
	-1, 796, 796, 796, -1, -1, -1, -1, 
	796, 796, 796, -1, 796, -1, -1, -1, 
	797, 797, 797, 797, 797, 795, 797, -1, 
	797, -1, -1, -1, -1, 797, -1, -1, 
	797, -1, -1, -1, -1, -1, -1, 797, 
	797, 797, -1, -1, -1, 797, 797, 797, 
	-1, -1, -1, -1, 797, 797, 797, -1, 
	797, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 796, 796, -1, 
	-1, 796, 796, 796, 796, -1, 796, -1, 
	-1, -1, -1, 796, 796, 796, 796, 796, 
	796, 796, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 796, 
	796, 796, -1, 796, 796, -1, -1, 796, 
	-1, 797, 797, -1, -1, 797, 797, 797, 
	797, -1, 797, -1, -1, -1, -1, 797, 
	797, 797, 797, 797, 797, 797, -1, 796, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 796, 796, 797, 797, 797, -1, 797, 
	797, -1, -1, 797, -1, -1, -1, -1, 
	-1, -1, -1, -1, 798, 798, 798, 798, 
	798, 798, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 797, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 797, 797, 798, 
	798, 798, 798, 798, 796, 798, -1, 798, 
	-1, -1, -1, -1, 798, -1, -1, 798, 
	799, 799, 799, 799, 799, 799, 798, 798, 
	798, -1, -1, -1, 798, 798, 798, -1, 
	-1, -1, -1, 798, 798, 798, -1, 798, 
	-1, -1, -1, 799, 799, 799, 799, 799, 
	797, 799, -1, 799, -1, -1, -1, -1, 
	799, -1, -1, 799, -1, -1, -1, -1, 
	-1, -1, 799, 799, 799, -1, -1, -1, 
	799, 799, 799, -1, -1, -1, -1, 799, 
	799, 799, -1, 799, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	798, 798, -1, -1, 798, 798, 798, 798, 
	-1, 798, -1, -1, -1, -1, 798, 798, 
	798, 798, 798, 798, 798, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 798, 798, 798, -1, 798, 798, 
	-1, -1, 798, -1, 799, 799, -1, -1, 
	799, 799, 799, 799, -1, 799, -1, -1, 
	-1, -1, 799, 799, 799, 799, 799, 799, 
	799, -1, 798, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 798, 798, 799, 799, 
	799, -1, 799, 799, -1, -1, 799, -1, 
	-1, -1, -1, -1, -1, -1, -1, 800, 
	800, 800, 800, 800, 800, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 799, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	799, 799, 800, 800, 800, 800, 800, 798, 
	800, -1, 800, -1, -1, -1, -1, 800, 
	-1, -1, 800, 801, 801, 801, 801, 801, 
	801, 800, 800, 800, -1, -1, -1, 800, 
	800, 800, -1, -1, -1, -1, 800, 800, 
	800, -1, 800, -1, -1, -1, 801, 801, 
	801, 801, 801, 799, 801, -1, 801, -1, 
	-1, -1, -1, 801, -1, -1, 801, -1, 
	-1, -1, -1, -1, -1, 801, 801, 801, 
	-1, -1, -1, 801, 801, 801, -1, -1, 
	-1, -1, 801, 801, 801, -1, 801, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 800, 800, -1, -1, 800, 
	800, 800, 800, -1, 800, -1, -1, -1, 
	-1, 800, 800, 800, 800, 800, 800, 800, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 800, 800, 800, 
	-1, 800, 800, -1, -1, 800, -1, 801, 
	801, -1, -1, 801, 801, 801, 801, -1, 
	801, -1, -1, -1, -1, 801, 801, 801, 
	801, 801, 801, 801, -1, 800, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 800, 
	800, 801, 801, 801, -1, 801, 801, -1, 
	-1, 801, -1, -1, -1, -1, -1, -1, 
	-1, -1, 802, 802, 802, 802, 802, 802, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 801, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 801, 801, 802, 802, 802, 
	802, 802, 800, 802, -1, 802, -1, -1, 
	-1, -1, 802, -1, -1, 802, 803, 803, 
	803, 803, 803, 803, 802, 802, 802, -1, 
	-1, -1, 802, 802, 802, -1, -1, -1, 
	-1, 802, 802, 802, -1, 802, -1, -1, 
	-1, 803, 803, 803, 803, 803, 801, 803, 
	-1, 803, -1, -1, -1, -1, 803, -1, 
	-1, 803, -1, -1, -1, -1, -1, -1, 
	803, 803, 803, -1, -1, -1, 803, 803, 
	803, -1, -1, -1, -1, 803, 803, 803, 
	-1, 803, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 802, 802, 
	-1, -1, 802, 802, 802, 802, -1, 802, 
	-1, -1, -1, -1, 802, 802, 802, 802, 
	802, 802, 802, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	802, 802, 802, -1, 802, 802, -1, -1, 
	802, -1, 803, 803, -1, -1, 803, 803, 
	803, 803, -1, 803, -1, -1, -1, -1, 
	803, 803, 803, 803, 803, 803, 803, -1, 
	802, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 802, 802, 803, 803, 803, -1, 
	803, 803, -1, -1, 803, -1, -1, -1, 
	-1, -1, -1, -1, -1, 804, 804, 804, 
	804, 804, 804, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 803, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 803, 803, 
	804, 804, 804, 804, 804, 802, 804, -1, 
	804, -1, -1, -1, -1, 804, -1, -1, 
	804, 854, 854, 854, 854, 854, 854, 804, 
	804, 804, -1, -1, -1, 804, 804, 804, 
	-1, -1, -1, -1, 804, 804, 804, -1, 
	804, -1, -1, -1, 854, 854, 854, 854, 
	854, 803, 854, -1, 854, -1, -1, -1, 
	-1, 854, -1, -1, 854, -1, -1, -1, 
	-1, -1, -1, 854, 854, 854, -1, -1, 
	-1, 854, 854, 854, -1, -1, -1, -1, 
	854, 854, 854, -1, 854, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 804, 804, -1, -1, 804, 804, 804, 
	804, -1, 804, -1, -1, -1, -1, 804, 
	804, 804, 804, 804, 804, 804, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 804, 804, 804, -1, 804, 
	804, -1, -1, 804, -1, 854, 854, -1, 
	-1, 854, 854, 854, 854, -1, 854, -1, 
	-1, -1, -1, 854, 854, 854, 854, 854, 
	854, 854, -1, 804, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 804, 804, 854, 
	854, 854, -1, 854, 854, -1, -1, 854, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 854, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 854, 854, -1, -1, -1, -1, -1, 
	804, -1, -1, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, 936, 936, 936, 
	936, 936, 936, 936, 936, -1, 936, 936, 
	936, 936, 936, -1, 936, -1, 936, 936, 
	936, 936, -1, 936, 854, 936, 936, 936, 
	-1, -1, 936, 936, 936, 936, 936, 936, 
	936, 936, -1, 936, 936, 936, -1, -1, 
	-1, -1, 936, 936, 936, 936, 936, -1, 
	-1, 936, 936, 936, 936, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 936, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 274, 275, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 936, 936, 936, 
	936, -1, -1, 936, 936, 936, 936, 936, 
	936, -1, -1, -1, -1, 936, 936, 936, 
	936, 936, 936, 936, -1, -1, -1, -1, 
	936, -1, -1, -1, -1, 936, 936, -1, 
	-1, 936, 936, 936, -1, 936, 936, -1, 
	-1, 936, -1, -1, -1, -1, -1, -1, 
	-1, -1, 936, 936, 936, 936, 936, 936, 
	936, -1, -1, -1, -1, 936, 936, -1, 
	-1, 936, 936, -1, -1, -1, -1, -1, 
	-1, -1, -1, 936, 936, -1, -1, -1, 
	-1, 936, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	936, 936, 936, -1, -1, -1, -1, -1, 
	936, 936, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 936, -1, 936, -1, 
	-1, 936, -1, 936, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, -1, 1076, 
	1076, 1076, 1076, 1076, -1, 1076, -1, 1076, 
	1076, 1076, 1076, -1, 1076, -1, 1076, 1076, 
	1076, -1, 1076, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, -1, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, -1, 
	1076, -1, -1, 497, 498, 1076, 1076, 1076, 
	1076, 1076, -1, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, 1076, 1076, -1, -1, -1, -1, 
	-1, 1076, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 936, 1076, 1076, 
	1076, 1076, -1, -1, 1076, 1076, 1076, 1076, 
	1076, 1076, -1, -1, -1, -1, 1076, 1076, 
	1076, 1076, 1076, 1076, 1076, -1, -1, -1, 
	-1, 1076, -1, -1, -1, -1, 1076, 1076, 
	-1, -1, 1076, 1076, 1076, -1, 1076, 1076, 
	-1, -1, 1076, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1076, 1076, 1076, 1076, 1076, 
	1076, 1076, -1, -1, -1, 1076, 1076, 1076, 
	-1, -1, 1076, 1076, -1, 1076, 1076, 1076, 
	1076, 1076, -1, 1076, 1076, 1076, -1, -1, 
	-1, 1076, 1076, -1, -1, -1, -1, -1, 
	-1, -1, 1076, 1076, 1076, 1076, 1076, 1076, 
	-1, -1, 1076, -1, -1, -1, -1, 1076, 
	-1, 1076, 1076, 1076, 1076, -1, 1076, 1076, 
	1076, 1076, 1076, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1076, -1, 1076, 
	-1, -1, 1076, -1, 1076, 1076, -1, -1, 
	-1, 1076, -1, 1076, -1, 1076, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	764, 764, 764, 764, 764, 764, 764, 764, 
	-1, 764, 764, 764, 764, 764, -1, 764, 
	-1, 764, 764, 764, 764, -1, 764, -1, 
	764, 764, 764, -1, -1, 764, 764, 764, 
	764, 764, 764, 764, 764, -1, 764, 764, 
	764, -1, -1, -1, -1, 764, 764, 764, 
	764, 764, -1, -1, 764, 764, 764, 764, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 764, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 274, 275, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1076, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	764, 764, 764, 764, -1, -1, 764, 764, 
	-1, 764, 764, 764, -1, -1, -1, -1, 
	764, 764, 764, -1, 764, 764, 764, -1, 
	-1, -1, -1, 764, -1, -1, -1, -1, 
	764, -1, -1, -1, 764, 764, 764, -1, 
	764, 764, -1, -1, 764, -1, -1, -1, 
	-1, -1, -1, -1, -1, 764, 764, 764, 
	764, 764, 764, 764, -1, -1, -1, -1, 
	764, 764, -1, -1, 764, 764, -1, -1, 
	-1, -1, -1, -1, -1, -1, 764, 764, 
	-1, -1, -1, -1, 764, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 764, 764, 764, -1, -1, 
	-1, -1, -1, 764, 764, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 764, 
	-1, -1, -1, -1, -1, -1, 764, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, 939, 939, 939, 939, 939, 939, 939, 
	939, -1, 939, 939, 939, 939, 939, -1, 
	939, -1, 939, 939, 939, 939, -1, 939, 
	-1, 939, 939, 939, -1, -1, 939, 939, 
	939, 939, 939, 939, 939, 939, -1, 939, 
	939, 939, -1, -1, -1, -1, 939, 939, 
	939, 939, 939, -1, -1, 939, 939, 939, 
	939, 64, 67, 68, 65, 66, 73, 74, 
	-1, 69, 70, 939, -1, -1, -1, -1, 
	-1, -1, -1, -1, 138, 139, 141, 140, 
	142, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 75, -1, -1, -1, 131, 
	-1, -1, -1, 135, 136, 137, 72, 71, 
	130, -1, -1, -1, -1, 124, 125, 126, 
	-1, -1, -1, -1, 989, 122, -1, 144, 
	145, 146, 147, -1, -1, -1, -1, -1, 
	-1, -1, 127, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	117, 118, 119, -1, 120, -1, -1, -1, 
	764, 939, 939, 939, 939, -1, -1, 939, 
	939, -1, 939, 939, 939, -1, -1, -1, 
	-1, 939, 939, 939, -1, 939, 939, 939, 
	-1, -1, -1, -1, 939, -1, -1, -1, 
	-1, 939, -1, -1, -1, 939, 939, 939, 
	-1, 939, 939, -1, -1, 939, -1, -1, 
	-1, -1, -1, -1, -1, -1, 939, 939, 
	939, 939, 939, 939, 939, -1, -1, -1, 
	-1, 939, 939, -1, -1, 939, 939, -1, 
	-1, -1, -1, -1, -1, -1, -1, 939, 
	939, -1, -1, -1, -1, 939, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 939, 939, 939, -1, 
	-1, -1, -1, -1, 939, 939, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 525, 
	939, -1, -1, -1, -1, -1, -1, 939, 
	-1, -1, 206, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	64, 67, 68, 65, 66, 73, 74, -1, 
	69, 70, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 138, 139, 141, 140, 142, 
	-1, -1, -1, 143, 134, 128, 123, 989, 
	-1, -1, 75, -1, -1, -1, 131, -1, 
	-1, -1, 135, 136, 137, 72, 71, 130, 
	-1, -1, -1, -1, 124, 125, 126, -1, 
	-1, -1, -1, 989, 122, -1, 144, 145, 
	146, 147, -1, -1, -1, -1, -1, -1, 
	-1, 127, 926, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, 117, 
	118, 119, -1, 120, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, 1133, -1, -1, 
	-1, 939, -1, -1, -1, -1, -1, -1, 
	-1, -1, 117, 118, 119, -1, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 205, 526, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 206, 113, 114, 115, 116, -1, 121, 
	129, 133, -1, -1, -1, -1, 132, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 143, 134, 128, 123, 989, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 529, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	528, 132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1034, 1034, 1034, 1034, 1034, 1034, 1034, -1, 
	1034, 1034, -1, -1, -1, 143, 134, 128, 
	123, 989, -1, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1034, -1, 527, -1, 1034, -1, 
	-1, -1, 1034, 1034, 1034, 1034, 1034, 1034, 
	-1, -1, -1, -1, 1034, 1034, 1034, -1, 
	-1, -1, -1, 1034, 1034, -1, 1034, 1034, 
	1034, 1034, -1, -1, -1, -1, -1, -1, 
	-1, 1034, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1034, 
	1034, 1034, 332, 1034, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, -1, 1004, 1004, 1004, 1004, 1004, -1, 
	1004, -1, 1004, 1004, 1004, 1004, -1, 1004, 
	-1, 1004, 1004, 1004, -1, 1004, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, -1, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, -1, 1004, -1, -1, -1, -1, 
	1004, 1004, 1004, 1004, 1004, -1, -1, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, 1004, 1004, -1, 
	-1, -1, -1, -1, 1004, -1, -1, -1, 
	-1, 1034, 1034, 1034, 1034, 1034, -1, 1034, 
	1034, 1034, -1, -1, -1, -1, 1034, -1, 
	-1, 525, -1, -1, -1, -1, -1, -1, 
	-1, 695, -1, -1, 206, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, 1034, 1034, 1034, 1034, 1034, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1004, 1004, 1004, 1004, -1, -1, 1004, 
	1004, 1004, 1004, 1004, 1004, 143, 134, 128, 
	123, 1004, 1004, 1004, 1004, 1004, 1004, 1004, 
	-1, -1, -1, -1, 1004, -1, -1, -1, 
	-1, 1004, 1004, -1, -1, 1004, 1004, 1004, 
	-1, 1004, 1004, -1, -1, 1004, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1004, 1004, 
	1004, 1004, 1004, 1004, 1004, -1, -1, -1, 
	1004, 1004, 1004, -1, -1, 1004, 1004, -1, 
	1004, 1004, 1004, 1004, 1004, -1, 1004, 1004, 
	1004, -1, -1, -1, 1004, 1004, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1004, 1004, 1004, -1, -1, 1004, -1, -1, 
	-1, -1, 1004, -1, 1004, 1004, 1004, 1004, 
	-1, 1004, 1004, 1004, 1004, 1004, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1004, -1, 1004, -1, -1, 1004, -1, 1004, 
	1004, -1, -1, -1, 1004, -1, 1004, -1, 
	1004, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	205, 526, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 206, 113, 114, 115, 116, 
	-1, 121, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 529, 113, 
	114, 115, 116, -1, 121, 129, 133, -1, 
	-1, 1004, 528, 132, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 527, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, -1, 1005, 1005, 1005, 1005, 1005, -1, 
	1005, -1, 1005, 1005, 1005, 1005, -1, 1005, 
	-1, 1005, 1005, 1005, -1, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, -1, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, -1, 1005, -1, -1, -1, -1, 
	1005, 1005, 1005, 1005, 1005, -1, -1, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, 1005, 1005, -1, 
	-1, -1, -1, -1, 1005, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1005, 1005, 1005, 1005, -1, -1, 1005, 
	1005, 1005, 1005, 1005, 1005, -1, -1, -1, 
	-1, 1005, 1005, 1005, 1005, 1005, 1005, 1005, 
	-1, -1, -1, -1, 1005, -1, -1, -1, 
	-1, 1005, 1005, -1, -1, 1005, 1005, 1005, 
	-1, 1005, 1005, -1, -1, 1005, -1, -1, 
	-1, -1, -1, 695, -1, -1, 1005, 1005, 
	1005, 1005, 1005, 1005, 1005, -1, -1, -1, 
	1005, 1005, 1005, -1, -1, 1005, 1005, -1, 
	1005, 1005, 1005, 1005, 1005, -1, 1005, 1005, 
	1005, -1, -1, -1, 1005, 1005, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1005, 1005, 1005, -1, -1, 1005, -1, -1, 
	-1, -1, 1005, -1, 1005, 1005, 1005, 1005, 
	-1, 1005, 1005, 1005, 1005, 1005, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1005, -1, 1005, -1, -1, 1005, -1, 1005, 
	1005, -1, -1, -1, 1005, -1, 1005, -1, 
	1005, 880, 880, 880, 880, 880, 880, 880, 
	880, 880, 880, 880, 880, 880, 880, 880, 
	-1, 880, 880, 880, 880, 880, 880, 880, 
	880, -1, -1, -1, 880, 880, 880, 880, 
	880, -1, 880, -1, 880, 880, 880, 880, 
	-1, 880, -1, 880, 880, 880, -1, -1, 
	880, -1, -1, 880, 880, 880, 880, 880, 
	-1, 880, 880, 880, -1, -1, -1, -1, 
	880, 880, 880, 880, 880, -1, -1, 880, 
	880, 880, 880, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1005, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 880, 880, 880, 880, -1, 
	-1, 880, 880, -1, 880, 880, 880, -1, 
	-1, -1, -1, 880, 880, 880, -1, 880, 
	880, 880, -1, -1, -1, -1, 880, -1, 
	-1, -1, -1, 880, 880, -1, -1, 880, 
	880, 880, -1, 880, 880, -1, -1, 880, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 880, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 880, 
	880, -1, -1, -1, -1, -1, -1, -1, 
	-1, 880, 880, -1, -1, -1, -1, 880, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 880, 880, 
	880, -1, -1, -1, -1, -1, 880, 880, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 880, -1, -1, -1, -1, 880, 
	-1, -1, 866, 866, 866, 866, 866, 866, 
	866, 866, 866, 866, 866, 866, 866, 866, 
	866, -1, 866, 866, 866, 866, 866, 866, 
	866, 866, -1, -1, -1, 866, 866, 866, 
	866, 866, -1, 866, -1, 866, 866, 866, 
	866, -1, 866, -1, 866, 866, 866, -1, 
	-1, 866, -1, -1, 866, 866, 866, 866, 
	866, -1, 866, 866, 866, -1, -1, -1, 
	-1, 866, 866, 866, 866, 866, -1, -1, 
	866, 866, 866, 866, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 880, 866, 866, 866, 866, 
	-1, -1, 866, 866, -1, 866, 866, 866, 
	-1, -1, -1, -1, 866, 866, 866, -1, 
	866, 866, 866, -1, -1, -1, -1, 866, 
	-1, -1, -1, -1, 866, -1, -1, -1, 
	866, 866, 866, -1, 866, 866, -1, -1, 
	866, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 866, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	866, 866, -1, -1, -1, -1, -1, -1, 
	-1, -1, 866, 866, -1, -1, -1, -1, 
	866, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 866, 
	866, 866, -1, -1, -1, -1, -1, 866, 
	866, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 866, -1, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, -1, 
	1070, 1070, 1070, 1070, 1070, -1, 1070, -1, 
	1070, 1070, 1070, 1070, -1, 1070, -1, 1070, 
	1070, 1070, -1, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	-1, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	-1, 1070, -1, -1, -1, -1, 1070, 1070, 
	1070, 1070, 1070, -1, -1, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, 1070, 1070, -1, -1, -1, 
	-1, -1, 1070, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1070, 
	1070, 1070, 1070, -1, 866, 1070, 1070, 1070, 
	1070, 1070, 1070, -1, -1, -1, -1, 1070, 
	1070, 1070, 1070, 1070, 1070, 1070, -1, -1, 
	-1, -1, 1070, -1, -1, -1, -1, 1070, 
	1070, -1, -1, 1070, 1070, 1070, -1, 1070, 
	1070, -1, -1, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1070, 1070, 1070, 1070, 
	1070, 1070, 1070, -1, -1, -1, 1070, 1070, 
	1070, -1, -1, 1070, 1070, -1, 1070, 1070, 
	1070, 1070, 1070, -1, 1070, 1070, 1070, -1, 
	-1, -1, 1070, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1070, 1070, 
	1070, -1, -1, 1070, -1, -1, -1, -1, 
	1070, -1, 1070, 1070, 1070, 1070, -1, 1070, 
	1070, 1070, 1070, 1070, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1070, -1, 
	1070, -1, -1, 1070, -1, 1070, 1070, -1, 
	-1, -1, 1070, -1, 1070, -1, 1070, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, -1, 1071, 1071, 1071, 1071, 1071, -1, 
	1071, -1, 1071, 1071, 1071, 1071, -1, 1071, 
	-1, 1071, 1071, 1071, -1, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, -1, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, -1, 1071, -1, -1, -1, -1, 
	1071, 1071, 1071, 1071, 1071, -1, -1, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, 1071, 1071, -1, 
	-1, -1, -1, -1, 1071, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1070, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1071, 1071, 1071, 1071, -1, -1, 1071, 
	1071, 1071, 1071, 1071, 1071, -1, -1, -1, 
	-1, 1071, 1071, 1071, 1071, 1071, 1071, 1071, 
	-1, -1, -1, -1, 1071, -1, -1, -1, 
	-1, 1071, 1071, -1, -1, 1071, 1071, 1071, 
	-1, 1071, 1071, -1, -1, 1071, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1071, 1071, 
	1071, 1071, 1071, 1071, 1071, -1, -1, -1, 
	1071, 1071, 1071, -1, -1, 1071, 1071, -1, 
	1071, 1071, 1071, 1071, 1071, -1, 1071, 1071, 
	1071, -1, -1, -1, 1071, 1071, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1071, 1071, 1071, -1, -1, 1071, -1, -1, 
	-1, -1, 1071, -1, 1071, 1071, 1071, 1071, 
	-1, 1071, 1071, 1071, 1071, 1071, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1071, -1, 1071, -1, -1, 1071, -1, 1071, 
	1071, -1, -1, -1, 1071, -1, 1071, -1, 
	1071, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, -1, 1072, 1072, 1072, 1072, 
	1072, -1, 1072, -1, 1072, 1072, 1072, 1072, 
	-1, 1072, -1, 1072, 1072, 1072, -1, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, -1, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, -1, 1072, -1, -1, 
	-1, -1, 1072, 1072, 1072, 1072, 1072, -1, 
	-1, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, 1072, 
	1072, -1, -1, -1, -1, -1, 1072, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1071, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1072, 1072, 1072, 1072, -1, 
	-1, 1072, 1072, 1072, 1072, 1072, 1072, -1, 
	-1, -1, -1, 1072, 1072, 1072, 1072, 1072, 
	1072, 1072, -1, -1, -1, -1, 1072, -1, 
	-1, -1, -1, 1072, 1072, -1, -1, 1072, 
	1072, 1072, -1, 1072, 1072, -1, -1, 1072, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1072, 1072, 1072, 1072, 1072, 1072, 1072, -1, 
	-1, -1, 1072, 1072, 1072, -1, -1, 1072, 
	1072, -1, 1072, 1072, 1072, 1072, 1072, -1, 
	1072, 1072, 1072, -1, -1, -1, 1072, 1072, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1072, 1072, 1072, -1, -1, 1072, 
	-1, -1, -1, -1, 1072, -1, 1072, 1072, 
	1072, 1072, -1, 1072, 1072, 1072, 1072, 1072, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1072, -1, 1072, -1, -1, 1072, 
	-1, 1072, 1072, -1, -1, -1, 1072, -1, 
	1072, -1, 1072, 64, 67, 68, 65, 66, 
	73, 74, -1, 69, 70, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, 139, 
	141, 140, 142, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 75, -1, -1, 
	-1, 131, -1, -1, -1, 135, 136, 137, 
	72, 71, 130, -1, -1, -1, -1, 124, 
	125, 126, -1, -1, -1, -1, 989, 122, 
	-1, 144, 145, 146, 147, -1, -1, -1, 
	-1, -1, -1, -1, 127, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 117, 118, 119, -1, 120, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	-1, 1073, 1073, 1073, 1073, 1073, -1, 1073, 
	-1, 1073, 1073, 1073, 1073, -1, 1073, -1, 
	1073, 1073, 1073, 1072, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, -1, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, -1, 1073, -1, -1, -1, -1, 1073, 
	1073, 1073, 1073, 1073, -1, -1, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, 1073, 1073, -1, -1, 
	-1, -1, -1, 1073, -1, -1, -1, -1, 
	-1, -1, -1, -1, 581, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 143, 134, 128, 
	123, 989, -1, -1, -1, -1, -1, -1, 
	1073, 1073, 1073, 1073, -1, -1, 1073, 1073, 
	1073, 1073, 1073, 1073, -1, -1, -1, -1, 
	1073, 1073, 1073, 1073, 1073, 1073, 1073, -1, 
	-1, -1, -1, 1073, -1, -1, -1, -1, 
	1073, 1073, -1, -1, 1073, 1073, 1073, -1, 
	1073, 1073, -1, -1, 1073, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1073, 1073, 1073, 
	1073, 1073, 1073, 1073, -1, -1, -1, 1073, 
	1073, 1073, -1, -1, 1073, 1073, -1, 1073, 
	1073, 1073, 1073, 1073, -1, 1073, 1073, 1073, 
	-1, -1, -1, 1073, 1073, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1073, 
	1073, 1073, -1, -1, 1073, -1, -1, -1, 
	-1, 1073, -1, 1073, 1073, 1073, 1073, -1, 
	1073, 1073, 1073, 1073, 1073, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1073, 
	-1, 1073, -1, -1, 1073, -1, 1073, 1073, 
	-1, -1, -1, 1073, -1, 1073, -1, 1073, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, -1, 973, 973, 973, 973, 973, 
	-1, 973, -1, 973, 973, 973, 973, -1, 
	973, -1, 973, 973, 973, -1, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, -1, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, -1, 973, -1, -1, -1, 
	-1, 973, 973, 973, 973, 973, -1, -1, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	973, 973, 973, 973, 973, 973, 973, 973, 
	-1, -1, -1, -1, -1, 973, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1073, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 973, 973, 973, 973, -1, -1, 
	973, 973, 973, 973, 973, 973, -1, -1, 
	-1, -1, 973, 973, 973, 973, 973, 973, 
	973, -1, -1, -1, -1, 973, -1, -1, 
	-1, -1, 973, 973, -1, -1, 973, 973, 
	973, -1, 973, 973, -1, -1, 973, -1, 
	-1, -1, -1, -1, -1, -1, -1, 973, 
	973, 973, 973, 973, 973, 973, -1, -1, 
	-1, 973, 973, 973, -1, -1, 973, 973, 
	-1, 973, 973, 973, 973, 973, -1, 973, 
	973, 973, -1, -1, -1, 973, 973, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 973, 973, 973, -1, -1, 973, -1, 
	-1, -1, -1, 973, -1, 973, 973, 973, 
	973, -1, 973, 973, 973, 973, 973, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 973, -1, 973, -1, -1, 973, -1, 
	973, 973, -1, -1, -1, 973, -1, 973, 
	-1, 973, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1054, 1054, 1054, 1054, 1054, 1054, 
	1054, -1, 1054, 1054, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1054, 1054, 1054, 
	1054, 1054, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1054, -1, -1, -1, 
	1054, -1, -1, -1, 1054, 1054, 1054, 1054, 
	1054, 1054, -1, -1, -1, -1, 1054, 1054, 
	1054, -1, -1, -1, -1, 1054, 1054, -1, 
	1054, 1054, 1054, 1054, 1054, -1, 581, 113, 
	114, 115, 116, 1054, 121, 129, 133, -1, 
	-1, -1, -1, 132, -1, -1, -1, -1, 
	-1, 1054, 1054, 1054, 1054, 1054, -1, -1, 
	274, 275, -1, -1, -1, -1, -1, 1054, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 973, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, -1, 960, 960, 
	960, 960, 960, -1, 960, -1, 960, 960, 
	960, 960, -1, 960, -1, 960, 960, 960, 
	-1, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, -1, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, -1, 960, 
	-1, -1, -1, -1, 960, 960, 960, 960, 
	960, -1, -1, 960, 960, 960, 960, 960, 
	960, 960, 960, 960, 960, 960, 960, 960, 
	960, 960, 960, 1054, 1054, 1054, 1054, 1054, 
	960, 1054, 1054, 1054, -1, -1, -1, -1, 
	1054, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1054, 1054, 1054, -1, -1, 
	-1, -1, -1, -1, -1, 1054, -1, -1, 
	-1, -1, -1, -1, 1054, 1054, 1054, 1054, 
	1054, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 960, 960, 960, 
	960, 1054, -1, 960, 960, 960, 960, 960, 
	960, -1, -1, -1, -1, 960, 960, 960, 
	960, 960, 960, 960, -1, -1, -1, -1, 
	960, -1, -1, -1, -1, 960, 960, -1, 
	-1, 960, 960, 960, -1, 960, 960, -1, 
	-1, 960, -1, -1, -1, -1, -1, -1, 
	-1, -1, 960, 960, 960, 960, 960, 960, 
	960, -1, -1, -1, 960, 960, 960, -1, 
	-1, 960, 960, -1, 960, 960, 960, 960, 
	960, -1, 960, 960, 960, -1, -1, -1, 
	960, 960, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 960, 960, 960, -1, 
	-1, 960, -1, -1, -1, -1, 960, -1, 
	960, 960, 960, 960, -1, 960, 960, 960, 
	960, 960, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 960, -1, 960, -1, 
	-1, 960, -1, 960, 960, -1, -1, -1, 
	960, -1, 960, -1, 960, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, -1, 
	942, 942, 942, 942, 942, -1, 942, -1, 
	942, 942, 942, 942, -1, 942, -1, 942, 
	942, 942, -1, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	-1, 942, 942, 942, 942, 942, 942, 942, 
	942, 942, 942, 942, 942, 942, 942, 942, 
	-1, -1, -1, -1, -1, -1, 942, 942, 
	942, 942, -1, -1, -1, 278, 279, 942, 
	280, 281, 282, 283, 942, 942, 942, 942, 
	942, -1, -1, 942, 942, -1, -1, -1, 
	-1, -1, 942, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 960, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 942, 
	942, 942, 942, -1, -1, 942, 942, 942, 
	942, 942, 942, -1, -1, -1, -1, 942, 
	942, 942, 942, 942, 942, 942, -1, -1, 
	-1, -1, 942, -1, -1, -1, -1, 942, 
	942, -1, -1, 942, 942, 942, -1, 942, 
	942, -1, -1, 942, -1, -1, -1, -1, 
	-1, -1, -1, -1, 942, 942, 942, 942, 
	942, 942, 942, -1, -1, -1, 942, 942, 
	942, -1, -1, 942, 942, -1, 942, 942, 
	942, 942, 942, -1, 942, 942, 942, -1, 
	-1, -1, 942, 942, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 942, 942, 
	942, -1, -1, 942, -1, -1, -1, -1, 
	942, -1, 942, 942, 942, 942, -1, 942, 
	942, 942, 942, 942, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 942, -1, 
	942, -1, -1, 942, -1, 942, 942, -1, 
	-1, -1, 942, -1, 942, -1, 942, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, -1, 943, 943, 943, 943, 943, -1, 
	943, -1, 943, 943, 943, 943, -1, 943, 
	-1, 943, 943, 943, -1, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, -1, 943, 943, 943, 943, 943, 
	943, 943, 943, 943, 943, 943, 943, 943, 
	943, 943, -1, -1, -1, -1, -1, -1, 
	943, 943, 943, 943, -1, -1, -1, 278, 
	279, 943, 280, 281, 282, 283, 943, 943, 
	943, 943, 943, -1, -1, 943, 943, -1, 
	-1, -1, -1, -1, 943, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 942, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 943, 943, 943, 943, -1, -1, 943, 
	943, 943, 943, 943, 943, -1, -1, -1, 
	-1, 943, 943, 943, 943, 943, 943, 943, 
	-1, -1, -1, -1, 943, -1, -1, -1, 
	-1, 943, 943, -1, -1, 943, 943, 943, 
	-1, 943, 943, -1, -1, 943, -1, -1, 
	-1, -1, -1, -1, -1, -1, 943, 943, 
	943, 943, 943, 943, 943, -1, -1, -1, 
	943, 943, 943, -1, -1, 943, 943, -1, 
	943, 943, 943, 943, 943, -1, 943, 943, 
	943, -1, -1, -1, 943, 943, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	943, 943, 943, -1, -1, 943, -1, -1, 
	-1, -1, 943, -1, 943, 943, 943, 943, 
	-1, 943, 943, 943, 943, 943, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	943, -1, 943, -1, -1, 943, -1, 943, 
	943, -1, -1, -1, 943, -1, 943, -1, 
	943, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	760, 760, 760, -1, 760, 760, 760, 760, 
	760, -1, 760, -1, 760, 760, 760, 760, 
	-1, 760, -1, 760, 760, 760, -1, -1, 
	760, 760, 760, 760, 760, 760, 760, 760, 
	-1, 760, 760, 760, -1, -1, -1, -1, 
	760, 760, 760, 760, 760, -1, -1, 760, 
	760, 760, 760, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 760, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 943, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 760, 760, 760, 760, -1, 
	-1, 760, 760, -1, 760, 760, 760, -1, 
	-1, -1, -1, 760, 760, 760, -1, 760, 
	760, 760, -1, -1, -1, -1, 760, -1, 
	-1, -1, -1, 760, -1, -1, -1, 760, 
	760, 760, -1, 760, 760, -1, -1, 760, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	760, 760, 760, 760, 760, 760, 760, -1, 
	-1, -1, -1, 760, 760, -1, -1, 760, 
	760, -1, -1, -1, -1, -1, -1, -1, 
	-1, 760, 760, -1, -1, -1, -1, 760, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 760, 760, 
	760, -1, -1, -1, -1, -1, 760, 760, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 760, -1, -1, -1, -1, -1, 
	-1, 760, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 922, 922, 922, 922, 922, 922, 
	922, 922, 449, 450, -1, 922, 922, 922, 
	922, 922, -1, 922, -1, 922, 922, 922, 
	922, -1, 922, -1, 922, 922, 922, -1, 
	-1, 922, 922, 922, 922, 922, 922, 922, 
	922, -1, 922, 922, 922, -1, -1, -1, 
	-1, 922, 922, 922, 922, 922, -1, -1, 
	922, 922, 922, 922, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 922, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 760, 922, 922, 922, 922, 
	-1, -1, 922, 922, -1, 922, 922, 922, 
	-1, -1, -1, -1, 922, 922, 922, -1, 
	922, 922, 922, -1, -1, -1, -1, 922, 
	-1, -1, -1, -1, 922, -1, -1, -1, 
	922, 922, 922, -1, 922, 922, -1, -1, 
	922, -1, -1, -1, -1, -1, -1, -1, 
	-1, 922, 922, 922, 922, 586, 446, 448, 
	-1, -1, -1, -1, 922, 922, -1, -1, 
	922, 922, -1, -1, -1, -1, -1, -1, 
	-1, -1, 922, 922, -1, -1, -1, -1, 
	922, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 922, 
	922, 922, -1, -1, -1, -1, -1, 922, 
	922, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 922, -1, -1, -1, -1, 
	-1, -1, 922, 919, 919, 919, 919, 919, 
	919, 919, 919, 919, 919, 919, 919, 919, 
	919, 919, 919, 919, 919, 919, 919, 919, 
	919, 919, 919, 919, 919, -1, 919, 919, 
	919, 919, 919, -1, 919, -1, 919, 919, 
	919, 919, -1, 919, -1, 919, 919, 919, 
	-1, -1, 919, 919, 919, 919, 919, 919, 
	919, 919, -1, 919, 919, 919, -1, -1, 
	-1, -1, 919, 919, 919, 919, 919, -1, 
	-1, 919, 919, 919, 919, 64, 67, 68, 
	65, 66, 73, 74, -1, 69, 70, 919, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, 139, 141, 140, 142, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 75, 
	-1, -1, -1, 131, -1, -1, -1, 135, 
	136, 137, 72, 71, 130, -1, -1, -1, 
	-1, 124, 125, 126, -1, -1, -1, -1, 
	989, 122, -1, 144, 145, 146, 147, -1, 
	-1, -1, -1, -1, -1, -1, 127, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 117, 118, 119, -1, 
	120, -1, -1, -1, 922, 919, 919, 919, 
	919, -1, -1, 919, 919, -1, 919, 919, 
	919, -1, -1, -1, -1, 919, 919, 919, 
	-1, 919, 919, 919, -1, -1, -1, -1, 
	919, -1, -1, -1, -1, 919, -1, -1, 
	-1, 919, 919, 919, -1, 919, 919, -1, 
	-1, 919, -1, -1, -1, -1, -1, -1, 
	-1, -1, 919, 919, 919, 919, 919, 919, 
	919, -1, -1, -1, -1, 919, 919, -1, 
	-1, 919, 919, -1, -1, -1, -1, -1, 
	-1, -1, -1, 919, 919, -1, -1, -1, 
	-1, 919, -1, -1, -1, 55, 56, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, 35, 36, 40, 38, -1, 
	919, 919, 919, -1, -1, -1, -1, -1, 
	919, 919, -1, 41, 42, 43, -1, -1, 
	-1, 75, -1, -1, 919, -1, 37, -1, 
	-1, -1, -1, 919, 72, 71, 583, 113, 
	114, 115, 116, -1, 121, 129, 133, -1, 
	-1, -1, 59, 132, -1, 82, 84, 86, 
	88, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 276, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 143, 
	134, 128, 123, 989, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, -1, 
	945, 945, 945, 945, 945, -1, 945, -1, 
	945, 945, 945, 945, -1, 945, -1, 945, 
	945, 945, -1, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	-1, 945, 945, 945, 945, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	-1, -1, -1, -1, -1, -1, 945, 945, 
	945, 945, -1, -1, -1, 945, 945, 945, 
	945, 945, 945, 945, 945, 945, 945, 945, 
	945, 284, 285, 945, 945, 919, -1, -1, 
	-1, 277, 945, -1, -1, -1, -1, -1, 
	584, -1, -1, -1, -1, 34, 33, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	62, -1, -1, -1, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 76, 45, 585, 
	445, 447, -1, -1, 39, 989, -1, 945, 
	945, 945, 945, -1, -1, 945, 945, 945, 
	945, 945, 945, -1, -1, -1, -1, 945, 
	945, 945, 945, 945, 945, 945, -1, -1, 
	-1, -1, 945, -1, -1, -1, -1, 945, 
	945, -1, -1, 945, 945, 945, -1, 945, 
	945, -1, -1, 945, -1, -1, -1, -1, 
	-1, -1, -1, -1, 945, 945, 945, 945, 
	945, 945, 945, -1, -1, -1, 945, 945, 
	945, -1, -1, 945, 945, -1, 945, 945, 
	945, 945, 945, -1, 945, 945, 945, -1, 
	-1, -1, 945, 945, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 945, 945, 
	945, -1, -1, 945, -1, -1, -1, -1, 
	945, -1, 945, 945, 945, 945, -1, 945, 
	945, 945, 945, 945, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 945, -1, 
	945, -1, -1, 945, -1, 945, 945, -1, 
	-1, -1, 945, -1, 945, -1, 945, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, -1, 946, 946, 946, 946, 946, 
	-1, 946, -1, 946, 946, 946, 946, -1, 
	946, -1, 946, 946, 946, -1, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, -1, 946, 946, 946, 946, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, -1, -1, -1, -1, 945, 
	-1, 946, 946, 946, 946, -1, -1, -1, 
	946, 946, 946, 946, 946, 946, 946, 946, 
	946, 946, 946, 946, 284, 285, 946, 946, 
	-1, -1, -1, -1, -1, 946, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	583, 113, 114, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, 946, 946, 946, 946, -1, -1, 
	946, 946, 946, 946, 946, 946, -1, -1, 
	-1, -1, 946, 946, 946, 946, 946, 946, 
	946, 143, 134, 128, 123, 946, -1, -1, 
	-1, -1, 946, 946, -1, -1, 946, 946, 
	946, -1, 946, 946, -1, -1, 946, -1, 
	-1, -1, -1, -1, -1, -1, -1, 946, 
	946, 946, 946, 946, 946, 946, -1, -1, 
	-1, 946, 946, 946, -1, -1, 946, 946, 
	-1, 946, 946, 946, 946, 946, -1, 946, 
	946, 946, -1, -1, -1, 946, 946, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 946, 946, 946, -1, -1, 946, -1, 
	-1, -1, -1, 946, -1, 946, 946, 946, 
	946, -1, 946, 946, 946, 946, 946, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 946, -1, 946, -1, -1, 946, -1, 
	946, 946, -1, -1, -1, 946, -1, 946, 
	-1, 946, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 277, -1, -1, -1, -1, 
	-1, -1, 584, -1, -1, -1, -1, 34, 
	33, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 62, -1, -1, -1, -1, 44, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 80, 76, 
	45, -1, -1, -1, -1, -1, 39, -1, 
	-1, -1, -1, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, -1, 947, 947, 
	947, 947, 947, -1, 947, -1, 947, 947, 
	947, 947, -1, 947, -1, 947, 947, 947, 
	-1, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, -1, 947, 
	947, 947, 947, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, -1, -1, 
	-1, -1, -1, -1, 947, 947, 947, 947, 
	-1, -1, 946, 947, 947, 947, 947, 947, 
	947, 947, 947, 947, 947, 947, 947, 284, 
	285, 947, 947, -1, -1, -1, -1, -1, 
	947, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 947, 947, 947, 
	947, -1, -1, 947, 947, 947, 947, 947, 
	947, -1, -1, -1, -1, 947, 947, 947, 
	947, 947, 947, 947, -1, -1, -1, -1, 
	947, -1, -1, -1, -1, 947, 947, -1, 
	-1, 947, 947, 947, -1, 947, 947, -1, 
	-1, 947, -1, -1, -1, -1, -1, -1, 
	-1, -1, 947, 947, 947, 947, 947, 947, 
	947, -1, -1, -1, 947, 947, 947, -1, 
	-1, 947, 947, -1, 947, 947, 947, 947, 
	947, -1, 947, 947, 947, -1, -1, -1, 
	947, 947, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 947, 947, 947, -1, 
	-1, 947, -1, -1, -1, -1, 947, -1, 
	947, 947, 947, 947, -1, 947, 947, 947, 
	947, 947, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 947, -1, 947, -1, 
	-1, 947, -1, 947, 947, -1, -1, -1, 
	947, -1, 947, -1, 947, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, -1, 
	948, 948, 948, 948, 948, -1, 948, -1, 
	948, 948, 948, 948, -1, 948, -1, 948, 
	948, 948, -1, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	-1, 948, 948, 948, 948, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	-1, -1, -1, -1, -1, -1, 948, 948, 
	948, 948, -1, -1, -1, 948, 948, 948, 
	948, 948, 948, 948, 948, 948, 948, 948, 
	948, 284, 285, 948, 948, -1, -1, -1, 
	-1, -1, 948, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 947, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 948, 
	948, 948, 948, -1, -1, 948, 948, 948, 
	948, 948, 948, -1, -1, -1, -1, 948, 
	948, 948, 948, 948, 948, 948, -1, -1, 
	-1, -1, 948, -1, -1, -1, -1, 948, 
	948, -1, -1, 948, 948, 948, -1, 948, 
	948, -1, -1, 948, -1, -1, -1, -1, 
	-1, -1, -1, -1, 948, 948, 948, 948, 
	948, 948, 948, -1, -1, -1, 948, 948, 
	948, -1, -1, 948, 948, -1, 948, 948, 
	948, 948, 948, -1, 948, 948, 948, -1, 
	-1, -1, 948, 948, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 948, 948, 
	948, -1, -1, 948, -1, -1, -1, -1, 
	948, -1, 948, 948, 948, 948, -1, 948, 
	948, 948, 948, 948, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 948, -1, 
	948, -1, -1, 948, -1, 948, 948, -1, 
	-1, -1, 948, -1, 948, -1, 948, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, -1, 949, 949, 949, 949, 949, -1, 
	949, -1, 949, 949, 949, 949, -1, 949, 
	-1, 949, 949, 949, -1, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, -1, 949, 949, 949, 949, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, -1, -1, -1, -1, -1, -1, 
	949, 949, 949, 949, -1, -1, -1, 949, 
	949, 949, 949, 949, 949, 949, 949, 949, 
	949, 949, 949, 284, 285, 949, 949, -1, 
	-1, -1, -1, -1, 949, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 948, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 949, 949, 949, 949, -1, -1, 949, 
	949, 949, 949, 949, 949, -1, -1, -1, 
	-1, 949, 949, 949, 949, 949, 949, 949, 
	-1, -1, -1, -1, 949, -1, -1, -1, 
	-1, 949, 949, -1, -1, 949, 949, 949, 
	-1, 949, 949, -1, -1, 949, -1, -1, 
	-1, -1, -1, -1, -1, -1, 949, 949, 
	949, 949, 949, 949, 949, -1, -1, -1, 
	949, 949, 949, -1, -1, 949, 949, -1, 
	949, 949, 949, 949, 949, -1, 949, 949, 
	949, -1, -1, -1, 949, 949, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	949, 949, 949, -1, -1, 949, -1, -1, 
	-1, -1, 949, -1, 949, 949, 949, 949, 
	-1, 949, 949, 949, 949, 949, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	949, -1, 949, -1, -1, 949, -1, 949, 
	949, -1, -1, -1, 949, -1, 949, -1, 
	949, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, -1, 950, 950, 950, 950, 
	950, -1, 950, -1, 950, 950, 950, 950, 
	-1, 950, -1, 950, 950, 950, -1, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, -1, 950, 950, 950, 
	950, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, -1, -1, -1, -1, 
	-1, -1, 950, 950, 950, 950, -1, -1, 
	-1, 950, 950, 950, 950, 950, 950, 950, 
	950, 950, 950, 950, 950, 284, 285, 950, 
	950, -1, -1, -1, -1, -1, 950, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 949, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 950, 950, 950, 950, -1, 
	-1, 950, 950, 950, 950, 950, 950, -1, 
	-1, -1, -1, 950, 950, 950, 950, 950, 
	950, 950, -1, -1, -1, -1, 950, -1, 
	-1, -1, -1, 950, 950, -1, -1, 950, 
	950, 950, -1, 950, 950, -1, -1, 950, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	950, 950, 950, 950, 950, 950, 950, -1, 
	-1, -1, 950, 950, 950, -1, -1, 950, 
	950, -1, 950, 950, 950, 950, 950, -1, 
	950, 950, 950, -1, -1, -1, 950, 950, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 950, 950, 950, -1, -1, 950, 
	-1, -1, -1, -1, 950, -1, 950, 950, 
	950, 950, -1, 950, 950, 950, 950, 950, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 950, -1, 950, -1, -1, 950, 
	-1, 950, 950, -1, -1, -1, 950, -1, 
	950, -1, 950, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, -1, 952, 952, 
	952, 952, 952, -1, 952, -1, 952, 952, 
	952, 952, -1, 952, -1, 952, 952, 952, 
	-1, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, -1, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, -1, 287, 
	-1, -1, -1, -1, 952, 952, 952, 952, 
	286, -1, -1, 952, 952, 952, 952, 952, 
	952, 952, 952, 952, 952, 952, 952, 952, 
	952, 952, 952, -1, -1, -1, -1, -1, 
	952, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 950, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 952, 952, 952, 
	952, -1, -1, 952, 952, 952, 952, 952, 
	952, -1, -1, -1, -1, 952, 952, 952, 
	952, 952, 952, 952, -1, -1, -1, -1, 
	952, -1, -1, -1, -1, 952, 952, -1, 
	-1, 952, 952, 952, -1, 952, 952, -1, 
	-1, 952, -1, -1, -1, -1, -1, -1, 
	-1, -1, 952, 952, 952, 952, 952, 952, 
	952, -1, -1, -1, 952, 952, 952, -1, 
	-1, 952, 952, -1, 952, 952, 952, 952, 
	952, -1, 952, 952, 952, -1, -1, -1, 
	952, 952, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 952, 952, 952, -1, 
	-1, 952, -1, -1, -1, -1, 952, -1, 
	952, 952, 952, 952, -1, 952, 952, 952, 
	952, 952, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 952, -1, 952, -1, 
	-1, 952, -1, 952, 952, -1, -1, -1, 
	952, -1, 952, -1, 952, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, -1, 
	953, 953, 953, 953, 953, -1, 953, -1, 
	953, 953, 953, 953, -1, 953, -1, 953, 
	953, 953, -1, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	-1, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	-1, 287, -1, -1, -1, -1, 953, 953, 
	953, 953, 286, -1, -1, 953, 953, 953, 
	953, 953, 953, 953, 953, 953, 953, 953, 
	953, 953, 953, 953, 953, -1, -1, -1, 
	-1, -1, 953, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 952, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 953, 
	953, 953, 953, -1, -1, 953, 953, 953, 
	953, 953, 953, -1, -1, -1, -1, 953, 
	953, 953, 953, 953, 953, 953, -1, -1, 
	-1, -1, 953, -1, -1, -1, -1, 953, 
	953, -1, -1, 953, 953, 953, -1, 953, 
	953, -1, -1, 953, -1, -1, -1, -1, 
	-1, -1, -1, -1, 953, 953, 953, 953, 
	953, 953, 953, -1, -1, -1, 953, 953, 
	953, -1, -1, 953, 953, -1, 953, 953, 
	953, 953, 953, -1, 953, 953, 953, -1, 
	-1, -1, 953, 953, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 953, 953, 
	953, -1, -1, 953, -1, -1, -1, -1, 
	953, -1, 953, 953, 953, 953, -1, 953, 
	953, 953, 953, 953, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 953, -1, 
	953, -1, -1, 953, -1, 953, 953, -1, 
	-1, -1, 953, -1, 953, -1, 953, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, -1, 956, 956, 956, 956, 956, -1, 
	956, -1, 956, 956, 956, 956, -1, 956, 
	-1, 956, 956, 956, -1, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, -1, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, -1, 956, -1, -1, -1, -1, 
	956, 956, 956, 956, 956, -1, -1, 956, 
	956, 956, 956, 956, 956, 956, 956, 956, 
	956, 956, 956, 956, 956, 956, 956, -1, 
	-1, -1, -1, -1, 956, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 953, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 956, 956, 956, 956, -1, -1, 956, 
	956, 956, 956, 956, 956, -1, -1, -1, 
	-1, 956, 956, 956, 956, 956, 956, 956, 
	-1, -1, -1, -1, 956, -1, -1, -1, 
	-1, 956, 956, -1, -1, 956, 956, 956, 
	-1, 956, 956, -1, -1, 956, -1, -1, 
	-1, -1, -1, -1, -1, -1, 956, 956, 
	956, 956, 956, 956, 956, -1, -1, -1, 
	956, 956, 956, -1, -1, 956, 956, -1, 
	956, 956, 956, 956, 956, -1, 956, 956, 
	956, -1, -1, -1, 956, 956, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	956, 956, 956, -1, -1, 956, -1, -1, 
	-1, -1, 956, -1, 956, 956, 956, 956, 
	-1, 956, 956, 956, 956, 956, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	956, -1, 956, -1, -1, 956, -1, 956, 
	956, -1, -1, -1, 956, -1, 956, -1, 
	956, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, -1, 955, 955, 955, 955, 
	955, -1, 955, -1, 955, 955, 955, 955, 
	-1, 955, -1, 955, 955, 955, -1, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, -1, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, -1, 955, -1, -1, 
	-1, -1, 955, 955, 955, 955, 955, -1, 
	-1, 955, 955, 955, 955, 955, 955, 955, 
	955, 955, 955, 955, 955, 955, 955, 955, 
	955, -1, -1, -1, -1, -1, 955, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 956, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 955, 955, 955, 955, -1, 
	-1, 955, 955, 955, 955, 955, 955, -1, 
	-1, -1, -1, 955, 955, 955, 955, 955, 
	955, 955, -1, -1, -1, -1, 955, -1, 
	-1, -1, -1, 955, 955, -1, -1, 955, 
	955, 955, -1, 955, 955, -1, -1, 955, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	955, 955, 955, 955, 955, 955, 955, -1, 
	-1, -1, 955, 955, 955, -1, -1, 955, 
	955, -1, 955, 955, 955, 955, 955, -1, 
	955, 955, 955, -1, -1, -1, 955, 955, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 955, 955, 955, -1, -1, 955, 
	-1, -1, -1, -1, 955, -1, 955, 955, 
	955, 955, -1, 955, 955, 955, 955, 955, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 955, -1, 955, -1, -1, 955, 
	-1, 955, 955, -1, -1, -1, 955, -1, 
	955, -1, 955, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, -1, 975, 975, 
	975, 975, 975, -1, 975, -1, 975, 975, 
	975, 975, -1, 975, -1, 975, 975, 975, 
	-1, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, -1, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, -1, 975, 
	-1, -1, -1, -1, 975, 975, 975, 975, 
	975, -1, -1, 975, 975, 975, 975, 975, 
	975, 975, 975, 975, 975, 975, 975, 975, 
	975, 975, 975, -1, -1, -1, -1, -1, 
	975, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 955, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, 975, 975, 
	975, -1, -1, 975, 975, 975, 975, 975, 
	975, -1, -1, -1, -1, 975, 975, 975, 
	975, 975, 975, 975, -1, -1, -1, -1, 
	975, -1, -1, -1, -1, 975, 975, -1, 
	-1, 975, 975, 975, -1, 975, 975, -1, 
	-1, 975, -1, -1, -1, -1, -1, -1, 
	-1, -1, 975, 975, 975, 975, 975, 975, 
	975, -1, -1, -1, 975, 975, 975, -1, 
	-1, 975, 975, -1, 975, 975, 975, 975, 
	975, -1, 975, 975, 975, -1, -1, -1, 
	975, 975, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 975, 975, 975, -1, 
	-1, 975, -1, -1, -1, -1, 975, -1, 
	975, 975, 975, 975, -1, 975, 975, 975, 
	975, 975, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 975, -1, 975, -1, 
	-1, 975, -1, 975, 975, -1, -1, -1, 
	975, -1, 975, -1, 975, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, 979, 979, 979, 
	979, 979, 979, 979, 979, -1, 979, -1, 
	979, 979, 979, 979, 979, 979, -1, 979, 
	979, 979, -1, -1, 979, 979, 979, 979, 
	979, 979, 979, 979, -1, 979, 979, 979, 
	979, -1, -1, -1, 979, 979, 979, 979, 
	979, -1, -1, 979, 979, 979, 979, -1, 
	-1, -1, 979, -1, -1, -1, 979, 979, 
	-1, 979, -1, -1, 979, -1, -1, 979, 
	-1, 979, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 979, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 979, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 975, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 979, 
	979, 979, 979, -1, -1, 979, 979, 979, 
	979, 979, 979, -1, -1, -1, -1, 979, 
	979, 979, 979, 979, 979, 979, -1, -1, 
	979, -1, 979, -1, -1, -1, -1, 979, 
	979, -1, 979, 979, 979, 979, -1, 979, 
	979, -1, -1, 979, -1, -1, -1, -1, 
	-1, 979, -1, 979, 979, 979, 979, 979, 
	979, 979, 979, -1, -1, -1, -1, 979, 
	979, -1, 979, 979, 979, -1, -1, -1, 
	-1, -1, -1, -1, -1, 979, 979, -1, 
	-1, 979, -1, 979, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 979, 979, 979, 
	-1, -1, 979, 979, 979, -1, -1, -1, 
	-1, -1, 979, 979, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 979, -1, 
	979, -1, -1, 979, 979, 979, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, 990, 990, 
	990, 990, 990, 990, 990, 990, -1, 990, 
	-1, 990, 990, 990, 990, 990, 990, -1, 
	990, 990, 990, -1, -1, 990, 990, 990, 
	990, 990, 990, 990, 990, -1, 990, 990, 
	990, 990, -1, -1, -1, 990, 990, 990, 
	990, 990, -1, 990, 990, 990, 990, 990, 
	990, -1, -1, 990, -1, -1, -1, 990, 
	990, -1, 990, -1, -1, 990, -1, -1, 
	990, -1, 990, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 990, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 990, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 990, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 979, 
	990, 990, 990, 990, -1, -1, 990, 990, 
	990, 990, 990, 990, -1, -1, -1, -1, 
	990, 990, 990, 990, 990, 990, 990, -1, 
	-1, 990, -1, 990, -1, -1, -1, -1, 
	990, 990, -1, 990, 990, 990, 990, -1, 
	990, 990, -1, -1, 990, 990, 990, -1, 
	-1, -1, 990, -1, 990, 990, 990, 990, 
	990, 990, 990, 990, -1, -1, -1, -1, 
	990, 990, -1, 990, 990, 990, -1, -1, 
	-1, -1, -1, -1, -1, -1, 990, 990, 
	-1, -1, 990, -1, 990, 990, -1, -1, 
	-1, 990, 990, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 990, 990, 
	990, -1, -1, 990, 990, 990, -1, -1, 
	-1, -1, -1, 990, 990, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 990, 
	-1, 990, -1, -1, 990, 990, 990, -1, 
	-1, 990, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	991, 991, -1, 991, -1, 991, 991, 991, 
	991, 991, 991, -1, 991, 991, 991, -1, 
	-1, 991, 991, 991, 991, 991, 991, 991, 
	991, -1, 991, 991, 991, 991, -1, -1, 
	-1, 991, 991, 991, 991, 991, -1, 991, 
	991, 991, 991, 991, 991, -1, -1, 991, 
	-1, -1, -1, 991, 991, -1, 991, -1, 
	-1, 991, -1, -1, 991, -1, 991, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 991, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	991, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 991, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	990, -1, -1, -1, 991, 991, 991, 991, 
	-1, -1, 991, 991, 991, 991, 991, 991, 
	-1, -1, -1, -1, 991, 991, 991, 991, 
	991, 991, 991, -1, -1, 991, -1, 991, 
	-1, -1, -1, -1, 991, 991, -1, 991, 
	991, 991, 991, -1, 991, 991, -1, -1, 
	991, 991, 991, -1, -1, -1, 991, -1, 
	991, 991, 991, 991, 991, 991, 991, 991, 
	-1, -1, -1, -1, 991, 991, -1, 991, 
	991, 991, -1, -1, -1, -1, -1, -1, 
	-1, -1, 991, 991, -1, -1, 991, -1, 
	991, 991, -1, -1, -1, 991, 991, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 991, 991, 991, -1, -1, 991, 
	991, 991, -1, -1, -1, -1, -1, 991, 
	991, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 991, -1, 991, -1, -1, 
	991, 991, 991, -1, -1, 991, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, 992, 992, 
	992, 992, 992, 992, 992, 992, -1, 992, 
	-1, 992, 992, 992, 992, 992, 992, -1, 
	992, 992, 992, -1, -1, 992, 992, 992, 
	992, 992, 992, 992, 992, -1, 992, 992, 
	992, 992, -1, -1, -1, 992, 992, 992, 
	992, 992, -1, 992, 992, 992, 992, 992, 
	992, -1, -1, 992, -1, -1, -1, 992, 
	992, -1, 992, -1, -1, 992, -1, -1, 
	992, -1, 992, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 992, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 992, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 992, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 991, -1, -1, -1, 
	992, 992, 992, 992, -1, -1, 992, 992, 
	992, 992, 992, 992, -1, -1, -1, -1, 
	992, 992, 992, 992, 992, 992, 992, -1, 
	-1, 992, -1, 992, -1, -1, -1, -1, 
	992, 992, -1, 992, 992, 992, 992, -1, 
	992, 992, -1, -1, 992, 992, 992, -1, 
	-1, -1, 992, -1, 992, 992, 992, 992, 
	992, 992, 992, 992, -1, -1, -1, -1, 
	992, 992, -1, 992, 992, 992, -1, -1, 
	-1, -1, -1, -1, -1, -1, 992, 992, 
	-1, -1, 992, -1, 992, 992, -1, -1, 
	-1, 992, 992, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 992, 992, 
	992, -1, -1, 992, 992, 992, -1, -1, 
	-1, -1, -1, 992, 992, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 992, 
	-1, 992, -1, -1, 992, 992, 992, -1, 
	-1, 992, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 138, 139, 141, 
	140, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 75, -1, -1, -1, 
	131, -1, -1, -1, 135, 136, 137, 72, 
	71, 130, -1, -1, -1, -1, 124, 125, 
	126, -1, -1, -1, -1, 989, 122, -1, 
	144, 145, 146, 147, -1, -1, -1, -1, 
	-1, -1, -1, 127, 1133, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 117, 118, 119, -1, 120, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 838, 838, 
	838, 838, 838, 838, 838, 838, 838, 838, 
	838, 838, 838, 838, 838, -1, 838, 838, 
	838, 838, 838, 838, 838, 838, -1, -1, 
	-1, 838, 838, 838, 838, 838, -1, 838, 
	992, 838, 838, 838, 838, -1, 838, -1, 
	838, 838, 838, -1, -1, 838, -1, -1, 
	838, 838, 838, 838, 838, -1, 838, 838, 
	838, -1, -1, -1, -1, 838, 838, 838, 
	838, 838, -1, -1, 838, 838, 838, 838, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 529, 113, 114, 115, 116, 
	-1, 121, 129, 133, -1, -1, -1, 528, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 591, -1, -1, -1, -1, 
	838, 838, 838, 838, -1, -1, 838, 838, 
	838, 838, 838, 838, -1, -1, -1, -1, 
	838, 838, 838, 838, 838, 838, 838, -1, 
	-1, -1, -1, 838, -1, -1, -1, -1, 
	838, 838, -1, -1, 838, 838, 838, -1, 
	838, 838, -1, -1, 838, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	838, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 838, 838, -1, -1, 
	-1, -1, -1, -1, -1, -1, 838, 838, 
	-1, -1, -1, -1, 838, -1, -1, 55, 
	56, 64, 67, 68, 65, 66, 73, 74, 
	1131, 69, 70, -1, -1, 35, 36, 40, 
	38, -1, -1, 838, 838, 838, -1, -1, 
	-1, -1, -1, 838, 838, 41, 42, 43, 
	-1, -1, -1, 75, -1, -1, -1, 838, 
	37, 838, -1, -1, 838, -1, 72, 71, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 59, -1, -1, 82, 
	84, 86, 88, -1, 55, 56, 64, 67, 
	68, 65, 66, 73, 74, 1131, 69, 70, 
	-1, -1, 35, 36, 40, 38, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 41, 42, 43, -1, -1, -1, 
	75, -1, -1, -1, -1, 37, -1, -1, 
	-1, -1, -1, 72, 71, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 59, -1, -1, 82, 84, 86, 88, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, 276, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, -1, 
	-1, 37, -1, -1, -1, -1, -1, 72, 
	71, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 59, -1, -1, 
	596, 597, 598, 599, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 276, -1, -1, 
	838, -1, -1, 299, -1, -1, -1, -1, 
	-1, -1, -1, 1131, 1131, 593, -1, 34, 
	33, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 62, -1, -1, -1, -1, 44, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 80, 76, 
	45, -1, -1, -1, -1, -1, 39, 989, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	277, -1, -1, -1, -1, -1, -1, 600, 
	-1, 298, -1, -1, 34, 33, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 62, 
	-1, -1, -1, -1, 44, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 80, 76, 45, -1, -1, 
	-1, -1, -1, 39, 989, -1, -1, -1, 
	-1, -1, -1, -1, 277, -1, -1, -1, 
	-1, -1, -1, 594, -1, -1, -1, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	217, 216, 595, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, -1, -1, -1, -1, 39, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 529, 113, 114, 
	115, 116, -1, 121, 129, 133, -1, -1, 
	-1, 528, 132, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 143, 134, 
	128, 123, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 591, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	765, 765, 765, 765, 765, 765, 765, 765, 
	-1, 765, 765, 765, 765, 765, -1, 765, 
	-1, 765, 765, 765, 765, -1, 765, -1, 
	765, 765, 765, -1, -1, 765, 765, 765, 
	765, 765, 765, 765, 765, -1, 765, 765, 
	765, -1, -1, -1, -1, 765, 765, 765, 
	765, 765, -1, -1, 765, 765, 765, 765, 
	64, 67, 68, 65, 66, 73, 74, -1, 
	69, 70, 765, -1, -1, -1, -1, -1, 
	-1, -1, -1, 138, 139, 141, 140, 142, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 75, -1, -1, -1, 131, -1, 
	-1, -1, 135, 136, 137, 72, 71, 130, 
	-1, -1, -1, -1, 124, 125, 126, -1, 
	-1, -1, -1, 989, 122, -1, 144, 145, 
	146, 147, -1, -1, -1, -1, -1, -1, 
	-1, 127, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	765, 765, 765, 765, -1, -1, 765, 765, 
	-1, 765, 765, 765, -1, -1, -1, -1, 
	765, 765, 765, -1, 765, 765, 765, -1, 
	-1, -1, -1, 765, -1, -1, -1, -1, 
	765, -1, -1, -1, 765, 765, 765, -1, 
	765, 765, -1, -1, 765, -1, -1, -1, 
	-1, -1, -1, -1, -1, 765, 765, 765, 
	765, 765, 765, 765, -1, -1, -1, -1, 
	765, 765, -1, -1, 765, 765, -1, -1, 
	-1, -1, -1, -1, -1, -1, 765, 765, 
	-1, -1, -1, -1, 765, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 765, 765, 765, -1, -1, 
	-1, -1, -1, 765, 765, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 765, 
	-1, -1, -1, -1, -1, -1, 765, -1, 
	-1, -1, -1, -1, -1, 299, -1, 658, 
	129, 133, -1, -1, -1, -1, 132, 593, 
	-1, 34, 33, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 62, -1, -1, -1, 
	-1, 44, -1, -1, -1, -1, -1, -1, 
	-1, -1, 143, 134, 128, 123, 989, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	80, 76, 45, -1, -1, -1, -1, -1, 
	39, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 277, -1, -1, -1, -1, -1, 
	-1, 600, -1, 298, -1, -1, 34, 33, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 62, -1, -1, -1, -1, 44, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 80, 76, 45, 
	-1, -1, -1, -1, -1, 39, -1, -1, 
	-1, -1, -1, -1, -1, -1, 277, -1, 
	-1, -1, -1, -1, -1, 594, -1, -1, 
	-1, -1, 34, 33, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 62, -1, -1, 
	765, -1, 44, -1, -1, -1, -1, -1, 
	-1, -1, 217, 216, 595, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 80, 76, 45, -1, -1, -1, -1, 
	-1, 39, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, 910, 910, 910, 910, 
	910, 910, 910, 910, -1, 910, 910, 910, 
	910, 910, -1, 910, -1, 910, 910, 910, 
	910, -1, 910, -1, 910, 910, 910, -1, 
	-1, 910, 910, 910, 910, 910, 910, 910, 
	910, -1, 910, 910, 910, -1, -1, -1, 
	-1, 910, 910, 910, 910, 910, -1, -1, 
	910, 910, 910, 910, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 910, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 910, 910, 910, 910, 
	-1, -1, 910, 910, -1, 910, 910, 910, 
	-1, -1, -1, -1, 910, 910, 910, -1, 
	910, 910, 910, -1, -1, -1, -1, 910, 
	-1, -1, -1, -1, 910, -1, -1, -1, 
	910, 910, 910, -1, 910, 910, -1, -1, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, 910, 910, 910, 910, 910, 910, 910, 
	-1, -1, -1, -1, 910, 910, -1, -1, 
	910, 910, -1, -1, -1, -1, -1, -1, 
	-1, -1, 910, 910, -1, -1, -1, -1, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 910, 
	910, 910, -1, -1, -1, -1, -1, 910, 
	910, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 910, -1, -1, -1, -1, 
	-1, -1, 910, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, -1, 1007, 1007, 
	1007, 1007, 1007, -1, 1007, -1, 1007, 1007, 
	1007, 1007, -1, 1007, -1, 1007, 1007, 1007, 
	-1, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, -1, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, -1, 1007, 
	-1, -1, -1, -1, 1007, 1007, 1007, 1007, 
	1007, -1, -1, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, 1007, 1007, -1, -1, -1, -1, -1, 
	1007, 658, 129, 133, -1, -1, -1, -1, 
	132, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 143, 134, 128, 123, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 910, 1007, 1007, 1007, 
	1007, -1, -1, 1007, 1007, 1007, 1007, 1007, 
	1007, -1, -1, -1, -1, 1007, 1007, 1007, 
	1007, 1007, 1007, 1007, -1, -1, -1, -1, 
	1007, -1, -1, -1, -1, 1007, 1007, -1, 
	-1, 1007, 1007, 1007, -1, 1007, 1007, -1, 
	-1, 1007, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1007, 1007, 1007, 1007, 1007, 1007, 
	1007, -1, -1, -1, 1007, 1007, 1007, -1, 
	-1, 1007, 1007, -1, 1007, 1007, 1007, 1007, 
	1007, -1, 1007, 1007, 1007, -1, -1, -1, 
	1007, 1007, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1007, 1007, 1007, -1, 
	-1, 1007, -1, -1, -1, -1, 1007, -1, 
	1007, 1007, 1007, 1007, -1, 1007, 1007, 1007, 
	1007, 1007, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1007, -1, 1007, -1, 
	-1, 1007, -1, 1007, 1007, -1, -1, -1, 
	1007, -1, 1007, -1, 1007, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, -1, 
	1006, 1006, 1006, 1006, 1006, -1, 1006, -1, 
	1006, 1006, 1006, 1006, -1, 1006, -1, 1006, 
	1006, 1006, -1, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	-1, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	-1, 1006, -1, -1, -1, -1, 1006, 1006, 
	1006, 1006, 1006, -1, -1, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, 1006, 1006, -1, -1, -1, 
	-1, -1, 1006, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1007, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1006, 
	1006, 1006, 1006, -1, -1, 1006, 1006, 1006, 
	1006, 1006, 1006, -1, -1, -1, -1, 1006, 
	1006, 1006, 1006, 1006, 1006, 1006, -1, -1, 
	-1, -1, 1006, -1, -1, -1, -1, 1006, 
	1006, -1, -1, 1006, 1006, 1006, -1, 1006, 
	1006, -1, -1, 1006, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1006, 1006, 1006, 1006, 
	1006, 1006, 1006, -1, -1, -1, 1006, 1006, 
	1006, -1, -1, 1006, 1006, -1, 1006, 1006, 
	1006, 1006, 1006, -1, 1006, 1006, 1006, -1, 
	-1, -1, 1006, 1006, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1006, 1006, 
	1006, -1, -1, 1006, -1, -1, -1, -1, 
	1006, -1, 1006, 1006, 1006, 1006, -1, 1006, 
	1006, 1006, 1006, 1006, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1006, -1, 
	1006, -1, -1, 1006, -1, 1006, 1006, -1, 
	-1, -1, 1006, -1, 1006, -1, 1006, 861, 
	861, 861, 861, 861, 861, 861, 861, 861, 
	861, 861, 861, 861, 861, 861, -1, 861, 
	861, 861, 861, 861, 861, 861, 861, -1, 
	-1, -1, 861, 861, 861, 861, 861, -1, 
	861, -1, 861, 861, 861, 861, -1, 861, 
	-1, 861, 861, 861, -1, -1, 861, -1, 
	-1, 861, 861, 861, 861, 861, -1, 861, 
	861, 861, 861, -1, -1, -1, 861, 861, 
	861, 861, 861, -1, 861, 861, 861, 861, 
	861, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1006, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 861, 861, 861, 861, -1, -1, 861, 
	861, 861, 861, 861, 861, -1, -1, -1, 
	-1, 861, 861, 861, 861, 861, 861, 861, 
	-1, 861, 861, -1, 861, -1, -1, -1, 
	-1, 861, 861, -1, -1, 861, 861, 861, 
	-1, 861, 861, -1, -1, 861, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 861, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 861, 861, -1, 
	-1, -1, -1, -1, -1, -1, -1, 861, 
	861, -1, -1, -1, -1, 861, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 861, 861, 861, -1, 
	-1, -1, -1, -1, 861, 861, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	861, -1, 861, -1, -1, 861, -1, -1, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	829, 829, 829, 829, 829, 829, 829, -1, 
	829, 829, 829, 829, 829, 829, 829, 829, 
	-1, -1, -1, 829, 829, 829, 829, 829, 
	-1, 829, -1, 829, 829, 829, 829, -1, 
	829, -1, 829, 829, 829, -1, -1, 829, 
	-1, -1, 829, 829, 829, 829, 829, -1, 
	829, 829, 829, -1, -1, -1, -1, 829, 
	829, 829, 829, 829, -1, -1, 829, 829, 
	829, 829, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 861, 829, 829, 829, 829, -1, -1, 
	829, 829, -1, 829, 829, 829, -1, -1, 
	-1, -1, 829, 829, 829, -1, 829, 829, 
	829, -1, -1, -1, -1, 829, -1, -1, 
	-1, -1, 829, 829, -1, -1, 829, 829, 
	829, -1, 829, 829, -1, -1, 829, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 829, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 829, 829, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	829, 829, -1, -1, -1, -1, 829, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 829, 829, 829, 
	-1, -1, -1, -1, -1, 829, 829, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 829, -1, -1, -1, -1, 829, -1, 
	-1, 834, 834, 834, 834, 834, 834, 834, 
	834, 834, 834, 834, 834, 834, 834, 834, 
	-1, 834, 834, 834, 834, 834, 834, 834, 
	834, -1, -1, -1, 834, 834, 834, 834, 
	834, -1, 834, -1, 834, 834, 834, 834, 
	-1, 834, -1, 834, 834, 834, -1, -1, 
	834, -1, -1, 834, 834, 834, 834, 834, 
	-1, 834, 834, 834, -1, -1, -1, -1, 
	834, 834, 834, 834, 834, -1, -1, 834, 
	834, 834, 834, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 834, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 829, 834, 834, 834, 834, -1, 
	-1, 834, 834, 834, 834, 834, 834, -1, 
	-1, -1, -1, 834, 834, 834, 834, 834, 
	834, 834, -1, -1, -1, -1, 834, -1, 
	-1, -1, -1, 834, 834, -1, -1, 834, 
	834, 834, -1, 834, 834, -1, -1, 834, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 834, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 834, 
	834, -1, -1, -1, -1, -1, -1, -1, 
	-1, 834, 834, -1, -1, -1, -1, 834, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 834, 834, 
	834, -1, -1, -1, -1, -1, 834, 834, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 834, -1, 834, -1, -1, 834, 
	-1, -1, 857, 857, 857, 857, 857, 857, 
	857, 857, 857, 857, 857, 857, 857, 857, 
	857, -1, 857, 857, 857, 857, 857, 857, 
	857, 857, -1, -1, -1, 857, 857, 857, 
	857, 857, -1, 857, -1, 857, 857, 857, 
	857, -1, 857, -1, 857, 857, 857, -1, 
	-1, 857, -1, -1, 857, 857, 857, 857, 
	857, -1, 857, 857, 857, -1, -1, -1, 
	-1, 857, 857, 857, 857, 857, -1, -1, 
	857, 857, 857, 857, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 834, 857, 857, 857, 857, 
	-1, -1, 857, 857, 857, 857, 857, 857, 
	-1, -1, -1, -1, 857, 857, 857, 857, 
	857, 857, 857, -1, -1, -1, -1, 857, 
	-1, -1, -1, -1, 857, 857, -1, -1, 
	857, 857, 857, -1, 857, 857, -1, -1, 
	857, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 857, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	857, 857, -1, -1, -1, -1, -1, -1, 
	-1, -1, 857, 857, -1, -1, -1, -1, 
	857, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 857, 
	857, 857, -1, -1, -1, -1, -1, 857, 
	857, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 857, -1, 857, -1, -1, 
	857, -1, -1, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, 915, 915, 915, 915, 
	915, 915, 915, 915, 915, -1, 915, 915, 
	915, 915, 915, -1, 915, -1, 915, 915, 
	915, 915, -1, 915, -1, 915, 915, 915, 
	-1, -1, 915, 915, 915, 915, 915, 915, 
	915, 915, -1, 915, 915, 915, -1, -1, 
	-1, -1, 915, 915, 915, 915, 915, -1, 
	-1, 915, 915, 915, 915, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 915, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 857, 915, 915, 915, 
	915, -1, -1, 915, 915, -1, 915, 915, 
	915, -1, -1, -1, -1, 915, 915, 915, 
	-1, 915, 915, 915, -1, -1, -1, -1, 
	915, -1, -1, -1, -1, 915, -1, -1, 
	-1, 915, 915, 915, -1, 915, 915, -1, 
	-1, 915, -1, -1, -1, -1, -1, -1, 
	-1, -1, 915, 915, 915, 915, 915, 915, 
	915, -1, -1, -1, -1, 915, 915, -1, 
	-1, 915, 915, -1, -1, -1, -1, -1, 
	-1, -1, -1, 915, 915, -1, -1, -1, 
	-1, 915, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	915, 915, 915, -1, -1, -1, -1, -1, 
	915, 915, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 915, -1, -1, -1, 
	-1, -1, -1, 915, 883, 883, 883, 883, 
	883, 883, 883, 883, 883, 883, 883, 883, 
	883, 883, 883, -1, 883, 883, 883, 883, 
	883, 883, 883, 883, -1, -1, -1, 883, 
	883, 883, 883, 883, -1, 883, -1, 883, 
	883, 883, 883, -1, 883, -1, 883, 883, 
	883, -1, -1, 883, -1, -1, 883, 883, 
	883, 883, 883, -1, 883, 883, 883, -1, 
	-1, -1, -1, 883, 883, 883, 883, 883, 
	-1, -1, 883, 883, 883, 883, -1, 608, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 915, 883, 883, 
	883, 883, -1, -1, 883, 883, 883, 883, 
	883, 883, -1, -1, -1, -1, 883, 883, 
	883, 883, 883, 883, 883, -1, -1, -1, 
	-1, 883, -1, -1, -1, -1, 883, 883, 
	-1, -1, 883, 883, 883, -1, 883, 883, 
	-1, -1, 883, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 883, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 883, 883, -1, -1, -1, -1, 
	-1, -1, -1, -1, 883, 883, -1, -1, 
	-1, -1, 883, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 883, 883, 883, -1, -1, -1, -1, 
	-1, 883, 883, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 883, -1, 883, 
	-1, -1, 883, -1, -1, 909, 909, 909, 
	909, 909, 909, 909, 909, 909, 909, 909, 
	909, 909, 909, 909, -1, 909, 909, 909, 
	909, 909, 909, 909, 909, -1, -1, -1, 
	909, 909, 909, 909, 909, -1, 909, -1, 
	909, 909, 909, 909, -1, 909, -1, 909, 
	909, 909, -1, -1, 909, -1, -1, 909, 
	909, 909, 909, 909, -1, 909, 909, 909, 
	-1, -1, -1, -1, 909, 909, 909, 909, 
	909, -1, -1, 909, 909, 909, 909, -1, 
	909, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 883, 909, 
	909, 909, 909, -1, -1, 909, 909, 909, 
	909, 909, 909, -1, -1, -1, -1, 909, 
	909, 909, 909, 909, 909, 909, -1, -1, 
	-1, -1, 909, -1, -1, -1, -1, 909, 
	909, -1, -1, 909, 909, 909, -1, 909, 
	909, -1, -1, 909, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 909, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 909, 909, -1, -1, -1, 
	-1, -1, -1, -1, -1, 909, 909, -1, 
	-1, -1, -1, 909, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 909, 909, 909, -1, -1, -1, 
	-1, -1, 909, 909, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 909, -1, 
	909, -1, -1, 909, -1, -1, 885, 885, 
	885, 885, 885, 885, 885, 885, 885, 885, 
	885, 885, 885, 885, 885, -1, 885, 885, 
	885, 885, 885, 885, 885, 885, -1, -1, 
	-1, 885, 885, 885, 885, 885, -1, 885, 
	-1, 885, 885, 885, 885, -1, 885, -1, 
	885, 885, 885, -1, -1, 885, -1, -1, 
	885, 885, 885, 885, 885, -1, 885, 885, 
	885, -1, -1, -1, -1, 885, 885, 885, 
	885, 885, -1, -1, 885, 885, 885, 885, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 909, 
	885, 885, 885, 885, -1, -1, 885, 885, 
	885, 885, 885, 885, -1, -1, -1, -1, 
	885, 885, 885, 885, 885, 885, 885, -1, 
	-1, -1, -1, 885, -1, -1, -1, -1, 
	885, 885, -1, -1, 885, 885, 885, -1, 
	885, 885, -1, -1, 885, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	885, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 885, 885, -1, -1, 
	-1, -1, -1, -1, -1, -1, 885, 885, 
	-1, -1, -1, -1, 885, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 885, 885, 885, -1, -1, 
	-1, -1, -1, 885, 885, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 885, 
	-1, 885, -1, -1, 885, -1, -1, 894, 
	894, 894, 894, 894, 894, 894, 894, 894, 
	894, 894, 894, 894, 894, 894, -1, 894, 
	894, 894, 894, 894, 894, 894, 894, -1, 
	-1, -1, 894, 894, 894, 894, 894, -1, 
	894, -1, 894, 894, 894, 894, -1, 894, 
	-1, 894, 894, 894, -1, -1, 894, -1, 
	-1, 894, 894, 894, 894, 894, -1, 894, 
	894, 894, -1, -1, -1, -1, 894, 894, 
	894, 894, 894, -1, -1, 894, 894, 894, 
	894, 64, 67, 68, 65, 66, 73, 74, 
	-1, 69, 70, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 138, 139, 141, 140, 
	142, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 75, -1, -1, -1, 131, 
	-1, -1, -1, 135, 136, 137, 72, 71, 
	130, -1, -1, -1, -1, 124, 125, 126, 
	-1, -1, -1, -1, 989, 122, -1, 144, 
	145, 146, 147, -1, -1, -1, -1, -1, 
	-1, -1, 127, 1133, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	117, 118, 119, -1, 120, -1, -1, -1, 
	885, 894, 894, 894, 894, -1, -1, 894, 
	894, 894, 894, 894, 894, -1, -1, -1, 
	-1, 894, 894, 894, 894, 894, 894, 894, 
	-1, -1, -1, -1, 894, -1, -1, -1, 
	-1, 894, 894, -1, -1, 894, 894, 894, 
	-1, 894, 894, -1, -1, 894, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 894, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 894, 894, -1, 
	-1, -1, -1, -1, -1, -1, -1, 894, 
	894, -1, -1, -1, -1, 894, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 894, 894, 894, -1, 
	-1, -1, -1, -1, 894, 894, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	894, -1, 894, -1, -1, 894, -1, -1, 
	-1, -1, 529, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, 528, 132, 
	998, 998, 998, 998, 998, 998, 998, -1, 
	998, 998, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 998, 998, 998, 998, 998, 
	-1, -1, -1, 143, 134, 128, 123, 989, 
	-1, -1, 998, -1, -1, -1, 998, -1, 
	-1, -1, 998, 998, 998, 998, 998, 998, 
	-1, -1, 630, -1, 998, 998, 998, -1, 
	-1, -1, -1, 998, 998, -1, 998, 998, 
	998, 998, -1, -1, -1, -1, -1, -1, 
	-1, 998, 998, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 998, 
	998, 998, -1, 998, -1, -1, 274, 275, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, -1, 999, 999, 999, 999, 999, 
	-1, 999, -1, 999, 999, 999, 999, -1, 
	999, 894, 999, 999, 999, -1, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, -1, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, -1, 999, -1, -1, -1, 
	-1, 999, 999, 999, 999, 999, -1, -1, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	999, 999, 999, 999, 999, 999, 999, 999, 
	-1, -1, -1, -1, -1, 999, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 998, 998, 998, 998, 998, -1, 998, 
	998, 998, -1, -1, -1, 998, 998, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 998, 998, 998, 998, 998, -1, 
	-1, -1, 999, 999, 999, 999, -1, -1, 
	999, 999, 999, 999, 999, 999, -1, -1, 
	-1, 998, 999, 999, 999, 999, 999, 999, 
	999, -1, -1, -1, -1, 999, -1, -1, 
	-1, -1, 999, 999, -1, -1, 999, 999, 
	999, -1, 999, 999, -1, -1, 999, -1, 
	-1, -1, -1, -1, -1, -1, -1, 999, 
	999, 999, 999, 999, 999, 999, -1, -1, 
	-1, 999, 999, 999, -1, -1, 999, 999, 
	-1, 999, 999, 999, 999, 999, -1, 999, 
	999, 999, -1, -1, -1, 999, 999, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 999, 999, 999, -1, -1, 999, -1, 
	-1, -1, -1, 999, -1, 999, 999, 999, 
	999, -1, 999, 999, 999, 999, 999, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 999, -1, 999, -1, -1, 999, -1, 
	999, 999, -1, -1, -1, 999, -1, 999, 
	-1, 999, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, -1, 1002, 
	1002, 1002, 1002, 1002, -1, 1002, -1, 1002, 
	1002, 1002, 1002, -1, 1002, -1, 1002, 1002, 
	1002, -1, 1002, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, -1, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, -1, 
	1002, -1, -1, -1, -1, 1002, 1002, 1002, 
	1002, 1002, -1, -1, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, 1002, 1002, -1, -1, -1, -1, 
	-1, 1002, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 999, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 529, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	528, 132, -1, -1, -1, -1, 1002, 1002, 
	1002, 1002, -1, -1, 1002, 1002, 1002, 1002, 
	1002, 1002, -1, -1, -1, -1, 1002, 1002, 
	1002, 1002, 1002, 1002, 1002, 143, 134, 128, 
	123, 1002, -1, -1, -1, -1, 1002, 1002, 
	-1, -1, 1002, 1002, 1002, -1, 1002, 1002, 
	-1, -1, 1002, -1, 630, -1, -1, -1, 
	-1, -1, -1, 1002, 1002, 1002, 1002, 1002, 
	1002, 1002, -1, -1, -1, 1002, 1002, 1002, 
	-1, -1, 1002, 1002, -1, 1002, 1002, 1002, 
	1002, 1002, -1, 1002, 1002, 1002, -1, -1, 
	-1, 1002, 1002, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1002, 1002, 1002, 
	-1, -1, 1002, -1, -1, -1, -1, 1002, 
	-1, 1002, 1002, 1002, 1002, -1, 1002, 1002, 
	1002, 1002, 1002, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1002, -1, 1002, 
	-1, -1, 1002, -1, 1002, 1002, -1, -1, 
	-1, 1002, -1, 1002, -1, 1002, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	-1, 1003, 1003, 1003, 1003, 1003, -1, 1003, 
	-1, 1003, 1003, 1003, 1003, -1, 1003, -1, 
	1003, 1003, 1003, -1, 1003, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, -1, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, -1, 1003, -1, -1, -1, -1, 1003, 
	1003, 1003, 1003, 1003, -1, -1, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, 1003, 1003, -1, -1, 
	-1, -1, -1, 1003, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1002, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1003, 1003, 1003, 1003, -1, -1, 1003, 1003, 
	1003, 1003, 1003, 1003, -1, -1, -1, -1, 
	1003, 1003, 1003, 1003, 1003, 1003, 1003, -1, 
	-1, -1, -1, 1003, -1, -1, -1, -1, 
	1003, 1003, -1, -1, 1003, 1003, 1003, -1, 
	1003, 1003, -1, -1, 1003, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1003, 1003, 1003, 
	1003, 1003, 1003, 1003, -1, -1, -1, 1003, 
	1003, 1003, -1, -1, 1003, 1003, -1, 1003, 
	1003, 1003, 1003, 1003, -1, 1003, 1003, 1003, 
	-1, -1, -1, 1003, 1003, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1003, 
	1003, 1003, -1, -1, 1003, -1, -1, -1, 
	-1, 1003, -1, 1003, 1003, 1003, 1003, -1, 
	1003, 1003, 1003, 1003, 1003, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1003, 
	-1, 1003, -1, -1, 1003, -1, 1003, 1003, 
	-1, -1, -1, 1003, -1, 1003, -1, 1003, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, -1, 1000, 1000, 1000, 1000, 1000, 
	-1, 1000, -1, 1000, 1000, 1000, 1000, -1, 
	1000, -1, 1000, 1000, 1000, -1, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, -1, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, -1, 1000, -1, -1, -1, 
	-1, 1000, 1000, 1000, 1000, 1000, -1, -1, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, 1000, 1000, 
	-1, -1, -1, -1, -1, 1000, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1003, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1000, 1000, 1000, 1000, -1, -1, 
	1000, 1000, 1000, 1000, 1000, 1000, -1, -1, 
	-1, -1, 1000, 1000, 1000, 1000, 1000, 1000, 
	1000, -1, -1, -1, -1, 1000, -1, -1, 
	-1, -1, 1000, 1000, -1, -1, 1000, 1000, 
	1000, -1, 1000, 1000, -1, -1, 1000, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1000, 
	1000, 1000, 1000, 1000, 1000, 1000, -1, -1, 
	-1, 1000, 1000, 1000, -1, -1, 1000, 1000, 
	-1, 1000, 1000, 1000, 1000, 1000, -1, 1000, 
	1000, 1000, -1, -1, -1, 1000, 1000, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1000, 1000, 1000, -1, -1, 1000, -1, 
	-1, -1, -1, 1000, -1, 1000, 1000, 1000, 
	1000, -1, 1000, 1000, 1000, 1000, 1000, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1000, -1, 1000, -1, -1, 1000, -1, 
	1000, 1000, -1, -1, -1, 1000, -1, 1000, 
	-1, 1000, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, -1, 1001, 1001, 1001, 
	1001, 1001, -1, 1001, -1, 1001, 1001, 1001, 
	1001, -1, 1001, -1, 1001, 1001, 1001, -1, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, -1, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, -1, 1001, -1, 
	-1, -1, -1, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	1001, 1001, -1, -1, -1, -1, -1, 1001, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1000, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1001, 1001, 1001, 1001, 
	-1, -1, 1001, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, -1, -1, 1001, 1001, 1001, 1001, 
	1001, 1001, 1001, -1, -1, -1, -1, 1001, 
	-1, -1, -1, -1, 1001, 1001, -1, -1, 
	1001, 1001, 1001, -1, 1001, 1001, -1, -1, 
	1001, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1001, 1001, 1001, 1001, 1001, 1001, 1001, 
	-1, -1, -1, 1001, 1001, 1001, -1, -1, 
	1001, 1001, -1, 1001, 1001, 1001, 1001, 1001, 
	-1, 1001, 1001, 1001, -1, -1, -1, 1001, 
	1001, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1001, 1001, 1001, -1, -1, 
	1001, -1, -1, -1, -1, 1001, -1, 1001, 
	1001, 1001, 1001, -1, 1001, 1001, 1001, 1001, 
	1001, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1001, -1, 1001, -1, -1, 
	1001, -1, 1001, 1001, -1, -1, -1, 1001, 
	-1, 1001, -1, 1001, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, -1, 1008, 
	1008, 1008, 1008, 1008, -1, 1008, -1, 1008, 
	1008, 1008, 1008, -1, 1008, -1, 1008, 1008, 
	1008, -1, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, -1, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, -1, 
	1008, -1, -1, -1, -1, 1008, 1008, 1008, 
	1008, 1008, -1, -1, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, 1008, 1008, -1, -1, -1, -1, 
	-1, 1008, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1001, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1008, 1008, 
	1008, 1008, -1, -1, 1008, 1008, 1008, 1008, 
	1008, 1008, -1, -1, -1, -1, 1008, 1008, 
	1008, 1008, 1008, 1008, 1008, -1, -1, -1, 
	-1, 1008, -1, -1, -1, -1, 1008, 1008, 
	-1, -1, 1008, 1008, 1008, -1, 1008, 1008, 
	-1, -1, 1008, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1008, 1008, 1008, 1008, 1008, 
	1008, 1008, -1, -1, -1, 1008, 1008, 1008, 
	-1, -1, 1008, 1008, -1, 1008, 1008, 1008, 
	1008, 1008, -1, 1008, 1008, 1008, -1, -1, 
	-1, 1008, 1008, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1008, 1008, 1008, 
	-1, -1, 1008, -1, -1, -1, -1, 1008, 
	-1, 1008, 1008, 1008, 1008, -1, 1008, 1008, 
	1008, 1008, 1008, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1008, -1, 1008, 
	-1, -1, 1008, -1, 1008, 1008, -1, -1, 
	-1, 1008, -1, 1008, -1, 1008, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	-1, 1050, 1050, 1050, 1050, 1050, -1, 1050, 
	-1, 1050, 1050, 1050, 1050, -1, 1050, -1, 
	1050, 1050, 1050, -1, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, -1, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, -1, 1050, -1, -1, -1, -1, 1050, 
	1050, 1050, 1050, 1050, -1, -1, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, 1050, 1050, -1, -1, 
	-1, -1, -1, 1050, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1008, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1050, 1050, 1050, 1050, -1, -1, 1050, 1050, 
	1050, 1050, 1050, 1050, -1, -1, -1, -1, 
	1050, 1050, 1050, 1050, 1050, 1050, 1050, -1, 
	-1, -1, -1, 1050, -1, -1, -1, -1, 
	1050, 1050, -1, -1, 1050, 1050, 1050, -1, 
	1050, 1050, -1, -1, 1050, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1050, 1050, 1050, 
	1050, 1050, 1050, 1050, -1, -1, -1, 1050, 
	1050, 1050, -1, -1, 1050, 1050, -1, 1050, 
	1050, 1050, 1050, 1050, -1, 1050, 1050, 1050, 
	-1, -1, -1, 1050, 1050, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1050, 
	1050, 1050, -1, -1, 1050, -1, -1, -1, 
	-1, 1050, -1, 1050, 1050, 1050, 1050, -1, 
	1050, 1050, 1050, 1050, 1050, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1050, 
	-1, 1050, -1, -1, 1050, -1, 1050, 1050, 
	-1, -1, -1, 1050, -1, 1050, -1, 1050, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, -1, 1049, 1049, 1049, 1049, 1049, 
	-1, 1049, -1, 1049, 1049, 1049, 1049, -1, 
	1049, -1, 1049, 1049, 1049, -1, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, -1, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, -1, 1049, -1, -1, -1, 
	-1, 1049, 1049, 1049, 1049, 1049, -1, -1, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, 1049, 1049, 
	-1, -1, -1, -1, -1, 1049, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1050, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1049, 1049, 1049, 1049, -1, -1, 
	1049, 1049, 1049, 1049, 1049, 1049, -1, -1, 
	-1, -1, 1049, 1049, 1049, 1049, 1049, 1049, 
	1049, -1, -1, -1, -1, 1049, -1, -1, 
	-1, -1, 1049, 1049, -1, -1, 1049, 1049, 
	1049, -1, 1049, 1049, -1, -1, 1049, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1049, 
	1049, 1049, 1049, 1049, 1049, 1049, -1, -1, 
	-1, 1049, 1049, 1049, -1, -1, 1049, 1049, 
	-1, 1049, 1049, 1049, 1049, 1049, -1, 1049, 
	1049, 1049, -1, -1, -1, 1049, 1049, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1049, 1049, 1049, -1, -1, 1049, -1, 
	-1, -1, -1, 1049, -1, 1049, 1049, 1049, 
	1049, -1, 1049, 1049, 1049, 1049, 1049, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1049, -1, 1049, -1, -1, 1049, -1, 
	1049, 1049, -1, -1, -1, 1049, -1, 1049, 
	-1, 1049, 1036, 1036, 1036, 1036, 1036, 1036, 
	1036, -1, 1036, 1036, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	1036, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, 1036, -1, -1, -1, -1, 1036, 1036, 
	1036, -1, -1, -1, -1, 1150, 1036, 1035, 
	1150, 1150, 1150, 1036, 1141, -1, -1, -1, 
	-1, -1, -1, 1036, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, -1, 1027, 1027, 1027, 1027, 
	1027, -1, 1027, -1, 1027, 1027, 1027, 1027, 
	-1, 1027, 1049, 1027, 1027, 1027, -1, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, -1, 1027, -1, -1, 
	-1, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, 1027, 
	1027, -1, -1, -1, -1, -1, 1027, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, 1150, -1, -1, -1, -1, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 640, 641, -1, -1, 
	639, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1027, 1027, 1027, 1027, -1, 
	-1, 1027, 1027, 1027, 1027, 1027, 1027, 638, 
	-1, -1, -1, 1027, 1027, 1027, 1027, 1027, 
	1027, 1027, -1, -1, -1, -1, 1027, -1, 
	-1, -1, -1, 1027, 1027, -1, -1, 1027, 
	1027, 1027, -1, 1027, 1027, -1, -1, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1027, 1027, 1027, 1027, 1027, 1027, 1027, -1, 
	-1, -1, 1027, 1027, 1027, 1027, -1, 1027, 
	1027, -1, 1027, 1027, 1027, 1027, 1027, -1, 
	1027, 1027, 1027, -1, -1, -1, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1027, 1027, 1027, -1, -1, 1027, 
	-1, -1, -1, -1, 1027, -1, 1027, 1027, 
	1027, 1027, -1, 1027, 1027, 1027, 1027, 1027, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1027, -1, 1027, -1, -1, 1027, 
	-1, 1027, 1027, -1, -1, -1, 1027, -1, 
	1027, -1, 1027, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, -1, 1028, 1028, 
	1028, 1028, 1028, -1, 1028, -1, 1028, 1028, 
	1028, 1028, -1, 1028, -1, 1028, 1028, 1028, 
	-1, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, -1, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, -1, 1028, 
	-1, -1, -1, -1, 1028, 1028, 1028, 1028, 
	1028, -1, -1, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, 1028, 1028, -1, -1, -1, -1, -1, 
	1028, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1027, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1028, 1028, 1028, 
	1028, -1, -1, 1028, 1028, 1028, 1028, 1028, 
	1028, -1, -1, -1, -1, 1028, 1028, 1028, 
	1028, 1028, 1028, 1028, -1, -1, -1, -1, 
	1028, -1, -1, -1, -1, 1028, 1028, -1, 
	-1, 1028, 1028, 1028, -1, 1028, 1028, -1, 
	-1, 1028, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1028, 1028, 1028, 1028, 1028, 1028, 
	1028, -1, -1, -1, 1028, 1028, 1028, 1028, 
	-1, 1028, 1028, -1, 1028, 1028, 1028, 1028, 
	1028, -1, 1028, 1028, 1028, -1, -1, -1, 
	1028, 1028, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, 1028, 1028, -1, 
	-1, 1028, -1, -1, -1, -1, 1028, -1, 
	1028, 1028, 1028, 1028, -1, 1028, 1028, 1028, 
	1028, 1028, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1028, -1, 1028, -1, 
	-1, 1028, -1, 1028, 1028, -1, -1, -1, 
	1028, -1, 1028, -1, 1028, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, -1, 
	1029, 1029, 1029, 1029, 1029, -1, 1029, -1, 
	1029, 1029, 1029, 1029, -1, 1029, -1, 1029, 
	1029, 1029, -1, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	-1, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	-1, 1029, -1, -1, -1, -1, 1029, 1029, 
	1029, 1029, 1029, -1, -1, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, 1029, 1029, -1, -1, -1, 
	-1, -1, 1029, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 640, 641, 
	-1, -1, 639, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1028, -1, -1, 
	-1, 638, -1, -1, -1, -1, -1, 1029, 
	1029, 1029, 1029, -1, -1, 1029, 1029, 1029, 
	1029, 1029, 1029, -1, -1, -1, -1, 1029, 
	1029, 1029, 1029, 1029, 1029, 1029, -1, -1, 
	-1, -1, 1029, -1, -1, -1, -1, 1029, 
	1029, -1, -1, 1029, 1029, 1029, -1, 1029, 
	1029, -1, -1, 1029, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1029, 1029, 1029, 1029, 
	1029, 1029, 1029, -1, -1, -1, 1029, 1029, 
	1029, 1029, -1, 1029, 1029, -1, 1029, 1029, 
	1029, 1029, 1029, -1, 1029, 1029, 1029, -1, 
	-1, -1, 1029, 1029, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1029, 1029, 
	1029, -1, -1, 1029, -1, -1, -1, -1, 
	1029, -1, 1029, 1029, 1029, 1029, -1, 1029, 
	1029, 1029, 1029, 1029, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1029, -1, 
	1029, -1, -1, 1029, -1, 1029, 1029, -1, 
	-1, -1, 1029, -1, 1029, -1, 1029, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, -1, 1030, 1030, 1030, 1030, 1030, -1, 
	1030, -1, 1030, 1030, 1030, 1030, -1, 1030, 
	-1, 1030, 1030, 1030, -1, 1030, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, -1, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, -1, 1030, -1, -1, -1, -1, 
	1030, 1030, 1030, 1030, 1030, -1, -1, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, 1030, 1030, -1, 
	-1, -1, -1, -1, 1030, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1029, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1030, 1030, 1030, 1030, -1, -1, 1030, 
	1030, 1030, 1030, 1030, 1030, -1, -1, -1, 
	-1, 1030, 1030, 1030, 1030, 1030, 1030, 1030, 
	-1, -1, -1, -1, 1030, -1, -1, -1, 
	-1, 1030, 1030, -1, -1, 1030, 1030, 1030, 
	-1, 1030, 1030, -1, -1, 1030, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1030, 1030, 
	1030, 1030, 1030, 1030, 1030, -1, -1, -1, 
	1030, 1030, 1030, 1030, -1, 1030, 1030, -1, 
	1030, 1030, 1030, 1030, 1030, -1, 1030, 1030, 
	1030, -1, -1, -1, 1030, 1030, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1030, 1030, 1030, -1, -1, 1030, -1, -1, 
	-1, -1, 1030, -1, 1030, 1030, 1030, 1030, 
	-1, 1030, 1030, 1030, 1030, 1030, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1030, -1, 1030, -1, -1, 1030, -1, 1030, 
	1030, -1, -1, -1, 1030, -1, 1030, -1, 
	1030, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
	-1, 1037, 1037, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1037, 1037, 1037, 1037, 
	1037, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1037, -1, -1, -1, 1037, 
	-1, -1, -1, 1037, 1037, 1037, 1037, 1037, 
	1037, -1, -1, -1, -1, 1037, 1037, 1037, 
	-1, -1, -1, -1, 1160, 1037, -1, 1037, 
	1037, 1037, 1037, -1, -1, -1, -1, -1, 
	-1, -1, 1037, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1037, 1037, 1037, -1, 1037, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	983, 983, 983, 983, 983, 983, 983, 983, 
	-1, 983, -1, 983, 983, 983, 983, 983, 
	983, 1030, 983, 983, 983, -1, -1, 983, 
	983, 983, 983, 983, 983, 983, 983, -1, 
	983, 983, 983, 983, -1, -1, -1, 983, 
	983, 983, 983, 983, -1, -1, 983, 983, 
	983, 983, -1, -1, -1, 983, -1, -1, 
	-1, 983, 983, -1, 983, -1, -1, 983, 
	-1, -1, 983, -1, 983, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 652, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1037, 1037, 1037, 1037, 1037, -1, 
	1037, 1037, 1151, -1, -1, -1, -1, 1037, 
	-1, -1, -1, -1, -1, -1, 983, -1, 
	-1, -1, -1, 653, 654, 655, -1, -1, 
	983, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1037, 1037, 1037, 1151, 1151, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 983, 983, 983, 983, -1, -1, 
	983, 983, 983, 983, 983, 983, -1, -1, 
	-1, -1, 983, 983, 983, 983, 983, 983, 
	983, -1, -1, 983, -1, 983, -1, -1, 
	-1, -1, 983, 983, -1, 983, 983, 983, 
	983, -1, 983, 983, -1, -1, 983, -1, 
	-1, -1, -1, -1, 983, -1, 983, 983, 
	983, 983, 983, 983, 983, 983, -1, -1, 
	-1, -1, 983, 983, -1, 983, 983, 983, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, 983, -1, -1, 983, -1, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	983, 983, 983, -1, -1, 983, 983, 983, 
	-1, -1, -1, -1, -1, 983, 983, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 983, -1, 983, -1, -1, 983, 983, 
	983, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	984, -1, 984, -1, 984, 984, 984, 984, 
	984, 984, -1, 984, 984, 984, -1, -1, 
	984, 984, 984, 984, 984, 984, 984, 984, 
	-1, 984, 984, 984, 984, -1, -1, -1, 
	984, 984, 984, 984, 984, -1, -1, 984, 
	984, 984, 984, -1, -1, -1, 984, -1, 
	-1, -1, 984, 984, -1, 984, -1, -1, 
	984, -1, -1, 984, -1, 984, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 984, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 984, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 983, 984, 984, 984, 984, -1, 
	-1, 984, 984, 984, 984, 984, 984, -1, 
	-1, -1, -1, 984, 984, 984, 984, 984, 
	984, 984, -1, -1, 984, -1, 984, -1, 
	-1, -1, -1, 984, 984, -1, 984, 984, 
	984, 984, -1, 984, 984, -1, -1, 984, 
	-1, -1, -1, -1, -1, 984, -1, 984, 
	984, 984, 984, 984, 984, 984, 984, -1, 
	-1, -1, -1, 984, 984, -1, 984, 984, 
	984, -1, -1, -1, -1, -1, -1, -1, 
	-1, 984, 984, -1, -1, 984, -1, 984, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 984, 984, 984, -1, -1, 984, 984, 
	984, -1, -1, -1, -1, -1, 984, 984, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 984, -1, 984, -1, -1, 984, 
	984, 984, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	986, 986, -1, 986, -1, 986, 986, 986, 
	986, 986, 986, -1, 986, 986, 986, -1, 
	-1, 986, 986, 986, 986, 986, 986, 986, 
	986, -1, 986, 986, 986, 986, -1, -1, 
	-1, 986, 986, 986, 986, 986, -1, -1, 
	986, 986, 986, 986, -1, -1, -1, 986, 
	-1, -1, -1, 986, 986, -1, 986, -1, 
	-1, 986, -1, -1, 986, -1, 986, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 652, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	986, -1, -1, -1, -1, 653, 654, 655, 
	-1, -1, 986, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 984, 986, 986, 986, 986, 
	-1, -1, 986, 986, 986, 986, 986, 986, 
	-1, -1, -1, -1, 986, 986, 986, 986, 
	986, 986, 986, -1, -1, 986, -1, 986, 
	-1, -1, -1, -1, 986, 986, -1, 986, 
	986, 986, 986, -1, 986, 986, -1, -1, 
	986, -1, -1, -1, -1, -1, 986, -1, 
	986, 986, 986, 986, 986, 986, 986, 986, 
	-1, -1, -1, -1, 986, 986, -1, 986, 
	986, 986, -1, -1, -1, -1, -1, -1, 
	-1, -1, 986, 986, -1, -1, 986, -1, 
	986, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 986, 986, 986, -1, -1, 986, 
	986, 986, -1, -1, -1, -1, -1, 986, 
	986, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 986, -1, 986, -1, -1, 
	986, 986, 986, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, -1, 976, 976, 
	976, 976, 976, -1, 976, -1, 976, 976, 
	976, 976, -1, 976, -1, 976, 976, 976, 
	-1, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, -1, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, -1, 976, 
	-1, -1, -1, -1, 976, 976, 976, 976, 
	976, -1, -1, 976, 976, 976, 976, 976, 
	976, 976, 976, 976, 976, 976, 976, 976, 
	976, 976, 976, -1, -1, -1, -1, -1, 
	976, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 986, 976, 976, 976, 
	976, -1, -1, 976, 976, 976, 976, 976, 
	976, -1, -1, -1, -1, 976, 976, 976, 
	976, 976, 976, 976, -1, -1, -1, -1, 
	976, -1, -1, -1, -1, 976, 976, -1, 
	-1, 976, 976, 976, -1, 976, 976, -1, 
	-1, 976, -1, -1, -1, -1, -1, -1, 
	-1, -1, 976, 976, 976, 976, 976, 976, 
	976, -1, -1, -1, 976, 976, 976, -1, 
	-1, 976, 976, -1, 976, 976, 976, 976, 
	976, -1, 976, 976, 976, -1, -1, -1, 
	976, 976, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, 976, 976, -1, 
	-1, 976, -1, -1, -1, -1, 976, -1, 
	976, 976, 976, 976, -1, 976, 976, 976, 
	976, 976, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 976, -1, 976, -1, 
	-1, 976, -1, 976, 976, -1, -1, -1, 
	976, -1, 976, -1, 976, 1067, 1067, 1067, 
	1067, 1067, 1067, 1067, -1, 1067, 1067, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1067, 1067, 1067, 1067, 1067, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1067, 
	-1, -1, -1, 1067, -1, -1, -1, 1067, 
	1067, 1067, 1067, 1067, 1067, -1, -1, -1, 
	-1, 1067, 1067, 1067, -1, -1, -1, -1, 
	1067, 1067, -1, 1067, 1067, 1067, 1067, 1067, 
	-1, -1, -1, -1, -1, -1, 1067, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1067, 1067, 1067, 1067, 
	1067, -1, -1, 274, 275, -1, -1, -1, 
	-1, -1, 1067, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	930, 930, 930, 930, 930, 930, 930, 930, 
	-1, 930, 930, 930, 930, 930, -1, 930, 
	-1, 930, 930, 930, 930, 976, 930, -1, 
	930, 930, 930, -1, -1, 930, 930, 930, 
	930, 930, 930, 930, 930, -1, 930, 930, 
	930, -1, -1, -1, -1, 930, 930, 930, 
	930, 930, -1, -1, 930, 930, 930, 930, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 930, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1067, 1067, 
	1067, 1067, 1067, -1, 1067, 1067, 1067, -1, 
	-1, -1, -1, 1067, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1067, 1067, 
	1067, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1067, -1, 1067, 
	1067, 1067, 1067, 1067, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	930, 930, 930, 930, -1, -1, 930, 930, 
	-1, 930, 930, 930, -1, -1, 1067, -1, 
	930, 930, 930, -1, 930, 930, 930, -1, 
	-1, -1, -1, 930, -1, -1, -1, -1, 
	930, -1, -1, -1, 930, 930, 930, -1, 
	930, 930, -1, -1, 930, -1, -1, -1, 
	-1, -1, -1, -1, -1, 930, 930, 930, 
	930, 930, 930, 930, -1, -1, -1, -1, 
	930, 930, -1, -1, 930, 930, -1, -1, 
	-1, -1, -1, -1, -1, -1, 930, 930, 
	-1, -1, -1, -1, 930, -1, -1, -1, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, 930, 930, 930, -1, -1, 
	-1, -1, -1, 930, 930, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, 930, 
	-1, 37, -1, -1, -1, -1, 930, 72, 
	71, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 59, -1, -1, 
	82, 84, 86, 88, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 276, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	274, 275, -1, -1, -1, -1, -1, -1, 
	-1, 921, 921, 921, 921, 921, 921, 921, 
	921, 921, 921, 921, 921, 921, 921, 921, 
	921, 921, 921, 921, 921, 921, 921, 921, 
	921, 921, 921, -1, 921, 921, 921, 921, 
	921, -1, 921, -1, 921, 921, 921, 921, 
	-1, 921, -1, 921, 921, 921, -1, -1, 
	921, 921, 921, 921, 921, 921, 921, 921, 
	-1, 921, 921, 921, -1, -1, -1, -1, 
	921, 921, 921, 921, 921, -1, -1, 921, 
	921, 921, 921, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 921, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	930, -1, -1, -1, 277, -1, -1, -1, 
	-1, -1, -1, 662, -1, -1, -1, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, 921, 921, 921, 921, 39, 
	989, 921, 921, -1, 921, 921, 921, -1, 
	-1, -1, -1, 921, 921, 921, -1, 921, 
	921, 921, -1, -1, -1, -1, 921, -1, 
	-1, -1, -1, 921, -1, -1, -1, 921, 
	921, 921, -1, 921, 921, -1, -1, 921, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	921, 921, 921, 921, 921, 921, 921, -1, 
	-1, -1, -1, 921, 921, -1, -1, 921, 
	921, -1, -1, -1, -1, -1, -1, -1, 
	-1, 921, 921, -1, -1, -1, -1, 921, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 921, 921, 
	921, -1, -1, -1, -1, -1, 921, 921, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 921, -1, -1, -1, -1, -1, 
	-1, 921, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, 918, 918, 918, 918, 
	918, 918, 918, 918, -1, 918, 918, 918, 
	918, 918, -1, 918, -1, 918, 918, 918, 
	918, -1, 918, -1, 918, 918, 918, -1, 
	-1, 918, 918, 918, 918, 918, 918, 918, 
	918, -1, 918, 918, 918, -1, -1, -1, 
	-1, 918, 918, 918, 918, 918, -1, -1, 
	918, 918, 918, 918, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 918, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 921, 918, 918, 918, 918, 
	-1, -1, 918, 918, -1, 918, 918, 918, 
	-1, -1, -1, -1, 918, 918, 918, -1, 
	918, 918, 918, -1, -1, -1, -1, 918, 
	-1, -1, -1, -1, 918, -1, -1, -1, 
	918, 918, 918, -1, 918, 918, -1, -1, 
	918, -1, -1, -1, -1, -1, -1, -1, 
	-1, 918, 918, 918, 918, 918, 918, 918, 
	-1, -1, -1, -1, 918, 918, -1, -1, 
	918, 918, -1, -1, -1, -1, -1, -1, 
	-1, -1, 918, 918, -1, -1, -1, -1, 
	918, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 918, 
	918, 918, -1, -1, -1, -1, -1, 918, 
	918, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 918, -1, -1, -1, -1, 
	-1, -1, 918, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, -1, 968, 968, 
	968, 968, 968, -1, 968, -1, 968, 968, 
	968, 968, -1, 968, -1, 968, 968, 968, 
	-1, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, -1, 968, 
	-1, -1, -1, -1, 968, 968, 968, 968, 
	968, -1, -1, 968, 968, 968, 968, 968, 
	968, 968, 968, 968, 968, 968, 968, 968, 
	968, 968, 968, -1, -1, -1, -1, -1, 
	968, -1, -1, -1, -1, -1, 277, -1, 
	-1, -1, -1, -1, -1, 662, -1, -1, 
	-1, -1, 34, 33, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 62, -1, -1, 
	-1, -1, 44, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 80, 76, 45, 918, 968, 968, 968, 
	968, 39, -1, 968, 968, 968, 968, 968, 
	968, -1, -1, -1, -1, 968, 968, 968, 
	968, 968, 968, 968, -1, -1, -1, -1, 
	968, -1, -1, -1, -1, 968, 968, -1, 
	-1, 968, 968, 968, -1, 968, 968, -1, 
	-1, 968, -1, -1, -1, -1, -1, -1, 
	-1, -1, 968, 968, 968, 968, 968, 968, 
	968, -1, -1, -1, 968, 968, 968, -1, 
	-1, 968, 968, -1, 968, 968, 968, 968, 
	968, -1, 968, 968, 968, -1, -1, -1, 
	968, 968, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 968, 968, 968, -1, 
	-1, 968, -1, -1, -1, -1, 968, -1, 
	968, 968, 968, 968, -1, 968, 968, 968, 
	968, 968, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 968, -1, 968, -1, 
	-1, 968, -1, 968, 968, -1, -1, -1, 
	968, -1, 968, -1, 968, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, 762, 
	762, 762, 762, 762, 762, 762, 762, -1, 
	762, 762, 762, 762, 762, -1, 762, -1, 
	762, 762, 762, 762, -1, 762, -1, 762, 
	762, 762, -1, -1, 762, 762, 762, 762, 
	762, 762, 762, 762, -1, 762, 762, 762, 
	-1, -1, -1, -1, 762, 762, 762, 762, 
	762, -1, -1, 762, 762, 762, 762, -1, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, 762, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, -1, 
	-1, 37, -1, -1, -1, -1, -1, 72, 
	71, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 59, -1, -1, 
	82, 84, 86, 88, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 276, -1, -1, 
	-1, -1, -1, -1, -1, 968, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 762, 
	762, 762, 762, -1, -1, 762, 762, -1, 
	762, 762, 762, -1, -1, -1, -1, 762, 
	762, 762, -1, 762, 762, 762, -1, -1, 
	-1, -1, 762, -1, -1, -1, -1, 762, 
	-1, -1, -1, 762, 762, 762, -1, 762, 
	762, -1, -1, 762, -1, -1, -1, -1, 
	-1, -1, -1, -1, 762, 762, 762, 762, 
	762, 762, 762, -1, -1, -1, -1, 762, 
	762, -1, -1, 762, 762, -1, -1, -1, 
	-1, -1, -1, -1, -1, 762, 762, -1, 
	-1, -1, -1, 762, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 762, 762, 762, -1, -1, -1, 
	-1, -1, 762, 762, -1, -1, -1, -1, 
	-1, -1, -1, -1, 277, -1, 762, -1, 
	-1, -1, -1, 674, -1, 762, -1, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	1036, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, 1036, 1036, 1036, 1036, 1036, 39, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, -1, -1, -1, 1036, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, 1036, 1036, 1036, -1, -1, 
	-1, -1, 410, 1036, 1012, 404, 406, 408, 
	1036, 1159, -1, -1, -1, -1, -1, -1, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, 761, 
	761, 761, 761, 761, 761, 761, 761, -1, 
	761, 761, 761, 761, 761, -1, 761, 762, 
	761, 761, 761, 761, -1, 761, -1, 761, 
	761, 761, -1, -1, 761, 761, 761, 761, 
	761, 761, 761, 761, -1, 761, 761, 761, 
	-1, -1, -1, -1, 761, 761, 761, 761, 
	761, -1, -1, 761, 761, 761, 761, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 761, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	1152, -1, -1, -1, -1, 1036, 402, -1, 
	-1, -1, 1012, 401, -1, -1, -1, -1, 
	1036, 176, 177, -1, -1, -1, -1, -1, 
	-1, -1, 175, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, 761, 
	761, 761, 761, -1, -1, 761, 761, -1, 
	761, 761, 761, -1, -1, -1, -1, 761, 
	761, 761, 400, 761, 761, 761, 174, -1, 
	-1, -1, 761, -1, -1, -1, -1, 761, 
	-1, -1, -1, 761, 761, 761, -1, 761, 
	761, -1, -1, 761, -1, -1, -1, -1, 
	-1, -1, -1, -1, 761, 761, 761, 761, 
	761, 761, 761, -1, -1, -1, -1, 761, 
	761, -1, -1, 761, 761, -1, -1, -1, 
	-1, -1, -1, -1, -1, 761, 761, -1, 
	-1, -1, -1, 761, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 761, 761, 761, -1, -1, -1, 
	-1, -1, 761, 761, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 761, -1, 
	-1, -1, -1, -1, -1, 761, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, 914, 914, 914, 914, 
	914, 914, 914, 914, -1, 914, 914, 914, 
	914, 914, -1, 914, -1, 914, 914, 914, 
	914, -1, 914, -1, 914, 914, 914, -1, 
	-1, 914, 914, 914, 914, 914, 914, 914, 
	914, -1, 914, 914, 914, -1, -1, -1, 
	-1, 914, 914, 914, 914, 914, -1, -1, 
	914, 914, 914, 914, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 914, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 277, -1, 
	-1, -1, -1, -1, -1, 674, -1, 761, 
	-1, -1, 34, 33, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 62, -1, -1, 
	-1, -1, 44, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 80, 76, 45, 914, 914, 914, 914, 
	-1, 39, 914, 914, -1, 914, 914, 914, 
	-1, -1, -1, -1, 914, 914, 914, -1, 
	914, 914, 914, -1, -1, -1, -1, 914, 
	-1, -1, -1, -1, 914, -1, -1, -1, 
	914, 914, 914, -1, 914, 914, -1, -1, 
	914, -1, -1, -1, -1, -1, -1, -1, 
	-1, 914, 914, 914, 914, 914, 914, 914, 
	-1, -1, -1, -1, 914, 914, -1, -1, 
	914, 914, -1, -1, -1, -1, -1, -1, 
	-1, -1, 914, 914, -1, -1, -1, -1, 
	914, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 914, 
	914, 914, -1, -1, -1, -1, -1, 914, 
	914, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 914, -1, -1, -1, -1, 
	-1, -1, 914, 864, 864, 864, 864, 864, 
	864, 864, 864, 864, 864, 864, 864, 864, 
	864, 864, -1, 864, 864, 864, 864, 864, 
	864, 864, 864, -1, -1, -1, 864, 864, 
	864, 864, 864, -1, 864, -1, 864, 864, 
	864, 864, -1, 864, -1, 864, 864, 864, 
	-1, -1, 864, -1, -1, 864, 864, 864, 
	864, 864, -1, 864, 864, 864, 864, -1, 
	-1, -1, 864, 864, 864, 864, 864, -1, 
	864, 864, 864, 864, 864, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 864, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	402, -1, -1, -1, -1, 401, -1, -1, 
	-1, -1, -1, 176, 177, -1, -1, -1, 
	-1, -1, -1, -1, 175, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 400, -1, -1, -1, 
	174, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 914, 864, 864, 864, 
	864, -1, -1, 864, 864, 864, 864, 864, 
	864, -1, -1, -1, -1, 864, 864, 864, 
	864, 864, 864, 864, -1, 864, 864, -1, 
	864, -1, -1, -1, -1, 864, 864, -1, 
	-1, 864, 864, 864, -1, 864, 864, 864, 
	-1, 864, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 864, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 864, 864, -1, -1, -1, -1, -1, 
	-1, -1, -1, 864, 864, -1, -1, -1, 
	-1, 864, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	864, 864, 864, -1, -1, -1, -1, -1, 
	864, 864, 1051, 1051, 1051, 1051, 1051, 1051, 
	1051, -1, 1051, 1051, 864, -1, 864, -1, 
	-1, 864, -1, -1, -1, 1051, 1051, 1051, 
	1051, 1051, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1051, -1, -1, -1, 
	1051, -1, -1, -1, 1051, 1051, 1051, 1051, 
	1051, 1051, -1, -1, -1, -1, 1051, 1051, 
	1051, -1, -1, -1, -1, 1051, 1051, -1, 
	1051, 1051, 1051, 1051, 1051, -1, -1, -1, 
	-1, -1, -1, 1051, 1052, 1052, 1052, 1052, 
	1052, 1052, 1052, -1, 1052, 1052, -1, -1, 
	-1, 1051, 1051, 1051, 1051, 1051, -1, 1052, 
	1052, 1052, 1052, 1052, -1, -1, -1, 1051, 
	-1, -1, -1, -1, -1, -1, 1052, -1, 
	-1, -1, 1052, -1, -1, -1, 1052, 1052, 
	1052, 1052, 1052, 1052, -1, -1, -1, -1, 
	1052, 1052, 1052, -1, -1, -1, -1, 1052, 
	1052, -1, 1052, 1052, 1052, 1052, 1052, -1, 
	-1, -1, -1, -1, -1, 1052, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1052, 1052, 1052, 1052, 1052, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1052, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 864, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1051, 1051, 1051, 1051, 1051, 
	-1, 1051, 1051, 1051, -1, -1, -1, -1, 
	1051, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1051, 1051, 1051, -1, -1, 
	-1, -1, -1, -1, -1, 1051, -1, -1, 
	-1, -1, -1, -1, 1051, 1051, 1051, 1051, 
	1051, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1051, -1, -1, -1, 1052, 1052, 1052, 
	1052, 1052, -1, 1052, 1052, 1052, -1, -1, 
	-1, -1, 1052, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1052, 1052, 1052, 
	-1, -1, -1, -1, -1, -1, -1, 1052, 
	-1, -1, -1, -1, -1, -1, 1052, 1052, 
	1052, 1052, 1052, 1053, 1053, 1053, 1053, 1053, 
	1053, 1053, -1, 1053, 1053, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1053, 1053, 
	1053, 1053, 1053, 1052, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1053, -1, -1, 
	-1, 1053, -1, -1, -1, 1053, 1053, 1053, 
	1053, 1053, 1053, -1, -1, -1, -1, 1053, 
	1053, 1053, -1, -1, -1, -1, 1053, 1053, 
	-1, 1053, 1053, 1053, 1053, 1053, -1, -1, 
	-1, -1, -1, -1, 1053, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1053, 1053, 1053, 1053, 1053, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1053, -1, -1, -1, -1, -1, -1, -1, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, 940, 940, 940, 940, 940, 940, 
	940, 940, -1, 940, 940, 940, 940, 940, 
	-1, 940, -1, 940, 940, 940, 940, -1, 
	940, -1, 940, 940, 940, -1, -1, 940, 
	940, 940, 940, 940, 940, 940, 940, -1, 
	940, 940, 940, -1, -1, -1, -1, 940, 
	940, 940, 940, 940, -1, -1, 940, 940, 
	940, 940, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 940, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1053, 1053, 1053, 1053, 
	1053, -1, 1053, 1053, 1053, -1, -1, -1, 
	-1, 1053, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1053, 1053, 1053, -1, 
	-1, -1, -1, -1, -1, -1, 1053, -1, 
	-1, -1, -1, -1, -1, 1053, 1053, 1053, 
	1053, 1053, 940, 940, 940, 940, -1, -1, 
	940, 940, -1, 940, 940, 940, -1, -1, 
	-1, -1, 940, 940, 940, -1, 940, 940, 
	940, -1, 1053, -1, -1, 940, -1, -1, 
	-1, -1, 940, -1, -1, -1, 940, 940, 
	940, -1, 940, 940, -1, -1, 940, -1, 
	-1, -1, -1, -1, -1, -1, -1, 940, 
	940, 940, 940, 940, 940, 940, -1, -1, 
	-1, -1, 940, 940, -1, -1, 940, 940, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	940, 940, -1, -1, -1, -1, 940, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 940, 940, 940, 
	-1, -1, -1, -1, -1, 940, 940, 1036, 
	1036, 1036, 1036, 1036, 1036, 1036, -1, 1036, 
	1036, 940, -1, -1, -1, -1, -1, -1, 
	940, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, -1, -1, -1, 1036, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, 1036, 1036, 1036, -1, -1, 
	-1, -1, 1150, 1036, 1035, 1150, 1150, 1150, 
	1036, -1, -1, -1, -1, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, 1036, 1036, 1036, 
	-1, 1036, 1036, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, -1, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, 1141, -1, -1, -1, 
	-1, -1, -1, 1036, -1, -1, -1, 1036, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	1036, -1, -1, -1, -1, 1036, 1036, 1036, 
	-1, -1, -1, -1, 1150, 1036, 1035, 1150, 
	1150, 1150, 1036, 1141, -1, -1, -1, -1, 
	-1, -1, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1141, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 940, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, 1036, 1036, 1036, 1036, -1, 1036, 1036, 
	1150, -1, -1, -1, -1, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1036, 640, 641, -1, -1, 639, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1036, 1036, 1036, 1036, 1036, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 686, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	1036, 1036, 1150, -1, -1, -1, -1, 1036, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 640, 641, -1, -1, 639, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, -1, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, -1, -1, -1, 696, -1, 
	-1, -1, -1, -1, -1, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, -1, 
	-1, 37, -1, -1, -1, -1, -1, 72, 
	71, 64, 67, 68, 65, 66, 73, 74, 
	-1, 69, 70, -1, -1, 59, -1, -1, 
	82, 84, 86, 88, 138, 139, 141, 140, 
	142, -1, -1, -1, -1, 276, -1, -1, 
	-1, -1, -1, 75, -1, -1, -1, 131, 
	-1, -1, -1, 135, 136, 137, 72, 71, 
	130, -1, -1, -1, -1, 124, 125, 126, 
	-1, -1, -1, -1, 989, 122, -1, 144, 
	145, 146, 147, -1, -1, -1, -1, -1, 
	-1, -1, 127, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	117, 118, 119, -1, 120, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 277, -1, -1, -1, 
	-1, -1, -1, 702, -1, -1, -1, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, -1, -1, -1, -1, 39, 
	989, -1, 705, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, 989, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, -1, 
	977, 977, 977, 977, 977, -1, 977, -1, 
	977, 977, 977, 977, -1, 977, -1, 977, 
	977, 977, -1, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	-1, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	-1, 977, -1, -1, -1, -1, 977, 977, 
	977, 977, 977, -1, -1, 977, 977, 977, 
	977, 977, 977, 977, 977, 977, 977, 977, 
	977, 977, 977, 977, 977, -1, -1, -1, 
	-1, -1, 977, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 640, 641, -1, -1, 639, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 977, 
	977, 977, 977, -1, -1, 977, 977, 977, 
	977, 977, 977, -1, -1, -1, 686, 977, 
	977, 977, 977, 977, 977, 977, -1, -1, 
	-1, -1, 977, -1, -1, -1, -1, 977, 
	977, -1, -1, 977, 977, 977, -1, 977, 
	977, -1, -1, 977, -1, 640, 641, -1, 
	-1, 639, -1, -1, 977, 977, 977, 977, 
	977, 977, 977, -1, -1, -1, 977, 977, 
	977, -1, -1, 977, 977, -1, 977, 977, 
	977, 977, 977, -1, 977, 977, 977, -1, 
	-1, -1, 977, 977, -1, -1, -1, -1, 
	696, -1, -1, -1, -1, -1, 977, 977, 
	977, -1, -1, 977, -1, -1, -1, -1, 
	977, -1, 977, 977, 977, 977, -1, 977, 
	977, 977, 977, 977, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 977, -1, 
	977, -1, -1, 977, -1, 977, 977, -1, 
	-1, -1, 977, -1, 977, -1, 977, -1, 
	-1, -1, -1, 1064, 1064, 1064, 1064, 1064, 
	1064, 1064, -1, 1064, 1064, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1064, 1064, 
	1064, 1064, 1064, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1064, -1, -1, 
	-1, 1064, -1, -1, -1, 1064, 1064, 1064, 
	1064, 1064, 1064, -1, -1, -1, -1, 1064, 
	1064, 1064, -1, -1, -1, -1, 1064, 1064, 
	-1, 1064, 1064, 1064, 1064, 1064, -1, -1, 
	-1, -1, -1, -1, 1064, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1064, 1064, 1064, 1064, 1064, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1064, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 277, -1, 
	-1, -1, -1, -1, -1, 702, -1, -1, 
	-1, -1, 34, 33, -1, -1, -1, 977, 
	-1, -1, -1, -1, -1, 62, -1, -1, 
	-1, -1, 44, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 80, 76, 45, -1, -1, -1, -1, 
	-1, 39, -1, -1, 705, 113, 114, 115, 
	116, -1, 121, 129, 133, -1, -1, -1, 
	-1, 132, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1064, 1064, 1064, 1064, 
	1064, -1, 1064, 1064, 1064, 143, 134, 128, 
	123, 1064, 1065, 1065, 1065, 1065, 1065, 1065, 
	1065, -1, 1065, 1065, 1064, 1064, 1064, -1, 
	-1, -1, -1, -1, -1, 1065, 1065, 1065, 
	1065, 1065, -1, 1064, -1, 1064, 1064, 1064, 
	1064, 1064, -1, -1, 1065, -1, -1, -1, 
	1065, -1, -1, -1, 1065, 1065, 1065, 1065, 
	1065, 1065, -1, -1, -1, -1, 1065, 1065, 
	1065, -1, -1, -1, 1064, 1065, 1065, -1, 
	1065, 1065, 1065, 1065, 1065, -1, -1, -1, 
	-1, -1, -1, 1065, 1066, 1066, 1066, 1066, 
	1066, 1066, 1066, -1, 1066, 1066, -1, -1, 
	-1, 1065, 1065, 1065, 1065, 1065, -1, 1066, 
	1066, 1066, 1066, 1066, -1, -1, -1, 1065, 
	-1, -1, -1, -1, -1, -1, 1066, -1, 
	-1, -1, 1066, -1, -1, -1, 1066, 1066, 
	1066, 1066, 1066, 1066, -1, -1, -1, -1, 
	1066, 1066, 1066, -1, -1, -1, -1, 1066, 
	1066, -1, 1066, 1066, 1066, 1066, 1066, -1, 
	-1, -1, -1, -1, -1, 1066, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1066, 1066, 1066, 1066, 1066, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1066, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1065, 1065, 1065, 1065, 1065, 
	-1, 1065, 1065, 1065, -1, -1, -1, -1, 
	1065, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1065, 1065, 1065, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1065, -1, 1065, 1065, 1065, 1065, 
	1065, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1065, -1, 1066, 1066, 1066, 
	1066, 1066, -1, 1066, 1066, 1066, -1, -1, 
	-1, -1, 1066, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1066, 1066, 1066, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1066, -1, 1066, 1066, 
	1066, 1066, 1066, 920, 920, 920, 920, 920, 
	920, 920, 920, 920, 920, 920, 920, 920, 
	920, 920, 920, 920, 920, 920, 920, 920, 
	920, 920, 920, 920, 920, 1066, 920, 920, 
	920, 920, 920, -1, 920, -1, 920, 920, 
	920, 920, -1, 920, -1, 920, 920, 920, 
	-1, -1, 920, 920, 920, 920, 920, 920, 
	920, 920, -1, 920, 920, 920, -1, -1, 
	-1, -1, 920, 920, 920, 920, 920, -1, 
	-1, 920, 920, 920, 920, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 920, 
	55, 56, 64, 67, 68, 65, 66, 73, 
	74, 1131, 69, 70, -1, -1, 35, 36, 
	40, 38, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 41, 42, 
	43, -1, -1, -1, 75, -1, -1, -1, 
	-1, 37, -1, -1, -1, -1, -1, 72, 
	71, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 59, -1, -1, 
	82, 84, 86, 88, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1131, -1, 
	-1, -1, -1, -1, -1, 920, 920, 920, 
	920, -1, -1, 920, 920, -1, 920, 920, 
	920, -1, -1, -1, -1, 920, 920, 920, 
	-1, 920, 920, 920, -1, -1, -1, -1, 
	920, -1, -1, -1, -1, 920, -1, -1, 
	-1, 920, 920, 920, -1, 920, 920, -1, 
	-1, 920, -1, -1, -1, -1, -1, -1, 
	-1, -1, 920, 920, 920, 920, 920, 920, 
	920, -1, -1, -1, -1, 920, 920, -1, 
	-1, 920, 920, -1, -1, -1, -1, -1, 
	-1, -1, -1, 920, 920, -1, -1, -1, 
	-1, 920, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	920, 920, 920, -1, -1, -1, -1, -1, 
	920, 920, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 920, -1, -1, -1, 
	-1, -1, -1, 920, 299, -1, -1, -1, 
	-1, -1, -1, -1, 1131, 1131, 709, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, -1, -1, -1, -1, 39, 
	989, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 298, -1, -1, -1, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	-1, 1010, 1010, 1010, 1010, 1010, -1, 1010, 
	-1, 1010, 1010, 1010, 1010, -1, 1010, -1, 
	1010, 1010, 1010, -1, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, -1, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, -1, 1010, -1, -1, -1, -1, 1010, 
	1010, 1010, 1010, 1010, -1, 920, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, 1010, 1010, -1, -1, 
	-1, -1, -1, 1010, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1010, 1010, 1010, 1010, -1, -1, 1010, 1010, 
	1010, 1010, 1010, 1010, -1, -1, -1, -1, 
	1010, 1010, 1010, 1010, 1010, 1010, 1010, -1, 
	-1, -1, -1, 1010, -1, -1, -1, -1, 
	1010, 1010, -1, -1, 1010, 1010, 1010, -1, 
	1010, 1010, -1, -1, 1010, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1010, 1010, 1010, 
	1010, 1010, 1010, 1010, -1, -1, -1, 1010, 
	1010, 1010, -1, -1, 1010, 1010, -1, 1010, 
	1010, 1010, 1010, 1010, -1, 1010, 1010, 1010, 
	-1, -1, -1, 1010, 1010, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1010, 
	1010, 1010, -1, -1, 1010, -1, -1, -1, 
	-1, 1010, -1, 1010, 1010, 1010, 1010, -1, 
	1010, 1010, 1010, 1010, 1010, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1010, 
	-1, 1010, -1, -1, 1010, -1, 1010, 1010, 
	-1, -1, -1, 1010, -1, 1010, -1, 1010, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1036, 1036, 1036, 1036, 1036, 
	1036, 1036, -1, 1036, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1036, -1, -1, 
	-1, 1036, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, 1036, -1, -1, -1, -1, 1036, 
	1036, 1036, -1, -1, -1, -1, 410, 1036, 
	1012, 404, 406, 408, 1036, -1, -1, -1, 
	-1, -1, -1, -1, 1036, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1036, 1036, 1036, 1036, 1036, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1159, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1010, -1, -1, -1, 927, 927, 927, 927, 
	927, 927, 927, 927, 927, -1, 927, 927, 
	-1, -1, 927, 927, 927, 927, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 927, 927, 927, -1, -1, -1, 
	927, -1, -1, -1, -1, 927, -1, -1, 
	-1, -1, -1, 927, 927, -1, 299, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	709, 927, 34, 33, 927, 927, 927, 927, 
	-1, -1, -1, -1, -1, 62, -1, -1, 
	-1, 927, 44, -1, 1036, 1036, 1036, 1036, 
	1036, -1, 1036, 1036, 1152, -1, -1, -1, 
	-1, 1036, 402, -1, -1, -1, 1012, 401, 
	-1, 80, 76, 45, 1036, 176, 177, -1, 
	-1, 39, -1, -1, -1, -1, 175, -1, 
	-1, -1, -1, -1, -1, 1036, 1036, 1036, 
	1036, 1036, -1, -1, 298, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 542, -1, 
	-1, -1, 318, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, 759, 759, 759, 
	759, 759, 759, 759, 759, -1, 759, 759, 
	759, 759, 759, -1, 759, -1, 759, 759, 
	759, 759, -1, 759, -1, 759, 759, 759, 
	-1, -1, 759, 759, 759, 759, 759, 759, 
	759, 759, -1, 759, 759, 759, -1, -1, 
	-1, -1, 759, 759, 759, 759, 759, -1, 
	927, 759, 759, 759, 759, -1, -1, 927, 
	-1, -1, -1, -1, 927, 927, -1, 759, 
	-1, -1, -1, -1, -1, -1, -1, 927, 
	-1, -1, -1, -1, 927, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 927, 927, 927, -1, -1, 
	-1, -1, -1, 927, 927, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 759, 759, 759, 
	759, -1, -1, 759, 759, -1, 759, 759, 
	759, -1, -1, -1, -1, 759, 759, 759, 
	-1, 759, 759, 759, -1, -1, -1, -1, 
	759, -1, -1, -1, -1, 759, -1, -1, 
	-1, 759, 759, 759, -1, 759, 759, -1, 
	-1, 759, -1, -1, -1, -1, -1, -1, 
	-1, -1, 759, 759, 759, 759, 759, 759, 
	759, -1, -1, -1, -1, 759, 759, -1, 
	-1, 759, 759, -1, -1, -1, -1, -1, 
	-1, -1, -1, 759, 759, -1, -1, -1, 
	-1, 759, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	759, 759, 759, -1, -1, -1, -1, -1, 
	759, 759, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 759, -1, -1, -1, 
	-1, -1, -1, 759, -1, -1, -1, -1, 
	-1, -1, -1, -1, 904, 904, 904, 904, 
	904, 904, 904, 904, 904, 904, 904, 904, 
	904, 904, 904, -1, 904, 904, 904, 904, 
	904, 904, 904, 904, -1, -1, -1, 904, 
	904, 904, 904, 904, -1, 904, -1, 904, 
	904, 904, 904, -1, 904, 904, 904, 904, 
	904, -1, -1, 904, -1, -1, 904, 904, 
	904, 904, 904, -1, 904, 904, 904, -1, 
	-1, -1, -1, 904, 904, 904, 904, 904, 
	-1, -1, 904, 904, 904, 904, -1, 904, 
	-1, 716, -1, -1, -1, -1, -1, 904, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 759, -1, -1, 
	-1, -1, -1, -1, -1, -1, 904, 904, 
	904, 904, -1, -1, 904, 904, 904, 904, 
	904, 904, -1, -1, -1, -1, 904, 904, 
	904, 904, 904, 904, 904, -1, -1, -1, 
	-1, 904, -1, -1, -1, -1, 904, 904, 
	-1, -1, 904, 904, 904, -1, 904, 904, 
	-1, -1, 904, -1, -1, -1, 904, 715, 
	-1, 904, -1, -1, -1, -1, 904, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 904, 904, 402, -1, -1, -1, 
	-1, 401, -1, -1, 904, 904, -1, 176, 
	177, -1, 904, -1, -1, -1, -1, -1, 
	175, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 904, 904, 904, -1, -1, -1, -1, 
	-1, 904, 904, -1, -1, -1, -1, -1, 
	542, -1, -1, -1, 318, 904, -1, 904, 
	-1, -1, 904, -1, -1, 908, 908, 908, 
	908, 908, 908, 908, 908, 908, 908, 908, 
	908, 908, 908, 908, -1, 908, 908, 908, 
	908, 908, 908, 908, 908, -1, -1, -1, 
	908, 908, 908, 908, 908, -1, 908, -1, 
	908, 908, 908, 908, -1, 908, -1, 908, 
	908, 908, -1, -1, 908, -1, -1, 908, 
	908, 908, 908, 908, -1, 908, 908, 908, 
	-1, -1, -1, -1, 908, 908, 908, 908, 
	908, -1, -1, 908, 908, 908, 908, -1, 
	908, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 904, 908, 
	908, 908, 908, -1, -1, 908, 908, 908, 
	908, 908, 908, -1, -1, -1, -1, 908, 
	908, 908, 908, 908, 908, 908, -1, -1, 
	-1, -1, 908, -1, -1, -1, -1, 908, 
	908, -1, -1, 908, 908, 908, -1, 908, 
	908, -1, -1, 908, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 908, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 908, 908, -1, -1, -1, 
	-1, -1, -1, -1, -1, 908, 908, -1, 
	-1, -1, -1, 908, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 908, 908, 908, -1, -1, -1, 
	-1, -1, 908, 908, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 908, -1, 
	908, -1, -1, 908, -1, -1, 865, 865, 
	865, 865, 865, 865, 865, 865, 865, 865, 
	865, 865, 865, 865, 865, -1, 865, 865, 
	865, 865, 865, 865, 865, 865, -1, -1, 
	-1, 865, 865, 865, 865, 865, -1, 865, 
	-1, 865, 865, 865, 865, -1, 865, -1, 
	865, 865, 865, -1, -1, 865, -1, -1, 
	865, 865, 865, 865, 865, -1, 865, 865, 
	865, -1, -1, -1, -1, 865, 865, 865, 
	865, 865, -1, -1, 865, 865, 865, 865, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 865, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 486, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 908, 
	865, 865, 865, 865, -1, -1, 865, 865, 
	865, 865, 865, 865, -1, -1, -1, -1, 
	865, 865, 865, 865, 865, 865, 865, -1, 
	-1, -1, 718, 865, -1, -1, -1, -1, 
	865, 865, -1, -1, 865, 865, 865, -1, 
	865, 865, 865, -1, 865, -1, -1, -1, 
	-1, 715, -1, -1, -1, -1, -1, -1, 
	865, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 865, 865, -1, -1, 
	-1, -1, -1, -1, -1, -1, 865, 865, 
	-1, -1, -1, -1, 865, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 865, 865, 865, -1, -1, 
	-1, -1, -1, 865, 865, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 865, 
	-1, 865, -1, -1, 865, -1, -1, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, -1, 1045, 1045, 1045, 1045, 1045, -1, 
	1045, -1, 1045, 1045, 1045, 1045, -1, 1045, 
	-1, 1045, 1045, 1045, -1, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, -1, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, -1, 1045, -1, -1, -1, -1, 
	1045, 1045, 1045, 1045, 1045, -1, -1, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, 1045, 1045, -1, 
	-1, -1, -1, -1, 1045, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	865, 1045, 1045, 1045, 1045, -1, -1, 1045, 
	1045, 1045, 1045, 1045, 1045, -1, -1, -1, 
	-1, 1045, 1045, 1045, 1045, 1045, 1045, 1045, 
	-1, -1, -1, -1, 1045, -1, -1, -1, 
	-1, 1045, 1045, -1, -1, 1045, 1045, 1045, 
	-1, 1045, 1045, -1, -1, 1045, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1045, 1045, 
	1045, 1045, 1045, 1045, 1045, -1, -1, -1, 
	1045, 1045, 1045, -1, -1, 1045, 1045, -1, 
	1045, 1045, 1045, 1045, 1045, -1, 1045, 1045, 
	1045, -1, -1, -1, 1045, 1045, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1045, 1045, 1045, -1, -1, 1045, -1, -1, 
	-1, -1, 1045, -1, 1045, 1045, 1045, 1045, 
	-1, 1045, 1045, 1045, 1045, 1045, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1045, -1, 1045, -1, -1, 1045, -1, 1045, 
	1045, -1, -1, -1, 1045, -1, 1045, -1, 
	1045, -1, -1, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, -1, 1046, 1046, 
	1046, 1046, 1046, -1, 1046, -1, 1046, 1046, 
	1046, 1046, -1, 1046, -1, 1046, 1046, 1046, 
	-1, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, -1, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, -1, 1046, 
	-1, -1, -1, -1, 1046, 1046, 1046, 1046, 
	1046, -1, -1, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, 1046, 1046, -1, -1, -1, -1, -1, 
	1046, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1045, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1046, 1046, 1046, 
	1046, -1, -1, 1046, 1046, 1046, 1046, 1046, 
	1046, -1, -1, -1, 718, 1046, 1046, 1046, 
	1046, 1046, 1046, 1046, -1, -1, -1, -1, 
	1046, -1, -1, -1, -1, 1046, 1046, -1, 
	-1, 1046, 1046, 1046, -1, 1046, 1046, -1, 
	-1, 1046, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1046, 1046, 1046, 1046, 1046, 1046, 
	1046, -1, -1, -1, 1046, 1046, 1046, -1, 
	-1, 1046, 1046, -1, 1046, 1046, 1046, 1046, 
	1046, -1, 1046, 1046, 1046, -1, -1, -1, 
	1046, 1046, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1046, 1046, 1046, -1, 
	-1, 1046, -1, -1, -1, -1, 1046, -1, 
	1046, 1046, 1046, 1046, -1, 1046, 1046, 1046, 
	1046, 1046, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1046, -1, 1046, -1, 
	-1, 1046, -1, 1046, 1046, -1, -1, -1, 
	1046, -1, 1046, -1, 1046, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, -1, 
	1047, 1047, 1047, 1047, 1047, -1, 1047, -1, 
	1047, 1047, 1047, 1047, -1, 1047, -1, 1047, 
	1047, 1047, -1, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	-1, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	-1, 1047, -1, -1, -1, -1, 1047, 1047, 
	1047, 1047, 1047, -1, -1, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, 1047, 1047, -1, -1, -1, 
	-1, -1, 1047, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1046, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1047, 
	1047, 1047, 1047, -1, -1, 1047, 1047, 1047, 
	1047, 1047, 1047, -1, -1, -1, -1, 1047, 
	1047, 1047, 1047, 1047, 1047, 1047, -1, -1, 
	-1, -1, 1047, -1, -1, -1, -1, 1047, 
	1047, -1, -1, 1047, 1047, 1047, -1, 1047, 
	1047, -1, -1, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1047, 1047, 1047, 1047, 
	1047, 1047, 1047, -1, -1, -1, 1047, 1047, 
	1047, -1, -1, 1047, 1047, -1, 1047, 1047, 
	1047, 1047, 1047, -1, 1047, 1047, 1047, -1, 
	-1, -1, 1047, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1047, 1047, 
	1047, -1, -1, 1047, -1, -1, -1, -1, 
	1047, -1, 1047, 1047, 1047, 1047, -1, 1047, 
	1047, 1047, 1047, 1047, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1047, -1, 
	1047, -1, -1, 1047, -1, 1047, 1047, -1, 
	-1, -1, 1047, -1, 1047, -1, 1047, 64, 
	67, 68, 65, 66, 73, 74, -1, 69, 
	70, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 138, 139, 141, 140, 142, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 75, -1, -1, -1, 131, -1, -1, 
	-1, 135, 136, 137, 72, 71, 130, -1, 
	-1, -1, -1, 124, 125, 126, -1, -1, 
	-1, -1, 989, 122, -1, 144, 145, 146, 
	147, -1, -1, -1, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, 118, 
	119, -1, 120, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, -1, 1048, 1048, 1048, 
	1048, 1048, -1, 1048, -1, 1048, 1048, 1048, 
	1048, -1, 1048, -1, 1048, 1048, 1048, 1047, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, -1, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, -1, 1048, -1, 
	-1, -1, -1, 1048, 1048, 1048, 1048, 1048, 
	-1, -1, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	1048, 1048, -1, -1, -1, -1, -1, 1048, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	728, 113, 114, 115, 116, -1, 121, 129, 
	133, -1, -1, -1, -1, 132, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 134, 128, 123, 989, -1, -1, 
	-1, -1, -1, -1, 1048, 1048, 1048, 1048, 
	-1, -1, 1048, 1048, 1048, 1048, 1048, 1048, 
	-1, -1, -1, -1, 1048, 1048, 1048, 1048, 
	1048, 1048, 1048, -1, -1, -1, -1, 1048, 
	-1, -1, -1, -1, 1048, 1048, -1, -1, 
	1048, 1048, 1048, -1, 1048, 1048, -1, -1, 
	1048, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1048, 1048, 1048, 1048, 1048, 1048, 1048, 
	-1, -1, -1, 1048, 1048, 1048, -1, -1, 
	1048, 1048, -1, 1048, 1048, 1048, 1048, 1048, 
	-1, 1048, 1048, 1048, -1, -1, -1, 1048, 
	1048, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1048, 1048, 1048, -1, -1, 
	1048, -1, -1, -1, -1, 1048, -1, 1048, 
	1048, 1048, 1048, -1, 1048, 1048, 1048, 1048, 
	1048, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1048, -1, 1048, -1, -1, 
	1048, -1, 1048, 1048, -1, -1, -1, 1048, 
	-1, 1048, -1, 1048, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, 758, 758, 
	758, 758, 758, 758, 758, 758, -1, 758, 
	758, 758, 758, 758, -1, 758, -1, 758, 
	758, 758, 758, -1, 758, -1, 758, 758, 
	758, -1, -1, 758, 758, 758, 758, 758, 
	758, 758, 758, -1, 758, 758, 758, -1, 
	-1, -1, -1, 758, 758, 758, 758, 758, 
	-1, -1, 758, 758, 758, 758, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	758, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1048, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 758, 758, 
	758, 758, -1, -1, 758, 758, -1, 758, 
	758, 758, -1, -1, -1, -1, 758, 758, 
	758, -1, 758, 758, 758, -1, -1, -1, 
	-1, 758, -1, -1, -1, -1, 758, -1, 
	-1, -1, 758, 758, 758, -1, 758, 758, 
	-1, -1, 758, -1, -1, -1, -1, -1, 
	-1, -1, -1, 758, 758, 758, 758, 758, 
	758, 758, -1, -1, -1, -1, 758, 758, 
	-1, -1, 758, 758, -1, -1, -1, -1, 
	-1, -1, -1, -1, 758, 758, -1, -1, 
	-1, -1, 758, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 758, 758, 758, -1, -1, -1, -1, 
	-1, 758, 758, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 758, -1, -1, 
	-1, -1, -1, -1, 758, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, 985, 985, 985, 
	985, 985, 985, 985, 985, -1, 985, -1, 
	985, 985, 985, 985, 985, 985, -1, 985, 
	985, 985, -1, -1, 985, 985, 985, 985, 
	985, 985, 985, 985, -1, 985, 985, 985, 
	985, -1, -1, -1, 985, 985, 985, 985, 
	985, -1, -1, 985, 985, 985, 985, -1, 
	-1, -1, 985, -1, -1, -1, 985, 985, 
	-1, 985, -1, -1, 985, -1, -1, 985, 
	-1, 985, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 728, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 985, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 985, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 758, 985, 
	985, 985, 985, -1, -1, 985, 985, 985, 
	985, 985, 985, -1, -1, -1, -1, 985, 
	985, 985, 985, 985, 985, 985, -1, -1, 
	985, -1, 985, -1, -1, -1, -1, 985, 
	985, -1, 985, 985, 985, 985, -1, 985, 
	985, -1, -1, 985, -1, -1, -1, -1, 
	-1, 985, -1, 985, 985, 985, 985, 985, 
	985, 985, 985, -1, -1, -1, -1, 985, 
	985, -1, 985, 985, 985, -1, -1, -1, 
	-1, -1, -1, -1, -1, 985, 985, -1, 
	-1, 985, -1, 985, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 985, 985, 985, 
	-1, -1, 985, 985, 985, -1, -1, -1, 
	-1, -1, 985, 985, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 985, -1, 
	985, -1, -1, 985, 985, 985, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, 987, 987, 
	987, 987, 987, 987, 987, 987, -1, 987, 
	-1, 987, 987, 987, 987, 987, 987, -1, 
	987, 987, 987, -1, -1, 987, 987, 987, 
	987, 987, 987, 987, 987, -1, 987, 987, 
	987, 987, -1, -1, -1, 987, 987, 987, 
	987, 987, -1, -1, 987, 987, 987, 987, 
	-1, -1, -1, 987, -1, -1, -1, 987, 
	987, -1, 987, -1, -1, 987, -1, -1, 
	987, -1, 987, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 987, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 987, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 985, 
	987, 987, 987, 987, -1, -1, 987, 987, 
	987, 987, 987, 987, -1, -1, -1, -1, 
	987, 987, 987, 987, 987, 987, 987, -1, 
	-1, 987, -1, 987, -1, -1, -1, -1, 
	987, 987, -1, 987, 987, 987, 987, -1, 
	987, 987, -1, -1, 987, -1, -1, -1, 
	-1, -1, 987, -1, 987, 987, 987, 987, 
	987, 987, 987, 987, -1, -1, -1, -1, 
	987, 987, -1, 987, 987, 987, -1, -1, 
	-1, -1, -1, -1, -1, -1, 987, 987, 
	-1, -1, 987, -1, 987, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 987, 987, 
	987, -1, -1, 987, 987, 987, -1, -1, 
	-1, -1, -1, 987, 987, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 987, 
	-1, 987, -1, -1, 987, 987, 987, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, -1, 1154, 1154, 1154, 1154, 1154, -1, 
	1154, -1, 1154, 1154, 1154, 1154, -1, 1154, 
	-1, 1154, 1154, 1154, 1058, 1154, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, -1, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, -1, 1154, -1, -1, 1058, -1, 
	1154, 1154, 1154, 1154, 1154, -1, -1, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, 1154, 1154, -1, 
	-1, -1, -1, -1, 1154, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	987, 1154, 1154, 1154, 1154, -1, -1, 1154, 
	1154, 1154, 1154, 1154, 1154, -1, -1, -1, 
	-1, 1154, 1154, 1154, 1154, 1154, 1154, 1154, 
	-1, -1, -1, -1, 1154, -1, -1, -1, 
	-1, 1154, 1154, -1, -1, 1154, 1154, 1154, 
	-1, 1154, 1154, -1, -1, 1154, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1154, 1154, 
	1154, 1154, 1154, 1154, 1154, -1, -1, -1, 
	1154, 1154, 1154, 1028, -1, 1154, 1154, -1, 
	1154, 1154, 1154, 1154, 1154, 1058, 1154, 1154, 
	1154, -1, -1, -1, 1154, 1154, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1154, 1154, 1154, -1, -1, 1154, -1, -1, 
	-1, -1, 1154, -1, 1154, 1154, 1154, 1154, 
	-1, 1154, 1154, 1154, 1154, 1154, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1154, -1, 1154, -1, -1, 1154, -1, 1154, 
	1154, -1, -1, -1, 1154, -1, 1154, -1, 
	1154, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, -1, 1155, 1155, 1155, 1155, 
	1155, -1, 1155, -1, 1155, 1155, 1155, 1155, 
	-1, 1155, -1, 1155, 1155, 1155, 1059, 1155, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, -1, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, -1, 1155, -1, -1, 
	1059, -1, 1155, 1155, 1155, 1155, 1155, -1, 
	-1, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, 1155, 
	1155, -1, -1, -1, -1, -1, 1155, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1154, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1155, 1155, 1155, 1155, -1, 
	-1, 1155, 1155, 1155, 1155, 1155, 1155, -1, 
	-1, -1, -1, 1155, 1155, 1155, 1155, 1155, 
	1155, 1155, -1, -1, -1, -1, 1155, -1, 
	-1, -1, -1, 1155, 1155, -1, -1, 1155, 
	1155, 1155, -1, 1155, 1155, -1, -1, 1155, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1155, 1155, 1155, 1155, 1155, 1155, 1155, -1, 
	-1, -1, 1155, 1155, 1155, 1029, -1, 1155, 
	1155, -1, 1155, 1155, 1155, 1155, 1155, 1059, 
	1155, 1155, 1155, -1, -1, -1, 1155, 1155, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1155, 1155, 1155, -1, -1, 1155, 
	-1, -1, -1, -1, 1155, -1, 1155, 1155, 
	1155, 1155, -1, 1155, 1155, 1155, 1155, 1155, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 1155, -1, 1155, -1, -1, 1155, 
	-1, 1155, 1155, -1, -1, -1, 1155, -1, 
	1155, -1, 1155, 55, 56, 64, 67, 68, 
	65, 66, 73, 74, 1131, 69, 70, -1, 
	-1, 35, 36, 40, 38, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 41, 42, 43, -1, -1, -1, 75, 
	-1, -1, -1, -1, 37, -1, -1, -1, 
	-1, -1, 72, 71, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	59, -1, -1, 82, 84, 86, 88, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1131, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 902, 902, 902, 902, 
	902, 902, 902, 902, 902, 902, 902, 902, 
	902, 902, 902, -1, 902, 902, 902, 902, 
	902, 902, 902, 902, -1, -1, -1, 902, 
	902, 902, 902, 902, -1, 902, -1, 902, 
	902, 902, 902, -1, 902, 737, 902, 902, 
	902, -1, -1, 902, -1, -1, 902, 902, 
	902, 902, 902, 1155, 902, 902, 902, -1, 
	-1, -1, -1, 902, 902, 902, 902, 902, 
	-1, -1, 902, 902, 902, 902, -1, 902, 
	-1, -1, -1, -1, -1, -1, -1, 902, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 299, 
	-1, -1, -1, -1, -1, -1, -1, 1131, 
	1131, 733, -1, 34, 33, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 62, -1, 
	-1, -1, -1, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 76, 45, -1, 902, 902, 
	902, 902, 39, 989, 902, 902, 902, 902, 
	902, 902, -1, -1, -1, -1, 902, 902, 
	902, 902, 902, 902, 902, 298, -1, -1, 
	-1, 902, -1, -1, -1, -1, 902, 902, 
	-1, -1, 902, 902, 902, -1, 902, 902, 
	-1, -1, 902, -1, -1, -1, 736, -1, 
	-1, 902, -1, -1, -1, -1, 902, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 902, 902, -1, -1, -1, -1, 
	-1, -1, -1, -1, 902, 902, -1, -1, 
	-1, -1, 902, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 902, 902, 902, -1, -1, -1, -1, 
	-1, 902, 902, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 902, -1, 902, 
	-1, -1, 902, -1, -1, 891, 891, 891, 
	891, 891, 891, 891, 891, 891, 891, 891, 
	891, 891, 891, 891, -1, 891, 891, 891, 
	891, 891, 891, 891, 891, -1, -1, -1, 
	891, 891, 891, 891, 891, -1, 891, -1, 
	891, 891, 891, 891, -1, 891, -1, 891, 
	891, 891, -1, -1, 891, -1, -1, 891, 
	891, 891, 891, 891, -1, 891, 891, 891, 
	-1, -1, -1, -1, 891, 891, 891, 891, 
	891, -1, -1, 891, 891, 891, 891, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	741, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 902, 891, 
	891, 891, 891, -1, -1, 891, 891, 891, 
	891, 891, 891, -1, -1, -1, -1, 891, 
	891, 891, 891, 891, 891, 891, -1, -1, 
	-1, -1, 891, -1, -1, -1, -1, 891, 
	891, -1, -1, 891, 891, 891, -1, 891, 
	891, 740, -1, 891, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 891, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 891, 891, -1, -1, -1, 
	-1, -1, -1, -1, -1, 891, 891, -1, 
	-1, -1, -1, 891, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 891, 891, 891, -1, -1, -1, 
	-1, -1, 891, 891, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 891, -1, 
	891, -1, -1, 891, 1038, 1038, 1038, 1038, 
	1038, 1038, 1038, -1, 1038, 1038, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1038, 
	1038, 1038, 1038, 1038, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1038, -1, 
	-1, -1, 1038, -1, -1, -1, 1038, 1038, 
	1038, 1038, 1038, 1038, -1, -1, -1, -1, 
	1038, 1038, 1038, -1, -1, -1, -1, 1038, 
	1038, 1038, 1038, 1038, 1038, 1038, 1038, -1, 
	-1, -1, -1, -1, -1, 1038, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1038, 1038, 1038, 1038, 1038, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1038, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 299, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 733, -1, 34, 33, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	62, -1, -1, -1, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 76, 45, 891, 
	-1, -1, -1, -1, 39, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 298, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	736, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1038, 1038, 1038, 
	1038, 1038, -1, 1038, 1038, 1038, -1, -1, 
	-1, -1, 1038, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1038, 1038, 1038, 
	-1, -1, 1038, -1, 1042, 1042, 1042, 1042, 
	1042, 1042, 1042, -1, 1042, 1042, 1038, 1038, 
	1038, 1038, 1038, -1, -1, -1, -1, 1042, 
	1042, 1042, 1042, 1042, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1042, -1, 
	-1, 1038, 1042, -1, -1, -1, 1042, 1042, 
	1042, 1042, 1042, 1042, -1, -1, -1, -1, 
	1042, 1042, 1042, -1, -1, -1, -1, 1042, 
	1042, 1042, 1042, 1042, 1042, 1042, 1042, -1, 
	-1, -1, -1, -1, -1, 1042, -1, -1, 
	-1, 64, 67, 68, 65, 66, 73, 74, 
	-1, 69, 70, 1042, 1042, 1042, 1042, 1042, 
	-1, -1, 274, 275, 138, 139, 141, 140, 
	142, 1042, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 75, -1, -1, -1, 131, 
	-1, -1, -1, 135, 136, 137, 72, 71, 
	130, -1, -1, -1, -1, 124, 125, 126, 
	-1, -1, -1, -1, 989, 122, -1, 144, 
	145, 146, 147, -1, -1, -1, -1, -1, 
	-1, -1, 127, 926, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	117, 118, 119, -1, 120, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1042, 1042, 1042, 
	1042, 1042, -1, 1042, 1042, 1042, -1, -1, 
	-1, -1, 1042, -1, -1, -1, -1, -1, 
	-1, -1, -1, 740, -1, 1042, 1042, 1042, 
	-1, -1, 1042, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1042, 1042, 
	1042, 1042, 1042, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 205, 
	746, 1042, -1, -1, -1, -1, -1, -1, 
	-1, -1, 206, 113, 114, 115, 116, -1, 
	121, 129, 133, -1, -1, -1, -1, 132, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 143, 134, 128, 123, 989, 
	842, 842, 842, 842, 842, 842, 842, 842, 
	842, 842, 842, 842, 842, 842, 842, -1, 
	842, 842, 842, 842, 842, 842, 842, 842, 
	-1, -1, -1, 842, 842, 842, 842, 842, 
	-1, 842, -1, 842, 842, 842, 842, -1, 
	842, -1, 842, 842, 842, -1, -1, 842, 
	-1, -1, 842, 842, 842, 842, 842, -1, 
	842, 842, 842, -1, -1, -1, -1, 842, 
	842, 842, 842, 842, -1, -1, 842, 842, 
	842, 842, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 842, 842, 842, 842, -1, -1, 
	842, 842, 842, 842, 842, 842, -1, -1, 
	-1, -1, 842, 842, 842, 842, 842, 842, 
	842, -1, -1, -1, -1, 842, -1, -1, 
	-1, -1, 842, 842, -1, -1, 842, 842, 
	842, -1, 842, 842, -1, -1, 842, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 842, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 842, 842, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	842, 842, -1, -1, -1, -1, 842, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 842, 842, 842, 
	-1, -1, -1, -1, -1, 842, 842, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 842, -1, 842, -1, -1, 842, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 853, 
	853, 853, 853, 853, 853, 853, 853, 853, 
	853, 853, 853, 853, 853, 853, -1, 853, 
	853, 853, 853, 853, 853, 853, 853, -1, 
	-1, -1, 853, 853, 853, 853, 853, -1, 
	853, -1, 853, 853, 853, 853, -1, 853, 
	-1, 853, 853, 853, -1, -1, 853, -1, 
	-1, 853, 853, 853, 853, 853, -1, 853, 
	853, 853, -1, -1, -1, -1, 853, 853, 
	853, 853, 853, -1, -1, 853, 853, 853, 
	853, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 842, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 853, 853, 853, 853, -1, -1, 853, 
	853, 853, 853, 853, 853, -1, -1, -1, 
	-1, 853, 853, 853, 853, 853, 853, 853, 
	-1, -1, -1, -1, 853, -1, -1, -1, 
	-1, 853, 853, -1, -1, 853, 853, 853, 
	-1, 853, 853, -1, -1, 853, -1, -1, 
	-1, 205, 746, -1, -1, -1, -1, -1, 
	-1, 853, -1, -1, 206, 113, 114, 115, 
	116, -1, 121, 129, 133, 853, 853, -1, 
	-1, 132, -1, -1, -1, -1, -1, 853, 
	853, -1, -1, -1, -1, 853, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 143, 134, 128, 
	123, -1, -1, -1, 853, 853, 853, -1, 
	-1, -1, -1, -1, 853, 853, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	853, -1, 853, -1, -1, 853, -1, -1, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	903, 903, 903, 903, 903, 903, 903, -1, 
	903, 903, 903, 903, 903, 903, 903, 903, 
	-1, -1, -1, 903, 903, 903, 903, 903, 
	-1, 903, -1, 903, 903, 903, 903, -1, 
	903, 903, 903, 903, 903, -1, -1, 903, 
	-1, -1, 903, 903, 903, 903, 903, -1, 
	903, 903, 903, -1, -1, -1, -1, 903, 
	903, 903, 903, 903, -1, -1, 903, 903, 
	903, 903, -1, 903, -1, -1, -1, -1, 
	-1, -1, -1, 903, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 853, 903, 903, 903, 903, -1, -1, 
	903, 903, 903, 903, 903, 903, -1, -1, 
	-1, -1, 903, 903, 903, 903, 903, 903, 
	903, -1, -1, -1, -1, 903, -1, -1, 
	-1, -1, 903, 903, -1, -1, 903, 903, 
	903, -1, 903, 903, -1, -1, 903, -1, 
	-1, -1, 903, -1, -1, 903, -1, -1, 
	-1, -1, 903, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 903, 903, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	903, 903, -1, -1, -1, -1, 903, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 903, 903, 903, 
	-1, -1, -1, -1, -1, 903, 903, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 903, -1, 903, -1, -1, 903, -1, 
	-1, 907, 907, 907, 907, 907, 907, 907, 
	907, 907, 907, 907, 907, 907, 907, 907, 
	-1, 907, 907, 907, 907, 907, 907, 907, 
	907, -1, -1, -1, 907, 907, 907, 907, 
	907, -1, 907, -1, 907, 907, 907, 907, 
	-1, 907, -1, 907, 907, 907, -1, -1, 
	907, -1, -1, 907, 907, 907, 907, 907, 
	-1, 907, 907, 907, -1, -1, -1, -1, 
	907, 907, 907, 907, 907, -1, -1, 907, 
	907, 907, 907, -1, 907, -1, -1, -1, 
	-1, -1, -1, -1, 750, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 903, 907, 907, 907, 907, -1, 
	-1, 907, 907, 907, 907, 907, 907, -1, 
	-1, -1, -1, 907, 907, 907, 907, 907, 
	907, 907, -1, -1, -1, -1, 907, -1, 
	-1, -1, -1, 907, 907, -1, -1, 907, 
	907, 907, -1, 907, 907, -1, -1, 907, 
	-1, -1, -1, -1, -1, -1, 749, -1, 
	-1, -1, -1, 907, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 907, 
	907, -1, -1, -1, -1, -1, -1, -1, 
	-1, 907, 907, -1, -1, -1, -1, 907, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 907, 907, 
	907, -1, -1, -1, -1, -1, 907, 907, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 907, -1, 907, -1, -1, 907, 
	-1, -1, 901, 901, 901, 901, 901, 901, 
	901, 901, 901, 901, 901, 901, 901, 901, 
	901, -1, 901, 901, 901, 901, 901, 901, 
	901, 901, -1, -1, -1, 901, 901, 901, 
	901, 901, -1, 901, -1, 901, 901, 901, 
	901, -1, 901, -1, 901, 901, 901, -1, 
	-1, 901, -1, -1, 901, 901, 901, 901, 
	901, -1, 901, 901, 901, -1, -1, -1, 
	-1, 901, 901, 901, 901, 901, -1, -1, 
	901, 901, 901, 901, -1, 901, -1, -1, 
	-1, -1, -1, -1, -1, 901, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 907, 901, 901, 901, 901, 
	-1, -1, 901, 901, 901, 901, 901, 901, 
	-1, -1, -1, -1, 901, 901, 901, 901, 
	901, 901, 901, -1, -1, -1, -1, 901, 
	-1, -1, -1, -1, 901, 901, -1, -1, 
	901, 901, 901, -1, 901, 901, -1, -1, 
	901, -1, -1, -1, -1, -1, -1, 901, 
	-1, -1, -1, -1, 901, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	901, 901, -1, -1, -1, -1, -1, -1, 
	-1, -1, 901, 901, -1, -1, -1, -1, 
	901, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 901, 
	901, 901, -1, -1, -1, -1, -1, 901, 
	901, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 901, -1, 901, -1, -1, 
	901, -1, -1, 888, 888, 888, 888, 888, 
	888, 888, 888, 888, 888, 888, 888, 888, 
	888, 888, -1, 888, 888, 888, 888, 888, 
	888, 888, 888, -1, -1, -1, 888, 888, 
	888, 888, 888, -1, 888, -1, 888, 888, 
	888, 888, -1, 888, -1, 888, 888, 888, 
	-1, -1, 888, -1, -1, 888, 888, 888, 
	888, 888, -1, 888, 888, 888, -1, -1, 
	-1, -1, 888, 888, 888, 888, 888, -1, 
	-1, 888, 888, 888, 888, -1, 55, 56, 
	64, 67, 68, 65, 66, 73, 74, 1131, 
	69, 70, -1, -1, 35, 36, 40, 38, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 41, 42, 43, -1, 
	-1, -1, 75, -1, -1, -1, -1, 37, 
	-1, -1, -1, -1, -1, 72, 71, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 59, -1, -1, 82, 84, 
	86, 88, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1131, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 901, 888, 888, 888, 
	888, -1, -1, 888, 888, 888, 888, 888, 
	888, -1, -1, -1, -1, 888, 888, 888, 
	888, 888, 888, 888, -1, -1, -1, -1, 
	888, -1, -1, -1, -1, 888, 888, -1, 
	-1, 888, 888, 888, -1, 888, 888, -1, 
	-1, 888, -1, -1, -1, -1, -1, -1, 
	749, -1, -1, -1, -1, 888, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 888, 888, -1, -1, -1, -1, -1, 
	-1, -1, -1, 888, 888, -1, -1, -1, 
	-1, 888, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	888, 888, 888, -1, -1, -1, -1, -1, 
	888, 888, -1, -1, -1, -1, -1, -1, 
	-1, -1, 299, -1, 888, -1, 888, -1, 
	-1, 888, 1131, 1131, 753, -1, 34, 33, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 62, -1, -1, -1, -1, 44, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 80, 76, 45, 
	-1, -1, -1, -1, -1, 39, 989, 1039, 
	1039, 1039, 1039, 1039, 1039, 1039, -1, 1039, 
	1039, -1, -1, -1, -1, -1, -1, -1, 
	298, -1, 1039, 1039, 1039, 1039, 1039, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1039, -1, -1, -1, 1039, -1, -1, 
	-1, 1039, 1039, 1039, 1039, 1039, 1039, -1, 
	-1, -1, -1, 1039, 1039, 1039, -1, -1, 
	-1, -1, 1039, 1039, 1039, 1039, 1039, 1039, 
	1039, 1039, -1, -1, -1, -1, -1, -1, 
	1039, -1, -1, -1, 1040, 1040, 1040, 1040, 
	1040, 1040, 1040, -1, 1040, 1040, 1039, 1039, 
	1039, 1039, 1039, -1, -1, -1, -1, 1040, 
	1040, 1040, 1040, 1040, 1039, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1040, -1, 
	-1, -1, 1040, -1, -1, 888, 1040, 1040, 
	1040, 1040, 1040, 1040, -1, -1, -1, -1, 
	1040, 1040, 1040, -1, -1, -1, -1, 1040, 
	1040, 1040, 1040, 1040, 1040, 1040, 1040, -1, 
	-1, -1, -1, -1, -1, 1040, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1040, 1040, 1040, 1040, 1040, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1040, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1039, 1039, 1039, 1039, 1039, -1, 1039, 1039, 
	1039, -1, -1, -1, -1, 1039, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	1039, 1039, 1039, -1, -1, 1039, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1039, 1039, 1039, 1039, 1039, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1039, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1040, 1040, 1040, 
	1040, 1040, -1, 1040, 1040, 1040, -1, -1, 
	-1, -1, 1040, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1040, 1040, 1040, 
	-1, -1, 1040, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 1040, 1040, 
	1040, 1040, 1040, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1040, 1041, 1041, 1041, 1041, 1041, 1041, 
	1041, -1, 1041, 1041, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 1041, 1041, 1041, 
	1041, 1041, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1041, -1, -1, -1, 
	1041, -1, -1, -1, 1041, 1041, 1041, 1041, 
	1041, 1041, -1, -1, -1, -1, 1041, 1041, 
	1041, -1, -1, -1, -1, 1041, 1041, 1041, 
	1041, 1041, 1041, 1041, 1041, -1, -1, -1, 
	-1, -1, -1, 1041, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 1041, 1041, 1041, 1041, 1041, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 1041, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 299, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 753, -1, 
	34, 33, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 62, -1, -1, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 80, 
	76, 45, -1, -1, -1, -1, -1, 39, 
	-1, -1, -1, 1041, 1041, 1041, 1041, 1041, 
	-1, 1041, 1041, 1041, -1, -1, -1, -1, 
	1041, -1, 298, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1041, 1041, 1041, -1, -1, 
	1041, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 1041, 1041, 1041, 1041, 
	1041, -1, -1, -1, -1, -1, -1, -1, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	852, 852, 852, 852, 852, 852, 852, 1041, 
	852, 852, 852, 852, 852, 852, 852, 852, 
	-1, -1, -1, 852, 852, 852, 852, 852, 
	-1, 852, -1, 852, 852, 852, 852, -1, 
	852, -1, 852, 852, 852, -1, -1, 852, 
	-1, -1, 852, 852, 852, 852, 852, -1, 
	852, 852, 852, -1, -1, -1, -1, 852, 
	852, 852, 852, 852, -1, -1, 852, 852, 
	852, 852, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 852, 852, 852, -1, -1, 
	852, 852, 852, 852, 852, 852, -1, -1, 
	-1, -1, 852, 852, 852, 852, 852, 852, 
	852, -1, -1, -1, -1, 852, -1, -1, 
	-1, -1, 852, 852, -1, -1, 852, 852, 
	852, -1, 852, 852, -1, -1, 852, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 852, 852, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	852, 852, -1, -1, -1, -1, 852, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 852, 852, 852, 
	-1, -1, -1, -1, -1, 852, 852, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 852, -1, 852, -1, -1, 852, -1, 
	-1, 905, 905, 905, 905, 905, 905, 905, 
	905, 905, 905, 905, 905, 905, 905, 905, 
	-1, 905, 905, 905, 905, 905, 905, 905, 
	905, -1, -1, -1, 905, 905, 905, 905, 
	905, -1, 905, -1, 905, 905, 905, 905, 
	-1, 905, -1, 905, 905, 905, -1, -1, 
	905, -1, -1, 905, 905, 905, 905, 905, 
	-1, 905, 905, 905, -1, -1, -1, -1, 
	905, 905, 905, 905, 905, -1, -1, 905, 
	905, 905, 905, -1, 905, 55, 56, 64, 
	67, 68, 65, 66, 73, 74, 1131, 69, 
	70, -1, -1, 35, 36, 40, 38, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 41, 42, 43, -1, -1, 
	-1, 75, -1, -1, -1, -1, 37, -1, 
	-1, -1, -1, -1, 72, 71, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 59, -1, -1, 82, 84, 86, 
	88, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 1131, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 852, 905, 905, 905, 905, -1, 
	-1, 905, 905, 905, 905, 905, 905, -1, 
	-1, -1, -1, 905, 905, 905, 905, 905, 
	905, 905, -1, -1, -1, -1, 905, -1, 
	-1, -1, -1, 905, 905, -1, -1, 905, 
	905, 905, -1, 905, 905, -1, -1, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 905, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 905, 
	905, -1, -1, -1, -1, -1, -1, -1, 
	-1, 905, 905, -1, -1, -1, -1, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 905, 905, 
	905, -1, -1, -1, -1, -1, 905, 905, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 299, 905, -1, 905, -1, -1, 905, 
	-1, 1131, 1131, 755, -1, 34, 33, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	62, -1, -1, -1, -1, 44, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 76, 45, -1, 
	-1, -1, -1, -1, 39, 989, -1, -1, 
	890, 890, 890, 890, 890, 890, 890, 890, 
	890, 890, 890, 890, 890, 890, 890, 298, 
	890, 890, 890, 890, 890, 890, 890, 890, 
	-1, -1, -1, 890, 890, 890, 890, 890, 
	-1, 890, -1, 890, 890, 890, 890, -1, 
	890, -1, 890, 890, 890, -1, -1, 890, 
	-1, -1, 890, 890, 890, 890, 890, -1, 
	890, 890, 890, -1, -1, -1, -1, 890, 
	890, 890, 890, 890, -1, -1, 890, 890, 
	890, 890, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 905, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 890, 890, 890, 890, -1, -1, 
	890, 890, 890, 890, 890, 890, -1, -1, 
	-1, -1, 890, 890, 890, 890, 890, 890, 
	890, -1, -1, -1, -1, 890, -1, -1, 
	-1, -1, 890, 890, -1, -1, 890, 890, 
	890, -1, 890, 890, -1, -1, 890, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 890, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 890, 890, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	890, 890, -1, -1, -1, -1, 890, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 890, 890, 890, 
	-1, -1, -1, -1, -1, 890, 890, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 890, -1, 890, -1, -1, 890, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 906, 906, 906, 
	906, 906, 906, 906, 906, 906, 906, 906, 
	906, 906, 906, 906, -1, 906, 906, 906, 
	906, 906, 906, 906, 906, -1, -1, -1, 
	906, 906, 906, 906, 906, -1, 906, -1, 
	906, 906, 906, 906, -1, 906, -1, 906, 
	906, 906, -1, -1, 906, -1, -1, 906, 
	906, 906, 906, 906, -1, 906, 906, 906, 
	-1, -1, -1, -1, 906, 906, 906, 906, 
	906, -1, -1, 906, 906, 906, 906, -1, 
	906, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 890, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 906, 
	906, 906, 906, -1, -1, 906, 906, 906, 
	906, 906, 906, -1, -1, -1, -1, 906, 
	906, 906, 906, 906, 906, 906, -1, -1, 
	-1, -1, 906, -1, -1, -1, -1, 906, 
	906, -1, -1, 906, 906, 906, -1, 906, 
	906, -1, -1, 906, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 906, 
	-1, -1, -1, 299, -1, -1, -1, -1, 
	-1, -1, -1, 906, 906, 755, -1, 34, 
	33, -1, -1, -1, -1, 906, 906, -1, 
	-1, -1, 62, 906, -1, -1, -1, 44, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 906, 906, 906, -1, 80, 76, 
	45, -1, 906, 906, -1, -1, 39, -1, 
	-1, -1, -1, -1, -1, -1, 906, -1, 
	906, -1, -1, 906, -1, -1, -1, -1, 
	-1, 298, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 906
};

static int pid_0_parser_owners[] = {
	0, 0, 1, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 2, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	24, 26, 28, 0, 0, 0, 0, 0, 
	27, 0, 30, 0, 0, 0, 0, 31, 
	0, 33, 0, 0, 0, 36, 38, 0, 
	41, 25, 0, 0, 0, 0, 0, 40, 
	0, 0, 0, 25, 47, 40, 49, 0, 
	0, 0, 0, 0, 51, 52, 0, 0, 
	0, 0, 53, 54, 55, 57, 58, 59, 
	56, 56, 56, 56, 63, 64, 50, 67, 
	50, 68, 82, 56, 73, 84, 73, 85, 
	86, 91, 102, 27, 79, 79, 32, 32, 
	32, 32, 32, 120, 74, 121, 74, 122, 
	129, 130, 131, 132, 133, 141, 153, 137, 
	137, 154, 157, 157, 163, 32, 32, 32, 
	124, 161, 161, 164, 165, 167, 167, 167, 
	169, 172, 173, 172, 174, 178, 32, 75, 
	179, 75, 78, 78, 78, 65, 193, 98, 
	98, 98, 98, 194, 66, 196, 70, 213, 
	233, 251, 89, 252, 246, 246, 254, 254, 
	254, 0, 0, 0, 0, 0, 284, 256, 
	0, 0, 27, 0, 0, 0, 285, 25, 
	25, 25, 0, 0, 0, 237, 0, 0, 
	0, 50, 50, 256, 256, 0, 295, 73, 
	73, 296, 0, 302, 303, 303, 0, 0, 
	0, 322, 0, 0, 323, 186, 0, 74, 
	74, 48, 48, 48, 48, 48, 345, 77, 
	77, 77, 0, 77, 38, 350, 41, 47, 
	97, 97, 97, 97, 250, 250, 0, 0, 
	48, 48, 48, 361, 79, 366, 383, 186, 
	0, 0, 75, 75, 378, 378, 0, 384, 
	237, 48, 390, 136, 136, 136, 393, 137, 
	38, 38, 41, 41, 50, 155, 155, 155, 
	157, 195, 73, 161, 277, 0, 0, 0, 
	297, 195, 395, 300, 300, 0, 0, 56, 
	56, 56, 74, 397, 78, 195, 195, 362, 
	362, 0, 59, 3, 3, 3, 3, 3, 
	3, 3, 3, 3, 3, 3, 3, 3, 
	3, 3, 246, 3, 3, 3, 3, 3, 
	3, 3, 3, 32, 32, 75, 3, 3, 
	3, 3, 3, 65, 3, 78, 3, 3, 
	3, 3, 66, 3, 70, 3, 3, 3, 
	89, 297, 3, 124, 399, 3, 3, 3, 
	3, 3, 303, 3, 3, 3, 98, 98, 
	98, 189, 3, 3, 3, 3, 3, 65, 
	65, 3, 3, 3, 3, 77, 66, 66, 
	70, 70, 400, 186, 89, 89, 250, 99, 
	99, 99, 99, 162, 162, 162, 401, 209, 
	209, 77, 186, 402, 186, 60, 60, 60, 
	60, 60, 378, 403, 319, 136, 319, 61, 
	61, 61, 61, 61, 159, 159, 159, 155, 
	159, 317, 148, 148, 60, 60, 60, 81, 
	97, 97, 97, 77, 48, 300, 61, 61, 
	61, 404, 307, 307, 189, 60, 48, 48, 
	405, 62, 62, 62, 62, 62, 136, 61, 
	362, 362, 406, 81, 317, 148, 407, 420, 
	155, 81, 277, 69, 69, 69, 69, 69, 
	62, 62, 62, 443, 416, 3, 3, 3, 
	3, 444, 0, 3, 3, 445, 3, 3, 
	3, 62, 69, 69, 69, 3, 3, 3, 
	447, 3, 3, 3, 382, 382, 277, 277, 
	3, 189, 451, 69, 83, 3, 343, 416, 
	343, 3, 3, 3, 83, 3, 3, 457, 
	319, 3, 408, 408, 71, 71, 71, 71, 
	71, 462, 314, 314, 446, 3, 90, 90, 
	90, 90, 90, 467, 446, 162, 471, 209, 
	473, 3, 3, 71, 71, 71, 83, 208, 
	208, 208, 286, 3, 3, 90, 90, 90, 
	474, 3, 389, 389, 71, 135, 135, 135, 
	498, 135, 159, 349, 414, 414, 90, 501, 
	203, 203, 203, 203, 363, 363, 162, 83, 
	3, 3, 3, 203, 307, 502, 159, 503, 
	3, 3, 319, 498, 518, 81, 99, 99, 
	99, 148, 148, 148, 3, 526, 531, 248, 
	248, 248, 281, 248, 81, 528, 81, 528, 
	169, 92, 92, 92, 92, 92, 532, 286, 
	159, 281, 60, 60, 529, 60, 81, 313, 
	313, 313, 556, 449, 61, 61, 564, 61, 
	92, 92, 92, 566, 83, 293, 382, 568, 
	293, 293, 293, 293, 93, 93, 93, 93, 
	93, 92, 94, 94, 94, 94, 94, 529, 
	158, 158, 158, 581, 158, 584, 62, 62, 
	408, 62, 314, 93, 93, 93, 523, 599, 
	523, 94, 94, 94, 466, 466, 348, 83, 
	69, 69, 598, 69, 93, 516, 516, 81, 
	598, 208, 94, 197, 197, 197, 197, 197, 
	449, 605, 389, 95, 95, 95, 95, 95, 
	290, 290, 612, 135, 414, 613, 349, 624, 
	349, 625, 197, 197, 197, 629, 281, 281, 
	281, 343, 95, 95, 95, 363, 363, 465, 
	465, 631, 208, 197, 135, 519, 519, 632, 
	640, 71, 71, 95, 71, 312, 312, 312, 
	83, 312, 642, 90, 90, 248, 203, 648, 
	96, 96, 96, 96, 96, 388, 388, 388, 
	453, 654, 657, 135, 650, 286, 286, 658, 
	650, 313, 203, 203, 203, 3, 248, 96, 
	96, 96, 660, 0, 0, 0, 0, 0, 
	661, 675, 0, 0, 27, 0, 0, 0, 
	96, 25, 25, 25, 0, 0, 0, 678, 
	0, 0, 0, 50, 50, 248, 158, 0, 
	684, 583, 313, 660, 0, 587, 587, 638, 
	0, 0, 0, 565, 0, 0, 466, 638, 
	0, 348, 158, 348, 688, 516, 92, 92, 
	293, 293, 293, 347, 0, 386, 38, 386, 
	41, 47, 198, 198, 198, 198, 449, 449, 
	0, 0, 482, 482, 523, 198, 79, 347, 
	413, 413, 413, 0, 158, 666, 523, 666, 
	0, 93, 93, 573, 573, 347, 691, 94, 
	94, 137, 38, 697, 41, 465, 50, 290, 
	290, 290, 157, 519, 692, 161, 692, 0, 
	0, 0, 701, 312, 351, 351, 351, 0, 
	706, 56, 56, 56, 480, 480, 480, 388, 
	480, 351, 351, 0, 59, 708, 470, 312, 
	197, 197, 480, 144, 144, 144, 144, 144, 
	95, 95, 721, 639, 246, 470, 728, 730, 
	524, 524, 347, 639, -1, 32, 32, 565, 
	671, 565, 144, 144, 144, 65, 453, 78, 
	388, 312, -1, -1, 66, -1, 70, 367, 
	367, 367, 89, 144, 583, 124, 145, 145, 
	145, 145, 145, -1, 367, 367, -1, 587, 
	98, 98, 98, 671, 722, 96, 96, 525, 
	525, 65, 453, 453, 722, 145, 145, 145, 
	66, -1, 70, -1, -1, 186, 89, 347, 
	250, 553, 553, 553, -1, 553, 145, 694, 
	694, 347, 413, 77, 482, -1, -1, -1, 
	-1, -1, -1, 573, 378, -1, -1, -1, 
	347, -1, 347, 386, 555, 555, 483, 483, 
	198, -1, 470, 470, 470, 386, -1, 611, 
	611, -1, 97, 97, 97, 77, 48, 300, 
	588, 588, 588, 413, -1, -1, -1, 662, 
	662, 198, 198, 198, -1, -1, -1, -1, 
	136, -1, 362, -1, -1, -1, -1, -1, 
	-1, -1, 155, -1, 277, 156, 156, 156, 
	156, 156, 653, -1, 653, -1, 524, 3, 
	3, 3, 3, -1, -1, 3, 3, -1, 
	3, 3, 3, -1, 156, 156, 156, 3, 
	3, 3, -1, 3, 3, 3, 101, -1, 
	277, -1, 3, 189, -1, 156, -1, 3, 
	499, 499, 499, 3, 3, 3, -1, 3, 
	3, 525, 319, 3, -1, -1, -1, 101, 
	101, 101, 101, 101, -1, -1, -1, 3, 
	144, 144, 199, 199, 199, 199, -1, 553, 
	187, 209, -1, 3, 3, 199, 101, 101, 
	101, 694, 200, 200, 200, 200, 3, 201, 
	201, 201, 201, 3, 187, 200, 555, 101, 
	553, -1, 201, -1, 187, 554, 554, -1, 
	483, 611, 187, 145, 145, 464, 464, 464, 
	162, 464, 3, 3, 3, 207, 207, 207, 
	-1, 207, 3, 588, 319, 662, -1, 553, 
	99, 99, 99, 148, 148, 148, 3, 4, 
	4, 4, 4, 4, 4, 4, 4, 4, 
	4, 4, 4, 4, 4, 4, -1, 4, 
	4, 4, 4, 4, 4, 4, 4, 60, 
	81, -1, 4, 4, 4, 4, 4, 187, 
	4, 61, 4, 4, 4, 4, -1, 4, 
	382, 4, 4, 4, -1, -1, 4, -1, 
	653, 4, 4, 4, 4, 4, -1, 4, 
	4, 4, 515, 515, 515, -1, 4, 4, 
	4, 4, 4, 62, 314, 4, 4, 4, 
	4, 232, 232, 232, 232, 232, -1, 499, 
	499, 83, 156, 156, -1, 69, -1, -1, 
	-1, 81, 101, 101, 187, 101, 647, 647, 
	232, 232, 232, -1, 389, -1, 187, -1, 
	-1, -1, 607, 607, -1, -1, 414, -1, 
	199, 232, -1, 554, -1, 187, -1, 187, 
	281, 281, 281, 464, -1, 669, 669, 363, 
	200, -1, -1, 207, 208, 201, 135, 187, 
	207, 199, 199, 199, 101, 101, 71, 464, 
	-1, -1, 83, -1, -1, 90, 90, -1, 
	203, 200, 200, 200, -1, -1, 201, 201, 
	201, -1, -1, -1, -1, 135, -1, 286, 
	286, 4, 4, 4, 4, -1, -1, 4, 
	4, 464, 4, 4, 4, 207, 699, 699, 
	628, 4, 4, 4, -1, 4, 4, 4, 
	101, -1, -1, -1, 4, 572, 572, 572, 
	187, 4, -1, -1, 515, 4, 4, 4, 
	-1, 4, 4, -1, 313, 4, -1, 202, 
	202, 202, 202, 689, -1, 689, -1, -1, 
	466, 4, 202, 348, 158, 348, -1, 516, 
	92, 92, 293, 293, 293, 4, 4, -1, 
	647, 191, 191, 191, 191, 515, -1, 4, 
	4, 191, 379, 379, 379, 4, 379, 191, 
	607, 191, 191, 478, -1, 478, 158, -1, 
	700, 700, 478, 93, 93, 669, -1, -1, 
	-1, 94, 94, -1, 4, 4, 4, 465, 
	-1, 290, 290, 290, 4, 4, -1, 380, 
	380, 380, 582, 380, 582, -1, 232, 232, 
	4, 582, 5, 5, 5, 5, 5, 5, 
	5, 5, 5, 5, 5, 5, 5, 5, 
	5, 312, 5, 5, 5, 5, 5, 5, 
	5, 5, 95, 95, -1, 5, 5, 5, 
	5, 5, -1, 5, 699, 5, 5, 5, 
	5, 565, 5, 565, 5, 5, 5, 572, 
	453, 5, 388, 312, 5, 5, 5, 5, 
	5, -1, 5, 5, 5, -1, 583, -1, 
	-1, 5, 5, 5, 5, 5, 628, -1, 
	5, 5, 5, 5, -1, -1, -1, 96, 
	96, -1, -1, -1, 453, -1, -1, -1, 
	572, 606, 606, 606, 606, -1, -1, 615, 
	-1, 615, 615, 615, 615, 202, -1, -1, 
	379, 689, 628, 628, -1, 379, 482, 478, 
	478, 478, 700, -1, 191, 573, 191, 191, 
	191, 191, 191, 191, -1, 386, 202, 202, 
	202, -1, 198, -1, 470, 470, 470, 386, 
	-1, -1, -1, -1, -1, 380, 582, 582, 
	-1, 478, 380, -1, -1, 413, -1, -1, 
	-1, -1, 379, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	371, 371, 371, 371, 5, 5, 5, 5, 
	582, 4, 5, 5, -1, 5, 5, 5, 
	524, -1, -1, -1, 5, 5, 5, 380, 
	5, 5, 5, -1, -1, -1, 210, 5, 
	210, 210, 210, 210, 5, 210, -1, -1, 
	5, 5, 5, -1, 5, 5, -1, -1, 
	5, -1, -1, 235, 377, 377, 377, 377, 
	-1, -1, -1, 525, 5, -1, 238, 238, 
	238, 238, 238, 247, 247, 247, -1, 247, 
	5, 5, 144, 144, 235, 235, 235, 235, 
	235, -1, 5, 5, -1, 238, 238, 238, 
	5, 192, 192, 192, 192, -1, 609, 609, 
	609, 192, 609, 235, 235, 235, 238, 192, 
	555, 192, 192, 192, -1, 615, -1, 5, 
	5, 5, 483, 611, 235, 145, 145, 5, 
	5, -1, -1, 606, 606, 606, -1, -1, 
	606, 606, 606, 5, -1, 6, 6, 6, 
	6, 6, 6, 6, 6, 6, 6, 6, 
	6, 6, 6, 6, -1, 6, 6, 6, 
	6, 6, 6, 6, 6, -1, -1, -1, 
	6, 6, 6, 6, 6, -1, 6, -1, 
	6, 6, 6, 6, -1, 6, -1, 6, 
	6, 6, -1, -1, 6, -1, 192, 6, 
	6, 6, 6, 6, -1, 6, 6, 6, 
	-1, -1, 653, -1, 6, 6, 6, 6, 
	6, -1, -1, 6, 6, 6, 6, 371, 
	371, 371, -1, -1, 210, -1, -1, -1, 
	-1, 247, 210, -1, -1, -1, 210, 210, 
	-1, 499, 499, -1, 156, 156, -1, 651, 
	-1, 651, -1, -1, 101, 101, 651, 101, 
	-1, -1, 247, -1, 609, -1, -1, 235, 
	235, -1, 235, -1, -1, -1, 377, 377, 
	377, -1, 199, 609, 192, 554, 192, 192, 
	192, 192, 192, 192, -1, -1, 210, -1, 
	-1, 247, 200, -1, -1, -1, -1, 201, 
	-1, 187, 207, 238, 238, -1, 101, 101, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	609, 235, 235, -1, -1, -1, -1, 6, 
	6, 6, 6, -1, 5, 6, 6, -1, 
	6, 6, 6, -1, -1, -1, -1, 6, 
	6, 6, -1, 6, 6, 6, -1, 207, 
	236, -1, 6, 373, 373, 373, 373, 6, 
	-1, -1, 101, 6, 6, 6, -1, 6, 
	6, -1, 187, 6, -1, 235, -1, -1, 
	-1, 236, 236, 236, 236, 236, -1, 6, 
	239, 239, 239, 239, 239, 240, 240, 240, 
	240, 240, -1, 6, 6, -1, -1, -1, 
	236, 236, 236, 651, 651, 6, 6, 239, 
	239, 239, 647, 6, 240, 240, 240, 515, 
	-1, 236, -1, -1, -1, 617, 617, 617, 
	239, 617, 607, -1, -1, 240, -1, -1, 
	-1, -1, 6, 6, 6, 651, -1, 669, 
	-1, -1, 6, 6, -1, 387, 387, 387, 
	726, 387, 726, -1, -1, -1, 6, 726, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	7, 7, 7, 7, 7, 7, 7, -1, 
	7, 7, 7, 7, 7, 7, 7, 7, 
	-1, -1, -1, 7, 7, 7, 7, 7, 
	-1, 7, -1, 7, 7, 7, 7, -1, 
	7, -1, 7, 7, 7, -1, 699, 7, 
	-1, -1, 7, 7, 7, 7, 7, -1, 
	7, 7, 7, -1, -1, -1, -1, 7, 
	7, 7, 7, 7, -1, -1, 7, 7, 
	7, 7, 374, 374, 374, 374, -1, -1, 
	628, -1, -1, -1, -1, -1, 355, 355, 
	355, 355, -1, -1, 236, 236, 355, 236, 
	-1, -1, 572, -1, 355, -1, 355, 355, 
	-1, -1, 373, 373, 373, -1, -1, 202, 
	-1, -1, -1, 617, 628, -1, -1, 379, 
	617, -1, -1, 478, 700, -1, 191, -1, 
	191, 191, 191, 191, 191, 191, -1, -1, 
	-1, -1, -1, 387, 726, 726, 236, 236, 
	387, -1, -1, -1, -1, 239, 239, -1, 
	582, 582, 240, 240, -1, -1, -1, 241, 
	241, 241, 241, 241, 379, 617, 375, 375, 
	375, 375, 7, 7, 7, 7, 726, 6, 
	7, 7, -1, 7, 7, 7, 241, 241, 
	241, -1, 7, 7, 7, 387, 7, 7, 
	7, -1, 236, -1, 727, 7, 727, 241, 
	-1, -1, 7, 727, -1, -1, 7, 7, 
	7, -1, 7, 7, -1, -1, 7, -1, 
	-1, -1, -1, -1, -1, 376, 376, 376, 
	376, -1, 7, -1, 242, 242, 242, 242, 
	242, 243, 243, 243, 243, 243, 7, 7, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	7, 7, -1, 242, 242, 242, 7, -1, 
	243, 243, 243, -1, -1, 355, 355, 355, 
	355, 668, 668, 668, 242, -1, -1, -1, 
	-1, 243, -1, -1, -1, 7, 7, 7, 
	-1, 374, 374, 374, -1, 7, 7, 615, 
	-1, 567, 567, 567, 567, -1, -1, -1, 
	-1, 7, -1, 8, 8, 8, 8, 8, 
	8, 8, 8, 8, 8, 8, 8, 8, 
	8, 8, -1, 8, 8, 8, 8, 8, 
	8, 8, 8, -1, -1, -1, 8, 8, 
	8, 8, 8, -1, 8, -1, 8, 8, 
	8, 8, -1, 8, -1, 8, 8, 8, 
	727, 727, 8, -1, -1, 8, 8, 8, 
	8, 8, -1, 8, 8, 8, -1, -1, 
	192, -1, 8, 8, 8, 8, 8, -1, 
	-1, 8, 8, 8, 8, 375, 375, 375, 
	-1, -1, 727, -1, 241, 241, -1, -1, 
	-1, 371, 371, 371, -1, 645, 645, 645, 
	-1, 645, -1, -1, 210, -1, -1, -1, 
	-1, 210, -1, -1, -1, 493, 493, 493, 
	493, -1, -1, 668, -1, 493, -1, -1, 
	-1, -1, -1, 493, 247, 493, 493, -1, 
	-1, -1, -1, -1, 376, 376, 376, -1, 
	377, 377, 377, -1, -1, -1, 192, -1, 
	192, 192, 192, 192, 192, 192, -1, -1, 
	210, 242, 242, 247, 668, -1, 243, 243, 
	-1, -1, -1, -1, -1, 238, 238, -1, 
	-1, -1, -1, -1, -1, 8, 8, 8, 
	8, -1, 7, 8, 8, -1, 8, 8, 
	8, 567, 567, 567, -1, 8, 8, 8, 
	-1, 8, 8, 8, -1, 234, -1, -1, 
	8, -1, -1, -1, -1, 8, -1, -1, 
	-1, 8, 8, 8, -1, 8, 8, -1, 
	-1, 8, -1, -1, -1, -1, 234, 234, 
	234, 234, 234, -1, -1, 8, 244, 244, 
	244, 244, 244, 245, 245, 245, 245, 245, 
	-1, 8, 8, 645, -1, 234, 234, 234, 
	645, -1, -1, 8, 8, 244, 244, 244, 
	-1, 8, 245, 245, 245, -1, 234, 645, 
	-1, -1, -1, -1, -1, -1, 244, -1, 
	-1, -1, -1, 245, -1, -1, -1, -1, 
	8, 8, 8, 493, 493, 493, 493, 493, 
	8, 8, -1, -1, -1, 645, -1, -1, 
	-1, 645, -1, -1, 8, -1, 9, 9, 
	9, 9, 9, 9, 9, 9, 9, 9, 
	9, 9, 9, 9, 9, -1, 9, 9, 
	9, 9, 9, 9, 9, 9, -1, -1, 
	-1, 9, 9, 9, 9, 9, -1, 9, 
	-1, 9, 9, 9, 9, -1, 9, -1, 
	9, 9, 9, -1, -1, 9, -1, -1, 
	9, 9, 9, 9, 9, -1, 9, 9, 
	9, -1, -1, -1, -1, 9, 9, 9, 
	9, 9, -1, -1, 9, 9, 9, 9, 
	-1, -1, -1, -1, -1, -1, -1, 352, 
	352, 352, 352, 352, 352, 352, 352, 352, 
	352, 234, 234, -1, 234, 352, -1, 352, 
	352, 352, 352, 352, 352, 352, 534, 534, 
	534, 534, 534, 534, 534, 534, 534, 534, 
	534, 534, -1, -1, 373, 373, 373, -1, 
	-1, -1, -1, -1, 396, 396, 396, 396, 
	396, 396, 396, 396, 396, 396, 396, 396, 
	-1, -1, -1, 234, 234, -1, -1, -1, 
	-1, -1, -1, 244, 244, -1, -1, -1, 
	245, 245, 387, -1, -1, -1, 534, 239, 
	239, -1, -1, -1, 240, 240, -1, -1, 
	9, 9, 9, 9, -1, 8, 9, 9, 
	-1, 9, 9, 9, 396, -1, -1, -1, 
	9, 9, 9, -1, 9, 9, 9, 234, 
	-1, -1, -1, 9, -1, -1, -1, 387, 
	9, -1, -1, -1, 9, 9, 9, -1, 
	9, 9, -1, -1, 9, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	9, 549, 549, 549, 549, 549, -1, -1, 
	-1, -1, -1, -1, 9, 9, -1, -1, 
	-1, -1, -1, -1, -1, -1, 9, 9, 
	549, 549, 549, 352, 9, 352, 352, 352, 
	352, 352, -1, 534, -1, -1, -1, -1, 
	-1, 549, -1, -1, -1, -1, -1, 355, 
	355, 355, 355, 9, 9, 9, -1, -1, 
	-1, 396, -1, 9, 9, -1, -1, -1, 
	-1, -1, -1, 374, 374, 374, -1, 9, 
	-1, 10, 10, 10, 10, 10, 10, 10, 
	10, 10, 10, 10, 10, 10, 10, 10, 
	-1, 10, 10, 10, 10, 10, 10, 10, 
	10, -1, -1, -1, 10, 10, 10, 10, 
	10, -1, 10, -1, 10, 10, 10, 10, 
	-1, 10, -1, 10, 10, 10, -1, -1, 
	10, -1, -1, 10, 10, 10, 10, 10, 
	-1, 10, 10, 10, -1, -1, -1, 353, 
	10, 10, 10, 10, 10, -1, -1, 10, 
	10, 10, 10, -1, 412, 412, 412, -1, 
	412, 698, 698, 698, -1, 698, 354, 375, 
	375, 375, -1, -1, -1, -1, 241, 241, 
	353, 353, 353, 353, 353, 353, 353, 353, 
	353, 353, 353, 353, 353, 353, 353, -1, 
	353, 353, 353, 353, 353, 353, 353, 354, 
	354, 354, 354, 354, 354, 354, 354, 354, 
	354, 354, 354, 354, 354, 354, -1, 354, 
	354, 354, 354, 354, 354, 354, 376, 376, 
	376, -1, -1, -1, -1, -1, 549, 549, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 242, 242, -1, 668, -1, 
	243, 243, -1, 10, 10, 10, 10, -1, 
	9, 10, 10, -1, 10, 10, 10, -1, 
	-1, -1, -1, 10, 10, 10, -1, 10, 
	10, 10, -1, 567, 567, 567, 10, -1, 
	-1, -1, -1, 10, -1, -1, -1, 10, 
	10, 10, -1, 10, 10, -1, -1, 10, 
	-1, -1, -1, -1, -1, 364, 364, 364, 
	364, -1, 412, 10, -1, 364, -1, 698, 
	-1, -1, -1, 364, -1, 364, 364, 10, 
	10, -1, -1, 514, 514, 514, 698, 514, 
	-1, 10, 10, 412, -1, -1, -1, 10, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 353, -1, 353, 353, 
	353, 353, 353, -1, -1, -1, 10, 10, 
	10, -1, 412, 698, -1, -1, 10, 10, 
	-1, -1, -1, 354, -1, 354, 354, 354, 
	354, 354, 10, -1, 11, 11, 11, 11, 
	11, 11, 11, 11, 11, 11, 11, 11, 
	11, 11, 11, -1, 11, 11, 11, 11, 
	11, 11, 11, 11, -1, -1, -1, 11, 
	11, 11, 11, 11, -1, 11, -1, 11, 
	11, 11, 11, -1, 11, -1, 11, 11, 
	11, -1, -1, 11, -1, -1, 11, 11, 
	11, 11, 11, -1, 11, 11, 11, -1, 
	-1, -1, -1, 11, 11, 11, 11, 11, 
	-1, -1, 11, 11, 11, 11, -1, -1, 
	-1, -1, -1, -1, -1, -1, 356, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	364, 514, 364, 364, 364, 364, 364, 364, 
	-1, -1, -1, 234, 234, -1, 234, -1, 
	514, -1, -1, -1, -1, -1, -1, 356, 
	356, 356, 356, 356, 356, 356, 356, 356, 
	356, 356, 356, 356, 356, 356, -1, 356, 
	356, 356, 356, 356, 356, 356, -1, -1, 
	-1, -1, -1, -1, -1, 514, -1, -1, 
	-1, -1, -1, -1, -1, 234, 234, -1, 
	-1, -1, -1, -1, -1, 244, 244, -1, 
	-1, -1, 245, 245, -1, -1, 11, 11, 
	11, 11, -1, 10, 11, 11, -1, 11, 
	11, 11, -1, -1, -1, -1, 11, 11, 
	11, -1, 11, 11, 11, -1, 396, -1, 
	-1, 11, -1, -1, -1, -1, 11, -1, 
	-1, 234, 11, 11, 11, -1, 11, 11, 
	-1, -1, 11, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 381, 11, 381, 
	381, 381, 381, -1, -1, -1, -1, -1, 
	-1, -1, 11, 11, -1, -1, -1, -1, 
	-1, -1, -1, -1, 11, 11, -1, -1, 
	-1, -1, 11, 479, 479, 479, 479, -1, 
	-1, -1, -1, 479, -1, 352, -1, 381, 
	-1, 479, -1, 479, 479, 479, -1, -1, 
	-1, 11, 11, 11, -1, -1, -1, -1, 
	-1, 11, 11, 356, -1, 356, 356, 356, 
	356, 356, -1, 396, -1, 11, -1, 12, 
	12, 12, 12, 12, 12, 12, 12, 12, 
	12, 12, 12, 12, 12, 12, -1, 12, 
	12, 12, 12, 12, 12, 12, 12, -1, 
	-1, -1, 12, 12, 12, 12, 12, -1, 
	12, -1, 12, 12, 12, 12, -1, 12, 
	-1, 12, 12, 12, -1, -1, 12, 357, 
	479, 12, 12, 12, 12, 12, -1, 12, 
	12, 12, -1, -1, -1, -1, 12, 12, 
	12, 12, 12, -1, -1, 12, 12, 12, 
	12, -1, -1, -1, -1, -1, -1, -1, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, 357, 
	357, 357, 357, 357, 357, 357, 357, -1, 
	-1, -1, -1, 381, -1, -1, -1, -1, 
	-1, 381, -1, -1, -1, 381, 381, -1, 
	-1, -1, -1, -1, -1, -1, 479, -1, 
	479, 479, 479, 479, 479, 479, -1, -1, 
	535, 535, 535, 535, 535, 535, 535, 535, 
	535, 535, 535, 535, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	549, 549, -1, -1, -1, 381, -1, -1, 
	-1, 12, 12, 12, 12, -1, 11, 12, 
	12, -1, 12, 12, 12, -1, -1, -1, 
	-1, 12, 12, 12, -1, 12, 12, 12, 
	535, -1, -1, -1, 12, -1, -1, -1, 
	-1, 12, -1, -1, -1, 12, 12, 12, 
	-1, 12, 12, -1, -1, 12, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 12, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 12, 12, -1, 
	-1, -1, -1, -1, -1, -1, -1, 12, 
	12, -1, -1, -1, 357, 12, 357, 357, 
	357, 357, 357, -1, -1, 412, -1, -1, 
	-1, 485, 485, 485, 485, -1, -1, -1, 
	-1, 485, -1, -1, 12, 12, 12, 485, 
	-1, 485, 485, -1, 12, 12, -1, -1, 
	-1, -1, -1, -1, 412, 535, -1, -1, 
	12, -1, 13, 13, 13, 13, 13, 13, 
	13, 13, 13, 13, 13, 13, 13, 13, 
	13, -1, 13, 13, 13, 13, 13, 13, 
	13, 13, -1, -1, -1, 13, 13, 13, 
	13, 13, -1, 13, -1, 13, 13, 13, 
	13, -1, 13, -1, 13, 13, 13, -1, 
	-1, 13, 358, -1, 13, 13, 13, 13, 
	13, -1, 13, 13, 13, -1, -1, -1, 
	-1, 13, 13, 13, 13, 13, -1, -1, 
	13, 13, 13, 13, -1, -1, -1, -1, 
	-1, -1, -1, 358, 358, 358, 358, 358, 
	358, 358, 358, 358, 358, 358, 358, 358, 
	358, 358, -1, 358, 358, 358, 358, 358, 
	358, 358, 364, -1, 364, 364, 364, 364, 
	364, 364, -1, -1, -1, -1, -1, -1, 
	-1, -1, 514, -1, -1, -1, -1, -1, 
	533, 533, 533, 533, 533, 533, 533, 533, 
	533, 533, 533, 533, -1, -1, 485, 485, 
	485, 485, 485, 485, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 514, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 13, 13, 13, 13, 
	-1, 12, 13, 13, -1, 13, 13, 13, 
	533, -1, -1, -1, 13, 13, 13, -1, 
	13, 13, 13, -1, -1, -1, -1, 13, 
	-1, -1, -1, -1, 13, -1, -1, -1, 
	13, 13, 13, -1, 13, 13, -1, -1, 
	13, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 385, 13, 385, 385, 385, 
	385, -1, 385, -1, -1, -1, -1, -1, 
	13, 13, -1, -1, -1, -1, -1, -1, 
	-1, -1, 13, 13, -1, -1, -1, 358, 
	13, 358, 358, 358, 358, 358, -1, -1, 
	-1, -1, -1, -1, -1, 385, -1, -1, 
	-1, -1, -1, 486, 486, 486, 486, 13, 
	13, 13, -1, 486, -1, 533, -1, 13, 
	13, 486, -1, 486, 486, -1, -1, -1, 
	-1, -1, -1, 13, -1, 14, 14, 14, 
	14, 14, 14, 14, 14, 14, 14, 14, 
	14, 14, 14, 14, -1, 14, 14, 14, 
	14, 14, 14, 14, 14, -1, -1, -1, 
	14, 14, 14, 14, 14, -1, 14, -1, 
	14, 14, 14, 14, -1, 14, -1, 14, 
	14, 14, -1, -1, 14, 359, -1, 14, 
	14, 14, 14, 14, -1, 14, 14, 14, 
	-1, -1, 479, -1, 14, 14, 14, 14, 
	14, -1, -1, 14, 14, 14, 14, -1, 
	-1, -1, -1, -1, -1, -1, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, 359, 359, 359, 
	359, 359, 359, 359, 359, -1, -1, -1, 
	-1, 385, -1, -1, -1, -1, -1, 385, 
	-1, -1, -1, 385, 385, -1, -1, -1, 
	-1, -1, -1, 381, -1, -1, -1, -1, 
	381, -1, -1, -1, -1, -1, -1, -1, 
	479, -1, 479, 479, 479, 479, 479, 479, 
	486, 486, 486, 486, 486, 486, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 385, -1, -1, -1, 14, 
	14, 14, 14, -1, 13, 14, 14, 381, 
	14, 14, 14, -1, -1, -1, -1, 14, 
	14, 14, -1, 14, 14, 14, -1, -1, 
	-1, -1, 14, -1, -1, -1, -1, 14, 
	-1, -1, -1, 14, 14, 14, -1, 14, 
	14, -1, -1, 14, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 14, 
	-1, -1, 489, 489, 489, 489, -1, -1, 
	-1, -1, 489, 14, 14, -1, -1, -1, 
	489, -1, 489, 489, -1, 14, 14, -1, 
	-1, -1, 359, 14, 359, 359, 359, 359, 
	359, -1, -1, -1, -1, -1, -1, 487, 
	487, 487, 487, -1, -1, -1, -1, 487, 
	-1, -1, 14, 14, 14, 487, -1, 487, 
	487, -1, 14, 14, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 14, -1, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	15, 15, 15, 15, 15, 15, 15, -1, 
	15, 15, 15, 15, 15, 15, 15, 15, 
	-1, -1, -1, 15, 15, 15, 15, 15, 
	-1, 15, -1, 15, 15, 15, 15, -1, 
	15, -1, 15, 15, 15, -1, -1, 15, 
	360, -1, 15, 15, 15, 15, 15, -1, 
	15, 15, 15, -1, -1, -1, -1, 15, 
	15, 15, 15, 15, -1, -1, 15, 15, 
	15, 15, -1, -1, -1, -1, -1, -1, 
	-1, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	360, 360, 360, 360, 360, 360, 360, 360, 
	489, 489, 489, 489, 489, -1, -1, -1, 
	-1, 536, 536, 536, 536, 536, 536, 536, 
	536, 536, 536, 536, 536, -1, -1, 537, 
	537, 537, 537, 537, 537, 537, 537, 537, 
	537, 537, 537, -1, 487, 487, 487, 487, 
	487, 487, -1, -1, -1, -1, -1, -1, 
	485, 485, 485, 485, 485, 485, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 536, 15, 15, 15, 15, -1, 14, 
	15, 15, -1, 15, 15, 15, -1, 537, 
	-1, -1, 15, 15, 15, -1, 15, 15, 
	15, -1, 533, -1, -1, 15, -1, -1, 
	-1, -1, 15, -1, -1, -1, 15, 15, 
	15, -1, 15, 15, -1, -1, 15, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 15, -1, -1, 490, 490, 490, 
	490, -1, -1, -1, -1, 490, 15, 15, 
	-1, -1, -1, 490, -1, 490, 490, -1, 
	15, 15, -1, -1, -1, 360, 15, 360, 
	360, 360, 360, 360, -1, -1, -1, -1, 
	-1, -1, 488, 488, 488, 488, 536, -1, 
	-1, -1, 488, -1, -1, 15, 15, 15, 
	488, -1, 488, 488, 537, 15, 15, -1, 
	-1, -1, -1, -1, -1, -1, -1, 533, 
	-1, 15, -1, 16, 16, 16, 16, 16, 
	16, 16, 16, 16, 16, 16, 16, 16, 
	16, 16, -1, 16, 16, 16, 16, 16, 
	16, 16, 16, -1, -1, -1, 16, 16, 
	16, 16, 16, -1, 16, -1, 16, 16, 
	16, 16, -1, 16, -1, 16, 16, 16, 
	-1, -1, 16, 365, -1, 16, 16, 16, 
	16, 16, -1, 16, 16, 16, -1, -1, 
	-1, -1, 16, 16, 16, 16, 16, -1, 
	-1, 16, 16, 16, 16, -1, -1, -1, 
	-1, -1, -1, -1, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 365, 365, 365, 365, 365, 
	365, 365, 365, 490, 490, 490, 490, 490, 
	-1, -1, -1, -1, 538, 538, 538, 538, 
	538, 538, 538, 538, 538, 538, 538, 538, 
	-1, 385, -1, -1, -1, -1, 385, -1, 
	-1, -1, -1, -1, -1, -1, -1, 488, 
	488, 488, 488, 488, 488, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 486, 486, 486, 486, 486, 486, 
	-1, -1, -1, -1, 538, 16, 16, 16, 
	16, -1, 15, 16, 16, 385, 16, 16, 
	16, -1, -1, -1, -1, 16, 16, 16, 
	-1, 16, 16, 16, -1, -1, -1, -1, 
	16, -1, -1, -1, -1, 16, -1, -1, 
	-1, 16, 16, 16, -1, 16, 16, -1, 
	-1, 16, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 16, -1, -1, 
	491, 491, 491, 491, -1, -1, -1, -1, 
	491, 16, 16, -1, -1, -1, 491, -1, 
	491, 491, -1, 16, 16, -1, -1, -1, 
	365, 16, 365, 365, 365, 365, 365, -1, 
	-1, -1, -1, -1, -1, 492, 492, 492, 
	492, 538, -1, -1, -1, 492, -1, -1, 
	16, 16, 16, 492, -1, 492, 492, -1, 
	16, 16, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 16, -1, 17, 17, 
	17, 17, 17, 17, 17, 17, 17, 17, 
	17, 17, 17, 17, 17, -1, 17, 17, 
	17, 17, 17, 17, 17, 17, -1, -1, 
	-1, 17, 17, 17, 17, 17, -1, 17, 
	-1, 17, 17, 17, 17, -1, 17, -1, 
	17, 17, 17, -1, -1, 17, 481, -1, 
	17, 17, 17, 17, 17, -1, 17, 17, 
	17, -1, -1, -1, -1, 17, 17, 17, 
	17, 17, -1, -1, 17, 17, 17, 17, 
	-1, -1, -1, -1, -1, -1, -1, 481, 
	481, 481, 481, 481, 481, 481, 481, 481, 
	481, 481, 481, 481, 481, 481, -1, 481, 
	481, 481, 481, 481, 481, 481, 491, 491, 
	491, 491, 491, -1, -1, -1, -1, -1, 
	-1, -1, 489, 489, 489, 489, 489, -1, 
	-1, -1, -1, -1, 539, 539, 539, 539, 
	539, 539, 539, 539, 539, 539, 539, 539, 
	-1, -1, -1, 492, 492, 492, 492, 492, 
	-1, -1, -1, -1, -1, -1, 487, 487, 
	487, 487, 487, 487, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	17, 17, 17, 17, -1, 16, 17, 17, 
	-1, 17, 17, 17, 539, -1, -1, -1, 
	17, 17, 17, -1, 17, 17, 17, -1, 
	-1, -1, -1, 17, -1, -1, -1, -1, 
	17, -1, -1, -1, 17, 17, 17, -1, 
	17, 17, -1, -1, 17, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	17, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 17, 17, -1, -1, 
	-1, -1, -1, -1, -1, -1, 17, 17, 
	-1, -1, -1, 481, 17, 481, 481, 481, 
	481, 481, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 17, 17, 17, -1, -1, 
	-1, 539, -1, 17, 17, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 17, 
	-1, 18, 18, 18, 18, 18, 18, 18, 
	18, 18, 18, 18, 18, 18, 18, 18, 
	-1, 18, 18, 18, 18, 18, 18, 18, 
	18, -1, -1, -1, 18, 18, 18, 18, 
	18, -1, 18, -1, 18, 18, 18, 18, 
	-1, 18, -1, 18, 18, 18, -1, -1, 
	18, 494, -1, 18, 18, 18, 18, 18, 
	-1, 18, 18, 18, -1, -1, -1, -1, 
	18, 18, 18, 18, 18, -1, -1, 18, 
	18, 18, 18, -1, -1, -1, -1, -1, 
	-1, -1, 494, 494, 494, 494, 494, 494, 
	494, 494, 494, 494, 494, 494, 494, 494, 
	494, -1, 494, 494, 494, 494, 494, 494, 
	494, 540, 540, 540, 540, 540, 540, 540, 
	540, 540, 540, 540, 540, 490, 490, 490, 
	490, 490, -1, -1, -1, -1, -1, 541, 
	541, 541, 541, 541, 541, 541, 541, 541, 
	541, 541, 541, 542, 542, 542, 542, 542, 
	542, 542, 542, 542, 542, 542, 542, -1, 
	-1, 488, 488, 488, 488, 488, 488, -1, 
	-1, 540, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 18, 18, 18, 18, -1, 
	17, 18, 18, -1, 18, 18, 18, 541, 
	-1, -1, -1, 18, 18, 18, -1, 18, 
	18, 18, -1, 542, -1, -1, 18, -1, 
	-1, -1, -1, 18, -1, -1, -1, 18, 
	18, 18, -1, 18, 18, -1, -1, 18, 
	-1, -1, -1, -1, -1, 550, 550, 550, 
	550, 550, -1, 18, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 18, 
	18, -1, -1, -1, 550, 550, 550, -1, 
	-1, 18, 18, -1, -1, -1, 494, 18, 
	494, 494, 494, 494, 494, 550, 540, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 18, 18, 
	18, -1, -1, -1, 541, -1, 18, 18, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	542, -1, 18, -1, 19, 19, 19, 19, 
	19, 19, 19, 19, 19, 19, 19, 19, 
	19, 19, 19, -1, 19, 19, 19, 19, 
	19, 19, 19, 19, -1, -1, -1, 19, 
	19, 19, 19, 19, -1, 19, -1, 19, 
	19, 19, 19, -1, 19, -1, 19, 19, 
	19, -1, -1, 19, 495, -1, 19, 19, 
	19, 19, 19, -1, 19, 19, 19, -1, 
	-1, -1, -1, 19, 19, 19, 19, 19, 
	-1, -1, 19, 19, 19, 19, -1, -1, 
	-1, -1, -1, -1, -1, 495, 495, 495, 
	495, 495, 495, 495, 495, 495, 495, 495, 
	495, 495, 495, 495, -1, 495, 495, 495, 
	495, 495, 495, 495, 543, 543, 543, 543, 
	543, 543, 543, 543, 543, 543, 543, 543, 
	491, 491, 491, 491, 491, -1, -1, -1, 
	-1, -1, 544, 544, 544, 544, 544, 544, 
	544, 544, 544, 544, 544, 544, -1, -1, 
	-1, -1, 550, 550, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 492, 492, 492, 
	492, 492, -1, -1, 543, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 19, 19, 
	19, 19, -1, 18, 19, 19, -1, 19, 
	19, 19, 544, -1, -1, -1, 19, 19, 
	19, -1, 19, 19, 19, -1, -1, -1, 
	-1, 19, -1, -1, -1, -1, 19, -1, 
	-1, -1, 19, 19, 19, -1, 19, 19, 
	-1, -1, 19, -1, -1, -1, -1, -1, 
	683, 683, 683, 683, 683, 527, 19, 527, 
	527, 527, 527, -1, 527, -1, -1, -1, 
	-1, -1, 19, 19, -1, -1, -1, 683, 
	683, 683, -1, -1, 19, 19, -1, -1, 
	-1, 495, 19, 495, 495, 495, 495, 495, 
	683, 543, -1, -1, -1, -1, -1, 527, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 19, 19, 19, 608, 608, 608, 544, 
	608, 19, 19, -1, -1, -1, 667, 667, 
	667, -1, 667, -1, -1, 19, -1, 20, 
	20, 20, 20, 20, 20, 20, 20, 20, 
	20, 20, 20, 20, 20, 20, -1, 20, 
	20, 20, 20, 20, 20, 20, 20, -1, 
	-1, -1, 20, 20, 20, 20, 20, -1, 
	20, -1, 20, 20, 20, 20, -1, 20, 
	-1, 20, 20, 20, -1, -1, 20, 496, 
	-1, 20, 20, 20, 20, 20, -1, 20, 
	20, 20, -1, -1, -1, -1, 20, 20, 
	20, 20, 20, -1, -1, 20, 20, 20, 
	20, -1, -1, -1, -1, -1, -1, -1, 
	496, 496, 496, 496, 496, 496, 496, 496, 
	496, 496, 496, 496, 496, 496, 496, -1, 
	496, 496, 496, 496, 496, 496, 496, -1, 
	-1, -1, -1, 527, -1, -1, -1, -1, 
	-1, 527, -1, -1, -1, 527, 527, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 608, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 667, 683, 683, -1, 
	-1, 608, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 667, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 527, -1, -1, 
	-1, 20, 20, 20, 20, -1, 19, 20, 
	20, -1, 20, 20, 20, -1, 608, -1, 
	-1, 20, 20, 20, -1, 20, 20, 20, 
	667, -1, -1, -1, 20, -1, -1, -1, 
	-1, 20, -1, -1, -1, 20, 20, 20, 
	-1, 20, 20, -1, -1, 20, -1, -1, 
	-1, -1, -1, 563, 563, 563, 563, 563, 
	-1, 20, 563, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 20, 20, -1, 
	-1, -1, 563, 563, 563, -1, -1, 20, 
	20, -1, -1, -1, 496, 20, 496, 496, 
	496, 496, 496, 563, 571, 571, 571, -1, 
	571, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 20, 20, 20, -1, 
	-1, -1, -1, -1, 20, 20, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	20, -1, 21, 21, 21, 21, 21, 21, 
	21, 21, 21, 21, 21, 21, 21, 21, 
	21, -1, 21, 21, 21, 21, 21, 21, 
	21, 21, -1, -1, -1, 21, 21, 21, 
	21, 21, -1, 21, -1, 21, 21, 21, 
	21, -1, 21, -1, 21, 21, 21, -1, 
	-1, 21, 497, -1, 21, 21, 21, 21, 
	21, -1, 21, 21, 21, -1, -1, -1, 
	-1, 21, 21, 21, 21, 21, -1, -1, 
	21, 21, 21, 21, -1, -1, 563, -1, 
	-1, -1, -1, 497, 497, 497, 497, 497, 
	497, 497, 497, 497, 497, 497, 497, 497, 
	497, 497, -1, 497, 497, 497, 497, 497, 
	497, 497, -1, -1, -1, -1, -1, -1, 
	-1, -1, 571, -1, -1, -1, -1, 571, 
	676, 676, 676, 676, 676, 676, 676, 676, 
	676, 676, 676, 676, -1, -1, 571, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	563, 563, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 550, 550, -1, -1, 
	-1, -1, -1, -1, 571, -1, -1, -1, 
	571, -1, -1, -1, 21, 21, 21, 21, 
	676, 20, 21, 21, -1, 21, 21, 21, 
	-1, -1, -1, -1, 21, 21, 21, -1, 
	21, 21, 21, -1, 544, -1, -1, 21, 
	-1, -1, -1, -1, 21, -1, -1, -1, 
	21, 21, 21, -1, 21, 21, -1, -1, 
	21, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 618, 21, 618, 618, 618, 
	618, -1, 618, -1, -1, -1, -1, -1, 
	21, 21, -1, -1, -1, -1, -1, -1, 
	-1, -1, 21, 21, -1, -1, -1, 497, 
	21, 497, 497, 497, 497, 497, -1, -1, 
	-1, 713, -1, 713, -1, 618, -1, -1, 
	713, -1, -1, -1, 713, 676, -1, 21, 
	21, 21, -1, 713, 713, -1, -1, 21, 
	21, -1, -1, -1, -1, -1, -1, -1, 
	-1, 544, 713, 21, -1, 22, 22, 22, 
	22, 22, 22, 22, 22, 22, 22, 22, 
	22, 22, 22, 22, -1, 22, 22, 22, 
	22, 22, 22, 22, 22, -1, -1, -1, 
	22, 22, 22, 22, 22, -1, 22, -1, 
	22, 22, 22, 22, -1, 22, -1, 22, 
	22, 22, -1, -1, 22, 585, -1, 22, 
	22, 22, 22, 22, -1, 22, 22, 22, 
	-1, -1, -1, -1, 22, 22, 22, 22, 
	22, -1, -1, 22, 22, 22, 22, -1, 
	-1, -1, -1, -1, -1, -1, 585, 585, 
	585, 585, 585, 585, 585, 585, 585, 585, 
	585, 585, 585, 585, 585, -1, 585, 585, 
	585, 585, 585, 585, 585, -1, -1, -1, 
	-1, 618, -1, -1, -1, 713, 713, 618, 
	-1, -1, -1, 618, 618, -1, -1, -1, 
	-1, -1, -1, 623, 623, 623, 623, 623, 
	623, 623, 623, 623, 623, 623, 623, -1, 
	-1, -1, -1, -1, -1, -1, -1, 713, 
	713, -1, -1, -1, -1, -1, -1, 683, 
	683, -1, -1, 608, -1, -1, -1, -1, 
	-1, -1, -1, 618, -1, 667, -1, 22, 
	22, 22, 22, -1, 21, 22, 22, -1, 
	22, 22, 22, 623, -1, -1, -1, 22, 
	22, 22, -1, 22, 22, 22, -1, -1, 
	608, -1, 22, -1, -1, -1, -1, 22, 
	-1, -1, 667, 22, 22, 22, -1, 22, 
	22, -1, -1, 22, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 22, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 22, 22, -1, -1, -1, 
	-1, -1, -1, -1, -1, 22, 22, -1, 
	-1, -1, 585, 22, 585, 585, 585, 585, 
	585, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 22, 22, 22, -1, -1, -1, 
	623, -1, 22, 22, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 22, -1, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	23, 23, 23, 23, 23, 23, 23, -1, 
	23, 23, 23, 23, 23, 23, 23, 23, 
	-1, -1, -1, 23, 23, 23, 23, 23, 
	-1, 23, -1, 23, 23, 23, 23, -1, 
	23, -1, 23, 23, 23, -1, -1, 23, 
	-1, -1, 23, 23, 23, 23, 23, -1, 
	23, 23, 23, 586, -1, -1, -1, 23, 
	23, 23, 23, 23, -1, -1, 23, 23, 
	23, 23, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	563, -1, -1, -1, 586, 586, 586, 586, 
	586, 586, 586, 586, 586, 586, 586, 586, 
	586, 586, 586, -1, 586, 586, 586, 586, 
	586, 586, 586, -1, 590, 590, 590, 590, 
	590, 590, 590, 590, 590, 590, -1, -1, 
	-1, 571, 590, -1, 590, 590, 590, 590, 
	590, 590, 590, -1, -1, -1, -1, -1, 
	571, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 563, 563, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 23, 23, 23, 23, 571, 22, 
	23, 23, 571, 23, 23, 23, -1, -1, 
	-1, -1, 23, 23, 23, -1, 23, 23, 
	23, -1, -1, -1, -1, 23, -1, -1, 
	-1, -1, 23, -1, -1, -1, 23, 23, 
	23, -1, 23, 23, -1, -1, 23, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 714, 23, 714, -1, -1, -1, -1, 
	714, -1, -1, -1, -1, -1, 23, 23, 
	-1, -1, -1, 714, 714, -1, -1, -1, 
	23, 23, -1, -1, -1, -1, 23, -1, 
	-1, -1, 714, -1, -1, -1, -1, -1, 
	586, -1, 586, 586, 586, 586, 586, -1, 
	-1, -1, -1, -1, -1, 23, 23, 23, 
	-1, -1, -1, -1, -1, 23, 23, -1, 
	590, -1, 590, 590, 590, 590, 590, -1, 
	-1, 23, -1, 29, 29, 29, 29, 29, 
	29, 29, 29, 29, 29, 29, 29, 29, 
	29, 29, -1, 29, 29, 29, 29, 29, 
	29, 29, 29, -1, -1, -1, 29, 29, 
	29, 29, 29, -1, 29, -1, 29, 29, 
	29, 29, -1, 29, -1, 29, 29, 29, 
	-1, -1, 29, 589, -1, 29, 29, 29, 
	29, 29, -1, 29, 29, 29, -1, -1, 
	-1, -1, 29, 29, 29, 29, 29, -1, 
	-1, 29, 29, 29, 29, 714, 714, -1, 
	-1, -1, -1, -1, 589, 589, 589, 589, 
	589, 589, 589, 589, 589, 589, 589, 589, 
	589, 589, 589, -1, 589, 589, 589, 589, 
	589, 589, 589, -1, -1, -1, -1, 714, 
	714, -1, -1, -1, -1, -1, 591, 591, 
	591, 591, 591, 591, 591, 591, 591, 591, 
	-1, -1, -1, -1, 591, -1, 591, 591, 
	591, 591, 591, 591, 591, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 713, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 29, 29, 29, 
	29, -1, 23, 29, 29, -1, 29, 29, 
	29, -1, -1, -1, -1, 29, 29, 29, 
	-1, 29, 29, 29, -1, 623, -1, -1, 
	29, -1, -1, -1, -1, 29, -1, -1, 
	-1, 29, 29, 29, -1, 29, 29, -1, 
	-1, 29, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 29, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 29, 29, -1, -1, -1, -1, -1, 
	-1, -1, -1, 29, 29, -1, -1, -1, 
	589, 29, 589, 589, 589, 589, 589, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	29, 29, 29, -1, -1, -1, -1, -1, 
	29, 29, 591, -1, 591, 591, 591, 591, 
	591, -1, 623, -1, 29, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, 34, 
	34, 34, 34, 34, 34, 34, 34, -1, 
	34, 34, 34, 34, 34, -1, 34, -1, 
	34, 34, 34, 34, -1, 34, -1, 34, 
	34, 34, -1, -1, 34, 34, 34, 34, 
	34, 34, 34, 34, -1, 34, 34, 34, 
	-1, -1, -1, -1, 34, 34, 34, 34, 
	34, -1, -1, 34, 34, 34, 34, 37, 
	37, 37, 37, 37, 37, 37, -1, 37, 
	37, 34, -1, -1, -1, -1, -1, -1, 
	-1, -1, 37, 37, 37, 37, 37, -1, 
	619, -1, 619, 619, 619, 619, -1, 619, 
	-1, 37, -1, -1, -1, 37, -1, -1, 
	-1, 37, 37, 37, 37, 37, 37, -1, 
	-1, -1, -1, 37, 37, 37, -1, -1, 
	-1, -1, 37, 37, -1, 37, 37, 37, 
	37, -1, 619, -1, -1, -1, -1, -1, 
	37, -1, -1, -1, -1, 620, -1, 620, 
	620, 620, 620, -1, 620, -1, 37, 37, 
	37, -1, 37, -1, -1, -1, -1, 34, 
	34, 34, 34, -1, -1, 34, 34, -1, 
	34, 34, 34, -1, -1, -1, -1, 34, 
	34, 34, -1, 34, 34, 34, -1, 620, 
	-1, -1, 34, -1, -1, -1, -1, 34, 
	-1, -1, -1, 34, 34, 34, -1, 34, 
	34, -1, -1, 34, 626, -1, -1, -1, 
	-1, -1, -1, -1, 34, 34, 34, 34, 
	34, 34, 34, -1, -1, -1, -1, 34, 
	34, -1, -1, 34, 34, 626, 626, 626, 
	626, 626, -1, -1, -1, 34, 34, -1, 
	-1, -1, -1, 34, -1, -1, -1, -1, 
	-1, -1, -1, -1, 626, 626, 626, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 34, 34, 34, 626, 619, -1, 
	-1, -1, 34, 34, 619, -1, -1, -1, 
	619, 619, -1, -1, -1, -1, 34, -1, 
	-1, -1, 590, -1, -1, 34, -1, -1, 
	37, 37, 37, 37, 37, -1, 37, 37, 
	37, -1, -1, -1, -1, 37, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 620, -1, -1, -1, -1, 
	619, 620, -1, -1, -1, 620, 620, -1, 
	-1, 37, 37, 37, 37, 37, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 592, 592, 592, 592, 592, 592, 
	592, 592, 592, 592, -1, -1, -1, -1, 
	592, -1, 592, 592, 592, 592, 592, 592, 
	592, -1, -1, -1, -1, 620, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	626, 626, -1, 626, -1, -1, -1, -1, 
	-1, -1, 714, -1, -1, -1, -1, -1, 
	-1, 593, 593, 593, 593, 593, 593, 593, 
	593, 593, 593, -1, -1, -1, -1, 593, 
	-1, 593, 593, 593, 593, 593, 593, 593, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 626, 626, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 34, 
	-1, -1, -1, -1, -1, -1, -1, 29, 
	29, 29, 29, -1, -1, 29, 29, -1, 
	29, 29, 29, -1, -1, -1, -1, 29, 
	29, 29, -1, 29, 29, 29, -1, -1, 
	-1, -1, 29, -1, -1, -1, 626, 29, 
	-1, -1, -1, 29, 29, 29, -1, 29, 
	29, -1, -1, 29, -1, -1, 215, 215, 
	215, 215, 215, 215, -1, -1, 592, 29, 
	592, 592, 592, 592, 592, -1, -1, -1, 
	215, -1, -1, 29, 29, -1, -1, -1, 
	-1, 215, 215, 215, 215, 215, 29, 215, 
	-1, 215, -1, 29, -1, -1, 215, -1, 
	-1, 215, 215, -1, -1, -1, -1, -1, 
	215, 215, 215, -1, -1, -1, 215, 215, 
	215, -1, 29, 29, 29, 215, 215, 215, 
	215, 215, 29, -1, 591, 593, -1, 593, 
	593, 593, 593, 593, -1, -1, 29, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, 35, 35, 35, 35, 35, 35, 35, 
	35, -1, 35, 35, 35, 35, 35, -1, 
	35, -1, 35, 35, 35, 35, -1, 35, 
	-1, 35, 35, 35, -1, -1, 35, 35, 
	35, 35, 35, 35, 35, 35, -1, 35, 
	35, 35, -1, -1, -1, -1, 35, 35, 
	35, 35, 35, -1, -1, 35, 35, 35, 
	35, -1, -1, 673, -1, 673, 673, 673, 
	673, -1, 673, 35, -1, -1, 35, -1, 
	-1, 215, 215, 215, -1, -1, 215, 215, 
	-1, -1, 215, 215, -1, -1, -1, -1, 
	215, 215, 215, -1, 215, 215, 215, -1, 
	-1, -1, -1, -1, -1, 673, -1, -1, 
	215, 215, -1, -1, 215, 215, 215, -1, 
	215, 215, -1, -1, 215, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 215, 215, 
	-1, 35, 35, 35, 35, -1, -1, 35, 
	35, -1, 35, 35, 35, -1, -1, -1, 
	-1, 35, 35, 35, -1, 35, 35, 35, 
	-1, -1, -1, -1, 35, -1, -1, -1, 
	-1, 35, -1, -1, -1, 35, 35, 35, 
	-1, 35, 35, -1, -1, 35, -1, -1, 
	-1, -1, -1, -1, 215, -1, 35, 35, 
	35, 35, 35, 35, 35, -1, -1, -1, 
	-1, 35, 35, -1, 35, 35, 35, -1, 
	-1, -1, -1, -1, -1, -1, -1, 35, 
	35, -1, -1, -1, -1, 35, -1, -1, 
	-1, 673, -1, -1, -1, -1, -1, 673, 
	-1, -1, -1, 673, 673, -1, -1, -1, 
	-1, -1, -1, -1, 35, 35, 35, -1, 
	-1, -1, -1, -1, 35, 35, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	35, -1, -1, -1, -1, -1, -1, 35, 
	-1, -1, 37, 37, 37, 37, 37, -1, 
	37, 37, 37, 673, -1, -1, -1, 37, 
	39, 39, 39, 39, 39, 39, 39, -1, 
	39, 39, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 39, 39, 39, 39, 39, 
	-1, -1, -1, 37, 37, 37, 37, -1, 
	-1, -1, 39, -1, -1, -1, 39, -1, 
	-1, -1, 39, 39, 39, 39, 39, 39, 
	-1, -1, -1, -1, 39, 39, 39, -1, 
	-1, -1, -1, 39, 39, -1, 39, 39, 
	39, 39, -1, -1, -1, -1, -1, -1, 
	-1, 39, 42, 42, 42, 42, 42, 42, 
	42, -1, 42, 42, -1, -1, -1, 39, 
	39, 39, -1, 39, -1, 42, 42, 42, 
	42, 42, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 42, -1, -1, -1, 
	42, -1, -1, -1, 42, 42, 42, 42, 
	42, 42, -1, -1, -1, -1, 42, 42, 
	42, -1, -1, -1, -1, 42, 42, 594, 
	42, 42, 42, 42, -1, -1, -1, -1, 
	-1, -1, -1, 42, -1, -1, -1, -1, 
	-1, 35, -1, -1, -1, -1, -1, -1, 
	-1, 42, 42, 42, -1, 42, -1, -1, 
	594, 594, 594, 594, 594, 594, 594, 594, 
	594, 594, 594, 594, 594, 594, 594, -1, 
	594, 594, 594, 594, 594, 594, 594, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	592, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 39, 39, 39, 39, 39, -1, 39, 
	39, 39, -1, -1, -1, -1, 39, 595, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 39, 39, 39, 39, 39, 593, 
	595, 595, 595, 595, 595, 595, 595, 595, 
	595, 595, 595, 595, 595, 595, 595, -1, 
	595, 595, 595, 595, 595, 595, 595, -1, 
	-1, -1, -1, 42, 42, 42, 42, 42, 
	-1, 42, 42, 42, -1, -1, -1, -1, 
	42, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 594, -1, 594, 594, 
	594, 594, 594, -1, 42, 42, 42, 42, 
	42, -1, -1, -1, -1, 43, 43, 43, 
	43, 43, 43, 43, 43, 43, 43, 43, 
	43, 43, 43, 43, 43, 43, 43, 43, 
	43, 43, 43, 43, 43, 43, 43, -1, 
	43, 43, 43, 43, 43, -1, 43, -1, 
	43, 43, 43, 43, -1, 43, -1, 43, 
	43, 43, -1, -1, 43, 43, 43, 43, 
	43, 43, 43, 43, -1, 43, 43, 43, 
	-1, -1, -1, -1, 43, 43, 43, 43, 
	43, -1, -1, 43, 43, 43, 43, -1, 
	-1, -1, -1, -1, -1, -1, -1, 596, 
	-1, 43, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 595, -1, 595, 595, 
	595, 595, 595, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 597, -1, -1, -1, 
	596, 596, 596, 596, 596, 596, 596, 596, 
	596, 596, 596, 596, 596, 596, 596, -1, 
	596, 596, 596, 596, 596, 596, 596, -1, 
	-1, -1, -1, -1, -1, 597, 597, 597, 
	597, 597, 597, 597, 597, 597, 597, 597, 
	597, 597, 597, 597, -1, 597, 597, 597, 
	597, 597, 597, 597, -1, -1, 35, 43, 
	43, 43, 43, -1, -1, 43, 43, -1, 
	43, 43, 43, -1, -1, -1, -1, 43, 
	43, 43, -1, 43, 43, 43, 704, -1, 
	-1, -1, 43, -1, -1, -1, -1, 43, 
	-1, -1, -1, 43, 43, 43, -1, 43, 
	43, -1, -1, 43, -1, -1, -1, 704, 
	704, 704, 704, 704, 43, 43, 43, 43, 
	43, 43, 43, -1, -1, -1, -1, 43, 
	43, -1, -1, 43, 43, -1, 704, 704, 
	704, -1, -1, -1, -1, 43, 43, -1, 
	-1, -1, -1, 43, -1, -1, -1, 704, 
	-1, -1, -1, -1, 621, -1, 621, 621, 
	621, 621, -1, 621, -1, -1, -1, 621, 
	-1, -1, 43, 43, 43, -1, 621, 621, 
	-1, -1, 43, 43, 596, -1, 596, 596, 
	596, 596, 596, -1, -1, 621, 43, -1, 
	-1, -1, -1, -1, -1, 43, 621, 108, 
	108, 108, 108, 108, 108, 108, -1, 108, 
	108, 597, -1, 597, 597, 597, 597, 597, 
	-1, -1, 108, 108, 108, 108, 108, 674, 
	-1, 674, 674, 674, 674, -1, 674, -1, 
	-1, 108, -1, -1, -1, 108, -1, -1, 
	-1, 108, 108, 108, 108, 108, 108, -1, 
	-1, -1, -1, 108, 108, 108, -1, -1, 
	-1, -1, 108, 108, 600, 108, 108, 108, 
	108, 674, -1, -1, -1, -1, -1, -1, 
	108, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 704, 704, -1, 704, -1, -1, 
	-1, -1, -1, -1, -1, 600, 600, 600, 
	600, 600, 600, 600, 600, 600, 600, 600, 
	600, 600, 600, 600, -1, 600, 600, 600, 
	600, 600, 600, 600, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 704, 704, -1, -1, 
	-1, -1, 621, 621, -1, -1, -1, -1, 
	621, -1, -1, -1, 621, 621, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 43, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 39, 39, 39, 39, 39, 
	704, 39, 39, 39, -1, -1, -1, -1, 
	39, -1, -1, -1, 621, -1, -1, -1, 
	-1, -1, -1, -1, -1, 674, -1, -1, 
	-1, -1, -1, 674, -1, -1, -1, 674, 
	674, -1, -1, -1, 39, 39, 39, 39, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 108, 108, 
	108, -1, -1, -1, -1, 108, -1, -1, 
	-1, -1, -1, -1, -1, 42, 42, 42, 
	42, 42, -1, 42, 42, 42, -1, 674, 
	-1, 600, 42, 600, 600, 600, 600, 600, 
	-1, 108, 108, 108, 108, 108, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 42, 42, 
	42, 42, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, 44, 44, 44, 44, 
	44, 44, 44, 44, -1, 44, 44, 44, 
	44, 44, -1, 44, -1, 44, 44, 44, 
	44, -1, 44, -1, 44, 44, 44, -1, 
	-1, 44, 44, 44, 44, 44, 44, 44, 
	44, 601, 44, 44, 44, -1, -1, -1, 
	-1, 44, 44, 44, 44, 44, -1, -1, 
	44, 44, 44, 44, -1, -1, -1, -1, 
	-1, -1, -1, -1, 602, -1, 44, -1, 
	-1, -1, 601, 601, 601, 601, 601, 601, 
	601, 601, 601, 601, 601, 601, 601, 601, 
	601, -1, 601, 601, 601, 601, 601, 601, 
	601, -1, -1, -1, -1, 602, 602, 602, 
	602, 602, 602, 602, 602, 602, 602, 602, 
	602, 602, 602, 602, 602, 602, 602, 602, 
	602, 602, 602, 602, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 44, 44, 44, 44, 
	-1, -1, 44, 44, -1, 44, 44, 44, 
	-1, -1, -1, -1, 44, 44, 44, -1, 
	44, 44, 44, -1, -1, -1, -1, 44, 
	-1, -1, -1, -1, 44, -1, -1, -1, 
	44, 44, 44, -1, 44, 44, -1, -1, 
	44, -1, -1, -1, -1, -1, -1, -1, 
	-1, 44, 44, 44, 44, 44, 44, 44, 
	-1, -1, -1, -1, 44, 44, -1, -1, 
	44, 44, 622, -1, 622, 622, 622, 622, 
	-1, 622, 44, 44, -1, -1, -1, -1, 
	44, -1, -1, -1, 622, 622, 601, -1, 
	601, 601, 601, 601, 601, -1, -1, -1, 
	-1, -1, -1, 622, -1, -1, -1, 44, 
	44, 44, -1, -1, 622, -1, -1, 44, 
	44, 602, -1, 602, 602, 602, 602, 602, 
	-1, -1, -1, 44, -1, -1, -1, -1, 
	-1, -1, 44, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, 45, 45, 45, 
	45, 45, 45, 45, 45, -1, 45, 45, 
	45, 45, 45, -1, 45, -1, 45, 45, 
	45, 45, -1, 45, -1, 45, 45, 45, 
	-1, -1, 45, 45, 45, 45, 45, 45, 
	45, 45, 603, 45, 45, 45, -1, -1, 
	-1, -1, 45, 45, 45, 45, 45, -1, 
	-1, 45, 45, 45, 45, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 45, 
	-1, -1, -1, 603, 603, 603, 603, 603, 
	603, 603, 603, 603, 603, 603, 603, 603, 
	603, 603, 603, 603, 603, 603, 603, 603, 
	603, 603, -1, -1, -1, -1, -1, -1, 
	622, 622, -1, -1, -1, -1, 622, -1, 
	-1, -1, 622, 622, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 621, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 44, 45, 45, 45, 
	45, -1, 622, 45, 45, -1, 45, 45, 
	45, -1, -1, -1, -1, 45, 45, 45, 
	-1, 45, 45, 45, -1, -1, -1, -1, 
	45, -1, -1, -1, -1, 45, -1, -1, 
	-1, 45, 45, 45, -1, 45, 45, -1, 
	-1, 45, -1, -1, -1, -1, -1, -1, 
	-1, -1, 45, 45, 45, 45, 45, 45, 
	45, -1, -1, -1, -1, 45, 45, -1, 
	-1, 45, 45, -1, -1, -1, -1, -1, 
	108, 108, 108, 45, 45, -1, -1, 108, 
	-1, 45, -1, -1, -1, -1, -1, 603, 
	-1, 603, 603, 603, 603, 603, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	45, 45, 45, 108, 108, 108, 108, -1, 
	45, 45, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 45, -1, -1, -1, 
	-1, -1, -1, 45, 46, 46, 46, 46, 
	46, 46, 46, 46, 46, 46, 46, 46, 
	46, 46, 46, 46, 46, 46, 46, 46, 
	46, 46, 46, 46, 46, 46, -1, 46, 
	46, 46, 46, 46, -1, 46, -1, 46, 
	46, 46, 46, -1, 46, -1, 46, 46, 
	46, 46, -1, 46, 46, 46, 46, 46, 
	46, 46, 46, 659, 46, 46, 46, -1, 
	-1, -1, -1, 46, 46, 46, 46, 46, 
	-1, -1, 46, 46, 46, 46, -1, -1, 
	-1, -1, -1, 46, -1, -1, 695, -1, 
	46, -1, -1, -1, 659, 659, 659, 659, 
	659, 659, 659, 659, 659, 659, 659, 659, 
	659, 659, 659, -1, 659, 659, 659, 659, 
	659, 659, 659, -1, -1, -1, -1, 695, 
	695, 695, 695, 695, 695, 695, 695, 695, 
	695, 695, 695, 695, 695, 695, -1, 695, 
	695, 695, 695, 695, 695, 695, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 45, 46, 46, 
	46, 46, -1, -1, 46, 46, -1, 46, 
	46, 46, -1, -1, -1, -1, 46, 46, 
	46, -1, 46, 46, 46, -1, -1, -1, 
	-1, 46, -1, -1, -1, -1, 46, -1, 
	-1, -1, 46, 46, 46, -1, 46, 46, 
	-1, -1, 46, -1, -1, -1, -1, -1, 
	-1, -1, -1, 46, 46, 46, 46, 46, 
	46, 46, -1, -1, -1, -1, 46, 46, 
	-1, -1, 46, 46, -1, -1, -1, -1, 
	-1, -1, 46, -1, 46, 46, -1, -1, 
	-1, -1, 46, -1, -1, -1, -1, -1, 
	659, -1, 659, 659, 659, 659, 659, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 46, 46, 46, -1, -1, -1, -1, 
	-1, 46, 46, 695, -1, 695, 695, 695, 
	695, 695, -1, -1, -1, 46, -1, -1, 
	-1, -1, -1, -1, 46, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, -1, 
	72, 72, 72, 72, 72, -1, 72, -1, 
	72, 72, 72, 72, -1, 72, -1, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	-1, 72, 72, 72, 72, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	-1, 72, -1, -1, 72, -1, 72, 72, 
	72, 72, 72, -1, -1, 72, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, 72, 
	72, 72, 72, 72, 72, -1, -1, -1, 
	-1, -1, 72, -1, -1, -1, -1, -1, 
	-1, -1, -1, 622, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 46, 72, 
	72, 72, 72, -1, -1, 72, 72, 72, 
	72, 72, 72, -1, -1, -1, -1, 72, 
	72, 72, 72, 72, 72, 72, -1, -1, 
	-1, -1, 72, -1, -1, -1, -1, 72, 
	72, -1, -1, 72, 72, 72, -1, 72, 
	72, -1, -1, 72, -1, -1, -1, -1, 
	-1, -1, -1, -1, 72, 72, 72, 72, 
	72, 72, 72, -1, -1, -1, 72, 72, 
	72, -1, -1, 72, 72, -1, 72, 72, 
	72, 72, 72, 72, 72, 72, 72, -1, 
	-1, -1, 72, 72, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 72, 72, 
	72, -1, -1, 72, -1, -1, -1, -1, 
	72, -1, 72, 72, 72, 72, -1, 72, 
	72, 72, 72, 72, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 72, -1, 
	72, -1, -1, 72, -1, 72, 72, -1, 
	-1, -1, 72, -1, 72, -1, 72, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, -1, 76, 76, 76, 76, 76, -1, 
	76, -1, 76, 76, 76, 76, -1, 76, 
	-1, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, -1, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, -1, 76, -1, -1, 76, -1, 
	76, 76, 76, 76, 76, -1, -1, 76, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, 76, 76, 76, 76, 76, 76, -1, 
	-1, -1, -1, -1, 76, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 72, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 76, 76, 76, 76, -1, -1, 76, 
	76, 76, 76, 76, 76, -1, -1, -1, 
	-1, 76, 76, 76, 76, 76, 76, 76, 
	-1, -1, -1, -1, 76, -1, -1, -1, 
	-1, 76, 76, -1, -1, 76, 76, 76, 
	-1, 76, 76, -1, -1, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, 76, 76, 
	76, 76, 76, 76, 76, -1, -1, -1, 
	76, 76, 76, -1, 46, 76, 76, -1, 
	76, 76, 76, 76, 76, 76, 76, 76, 
	76, -1, -1, -1, 76, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	76, 76, 76, -1, -1, 76, -1, -1, 
	-1, -1, 76, -1, 76, 76, 76, 76, 
	-1, 76, 76, 76, 76, 76, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	76, -1, 76, -1, -1, 76, -1, 76, 
	76, -1, -1, -1, 76, -1, 76, -1, 
	76, 80, 80, 80, 80, 80, 80, 80, 
	-1, 80, 80, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 80, 80, 80, 80, 
	80, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 80, -1, -1, -1, 80, 
	-1, -1, -1, 80, 80, 80, 80, 80, 
	80, -1, -1, -1, -1, 80, 80, 80, 
	-1, -1, -1, -1, 80, 80, -1, 80, 
	80, 80, 80, 80, -1, -1, -1, -1, 
	-1, -1, 80, 87, 87, 87, 87, 87, 
	87, 87, -1, 87, 87, -1, -1, -1, 
	80, 80, 80, 80, 80, -1, 87, 87, 
	87, 87, 87, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 87, -1, -1, 
	-1, 87, -1, -1, -1, 87, 87, 87, 
	87, 87, 87, -1, -1, -1, -1, 87, 
	87, 87, -1, -1, -1, -1, 87, 87, 
	696, 87, 87, 87, 87, -1, -1, -1, 
	-1, -1, -1, -1, 87, 87, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 76, 87, 87, 87, -1, 87, -1, 
	-1, 696, 696, 696, 696, 696, 696, 696, 
	696, 696, 696, 696, 696, 696, 696, 696, 
	-1, 696, 696, 696, 696, 696, 696, 696, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 80, 80, 80, 80, -1, 
	80, 80, 80, -1, -1, -1, -1, 80, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 80, 80, 80, -1, -1, -1, 
	-1, -1, -1, -1, 80, -1, -1, -1, 
	-1, -1, -1, 80, 80, 80, 80, 80, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 87, 87, -1, -1, -1, -1, -1, 
	80, -1, -1, -1, 87, 87, 87, 87, 
	87, -1, 87, 87, 87, -1, -1, -1, 
	-1, 87, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 696, -1, 696, 
	696, 696, 696, 696, -1, 87, 87, 87, 
	87, 87, 88, 88, 88, 88, 88, 88, 
	88, 88, 88, 88, 88, 88, 88, 88, 
	88, 88, 88, 88, 88, 88, 88, 88, 
	88, 88, 88, 88, -1, 88, 88, 88, 
	88, 88, -1, 88, -1, 88, 88, 88, 
	88, -1, 88, -1, 88, 88, 88, -1, 
	-1, 88, 88, 88, 88, 88, 88, 88, 
	88, 717, 88, 88, 88, -1, -1, -1, 
	-1, 88, 88, 88, 88, 88, -1, -1, 
	88, 88, 88, 88, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 88, -1, 
	-1, -1, 717, 717, 717, 717, 717, 717, 
	717, 717, 717, 717, 717, 717, 717, 717, 
	717, -1, 717, 717, 717, 717, 717, 717, 
	717, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 88, 88, 88, 88, 
	-1, -1, 88, 88, -1, 88, 88, 88, 
	-1, -1, -1, -1, 88, 88, 88, -1, 
	88, 88, 88, -1, -1, -1, -1, 88, 
	-1, -1, -1, -1, 88, -1, -1, -1, 
	88, 88, 88, -1, 88, 88, -1, -1, 
	88, -1, -1, -1, -1, -1, 76, 76, 
	-1, 88, 88, 88, 88, 88, 88, 88, 
	-1, -1, -1, -1, 88, 88, -1, -1, 
	88, 88, -1, -1, -1, -1, -1, -1, 
	-1, -1, 88, 88, -1, -1, -1, -1, 
	88, -1, -1, -1, -1, -1, 717, -1, 
	717, 717, 717, 717, 717, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 88, 
	88, 88, -1, -1, -1, -1, -1, 88, 
	88, -1, -1, 100, 100, 100, 100, 100, 
	100, -1, -1, 88, -1, -1, -1, -1, 
	-1, -1, 88, -1, -1, 100, -1, -1, 
	-1, -1, -1, -1, -1, -1, 100, 100, 
	100, 100, 100, -1, 100, -1, 100, -1, 
	-1, -1, -1, 100, -1, -1, 100, 100, 
	-1, -1, -1, -1, -1, 100, 100, 100, 
	-1, -1, -1, 100, 100, 100, -1, -1, 
	-1, -1, 100, 100, 100, 100, 100, -1, 
	-1, -1, -1, 103, 103, 103, 103, 103, 
	103, 103, 103, 103, -1, 103, 103, -1, 
	-1, 103, 103, 103, 103, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 103, 103, 103, -1, -1, -1, 103, 
	-1, -1, -1, -1, 103, -1, -1, -1, 
	-1, -1, 103, 103, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	103, -1, -1, 103, 103, 103, 103, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	103, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 103, 103, -1, 100, 100, 
	100, -1, -1, 100, 100, -1, -1, 100, 
	100, -1, -1, -1, 88, 100, 100, 100, 
	-1, 100, 100, 100, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 100, 100, -1, 
	-1, 100, 100, 100, -1, 100, 100, -1, 
	-1, 100, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 80, 80, -1, 
	-1, -1, -1, -1, -1, -1, 80, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 100, 100, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 87, 87, -1, -1, -1, 
	-1, -1, 80, -1, -1, -1, 87, 87, 
	87, 87, 87, -1, 87, 87, 87, -1, 
	-1, -1, -1, 87, -1, -1, -1, 103, 
	-1, -1, -1, -1, -1, -1, 103, -1, 
	-1, 100, -1, 103, 103, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 103, 87, 
	87, 87, 87, 103, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 103, 103, 103, -1, -1, -1, 
	-1, -1, 103, 103, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, -1, 104, 
	104, 104, 104, 104, -1, 104, -1, 104, 
	104, 104, 104, -1, 104, -1, 104, 104, 
	104, -1, 104, 104, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, 104, -1, 
	104, 104, 104, 104, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, 104, -1, 
	-1, -1, -1, -1, -1, 104, 104, 104, 
	104, -1, -1, -1, 104, 104, 104, 104, 
	104, 104, 104, 104, 104, 104, 104, 104, 
	-1, -1, 104, 104, -1, -1, -1, -1, 
	-1, 104, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 104, 104, 
	104, 104, -1, -1, 104, 104, 104, 104, 
	104, 104, -1, -1, -1, -1, 104, 104, 
	104, 104, 104, 104, 104, -1, -1, -1, 
	-1, 104, -1, -1, -1, -1, 104, 104, 
	-1, -1, 104, 104, 104, -1, 104, 104, 
	-1, -1, 104, -1, -1, -1, -1, -1, 
	-1, -1, -1, 104, 104, 104, 104, 104, 
	104, 104, -1, -1, -1, 104, 104, 104, 
	-1, -1, 104, 104, -1, 104, 104, 104, 
	104, 104, -1, 104, 104, 104, -1, -1, 
	-1, 104, 104, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, 104, 104, 
	-1, -1, 104, -1, -1, -1, -1, 104, 
	-1, 104, 104, 104, 104, -1, 104, 104, 
	104, 104, 104, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 104, -1, 104, 
	-1, -1, 104, -1, 104, 104, -1, -1, 
	-1, 104, -1, 104, -1, 104, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 109, 109, 109, 
	109, 109, 109, 109, -1, 109, 109, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	109, 109, 109, 109, 109, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 109, 
	-1, -1, -1, 109, -1, -1, -1, 109, 
	109, 109, 109, 109, 109, -1, -1, -1, 
	-1, 109, 109, 109, -1, -1, -1, -1, 
	109, 109, -1, 109, 109, 109, 109, -1, 
	-1, -1, -1, -1, -1, -1, 109, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 109, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	100, 100, 100, -1, -1, 100, 100, -1, 
	-1, 100, 100, -1, -1, -1, -1, 100, 
	100, 100, -1, 100, 100, 100, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 100, 
	100, -1, -1, 100, 100, 100, -1, 100, 
	100, -1, -1, 100, -1, -1, 104, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 103, -1, -1, -1, -1, -1, -1, 
	103, -1, -1, 100, -1, 103, 103, -1, 
	-1, -1, -1, -1, 109, 109, 109, -1, 
	103, -1, -1, 109, -1, 103, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 103, 103, 103, 109, 
	109, 109, 109, 109, 103, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, -1, 
	105, 105, 105, 105, 105, -1, 105, -1, 
	105, 105, 105, 105, -1, 105, -1, 105, 
	105, 105, -1, 105, 105, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, 105, 
	-1, 105, 105, 105, 105, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, 105, 
	-1, -1, -1, -1, -1, -1, 105, 105, 
	105, 105, -1, -1, -1, 105, 105, 105, 
	105, 105, 105, 105, 105, 105, 105, 105, 
	105, 105, 105, 105, 105, -1, -1, -1, 
	-1, -1, 105, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 105, 
	105, 105, 105, -1, -1, 105, 105, 105, 
	105, 105, 105, -1, -1, -1, -1, 105, 
	105, 105, 105, 105, 105, 105, -1, -1, 
	-1, -1, 105, -1, -1, -1, -1, 105, 
	105, -1, -1, 105, 105, 105, -1, 105, 
	105, -1, -1, 105, -1, -1, -1, -1, 
	-1, -1, -1, -1, 105, 105, 105, 105, 
	105, 105, 105, -1, -1, -1, 105, 105, 
	105, -1, -1, 105, 105, -1, 105, 105, 
	105, 105, 105, -1, 105, 105, 105, -1, 
	-1, -1, 105, 105, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 105, 105, 
	105, -1, -1, 105, -1, -1, -1, -1, 
	105, -1, 105, 105, 105, 105, -1, 105, 
	105, 105, 105, 105, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 105, -1, 
	105, -1, -1, 105, -1, 105, 105, -1, 
	-1, -1, 105, -1, 105, -1, 105, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, -1, 106, 106, 106, 106, 106, -1, 
	106, -1, 106, 106, 106, 106, -1, 106, 
	-1, 106, 106, 106, -1, 106, 106, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, 106, -1, 106, 106, 106, 106, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, 106, -1, 106, -1, -1, -1, -1, 
	106, 106, 106, 106, 106, -1, -1, 106, 
	106, 106, 106, 106, 106, 106, 106, 106, 
	106, 106, 106, 106, 106, 106, 106, -1, 
	-1, -1, -1, -1, 106, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 105, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 106, 106, 106, 106, -1, -1, 106, 
	106, 106, 106, 106, 106, -1, -1, -1, 
	-1, 106, 106, 106, 106, 106, 106, 106, 
	-1, -1, -1, -1, 106, -1, -1, -1, 
	-1, 106, 106, -1, -1, 106, 106, 106, 
	-1, 106, 106, -1, -1, 106, -1, -1, 
	-1, -1, -1, -1, -1, -1, 106, 106, 
	106, 106, 106, 106, 106, -1, -1, -1, 
	106, 106, 106, -1, -1, 106, 106, -1, 
	106, 106, 106, 106, 106, -1, 106, 106, 
	106, -1, -1, -1, 106, 106, 109, 109, 
	109, -1, -1, -1, -1, 109, -1, -1, 
	106, 106, 106, -1, -1, 106, -1, -1, 
	-1, -1, 106, -1, 106, 106, 106, 106, 
	-1, 106, 106, 106, 106, 106, -1, -1, 
	-1, 109, 109, 109, 109, -1, -1, -1, 
	106, -1, 106, -1, -1, 106, -1, 106, 
	106, -1, -1, -1, 106, -1, 106, -1, 
	106, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, -1, 107, 107, 107, 107, 
	107, -1, 107, -1, 107, 107, 107, 107, 
	-1, 107, -1, 107, 107, 107, -1, 107, 
	107, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, 107, -1, 107, 107, 107, 
	107, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, 107, -1, 107, -1, -1, 
	-1, -1, 107, 107, 107, 107, 107, -1, 
	-1, 107, 107, 107, 107, 107, 107, 107, 
	107, 107, 107, 107, 107, 107, 107, 107, 
	107, -1, -1, -1, -1, -1, 107, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 106, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 107, 107, 107, 107, -1, 
	-1, 107, 107, 107, 107, 107, 107, -1, 
	-1, -1, -1, 107, 107, 107, 107, 107, 
	107, 107, -1, -1, -1, -1, 107, -1, 
	-1, -1, -1, 107, 107, -1, -1, 107, 
	107, 107, -1, 107, 107, -1, -1, 107, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	107, 107, 107, 107, 107, 107, 107, -1, 
	-1, -1, 107, 107, 107, -1, -1, 107, 
	107, -1, 107, 107, 107, 107, 107, -1, 
	107, 107, 107, -1, -1, -1, 107, 107, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 107, 107, 107, -1, -1, 107, 
	-1, -1, -1, -1, 107, -1, 107, 107, 
	107, 107, -1, 107, 107, 107, 107, 107, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 107, -1, 107, -1, -1, 107, 
	-1, 107, 107, -1, -1, -1, 107, -1, 
	107, -1, 107, 110, 110, 110, 110, 110, 
	110, 110, -1, 110, 110, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 110, 110, 
	110, 110, 110, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 110, -1, -1, 
	-1, 110, -1, -1, -1, 110, 110, 110, 
	110, 110, 110, -1, -1, -1, -1, 110, 
	110, 110, -1, -1, -1, -1, 110, 110, 
	-1, 110, 110, 110, 110, 111, 111, 111, 
	111, 111, 111, 111, 110, 111, 111, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	111, 111, 111, 111, 111, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 111, 
	-1, -1, -1, 111, -1, -1, -1, 111, 
	111, 111, 111, 111, 111, -1, -1, -1, 
	-1, 111, 111, 111, -1, -1, -1, -1, 
	111, 111, -1, 111, 111, 111, 111, -1, 
	-1, -1, -1, -1, -1, -1, 111, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 107, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 110, 110, 110, -1, -1, -1, 
	-1, 110, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 110, 110, 110, 
	110, 110, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 111, 111, 111, -1, 
	-1, -1, -1, 111, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 111, 
	111, 111, 111, 111, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, -1, 112, 
	112, 112, 112, 112, -1, 112, -1, 112, 
	112, 112, 112, -1, 112, -1, 112, 112, 
	112, -1, 112, 112, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, 112, -1, 
	112, 112, 112, 112, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, 112, -1, 
	112, -1, -1, -1, -1, 112, 112, 112, 
	112, 112, -1, -1, 112, 112, 112, 112, 
	112, 112, 112, 112, 112, 112, 112, 112, 
	112, 112, 112, 112, -1, -1, -1, -1, 
	-1, 112, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 112, 112, 
	112, 112, -1, -1, 112, 112, 112, 112, 
	112, 112, -1, -1, -1, -1, 112, 112, 
	112, 112, 112, 112, 112, -1, -1, -1, 
	-1, 112, -1, -1, -1, -1, 112, 112, 
	-1, -1, 112, 112, 112, -1, 112, 112, 
	-1, -1, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, 112, 112, 112, 112, 112, 
	112, 112, -1, -1, -1, 112, 112, 112, 
	-1, -1, 112, 112, -1, 112, 112, 112, 
	112, 112, -1, 112, 112, 112, -1, -1, 
	-1, 112, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 112, 112, 112, 
	-1, -1, 112, -1, -1, -1, -1, 112, 
	-1, 112, 112, 112, 112, -1, 112, 112, 
	112, 112, 112, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 112, -1, 112, 
	-1, -1, 112, -1, 112, 112, -1, -1, 
	-1, 112, -1, 112, -1, 112, -1, -1, 
	168, 168, 168, 168, 168, 168, 168, -1, 
	168, 168, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 168, 168, 168, 168, 168, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 168, -1, -1, -1, 168, -1, 
	-1, -1, 168, 168, 168, 168, 168, 168, 
	-1, -1, -1, -1, 168, 168, 168, -1, 
	-1, -1, -1, 168, 168, -1, 168, 168, 
	168, 168, -1, -1, -1, -1, -1, -1, 
	-1, 168, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 168, 
	168, 168, 168, 168, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 112, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 110, 110, 110, -1, 
	-1, -1, -1, 110, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 110, 
	110, 110, 110, -1, -1, -1, -1, -1, 
	-1, 168, 168, 168, 168, 168, -1, 168, 
	168, 168, -1, -1, -1, -1, 168, -1, 
	-1, -1, -1, -1, -1, -1, 111, 111, 
	111, 168, -1, -1, -1, 111, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 168, 168, 168, 168, 168, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 111, 111, 111, 111, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, -1, 
	113, 113, 113, 113, 113, -1, 113, -1, 
	113, 113, 113, 113, -1, 113, -1, 113, 
	113, 113, -1, 113, 113, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, 113, 
	-1, 113, 113, 113, 113, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, 113, 
	-1, 113, -1, -1, -1, -1, 113, 113, 
	113, 113, 113, -1, -1, 113, 113, 113, 
	113, 113, 113, 113, 113, 113, 113, 113, 
	113, 113, 113, 113, 113, -1, -1, -1, 
	-1, -1, 113, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 113, 
	113, 113, 113, -1, -1, 113, 113, 113, 
	113, 113, 113, -1, -1, -1, -1, 113, 
	113, 113, 113, 113, 113, 113, -1, -1, 
	-1, -1, 113, -1, -1, -1, -1, 113, 
	113, -1, -1, 113, 113, 113, -1, 113, 
	113, -1, -1, 113, -1, -1, -1, -1, 
	-1, -1, -1, -1, 113, 113, 113, 113, 
	113, 113, 113, -1, -1, -1, 113, 113, 
	113, -1, -1, 113, 113, -1, 113, 113, 
	113, 113, 113, -1, 113, 113, 113, -1, 
	-1, -1, 113, 113, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 113, 113, 
	113, -1, -1, 113, -1, -1, -1, -1, 
	113, -1, 113, 113, 113, 113, -1, 113, 
	113, 113, 113, 113, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 113, -1, 
	113, -1, -1, 113, -1, 113, 113, -1, 
	-1, -1, 113, -1, 113, -1, 113, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, -1, 114, 114, 114, 114, 114, -1, 
	114, -1, 114, 114, 114, 114, -1, 114, 
	-1, 114, 114, 114, -1, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, -1, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, -1, 114, -1, -1, -1, -1, 
	114, 114, 114, 114, 114, -1, -1, 114, 
	114, 114, 114, 114, 114, 114, 114, 114, 
	114, 114, 114, 114, 114, 114, 114, -1, 
	-1, -1, -1, -1, 114, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 113, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, 114, 114, 114, -1, -1, 114, 
	114, 114, 114, 114, 114, -1, -1, -1, 
	-1, 114, 114, 114, 114, 114, 114, 114, 
	-1, -1, -1, -1, 114, -1, -1, -1, 
	-1, 114, 114, -1, -1, 114, 114, 114, 
	-1, 114, 114, -1, -1, 114, -1, -1, 
	-1, -1, -1, -1, -1, -1, 114, 114, 
	114, 114, 114, 114, 114, -1, -1, -1, 
	114, 114, 114, -1, -1, 114, 114, -1, 
	114, 114, 114, 114, 114, -1, 114, 114, 
	114, -1, -1, -1, 114, 114, -1, -1, 
	-1, -1, -1, 168, -1, -1, -1, -1, 
	114, 114, 114, -1, -1, 114, -1, -1, 
	-1, -1, 114, -1, 114, 114, 114, 114, 
	-1, 114, 114, 114, 114, 114, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	114, -1, 114, -1, -1, 114, -1, 114, 
	114, -1, -1, -1, 114, -1, 114, -1, 
	114, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, -1, 115, 115, 115, 115, 
	115, -1, 115, -1, 115, 115, 115, 115, 
	-1, 115, -1, 115, 115, 115, -1, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, -1, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, -1, 115, -1, -1, 
	-1, -1, 115, 115, 115, 115, 115, -1, 
	-1, 115, 115, 115, 115, 115, 115, 115, 
	115, 115, 115, 115, 115, 115, 115, 115, 
	115, -1, -1, -1, -1, -1, 115, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 114, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 115, 115, 115, 115, -1, 
	-1, 115, 115, 115, 115, 115, 115, -1, 
	-1, -1, -1, 115, 115, 115, 115, 115, 
	115, 115, -1, -1, -1, -1, 115, -1, 
	-1, -1, -1, 115, 115, -1, -1, 115, 
	115, 115, -1, 115, 115, -1, -1, 115, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	115, 115, 115, 115, 115, 115, 115, -1, 
	-1, -1, 115, 115, 115, -1, -1, 115, 
	115, -1, 115, 115, 115, 115, 115, -1, 
	115, 115, 115, -1, -1, -1, 115, 115, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 115, 115, 115, -1, -1, 115, 
	-1, -1, -1, -1, 115, -1, 115, 115, 
	115, 115, -1, 115, 115, 115, 115, 115, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 115, -1, 115, -1, -1, 115, 
	-1, 115, 115, -1, -1, -1, 115, -1, 
	115, -1, 115, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, -1, 116, 116, 
	116, 116, 116, -1, 116, -1, 116, 116, 
	116, 116, -1, 116, -1, 116, 116, 116, 
	-1, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, -1, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, -1, 116, 
	-1, -1, -1, -1, 116, 116, 116, 116, 
	116, -1, -1, 116, 116, 116, 116, 116, 
	116, 116, 116, 116, 116, 116, 116, 116, 
	116, 116, 116, -1, -1, -1, -1, -1, 
	116, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 115, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 116, 116, 116, 
	116, -1, -1, 116, 116, 116, 116, 116, 
	116, -1, -1, -1, -1, 116, 116, 116, 
	116, 116, 116, 116, -1, -1, -1, -1, 
	116, -1, -1, -1, -1, 116, 116, -1, 
	-1, 116, 116, 116, -1, 116, 116, -1, 
	-1, 116, -1, -1, -1, -1, -1, -1, 
	-1, -1, 116, 116, 116, 116, 116, 116, 
	116, -1, -1, -1, 116, 116, 116, -1, 
	-1, 116, 116, -1, 116, 116, 116, 116, 
	116, -1, 116, 116, 116, -1, -1, -1, 
	116, 116, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 116, 116, 116, -1, 
	-1, 116, -1, -1, -1, -1, 116, -1, 
	116, 116, 116, 116, -1, 116, 116, 116, 
	116, 116, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 116, -1, 116, -1, 
	-1, 116, -1, 116, 116, -1, -1, -1, 
	116, -1, 116, -1, 116, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, -1, 
	117, 117, 117, 117, 117, -1, 117, -1, 
	117, 117, 117, 117, -1, 117, -1, 117, 
	117, 117, -1, 117, 117, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, 117, 
	-1, 117, 117, 117, 117, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, 117, 
	-1, 117, -1, -1, -1, -1, 117, 117, 
	117, 117, 117, -1, -1, 117, 117, 117, 
	117, 117, 117, 117, 117, 117, 117, 117, 
	117, 117, 117, 117, 117, -1, -1, -1, 
	-1, -1, 117, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 116, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 117, 
	117, 117, 117, -1, -1, 117, 117, 117, 
	117, 117, 117, -1, -1, -1, -1, 117, 
	117, 117, 117, 117, 117, 117, -1, -1, 
	-1, -1, 117, -1, -1, -1, -1, 117, 
	117, -1, -1, 117, 117, 117, -1, 117, 
	117, -1, -1, 117, -1, -1, -1, -1, 
	-1, -1, -1, -1, 117, 117, 117, 117, 
	117, 117, 117, -1, -1, -1, 117, 117, 
	117, -1, -1, 117, 117, -1, 117, 117, 
	117, 117, 117, -1, 117, 117, 117, -1, 
	-1, -1, 117, 117, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, 117, 
	117, -1, -1, 117, -1, -1, -1, -1, 
	117, -1, 117, 117, 117, 117, -1, 117, 
	117, 117, 117, 117, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 117, -1, 
	117, -1, -1, 117, -1, 117, 117, -1, 
	-1, -1, 117, -1, 117, -1, 117, 118, 
	118, 118, 118, 118, 118, 118, -1, 118, 
	118, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 118, 118, 118, 118, 118, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 118, -1, -1, -1, 118, -1, -1, 
	-1, 118, 118, 118, 118, 118, 118, -1, 
	-1, -1, -1, 118, 118, 118, -1, -1, 
	-1, -1, 118, 118, -1, 118, 118, 118, 
	118, -1, -1, -1, -1, -1, -1, -1, 
	118, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 118, 118, 
	118, -1, 118, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, -1, 119, 119, 119, 
	119, 119, -1, 119, -1, 119, 119, 119, 
	119, -1, 119, -1, 119, 119, 119, 117, 
	119, 119, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, 119, -1, 119, 119, 
	119, 119, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, 119, -1, 119, -1, 
	-1, -1, -1, 119, 119, 119, 119, 119, 
	-1, -1, 119, 119, 119, 119, 119, 119, 
	119, 119, 119, 119, 119, 119, 119, 119, 
	119, 119, -1, -1, -1, -1, -1, 119, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	118, 118, 118, 118, 118, -1, 118, 118, 
	118, -1, -1, -1, -1, 118, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 118, 118, 118, 118, 118, -1, -1, 
	-1, -1, -1, -1, 119, 119, 119, 119, 
	-1, -1, 119, 119, 119, 119, 119, 119, 
	-1, -1, -1, -1, 119, 119, 119, 119, 
	119, 119, 119, -1, -1, -1, -1, 119, 
	-1, -1, -1, -1, 119, 119, -1, -1, 
	119, 119, 119, -1, 119, 119, -1, -1, 
	119, -1, -1, -1, -1, -1, -1, -1, 
	-1, 119, 119, 119, 119, 119, 119, 119, 
	-1, -1, -1, 119, 119, 119, -1, -1, 
	119, 119, -1, 119, 119, 119, 119, 119, 
	-1, 119, 119, 119, -1, -1, -1, 119, 
	119, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 119, 119, 119, -1, -1, 
	119, -1, -1, -1, -1, 119, -1, 119, 
	119, 119, 119, -1, 119, 119, 119, 119, 
	119, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 119, -1, 119, -1, -1, 
	119, -1, 119, 119, -1, -1, -1, 119, 
	-1, 119, -1, 119, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, -1, 123, 
	123, 123, 123, 123, -1, 123, -1, 123, 
	123, 123, 123, -1, 123, -1, 123, 123, 
	123, -1, 123, 123, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, 123, -1, 
	123, 123, 123, 123, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, 123, -1, 
	123, -1, -1, -1, -1, 123, 123, 123, 
	123, 123, -1, -1, 123, 123, 123, 123, 
	123, 123, 123, 123, 123, 123, 123, 123, 
	123, 123, 123, 123, -1, -1, -1, -1, 
	-1, 123, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 119, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 123, 123, 
	123, 123, -1, -1, 123, 123, 123, 123, 
	123, 123, -1, -1, -1, -1, 123, 123, 
	123, 123, 123, 123, 123, -1, -1, -1, 
	-1, 123, -1, -1, -1, -1, 123, 123, 
	-1, -1, 123, 123, 123, -1, 123, 123, 
	-1, -1, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, 123, 123, 123, 123, 123, 
	123, 123, -1, -1, -1, 123, 123, 123, 
	-1, -1, 123, 123, -1, 123, 123, 123, 
	123, 123, -1, 123, 123, 123, -1, -1, 
	-1, 123, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 123, 123, 123, 
	-1, -1, 123, -1, -1, -1, -1, 123, 
	-1, 123, 123, 123, 123, -1, 123, 123, 
	123, 123, 123, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 123, -1, 123, 
	-1, -1, 123, -1, 123, 123, -1, -1, 
	-1, 123, -1, 123, -1, 123, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 160, 160, 
	160, 160, 160, 160, 160, -1, 160, 160, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 160, 160, 160, 160, 160, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	160, -1, -1, -1, 160, -1, -1, -1, 
	160, 160, 160, 160, 160, 160, -1, -1, 
	-1, -1, 160, 160, 160, -1, -1, -1, 
	-1, 160, 160, -1, 160, 160, 160, 160, 
	-1, -1, 118, 118, 118, 118, 118, 160, 
	118, 118, 118, -1, -1, -1, -1, 118, 
	-1, -1, -1, -1, -1, 160, 160, 160, 
	160, 160, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 160, -1, -1, -1, -1, 
	-1, -1, -1, 118, 118, 118, 118, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 123, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, -1, 125, 125, 125, 125, 125, -1, 
	125, -1, 125, 125, 125, 125, -1, 125, 
	-1, 125, 125, 125, -1, 125, 125, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, 125, -1, 125, 125, 125, 125, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, 125, -1, 125, -1, -1, -1, -1, 
	125, 125, 125, 125, 125, -1, -1, 125, 
	125, 125, 125, 125, 125, 125, 125, 125, 
	125, 125, 125, 125, 125, 125, 125, 160, 
	160, 160, 160, 160, 125, 160, 160, 160, 
	-1, -1, -1, -1, 160, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 160, 
	160, 160, -1, -1, -1, -1, -1, -1, 
	-1, 160, -1, -1, -1, -1, -1, -1, 
	160, 160, 160, 160, 160, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 125, 125, 125, 125, 160, -1, 125, 
	125, 125, 125, 125, 125, -1, -1, -1, 
	-1, 125, 125, 125, 125, 125, 125, 125, 
	-1, -1, -1, -1, 125, -1, -1, -1, 
	-1, 125, 125, -1, -1, 125, 125, 125, 
	-1, 125, 125, -1, -1, 125, -1, -1, 
	-1, -1, -1, -1, -1, -1, 125, 125, 
	125, 125, 125, 125, 125, -1, -1, -1, 
	125, 125, 125, -1, -1, 125, 125, -1, 
	125, 125, 125, 125, 125, -1, 125, 125, 
	125, -1, -1, -1, 125, 125, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	125, 125, 125, -1, -1, 125, -1, -1, 
	-1, -1, 125, -1, 125, 125, 125, 125, 
	-1, 125, 125, 125, 125, 125, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	125, -1, 125, -1, -1, 125, -1, 125, 
	125, -1, -1, -1, 125, -1, 125, -1, 
	125, 126, 126, 126, 126, 126, 126, 126, 
	126, 126, 126, 126, 126, 126, 126, 126, 
	126, 126, 126, 126, 126, 126, 126, 126, 
	126, 126, 126, 126, 126, 126, 126, 126, 
	126, -1, 126, -1, 126, 126, 126, 126, 
	126, 126, -1, 126, 126, 126, -1, -1, 
	126, 126, 126, 126, 126, 126, 126, 126, 
	-1, 126, 126, 126, 126, -1, -1, -1, 
	126, 126, 126, 126, 126, -1, -1, 126, 
	126, 126, 126, -1, -1, -1, 126, -1, 
	-1, -1, 126, 126, -1, 126, -1, -1, 
	126, -1, -1, 126, -1, 126, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 126, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 126, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 125, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 126, 126, 126, 126, -1, 
	-1, 126, 126, 126, 126, 126, 126, -1, 
	-1, -1, -1, 126, 126, 126, 126, 126, 
	126, 126, -1, -1, 126, -1, 126, -1, 
	-1, -1, -1, 126, 126, -1, 126, 126, 
	126, 126, -1, 126, 126, -1, -1, 126, 
	-1, -1, -1, -1, -1, 126, -1, 126, 
	126, 126, 126, 126, 126, 126, 126, -1, 
	-1, -1, -1, 126, 126, -1, 126, 126, 
	126, -1, -1, -1, -1, -1, -1, -1, 
	-1, 126, 126, -1, -1, 126, -1, 126, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 126, 126, 126, -1, -1, 126, 126, 
	126, -1, -1, -1, -1, -1, 126, 126, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 126, -1, 126, -1, -1, 126, 
	126, 126, 127, 127, 127, 127, 127, 127, 
	127, 127, 127, 127, 127, 127, 127, 127, 
	127, 127, 127, 127, 127, 127, 127, 127, 
	127, 127, 127, 127, 127, 127, 127, 127, 
	127, 127, -1, 127, -1, 127, 127, 127, 
	127, 127, 127, -1, 127, 127, 127, -1, 
	-1, 127, 127, 127, 127, 127, 127, 127, 
	127, -1, 127, 127, 127, 127, -1, -1, 
	-1, 127, 127, 127, 127, 127, -1, -1, 
	127, 127, 127, 127, -1, -1, -1, 127, 
	-1, -1, -1, 127, 127, -1, 127, -1, 
	-1, 127, -1, -1, 127, -1, 127, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 160, 160, -1, -1, -1, -1, 
	-1, -1, -1, 160, -1, -1, -1, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 127, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 160, 
	-1, -1, -1, 126, 127, 127, 127, 127, 
	-1, -1, 127, 127, 127, 127, 127, 127, 
	-1, -1, -1, -1, 127, 127, 127, 127, 
	127, 127, 127, -1, -1, 127, -1, 127, 
	-1, -1, -1, -1, 127, 127, -1, 127, 
	127, 127, 127, -1, 127, 127, -1, -1, 
	127, -1, -1, -1, -1, -1, 127, -1, 
	127, 127, 127, 127, 127, 127, 127, 127, 
	-1, -1, -1, -1, 127, 127, -1, 127, 
	127, 127, -1, -1, -1, -1, -1, -1, 
	-1, -1, 127, 127, -1, -1, 127, -1, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 127, 127, 127, -1, -1, 127, 
	127, 127, -1, -1, -1, -1, -1, 127, 
	127, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 127, -1, 127, -1, -1, 
	127, 127, 127, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, -1, 128, -1, 128, 128, 
	128, 128, 128, 128, -1, 128, 128, 128, 
	-1, -1, 128, 128, 128, 128, 128, 128, 
	128, 128, -1, 128, 128, 128, 128, -1, 
	-1, -1, 128, 128, 128, 128, 128, -1, 
	-1, 128, 128, 128, 128, -1, -1, -1, 
	128, -1, -1, -1, 128, 128, -1, 128, 
	-1, -1, 128, -1, -1, 128, -1, 128, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 128, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 128, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 127, 128, 128, 128, 
	128, -1, -1, 128, 128, 128, 128, 128, 
	128, -1, -1, -1, -1, 128, 128, 128, 
	128, 128, 128, 128, -1, -1, 128, -1, 
	128, -1, -1, -1, -1, 128, 128, -1, 
	128, 128, 128, 128, -1, 128, 128, -1, 
	-1, 128, -1, -1, -1, -1, -1, 128, 
	-1, 128, 128, 128, 128, 128, 128, 128, 
	128, -1, -1, -1, -1, 128, 128, -1, 
	128, 128, 128, -1, -1, -1, -1, -1, 
	-1, -1, -1, 128, 128, -1, -1, 128, 
	-1, 128, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 128, 128, 128, -1, -1, 
	128, 128, 128, -1, -1, -1, -1, -1, 
	128, 128, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 128, -1, 128, -1, 
	-1, 128, 128, 128, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, -1, 134, 
	134, 134, 134, 134, -1, 134, -1, 134, 
	134, 134, 134, -1, 134, -1, 134, 134, 
	134, -1, 134, 134, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, 134, -1, 
	134, 134, 134, 134, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, 134, -1, 
	134, -1, -1, -1, -1, 134, 134, 134, 
	134, 134, -1, -1, 134, 134, 134, 134, 
	134, 134, 134, 134, 134, 134, 134, 134, 
	134, 134, 134, 134, -1, -1, -1, -1, 
	-1, 134, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 128, 134, 134, 
	134, 134, -1, -1, 134, 134, 134, 134, 
	134, 134, -1, -1, -1, -1, 134, 134, 
	134, 134, 134, 134, 134, -1, -1, -1, 
	-1, 134, -1, -1, -1, -1, 134, 134, 
	-1, -1, 134, 134, 134, -1, 134, 134, 
	-1, -1, 134, -1, -1, -1, -1, -1, 
	-1, -1, -1, 134, 134, 134, 134, 134, 
	134, 134, -1, -1, -1, 134, 134, 134, 
	-1, -1, 134, 134, -1, 134, 134, 134, 
	134, 134, -1, 134, 134, 134, -1, -1, 
	-1, 134, 134, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 134, 134, 134, 
	-1, -1, 134, -1, -1, -1, -1, 134, 
	-1, 134, 134, 134, 134, -1, 134, 134, 
	134, 134, 134, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 134, -1, 134, 
	-1, -1, 134, -1, 134, 134, -1, -1, 
	-1, 134, -1, 134, -1, 134, 138, 138, 
	138, 138, 138, 138, 138, -1, 138, 138, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 138, 138, 138, 138, 138, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, -1, -1, -1, 138, -1, -1, -1, 
	138, 138, 138, 138, 138, 138, -1, -1, 
	-1, -1, 138, 138, 138, -1, -1, -1, 
	-1, 138, 138, -1, 138, 138, 138, 138, 
	138, -1, -1, -1, -1, -1, -1, 138, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 138, 138, 138, 
	138, 138, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, 139, 139, 139, 139, 139, 139, 139, 
	139, -1, 139, 139, 139, 139, 139, -1, 
	139, -1, 139, 139, 139, 139, 134, 139, 
	-1, 139, 139, 139, -1, -1, 139, 139, 
	139, 139, 139, 139, 139, 139, -1, 139, 
	139, 139, -1, -1, -1, -1, 139, 139, 
	139, 139, 139, -1, -1, 139, 139, 139, 
	139, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 139, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	138, 138, 138, 138, -1, 138, 138, 138, 
	-1, -1, -1, -1, 138, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 138, 
	138, 138, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 138, -1, 
	138, 138, 138, 138, 138, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 139, 139, 139, 139, -1, -1, 139, 
	139, -1, 139, 139, 139, -1, -1, 138, 
	-1, 139, 139, 139, -1, 139, 139, 139, 
	-1, -1, -1, -1, 139, -1, -1, -1, 
	-1, 139, -1, -1, -1, 139, 139, 139, 
	-1, 139, 139, -1, -1, 139, -1, -1, 
	-1, -1, -1, -1, -1, -1, 139, 139, 
	139, 139, 139, 139, 139, -1, -1, -1, 
	-1, 139, 139, -1, -1, 139, 139, -1, 
	-1, -1, -1, -1, -1, -1, -1, 139, 
	139, -1, -1, -1, -1, 139, -1, -1, 
	-1, 140, 140, 140, 140, 140, 140, 140, 
	140, 140, -1, 140, 140, -1, -1, 140, 
	140, 140, 140, -1, 139, 139, 139, -1, 
	-1, -1, -1, -1, 139, 139, -1, 140, 
	140, 140, -1, -1, -1, 140, -1, -1, 
	139, -1, 140, -1, -1, -1, -1, 139, 
	140, 140, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, 140, 140, 140, 140, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 140, 140, -1, -1, -1, -1, -1, 
	-1, -1, 142, 142, 142, 142, 142, 142, 
	142, 142, 142, 142, 142, 142, 142, 142, 
	142, -1, 142, 142, 142, 142, 142, 142, 
	142, 142, -1, -1, -1, 142, 142, 142, 
	142, 142, -1, 142, -1, 142, 142, 142, 
	142, -1, 142, -1, 142, 142, 142, -1, 
	-1, 142, -1, -1, 142, 142, 142, 142, 
	142, -1, 142, 142, 142, -1, -1, -1, 
	-1, 142, 142, 142, 142, 142, -1, -1, 
	142, 142, 142, 142, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 139, -1, -1, -1, 140, -1, -1, 
	-1, -1, -1, -1, 140, -1, -1, -1, 
	-1, 140, 140, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 140, -1, -1, -1, 
	-1, 140, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	140, 140, 140, -1, 142, 142, 142, 142, 
	140, 140, 142, 142, 142, 142, 142, 142, 
	-1, -1, -1, -1, 142, 142, 142, 142, 
	142, 142, 142, -1, -1, -1, -1, 142, 
	-1, -1, -1, -1, 142, -1, -1, -1, 
	142, 142, 142, -1, 142, 142, -1, -1, 
	142, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 142, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 142, 
	142, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, 142, 142, -1, -1, -1, -1, 
	142, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 142, 
	142, 142, -1, -1, -1, -1, -1, 142, 
	142, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 142, -1, 142, -1, -1, 
	-1, -1, -1, 143, 143, 143, 143, 143, 
	143, 143, 143, 143, 143, 143, 143, 143, 
	143, 143, 143, 143, 143, 143, 143, 143, 
	143, 143, 143, 143, 143, -1, 143, 143, 
	143, 143, 143, -1, 143, -1, 143, 143, 
	143, 143, -1, 143, -1, 143, 143, 143, 
	-1, -1, 143, 143, 143, 143, 143, 143, 
	143, 143, -1, 143, 143, 143, -1, -1, 
	-1, -1, 143, 143, 143, 143, 143, -1, 
	-1, 143, 143, 143, 143, -1, -1, -1, 
	-1, -1, 138, 138, -1, -1, -1, 143, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	138, -1, -1, -1, -1, -1, -1, -1, 
	-1, 143, 143, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 138, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 142, 143, 143, 143, 
	143, -1, -1, 143, 143, -1, 143, 143, 
	143, -1, -1, -1, -1, 143, 143, 143, 
	-1, 143, 143, 143, -1, -1, -1, -1, 
	143, -1, -1, -1, -1, 143, -1, -1, 
	-1, 143, 143, 143, -1, 143, 143, -1, 
	-1, 143, -1, -1, -1, -1, -1, -1, 
	-1, -1, 143, 143, 143, 143, 143, 143, 
	143, -1, -1, -1, -1, 143, 143, -1, 
	-1, 143, 143, -1, -1, -1, -1, -1, 
	-1, -1, -1, 143, 143, -1, -1, -1, 
	-1, 143, -1, -1, -1, 146, 146, 146, 
	146, 146, 146, 146, 146, 146, 146, 146, 
	146, -1, -1, 146, 146, 146, 146, -1, 
	143, 143, 143, -1, -1, -1, -1, -1, 
	143, 143, -1, 146, 146, 146, -1, -1, 
	-1, 146, -1, -1, 143, -1, 146, -1, 
	-1, -1, -1, 143, 146, 146, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 146, -1, -1, 146, 146, 146, 
	146, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 146, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 140, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, -1, -1, 140, 140, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 140, -1, 
	-1, -1, -1, 140, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 140, 140, 140, 143, -1, -1, 
	-1, 146, 140, -1, -1, -1, -1, -1, 
	-1, 146, 146, 146, -1, 146, 146, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	146, -1, -1, -1, -1, 146, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 146, 146, 146, -1, 
	-1, -1, -1, -1, 146, 146, -1, -1, 
	-1, 142, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 146, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	147, 147, 147, 147, 147, 147, 147, -1, 
	147, 147, 147, 147, 147, 147, 147, 147, 
	-1, -1, -1, 147, 147, 147, 147, 147, 
	-1, 147, -1, 147, 147, 147, 147, -1, 
	147, -1, 147, 147, 147, -1, -1, 147, 
	-1, -1, 147, 147, 147, 147, 147, -1, 
	147, 147, 147, -1, -1, -1, -1, 147, 
	147, 147, 147, 147, -1, -1, 147, 147, 
	147, 147, -1, -1, 149, 149, 149, 149, 
	149, 149, 149, -1, 149, 149, -1, 147, 
	-1, -1, -1, -1, -1, -1, -1, 149, 
	149, 149, 149, 149, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 149, -1, 
	-1, -1, 149, -1, -1, -1, 149, 149, 
	149, 149, 149, 149, -1, -1, -1, -1, 
	149, 149, 149, -1, -1, -1, -1, 149, 
	149, -1, 149, 149, 149, 149, -1, -1, 
	-1, -1, -1, -1, -1, 149, 149, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 149, 149, 149, -1, 149, 
	-1, -1, 147, 147, 147, 147, -1, -1, 
	147, 147, -1, 147, 147, 147, -1, -1, 
	-1, -1, 147, 147, 147, -1, 147, 147, 
	147, -1, -1, -1, -1, 147, -1, -1, 
	-1, -1, 147, 147, -1, -1, 147, 147, 
	147, -1, 147, 147, -1, -1, 147, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 147, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 147, 147, 147, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	147, 147, -1, -1, -1, -1, 147, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 147, 147, 147, 
	-1, -1, -1, -1, -1, 147, 147, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 147, 149, 149, -1, -1, 147, -1, 
	-1, -1, -1, -1, -1, 149, 149, 149, 
	149, 149, -1, 149, 149, 149, -1, -1, 
	-1, -1, 149, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 150, 150, 150, 150, 150, 
	150, 150, -1, 150, 150, -1, 149, 149, 
	149, 149, 149, -1, -1, -1, 150, 150, 
	150, 150, 150, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 150, -1, -1, 
	-1, 150, -1, -1, -1, 150, 150, 150, 
	150, 150, 150, -1, -1, -1, -1, 150, 
	150, 150, -1, -1, -1, -1, 150, 150, 
	-1, 150, 150, 150, 150, -1, -1, -1, 
	-1, -1, -1, -1, 150, 150, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 150, 150, 150, -1, 150, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 151, 151, 151, 151, 151, 151, 
	151, 151, 151, 151, 151, 151, 151, 151, 
	151, -1, 151, 151, 151, 151, 151, 151, 
	151, 151, 147, -1, -1, 151, 151, 151, 
	151, 151, -1, 151, -1, 151, 151, 151, 
	151, -1, 151, -1, 151, 151, 151, -1, 
	-1, 151, -1, -1, 151, 151, 151, 151, 
	151, -1, 151, 151, 151, 151, -1, -1, 
	-1, 151, 151, 151, 151, 151, -1, 151, 
	151, 151, 151, 151, -1, -1, -1, -1, 
	-1, -1, -1, 146, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 146, -1, 146, 
	146, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 146, -1, -1, -1, -1, 146, 
	-1, 150, 150, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 150, 150, 150, 150, 
	150, -1, 150, 150, 150, -1, 146, 146, 
	146, 150, -1, -1, -1, -1, 146, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 146, -1, -1, -1, 150, 150, 150, 
	150, 150, -1, -1, 151, 151, 151, 151, 
	-1, -1, 151, 151, 151, 151, 151, 151, 
	-1, -1, -1, -1, 151, 151, 151, 151, 
	151, 151, 151, -1, 151, 151, -1, 151, 
	-1, -1, -1, -1, 151, 151, -1, -1, 
	151, 151, 151, -1, 151, 151, -1, -1, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 151, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	151, 151, -1, -1, -1, -1, -1, -1, 
	-1, -1, 151, 151, -1, -1, -1, -1, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 151, 
	151, 151, -1, -1, -1, -1, -1, 151, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 151, -1, 151, -1, -1, 
	151, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 152, 152, 
	152, 152, 152, 152, 152, 152, 152, 152, 
	152, 152, 152, 152, 152, -1, 152, 152, 
	152, 152, 152, 152, 152, 152, -1, -1, 
	-1, 152, 152, 152, 152, 152, -1, 152, 
	-1, 152, 152, 152, 152, -1, 152, -1, 
	152, 152, 152, -1, -1, 152, -1, 147, 
	152, 152, 152, 152, 152, -1, 152, 152, 
	152, 152, -1, -1, -1, 152, 152, 152, 
	152, 152, -1, 152, 152, 152, 152, 152, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 149, 149, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 149, 
	149, 149, 149, 149, 151, 149, 149, 149, 
	-1, -1, -1, -1, 149, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	149, 149, 149, 149, -1, -1, -1, -1, 
	152, 152, 152, 152, -1, -1, 152, 152, 
	152, 152, 152, 152, -1, -1, -1, -1, 
	152, 152, 152, 152, 152, 152, 152, -1, 
	152, 152, -1, 152, -1, -1, -1, -1, 
	152, 152, -1, -1, 152, 152, 152, -1, 
	152, 152, -1, -1, 152, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	152, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 152, 152, -1, -1, 
	-1, -1, -1, -1, -1, -1, 152, 152, 
	-1, -1, -1, -1, 152, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 152, 152, 152, -1, -1, 
	-1, -1, -1, 152, 152, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 152, 
	-1, 152, -1, -1, 152, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 166, 166, 166, 166, 166, 166, 
	166, -1, 166, 166, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 166, 166, 166, 
	166, 166, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 166, -1, -1, -1, 
	166, -1, -1, -1, 166, 166, 166, 166, 
	166, 166, -1, -1, -1, -1, 166, 166, 
	166, -1, -1, 150, 150, 166, 166, -1, 
	166, 166, 166, 166, 166, -1, 150, 150, 
	150, 150, 150, 166, 150, 150, 150, -1, 
	-1, -1, -1, 150, -1, -1, -1, -1, 
	-1, 166, 166, 166, 166, 166, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 166, 
	-1, -1, -1, -1, -1, -1, -1, 150, 
	150, 150, 150, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 151, 151, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	152, 170, 170, 170, 170, 170, 170, 170, 
	170, 170, 170, 170, 170, 170, 170, 170, 
	-1, 170, 170, 170, 170, 170, 170, 170, 
	170, -1, -1, -1, 170, 170, 170, 170, 
	170, -1, 170, -1, 170, 170, 170, 170, 
	-1, 170, -1, 170, 170, 170, -1, -1, 
	170, -1, -1, 170, 170, 170, 170, 170, 
	-1, 170, 170, 170, -1, -1, -1, -1, 
	170, 170, 170, 170, 170, -1, -1, 170, 
	170, 170, 170, 166, 166, 166, 166, 166, 
	-1, 166, 166, 166, -1, -1, -1, -1, 
	166, -1, -1, 170, -1, -1, -1, -1, 
	-1, -1, -1, 166, 166, 166, -1, -1, 
	-1, -1, -1, -1, -1, 166, -1, -1, 
	-1, -1, -1, -1, 166, 166, 166, 166, 
	166, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 166, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 170, 170, 170, 170, -1, 
	-1, 170, 170, 170, 170, 170, 170, -1, 
	-1, -1, -1, 170, 170, 170, 170, 170, 
	170, 170, -1, -1, -1, -1, 170, -1, 
	-1, -1, -1, 170, 170, -1, -1, 170, 
	170, 170, -1, 170, 170, -1, -1, 170, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 170, -1, -1, -1, -1, 
	175, 175, 175, 175, 175, 175, -1, 170, 
	170, -1, -1, -1, -1, -1, -1, -1, 
	-1, 170, 170, -1, -1, -1, -1, 170, 
	-1, -1, -1, 175, 175, 175, 175, 175, 
	-1, 175, -1, 175, -1, -1, -1, -1, 
	175, -1, -1, 175, -1, -1, 170, 170, 
	170, -1, 175, 175, 175, -1, 170, 170, 
	175, 175, 175, -1, -1, -1, -1, 175, 
	175, 175, 170, 175, 170, -1, -1, 170, 
	-1, -1, 171, 171, 171, 171, 171, 171, 
	171, 171, 171, 171, 171, 171, 171, 171, 
	171, -1, 171, 171, 171, 171, 171, 171, 
	171, 171, -1, -1, -1, 171, 171, 171, 
	171, 171, -1, 171, -1, 171, 171, 171, 
	171, -1, 171, -1, 171, 171, 171, -1, 
	-1, 171, -1, -1, 171, 171, 171, 171, 
	171, -1, 171, 171, 171, -1, -1, -1, 
	-1, 171, 171, 171, 171, 171, -1, -1, 
	171, 171, 171, 171, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 171, -1, -1, -1, 
	-1, -1, -1, -1, 175, 175, -1, -1, 
	175, 175, 175, 175, -1, 175, -1, -1, 
	-1, -1, 175, 175, 175, 175, 175, 175, 
	175, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 175, 175, 
	175, -1, 175, 175, -1, -1, 175, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 175, -1, 
	-1, -1, -1, 170, 171, 171, 171, 171, 
	175, 175, 171, 171, 171, 171, 171, 171, 
	-1, -1, -1, -1, 171, 171, 171, 171, 
	171, 171, 171, -1, -1, -1, -1, 171, 
	-1, -1, -1, -1, 171, 171, -1, -1, 
	171, 171, 171, -1, 171, 171, -1, -1, 
	171, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 175, 171, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	171, 171, -1, -1, -1, -1, -1, -1, 
	-1, -1, 171, 171, -1, -1, -1, -1, 
	171, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 171, 
	171, 171, -1, -1, -1, -1, -1, 171, 
	171, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 171, -1, 171, -1, -1, 
	171, -1, -1, 176, 176, 176, 176, 176, 
	176, 176, 176, 176, 176, 176, 176, 176, 
	176, 176, 176, 176, 176, 176, 176, 176, 
	176, 176, 176, 176, 176, -1, 176, 176, 
	176, 176, 176, -1, 176, -1, 176, 176, 
	176, 176, -1, 176, -1, 176, 176, 176, 
	-1, -1, 176, 176, 176, 176, 176, 176, 
	176, 176, -1, 176, 176, 176, -1, -1, 
	-1, -1, 176, 176, 176, 176, 176, -1, 
	-1, 176, 176, 176, 176, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 176, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 166, 166, 
	-1, -1, -1, -1, -1, -1, -1, 166, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 166, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 171, 176, 176, 176, 
	176, -1, -1, 176, 176, -1, 176, 176, 
	176, -1, -1, -1, -1, 176, 176, 176, 
	-1, 176, 176, 176, -1, -1, -1, -1, 
	176, -1, -1, -1, -1, 176, -1, -1, 
	-1, 176, 176, 176, -1, 176, 176, -1, 
	-1, 176, -1, -1, -1, -1, -1, -1, 
	-1, -1, 176, 176, 176, 176, 176, 176, 
	176, -1, -1, -1, -1, 176, 176, -1, 
	-1, 176, 176, -1, -1, -1, -1, -1, 
	-1, -1, -1, 176, 176, -1, -1, -1, 
	-1, 176, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	176, 176, 176, -1, -1, -1, -1, -1, 
	176, 176, 177, 177, 177, 177, 177, 177, 
	177, -1, 177, 177, 176, -1, -1, -1, 
	-1, -1, -1, 176, -1, 177, 177, 177, 
	177, 177, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 177, -1, -1, -1, 
	177, -1, -1, -1, 177, 177, 177, 177, 
	177, 177, -1, -1, -1, -1, 177, 177, 
	177, -1, -1, -1, -1, 177, 177, -1, 
	177, 177, 177, 177, -1, -1, -1, -1, 
	-1, -1, -1, 177, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 177, 177, 177, -1, 177, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 175, 175, 
	-1, -1, 175, 175, 175, 175, -1, 175, 
	-1, -1, -1, -1, 175, 175, 175, 175, 
	175, 175, 175, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	175, 175, 175, -1, 175, 175, -1, -1, 
	175, -1, -1, -1, -1, -1, 644, 644, 
	644, 644, 644, 644, 644, 644, 644, 644, 
	644, 644, -1, -1, 644, 644, 644, 644, 
	175, -1, -1, -1, -1, 176, -1, -1, 
	-1, -1, -1, -1, 644, 644, 644, -1, 
	-1, -1, 644, -1, -1, -1, -1, 644, 
	-1, -1, -1, -1, -1, 644, 644, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 644, -1, -1, 644, 644, 
	644, 644, -1, 177, 177, 177, 177, 177, 
	-1, 177, 177, 177, 644, 175, -1, -1, 
	177, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 177, 177, 177, 177, 
	177, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, -1, 180, 180, 180, 180, 
	180, -1, 180, -1, 180, 180, 180, 180, 
	-1, 180, -1, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, -1, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, -1, 180, -1, -1, 
	180, -1, 180, 180, 180, 180, 180, -1, 
	-1, 180, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, 180, 180, 180, 180, 180, 
	180, -1, 644, -1, -1, -1, 180, -1, 
	-1, -1, 644, 644, 644, -1, 644, 644, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 644, -1, -1, -1, -1, 644, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 644, 644, 644, 
	-1, -1, -1, -1, -1, 644, 644, -1, 
	-1, -1, -1, 180, 180, 180, 180, -1, 
	-1, 180, 180, 180, 180, 180, 180, -1, 
	644, -1, -1, 180, 180, 180, 180, 180, 
	180, 180, -1, -1, -1, -1, 180, -1, 
	-1, -1, -1, 180, 180, -1, -1, 180, 
	180, 180, -1, 180, 180, -1, -1, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	180, 180, 180, 180, 180, 180, 180, -1, 
	-1, -1, 180, 180, 180, -1, -1, 180, 
	180, -1, 180, 180, 180, 180, 180, 180, 
	180, 180, 180, -1, -1, -1, 180, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 180, 180, 180, -1, -1, 180, 
	-1, -1, -1, -1, 180, -1, 180, 180, 
	180, 180, -1, 180, 180, 180, 180, 180, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 180, -1, 180, -1, -1, 180, 
	-1, 180, 180, -1, -1, -1, 180, -1, 
	180, -1, 180, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 216, 
	216, 216, 216, 216, 216, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 216, -1, -1, -1, -1, -1, -1, 
	-1, -1, 216, 216, 216, 216, 216, -1, 
	216, -1, 216, -1, -1, -1, -1, 216, 
	-1, -1, 216, 216, -1, -1, -1, -1, 
	-1, 216, 216, 216, -1, -1, -1, 216, 
	216, 216, -1, -1, -1, -1, 216, 216, 
	216, 216, 216, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, 181, 
	181, 181, 181, 181, 181, 181, 181, -1, 
	181, 181, 181, 181, 181, -1, 181, -1, 
	181, 181, 181, 181, -1, 181, -1, 181, 
	181, 181, -1, -1, 181, 181, 181, 181, 
	181, 181, 181, 181, -1, 181, 181, 181, 
	-1, -1, -1, 180, 181, 181, 181, 181, 
	181, -1, -1, 181, 181, 181, 181, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 181, 216, 216, 216, -1, -1, 216, 
	216, -1, -1, 216, 216, -1, -1, -1, 
	-1, 216, 216, 216, -1, 216, 216, 216, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 216, 216, -1, -1, 216, 216, 216, 
	-1, 216, 216, -1, -1, 216, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 177, 177, 177, 
	177, 177, -1, 177, 177, 177, -1, 216, 
	216, -1, 177, -1, -1, -1, -1, 181, 
	181, 181, 181, -1, -1, 181, 181, -1, 
	181, 181, 181, -1, -1, -1, -1, 181, 
	181, 181, -1, 181, 181, 181, 177, 177, 
	177, 177, 181, -1, -1, -1, -1, 181, 
	-1, -1, -1, 181, 181, 181, -1, 181, 
	181, -1, -1, 181, -1, 216, -1, -1, 
	-1, -1, -1, -1, 181, 181, 181, 181, 
	181, 181, 181, -1, -1, -1, -1, 181, 
	181, -1, -1, 181, 181, -1, -1, -1, 
	-1, -1, -1, -1, -1, 181, 181, -1, 
	-1, -1, -1, 181, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 181, 181, 181, -1, -1, -1, 
	-1, -1, 181, 181, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 181, -1, 
	-1, -1, -1, -1, -1, 181, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	-1, 182, 182, 182, 182, 182, -1, 182, 
	-1, 182, 182, 182, 182, -1, 182, -1, 
	182, 182, 182, -1, 182, 182, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	182, -1, 182, 182, 182, 182, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	182, -1, 182, -1, -1, -1, -1, 182, 
	182, 182, 182, 182, -1, -1, 182, 182, 
	182, 182, 182, 182, 182, 182, 182, 182, 
	182, 182, 182, 182, 182, 182, -1, -1, 
	-1, -1, -1, 182, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 181, 
	182, 182, 182, 182, -1, -1, 182, 182, 
	182, 182, 182, 182, -1, -1, -1, -1, 
	182, 182, 182, 182, 182, 182, 182, -1, 
	-1, -1, -1, 182, -1, -1, -1, -1, 
	182, 182, -1, -1, 182, 182, 182, -1, 
	182, 182, -1, -1, 182, -1, -1, -1, 
	-1, -1, -1, -1, -1, 182, 182, 182, 
	182, 182, 182, 182, -1, -1, -1, 182, 
	182, 182, -1, -1, 182, 182, -1, 182, 
	182, 182, 182, 182, -1, 182, 182, 182, 
	-1, -1, -1, 182, 182, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 182, 
	182, 182, -1, -1, 182, -1, -1, -1, 
	-1, 182, -1, 182, 182, 182, 182, -1, 
	182, 182, 182, 182, 182, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 182, 
	-1, 182, -1, -1, 182, -1, 182, 182, 
	-1, -1, -1, 182, -1, 182, -1, 182, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, -1, 183, 183, 183, 183, 183, 
	-1, 183, -1, 183, 183, 183, 183, -1, 
	183, -1, 183, 183, 183, -1, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, -1, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, -1, 183, -1, -1, -1, 
	-1, 183, 183, 183, 183, 183, -1, -1, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	183, 183, 183, 183, 183, 183, 183, 183, 
	-1, -1, -1, -1, -1, 183, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	182, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 183, 183, 183, 183, -1, -1, 
	183, 183, 183, 183, 183, 183, -1, -1, 
	-1, -1, 183, 183, 183, 183, 183, 183, 
	183, -1, -1, -1, -1, 183, -1, -1, 
	-1, -1, 183, 183, -1, -1, 183, 183, 
	183, -1, 183, 183, -1, -1, 183, -1, 
	-1, -1, -1, -1, -1, -1, -1, 183, 
	183, 183, 183, 183, 183, 183, -1, -1, 
	-1, 183, 183, 183, -1, -1, 183, 183, 
	-1, 183, 183, 183, 183, 183, -1, 183, 
	183, 183, -1, -1, -1, 183, 183, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 183, 183, 183, -1, -1, 183, -1, 
	-1, -1, -1, 183, -1, 183, 183, 183, 
	183, -1, 183, 183, 183, 183, 183, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 183, -1, 183, -1, -1, 183, -1, 
	183, 183, -1, -1, -1, 183, -1, 183, 
	-1, 183, 184, 184, 184, 184, 184, 184, 
	184, -1, 184, 184, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 184, 184, 184, 
	184, 184, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 184, -1, -1, -1, 
	184, -1, -1, -1, 184, 184, 184, 184, 
	184, 184, -1, -1, -1, -1, 184, 184, 
	184, -1, -1, -1, -1, 184, 184, -1, 
	184, 184, 184, 184, -1, -1, -1, -1, 
	-1, -1, -1, 184, 185, 185, 185, 185, 
	185, 185, 185, -1, 185, 185, -1, -1, 
	-1, 184, 184, 184, -1, 184, -1, 185, 
	185, 185, 185, 185, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 185, -1, 
	-1, -1, 185, -1, -1, -1, 185, 185, 
	185, 185, 185, 185, -1, -1, -1, -1, 
	185, 185, 185, -1, -1, -1, -1, 185, 
	185, -1, 185, 185, 185, 185, -1, -1, 
	-1, -1, -1, -1, -1, 185, 185, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 183, 185, 185, 185, -1, 185, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 184, 184, 184, 184, 184, 
	-1, 184, 184, 184, -1, -1, -1, -1, 
	184, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 184, 184, 184, 184, 
	184, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 185, 185, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 185, 185, 185, 
	185, 185, -1, 185, 185, 185, -1, -1, 
	-1, -1, 185, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 185, 185, 
	185, 185, 185, 188, 188, 188, 188, 188, 
	188, 188, 188, 188, 188, 188, 188, 188, 
	188, 188, -1, 188, 188, 188, 188, 188, 
	188, 188, 188, -1, -1, -1, 188, 188, 
	188, 188, 188, -1, 188, -1, 188, 188, 
	188, 188, -1, 188, -1, 188, 188, 188, 
	-1, -1, 188, -1, -1, 188, 188, 188, 
	188, 188, -1, 188, 188, 188, -1, -1, 
	-1, -1, 188, 188, 188, 188, 188, -1, 
	-1, 188, 188, 188, 188, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 325, 
	325, 325, 325, 325, 325, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 325, 325, 325, 325, 325, -1, 
	325, -1, 325, -1, -1, -1, -1, 325, 
	-1, -1, 325, -1, -1, -1, -1, -1, 
	-1, 325, 325, 325, -1, -1, -1, 325, 
	325, 325, -1, -1, -1, -1, 325, 325, 
	325, -1, 325, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 188, 188, 188, 
	188, -1, -1, 188, 188, 188, 188, 188, 
	188, -1, -1, -1, -1, 188, 188, 188, 
	188, 188, 188, 188, -1, -1, -1, -1, 
	188, -1, -1, -1, -1, 188, 188, -1, 
	-1, 188, 188, 188, -1, 188, 188, -1, 
	-1, 188, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 188, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 188, 188, -1, -1, -1, -1, -1, 
	-1, -1, -1, 188, 188, -1, -1, -1, 
	-1, 188, -1, 325, 325, -1, -1, 325, 
	325, 325, 325, -1, 325, -1, -1, -1, 
	-1, 325, 325, 325, 325, 325, 325, 325, 
	188, 188, 188, -1, -1, -1, -1, -1, 
	188, 188, -1, -1, -1, 325, 325, 325, 
	-1, 325, 325, -1, 188, 325, 188, -1, 
	-1, 188, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 325, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 325, 
	325, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	190, 190, 190, 190, 190, 190, 190, 190, 
	190, 190, 190, 190, 190, 190, 190, -1, 
	190, 190, 190, 190, 190, 190, 190, 190, 
	-1, -1, -1, 190, 190, 190, 190, 190, 
	-1, 190, 325, 190, 190, 190, 190, -1, 
	190, -1, 190, 190, 190, -1, -1, 190, 
	-1, -1, 190, 190, 190, 190, 190, -1, 
	190, 190, 190, -1, -1, -1, -1, 190, 
	190, 190, 190, 190, -1, -1, 190, 190, 
	190, 190, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 188, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 184, 184, 184, 
	184, 184, -1, 184, 184, 184, -1, -1, 
	-1, -1, 184, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 190, 190, 190, 190, -1, -1, 
	190, 190, 190, 190, 190, 190, 184, 184, 
	184, 184, 190, 190, 190, 190, 190, 190, 
	190, -1, -1, -1, -1, 190, -1, -1, 
	-1, -1, 190, 190, 185, 185, 190, 190, 
	190, -1, 190, 190, -1, -1, 190, 185, 
	185, 185, 185, 185, -1, 185, 185, 185, 
	-1, -1, 190, -1, 185, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 190, 190, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	190, 190, -1, -1, -1, -1, 190, -1, 
	185, 185, 185, 185, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 190, 190, 190, 
	-1, -1, -1, -1, -1, 190, 190, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 190, -1, 190, -1, -1, 190, -1, 
	-1, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, -1, 204, 204, 204, 204, 
	204, -1, 204, -1, 204, 204, 204, 204, 
	-1, 204, -1, 204, 204, 204, -1, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, -1, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, -1, 204, -1, -1, 
	-1, -1, 204, 204, 204, 204, 204, -1, 
	-1, 204, 204, 204, 204, 204, 204, 204, 
	204, 204, 204, 204, 204, 204, 204, 204, 
	204, -1, -1, -1, -1, -1, 204, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 190, 204, 204, 204, 204, -1, 
	-1, 204, 204, 204, 204, 204, 204, -1, 
	-1, -1, -1, 204, 204, 204, 204, 204, 
	204, 204, -1, -1, -1, -1, 204, -1, 
	-1, -1, -1, 204, 204, -1, -1, 204, 
	204, 204, -1, 204, 204, -1, -1, 204, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	204, 204, 204, 204, 204, 204, 204, -1, 
	-1, -1, 204, 204, 204, -1, -1, 204, 
	204, -1, 204, 204, 204, 204, 204, -1, 
	204, 204, 204, -1, -1, -1, 204, 204, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 204, 204, 204, -1, -1, 204, 
	-1, -1, -1, -1, 204, -1, 204, 204, 
	204, 204, -1, 204, 204, 204, 204, 204, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 204, -1, 204, -1, -1, 204, 
	-1, 204, 204, -1, -1, -1, 204, -1, 
	204, -1, 204, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, -1, 205, 205, 
	205, 205, 205, -1, 205, -1, 205, 205, 
	205, 205, -1, 205, -1, 205, 205, 205, 
	-1, 205, 205, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, 205, -1, 205, 
	205, 205, 205, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, 205, -1, 205, 
	-1, -1, -1, -1, 205, 205, 205, 205, 
	205, -1, -1, 205, 205, 205, 205, 205, 
	205, 205, 205, 205, 205, 205, 205, 205, 
	205, 205, 205, -1, -1, -1, -1, -1, 
	205, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 204, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 205, 205, 205, 
	205, -1, -1, 205, 205, 205, 205, 205, 
	205, -1, -1, -1, -1, 205, 205, 205, 
	205, 205, 205, 205, -1, -1, -1, -1, 
	205, -1, -1, -1, -1, 205, 205, -1, 
	-1, 205, 205, 205, -1, 205, 205, -1, 
	-1, 205, -1, -1, -1, -1, -1, -1, 
	-1, -1, 205, 205, 205, 205, 205, 205, 
	205, -1, -1, -1, 205, 205, 205, 205, 
	-1, 205, 205, -1, 205, 205, 205, 205, 
	205, -1, 205, 205, 205, -1, -1, -1, 
	205, 205, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 205, 205, 205, -1, 
	-1, 205, -1, -1, -1, -1, 205, -1, 
	205, 205, 205, 205, -1, 205, 205, 205, 
	205, 205, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 205, -1, 205, -1, 
	-1, 205, -1, 205, 205, -1, -1, -1, 
	205, -1, 205, -1, 205, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, -1, 
	206, 206, 206, 206, 206, -1, 206, -1, 
	206, 206, 206, 206, -1, 206, -1, 206, 
	206, 206, -1, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	-1, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	-1, 206, -1, -1, -1, -1, 206, 206, 
	206, 206, 206, -1, -1, 206, 206, 206, 
	206, 206, 206, 206, 206, 206, 206, 206, 
	206, 206, 206, 206, 206, -1, -1, -1, 
	-1, -1, 206, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 205, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 206, 
	206, 206, 206, -1, -1, 206, 206, 206, 
	206, 206, 206, -1, -1, -1, -1, 206, 
	206, 206, 206, 206, 206, 206, -1, -1, 
	-1, -1, 206, -1, -1, -1, -1, 206, 
	206, -1, -1, 206, 206, 206, -1, 206, 
	206, -1, -1, 206, -1, -1, -1, -1, 
	-1, -1, -1, -1, 206, 206, 206, 206, 
	206, 206, 206, -1, -1, -1, 206, 206, 
	206, 206, -1, 206, 206, -1, 206, 206, 
	206, 206, 206, -1, 206, 206, 206, -1, 
	-1, -1, 206, 206, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 206, 206, 
	206, -1, -1, 206, -1, -1, -1, -1, 
	206, -1, 206, 206, 206, 206, -1, 206, 
	206, 206, 206, 206, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 206, -1, 
	206, -1, -1, 206, -1, 206, 206, -1, 
	-1, -1, 206, -1, 206, -1, 206, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, -1, 211, 211, 211, 211, 211, -1, 
	211, -1, 211, 211, 211, 211, -1, 211, 
	-1, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, -1, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, -1, 211, -1, -1, 211, -1, 
	211, 211, 211, 211, 211, -1, -1, 211, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, 211, 211, 211, 211, 211, 211, -1, 
	-1, -1, -1, -1, 211, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 206, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 211, 211, 211, 211, -1, -1, 211, 
	211, 211, 211, 211, 211, -1, -1, -1, 
	-1, 211, 211, 211, 211, 211, 211, 211, 
	-1, -1, -1, -1, 211, -1, -1, -1, 
	-1, 211, 211, -1, -1, 211, 211, 211, 
	-1, 211, 211, -1, -1, 211, -1, -1, 
	-1, -1, -1, -1, -1, -1, 211, 211, 
	211, 211, 211, 211, 211, -1, -1, -1, 
	211, 211, 211, -1, -1, 211, 211, -1, 
	211, 211, 211, 211, 211, 211, 211, 211, 
	211, -1, -1, -1, 211, 211, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	211, 211, 211, -1, -1, 211, -1, -1, 
	-1, -1, 211, -1, 211, 211, 211, 211, 
	-1, 211, 211, 211, 211, 211, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	211, -1, 211, -1, -1, 211, -1, 211, 
	211, -1, -1, -1, 211, -1, 211, -1, 
	211, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, -1, 212, 212, 212, 212, 
	212, -1, 212, -1, 212, 212, 212, 212, 
	-1, 212, -1, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, -1, 212, 212, 212, 
	212, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, -1, 212, -1, -1, 
	212, -1, 212, 212, 212, 212, 212, -1, 
	-1, 212, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, 212, 212, 212, 212, 212, 
	212, -1, -1, -1, -1, -1, 212, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 211, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 212, 212, 212, 212, -1, 
	-1, 212, 212, 212, 212, 212, 212, -1, 
	-1, -1, -1, 212, 212, 212, 212, 212, 
	212, 212, -1, -1, -1, -1, 212, -1, 
	-1, -1, -1, 212, 212, -1, -1, 212, 
	212, 212, -1, 212, 212, -1, -1, 212, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	212, 212, 212, 212, 212, 212, 212, -1, 
	-1, -1, 212, 212, 212, -1, -1, 212, 
	212, -1, 212, 212, 212, 212, 212, 212, 
	212, 212, 212, -1, -1, -1, 212, 212, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 212, 212, 212, -1, -1, 212, 
	-1, -1, -1, -1, 212, -1, 212, 212, 
	212, 212, -1, 212, 212, 212, 212, 212, 
	-1, -1, 214, 214, 214, 214, 214, 214, 
	-1, -1, 212, -1, 212, -1, -1, 212, 
	-1, 212, 212, -1, 214, -1, 212, -1, 
	212, -1, 212, -1, -1, 214, 214, 214, 
	214, 214, -1, 214, -1, 214, -1, -1, 
	-1, -1, 214, -1, -1, 214, 214, -1, 
	-1, -1, -1, -1, 214, 214, 214, -1, 
	-1, -1, 214, 214, 214, -1, -1, -1, 
	-1, 214, 214, 214, 214, 214, -1, -1, 
	217, 217, 217, 217, 217, 217, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 217, -1, -1, -1, -1, -1, 
	-1, -1, -1, 217, 217, 217, 217, 217, 
	-1, 217, -1, 217, -1, -1, -1, -1, 
	217, -1, -1, 217, 217, -1, -1, -1, 
	-1, -1, 217, 217, 217, -1, -1, -1, 
	217, 217, 217, -1, -1, -1, -1, 217, 
	217, 217, 217, 217, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 214, 214, 214, 
	-1, -1, 214, 214, -1, -1, 214, 214, 
	-1, -1, -1, 212, 214, 214, 214, -1, 
	214, 214, 214, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 214, 214, -1, -1, 
	214, 214, 214, -1, 214, 214, -1, -1, 
	214, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 217, 217, 217, -1, -1, 
	217, 217, 214, 214, 217, 217, -1, 211, 
	-1, -1, 217, 217, 217, -1, 217, 217, 
	217, -1, 218, 218, 218, 218, 218, 218, 
	-1, -1, 217, 217, -1, -1, 217, 217, 
	217, -1, 217, 217, 218, -1, 217, -1, 
	-1, -1, -1, -1, -1, 218, 218, 218, 
	218, 218, -1, 218, -1, 218, -1, -1, 
	214, -1, 218, -1, -1, 218, 218, -1, 
	-1, -1, -1, -1, 218, 218, 218, -1, 
	217, 217, 218, 218, 218, -1, -1, -1, 
	-1, 218, 218, 218, 218, 218, -1, -1, 
	219, 219, 219, 219, 219, 219, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 219, -1, -1, -1, -1, -1, 
	-1, -1, -1, 219, 219, 219, 219, 219, 
	-1, 219, -1, 219, -1, -1, 217, -1, 
	219, -1, -1, 219, 219, -1, -1, -1, 
	-1, -1, 219, 219, 219, -1, -1, -1, 
	219, 219, 219, -1, -1, -1, -1, 219, 
	219, 219, 219, 219, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 218, 218, 218, 
	-1, -1, 218, 218, -1, -1, 218, 218, 
	-1, -1, -1, -1, 218, 218, 218, -1, 
	218, 218, 218, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 218, 218, -1, -1, 
	218, 218, 218, -1, 218, 218, -1, -1, 
	218, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 219, 219, 219, -1, -1, 
	219, 219, 218, 218, 219, 219, -1, -1, 
	-1, -1, 219, 219, 219, -1, 219, 219, 
	219, -1, 220, 220, 220, 220, 220, 220, 
	-1, -1, 219, 219, -1, -1, 219, 219, 
	219, -1, 219, 219, 220, -1, 219, -1, 
	-1, -1, -1, -1, -1, 220, 220, 220, 
	220, 220, -1, 220, -1, 220, -1, -1, 
	218, 212, 220, -1, -1, 220, 220, -1, 
	-1, -1, -1, -1, 220, 220, 220, -1, 
	219, 219, 220, 220, 220, -1, -1, -1, 
	-1, 220, 220, 220, 220, 220, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 679, 679, 679, 679, 679, 
	679, 679, 679, 679, -1, 679, 679, -1, 
	-1, 679, 679, 679, 679, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 219, -1, 
	-1, 679, 679, 679, -1, -1, -1, 679, 
	-1, -1, -1, -1, 679, -1, -1, -1, 
	-1, -1, 679, 679, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	679, -1, -1, 679, 679, 679, 679, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	679, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 220, 220, 220, 
	-1, -1, 220, 220, -1, -1, 220, 220, 
	-1, -1, -1, -1, 220, 220, 220, -1, 
	220, 220, 220, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 220, 220, -1, -1, 
	220, 220, 220, -1, 220, 220, -1, -1, 
	220, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 220, 220, -1, -1, -1, 214, 
	214, 214, -1, -1, 214, 214, -1, -1, 
	214, 214, -1, -1, -1, -1, 214, 214, 
	214, -1, 214, 214, 214, -1, 221, 221, 
	221, 221, 221, 221, -1, -1, 214, 214, 
	-1, -1, 214, 214, 214, -1, 214, 214, 
	221, -1, 214, -1, -1, -1, -1, 679, 
	220, 221, 221, 221, 221, 221, 679, 221, 
	-1, 221, -1, 679, 679, -1, 221, -1, 
	-1, 221, 221, -1, -1, -1, 679, -1, 
	221, 221, 221, 679, -1, -1, 221, 221, 
	221, -1, -1, -1, -1, 221, 221, 221, 
	221, 221, -1, -1, 222, 222, 222, 222, 
	222, 222, 679, 679, 679, -1, -1, -1, 
	-1, -1, 679, 679, -1, -1, 222, -1, 
	-1, -1, -1, -1, -1, -1, -1, 222, 
	222, 222, 222, 222, -1, 222, -1, 222, 
	-1, -1, 214, -1, 222, -1, -1, 222, 
	222, -1, -1, -1, -1, -1, 222, 222, 
	222, -1, -1, -1, 222, 222, 222, -1, 
	-1, -1, -1, 222, 222, 222, 222, 222, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 221, 221, 221, -1, -1, 221, 221, 
	-1, -1, 221, 221, -1, -1, -1, -1, 
	221, 221, 221, -1, 221, 221, 221, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	221, 221, -1, -1, 221, 221, 221, -1, 
	221, 221, -1, -1, 221, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 222, 
	222, 222, -1, -1, 222, 222, 221, 221, 
	222, 222, -1, -1, -1, -1, 222, 222, 
	222, -1, 222, 222, 222, -1, 223, 223, 
	223, 223, 223, 223, -1, -1, 222, 222, 
	-1, -1, 222, 222, 222, -1, 222, 222, 
	223, -1, 222, -1, -1, -1, -1, -1, 
	-1, 223, 223, 223, 223, 223, -1, 223, 
	-1, 223, -1, -1, 221, -1, 223, -1, 
	-1, 223, 223, -1, -1, -1, -1, -1, 
	223, 223, 223, -1, 222, 222, 223, 223, 
	223, -1, -1, -1, -1, 223, 223, 223, 
	223, 223, -1, -1, 224, 224, 224, 224, 
	224, 224, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 224, -1, 
	-1, -1, -1, -1, -1, -1, -1, 224, 
	224, 224, 224, 224, -1, 224, -1, 224, 
	-1, -1, 222, -1, 224, -1, -1, 224, 
	224, -1, -1, -1, -1, -1, 224, 224, 
	224, -1, -1, -1, 224, 224, 224, -1, 
	-1, -1, -1, 224, 224, 224, 224, 224, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 223, 223, 223, -1, -1, 223, 223, 
	-1, -1, 223, 223, -1, -1, -1, -1, 
	223, 223, 223, -1, 223, 223, 223, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	223, 223, -1, -1, 223, 223, 223, -1, 
	223, 223, -1, -1, 223, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 224, 
	224, 224, -1, -1, 224, 224, 223, 223, 
	224, 224, -1, -1, -1, -1, 224, 224, 
	224, -1, 224, 224, 224, -1, 225, 225, 
	225, 225, 225, 225, -1, -1, 224, 224, 
	-1, -1, 224, 224, 224, -1, 224, 224, 
	225, -1, 224, -1, -1, -1, -1, -1, 
	-1, 225, 225, 225, 225, 225, -1, 225, 
	-1, 225, -1, -1, 223, -1, 225, -1, 
	-1, 225, 225, -1, -1, -1, -1, -1, 
	225, 225, 225, -1, 224, 224, 225, 225, 
	225, -1, -1, -1, -1, 225, 225, 225, 
	225, 225, -1, -1, 226, 226, 226, 226, 
	226, 226, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 226, -1, 
	-1, -1, -1, -1, -1, -1, -1, 226, 
	226, 226, 226, 226, -1, 226, -1, 226, 
	-1, -1, 224, -1, 226, -1, -1, 226, 
	226, -1, -1, -1, -1, -1, 226, 226, 
	226, -1, -1, -1, 226, 226, 226, -1, 
	-1, -1, -1, 226, 226, 226, 226, 226, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 225, 225, 225, -1, -1, 225, 225, 
	-1, -1, 225, 225, -1, -1, -1, -1, 
	225, 225, 225, -1, 225, 225, 225, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	225, 225, -1, -1, 225, 225, 225, -1, 
	225, 225, -1, -1, 225, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 226, 
	226, 226, -1, -1, 226, 226, 225, 225, 
	226, 226, -1, -1, -1, -1, 226, 226, 
	226, -1, 226, 226, 226, -1, 227, 227, 
	227, 227, 227, 227, -1, -1, 226, 226, 
	-1, -1, 226, 226, 226, -1, 226, 226, 
	227, -1, 226, -1, -1, -1, -1, -1, 
	-1, 227, 227, 227, 227, 227, -1, 227, 
	-1, 227, -1, -1, 225, -1, 227, -1, 
	-1, 227, 227, -1, -1, -1, -1, -1, 
	227, 227, 227, -1, 226, 226, 227, 227, 
	227, -1, -1, -1, -1, 227, 227, 227, 
	227, 227, -1, -1, 228, 228, 228, 228, 
	228, 228, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 228, -1, 
	-1, -1, -1, -1, -1, -1, -1, 228, 
	228, 228, 228, 228, -1, 228, -1, 228, 
	-1, -1, 226, -1, 228, -1, -1, 228, 
	228, -1, -1, -1, -1, -1, 228, 228, 
	228, -1, -1, -1, 228, 228, 228, -1, 
	-1, -1, -1, 228, 228, 228, 228, 228, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 227, 227, 227, -1, -1, 227, 227, 
	-1, -1, 227, 227, -1, -1, -1, -1, 
	227, 227, 227, -1, 227, 227, 227, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	227, 227, -1, -1, 227, 227, 227, -1, 
	227, 227, -1, -1, 227, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 228, 
	228, 228, -1, -1, 228, 228, 227, 227, 
	228, 228, -1, -1, -1, -1, 228, 228, 
	228, -1, 228, 228, 228, -1, 229, 229, 
	229, 229, 229, 229, -1, -1, 228, 228, 
	-1, -1, 228, 228, 228, -1, 228, 228, 
	229, -1, 228, -1, -1, -1, -1, -1, 
	-1, 229, 229, 229, 229, 229, -1, 229, 
	-1, 229, -1, -1, 227, -1, 229, -1, 
	-1, 229, 229, -1, -1, -1, -1, -1, 
	229, 229, 229, -1, 228, 228, 229, 229, 
	229, -1, -1, -1, -1, 229, 229, 229, 
	229, 229, -1, -1, 230, 230, 230, 230, 
	230, 230, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 230, -1, 
	-1, -1, -1, -1, -1, -1, -1, 230, 
	230, 230, 230, 230, -1, 230, -1, 230, 
	-1, -1, 228, -1, 230, -1, -1, 230, 
	230, -1, -1, -1, -1, -1, 230, 230, 
	230, -1, -1, -1, 230, 230, 230, -1, 
	-1, -1, -1, 230, 230, 230, 230, 230, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 229, 229, 229, -1, -1, 229, 229, 
	-1, -1, 229, 229, -1, -1, -1, -1, 
	229, 229, 229, -1, 229, 229, 229, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	229, 229, -1, -1, 229, 229, 229, -1, 
	229, 229, -1, -1, 229, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 230, 
	230, 230, -1, -1, 230, 230, 229, 229, 
	230, 230, -1, -1, -1, -1, 230, 230, 
	230, -1, 230, 230, 230, -1, 231, 231, 
	231, 231, 231, 231, -1, -1, 230, 230, 
	-1, -1, 230, 230, 230, -1, 230, 230, 
	231, -1, 230, -1, -1, -1, -1, -1, 
	-1, 231, 231, 231, 231, 231, -1, 231, 
	-1, 231, -1, -1, 229, -1, 231, -1, 
	-1, 231, 231, -1, -1, -1, -1, -1, 
	231, 231, 231, -1, 230, 230, 231, 231, 
	231, -1, -1, -1, -1, 231, 231, 231, 
	231, 231, -1, -1, -1, -1, -1, 249, 
	249, 249, 249, 249, 249, 249, -1, 249, 
	249, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 249, 249, 249, 249, 249, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 249, 230, -1, -1, 249, -1, -1, 
	-1, 249, 249, 249, 249, 249, 249, -1, 
	-1, -1, -1, 249, 249, 249, -1, -1, 
	-1, -1, 249, 249, -1, 249, 249, 249, 
	249, -1, -1, -1, -1, -1, -1, -1, 
	249, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 249, 249, 
	249, 249, 249, -1, -1, -1, -1, -1, 
	-1, 231, 231, 231, 249, -1, 231, 231, 
	-1, -1, 231, 231, -1, -1, -1, -1, 
	231, 231, 231, -1, 231, 231, 231, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	231, 231, -1, -1, 231, 231, 231, -1, 
	231, 231, -1, -1, 231, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 231, 231, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 231, -1, -1, -1, 
	249, 249, 249, 249, 249, -1, 249, 249, 
	249, -1, -1, -1, -1, 249, 253, 253, 
	253, 253, 253, 253, 253, -1, 253, 253, 
	249, 249, 249, -1, -1, -1, -1, -1, 
	-1, 253, 253, 253, 253, 253, -1, 249, 
	-1, 249, 249, 249, 249, 249, -1, -1, 
	253, -1, -1, -1, 253, -1, -1, -1, 
	253, 253, 253, 253, 253, 253, -1, -1, 
	-1, -1, 253, 253, 253, -1, -1, -1, 
	249, 253, 253, -1, 253, 253, 253, 253, 
	253, -1, -1, -1, -1, -1, -1, 253, 
	255, 255, 255, 255, 255, 255, 255, -1, 
	255, 255, -1, -1, -1, 253, 253, 253, 
	253, 253, -1, 255, 255, 255, 255, 255, 
	-1, -1, -1, 253, -1, -1, -1, -1, 
	-1, -1, 255, -1, -1, -1, 255, -1, 
	-1, -1, 255, 255, 255, 255, 255, 255, 
	-1, -1, -1, -1, 255, 255, 255, -1, 
	-1, -1, -1, 255, 255, -1, 255, 255, 
	255, 255, -1, -1, -1, -1, -1, -1, 
	-1, 255, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 255, 
	255, 255, 255, 255, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 253, 
	253, 253, 253, 253, -1, 253, 253, 253, 
	-1, -1, -1, -1, 253, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 253, 
	253, 253, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 253, -1, 
	253, 253, 253, 253, 253, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 253, 
	-1, 255, 255, 255, 255, 255, -1, 255, 
	255, 255, -1, -1, -1, -1, 255, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 255, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 255, 255, 255, 255, 255, -1, 
	-1, -1, -1, -1, -1, -1, -1, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, -1, 257, 257, 257, 257, 257, -1, 
	257, -1, 257, 257, 257, 257, -1, 257, 
	-1, 257, 257, 257, -1, 257, 257, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, 257, -1, 257, 257, 257, 257, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, 257, -1, 257, -1, -1, -1, -1, 
	257, 257, 257, 257, 257, -1, -1, 257, 
	257, 257, 257, 257, 257, 257, 257, 257, 
	257, 257, 257, 257, 257, 257, 257, -1, 
	-1, -1, -1, -1, 257, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 257, 257, 257, 257, -1, -1, 257, 
	257, 257, 257, 257, 257, -1, -1, -1, 
	-1, 257, 257, 257, 257, 257, 257, 257, 
	-1, -1, -1, -1, 257, -1, -1, -1, 
	-1, 257, 257, -1, -1, 257, 257, 257, 
	-1, 257, 257, -1, -1, 257, -1, -1, 
	-1, -1, -1, -1, -1, -1, 257, 257, 
	257, 257, 257, 257, 257, -1, -1, -1, 
	257, 257, 257, -1, -1, 257, 257, -1, 
	257, 257, 257, 257, 257, -1, 257, 257, 
	257, -1, -1, -1, 257, 257, -1, -1, 
	-1, -1, -1, 249, 249, -1, -1, -1, 
	257, 257, 257, -1, -1, 257, -1, -1, 
	-1, 249, 257, -1, 257, 257, 257, 257, 
	-1, 257, 257, 257, 257, 257, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	257, -1, 257, -1, -1, 257, -1, 257, 
	257, -1, 249, -1, 257, -1, 257, -1, 
	257, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, -1, 258, 258, 258, 
	258, 258, -1, 258, -1, 258, 258, 258, 
	258, -1, 258, -1, 258, 258, 258, -1, 
	258, 258, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, 258, -1, 258, 258, 
	258, 258, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, 258, -1, 258, -1, 
	-1, -1, -1, 258, 258, 258, 258, 258, 
	-1, -1, 258, 258, 258, 258, 258, 258, 
	258, 258, 258, 258, 258, 258, 258, 258, 
	258, 258, -1, -1, -1, -1, -1, 258, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 257, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 258, 258, 258, 258, 
	-1, -1, 258, 258, 258, 258, 258, 258, 
	-1, -1, 253, 253, 258, 258, 258, 258, 
	258, 258, 258, -1, -1, -1, -1, 258, 
	253, -1, -1, -1, 258, 258, -1, -1, 
	258, 258, 258, -1, 258, 258, -1, -1, 
	258, -1, -1, -1, -1, -1, -1, -1, 
	-1, 258, 258, 258, 258, 258, 258, 258, 
	-1, 253, -1, 258, 258, 258, -1, -1, 
	258, 258, -1, 258, 258, 258, 258, 258, 
	-1, 258, 258, 258, -1, -1, -1, 258, 
	258, -1, -1, 255, -1, -1, -1, -1, 
	-1, -1, -1, 258, 258, 258, -1, -1, 
	258, -1, -1, -1, -1, 258, -1, 258, 
	258, 258, 258, -1, 258, 258, 258, 258, 
	258, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 258, -1, 258, -1, -1, 
	258, -1, 258, 258, -1, -1, -1, 258, 
	-1, 258, -1, 258, 259, 259, 259, 259, 
	259, 259, 259, -1, 259, 259, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 259, 
	259, 259, 259, 259, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 259, -1, 
	-1, -1, 259, -1, -1, -1, 259, 259, 
	259, 259, 259, 259, -1, -1, -1, -1, 
	259, 259, 259, -1, -1, -1, -1, 259, 
	259, -1, 259, 259, 259, 259, -1, -1, 
	-1, -1, -1, -1, -1, 259, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, -1, 260, 260, 260, 260, 260, -1, 
	260, -1, 260, 260, 260, 260, -1, 260, 
	-1, 260, 260, 260, 258, 260, 260, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, 260, -1, 260, 260, 260, 260, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, 260, -1, 260, -1, -1, -1, -1, 
	260, 260, 260, 260, 260, -1, -1, 260, 
	260, 260, 260, 260, 260, 260, 260, 260, 
	260, 260, 260, 260, 260, 260, 260, -1, 
	-1, -1, -1, -1, 260, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 259, 259, 259, -1, -1, 
	-1, -1, 259, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 259, 259, 
	259, 259, 259, -1, -1, -1, -1, -1, 
	-1, 260, 260, 260, 260, -1, -1, 260, 
	260, 260, 260, 260, 260, -1, -1, -1, 
	-1, 260, 260, 260, 260, 260, 260, 260, 
	-1, -1, -1, -1, 260, -1, -1, -1, 
	-1, 260, 260, -1, -1, 260, 260, 260, 
	-1, 260, 260, -1, -1, 260, -1, -1, 
	-1, -1, -1, -1, -1, -1, 260, 260, 
	260, 260, 260, 260, 260, -1, -1, -1, 
	260, 260, 260, -1, -1, 260, 260, -1, 
	260, 260, 260, 260, 260, -1, 260, 260, 
	260, -1, -1, -1, 260, 260, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	260, 260, 260, -1, -1, 260, -1, -1, 
	-1, -1, 260, -1, 260, 260, 260, 260, 
	-1, 260, 260, 260, 260, 260, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	260, -1, 260, -1, -1, 260, -1, 260, 
	260, -1, -1, -1, 260, -1, 260, -1, 
	260, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, -1, 261, 261, 261, 261, 
	261, -1, 261, -1, 261, 261, 261, 261, 
	-1, 261, -1, 261, 261, 261, -1, 261, 
	261, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, 261, -1, 261, 261, 261, 
	261, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, 261, -1, 261, -1, -1, 
	-1, -1, 261, 261, 261, 261, 261, -1, 
	-1, 261, 261, 261, 261, 261, 261, 261, 
	261, 261, 261, 261, 261, 261, 261, 261, 
	261, -1, -1, -1, -1, -1, 261, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 260, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 261, 261, 261, 261, -1, 
	-1, 261, 261, 261, 261, 261, 261, -1, 
	-1, -1, -1, 261, 261, 261, 261, 261, 
	261, 261, -1, -1, -1, -1, 261, -1, 
	-1, -1, -1, 261, 261, -1, -1, 261, 
	261, 261, -1, 261, 261, -1, -1, 261, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	261, 261, 261, 261, 261, 261, 261, -1, 
	-1, -1, 261, 261, 261, -1, -1, 261, 
	261, -1, 261, 261, 261, 261, 261, -1, 
	261, 261, 261, -1, -1, -1, 261, 261, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 261, 261, 261, -1, -1, 261, 
	-1, -1, -1, -1, 261, -1, 261, 261, 
	261, 261, -1, 261, 261, 261, 261, 261, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 261, -1, 261, -1, -1, 261, 
	-1, 261, 261, -1, -1, -1, 261, -1, 
	261, -1, 261, 262, 262, 262, 262, 262, 
	262, 262, 262, 262, 262, 262, 262, 262, 
	262, 262, 262, 262, 262, 262, 262, 262, 
	262, 262, 262, 262, 262, -1, 262, 262, 
	262, 262, 262, -1, 262, -1, 262, 262, 
	262, 262, -1, 262, -1, 262, 262, 262, 
	-1, -1, 262, 262, 262, 262, 262, 262, 
	262, 262, -1, 262, 262, 262, -1, -1, 
	-1, -1, 262, 262, 262, 262, 262, -1, 
	-1, 262, 262, 262, 262, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 262, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 259, 259, 259, 
	-1, -1, -1, -1, 259, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	259, 259, 259, 259, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 261, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 262, 262, 262, 
	262, -1, -1, 262, 262, -1, 262, 262, 
	262, -1, -1, -1, -1, 262, 262, 262, 
	-1, 262, 262, 262, -1, -1, -1, -1, 
	262, -1, -1, -1, -1, 262, -1, -1, 
	-1, 262, 262, 262, -1, 262, 262, -1, 
	-1, 262, -1, -1, -1, -1, -1, -1, 
	-1, -1, 262, 262, 262, 262, 262, 262, 
	262, -1, -1, -1, -1, 262, 262, -1, 
	-1, 262, 262, -1, -1, -1, -1, -1, 
	-1, -1, -1, 262, 262, -1, -1, -1, 
	-1, 262, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	262, 262, 262, -1, -1, -1, -1, -1, 
	262, 262, 263, 263, 263, 263, 263, 263, 
	263, -1, 263, 263, 262, -1, -1, -1, 
	-1, -1, -1, 262, -1, 263, 263, 263, 
	263, 263, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 263, -1, -1, -1, 
	263, -1, -1, -1, 263, 263, 263, 263, 
	263, 263, -1, -1, -1, -1, 263, 263, 
	263, -1, -1, -1, -1, 263, 263, -1, 
	263, 263, 263, 263, -1, -1, -1, -1, 
	-1, -1, -1, 263, 264, 264, 264, 264, 
	264, 264, 264, -1, 264, 264, -1, -1, 
	-1, 263, 263, 263, -1, 263, -1, 264, 
	264, 264, 264, 264, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, -1, 
	-1, -1, 264, -1, -1, -1, 264, 264, 
	264, 264, 264, 264, -1, -1, -1, -1, 
	264, 264, 264, -1, -1, -1, -1, 264, 
	264, -1, 264, 264, 264, 264, -1, -1, 
	-1, -1, -1, -1, -1, 264, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 264, 264, 264, -1, 264, 
	265, 265, 265, 265, 265, 265, 265, 265, 
	265, 265, 265, 265, -1, -1, 265, 265, 
	265, 265, -1, -1, -1, 262, -1, -1, 
	-1, -1, -1, -1, -1, -1, 265, 265, 
	265, -1, -1, -1, 265, -1, -1, -1, 
	-1, 265, -1, -1, -1, -1, -1, 265, 
	265, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 265, -1, -1, 
	265, 265, 265, 265, 263, 263, 263, 263, 
	-1, 263, 263, 263, -1, -1, 265, -1, 
	263, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 263, 263, 263, 263, 
	263, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, 264, 
	264, 264, -1, 264, 264, 264, -1, -1, 
	-1, -1, 264, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 264, 264, 
	264, 264, 264, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 265, -1, -1, -1, 
	-1, -1, -1, -1, 265, 265, 265, -1, 
	265, 265, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 265, -1, -1, -1, -1, 
	265, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 265, 
	265, 265, -1, -1, -1, -1, -1, 265, 
	265, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 265, 266, 266, 266, 266, 266, 
	266, 266, 266, 266, 266, 266, 266, 266, 
	266, 266, 266, 266, 266, 266, 266, 266, 
	266, 266, 266, 266, 266, -1, 266, 266, 
	266, 266, 266, -1, 266, -1, 266, 266, 
	266, 266, -1, 266, -1, 266, 266, 266, 
	-1, -1, 266, 266, 266, 266, 266, 266, 
	266, 266, -1, 266, 266, 266, -1, -1, 
	-1, -1, 266, 266, 266, 266, 266, -1, 
	-1, 266, 266, 266, 266, 267, 267, 267, 
	267, 267, 267, 267, -1, 267, 267, 266, 
	262, 262, 262, -1, -1, -1, -1, -1, 
	267, 267, 267, 267, 267, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 267, 
	-1, -1, -1, 267, -1, -1, -1, 267, 
	267, 267, 267, 267, 267, -1, -1, -1, 
	-1, 267, 267, 267, -1, -1, -1, -1, 
	267, 267, -1, 267, 267, 267, 267, -1, 
	-1, -1, -1, -1, -1, -1, 267, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 267, 267, 267, -1, 
	267, -1, -1, -1, -1, 266, 266, 266, 
	266, -1, -1, 266, 266, -1, 266, 266, 
	266, -1, -1, -1, -1, 266, 266, 266, 
	-1, 266, 266, 266, -1, -1, -1, -1, 
	266, -1, -1, -1, -1, 266, -1, -1, 
	-1, 266, 266, 266, -1, 266, 266, -1, 
	-1, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, 266, 266, 266, 266, 266, 266, 
	266, -1, -1, -1, -1, 266, 266, -1, 
	-1, 266, 266, -1, -1, -1, -1, -1, 
	-1, -1, -1, 266, 266, -1, -1, -1, 
	-1, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	266, 266, 266, -1, -1, -1, -1, -1, 
	266, 266, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 266, -1, -1, -1, 
	-1, -1, -1, 266, -1, -1, -1, -1, 
	267, 267, 267, -1, 267, 267, 267, -1, 
	-1, -1, -1, 267, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 267, 
	267, 267, 267, 267, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 263, 263, 
	263, 263, -1, 263, 263, 263, -1, -1, 
	-1, -1, 263, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 263, 263, 
	263, 263, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	264, 264, 264, 264, -1, 264, 264, 264, 
	-1, -1, -1, -1, 264, -1, -1, -1, 
	-1, -1, -1, -1, -1, 266, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	264, 264, 264, 264, -1, -1, -1, -1, 
	-1, -1, -1, 268, 268, 268, 268, 268, 
	268, 268, -1, 268, 268, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 268, 268, 
	268, 268, 268, -1, -1, -1, 265, -1, 
	-1, -1, -1, -1, -1, 268, -1, -1, 
	265, 268, 265, 265, -1, 268, 268, 268, 
	268, 268, 268, -1, -1, 265, -1, 268, 
	268, 268, 265, -1, -1, -1, 268, 268, 
	-1, 268, 268, 268, 268, -1, -1, -1, 
	-1, -1, -1, -1, 268, -1, -1, -1, 
	-1, 265, 265, 265, -1, -1, -1, -1, 
	-1, 265, 268, 268, 268, -1, 268, 269, 
	269, 269, 269, 269, 269, 269, -1, 269, 
	269, -1, -1, -1, 265, -1, -1, -1, 
	-1, -1, 269, 269, 269, 269, 269, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 269, -1, -1, -1, 269, -1, -1, 
	-1, 269, 269, 269, 269, 269, 269, -1, 
	-1, -1, -1, 269, 269, 269, -1, -1, 
	-1, -1, 269, 269, -1, 269, 269, 269, 
	269, -1, -1, -1, -1, -1, -1, -1, 
	269, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 269, 269, 
	269, -1, 269, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 268, 268, 
	268, -1, 268, 268, 268, -1, -1, -1, 
	-1, 268, -1, 270, 270, 270, 270, 270, 
	270, 270, -1, 270, 270, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 270, 270, 
	270, 270, 270, -1, -1, 268, 268, 268, 
	268, 268, -1, -1, -1, 270, -1, -1, 
	-1, 270, -1, -1, -1, 270, 270, 270, 
	270, 270, 270, -1, -1, -1, -1, 270, 
	270, 270, -1, -1, -1, -1, 270, 270, 
	-1, 270, 270, 270, 270, -1, -1, -1, 
	-1, -1, -1, -1, 270, -1, -1, -1, 
	-1, -1, 269, 269, 269, -1, 269, 269, 
	269, -1, 270, 270, 270, 269, 270, 271, 
	271, 271, 271, 271, 271, 271, -1, 271, 
	271, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 271, 271, 271, 271, 271, -1, 
	-1, 269, 269, 269, 269, 269, -1, -1, 
	-1, 271, -1, -1, -1, 271, -1, -1, 
	-1, 271, 271, 271, 271, 271, 271, -1, 
	-1, -1, -1, 271, 271, 271, -1, -1, 
	-1, -1, 271, 271, -1, 271, 271, 271, 
	271, -1, -1, -1, -1, -1, -1, -1, 
	271, -1, 267, 267, 267, -1, 267, 267, 
	267, -1, -1, -1, -1, 267, 271, 271, 
	271, -1, 271, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 267, 267, 267, 267, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 270, 270, 
	270, -1, 270, 270, 270, -1, -1, -1, 
	-1, 270, -1, 272, 272, 272, 272, 272, 
	272, 272, -1, 272, 272, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 272, 272, 
	272, 272, 272, -1, -1, 270, 270, 270, 
	270, 270, -1, -1, -1, 272, -1, -1, 
	-1, 272, -1, -1, -1, 272, 272, 272, 
	272, 272, 272, -1, -1, -1, -1, 272, 
	272, 272, -1, -1, -1, -1, 272, 272, 
	-1, 272, 272, 272, 272, -1, -1, -1, 
	-1, -1, -1, -1, 272, -1, -1, -1, 
	-1, -1, 271, 271, 271, -1, 271, 271, 
	271, -1, 272, 272, 272, 271, 272, 273, 
	273, 273, 273, 273, 273, 273, -1, 273, 
	273, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 273, 273, 273, 273, 273, -1, 
	-1, 271, 271, 271, 271, 271, -1, -1, 
	-1, 273, -1, -1, -1, 273, -1, -1, 
	-1, 273, 273, 273, 273, 273, 273, -1, 
	-1, -1, -1, 273, 273, 273, -1, -1, 
	-1, -1, 273, 273, -1, 273, 273, 273, 
	273, -1, -1, -1, -1, -1, -1, -1, 
	273, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 273, 273, 
	273, -1, 273, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 272, 272, 
	272, -1, 272, 272, 272, -1, -1, -1, 
	-1, 272, -1, 274, 274, 274, 274, 274, 
	274, 274, -1, 274, 274, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 274, 274, 
	274, 274, 274, -1, -1, 272, 272, 272, 
	272, 272, -1, -1, -1, 274, -1, -1, 
	-1, 274, -1, -1, -1, 274, 274, 274, 
	274, 274, 274, -1, -1, -1, -1, 274, 
	274, 274, -1, -1, -1, -1, 274, 274, 
	-1, 274, 274, 274, 274, -1, -1, -1, 
	-1, -1, -1, -1, 274, -1, -1, -1, 
	-1, -1, -1, 273, 273, -1, 273, 273, 
	273, -1, 274, 274, 274, 273, 274, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	268, 268, 268, -1, 268, 268, 268, -1, 
	-1, -1, -1, 268, -1, -1, -1, -1, 
	-1, 273, 273, 273, 273, 273, -1, -1, 
	-1, -1, 275, 275, 275, 275, 275, 275, 
	275, -1, 275, 275, -1, -1, -1, 268, 
	268, 268, 268, -1, -1, 275, 275, 275, 
	275, 275, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 275, -1, -1, -1, 
	275, -1, -1, -1, 275, 275, 275, 275, 
	275, 275, -1, -1, -1, -1, 275, 275, 
	275, -1, -1, -1, -1, 275, 275, -1, 
	275, 275, 275, 275, 269, 269, 269, -1, 
	269, 269, 269, 275, -1, -1, -1, 269, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 275, 275, 275, -1, 275, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 269, 269, 269, 269, 274, 
	274, -1, 274, 274, 274, -1, -1, -1, 
	-1, 274, 276, 276, 276, 276, 276, 276, 
	276, -1, 276, 276, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 276, 276, 276, 
	276, 276, -1, -1, -1, 274, 274, 274, 
	274, 274, -1, -1, 276, -1, -1, -1, 
	276, -1, -1, -1, 276, 276, 276, 276, 
	276, 276, -1, -1, -1, -1, 276, 276, 
	276, -1, -1, -1, -1, 276, 276, -1, 
	276, 276, 276, 276, -1, -1, -1, -1, 
	-1, -1, -1, 276, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 276, 276, 276, -1, 276, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	270, 270, 270, -1, 270, 270, 270, -1, 
	-1, -1, -1, 270, -1, -1, -1, 275, 
	-1, 275, 275, 275, -1, -1, -1, -1, 
	275, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 270, 
	270, 270, 270, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 275, 275, 275, 275, 
	275, -1, -1, 680, 680, 680, 680, 680, 
	680, 680, 680, 680, -1, 680, 680, -1, 
	-1, 680, 680, 680, 680, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 680, 680, 680, 271, 271, 271, 680, 
	271, 271, 271, -1, 680, -1, -1, 271, 
	-1, -1, 680, 680, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	680, -1, -1, 680, 680, 680, 680, -1, 
	-1, -1, -1, 271, 271, 271, 271, 276, 
	680, 276, 276, 276, -1, -1, -1, -1, 
	276, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 680, 680, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 276, 276, 276, 276, 
	276, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	272, 272, 272, -1, 272, 272, 272, -1, 
	-1, -1, -1, 272, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 680, 
	-1, -1, -1, -1, -1, -1, 680, 272, 
	272, 272, 272, 680, 680, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 680, -1, 
	-1, -1, -1, 680, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 680, 680, 680, -1, -1, -1, 
	-1, -1, 680, 680, -1, 273, 273, -1, 
	273, 273, 273, -1, -1, -1, -1, 273, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 279, 279, 279, 279, 
	279, 279, 279, -1, 279, 279, -1, -1, 
	-1, -1, -1, 273, 273, 273, 273, 279, 
	279, 279, 279, 279, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 279, -1, 
	-1, -1, 279, -1, -1, -1, 279, 279, 
	279, 279, 279, 279, -1, -1, -1, -1, 
	279, 279, 279, -1, -1, -1, -1, 279, 
	279, -1, 279, 279, 279, 279, -1, -1, 
	-1, -1, -1, -1, -1, 279, 279, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 279, 279, 279, -1, 279, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 274, 274, -1, 274, 274, 274, -1, 
	-1, -1, -1, 274, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 274, 
	274, 274, 274, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 279, 279, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 279, 279, 279, 
	279, 279, -1, 279, 279, 279, -1, -1, 
	-1, -1, 279, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 275, -1, 275, 275, 275, -1, -1, 
	-1, -1, 275, -1, -1, -1, 279, 279, 
	279, 279, 279, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 275, 275, 
	275, 275, -1, -1, -1, -1, -1, -1, 
	-1, 287, 287, 287, 287, 287, 287, 287, 
	287, 287, 287, 287, 287, -1, -1, 287, 
	287, 287, 287, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 287, 
	287, 287, -1, -1, -1, 287, -1, -1, 
	-1, -1, 287, -1, -1, -1, -1, -1, 
	287, 287, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 287, -1, 
	-1, 287, 287, 287, 287, -1, -1, -1, 
	-1, 276, -1, 276, 276, 276, -1, 287, 
	-1, -1, 276, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 276, 276, 
	276, 276, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	278, 278, -1, 278, -1, 278, 278, 278, 
	278, 278, 278, -1, 278, 278, 278, -1, 
	-1, 278, 278, 278, 278, 278, 278, 278, 
	278, -1, 278, 278, 278, 278, -1, -1, 
	-1, 278, 278, 278, 278, 278, -1, -1, 
	278, 278, 278, 278, -1, -1, -1, 278, 
	278, -1, -1, 278, 278, -1, 278, 278, 
	278, 278, -1, -1, 278, -1, 278, -1, 
	-1, -1, -1, -1, -1, -1, 278, -1, 
	-1, -1, -1, -1, -1, 287, -1, -1, 
	-1, -1, -1, -1, -1, 287, 287, -1, 
	-1, 287, 287, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 287, -1, -1, -1, 
	278, 287, -1, -1, -1, -1, -1, -1, 
	-1, -1, 278, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	287, 287, 287, -1, -1, -1, -1, -1, 
	287, 287, -1, -1, 278, 278, 278, 278, 
	-1, -1, 278, 278, 278, 278, 278, 278, 
	-1, -1, -1, 287, 278, 278, 278, 278, 
	278, 278, 278, -1, -1, 278, -1, 278, 
	-1, -1, -1, -1, 278, 278, -1, 278, 
	278, 278, 278, -1, 278, 278, -1, -1, 
	278, -1, -1, -1, -1, -1, 278, -1, 
	278, 278, 278, 278, 278, 278, 278, 278, 
	-1, -1, -1, -1, 278, 278, -1, 278, 
	278, 278, -1, -1, -1, -1, -1, -1, 
	-1, -1, 278, 278, 278, -1, 278, -1, 
	278, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 278, 278, 278, -1, -1, 278, 
	278, 278, -1, -1, -1, -1, -1, 278, 
	278, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 278, -1, 278, -1, -1, 
	278, 278, 278, 280, 280, 280, 280, 280, 
	280, 280, 280, 280, 280, 280, 280, 280, 
	280, 280, 280, 280, 280, 280, 280, 280, 
	280, 280, 280, 280, 280, -1, 280, 280, 
	280, 280, 280, -1, 280, -1, 280, 280, 
	280, 280, -1, 280, -1, 280, 280, 280, 
	-1, -1, 280, 280, 280, 280, 280, 280, 
	280, 280, -1, 280, 280, 280, -1, -1, 
	-1, -1, 280, 280, 280, 280, 280, -1, 
	-1, 280, 280, 280, 280, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 280, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 279, 279, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 279, 
	279, 279, 279, 279, -1, 279, 279, 279, 
	-1, -1, -1, -1, 279, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	279, 279, 279, 279, -1, -1, -1, -1, 
	-1, -1, -1, -1, 278, 280, 280, 280, 
	280, -1, -1, 280, 280, -1, 280, 280, 
	280, -1, -1, -1, -1, 280, 280, 280, 
	-1, 280, 280, 280, -1, -1, -1, -1, 
	280, -1, -1, -1, -1, 280, -1, -1, 
	-1, 280, 280, 280, -1, 280, 280, -1, 
	-1, 280, -1, -1, -1, -1, -1, -1, 
	-1, -1, 280, 280, 280, 280, 280, 280, 
	280, -1, -1, -1, -1, 280, 280, -1, 
	-1, 280, 280, -1, -1, -1, -1, -1, 
	-1, -1, -1, 280, 280, -1, -1, -1, 
	-1, 280, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	280, 280, 280, -1, -1, -1, -1, -1, 
	280, 280, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 280, -1, -1, -1, 
	-1, -1, -1, 280, 282, 282, 282, 282, 
	282, 282, 282, 282, 282, 282, 282, 282, 
	282, 282, 282, -1, 282, 282, 282, 282, 
	282, 282, 282, 282, -1, -1, -1, 282, 
	282, 282, 282, 282, -1, 282, -1, 282, 
	282, 282, 282, -1, 282, -1, 282, 282, 
	282, -1, -1, 282, -1, -1, 282, 282, 
	282, 282, 282, -1, 282, 282, 282, -1, 
	-1, -1, -1, 282, 282, 282, 282, 282, 
	-1, -1, 282, 282, 282, 282, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 287, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 287, 287, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 287, -1, 
	-1, -1, -1, 287, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 287, 287, 287, -1, -1, -1, 
	-1, -1, 287, -1, -1, 280, 282, 282, 
	282, 282, -1, -1, 282, 282, 282, 282, 
	282, 282, -1, -1, -1, 287, 282, 282, 
	282, 282, 282, 282, 282, -1, -1, -1, 
	-1, 282, -1, -1, -1, -1, 282, -1, 
	-1, -1, 282, 282, 282, -1, 282, 282, 
	-1, -1, 282, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 282, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 282, 282, -1, -1, -1, -1, 
	-1, -1, -1, -1, 282, 282, 278, -1, 
	-1, -1, 282, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 282, 282, 282, -1, -1, -1, -1, 
	-1, 282, 282, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 282, -1, 282, 
	283, 283, 283, 283, 283, 283, 283, 283, 
	283, 283, 283, 283, 283, 283, 283, -1, 
	283, 283, 283, 283, 283, 283, 283, 283, 
	-1, -1, -1, 283, 283, 283, 283, 283, 
	-1, 283, -1, 283, 283, 283, 283, -1, 
	283, -1, 283, 283, 283, -1, -1, 283, 
	-1, -1, 283, 283, 283, 283, 283, -1, 
	283, 283, 283, -1, -1, -1, -1, 283, 
	283, 283, 283, 283, -1, -1, 283, 283, 
	283, 283, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 283, 283, 283, 283, 282, -1, 
	283, 283, 283, 283, 283, 283, -1, -1, 
	-1, -1, 283, 283, 283, 283, 283, 283, 
	283, -1, -1, -1, -1, 283, -1, -1, 
	-1, -1, 283, 283, -1, -1, 283, 283, 
	283, -1, 283, 283, -1, -1, 283, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 283, -1, -1, -1, -1, 326, 
	326, 326, 326, 326, 326, -1, 283, 283, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	283, 283, -1, -1, -1, -1, 283, -1, 
	-1, -1, 326, 326, 326, 326, 326, -1, 
	326, -1, 326, -1, -1, -1, -1, 326, 
	-1, -1, 326, -1, -1, 283, 283, 283, 
	-1, 326, 326, 326, -1, 283, 283, 326, 
	326, 326, -1, -1, -1, -1, 326, 326, 
	326, 283, 326, 283, -1, -1, 283, -1, 
	-1, 288, 288, 288, 288, 288, 288, 288, 
	288, 288, 288, 288, 288, 288, 288, 288, 
	-1, 288, 288, 288, 288, 288, 288, 288, 
	288, -1, -1, -1, 288, 288, 288, 288, 
	288, -1, 288, -1, 288, 288, 288, 288, 
	-1, 288, -1, 288, 288, 288, -1, -1, 
	288, -1, -1, 288, 288, 288, 288, 288, 
	-1, 288, 288, 288, -1, -1, -1, -1, 
	288, 288, 288, 288, 288, -1, -1, 288, 
	288, 288, 288, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 326, 326, -1, -1, 326, 
	326, 326, 326, -1, 326, -1, -1, -1, 
	-1, 326, 326, 326, 326, 326, 326, 326, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 326, 326, 326, 
	-1, 326, 326, -1, -1, 326, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 326, -1, -1, 
	-1, -1, 283, 288, 288, 288, 288, 326, 
	326, 288, 288, -1, 288, 288, 288, -1, 
	-1, -1, -1, 288, 288, 288, -1, 288, 
	288, 288, -1, -1, -1, -1, 288, -1, 
	-1, -1, -1, 288, 288, -1, -1, 288, 
	288, 288, -1, 288, 288, -1, -1, 288, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 326, 288, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 288, 
	288, -1, -1, -1, -1, -1, -1, -1, 
	-1, 288, 288, -1, -1, -1, -1, 288, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 288, 288, 
	288, -1, -1, -1, -1, -1, 288, 288, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 288, -1, -1, -1, -1, 288, 
	-1, -1, 289, 289, 289, 289, 289, 289, 
	289, 289, 289, 289, 289, 289, 289, 289, 
	289, 289, 289, 289, 289, 289, 289, 289, 
	289, 289, 289, 289, -1, 289, 289, 289, 
	289, 289, -1, 289, -1, 289, 289, 289, 
	289, -1, 289, -1, 289, 289, 289, -1, 
	-1, 289, 289, 289, 289, 289, 289, 289, 
	289, -1, 289, 289, 289, -1, -1, -1, 
	-1, 289, 289, 289, 289, 289, -1, -1, 
	289, 289, 289, 289, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 289, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 288, 289, 289, 289, 289, 
	-1, -1, 289, 289, -1, 289, 289, 289, 
	-1, -1, -1, -1, 289, 289, 289, -1, 
	289, 289, 289, -1, -1, -1, -1, 289, 
	-1, -1, -1, -1, 289, -1, -1, -1, 
	289, 289, 289, -1, 289, 289, -1, -1, 
	289, -1, -1, -1, -1, -1, -1, -1, 
	-1, 289, 289, 289, 289, 289, 289, 289, 
	-1, -1, -1, -1, 289, 289, -1, -1, 
	289, 289, -1, -1, -1, -1, -1, -1, 
	-1, -1, 289, 289, -1, -1, -1, -1, 
	289, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 289, 
	289, 289, -1, -1, -1, -1, -1, 289, 
	289, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 289, -1, -1, -1, -1, 
	-1, -1, 289, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, 291, 291, 291, 291, 
	291, 291, 291, 291, 291, -1, 291, 291, 
	291, 291, 291, -1, 291, -1, 291, 291, 
	291, 291, -1, 291, -1, 291, 291, 291, 
	-1, -1, 291, 291, 291, 291, 291, 291, 
	291, 291, -1, 291, 291, 291, -1, -1, 
	-1, -1, 291, 291, 291, 291, 291, -1, 
	-1, 291, 291, 291, 291, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 291, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 289, 291, 291, 291, 
	291, -1, -1, 291, 291, -1, 291, 291, 
	291, -1, -1, -1, -1, 291, 291, 291, 
	-1, 291, 291, 291, -1, -1, -1, -1, 
	291, -1, -1, -1, -1, 291, -1, -1, 
	-1, 291, 291, 291, -1, 291, 291, -1, 
	-1, 291, -1, -1, -1, -1, -1, -1, 
	-1, -1, 291, 291, 291, 291, 291, 291, 
	291, -1, -1, -1, -1, 291, 291, -1, 
	-1, 291, 291, -1, -1, -1, -1, -1, 
	-1, -1, -1, 291, 291, -1, -1, -1, 
	-1, 291, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	291, 291, 291, -1, -1, -1, -1, -1, 
	291, 291, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 291, -1, -1, -1, 
	-1, -1, -1, 291, 292, 292, 292, 292, 
	292, 292, 292, 292, 292, 292, 292, 292, 
	292, 292, 292, 292, 292, 292, 292, 292, 
	292, 292, 292, 292, 292, 292, -1, 292, 
	292, 292, 292, 292, -1, 292, -1, 292, 
	292, 292, 292, -1, 292, -1, 292, 292, 
	292, -1, -1, 292, 292, 292, 292, 292, 
	292, 292, 292, -1, 292, 292, 292, -1, 
	-1, -1, -1, 292, 292, 292, 292, 292, 
	-1, -1, 292, 292, 292, 292, -1, 294, 
	294, 294, 294, 294, 294, 294, 294, 294, 
	292, 294, 294, -1, -1, 294, 294, 294, 
	294, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 294, 294, 294, 
	-1, -1, -1, 294, -1, -1, -1, -1, 
	294, -1, -1, -1, -1, -1, 294, 294, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 294, -1, -1, 294, 
	294, 294, 294, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 294, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 291, 292, 292, 
	292, 292, -1, -1, 292, 292, -1, 292, 
	292, 292, -1, -1, -1, -1, 292, 292, 
	292, -1, 292, 292, 292, -1, -1, -1, 
	-1, 292, -1, -1, -1, -1, 292, -1, 
	-1, -1, 292, 292, 292, -1, 292, 292, 
	-1, -1, 292, -1, -1, -1, -1, -1, 
	-1, -1, -1, 292, 292, 292, 292, 292, 
	292, 292, -1, -1, -1, -1, 292, 292, 
	-1, -1, 292, 292, -1, -1, -1, -1, 
	-1, -1, -1, -1, 292, 292, -1, -1, 
	-1, -1, 292, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 292, 292, 292, -1, -1, -1, -1, 
	-1, 292, 292, -1, -1, -1, -1, -1, 
	-1, -1, -1, 294, -1, 292, -1, -1, 
	-1, -1, 294, -1, 292, -1, -1, 294, 
	294, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 294, -1, -1, -1, -1, 294, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 294, 294, 
	294, -1, -1, -1, -1, -1, 294, 294, 
	-1, -1, -1, -1, -1, 298, 298, 298, 
	298, 298, 298, 298, 298, 298, 298, 298, 
	298, 298, 298, 298, -1, 298, 298, 298, 
	298, 298, 298, 298, 298, -1, -1, -1, 
	298, 298, 298, 298, 298, -1, 298, -1, 
	298, 298, 298, 298, -1, 298, -1, 298, 
	298, 298, -1, -1, 298, -1, -1, 298, 
	298, 298, 298, 298, -1, 298, 298, 298, 
	298, -1, -1, -1, 298, 298, 298, 298, 
	298, -1, 298, 298, 298, 298, 298, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 292, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 291, 291, 291, 298, 
	298, 298, 298, -1, -1, 298, 298, 298, 
	298, 298, 298, -1, -1, -1, -1, 298, 
	298, 298, 298, 298, 298, 298, -1, 298, 
	298, -1, 298, -1, -1, -1, -1, 298, 
	298, -1, -1, 298, 298, 298, -1, 298, 
	298, -1, -1, 298, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 298, 
	-1, -1, -1, -1, 327, 327, 327, 327, 
	327, 327, -1, 298, 298, -1, -1, -1, 
	-1, -1, -1, -1, -1, 298, 298, -1, 
	-1, -1, -1, 298, -1, -1, -1, 327, 
	327, 327, 327, 327, -1, 327, -1, 327, 
	-1, -1, -1, -1, 327, -1, -1, 327, 
	-1, -1, 298, 298, 298, -1, 327, 327, 
	327, -1, 298, 298, 327, 327, 327, -1, 
	-1, -1, -1, 327, 327, 327, 298, 327, 
	298, -1, -1, 298, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 299, 
	299, 299, 299, 299, 299, 299, 299, 299, 
	299, 299, 299, 299, 299, 299, -1, 299, 
	299, 299, 299, 299, 299, 299, 299, -1, 
	-1, -1, 299, 299, 299, 299, 299, -1, 
	299, -1, 299, 299, 299, 299, -1, 299, 
	-1, 299, 299, 299, -1, -1, 299, -1, 
	-1, 299, 299, 299, 299, 299, -1, 299, 
	299, 299, 299, -1, -1, -1, 299, 299, 
	299, 299, 299, -1, 299, 299, 299, 299, 
	299, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	327, 327, -1, -1, 327, 327, 327, 327, 
	-1, 327, -1, -1, 299, -1, 327, 327, 
	327, 327, 327, 327, 327, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 327, 327, 327, -1, 327, 327, 
	-1, -1, 327, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 327, -1, -1, -1, -1, 298, 
	-1, -1, -1, -1, 327, 327, -1, -1, 
	-1, 299, 299, 299, 299, -1, -1, 299, 
	299, 299, 299, 299, 299, -1, -1, -1, 
	-1, 299, 299, 299, 299, 299, 299, 299, 
	-1, 299, 299, 299, 299, -1, -1, -1, 
	-1, 299, 299, -1, -1, 299, 299, 299, 
	-1, 299, 299, -1, -1, 299, -1, 327, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 299, -1, -1, -1, 294, -1, -1, 
	-1, -1, -1, -1, 294, 299, 299, -1, 
	-1, 294, 294, -1, -1, -1, -1, 299, 
	299, -1, -1, -1, 294, 299, -1, -1, 
	-1, 294, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 299, 299, 299, -1, 
	294, 294, 294, -1, 299, 299, -1, -1, 
	294, -1, -1, -1, -1, -1, -1, -1, 
	299, -1, 299, -1, -1, 299, -1, -1, 
	301, 301, 301, 301, 301, 301, 301, 301, 
	301, 301, 301, 301, 301, 301, 301, 301, 
	301, 301, 301, 301, 301, 301, 301, 301, 
	301, 301, -1, 301, 301, 301, 301, 301, 
	-1, 301, -1, 301, 301, 301, 301, 301, 
	301, -1, 301, 301, 301, -1, -1, 301, 
	301, 301, 301, 301, 301, 301, 301, -1, 
	301, 301, 301, 301, -1, -1, -1, 301, 
	301, 301, 301, 301, -1, -1, 301, 301, 
	301, 301, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 301, -1, -1, 301, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 301, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 299, 301, 301, 301, 301, -1, -1, 
	301, 301, 301, 301, 301, 301, -1, -1, 
	-1, -1, 301, 301, 301, 301, 301, 301, 
	301, -1, -1, 301, -1, 301, -1, -1, 
	-1, -1, 301, 301, -1, 301, 301, 301, 
	301, -1, 301, 301, -1, -1, 301, -1, 
	-1, -1, -1, -1, 301, -1, 301, 301, 
	301, 301, 301, 301, 301, 301, -1, -1, 
	-1, -1, 301, 301, -1, 301, 301, 301, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	301, 301, -1, -1, -1, -1, 301, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 301, 301, 301, 
	-1, -1, -1, -1, -1, 301, 301, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 301, -1, 301, -1, -1, 301, 301, 
	301, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, -1, 304, 304, 304, 304, 
	304, -1, 304, -1, 304, 304, 304, 304, 
	-1, 304, -1, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, -1, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, -1, 304, -1, -1, 
	304, -1, 304, 304, 304, 304, 304, -1, 
	-1, 304, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, 304, 304, 304, 304, 304, 
	304, -1, -1, -1, -1, -1, 304, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 301, 304, 304, 304, 304, -1, 
	-1, 304, 304, 304, 304, 304, 304, -1, 
	-1, -1, -1, 304, 304, 304, 304, 304, 
	304, 304, -1, -1, -1, 299, 304, -1, 
	-1, -1, -1, 304, 304, -1, -1, 304, 
	304, 304, -1, 304, 304, -1, -1, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	304, 304, 304, 304, 304, 304, 304, -1, 
	-1, -1, 304, 304, 304, -1, -1, 304, 
	304, -1, 304, 304, 304, 304, 304, 304, 
	304, 304, 304, -1, -1, -1, 304, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 304, 304, 304, -1, -1, 304, 
	-1, -1, -1, -1, 304, -1, 304, 304, 
	304, 304, -1, 304, 304, 304, 304, 304, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 304, -1, 304, -1, -1, 304, 
	-1, 304, 304, -1, -1, -1, 304, -1, 
	304, -1, 304, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, -1, 305, 305, 
	305, 305, 305, -1, 305, -1, 305, 305, 
	305, 305, -1, 305, -1, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, -1, 305, 
	305, 305, 305, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, -1, 305, 
	-1, -1, 305, -1, 305, 305, 305, 305, 
	305, -1, -1, 305, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, 305, 305, 305, 
	305, 305, 305, -1, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 304, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 305, 305, 305, 
	305, -1, -1, 305, 305, 305, 305, 305, 
	305, -1, -1, -1, -1, 305, 305, 305, 
	305, 305, 305, 305, -1, -1, -1, -1, 
	305, -1, -1, -1, -1, 305, 305, -1, 
	-1, 305, 305, 305, -1, 305, 305, -1, 
	-1, 305, -1, -1, -1, -1, -1, -1, 
	-1, -1, 305, 305, 305, 305, 305, 305, 
	305, -1, -1, -1, 305, 305, 305, 305, 
	-1, 305, 305, -1, 305, 305, 305, 305, 
	305, 305, 305, 305, 305, -1, -1, -1, 
	305, 305, 305, -1, -1, -1, 305, 305, 
	-1, -1, -1, -1, 305, 305, 305, -1, 
	-1, 305, -1, -1, -1, -1, 305, -1, 
	305, 305, 305, 305, -1, 305, 305, 305, 
	305, 305, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 305, -1, 305, -1, 
	-1, 305, -1, 305, 305, -1, 305, -1, 
	305, -1, 305, -1, 305, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, -1, 
	306, 306, 306, 306, 306, -1, 306, -1, 
	306, 306, 306, 306, -1, 306, -1, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	-1, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	-1, 306, -1, -1, 306, -1, 306, 306, 
	306, 306, 306, -1, -1, 306, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, 306, 
	306, 306, 306, 306, 306, -1, -1, -1, 
	-1, -1, 306, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 305, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 306, 
	306, 306, 306, -1, -1, 306, 306, 306, 
	306, 306, 306, -1, -1, -1, -1, 306, 
	306, 306, 306, 306, 306, 306, -1, -1, 
	-1, -1, 306, -1, -1, -1, -1, 306, 
	306, -1, -1, 306, 306, 306, -1, 306, 
	306, -1, -1, 306, -1, -1, -1, -1, 
	-1, -1, -1, -1, 306, 306, 306, 306, 
	306, 306, 306, -1, -1, -1, 306, 306, 
	306, 306, -1, 306, 306, -1, 306, 306, 
	306, 306, 306, 306, 306, 306, 306, -1, 
	-1, -1, 306, 306, 306, -1, -1, -1, 
	306, 306, -1, -1, -1, -1, 306, 306, 
	306, -1, -1, 306, -1, -1, -1, -1, 
	306, -1, 306, 306, 306, 306, -1, 306, 
	306, 306, 306, 306, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 306, -1, 
	306, -1, -1, 306, -1, 306, 306, -1, 
	306, -1, 306, -1, 306, -1, 306, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, -1, 308, 308, 308, 308, 308, -1, 
	308, -1, 308, 308, 308, 308, -1, 308, 
	-1, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, -1, 308, 308, 308, 308, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, -1, 308, -1, -1, 308, -1, 
	308, 308, 308, 308, 308, -1, -1, 308, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, 308, 308, 308, 308, 308, 308, -1, 
	-1, -1, -1, -1, 308, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 306, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 308, 308, 308, 308, -1, -1, 308, 
	308, 308, 308, 308, 308, -1, -1, -1, 
	-1, 308, 308, 308, 308, 308, 308, 308, 
	-1, -1, -1, -1, 308, -1, -1, -1, 
	-1, 308, 308, -1, -1, 308, 308, 308, 
	-1, 308, 308, -1, -1, 308, -1, -1, 
	-1, -1, -1, -1, -1, -1, 308, 308, 
	308, 308, 308, 308, 308, -1, -1, -1, 
	308, 308, 308, -1, -1, 308, 308, -1, 
	308, 308, 308, 308, 308, 308, 308, 308, 
	308, -1, -1, -1, 308, 308, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	308, 308, 308, -1, -1, 308, -1, -1, 
	-1, -1, 308, -1, 308, 308, 308, 308, 
	-1, 308, 308, 308, 308, 308, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	308, -1, 308, -1, -1, 308, -1, 308, 
	308, -1, -1, -1, 308, -1, 308, -1, 
	308, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, -1, 309, 309, 309, 309, 
	309, -1, 309, -1, 309, 309, 309, 309, 
	-1, 309, -1, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, -1, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, -1, 309, -1, -1, 
	309, -1, 309, 309, 309, 309, 309, -1, 
	-1, 309, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, 309, 309, 309, 309, 309, 
	309, -1, -1, -1, -1, -1, 309, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 308, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 309, 309, 309, 309, -1, 
	-1, 309, 309, 309, 309, 309, 309, -1, 
	-1, -1, -1, 309, 309, 309, 309, 309, 
	309, 309, -1, -1, -1, -1, 309, -1, 
	-1, -1, -1, 309, 309, -1, -1, 309, 
	309, 309, -1, 309, 309, -1, -1, 309, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	309, 309, 309, 309, 309, 309, 309, -1, 
	-1, -1, 309, 309, 309, 309, -1, 309, 
	309, -1, 309, 309, 309, 309, 309, 309, 
	309, 309, 309, -1, -1, -1, 309, 309, 
	309, -1, -1, -1, 309, 309, -1, -1, 
	-1, -1, 309, 309, 309, -1, -1, 309, 
	-1, -1, -1, -1, 309, -1, 309, 309, 
	309, 309, -1, 309, 309, 309, 309, 309, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 309, -1, 309, -1, -1, 309, 
	-1, 309, 309, -1, 309, -1, 309, -1, 
	309, -1, 309, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, -1, 310, 310, 
	310, 310, 310, -1, 310, -1, 310, 310, 
	310, 310, -1, 310, -1, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, -1, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, -1, 310, 
	-1, -1, 310, -1, 310, 310, 310, 310, 
	310, -1, -1, 310, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, 310, 310, 310, 
	310, 310, 310, -1, -1, -1, -1, -1, 
	310, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 309, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 310, 310, 310, 
	310, -1, -1, 310, 310, 310, 310, 310, 
	310, -1, -1, -1, -1, 310, 310, 310, 
	310, 310, 310, 310, -1, -1, -1, -1, 
	310, -1, -1, -1, -1, 310, 310, -1, 
	-1, 310, 310, 310, -1, 310, 310, -1, 
	-1, 310, -1, -1, -1, -1, -1, -1, 
	-1, -1, 310, 310, 310, 310, 310, 310, 
	310, -1, -1, -1, 310, 310, 310, 310, 
	-1, 310, 310, -1, 310, 310, 310, 310, 
	310, 310, 310, 310, 310, -1, -1, -1, 
	310, 310, 310, -1, -1, -1, 310, 310, 
	-1, -1, -1, -1, 310, 310, 310, -1, 
	-1, 310, -1, -1, -1, -1, 310, -1, 
	310, 310, 310, 310, -1, 310, 310, 310, 
	310, 310, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 310, -1, 310, -1, 
	-1, 310, -1, 310, 310, -1, 310, -1, 
	310, -1, 310, -1, 310, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, -1, 
	311, 311, 311, 311, 311, -1, 311, -1, 
	311, 311, 311, 311, -1, 311, -1, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	-1, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	-1, 311, -1, -1, 311, -1, 311, 311, 
	311, 311, 311, -1, -1, 311, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, 311, 
	311, 311, 311, 311, 311, -1, -1, -1, 
	-1, -1, 311, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 310, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 311, 
	311, 311, 311, -1, -1, 311, 311, 311, 
	311, 311, 311, -1, -1, -1, -1, 311, 
	311, 311, 311, 311, 311, 311, -1, -1, 
	-1, -1, 311, -1, -1, -1, -1, 311, 
	311, -1, -1, 311, 311, 311, -1, 311, 
	311, -1, -1, 311, -1, -1, -1, -1, 
	-1, -1, -1, -1, 311, 311, 311, 311, 
	311, 311, 311, -1, -1, -1, 311, 311, 
	311, -1, -1, 311, 311, -1, 311, 311, 
	311, 311, 311, 311, 311, 311, 311, -1, 
	-1, -1, 311, 311, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 311, 311, 
	311, -1, -1, 311, -1, -1, -1, -1, 
	311, -1, 311, 311, 311, 311, -1, 311, 
	311, 311, 311, 311, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 311, -1, 
	311, -1, -1, 311, -1, 311, 311, -1, 
	-1, -1, 311, -1, 311, -1, 311, 315, 
	315, 315, 315, 315, 315, 315, -1, 315, 
	315, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 315, 315, 315, 315, 315, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 315, -1, -1, -1, 315, -1, -1, 
	-1, 315, 315, 315, 315, 315, 315, -1, 
	-1, -1, -1, 315, 315, 315, -1, -1, 
	-1, -1, 315, 315, -1, 315, 315, 315, 
	315, -1, -1, -1, -1, -1, -1, -1, 
	315, 316, 316, 316, 316, 316, 316, 316, 
	-1, 316, 316, -1, -1, -1, 315, 315, 
	315, -1, 315, -1, 316, 316, 316, 316, 
	316, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 316, -1, -1, -1, 316, 
	-1, -1, -1, 316, 316, 316, 316, 316, 
	316, -1, -1, -1, -1, 316, 316, 316, 
	-1, -1, -1, -1, 316, 316, -1, 316, 
	316, 316, 316, -1, -1, -1, -1, -1, 
	-1, -1, 316, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 311, 
	316, 316, 316, -1, 316, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	315, 315, 315, 315, 315, -1, 315, 315, 
	315, -1, -1, -1, -1, 315, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 315, 315, 315, 315, 315, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 316, 316, 316, 316, 316, -1, 
	316, 316, 316, -1, -1, -1, -1, 316, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 316, 316, 316, 316, 316, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, -1, 318, 318, 318, 318, 318, 
	-1, 318, -1, 318, 318, 318, 318, -1, 
	318, -1, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, -1, 318, 318, 318, 318, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, -1, 318, -1, -1, 318, 
	-1, 318, 318, 318, 318, 318, -1, -1, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, 318, 318, 318, 318, 318, 318, 
	-1, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, 318, 318, 318, -1, -1, 
	318, 318, 318, 318, 318, 318, -1, -1, 
	-1, -1, 318, 318, 318, 318, 318, 318, 
	318, -1, -1, -1, -1, 318, -1, -1, 
	-1, -1, 318, 318, -1, -1, 318, 318, 
	318, -1, 318, 318, -1, -1, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, 318, 
	318, 318, 318, 318, 318, 318, -1, -1, 
	-1, 318, 318, 318, -1, -1, 318, 318, 
	-1, 318, 318, 318, 318, 318, 318, 318, 
	318, 318, -1, -1, -1, 318, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 318, 318, 318, -1, -1, 318, -1, 
	-1, -1, -1, 318, -1, 318, 318, 318, 
	318, -1, 318, 318, 318, 318, 318, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 318, -1, 318, -1, -1, 318, -1, 
	318, 318, -1, -1, -1, 318, -1, 318, 
	-1, 318, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 320, 320, 320, 320, 320, 320, 
	320, 320, 320, 320, 320, 320, 320, 320, 
	320, -1, 320, 320, 320, 320, 320, 320, 
	320, 320, -1, -1, -1, 320, 320, 320, 
	320, 320, -1, 320, -1, 320, 320, 320, 
	320, -1, 320, -1, 320, 320, 320, -1, 
	-1, 320, -1, -1, 320, 320, 320, 320, 
	320, -1, 320, 320, 320, -1, -1, -1, 
	-1, 320, 320, 320, 320, 320, -1, -1, 
	320, 320, 320, 320, -1, -1, -1, -1, 
	320, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 320, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 318, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 315, 315, 315, 315, 315, -1, 
	315, 315, 315, -1, -1, -1, -1, 315, 
	-1, -1, -1, -1, 320, 320, 320, 320, 
	-1, -1, 320, 320, 320, 320, 320, 320, 
	-1, -1, -1, -1, 320, 320, 320, 320, 
	320, 320, 320, 315, 315, 315, 315, 320, 
	-1, -1, -1, -1, 320, 320, -1, -1, 
	320, 320, 320, -1, 320, 320, -1, -1, 
	320, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 320, -1, -1, -1, 
	-1, 324, 324, 324, 324, 324, 324, -1, 
	320, 320, -1, -1, -1, -1, -1, -1, 
	-1, -1, 320, 320, -1, -1, -1, -1, 
	320, -1, -1, -1, 324, 324, 324, 324, 
	324, -1, 324, -1, 324, -1, -1, -1, 
	-1, 324, -1, -1, 324, -1, -1, 320, 
	320, 320, -1, 324, 324, 324, -1, 320, 
	320, 324, 324, 324, -1, -1, -1, -1, 
	324, 324, 324, 320, 324, 320, -1, -1, 
	320, -1, -1, 321, 321, 321, 321, 321, 
	321, 321, 321, 321, 321, 321, 321, 321, 
	321, 321, -1, 321, 321, 321, 321, 321, 
	321, 321, 321, -1, -1, -1, 321, 321, 
	321, 321, 321, -1, 321, -1, 321, 321, 
	321, 321, -1, 321, -1, 321, 321, 321, 
	-1, -1, 321, -1, -1, 321, 321, 321, 
	321, 321, -1, 321, 321, 321, -1, -1, 
	-1, -1, 321, 321, 321, 321, 321, -1, 
	-1, 321, 321, 321, 321, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 321, -1, -1, 
	-1, -1, -1, -1, -1, 324, 324, -1, 
	-1, 324, 324, 324, 324, -1, 324, -1, 
	-1, -1, -1, 324, 324, 324, 324, 324, 
	324, 324, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 324, 
	324, 324, -1, 324, 324, -1, -1, 324, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 324, 
	-1, -1, -1, -1, 320, 321, 321, 321, 
	321, 324, 324, 321, 321, 321, 321, 321, 
	321, -1, -1, -1, -1, 321, 321, 321, 
	321, 321, 321, 321, -1, -1, -1, -1, 
	321, -1, -1, -1, -1, 321, 321, -1, 
	-1, 321, 321, 321, -1, 321, 321, -1, 
	-1, 321, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 324, 321, -1, -1, 
	-1, -1, 328, 328, 328, 328, 328, 328, 
	-1, 321, 321, -1, -1, -1, -1, -1, 
	-1, -1, -1, 321, 321, -1, -1, -1, 
	-1, 321, -1, -1, -1, 328, 328, 328, 
	328, 328, -1, 328, -1, 328, -1, -1, 
	-1, -1, 328, -1, -1, 328, -1, -1, 
	321, 321, 321, -1, 328, 328, 328, -1, 
	321, 321, 328, 328, 328, -1, -1, -1, 
	-1, 328, 328, 328, 321, 328, 321, -1, 
	-1, 321, -1, -1, 329, 329, 329, 329, 
	329, 329, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 329, 
	329, 329, 329, 329, -1, 329, -1, 329, 
	-1, -1, -1, -1, 329, -1, -1, 329, 
	-1, -1, -1, -1, -1, -1, 329, 329, 
	329, -1, -1, -1, 329, 329, 329, -1, 
	-1, -1, -1, 329, 329, 329, -1, 329, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 328, 328, 
	-1, -1, 328, 328, 328, 328, -1, 328, 
	-1, -1, -1, -1, 328, 328, 328, 328, 
	328, 328, 328, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	328, 328, 328, -1, 328, 328, -1, -1, 
	328, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	328, -1, -1, -1, -1, 321, -1, -1, 
	329, 329, 328, 328, 329, 329, 329, 329, 
	-1, 329, -1, -1, -1, -1, 329, 329, 
	329, 329, 329, 329, 329, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 329, 329, 329, -1, 329, 329, 
	-1, -1, 329, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 328, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 329, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 329, 329, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 330, 330, 
	330, 330, 330, 330, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 329, 
	-1, 330, 330, 330, 330, 330, -1, 330, 
	-1, 330, -1, -1, -1, -1, 330, -1, 
	-1, 330, 331, 331, 331, 331, 331, 331, 
	330, 330, 330, -1, -1, -1, 330, 330, 
	330, -1, -1, -1, -1, 330, 330, 330, 
	-1, 330, -1, -1, -1, 331, 331, 331, 
	331, 331, -1, 331, -1, 331, -1, -1, 
	-1, -1, 331, -1, -1, 331, -1, -1, 
	-1, -1, -1, -1, 331, 331, 331, -1, 
	-1, -1, 331, 331, 331, -1, -1, -1, 
	-1, 331, 331, 331, -1, 331, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 324, 
	324, -1, -1, 324, 324, 324, 324, -1, 
	324, -1, -1, -1, -1, 324, 324, 324, 
	324, 324, 324, 324, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 324, 324, 324, -1, 324, 324, -1, 
	-1, 324, 330, 330, -1, -1, 330, 330, 
	330, 330, -1, 330, -1, -1, -1, -1, 
	330, 330, 330, 330, 330, 330, 330, -1, 
	-1, 324, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 330, 330, 330, -1, 
	330, 330, -1, -1, 330, -1, 331, 331, 
	-1, -1, 331, 331, 331, 331, -1, 331, 
	-1, -1, -1, -1, 331, 331, 331, 331, 
	331, 331, 331, -1, 330, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 330, 330, 
	331, 331, 331, -1, 331, 331, 324, -1, 
	331, -1, -1, -1, -1, -1, -1, -1, 
	-1, 332, 332, 332, 332, 332, 332, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	331, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 331, 331, 332, 332, 332, 332, 
	332, 330, 332, -1, 332, -1, -1, -1, 
	-1, 332, -1, -1, 332, 333, 333, 333, 
	333, 333, 333, 332, 332, 332, -1, -1, 
	-1, 332, 332, 332, -1, -1, -1, -1, 
	332, 332, 332, -1, 332, -1, -1, -1, 
	333, 333, 333, 333, 333, 331, 333, -1, 
	333, -1, -1, -1, -1, 333, -1, -1, 
	333, -1, -1, -1, -1, -1, -1, 333, 
	333, 333, -1, -1, -1, 333, 333, 333, 
	-1, -1, -1, -1, 333, 333, 333, -1, 
	333, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 332, 332, -1, 
	-1, 332, 332, 332, 332, -1, 332, -1, 
	-1, -1, -1, 332, 332, 332, 332, 332, 
	332, 332, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 332, 
	332, 332, -1, 332, 332, -1, -1, 332, 
	-1, 333, 333, -1, -1, 333, 333, 333, 
	333, -1, 333, -1, -1, -1, -1, 333, 
	333, 333, 333, 333, 333, 333, -1, 332, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 332, 332, 333, 333, 333, -1, 333, 
	333, -1, -1, 333, -1, -1, -1, -1, 
	-1, -1, -1, -1, 334, 334, 334, 334, 
	334, 334, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 333, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 333, 333, 334, 
	334, 334, 334, 334, 332, 334, -1, 334, 
	-1, -1, -1, -1, 334, -1, -1, 334, 
	335, 335, 335, 335, 335, 335, 334, 334, 
	334, -1, -1, -1, 334, 334, 334, -1, 
	-1, -1, -1, 334, 334, 334, -1, 334, 
	-1, -1, -1, 335, 335, 335, 335, 335, 
	333, 335, -1, 335, -1, -1, -1, -1, 
	335, -1, -1, 335, -1, -1, -1, -1, 
	-1, -1, 335, 335, 335, -1, -1, -1, 
	335, 335, 335, -1, -1, -1, -1, 335, 
	335, 335, -1, 335, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	334, 334, -1, -1, 334, 334, 334, 334, 
	-1, 334, -1, -1, -1, -1, 334, 334, 
	334, 334, 334, 334, 334, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 334, 334, 334, -1, 334, 334, 
	-1, -1, 334, -1, 335, 335, -1, -1, 
	335, 335, 335, 335, -1, 335, -1, -1, 
	-1, -1, 335, 335, 335, 335, 335, 335, 
	335, -1, 334, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 334, 334, 335, 335, 
	335, -1, 335, 335, -1, -1, 335, -1, 
	-1, -1, -1, -1, -1, -1, -1, 336, 
	336, 336, 336, 336, 336, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 335, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	335, 335, 336, 336, 336, 336, 336, 334, 
	336, -1, 336, -1, -1, -1, -1, 336, 
	-1, -1, 336, 337, 337, 337, 337, 337, 
	337, 336, 336, 336, -1, -1, -1, 336, 
	336, 336, -1, -1, -1, -1, 336, 336, 
	336, -1, 336, -1, -1, -1, 337, 337, 
	337, 337, 337, 335, 337, -1, 337, -1, 
	-1, -1, -1, 337, -1, -1, 337, -1, 
	-1, -1, -1, -1, -1, 337, 337, 337, 
	-1, -1, -1, 337, 337, 337, -1, -1, 
	-1, -1, 337, 337, 337, -1, 337, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 336, 336, -1, -1, 336, 
	336, 336, 336, -1, 336, -1, -1, -1, 
	-1, 336, 336, 336, 336, 336, 336, 336, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 336, 336, 336, 
	-1, 336, 336, -1, -1, 336, -1, 337, 
	337, -1, -1, 337, 337, 337, 337, -1, 
	337, -1, -1, -1, -1, 337, 337, 337, 
	337, 337, 337, 337, -1, 336, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 336, 
	336, 337, 337, 337, -1, 337, 337, -1, 
	-1, 337, -1, -1, -1, -1, -1, -1, 
	-1, -1, 338, 338, 338, 338, 338, 338, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 337, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 337, 337, 338, 338, 338, 
	338, 338, 336, 338, -1, 338, -1, -1, 
	-1, -1, 338, -1, -1, 338, 339, 339, 
	339, 339, 339, 339, 338, 338, 338, -1, 
	-1, -1, 338, 338, 338, -1, -1, -1, 
	-1, 338, 338, 338, -1, 338, -1, -1, 
	-1, 339, 339, 339, 339, 339, 337, 339, 
	-1, 339, -1, -1, -1, -1, 339, -1, 
	-1, 339, -1, -1, -1, -1, -1, -1, 
	339, 339, 339, -1, -1, -1, 339, 339, 
	339, -1, -1, -1, -1, 339, 339, 339, 
	-1, 339, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 338, 338, 
	-1, -1, 338, 338, 338, 338, -1, 338, 
	-1, -1, -1, -1, 338, 338, 338, 338, 
	338, 338, 338, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	338, 338, 338, -1, 338, 338, -1, -1, 
	338, -1, 339, 339, -1, -1, 339, 339, 
	339, 339, -1, 339, -1, -1, -1, -1, 
	339, 339, 339, 339, 339, 339, 339, -1, 
	338, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 338, 338, 339, 339, 339, -1, 
	339, 339, -1, -1, 339, -1, -1, -1, 
	-1, -1, -1, -1, -1, 340, 340, 340, 
	340, 340, 340, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 339, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 339, 339, 
	340, 340, 340, 340, 340, 338, 340, -1, 
	340, -1, -1, -1, -1, 340, -1, -1, 
	340, 341, 341, 341, 341, 341, 341, 340, 
	340, 340, -1, -1, -1, 340, 340, 340, 
	-1, -1, -1, -1, 340, 340, 340, -1, 
	340, -1, -1, -1, 341, 341, 341, 341, 
	341, 339, 341, -1, 341, -1, -1, -1, 
	-1, 341, -1, -1, 341, -1, -1, -1, 
	-1, -1, -1, 341, 341, 341, -1, -1, 
	-1, 341, 341, 341, -1, -1, -1, -1, 
	341, 341, 341, -1, 341, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 340, 340, -1, -1, 340, 340, 340, 
	340, -1, 340, -1, -1, -1, -1, 340, 
	340, 340, 340, 340, 340, 340, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 340, 340, 340, -1, 340, 
	340, -1, -1, 340, -1, 341, 341, -1, 
	-1, 341, 341, 341, 341, -1, 341, -1, 
	-1, -1, -1, 341, 341, 341, 341, 341, 
	341, 341, -1, 340, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 340, 340, 341, 
	341, 341, -1, 341, 341, -1, -1, 341, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 341, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 341, 341, -1, -1, -1, -1, -1, 
	340, -1, -1, 342, 342, 342, 342, 342, 
	342, 342, 342, 342, 342, 342, 342, 342, 
	342, 342, 342, 342, 342, 342, 342, 342, 
	342, 342, 342, 342, 342, -1, 342, 342, 
	342, 342, 342, -1, 342, -1, 342, 342, 
	342, 342, -1, 342, 341, 342, 342, 342, 
	-1, -1, 342, 342, 342, 342, 342, 342, 
	342, 342, -1, 342, 342, 342, -1, -1, 
	-1, -1, 342, 342, 342, 342, 342, -1, 
	-1, 342, 342, 342, 342, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 342, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 342, 342, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 342, 342, 342, 
	342, -1, -1, 342, 342, 342, 342, 342, 
	342, -1, -1, -1, -1, 342, 342, 342, 
	342, 342, 342, 342, -1, -1, -1, -1, 
	342, -1, -1, -1, -1, 342, 342, -1, 
	-1, 342, 342, 342, -1, 342, 342, -1, 
	-1, 342, -1, -1, -1, -1, -1, -1, 
	-1, -1, 342, 342, 342, 342, 342, 342, 
	342, -1, -1, -1, -1, 342, 342, -1, 
	-1, 342, 342, -1, -1, -1, -1, -1, 
	-1, -1, -1, 342, 342, -1, -1, -1, 
	-1, 342, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	342, 342, 342, -1, -1, -1, -1, -1, 
	342, 342, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 342, -1, 342, -1, 
	-1, 342, -1, 342, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, -1, 344, 
	344, 344, 344, 344, -1, 344, -1, 344, 
	344, 344, 344, -1, 344, -1, 344, 344, 
	344, -1, 344, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, 344, -1, 
	344, 344, 344, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, 344, -1, 
	344, -1, -1, 344, 344, 344, 344, 344, 
	344, 344, -1, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, 344, 344, 344, 344, 
	344, 344, 344, 344, -1, -1, -1, -1, 
	-1, 344, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 342, 344, 344, 
	344, 344, -1, -1, 344, 344, 344, 344, 
	344, 344, -1, -1, -1, -1, 344, 344, 
	344, 344, 344, 344, 344, -1, -1, -1, 
	-1, 344, -1, -1, -1, -1, 344, 344, 
	-1, -1, 344, 344, 344, -1, 344, 344, 
	-1, -1, 344, -1, -1, -1, -1, -1, 
	-1, -1, -1, 344, 344, 344, 344, 344, 
	344, 344, -1, -1, -1, 344, 344, 344, 
	-1, -1, 344, 344, -1, 344, 344, 344, 
	344, 344, -1, 344, 344, 344, -1, -1, 
	-1, 344, 344, -1, -1, -1, -1, -1, 
	-1, -1, 344, 344, 344, 344, 344, 344, 
	-1, -1, 344, -1, -1, -1, -1, 344, 
	-1, 344, 344, 344, 344, -1, 344, 344, 
	344, 344, 344, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 344, -1, 344, 
	-1, -1, 344, -1, 344, 344, -1, -1, 
	-1, 344, -1, 344, -1, 344, 346, 346, 
	346, 346, 346, 346, 346, 346, 346, 346, 
	346, 346, 346, 346, 346, 346, 346, 346, 
	346, 346, 346, 346, 346, 346, 346, 346, 
	-1, 346, 346, 346, 346, 346, -1, 346, 
	-1, 346, 346, 346, 346, -1, 346, -1, 
	346, 346, 346, -1, -1, 346, 346, 346, 
	346, 346, 346, 346, 346, -1, 346, 346, 
	346, -1, -1, -1, -1, 346, 346, 346, 
	346, 346, -1, -1, 346, 346, 346, 346, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 346, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 346, 346, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 344, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	346, 346, 346, 346, -1, -1, 346, 346, 
	-1, 346, 346, 346, -1, -1, -1, -1, 
	346, 346, 346, -1, 346, 346, 346, -1, 
	-1, -1, -1, 346, -1, -1, -1, -1, 
	346, -1, -1, -1, 346, 346, 346, -1, 
	346, 346, -1, -1, 346, -1, -1, -1, 
	-1, -1, -1, -1, -1, 346, 346, 346, 
	346, 346, 346, 346, -1, -1, -1, -1, 
	346, 346, -1, -1, 346, 346, -1, -1, 
	-1, -1, -1, -1, -1, -1, 346, 346, 
	-1, -1, -1, -1, 346, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 346, 346, 346, -1, -1, 
	-1, -1, -1, 346, 346, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 346, 
	-1, -1, -1, -1, -1, -1, 346, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, 368, 368, 368, 368, 368, 368, 368, 
	368, -1, 368, 368, 368, 368, 368, -1, 
	368, -1, 368, 368, 368, 368, -1, 368, 
	-1, 368, 368, 368, -1, -1, 368, 368, 
	368, 368, 368, 368, 368, 368, -1, 368, 
	368, 368, -1, -1, -1, -1, 368, 368, 
	368, 368, 368, -1, -1, 368, 368, 368, 
	368, 369, 369, 369, 369, 369, 369, 369, 
	-1, 369, 369, 368, -1, -1, -1, -1, 
	-1, -1, -1, -1, 369, 369, 369, 369, 
	369, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 369, -1, -1, -1, 369, 
	-1, -1, -1, 369, 369, 369, 369, 369, 
	369, -1, -1, -1, -1, 369, 369, 369, 
	-1, -1, -1, -1, 369, 369, -1, 369, 
	369, 369, 369, -1, -1, -1, -1, -1, 
	-1, -1, 369, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	369, 369, 369, -1, 369, -1, -1, -1, 
	346, 368, 368, 368, 368, -1, -1, 368, 
	368, -1, 368, 368, 368, -1, -1, -1, 
	-1, 368, 368, 368, -1, 368, 368, 368, 
	-1, -1, -1, -1, 368, -1, -1, -1, 
	-1, 368, -1, -1, -1, 368, 368, 368, 
	-1, 368, 368, -1, -1, 368, -1, -1, 
	-1, -1, -1, -1, -1, -1, 368, 368, 
	368, 368, 368, 368, 368, -1, -1, -1, 
	-1, 368, 368, -1, -1, 368, 368, -1, 
	-1, -1, -1, -1, -1, -1, -1, 368, 
	368, -1, -1, -1, -1, 368, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 368, 368, 368, -1, 
	-1, -1, -1, -1, 368, 368, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 369, 
	368, -1, -1, -1, -1, -1, -1, 368, 
	-1, -1, 369, 369, 369, 369, 369, -1, 
	369, 369, 369, -1, -1, -1, -1, 369, 
	370, 370, 370, 370, 370, 370, 370, -1, 
	370, 370, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 370, 370, 370, 370, 370, 
	-1, -1, -1, 369, 369, 369, 369, 369, 
	-1, -1, 370, -1, -1, -1, 370, -1, 
	-1, -1, 370, 370, 370, 370, 370, 370, 
	-1, -1, -1, -1, 370, 370, 370, -1, 
	-1, -1, -1, 370, 370, -1, 370, 370, 
	370, 370, -1, -1, -1, -1, -1, -1, 
	-1, 370, 370, 372, 372, 372, 372, 372, 
	372, 372, -1, 372, 372, -1, -1, 370, 
	370, 370, -1, 370, -1, -1, 372, 372, 
	372, 372, 372, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 372, -1, -1, 
	-1, 372, -1, -1, -1, 372, 372, 372, 
	372, 372, 372, -1, -1, -1, -1, 372, 
	372, 372, -1, -1, -1, -1, 372, 372, 
	-1, 372, 372, 372, 372, -1, -1, -1, 
	-1, -1, -1, -1, 372, 372, -1, -1, 
	-1, 368, -1, -1, -1, -1, -1, -1, 
	-1, -1, 372, 372, 372, -1, 372, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 370, 370, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 370, 370, 370, 370, 370, -1, 370, 
	370, 370, -1, -1, -1, -1, 370, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 370, 370, 370, 370, 370, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 372, 372, 372, 372, 
	372, -1, 372, 372, 372, -1, -1, -1, 
	372, 372, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	616, 616, 616, 616, 616, 616, 616, -1, 
	616, 616, -1, -1, -1, 372, 372, 372, 
	372, 372, -1, 616, 616, 616, 616, 616, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 616, -1, 372, -1, 616, -1, 
	-1, -1, 616, 616, 616, 616, 616, 616, 
	-1, -1, -1, -1, 616, 616, 616, -1, 
	-1, -1, -1, 616, 616, -1, 616, 616, 
	616, 616, -1, -1, -1, -1, -1, -1, 
	-1, 616, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 616, 
	616, 616, 616, 616, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, -1, 391, 391, 391, 391, 391, -1, 
	391, -1, 391, 391, 391, 391, -1, 391, 
	-1, 391, 391, 391, -1, 391, 391, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, 391, -1, 391, 391, 391, 391, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, 391, -1, 391, -1, -1, -1, -1, 
	391, 391, 391, 391, 391, -1, -1, 391, 
	391, 391, 391, 391, 391, 391, 391, 391, 
	391, 391, 391, 391, 391, 391, 391, -1, 
	-1, -1, -1, -1, 391, -1, -1, -1, 
	-1, 616, 616, 616, 616, 616, -1, 616, 
	616, 616, -1, -1, -1, -1, 616, -1, 
	-1, 369, -1, -1, -1, -1, -1, -1, 
	-1, 616, -1, -1, 369, 369, 369, 369, 
	369, -1, 369, 369, 369, -1, -1, -1, 
	-1, 369, 616, 616, 616, 616, 616, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 391, 391, 391, 391, -1, -1, 391, 
	391, 391, 391, 391, 391, 369, 369, 369, 
	369, 391, 391, 391, 391, 391, 391, 391, 
	-1, -1, -1, -1, 391, -1, -1, -1, 
	-1, 391, 391, -1, -1, 391, 391, 391, 
	-1, 391, 391, -1, -1, 391, -1, -1, 
	-1, -1, -1, -1, -1, -1, 391, 391, 
	391, 391, 391, 391, 391, -1, -1, -1, 
	391, 391, 391, -1, -1, 391, 391, -1, 
	391, 391, 391, 391, 391, -1, 391, 391, 
	391, -1, -1, -1, 391, 391, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	391, 391, 391, -1, -1, 391, -1, -1, 
	-1, -1, 391, -1, 391, 391, 391, 391, 
	-1, 391, 391, 391, 391, 391, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	391, -1, 391, -1, -1, 391, -1, 391, 
	391, -1, -1, -1, 391, -1, 391, -1, 
	391, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	370, 370, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 370, 370, 370, 370, 370, 
	-1, 370, 370, 370, -1, -1, -1, -1, 
	370, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 370, 370, 370, 370, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 372, 372, 
	372, 372, 372, -1, 372, 372, 372, -1, 
	-1, 391, 372, 372, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 372, 
	372, 372, 372, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 372, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, -1, 392, 392, 392, 392, 392, -1, 
	392, -1, 392, 392, 392, 392, -1, 392, 
	-1, 392, 392, 392, -1, 392, 392, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, 392, -1, 392, 392, 392, 392, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, 392, -1, 392, -1, -1, -1, -1, 
	392, 392, 392, 392, 392, -1, -1, 392, 
	392, 392, 392, 392, 392, 392, 392, 392, 
	392, 392, 392, 392, 392, 392, 392, -1, 
	-1, -1, -1, -1, 392, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 392, 392, 392, 392, -1, -1, 392, 
	392, 392, 392, 392, 392, -1, -1, -1, 
	-1, 392, 392, 392, 392, 392, 392, 392, 
	-1, -1, -1, -1, 392, -1, -1, -1, 
	-1, 392, 392, -1, -1, 392, 392, 392, 
	-1, 392, 392, -1, -1, 392, -1, -1, 
	-1, -1, -1, 616, -1, -1, 392, 392, 
	392, 392, 392, 392, 392, -1, -1, -1, 
	392, 392, 392, -1, -1, 392, 392, -1, 
	392, 392, 392, 392, 392, -1, 392, 392, 
	392, -1, -1, -1, 392, 392, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	392, 392, 392, -1, -1, 392, -1, -1, 
	-1, -1, 392, -1, 392, 392, 392, 392, 
	-1, 392, 392, 392, 392, 392, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	392, -1, 392, -1, -1, 392, -1, 392, 
	392, -1, -1, -1, 392, -1, 392, -1, 
	392, 394, 394, 394, 394, 394, 394, 394, 
	394, 394, 394, 394, 394, 394, 394, 394, 
	-1, 394, 394, 394, 394, 394, 394, 394, 
	394, -1, -1, -1, 394, 394, 394, 394, 
	394, -1, 394, -1, 394, 394, 394, 394, 
	-1, 394, -1, 394, 394, 394, -1, -1, 
	394, -1, -1, 394, 394, 394, 394, 394, 
	-1, 394, 394, 394, -1, -1, -1, -1, 
	394, 394, 394, 394, 394, -1, -1, 394, 
	394, 394, 394, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 392, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 394, 394, 394, 394, -1, 
	-1, 394, 394, -1, 394, 394, 394, -1, 
	-1, -1, -1, 394, 394, 394, -1, 394, 
	394, 394, -1, -1, -1, -1, 394, -1, 
	-1, -1, -1, 394, 394, -1, -1, 394, 
	394, 394, -1, 394, 394, -1, -1, 394, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 394, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 394, 
	394, -1, -1, -1, -1, -1, -1, -1, 
	-1, 394, 394, -1, -1, -1, -1, 394, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 394, 394, 
	394, -1, -1, -1, -1, -1, 394, 394, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 394, -1, -1, -1, -1, 394, 
	-1, -1, 398, 398, 398, 398, 398, 398, 
	398, 398, 398, 398, 398, 398, 398, 398, 
	398, -1, 398, 398, 398, 398, 398, 398, 
	398, 398, -1, -1, -1, 398, 398, 398, 
	398, 398, -1, 398, -1, 398, 398, 398, 
	398, -1, 398, -1, 398, 398, 398, -1, 
	-1, 398, -1, -1, 398, 398, 398, 398, 
	398, -1, 398, 398, 398, -1, -1, -1, 
	-1, 398, 398, 398, 398, 398, -1, -1, 
	398, 398, 398, 398, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 394, 398, 398, 398, 398, 
	-1, -1, 398, 398, -1, 398, 398, 398, 
	-1, -1, -1, -1, 398, 398, 398, -1, 
	398, 398, 398, -1, -1, -1, -1, 398, 
	-1, -1, -1, -1, 398, -1, -1, -1, 
	398, 398, 398, -1, 398, 398, -1, -1, 
	398, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 398, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	398, 398, -1, -1, -1, -1, -1, -1, 
	-1, -1, 398, 398, -1, -1, -1, -1, 
	398, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 398, 
	398, 398, -1, -1, -1, -1, -1, 398, 
	398, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 398, -1, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, -1, 
	409, 409, 409, 409, 409, -1, 409, -1, 
	409, 409, 409, 409, -1, 409, -1, 409, 
	409, 409, -1, 409, 409, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, 409, 
	-1, 409, 409, 409, 409, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, 409, 
	-1, 409, -1, -1, -1, -1, 409, 409, 
	409, 409, 409, -1, -1, 409, 409, 409, 
	409, 409, 409, 409, 409, 409, 409, 409, 
	409, 409, 409, 409, 409, -1, -1, -1, 
	-1, -1, 409, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 409, 
	409, 409, 409, -1, 398, 409, 409, 409, 
	409, 409, 409, -1, -1, -1, -1, 409, 
	409, 409, 409, 409, 409, 409, -1, -1, 
	-1, -1, 409, -1, -1, -1, -1, 409, 
	409, -1, -1, 409, 409, 409, -1, 409, 
	409, -1, -1, 409, -1, -1, -1, -1, 
	-1, -1, -1, -1, 409, 409, 409, 409, 
	409, 409, 409, -1, -1, -1, 409, 409, 
	409, -1, -1, 409, 409, -1, 409, 409, 
	409, 409, 409, -1, 409, 409, 409, -1, 
	-1, -1, 409, 409, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 409, 409, 
	409, -1, -1, 409, -1, -1, -1, -1, 
	409, -1, 409, 409, 409, 409, -1, 409, 
	409, 409, 409, 409, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 409, -1, 
	409, -1, -1, 409, -1, 409, 409, -1, 
	-1, -1, 409, -1, 409, -1, 409, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, -1, 410, 410, 410, 410, 410, -1, 
	410, -1, 410, 410, 410, 410, -1, 410, 
	-1, 410, 410, 410, -1, 410, 410, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, 410, -1, 410, 410, 410, 410, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, 410, -1, 410, -1, -1, -1, -1, 
	410, 410, 410, 410, 410, -1, -1, 410, 
	410, 410, 410, 410, 410, 410, 410, 410, 
	410, 410, 410, 410, 410, 410, 410, -1, 
	-1, -1, -1, -1, 410, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 409, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 410, 410, 410, 410, -1, -1, 410, 
	410, 410, 410, 410, 410, -1, -1, -1, 
	-1, 410, 410, 410, 410, 410, 410, 410, 
	-1, -1, -1, -1, 410, -1, -1, -1, 
	-1, 410, 410, -1, -1, 410, 410, 410, 
	-1, 410, 410, -1, -1, 410, -1, -1, 
	-1, -1, -1, -1, -1, -1, 410, 410, 
	410, 410, 410, 410, 410, -1, -1, -1, 
	410, 410, 410, -1, -1, 410, 410, -1, 
	410, 410, 410, 410, 410, -1, 410, 410, 
	410, -1, -1, -1, 410, 410, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	410, 410, 410, -1, -1, 410, -1, -1, 
	-1, -1, 410, -1, 410, 410, 410, 410, 
	-1, 410, 410, 410, 410, 410, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	410, -1, 410, -1, -1, 410, -1, 410, 
	410, -1, -1, -1, 410, -1, 410, -1, 
	410, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, -1, 411, 411, 411, 411, 
	411, -1, 411, -1, 411, 411, 411, 411, 
	-1, 411, -1, 411, 411, 411, -1, 411, 
	411, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, 411, -1, 411, 411, 411, 
	411, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, 411, -1, 411, -1, -1, 
	-1, -1, 411, 411, 411, 411, 411, -1, 
	-1, 411, 411, 411, 411, 411, 411, 411, 
	411, 411, 411, 411, 411, 411, 411, 411, 
	411, -1, -1, -1, -1, -1, 411, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 410, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 411, 411, 411, 411, -1, 
	-1, 411, 411, 411, 411, 411, 411, -1, 
	-1, -1, -1, 411, 411, 411, 411, 411, 
	411, 411, -1, -1, -1, -1, 411, -1, 
	-1, -1, -1, 411, 411, -1, -1, 411, 
	411, 411, -1, 411, 411, -1, -1, 411, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	411, 411, 411, 411, 411, 411, 411, -1, 
	-1, -1, 411, 411, 411, -1, -1, 411, 
	411, -1, 411, 411, 411, 411, 411, -1, 
	411, 411, 411, -1, -1, -1, 411, 411, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 411, 411, 411, -1, -1, 411, 
	-1, -1, -1, -1, 411, -1, 411, 411, 
	411, 411, -1, 411, 411, 411, 411, 411, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 411, -1, 411, -1, -1, 411, 
	-1, 411, 411, -1, -1, -1, 411, -1, 
	411, -1, 411, 415, 415, 415, 415, 415, 
	415, 415, -1, 415, 415, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 415, 415, 
	415, 415, 415, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 415, -1, -1, 
	-1, 415, -1, -1, -1, 415, 415, 415, 
	415, 415, 415, -1, -1, -1, -1, 415, 
	415, 415, -1, -1, -1, -1, 415, 415, 
	-1, 415, 415, 415, 415, -1, -1, -1, 
	-1, -1, -1, -1, 415, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 415, 415, 415, -1, 415, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	-1, 417, 417, 417, 417, 417, -1, 417, 
	-1, 417, 417, 417, 417, -1, 417, -1, 
	417, 417, 417, 411, 417, 417, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	417, -1, 417, 417, 417, 417, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	417, -1, 417, -1, -1, -1, -1, 417, 
	417, 417, 417, 417, -1, -1, 417, 417, 
	417, 417, 417, 417, 417, 417, 417, 417, 
	417, 417, 417, 417, 417, 417, -1, -1, 
	-1, -1, -1, 417, -1, -1, -1, -1, 
	-1, -1, -1, -1, 415, 415, 415, 415, 
	415, -1, 415, 415, 415, -1, -1, -1, 
	-1, 415, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 415, 415, 415, 
	415, 415, -1, -1, -1, -1, -1, -1, 
	417, 417, 417, 417, -1, -1, 417, 417, 
	417, 417, 417, 417, -1, -1, -1, -1, 
	417, 417, 417, 417, 417, 417, 417, -1, 
	-1, -1, -1, 417, -1, -1, -1, -1, 
	417, 417, -1, -1, 417, 417, 417, -1, 
	417, 417, -1, -1, 417, -1, -1, -1, 
	-1, -1, -1, -1, -1, 417, 417, 417, 
	417, 417, 417, 417, -1, -1, -1, 417, 
	417, 417, -1, -1, 417, 417, -1, 417, 
	417, 417, 417, 417, -1, 417, 417, 417, 
	-1, -1, -1, 417, 417, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 417, 
	417, 417, -1, -1, 417, -1, -1, -1, 
	-1, 417, -1, 417, 417, 417, 417, -1, 
	417, 417, 417, 417, 417, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 417, 
	-1, 417, -1, -1, 417, -1, 417, 417, 
	-1, -1, -1, 417, -1, 417, -1, 417, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, -1, 418, 418, 418, 418, 418, 
	-1, 418, -1, 418, 418, 418, 418, -1, 
	418, -1, 418, 418, 418, -1, 418, 418, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, 418, -1, 418, 418, 418, 418, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, 418, -1, 418, -1, -1, -1, 
	-1, 418, 418, 418, 418, 418, -1, -1, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	418, 418, 418, 418, 418, 418, 418, 418, 
	-1, -1, -1, -1, -1, 418, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	417, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 418, 418, 418, 418, -1, -1, 
	418, 418, 418, 418, 418, 418, -1, -1, 
	-1, -1, 418, 418, 418, 418, 418, 418, 
	418, -1, -1, -1, -1, 418, -1, -1, 
	-1, -1, 418, 418, -1, -1, 418, 418, 
	418, -1, 418, 418, -1, -1, 418, -1, 
	-1, -1, -1, -1, -1, -1, -1, 418, 
	418, 418, 418, 418, 418, 418, -1, -1, 
	-1, 418, 418, 418, -1, -1, 418, 418, 
	-1, 418, 418, 418, 418, 418, -1, 418, 
	418, 418, -1, -1, -1, 418, 418, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 418, 418, 418, -1, -1, 418, -1, 
	-1, -1, -1, 418, -1, 418, 418, 418, 
	418, -1, 418, 418, 418, 418, 418, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 418, -1, 418, -1, -1, 418, -1, 
	418, 418, -1, -1, -1, 418, -1, 418, 
	-1, 418, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 468, 468, 468, 468, 468, 468, 
	468, -1, 468, 468, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 468, 468, 468, 
	468, 468, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 468, -1, -1, -1, 
	468, -1, -1, -1, 468, 468, 468, 468, 
	468, 468, -1, -1, -1, -1, 468, 468, 
	468, -1, -1, -1, -1, 468, 468, -1, 
	468, 468, 468, 468, 468, -1, 415, 415, 
	415, 415, 415, 468, 415, 415, 415, -1, 
	-1, -1, -1, 415, -1, -1, -1, -1, 
	-1, 468, 468, 468, 468, 468, -1, -1, 
	468, 468, -1, -1, -1, -1, -1, 468, 
	-1, -1, -1, -1, -1, -1, -1, 415, 
	415, 415, 415, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 418, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, -1, 419, 419, 
	419, 419, 419, -1, 419, -1, 419, 419, 
	419, 419, -1, 419, -1, 419, 419, 419, 
	-1, 419, 419, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, 419, -1, 419, 
	419, 419, 419, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, 419, -1, 419, 
	-1, -1, -1, -1, 419, 419, 419, 419, 
	419, -1, -1, 419, 419, 419, 419, 419, 
	419, 419, 419, 419, 419, 419, 419, 419, 
	419, 419, 419, 468, 468, 468, 468, 468, 
	419, 468, 468, 468, -1, -1, -1, -1, 
	468, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 468, 468, 468, -1, -1, 
	-1, -1, -1, -1, -1, 468, -1, -1, 
	-1, -1, -1, -1, 468, 468, 468, 468, 
	468, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 419, 419, 419, 
	419, 468, -1, 419, 419, 419, 419, 419, 
	419, -1, -1, -1, -1, 419, 419, 419, 
	419, 419, 419, 419, -1, -1, -1, -1, 
	419, -1, -1, -1, -1, 419, 419, -1, 
	-1, 419, 419, 419, -1, 419, 419, -1, 
	-1, 419, -1, -1, -1, -1, -1, -1, 
	-1, -1, 419, 419, 419, 419, 419, 419, 
	419, -1, -1, -1, 419, 419, 419, -1, 
	-1, 419, 419, -1, 419, 419, 419, 419, 
	419, -1, 419, 419, 419, -1, -1, -1, 
	419, 419, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 419, 419, 419, -1, 
	-1, 419, -1, -1, -1, -1, 419, -1, 
	419, 419, 419, 419, -1, 419, 419, 419, 
	419, 419, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 419, -1, 419, -1, 
	-1, 419, -1, 419, 419, -1, -1, -1, 
	419, -1, 419, -1, 419, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, -1, 
	421, 421, 421, 421, 421, -1, 421, -1, 
	421, 421, 421, 421, -1, 421, -1, 421, 
	421, 421, -1, 421, 421, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, 421, 
	-1, 421, 421, 421, 421, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, 421, 
	-1, -1, -1, -1, -1, -1, 421, 421, 
	421, 421, -1, -1, -1, 421, 421, 421, 
	421, 421, 421, 421, 421, 421, 421, 421, 
	421, -1, -1, 421, 421, -1, -1, -1, 
	-1, -1, 421, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 419, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 421, 
	421, 421, 421, -1, -1, 421, 421, 421, 
	421, 421, 421, -1, -1, -1, -1, 421, 
	421, 421, 421, 421, 421, 421, -1, -1, 
	-1, -1, 421, -1, -1, -1, -1, 421, 
	421, -1, -1, 421, 421, 421, -1, 421, 
	421, -1, -1, 421, -1, -1, -1, -1, 
	-1, -1, -1, -1, 421, 421, 421, 421, 
	421, 421, 421, -1, -1, -1, 421, 421, 
	421, -1, -1, 421, 421, -1, 421, 421, 
	421, 421, 421, -1, 421, 421, 421, -1, 
	-1, -1, 421, 421, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 421, 421, 
	421, -1, -1, 421, -1, -1, -1, -1, 
	421, -1, 421, 421, 421, 421, -1, 421, 
	421, 421, 421, 421, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 421, -1, 
	421, -1, -1, 421, -1, 421, 421, -1, 
	-1, -1, 421, -1, 421, -1, 421, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, -1, 422, 422, 422, 422, 422, -1, 
	422, -1, 422, 422, 422, 422, -1, 422, 
	-1, 422, 422, 422, -1, 422, 422, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, 422, -1, 422, 422, 422, 422, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, 422, -1, -1, -1, -1, -1, -1, 
	422, 422, 422, 422, -1, -1, -1, 422, 
	422, 422, 422, 422, 422, 422, 422, 422, 
	422, 422, 422, -1, -1, 422, 422, -1, 
	-1, -1, -1, -1, 422, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 421, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 422, 422, 422, 422, -1, -1, 422, 
	422, 422, 422, 422, 422, -1, -1, -1, 
	-1, 422, 422, 422, 422, 422, 422, 422, 
	-1, -1, -1, -1, 422, -1, -1, -1, 
	-1, 422, 422, -1, -1, 422, 422, 422, 
	-1, 422, 422, -1, -1, 422, -1, -1, 
	-1, -1, -1, -1, -1, -1, 422, 422, 
	422, 422, 422, 422, 422, -1, -1, -1, 
	422, 422, 422, -1, -1, 422, 422, -1, 
	422, 422, 422, 422, 422, -1, 422, 422, 
	422, -1, -1, -1, 422, 422, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	422, 422, 422, -1, -1, 422, -1, -1, 
	-1, -1, 422, -1, 422, 422, 422, 422, 
	-1, 422, 422, 422, 422, 422, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	422, -1, 422, -1, -1, 422, -1, 422, 
	422, -1, -1, -1, 422, -1, 422, -1, 
	422, 423, 423, 423, 423, 423, 423, 423, 
	423, 423, 423, 423, 423, 423, 423, 423, 
	423, 423, 423, 423, 423, 423, 423, 423, 
	423, 423, 423, -1, 423, 423, 423, 423, 
	423, -1, 423, -1, 423, 423, 423, 423, 
	-1, 423, -1, 423, 423, 423, -1, -1, 
	423, 423, 423, 423, 423, 423, 423, 423, 
	-1, 423, 423, 423, -1, -1, -1, -1, 
	423, 423, 423, 423, 423, -1, -1, 423, 
	423, 423, 423, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 423, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 422, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 423, 423, 423, 423, -1, 
	-1, 423, 423, -1, 423, 423, 423, -1, 
	-1, -1, -1, 423, 423, 423, -1, 423, 
	423, 423, -1, -1, -1, -1, 423, -1, 
	-1, -1, -1, 423, -1, -1, -1, 423, 
	423, 423, -1, 423, 423, -1, -1, 423, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	423, 423, 423, 423, 423, 423, 423, -1, 
	-1, -1, -1, 423, 423, -1, -1, 423, 
	423, -1, -1, -1, -1, -1, -1, -1, 
	-1, 423, 423, -1, -1, -1, -1, 423, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 423, 423, 
	423, -1, -1, -1, -1, -1, 423, 423, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 423, -1, -1, -1, -1, -1, 
	-1, 423, 424, 424, 424, 424, 424, 424, 
	424, 424, 424, 424, 424, 424, 424, 424, 
	424, 424, 424, 424, 424, 424, 424, 424, 
	424, 424, 424, 424, -1, 424, 424, 424, 
	424, 424, -1, 424, -1, 424, 424, 424, 
	424, -1, 424, -1, 424, 424, 424, -1, 
	-1, 424, 424, 424, 424, 424, 424, 424, 
	424, -1, 424, 424, 424, -1, -1, -1, 
	-1, 424, 424, 424, 424, 424, -1, -1, 
	424, 424, 424, 424, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 424, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 423, 424, 424, 424, 424, 
	-1, -1, 424, 424, -1, 424, 424, 424, 
	-1, -1, -1, -1, 424, 424, 424, -1, 
	424, 424, 424, -1, -1, -1, -1, 424, 
	-1, -1, -1, -1, 424, -1, -1, -1, 
	424, 424, 424, -1, 424, 424, -1, -1, 
	424, -1, -1, -1, -1, -1, -1, -1, 
	-1, 424, 424, 424, 424, 424, 424, 424, 
	-1, -1, -1, -1, 424, 424, -1, -1, 
	424, 424, -1, -1, -1, -1, -1, -1, 
	-1, -1, 424, 424, -1, -1, -1, -1, 
	424, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 424, 
	424, 424, -1, -1, -1, -1, -1, 424, 
	424, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 424, -1, -1, -1, -1, 
	-1, -1, 424, 425, 425, 425, 425, 425, 
	425, 425, 425, 425, 425, 425, 425, 425, 
	425, 425, 425, 425, 425, 425, 425, 425, 
	425, 425, 425, 425, 425, -1, 425, 425, 
	425, 425, 425, -1, 425, -1, 425, 425, 
	425, 425, -1, 425, -1, 425, 425, 425, 
	-1, -1, 425, 425, 425, 425, 425, 425, 
	425, 425, -1, 425, 425, 425, -1, -1, 
	-1, -1, 425, 425, 425, 425, 425, -1, 
	-1, 425, 425, 425, 425, 426, 426, 426, 
	426, 426, 426, 426, -1, 426, 426, 425, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	426, 426, 426, 426, 426, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 426, 
	-1, -1, -1, 426, -1, -1, -1, 426, 
	426, 426, 426, 426, 426, -1, -1, -1, 
	-1, 426, 426, 426, -1, -1, -1, -1, 
	426, 426, -1, 426, 426, 426, 426, -1, 
	-1, -1, -1, -1, -1, -1, 426, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 426, 426, 426, -1, 
	426, -1, -1, -1, 424, 425, 425, 425, 
	425, -1, -1, 425, 425, -1, 425, 425, 
	425, -1, -1, -1, -1, 425, 425, 425, 
	-1, 425, 425, 425, -1, -1, -1, -1, 
	425, -1, -1, -1, -1, 425, -1, -1, 
	-1, 425, 425, 425, -1, 425, 425, -1, 
	-1, 425, -1, -1, -1, -1, -1, -1, 
	-1, -1, 425, 425, 425, 425, 425, 425, 
	425, -1, -1, -1, -1, 425, 425, -1, 
	-1, 425, 425, -1, -1, -1, -1, -1, 
	-1, -1, -1, 425, 425, -1, -1, -1, 
	-1, 425, -1, -1, -1, 427, 427, 427, 
	427, 427, 427, 427, 427, 427, -1, 427, 
	427, -1, -1, 427, 427, 427, 427, -1, 
	425, 425, 425, -1, -1, -1, -1, -1, 
	425, 425, -1, 427, 427, 427, -1, -1, 
	-1, 427, -1, -1, 425, -1, 427, -1, 
	-1, -1, -1, 425, 427, 427, 426, 426, 
	426, 426, 426, -1, 426, 426, 426, -1, 
	-1, -1, 427, 426, -1, 427, 427, 427, 
	427, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 427, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 426, 
	426, 426, 426, 426, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, -1, 
	428, 428, 428, 428, 428, -1, 428, -1, 
	428, 428, 428, 428, -1, 428, -1, 428, 
	428, 428, -1, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	-1, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	-1, -1, -1, -1, -1, -1, 428, 428, 
	428, 428, -1, -1, -1, 428, 428, 428, 
	428, 428, 428, 428, 428, 428, 428, 428, 
	428, 428, 428, 428, 428, 425, -1, -1, 
	-1, 427, 428, -1, -1, -1, -1, -1, 
	427, -1, -1, -1, -1, 427, 427, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	427, -1, -1, -1, -1, 427, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 427, 427, 427, 424, 
	424, 424, -1, -1, 427, 427, -1, 428, 
	428, 428, 428, -1, -1, 428, 428, 428, 
	428, 428, 428, -1, -1, -1, -1, 428, 
	428, 428, 428, 428, 428, 428, -1, -1, 
	-1, -1, 428, -1, -1, -1, -1, 428, 
	428, -1, -1, 428, 428, 428, -1, 428, 
	428, -1, -1, 428, -1, -1, -1, -1, 
	-1, -1, -1, -1, 428, 428, 428, 428, 
	428, 428, 428, -1, -1, -1, 428, 428, 
	428, -1, -1, 428, 428, -1, 428, 428, 
	428, 428, 428, -1, 428, 428, 428, -1, 
	-1, -1, 428, 428, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 428, 428, 
	428, -1, -1, 428, -1, -1, -1, -1, 
	428, -1, 428, 428, 428, 428, -1, 428, 
	428, 428, 428, 428, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 428, -1, 
	428, -1, -1, 428, -1, 428, 428, -1, 
	-1, -1, 428, -1, 428, -1, 428, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, -1, 429, 429, 429, 429, 429, 
	-1, 429, -1, 429, 429, 429, 429, -1, 
	429, -1, 429, 429, 429, -1, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, -1, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, -1, -1, -1, -1, 428, 
	-1, 429, 429, 429, 429, -1, -1, -1, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	429, 429, 429, 429, 429, 429, 429, 429, 
	-1, -1, -1, -1, -1, 429, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	426, 426, 426, 426, 426, -1, 426, 426, 
	426, -1, -1, -1, -1, 426, -1, -1, 
	-1, -1, 429, 429, 429, 429, -1, -1, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, -1, 429, 429, 429, 429, 429, 429, 
	429, 426, 426, 426, 426, 429, -1, -1, 
	-1, -1, 429, 429, -1, -1, 429, 429, 
	429, -1, 429, 429, -1, -1, 429, -1, 
	-1, -1, -1, -1, -1, -1, -1, 429, 
	429, 429, 429, 429, 429, 429, -1, -1, 
	-1, 429, 429, 429, -1, -1, 429, 429, 
	-1, 429, 429, 429, 429, 429, -1, 429, 
	429, 429, -1, -1, -1, 429, 429, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 429, 429, 429, -1, -1, 429, -1, 
	-1, -1, -1, 429, -1, 429, 429, 429, 
	429, -1, 429, 429, 429, 429, 429, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 429, -1, 429, -1, -1, 429, -1, 
	429, 429, -1, -1, -1, 429, -1, 429, 
	-1, 429, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 427, -1, -1, -1, -1, 
	-1, -1, 427, -1, -1, -1, -1, 427, 
	427, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 427, -1, -1, -1, -1, 427, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 427, 427, 
	427, -1, -1, -1, -1, -1, 427, -1, 
	-1, -1, -1, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, -1, 430, 430, 
	430, 430, 430, -1, 430, -1, 430, 430, 
	430, 430, -1, 430, -1, 430, 430, 430, 
	-1, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, -1, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, -1, -1, 
	-1, -1, -1, -1, 430, 430, 430, 430, 
	-1, -1, 429, 430, 430, 430, 430, 430, 
	430, 430, 430, 430, 430, 430, 430, 430, 
	430, 430, 430, -1, -1, -1, -1, -1, 
	430, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 430, 430, 430, 
	430, -1, -1, 430, 430, 430, 430, 430, 
	430, -1, -1, -1, -1, 430, 430, 430, 
	430, 430, 430, 430, -1, -1, -1, -1, 
	430, -1, -1, -1, -1, 430, 430, -1, 
	-1, 430, 430, 430, -1, 430, 430, -1, 
	-1, 430, -1, -1, -1, -1, -1, -1, 
	-1, -1, 430, 430, 430, 430, 430, 430, 
	430, -1, -1, -1, 430, 430, 430, -1, 
	-1, 430, 430, -1, 430, 430, 430, 430, 
	430, -1, 430, 430, 430, -1, -1, -1, 
	430, 430, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 430, 430, 430, -1, 
	-1, 430, -1, -1, -1, -1, 430, -1, 
	430, 430, 430, 430, -1, 430, 430, 430, 
	430, 430, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 430, -1, 430, -1, 
	-1, 430, -1, 430, 430, -1, -1, -1, 
	430, -1, 430, -1, 430, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, -1, 
	431, 431, 431, 431, 431, -1, 431, -1, 
	431, 431, 431, 431, -1, 431, -1, 431, 
	431, 431, -1, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	-1, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	-1, -1, -1, -1, -1, -1, 431, 431, 
	431, 431, -1, -1, -1, 431, 431, 431, 
	431, 431, 431, 431, 431, 431, 431, 431, 
	431, 431, 431, 431, 431, -1, -1, -1, 
	-1, -1, 431, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 430, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 431, 
	431, 431, 431, -1, -1, 431, 431, 431, 
	431, 431, 431, -1, -1, -1, -1, 431, 
	431, 431, 431, 431, 431, 431, -1, -1, 
	-1, -1, 431, -1, -1, -1, -1, 431, 
	431, -1, -1, 431, 431, 431, -1, 431, 
	431, -1, -1, 431, -1, -1, -1, -1, 
	-1, -1, -1, -1, 431, 431, 431, 431, 
	431, 431, 431, -1, -1, -1, 431, 431, 
	431, -1, -1, 431, 431, -1, 431, 431, 
	431, 431, 431, -1, 431, 431, 431, -1, 
	-1, -1, 431, 431, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 431, 431, 
	431, -1, -1, 431, -1, -1, -1, -1, 
	431, -1, 431, 431, 431, 431, -1, 431, 
	431, 431, 431, 431, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 431, -1, 
	431, -1, -1, 431, -1, 431, 431, -1, 
	-1, -1, 431, -1, 431, -1, 431, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, -1, 432, 432, 432, 432, 432, -1, 
	432, -1, 432, 432, 432, 432, -1, 432, 
	-1, 432, 432, 432, -1, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, -1, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, -1, -1, -1, -1, -1, -1, 
	432, 432, 432, 432, -1, -1, -1, 432, 
	432, 432, 432, 432, 432, 432, 432, 432, 
	432, 432, 432, 432, 432, 432, 432, -1, 
	-1, -1, -1, -1, 432, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 431, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 432, 432, 432, 432, -1, -1, 432, 
	432, 432, 432, 432, 432, -1, -1, -1, 
	-1, 432, 432, 432, 432, 432, 432, 432, 
	-1, -1, -1, -1, 432, -1, -1, -1, 
	-1, 432, 432, -1, -1, 432, 432, 432, 
	-1, 432, 432, -1, -1, 432, -1, -1, 
	-1, -1, -1, -1, -1, -1, 432, 432, 
	432, 432, 432, 432, 432, -1, -1, -1, 
	432, 432, 432, -1, -1, 432, 432, -1, 
	432, 432, 432, 432, 432, -1, 432, 432, 
	432, -1, -1, -1, 432, 432, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	432, 432, 432, -1, -1, 432, -1, -1, 
	-1, -1, 432, -1, 432, 432, 432, 432, 
	-1, 432, 432, 432, 432, 432, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	432, -1, 432, -1, -1, 432, -1, 432, 
	432, -1, -1, -1, 432, -1, 432, -1, 
	432, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, -1, 433, 433, 433, 433, 
	433, -1, 433, -1, 433, 433, 433, 433, 
	-1, 433, -1, 433, 433, 433, -1, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, -1, 433, 433, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, -1, -1, -1, -1, 
	-1, -1, 433, 433, 433, 433, -1, -1, 
	-1, 433, 433, 433, 433, 433, 433, 433, 
	433, 433, 433, 433, 433, 433, 433, 433, 
	433, -1, -1, -1, -1, -1, 433, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 432, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 433, 433, 433, 433, -1, 
	-1, 433, 433, 433, 433, 433, 433, -1, 
	-1, -1, -1, 433, 433, 433, 433, 433, 
	433, 433, -1, -1, -1, -1, 433, -1, 
	-1, -1, -1, 433, 433, -1, -1, 433, 
	433, 433, -1, 433, 433, -1, -1, 433, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	433, 433, 433, 433, 433, 433, 433, -1, 
	-1, -1, 433, 433, 433, -1, -1, 433, 
	433, -1, 433, 433, 433, 433, 433, -1, 
	433, 433, 433, -1, -1, -1, 433, 433, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 433, 433, 433, -1, -1, 433, 
	-1, -1, -1, -1, 433, -1, 433, 433, 
	433, 433, -1, 433, 433, 433, 433, 433, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 433, -1, 433, -1, -1, 433, 
	-1, 433, 433, -1, -1, -1, 433, -1, 
	433, -1, 433, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, -1, 434, 434, 
	434, 434, 434, -1, 434, -1, 434, 434, 
	434, 434, -1, 434, -1, 434, 434, 434, 
	-1, 434, 434, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, -1, 434, 
	434, 434, 434, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, -1, 434, 
	-1, -1, -1, -1, 434, 434, 434, 434, 
	434, -1, -1, 434, 434, 434, 434, 434, 
	434, 434, 434, 434, 434, 434, 434, 434, 
	434, 434, 434, -1, -1, -1, -1, -1, 
	434, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 433, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 434, 434, 434, 
	434, -1, -1, 434, 434, 434, 434, 434, 
	434, -1, -1, -1, -1, 434, 434, 434, 
	434, 434, 434, 434, -1, -1, -1, -1, 
	434, -1, -1, -1, -1, 434, 434, -1, 
	-1, 434, 434, 434, -1, 434, 434, -1, 
	-1, 434, -1, -1, -1, -1, -1, -1, 
	-1, -1, 434, 434, 434, 434, 434, 434, 
	434, -1, -1, -1, 434, 434, 434, -1, 
	-1, 434, 434, -1, 434, 434, 434, 434, 
	434, -1, 434, 434, 434, -1, -1, -1, 
	434, 434, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 434, 434, 434, -1, 
	-1, 434, -1, -1, -1, -1, 434, -1, 
	434, 434, 434, 434, -1, 434, 434, 434, 
	434, 434, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 434, -1, 434, -1, 
	-1, 434, -1, 434, 434, -1, -1, -1, 
	434, -1, 434, -1, 434, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, -1, 
	435, 435, 435, 435, 435, -1, 435, -1, 
	435, 435, 435, 435, -1, 435, -1, 435, 
	435, 435, -1, 435, 435, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	-1, 435, 435, 435, 435, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	-1, 435, -1, -1, -1, -1, 435, 435, 
	435, 435, 435, -1, -1, 435, 435, 435, 
	435, 435, 435, 435, 435, 435, 435, 435, 
	435, 435, 435, 435, 435, -1, -1, -1, 
	-1, -1, 435, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 434, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 435, 
	435, 435, 435, -1, -1, 435, 435, 435, 
	435, 435, 435, -1, -1, -1, -1, 435, 
	435, 435, 435, 435, 435, 435, -1, -1, 
	-1, -1, 435, -1, -1, -1, -1, 435, 
	435, -1, -1, 435, 435, 435, -1, 435, 
	435, -1, -1, 435, -1, -1, -1, -1, 
	-1, -1, -1, -1, 435, 435, 435, 435, 
	435, 435, 435, -1, -1, -1, 435, 435, 
	435, -1, -1, 435, 435, -1, 435, 435, 
	435, 435, 435, -1, 435, 435, 435, -1, 
	-1, -1, 435, 435, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 435, 435, 
	435, -1, -1, 435, -1, -1, -1, -1, 
	435, -1, 435, 435, 435, 435, -1, 435, 
	435, 435, 435, 435, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 435, -1, 
	435, -1, -1, 435, -1, 435, 435, -1, 
	-1, -1, 435, -1, 435, -1, 435, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, -1, 436, 436, 436, 436, 436, -1, 
	436, -1, 436, 436, 436, 436, -1, 436, 
	-1, 436, 436, 436, -1, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, -1, 436, 436, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, -1, 436, -1, -1, -1, -1, 
	436, 436, 436, 436, 436, -1, -1, 436, 
	436, 436, 436, 436, 436, 436, 436, 436, 
	436, 436, 436, 436, 436, 436, 436, -1, 
	-1, -1, -1, -1, 436, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 435, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 436, 436, 436, 436, -1, -1, 436, 
	436, 436, 436, 436, 436, -1, -1, -1, 
	-1, 436, 436, 436, 436, 436, 436, 436, 
	-1, -1, -1, -1, 436, -1, -1, -1, 
	-1, 436, 436, -1, -1, 436, 436, 436, 
	-1, 436, 436, -1, -1, 436, -1, -1, 
	-1, -1, -1, -1, -1, -1, 436, 436, 
	436, 436, 436, 436, 436, -1, -1, -1, 
	436, 436, 436, -1, -1, 436, 436, -1, 
	436, 436, 436, 436, 436, -1, 436, 436, 
	436, -1, -1, -1, 436, 436, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	436, 436, 436, -1, -1, 436, -1, -1, 
	-1, -1, 436, -1, 436, 436, 436, 436, 
	-1, 436, 436, 436, 436, 436, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	436, -1, 436, -1, -1, 436, -1, 436, 
	436, -1, -1, -1, 436, -1, 436, -1, 
	436, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, -1, 437, 437, 437, 437, 
	437, -1, 437, -1, 437, 437, 437, 437, 
	-1, 437, -1, 437, 437, 437, -1, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, -1, 437, 437, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, -1, 437, -1, -1, 
	-1, -1, 437, 437, 437, 437, 437, -1, 
	-1, 437, 437, 437, 437, 437, 437, 437, 
	437, 437, 437, 437, 437, 437, 437, 437, 
	437, -1, -1, -1, -1, -1, 437, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 436, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 437, 437, 437, 437, -1, 
	-1, 437, 437, 437, 437, 437, 437, -1, 
	-1, -1, -1, 437, 437, 437, 437, 437, 
	437, 437, -1, -1, -1, -1, 437, -1, 
	-1, -1, -1, 437, 437, -1, -1, 437, 
	437, 437, -1, 437, 437, -1, -1, 437, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	437, 437, 437, 437, 437, 437, 437, -1, 
	-1, -1, 437, 437, 437, -1, -1, 437, 
	437, -1, 437, 437, 437, 437, 437, -1, 
	437, 437, 437, -1, -1, -1, 437, 437, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 437, 437, 437, -1, -1, 437, 
	-1, -1, -1, -1, 437, -1, 437, 437, 
	437, 437, -1, 437, 437, 437, 437, 437, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 437, -1, 437, -1, -1, 437, 
	-1, 437, 437, -1, -1, -1, 437, -1, 
	437, -1, 437, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, -1, 438, 438, 
	438, 438, 438, -1, 438, -1, 438, 438, 
	438, 438, -1, 438, -1, 438, 438, 438, 
	-1, 438, 438, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, 438, -1, 438, 
	438, 438, 438, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, 438, -1, 438, 
	-1, -1, -1, -1, 438, 438, 438, 438, 
	438, -1, -1, 438, 438, 438, 438, 438, 
	438, 438, 438, 438, 438, 438, 438, 438, 
	438, 438, 438, -1, -1, -1, -1, -1, 
	438, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 437, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 438, 438, 438, 
	438, -1, -1, 438, 438, 438, 438, 438, 
	438, -1, -1, -1, -1, 438, 438, 438, 
	438, 438, 438, 438, -1, -1, -1, -1, 
	438, -1, -1, -1, -1, 438, 438, -1, 
	-1, 438, 438, 438, -1, 438, 438, -1, 
	-1, 438, -1, -1, -1, -1, -1, -1, 
	-1, -1, 438, 438, 438, 438, 438, 438, 
	438, -1, -1, -1, 438, 438, 438, -1, 
	-1, 438, 438, -1, 438, 438, 438, 438, 
	438, -1, 438, 438, 438, -1, -1, -1, 
	438, 438, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 438, 438, 438, -1, 
	-1, 438, -1, -1, -1, -1, 438, -1, 
	438, 438, 438, 438, -1, 438, 438, 438, 
	438, 438, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 438, -1, 438, -1, 
	-1, 438, -1, 438, 438, -1, -1, -1, 
	438, -1, 438, -1, 438, 439, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, 439, 439, 439, 439, 
	439, 439, 439, 439, 439, -1, 439, -1, 
	439, 439, 439, 439, 439, 439, -1, 439, 
	439, 439, -1, -1, 439, 439, 439, 439, 
	439, 439, 439, 439, -1, 439, 439, 439, 
	439, -1, -1, -1, 439, 439, 439, 439, 
	439, -1, -1, 439, 439, 439, 439, -1, 
	-1, -1, 439, -1, -1, -1, 439, 439, 
	-1, 439, -1, -1, 439, -1, -1, 439, 
	-1, 439, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 439, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 438, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 439, 
	439, 439, 439, -1, -1, 439, 439, 439, 
	439, 439, 439, -1, -1, -1, -1, 439, 
	439, 439, 439, 439, 439, 439, -1, -1, 
	439, -1, 439, -1, -1, -1, -1, 439, 
	439, -1, 439, 439, 439, 439, -1, 439, 
	439, -1, -1, 439, -1, -1, -1, -1, 
	-1, 439, -1, 439, 439, 439, 439, 439, 
	439, 439, 439, -1, -1, -1, -1, 439, 
	439, -1, 439, 439, 439, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, 439, -1, 
	-1, 439, -1, 439, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 439, 439, 439, 
	-1, -1, 439, 439, 439, -1, -1, -1, 
	-1, -1, 439, 439, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 439, -1, 
	439, -1, -1, 439, 439, 439, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, 440, 440, 
	440, 440, 440, 440, 440, 440, -1, 440, 
	-1, 440, 440, 440, 440, 440, 440, -1, 
	440, 440, 440, -1, -1, 440, 440, 440, 
	440, 440, 440, 440, 440, -1, 440, 440, 
	440, 440, -1, -1, -1, 440, 440, 440, 
	440, 440, -1, 440, 440, 440, 440, 440, 
	440, -1, -1, 440, -1, -1, -1, 440, 
	440, -1, 440, -1, -1, 440, -1, -1, 
	440, -1, 440, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 440, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 440, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 440, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 439, 
	440, 440, 440, 440, -1, -1, 440, 440, 
	440, 440, 440, 440, -1, -1, -1, -1, 
	440, 440, 440, 440, 440, 440, 440, -1, 
	-1, 440, -1, 440, -1, -1, -1, -1, 
	440, 440, -1, 440, 440, 440, 440, -1, 
	440, 440, -1, -1, 440, 440, 440, -1, 
	-1, -1, 440, -1, 440, 440, 440, 440, 
	440, 440, 440, 440, -1, -1, -1, -1, 
	440, 440, -1, 440, 440, 440, -1, -1, 
	-1, -1, -1, -1, -1, -1, 440, 440, 
	-1, -1, 440, -1, 440, 440, -1, -1, 
	-1, 440, 440, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 440, 440, 
	440, -1, -1, 440, 440, 440, -1, -1, 
	-1, -1, -1, 440, 440, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 440, 
	-1, 440, -1, -1, 440, 440, 440, -1, 
	-1, 440, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	441, 441, -1, 441, -1, 441, 441, 441, 
	441, 441, 441, -1, 441, 441, 441, -1, 
	-1, 441, 441, 441, 441, 441, 441, 441, 
	441, -1, 441, 441, 441, 441, -1, -1, 
	-1, 441, 441, 441, 441, 441, -1, 441, 
	441, 441, 441, 441, 441, -1, -1, 441, 
	-1, -1, -1, 441, 441, -1, 441, -1, 
	-1, 441, -1, -1, 441, -1, 441, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 441, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	441, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 441, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	440, -1, -1, -1, 441, 441, 441, 441, 
	-1, -1, 441, 441, 441, 441, 441, 441, 
	-1, -1, -1, -1, 441, 441, 441, 441, 
	441, 441, 441, -1, -1, 441, -1, 441, 
	-1, -1, -1, -1, 441, 441, -1, 441, 
	441, 441, 441, -1, 441, 441, -1, -1, 
	441, 441, 441, -1, -1, -1, 441, -1, 
	441, 441, 441, 441, 441, 441, 441, 441, 
	-1, -1, -1, -1, 441, 441, -1, 441, 
	441, 441, -1, -1, -1, -1, -1, -1, 
	-1, -1, 441, 441, -1, -1, 441, -1, 
	441, 441, -1, -1, -1, 441, 441, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 441, 441, 441, -1, -1, 441, 
	441, 441, -1, -1, -1, -1, -1, 441, 
	441, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 441, -1, 441, -1, -1, 
	441, 441, 441, -1, -1, 441, 442, 442, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, 442, 442, 
	442, 442, 442, 442, 442, 442, -1, 442, 
	-1, 442, 442, 442, 442, 442, 442, -1, 
	442, 442, 442, -1, -1, 442, 442, 442, 
	442, 442, 442, 442, 442, -1, 442, 442, 
	442, 442, -1, -1, -1, 442, 442, 442, 
	442, 442, -1, 442, 442, 442, 442, 442, 
	442, -1, -1, 442, -1, -1, -1, 442, 
	442, -1, 442, -1, -1, 442, -1, -1, 
	442, -1, 442, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 442, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 442, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 442, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 441, -1, -1, -1, 
	442, 442, 442, 442, -1, -1, 442, 442, 
	442, 442, 442, 442, -1, -1, -1, -1, 
	442, 442, 442, 442, 442, 442, 442, -1, 
	-1, 442, -1, 442, -1, -1, -1, -1, 
	442, 442, -1, 442, 442, 442, 442, -1, 
	442, 442, -1, -1, 442, 442, 442, -1, 
	-1, -1, 442, -1, 442, 442, 442, 442, 
	442, 442, 442, 442, -1, -1, -1, -1, 
	442, 442, -1, 442, 442, 442, -1, -1, 
	-1, -1, -1, -1, -1, -1, 442, 442, 
	-1, -1, 442, -1, 442, 442, -1, -1, 
	-1, 442, 442, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 442, 442, 
	442, -1, -1, 442, 442, 442, -1, -1, 
	-1, -1, -1, 442, 442, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 442, 
	-1, 442, -1, -1, 442, 442, 442, -1, 
	-1, 442, 448, 448, 448, 448, 448, 448, 
	448, -1, 448, 448, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 448, 448, 448, 
	448, 448, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 448, -1, -1, -1, 
	448, -1, -1, -1, 448, 448, 448, 448, 
	448, 448, -1, -1, -1, -1, 448, 448, 
	448, -1, -1, -1, -1, 448, 448, -1, 
	448, 448, 448, 448, -1, -1, -1, -1, 
	-1, -1, -1, 448, 448, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 448, 448, 448, -1, 448, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 450, 450, 
	450, 450, 450, 450, 450, 450, 450, 450, 
	450, 450, 450, 450, 450, -1, 450, 450, 
	450, 450, 450, 450, 450, 450, -1, -1, 
	-1, 450, 450, 450, 450, 450, -1, 450, 
	442, 450, 450, 450, 450, -1, 450, -1, 
	450, 450, 450, -1, -1, 450, -1, -1, 
	450, 450, 450, 450, 450, -1, 450, 450, 
	450, -1, -1, -1, -1, 450, 450, 450, 
	450, 450, -1, -1, 450, 450, 450, 450, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 448, 448, 448, 448, 448, 
	-1, 448, 448, 448, -1, -1, -1, 448, 
	448, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 448, 448, 448, 448, 
	448, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 448, -1, -1, -1, -1, 
	450, 450, 450, 450, -1, -1, 450, 450, 
	450, 450, 450, 450, -1, -1, -1, -1, 
	450, 450, 450, 450, 450, 450, 450, -1, 
	-1, -1, -1, 450, -1, -1, -1, -1, 
	450, 450, -1, -1, 450, 450, 450, -1, 
	450, 450, -1, -1, 450, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	450, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 450, 450, -1, -1, 
	-1, -1, -1, -1, -1, -1, 450, 450, 
	-1, -1, -1, -1, 450, -1, -1, 452, 
	452, 452, 452, 452, 452, 452, 452, 452, 
	452, 452, 452, -1, -1, 452, 452, 452, 
	452, -1, -1, 450, 450, 450, -1, -1, 
	-1, -1, -1, 450, 450, 452, 452, 452, 
	-1, -1, -1, 452, -1, -1, -1, 450, 
	452, 450, -1, -1, 450, -1, 452, 452, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 452, -1, -1, 452, 
	452, 452, 452, -1, 454, 454, 454, 454, 
	454, 454, 454, 454, 454, 452, 454, 454, 
	-1, -1, 454, 454, 454, 454, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 454, 454, 454, -1, -1, -1, 
	454, -1, -1, -1, -1, 454, -1, -1, 
	-1, -1, -1, 454, 454, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 454, -1, -1, 454, 454, 454, 454, 
	455, 455, 455, 455, 455, 455, 455, 455, 
	455, 454, 455, 455, -1, -1, 455, 455, 
	455, 455, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 455, 455, 
	455, -1, -1, -1, 455, -1, -1, -1, 
	-1, 455, -1, -1, -1, -1, -1, 455, 
	455, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 455, -1, -1, 
	455, 455, 455, 455, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 455, -1, -1, 
	450, -1, -1, 452, -1, -1, -1, -1, 
	-1, -1, -1, 452, 452, 452, -1, 452, 
	452, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 452, -1, -1, -1, -1, 452, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 452, 452, 
	452, -1, -1, -1, -1, -1, 452, 452, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	454, -1, -1, -1, -1, -1, -1, 454, 
	-1, 452, -1, -1, 454, 454, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 454, 
	-1, -1, -1, -1, 454, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 454, 454, 454, -1, -1, 
	-1, -1, -1, 454, 454, -1, -1, -1, 
	-1, -1, -1, -1, 455, -1, -1, -1, 
	-1, -1, -1, 455, -1, -1, -1, -1, 
	455, 455, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 455, -1, -1, -1, -1, 
	455, -1, -1, -1, -1, -1, -1, -1, 
	455, 455, 455, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 455, 
	455, 455, -1, -1, -1, -1, -1, 455, 
	455, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 448, 448, 448, 
	448, 448, -1, 448, 448, 448, -1, -1, 
	-1, 448, 448, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 448, 448, 
	448, 448, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 448, 456, 456, 
	456, 456, 456, 456, 456, 456, 456, 456, 
	456, 456, 456, 456, 456, 456, 456, 456, 
	456, 456, 456, 456, 456, 456, 456, 456, 
	-1, 456, 456, 456, 456, 456, -1, 456, 
	-1, 456, 456, 456, 456, -1, 456, -1, 
	456, 456, 456, -1, -1, 456, 456, 456, 
	456, 456, 456, 456, 456, -1, 456, 456, 
	456, -1, -1, -1, -1, 456, 456, 456, 
	456, 456, -1, -1, 456, 456, 456, 456, 
	551, 551, 551, 551, 551, 551, 551, -1, 
	551, 551, 456, -1, -1, -1, -1, -1, 
	-1, -1, -1, 551, 551, 551, 551, 551, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 551, -1, -1, -1, 551, -1, 
	-1, -1, 551, 551, 551, 551, 551, 551, 
	-1, -1, -1, -1, 551, 551, 551, -1, 
	-1, -1, -1, 551, 551, -1, 551, 551, 
	551, 551, -1, -1, -1, -1, -1, -1, 
	-1, 551, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	456, 456, 456, 456, -1, -1, 456, 456, 
	-1, 456, 456, 456, -1, -1, -1, -1, 
	456, 456, 456, -1, 456, 456, 456, -1, 
	-1, -1, -1, 456, -1, -1, -1, -1, 
	456, -1, -1, -1, 456, 456, 456, -1, 
	456, 456, -1, -1, 456, -1, -1, -1, 
	-1, -1, -1, -1, -1, 456, 456, 456, 
	456, 456, 456, 456, -1, -1, -1, -1, 
	456, 456, -1, -1, 456, 456, -1, -1, 
	-1, -1, -1, -1, -1, -1, 456, 456, 
	-1, -1, -1, -1, 456, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 456, 456, 456, -1, -1, 
	-1, -1, -1, 456, 456, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 456, 
	-1, -1, -1, -1, -1, -1, 456, -1, 
	-1, -1, -1, -1, -1, 452, -1, 551, 
	551, 551, -1, -1, -1, -1, 551, 452, 
	-1, 452, 452, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 452, -1, -1, -1, 
	-1, 452, -1, -1, -1, -1, -1, -1, 
	-1, -1, 551, 551, 551, 551, 551, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	452, 452, 452, -1, -1, -1, -1, -1, 
	452, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 454, -1, -1, -1, -1, -1, 
	-1, 454, -1, 452, -1, -1, 454, 454, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 454, -1, -1, -1, -1, 454, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 454, 454, 454, 
	-1, -1, -1, -1, -1, 454, -1, -1, 
	-1, -1, -1, -1, -1, -1, 455, -1, 
	-1, -1, -1, -1, -1, 455, -1, -1, 
	-1, -1, 455, 455, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 455, -1, -1, 
	456, -1, 455, -1, -1, -1, -1, -1, 
	-1, -1, 455, 455, 455, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 455, 455, 455, -1, -1, -1, -1, 
	-1, 455, 458, 458, 458, 458, 458, 458, 
	458, 458, 458, 458, 458, 458, 458, 458, 
	458, 458, 458, 458, 458, 458, 458, 458, 
	458, 458, 458, 458, -1, 458, 458, 458, 
	458, 458, -1, 458, -1, 458, 458, 458, 
	458, -1, 458, -1, 458, 458, 458, -1, 
	-1, 458, 458, 458, 458, 458, 458, 458, 
	458, -1, 458, 458, 458, -1, -1, -1, 
	-1, 458, 458, 458, 458, 458, -1, -1, 
	458, 458, 458, 458, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 458, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 458, 458, 458, 458, 
	-1, -1, 458, 458, -1, 458, 458, 458, 
	-1, -1, -1, -1, 458, 458, 458, -1, 
	458, 458, 458, -1, -1, -1, -1, 458, 
	-1, -1, -1, -1, 458, -1, -1, -1, 
	458, 458, 458, -1, 458, 458, -1, -1, 
	458, -1, -1, -1, -1, -1, -1, -1, 
	-1, 458, 458, 458, 458, 458, 458, 458, 
	-1, -1, -1, -1, 458, 458, -1, -1, 
	458, 458, -1, -1, -1, -1, -1, -1, 
	-1, -1, 458, 458, -1, -1, -1, -1, 
	458, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 458, 
	458, 458, -1, -1, -1, -1, -1, 458, 
	458, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 458, -1, -1, -1, -1, 
	-1, -1, 458, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, -1, 459, 459, 
	459, 459, 459, -1, 459, -1, 459, 459, 
	459, 459, -1, 459, -1, 459, 459, 459, 
	-1, 459, 459, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, 459, -1, 459, 
	459, 459, 459, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, 459, -1, 459, 
	-1, -1, -1, -1, 459, 459, 459, 459, 
	459, -1, -1, 459, 459, 459, 459, 459, 
	459, 459, 459, 459, 459, 459, 459, 459, 
	459, 459, 459, -1, -1, -1, -1, -1, 
	459, 551, 551, 551, -1, -1, -1, -1, 
	551, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 551, 551, 551, 551, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 458, 459, 459, 459, 
	459, -1, -1, 459, 459, 459, 459, 459, 
	459, -1, -1, -1, -1, 459, 459, 459, 
	459, 459, 459, 459, -1, -1, -1, -1, 
	459, -1, -1, -1, -1, 459, 459, -1, 
	-1, 459, 459, 459, -1, 459, 459, -1, 
	-1, 459, -1, -1, -1, -1, -1, -1, 
	-1, -1, 459, 459, 459, 459, 459, 459, 
	459, -1, -1, -1, 459, 459, 459, -1, 
	-1, 459, 459, -1, 459, 459, 459, 459, 
	459, -1, 459, 459, 459, -1, -1, -1, 
	459, 459, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 459, 459, 459, -1, 
	-1, 459, -1, -1, -1, -1, 459, -1, 
	459, 459, 459, 459, -1, 459, 459, 459, 
	459, 459, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 459, -1, 459, -1, 
	-1, 459, -1, 459, 459, -1, -1, -1, 
	459, -1, 459, -1, 459, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, -1, 
	460, 460, 460, 460, 460, -1, 460, -1, 
	460, 460, 460, 460, -1, 460, -1, 460, 
	460, 460, -1, 460, 460, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	-1, 460, 460, 460, 460, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	-1, 460, -1, -1, -1, -1, 460, 460, 
	460, 460, 460, -1, -1, 460, 460, 460, 
	460, 460, 460, 460, 460, 460, 460, 460, 
	460, 460, 460, 460, 460, -1, -1, -1, 
	-1, -1, 460, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 459, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 460, 
	460, 460, 460, -1, -1, 460, 460, 460, 
	460, 460, 460, -1, -1, -1, -1, 460, 
	460, 460, 460, 460, 460, 460, -1, -1, 
	-1, -1, 460, -1, -1, -1, -1, 460, 
	460, -1, -1, 460, 460, 460, -1, 460, 
	460, -1, -1, 460, -1, -1, -1, -1, 
	-1, -1, -1, -1, 460, 460, 460, 460, 
	460, 460, 460, -1, -1, -1, 460, 460, 
	460, -1, -1, 460, 460, -1, 460, 460, 
	460, 460, 460, -1, 460, 460, 460, -1, 
	-1, -1, 460, 460, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 460, 460, 
	460, -1, -1, 460, -1, -1, -1, -1, 
	460, -1, 460, 460, 460, 460, -1, 460, 
	460, 460, 460, 460, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 460, -1, 
	460, -1, -1, 460, -1, 460, 460, -1, 
	-1, -1, 460, -1, 460, -1, 460, 461, 
	461, 461, 461, 461, 461, 461, 461, 461, 
	461, 461, 461, 461, 461, 461, -1, 461, 
	461, 461, 461, 461, 461, 461, 461, -1, 
	-1, -1, 461, 461, 461, 461, 461, -1, 
	461, -1, 461, 461, 461, 461, -1, 461, 
	-1, 461, 461, 461, -1, -1, 461, -1, 
	-1, 461, 461, 461, 461, 461, -1, 461, 
	461, 461, 461, -1, -1, -1, 461, 461, 
	461, 461, 461, -1, 461, 461, 461, 461, 
	461, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 460, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 461, 461, 461, 461, -1, -1, 461, 
	461, 461, 461, 461, 461, -1, -1, -1, 
	-1, 461, 461, 461, 461, 461, 461, 461, 
	-1, 461, 461, -1, 461, -1, -1, -1, 
	-1, 461, 461, -1, -1, 461, 461, 461, 
	-1, 461, 461, -1, -1, 461, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 461, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 461, 461, -1, 
	-1, -1, -1, -1, -1, -1, -1, 461, 
	461, -1, -1, -1, -1, 461, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 461, 461, 461, -1, 
	-1, -1, -1, -1, 461, 461, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	461, -1, 461, -1, -1, 461, -1, -1, 
	463, 463, 463, 463, 463, 463, 463, 463, 
	463, 463, 463, 463, 463, 463, 463, -1, 
	463, 463, 463, 463, 463, 463, 463, 463, 
	-1, -1, -1, 463, 463, 463, 463, 463, 
	-1, 463, -1, 463, 463, 463, 463, -1, 
	463, -1, 463, 463, 463, -1, -1, 463, 
	-1, -1, 463, 463, 463, 463, 463, -1, 
	463, 463, 463, -1, -1, -1, -1, 463, 
	463, 463, 463, 463, -1, -1, 463, 463, 
	463, 463, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 461, 463, 463, 463, 463, -1, -1, 
	463, 463, -1, 463, 463, 463, -1, -1, 
	-1, -1, 463, 463, 463, -1, 463, 463, 
	463, -1, -1, -1, -1, 463, -1, -1, 
	-1, -1, 463, 463, -1, -1, 463, 463, 
	463, -1, 463, 463, -1, -1, 463, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 463, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 463, 463, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	463, 463, -1, -1, -1, -1, 463, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 463, 463, 463, 
	-1, -1, -1, -1, -1, 463, 463, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 463, -1, -1, -1, -1, 463, -1, 
	-1, 469, 469, 469, 469, 469, 469, 469, 
	469, 469, 469, 469, 469, 469, 469, 469, 
	-1, 469, 469, 469, 469, 469, 469, 469, 
	469, -1, -1, -1, 469, 469, 469, 469, 
	469, -1, 469, -1, 469, 469, 469, 469, 
	-1, 469, -1, 469, 469, 469, -1, -1, 
	469, -1, -1, 469, 469, 469, 469, 469, 
	-1, 469, 469, 469, -1, -1, -1, -1, 
	469, 469, 469, 469, 469, -1, -1, 469, 
	469, 469, 469, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 469, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 463, 469, 469, 469, 469, -1, 
	-1, 469, 469, 469, 469, 469, 469, -1, 
	-1, -1, -1, 469, 469, 469, 469, 469, 
	469, 469, -1, -1, -1, -1, 469, -1, 
	-1, -1, -1, 469, 469, -1, -1, 469, 
	469, 469, -1, 469, 469, -1, -1, 469, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 469, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 469, 
	469, -1, -1, -1, -1, -1, -1, -1, 
	-1, 469, 469, -1, -1, -1, -1, 469, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 469, 469, 
	469, -1, -1, -1, -1, -1, 469, 469, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 469, -1, 469, -1, -1, 469, 
	-1, -1, 472, 472, 472, 472, 472, 472, 
	472, 472, 472, 472, 472, 472, 472, 472, 
	472, -1, 472, 472, 472, 472, 472, 472, 
	472, 472, -1, -1, -1, 472, 472, 472, 
	472, 472, -1, 472, -1, 472, 472, 472, 
	472, -1, 472, -1, 472, 472, 472, -1, 
	-1, 472, -1, -1, 472, 472, 472, 472, 
	472, -1, 472, 472, 472, -1, -1, -1, 
	-1, 472, 472, 472, 472, 472, -1, -1, 
	472, 472, 472, 472, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 469, 472, 472, 472, 472, 
	-1, -1, 472, 472, 472, 472, 472, 472, 
	-1, -1, -1, -1, 472, 472, 472, 472, 
	472, 472, 472, -1, -1, -1, -1, 472, 
	-1, -1, -1, -1, 472, 472, -1, -1, 
	472, 472, 472, -1, 472, 472, -1, -1, 
	472, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 472, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	472, 472, -1, -1, -1, -1, -1, -1, 
	-1, -1, 472, 472, -1, -1, -1, -1, 
	472, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 472, 
	472, 472, -1, -1, -1, -1, -1, 472, 
	472, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 472, -1, 472, -1, -1, 
	472, -1, -1, 475, 475, 475, 475, 475, 
	475, 475, 475, 475, 475, 475, 475, 475, 
	475, 475, 475, 475, 475, 475, 475, 475, 
	475, 475, 475, 475, 475, -1, 475, 475, 
	475, 475, 475, -1, 475, -1, 475, 475, 
	475, 475, -1, 475, -1, 475, 475, 475, 
	-1, -1, 475, 475, 475, 475, 475, 475, 
	475, 475, -1, 475, 475, 475, -1, -1, 
	-1, -1, 475, 475, 475, 475, 475, -1, 
	-1, 475, 475, 475, 475, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 475, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 472, 475, 475, 475, 
	475, -1, -1, 475, 475, -1, 475, 475, 
	475, -1, -1, -1, -1, 475, 475, 475, 
	-1, 475, 475, 475, -1, -1, -1, -1, 
	475, -1, -1, -1, -1, 475, -1, -1, 
	-1, 475, 475, 475, -1, 475, 475, -1, 
	-1, 475, -1, -1, -1, -1, -1, -1, 
	-1, -1, 475, 475, 475, 475, 475, 475, 
	475, -1, -1, -1, -1, 475, 475, -1, 
	-1, 475, 475, -1, -1, -1, -1, -1, 
	-1, -1, -1, 475, 475, -1, -1, -1, 
	-1, 475, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	475, 475, 475, -1, -1, -1, -1, -1, 
	475, 475, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 475, -1, -1, -1, 
	-1, -1, -1, 475, 476, 476, 476, 476, 
	476, 476, 476, 476, 476, 476, 476, 476, 
	476, 476, 476, -1, 476, 476, 476, 476, 
	476, 476, 476, 476, -1, -1, -1, 476, 
	476, 476, 476, 476, -1, 476, -1, 476, 
	476, 476, 476, -1, 476, -1, 476, 476, 
	476, -1, -1, 476, -1, -1, 476, 476, 
	476, 476, 476, -1, 476, 476, 476, -1, 
	-1, -1, -1, 476, 476, 476, 476, 476, 
	-1, -1, 476, 476, 476, 476, -1, 476, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 475, 476, 476, 
	476, 476, -1, -1, 476, 476, 476, 476, 
	476, 476, -1, -1, -1, -1, 476, 476, 
	476, 476, 476, 476, 476, -1, -1, -1, 
	-1, 476, -1, -1, -1, -1, 476, 476, 
	-1, -1, 476, 476, 476, -1, 476, 476, 
	-1, -1, 476, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 476, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 476, 476, -1, -1, -1, -1, 
	-1, -1, -1, -1, 476, 476, -1, -1, 
	-1, -1, 476, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 476, 476, 476, -1, -1, -1, -1, 
	-1, 476, 476, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 476, -1, 476, 
	-1, -1, 476, -1, -1, 477, 477, 477, 
	477, 477, 477, 477, 477, 477, 477, 477, 
	477, 477, 477, 477, -1, 477, 477, 477, 
	477, 477, 477, 477, 477, -1, -1, -1, 
	477, 477, 477, 477, 477, -1, 477, -1, 
	477, 477, 477, 477, -1, 477, -1, 477, 
	477, 477, -1, -1, 477, -1, -1, 477, 
	477, 477, 477, 477, -1, 477, 477, 477, 
	-1, -1, -1, -1, 477, 477, 477, 477, 
	477, -1, -1, 477, 477, 477, 477, -1, 
	477, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 476, 477, 
	477, 477, 477, -1, -1, 477, 477, 477, 
	477, 477, 477, -1, -1, -1, -1, 477, 
	477, 477, 477, 477, 477, 477, -1, -1, 
	-1, -1, 477, -1, -1, -1, -1, 477, 
	477, -1, -1, 477, 477, 477, -1, 477, 
	477, -1, -1, 477, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 477, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 477, 477, -1, -1, -1, 
	-1, -1, -1, -1, -1, 477, 477, -1, 
	-1, -1, -1, 477, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 477, 477, 477, -1, -1, -1, 
	-1, -1, 477, 477, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 477, -1, 
	477, -1, -1, 477, -1, -1, 484, 484, 
	484, 484, 484, 484, 484, 484, 484, 484, 
	484, 484, 484, 484, 484, -1, 484, 484, 
	484, 484, 484, 484, 484, 484, -1, -1, 
	-1, 484, 484, 484, 484, 484, -1, 484, 
	-1, 484, 484, 484, 484, -1, 484, -1, 
	484, 484, 484, -1, -1, 484, -1, -1, 
	484, 484, 484, 484, 484, -1, 484, 484, 
	484, -1, -1, -1, -1, 484, 484, 484, 
	484, 484, -1, -1, 484, 484, 484, 484, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 477, 
	484, 484, 484, 484, -1, -1, 484, 484, 
	484, 484, 484, 484, -1, -1, -1, -1, 
	484, 484, 484, 484, 484, 484, 484, -1, 
	-1, -1, -1, 484, -1, -1, -1, -1, 
	484, 484, -1, -1, 484, 484, 484, -1, 
	484, 484, -1, -1, 484, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	484, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 484, 484, -1, -1, 
	-1, -1, -1, -1, -1, -1, 484, 484, 
	-1, -1, -1, -1, 484, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 484, 484, 484, -1, -1, 
	-1, -1, -1, 484, 484, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 484, 
	-1, 484, -1, -1, 484, -1, -1, 500, 
	500, 500, 500, 500, 500, 500, 500, 500, 
	500, 500, 500, 500, 500, 500, -1, 500, 
	500, 500, 500, 500, 500, 500, 500, -1, 
	-1, -1, 500, 500, 500, 500, 500, -1, 
	500, -1, 500, 500, 500, 500, -1, 500, 
	-1, 500, 500, 500, -1, -1, 500, -1, 
	-1, 500, 500, 500, 500, 500, -1, 500, 
	500, 500, -1, -1, -1, -1, 500, 500, 
	500, 500, 500, -1, -1, 500, 500, 500, 
	500, 504, 504, 504, 504, 504, 504, 504, 
	-1, 504, 504, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 504, 504, 504, 504, 
	504, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 504, -1, -1, -1, 504, 
	-1, -1, -1, 504, 504, 504, 504, 504, 
	504, -1, -1, -1, -1, 504, 504, 504, 
	-1, -1, -1, -1, 504, 504, -1, 504, 
	504, 504, 504, -1, -1, -1, -1, -1, 
	-1, -1, 504, 504, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	504, 504, 504, -1, 504, -1, -1, -1, 
	484, 500, 500, 500, 500, -1, -1, 500, 
	500, 500, 500, 500, 500, -1, -1, -1, 
	-1, 500, 500, 500, 500, 500, 500, 500, 
	-1, -1, -1, -1, 500, -1, -1, -1, 
	-1, 500, 500, -1, -1, 500, 500, 500, 
	-1, 500, 500, -1, -1, 500, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 500, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 500, 500, -1, 
	-1, -1, -1, -1, -1, -1, -1, 500, 
	500, -1, -1, -1, -1, 500, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 500, 500, 500, -1, 
	-1, -1, -1, -1, 500, 500, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	500, -1, 500, -1, -1, 500, -1, -1, 
	-1, -1, 504, 504, 504, 504, 504, -1, 
	504, 504, 504, -1, -1, -1, 504, 504, 
	505, 505, 505, 505, 505, 505, 505, -1, 
	505, 505, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 505, 505, 505, 505, 505, 
	-1, -1, -1, 504, 504, 504, 504, 504, 
	-1, -1, 505, -1, -1, -1, 505, -1, 
	-1, -1, 505, 505, 505, 505, 505, 505, 
	-1, -1, 504, -1, 505, 505, 505, -1, 
	-1, -1, -1, 505, 505, -1, 505, 505, 
	505, 505, -1, -1, -1, -1, -1, -1, 
	-1, 505, 505, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 505, 
	505, 505, -1, 505, -1, -1, 505, 505, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, -1, 506, 506, 506, 506, 506, 
	-1, 506, -1, 506, 506, 506, 506, -1, 
	506, 500, 506, 506, 506, -1, 506, 506, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, 506, -1, 506, 506, 506, 506, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, 506, -1, 506, -1, -1, -1, 
	-1, 506, 506, 506, 506, 506, -1, -1, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	506, 506, 506, 506, 506, 506, 506, 506, 
	-1, -1, -1, -1, -1, 506, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 505, 505, 505, 505, 505, -1, 505, 
	505, 505, -1, -1, -1, 505, 505, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 505, 505, 505, 505, 505, -1, 
	-1, -1, 506, 506, 506, 506, -1, -1, 
	506, 506, 506, 506, 506, 506, -1, -1, 
	-1, 505, 506, 506, 506, 506, 506, 506, 
	506, -1, -1, -1, -1, 506, -1, -1, 
	-1, -1, 506, 506, -1, -1, 506, 506, 
	506, -1, 506, 506, -1, -1, 506, -1, 
	-1, -1, -1, -1, -1, -1, -1, 506, 
	506, 506, 506, 506, 506, 506, -1, -1, 
	-1, 506, 506, 506, -1, -1, 506, 506, 
	-1, 506, 506, 506, 506, 506, -1, 506, 
	506, 506, -1, -1, -1, 506, 506, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 506, 506, 506, -1, -1, 506, -1, 
	-1, -1, -1, 506, -1, 506, 506, 506, 
	506, -1, 506, 506, 506, 506, 506, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 506, -1, 506, -1, -1, 506, -1, 
	506, 506, -1, -1, -1, 506, -1, 506, 
	-1, 506, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, -1, 507, 
	507, 507, 507, 507, -1, 507, -1, 507, 
	507, 507, 507, -1, 507, -1, 507, 507, 
	507, -1, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, -1, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, -1, 
	507, -1, -1, -1, -1, 507, 507, 507, 
	507, 507, -1, -1, 507, 507, 507, 507, 
	507, 507, 507, 507, 507, 507, 507, 507, 
	507, 507, 507, 507, -1, -1, -1, -1, 
	-1, 507, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 506, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 504, 504, 504, 504, 
	504, -1, 504, 504, 504, -1, -1, -1, 
	504, 504, -1, -1, -1, -1, 507, 507, 
	507, 507, -1, -1, 507, 507, 507, 507, 
	507, 507, -1, -1, -1, -1, 507, 507, 
	507, 507, 507, 507, 507, 504, 504, 504, 
	504, 507, -1, -1, -1, -1, 507, 507, 
	-1, -1, 507, 507, 507, -1, 507, 507, 
	-1, -1, 507, -1, 504, -1, -1, -1, 
	-1, -1, -1, 507, 507, 507, 507, 507, 
	507, 507, -1, -1, -1, 507, 507, 507, 
	-1, -1, 507, 507, -1, 507, 507, 507, 
	507, 507, -1, 507, 507, 507, -1, -1, 
	-1, 507, 507, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 507, 507, 507, 
	-1, -1, 507, -1, -1, -1, -1, 507, 
	-1, 507, 507, 507, 507, -1, 507, 507, 
	507, 507, 507, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 507, -1, 507, 
	-1, -1, 507, -1, 507, 507, -1, -1, 
	-1, 507, -1, 507, -1, 507, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	-1, 508, 508, 508, 508, 508, -1, 508, 
	-1, 508, 508, 508, 508, -1, 508, -1, 
	508, 508, 508, -1, 508, 508, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	508, -1, 508, 508, 508, 508, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	508, -1, 508, -1, -1, -1, -1, 508, 
	508, 508, 508, 508, -1, -1, 508, 508, 
	508, 508, 508, 508, 508, 508, 508, 508, 
	508, 508, 508, 508, 508, 508, -1, -1, 
	-1, -1, -1, 508, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 507, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	508, 508, 508, 508, -1, -1, 508, 508, 
	508, 508, 508, 508, -1, -1, -1, -1, 
	508, 508, 508, 508, 508, 508, 508, -1, 
	-1, -1, -1, 508, -1, -1, -1, -1, 
	508, 508, -1, -1, 508, 508, 508, -1, 
	508, 508, -1, -1, 508, -1, -1, -1, 
	-1, -1, -1, -1, -1, 508, 508, 508, 
	508, 508, 508, 508, -1, -1, -1, 508, 
	508, 508, -1, -1, 508, 508, -1, 508, 
	508, 508, 508, 508, -1, 508, 508, 508, 
	-1, -1, -1, 508, 508, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 508, 
	508, 508, -1, -1, 508, -1, -1, -1, 
	-1, 508, -1, 508, 508, 508, 508, -1, 
	508, 508, 508, 508, 508, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 508, 
	-1, 508, -1, -1, 508, -1, 508, 508, 
	-1, -1, -1, 508, -1, 508, -1, 508, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, -1, 509, 509, 509, 509, 509, 
	-1, 509, -1, 509, 509, 509, 509, -1, 
	509, -1, 509, 509, 509, -1, 509, 509, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, 509, -1, 509, 509, 509, 509, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, 509, -1, 509, -1, -1, -1, 
	-1, 509, 509, 509, 509, 509, -1, -1, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	509, 509, 509, 509, 509, 509, 509, 509, 
	-1, -1, -1, -1, -1, 509, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	508, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 509, 509, 509, 509, -1, -1, 
	509, 509, 509, 509, 509, 509, -1, -1, 
	-1, -1, 509, 509, 509, 509, 509, 509, 
	509, -1, -1, -1, -1, 509, -1, -1, 
	-1, -1, 509, 509, -1, -1, 509, 509, 
	509, -1, 509, 509, -1, -1, 509, -1, 
	-1, -1, -1, -1, -1, -1, -1, 509, 
	509, 509, 509, 509, 509, 509, -1, -1, 
	-1, 509, 509, 509, -1, -1, 509, 509, 
	-1, 509, 509, 509, 509, 509, -1, 509, 
	509, 509, -1, -1, -1, 509, 509, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 509, 509, 509, -1, -1, 509, -1, 
	-1, -1, -1, 509, -1, 509, 509, 509, 
	509, -1, 509, 509, 509, 509, 509, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 509, -1, 509, -1, -1, 509, -1, 
	509, 509, -1, -1, -1, 509, -1, 509, 
	-1, 509, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, -1, 510, 510, 510, 
	510, 510, -1, 510, -1, 510, 510, 510, 
	510, -1, 510, -1, 510, 510, 510, -1, 
	510, 510, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, 510, -1, 510, 510, 
	510, 510, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, 510, -1, 510, -1, 
	-1, -1, -1, 510, 510, 510, 510, 510, 
	-1, -1, 510, 510, 510, 510, 510, 510, 
	510, 510, 510, 510, 510, 510, 510, 510, 
	510, 510, -1, -1, -1, -1, -1, 510, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 509, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 510, 510, 510, 510, 
	-1, -1, 510, 510, 510, 510, 510, 510, 
	-1, -1, -1, -1, 510, 510, 510, 510, 
	510, 510, 510, -1, -1, -1, -1, 510, 
	-1, -1, -1, -1, 510, 510, -1, -1, 
	510, 510, 510, -1, 510, 510, -1, -1, 
	510, -1, -1, -1, -1, -1, -1, -1, 
	-1, 510, 510, 510, 510, 510, 510, 510, 
	-1, -1, -1, 510, 510, 510, -1, -1, 
	510, 510, -1, 510, 510, 510, 510, 510, 
	-1, 510, 510, 510, -1, -1, -1, 510, 
	510, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 510, 510, 510, -1, -1, 
	510, -1, -1, -1, -1, 510, -1, 510, 
	510, 510, 510, -1, 510, 510, 510, 510, 
	510, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 510, -1, 510, -1, -1, 
	510, -1, 510, 510, -1, -1, -1, 510, 
	-1, 510, -1, 510, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, -1, 511, 
	511, 511, 511, 511, -1, 511, -1, 511, 
	511, 511, 511, -1, 511, -1, 511, 511, 
	511, -1, 511, 511, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, 511, -1, 
	511, 511, 511, 511, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, 511, -1, 
	511, -1, -1, -1, -1, 511, 511, 511, 
	511, 511, -1, -1, 511, 511, 511, 511, 
	511, 511, 511, 511, 511, 511, 511, 511, 
	511, 511, 511, 511, -1, -1, -1, -1, 
	-1, 511, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 510, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 511, 511, 
	511, 511, -1, -1, 511, 511, 511, 511, 
	511, 511, -1, -1, -1, -1, 511, 511, 
	511, 511, 511, 511, 511, -1, -1, -1, 
	-1, 511, -1, -1, -1, -1, 511, 511, 
	-1, -1, 511, 511, 511, -1, 511, 511, 
	-1, -1, 511, -1, -1, -1, -1, -1, 
	-1, -1, -1, 511, 511, 511, 511, 511, 
	511, 511, -1, -1, -1, 511, 511, 511, 
	-1, -1, 511, 511, -1, 511, 511, 511, 
	511, 511, -1, 511, 511, 511, -1, -1, 
	-1, 511, 511, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 511, 511, 511, 
	-1, -1, 511, -1, -1, -1, -1, 511, 
	-1, 511, 511, 511, 511, -1, 511, 511, 
	511, 511, 511, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 511, -1, 511, 
	-1, -1, 511, -1, 511, 511, -1, -1, 
	-1, 511, -1, 511, -1, 511, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	-1, 512, 512, 512, 512, 512, -1, 512, 
	-1, 512, 512, 512, 512, -1, 512, -1, 
	512, 512, 512, -1, 512, 512, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	512, -1, 512, 512, 512, 512, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	512, -1, 512, -1, -1, -1, -1, 512, 
	512, 512, 512, 512, -1, -1, 512, 512, 
	512, 512, 512, 512, 512, 512, 512, 512, 
	512, 512, 512, 512, 512, 512, -1, -1, 
	-1, -1, -1, 512, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 511, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	512, 512, 512, 512, -1, -1, 512, 512, 
	512, 512, 512, 512, -1, -1, -1, -1, 
	512, 512, 512, 512, 512, 512, 512, -1, 
	-1, -1, -1, 512, -1, -1, -1, -1, 
	512, 512, -1, -1, 512, 512, 512, -1, 
	512, 512, -1, -1, 512, -1, -1, -1, 
	-1, -1, -1, -1, -1, 512, 512, 512, 
	512, 512, 512, 512, -1, -1, -1, 512, 
	512, 512, -1, -1, 512, 512, -1, 512, 
	512, 512, 512, 512, -1, 512, 512, 512, 
	-1, -1, -1, 512, 512, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 512, 
	512, 512, -1, -1, 512, -1, -1, -1, 
	-1, 512, -1, 512, 512, 512, 512, -1, 
	512, 512, 512, 512, 512, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 512, 
	-1, 512, -1, -1, 512, -1, 512, 512, 
	-1, -1, -1, 512, -1, 512, -1, 512, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, -1, 513, 513, 513, 513, 513, 
	-1, 513, -1, 513, 513, 513, 513, -1, 
	513, -1, 513, 513, 513, -1, 513, 513, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, 513, -1, 513, 513, 513, 513, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, 513, -1, 513, -1, -1, -1, 
	-1, 513, 513, 513, 513, 513, -1, -1, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	513, 513, 513, 513, 513, 513, 513, 513, 
	-1, -1, -1, -1, -1, 513, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	512, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 513, 513, 513, 513, -1, -1, 
	513, 513, 513, 513, 513, 513, -1, -1, 
	-1, -1, 513, 513, 513, 513, 513, 513, 
	513, -1, -1, -1, -1, 513, -1, -1, 
	-1, -1, 513, 513, -1, -1, 513, 513, 
	513, -1, 513, 513, -1, -1, 513, -1, 
	-1, -1, -1, -1, -1, -1, -1, 513, 
	513, 513, 513, 513, 513, 513, -1, -1, 
	-1, 513, 513, 513, -1, -1, 513, 513, 
	-1, 513, 513, 513, 513, 513, -1, 513, 
	513, 513, -1, -1, -1, 513, 513, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 513, 513, 513, -1, -1, 513, -1, 
	-1, -1, -1, 513, -1, 513, 513, 513, 
	513, -1, 513, 513, 513, 513, 513, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 513, -1, 513, -1, -1, 513, -1, 
	513, 513, -1, -1, -1, 513, -1, 513, 
	-1, 513, 517, 517, 517, 517, 517, 517, 
	517, -1, 517, 517, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 517, 517, 517, 
	517, 517, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 517, -1, -1, -1, 
	517, -1, -1, -1, 517, 517, 517, 517, 
	517, 517, -1, -1, -1, -1, 517, 517, 
	517, -1, -1, -1, -1, 517, 517, 517, 
	517, 517, 517, 517, 517, -1, -1, -1, 
	-1, -1, -1, 517, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 517, 517, 517, 517, 517, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, -1, 520, 520, 520, 520, 
	520, -1, 520, -1, 520, 520, 520, 520, 
	-1, 520, 513, 520, 520, 520, -1, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, -1, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, -1, 520, -1, -1, 
	-1, -1, 520, 520, 520, 520, 520, -1, 
	-1, 520, 520, 520, 520, 520, 520, 520, 
	520, 520, 520, 520, 520, 520, 520, 520, 
	520, -1, -1, -1, -1, -1, 520, -1, 
	-1, -1, -1, 517, 517, 517, 517, 517, 
	-1, 517, 517, 517, -1, -1, -1, -1, 
	517, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 517, 517, 517, -1, -1, 
	517, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 517, 517, 517, 517, 
	517, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, 520, 520, 520, -1, 
	-1, 520, 520, 520, 520, 520, 520, 517, 
	-1, -1, -1, 520, 520, 520, 520, 520, 
	520, 520, -1, -1, -1, -1, 520, -1, 
	-1, -1, -1, 520, 520, -1, -1, 520, 
	520, 520, -1, 520, 520, -1, -1, 520, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	520, 520, 520, 520, 520, 520, 520, -1, 
	-1, -1, 520, 520, 520, 520, -1, 520, 
	520, -1, 520, 520, 520, 520, 520, -1, 
	520, 520, 520, -1, -1, -1, 520, 520, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 520, 520, 520, -1, -1, 520, 
	-1, -1, -1, -1, 520, -1, 520, 520, 
	520, 520, -1, 520, 520, 520, 520, 520, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 520, -1, 520, -1, -1, 520, 
	-1, 520, 520, -1, -1, -1, 520, -1, 
	520, -1, 520, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, -1, 521, 521, 
	521, 521, 521, -1, 521, -1, 521, 521, 
	521, 521, -1, 521, -1, 521, 521, 521, 
	-1, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, -1, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, -1, 521, 
	-1, -1, -1, -1, 521, 521, 521, 521, 
	521, -1, -1, 521, 521, 521, 521, 521, 
	521, 521, 521, 521, 521, 521, 521, 521, 
	521, 521, 521, -1, -1, -1, -1, -1, 
	521, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 520, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 521, 521, 521, 
	521, -1, -1, 521, 521, 521, 521, 521, 
	521, -1, -1, -1, -1, 521, 521, 521, 
	521, 521, 521, 521, -1, -1, -1, -1, 
	521, -1, -1, -1, -1, 521, 521, -1, 
	-1, 521, 521, 521, -1, 521, 521, -1, 
	-1, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, 521, 521, 521, 521, 521, 521, 
	521, -1, -1, -1, 521, 521, 521, 521, 
	-1, 521, 521, -1, 521, 521, 521, 521, 
	521, -1, 521, 521, 521, -1, -1, -1, 
	521, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 521, 521, 521, -1, 
	-1, 521, -1, -1, -1, -1, 521, -1, 
	521, 521, 521, 521, -1, 521, 521, 521, 
	521, 521, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 521, -1, 521, -1, 
	-1, 521, -1, 521, 521, -1, -1, -1, 
	521, -1, 521, -1, 521, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, -1, 
	522, 522, 522, 522, 522, -1, 522, -1, 
	522, 522, 522, 522, -1, 522, -1, 522, 
	522, 522, -1, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	-1, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	-1, 522, -1, -1, -1, -1, 522, 522, 
	522, 522, 522, -1, -1, 522, 522, 522, 
	522, 522, 522, 522, 522, 522, 522, 522, 
	522, 522, 522, 522, 522, -1, -1, -1, 
	-1, -1, 522, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 517, 517, 
	-1, -1, 517, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 521, -1, -1, 
	-1, 517, -1, -1, -1, -1, -1, 522, 
	522, 522, 522, -1, -1, 522, 522, 522, 
	522, 522, 522, -1, -1, -1, -1, 522, 
	522, 522, 522, 522, 522, 522, -1, -1, 
	-1, -1, 522, -1, -1, -1, -1, 522, 
	522, -1, -1, 522, 522, 522, -1, 522, 
	522, -1, -1, 522, -1, -1, -1, -1, 
	-1, -1, -1, -1, 522, 522, 522, 522, 
	522, 522, 522, -1, -1, -1, 522, 522, 
	522, 522, -1, 522, 522, -1, 522, 522, 
	522, 522, 522, -1, 522, 522, 522, -1, 
	-1, -1, 522, 522, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 522, 522, 
	522, -1, -1, 522, -1, -1, -1, -1, 
	522, -1, 522, 522, 522, 522, -1, 522, 
	522, 522, 522, 522, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 522, -1, 
	522, -1, -1, 522, -1, 522, 522, -1, 
	-1, -1, 522, -1, 522, -1, 522, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, -1, 530, 530, 530, 530, 530, -1, 
	530, -1, 530, 530, 530, 530, -1, 530, 
	-1, 530, 530, 530, -1, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, -1, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, -1, 530, -1, -1, -1, -1, 
	530, 530, 530, 530, 530, -1, -1, 530, 
	530, 530, 530, 530, 530, 530, 530, 530, 
	530, 530, 530, 530, 530, 530, 530, -1, 
	-1, -1, -1, -1, 530, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 522, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 530, 530, 530, 530, -1, -1, 530, 
	530, 530, 530, 530, 530, -1, -1, -1, 
	-1, 530, 530, 530, 530, 530, 530, 530, 
	-1, -1, -1, -1, 530, -1, -1, -1, 
	-1, 530, 530, -1, -1, 530, 530, 530, 
	-1, 530, 530, -1, -1, 530, -1, -1, 
	-1, -1, -1, -1, -1, -1, 530, 530, 
	530, 530, 530, 530, 530, -1, -1, -1, 
	530, 530, 530, 530, -1, 530, 530, -1, 
	530, 530, 530, 530, 530, -1, 530, 530, 
	530, -1, -1, -1, 530, 530, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	530, 530, 530, -1, -1, 530, -1, -1, 
	-1, -1, 530, -1, 530, 530, 530, 530, 
	-1, 530, 530, 530, 530, 530, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	530, -1, 530, -1, -1, 530, -1, 530, 
	530, -1, -1, -1, 530, -1, 530, -1, 
	530, 545, 545, 545, 545, 545, 545, 545, 
	-1, 545, 545, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 545, 545, 545, 545, 
	545, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 545, -1, -1, -1, 545, 
	-1, -1, -1, 545, 545, 545, 545, 545, 
	545, -1, -1, -1, -1, 545, 545, 545, 
	-1, -1, -1, -1, 545, 545, -1, 545, 
	545, 545, 545, -1, -1, -1, -1, -1, 
	-1, -1, 545, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	545, 545, 545, -1, 545, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	546, 546, 546, 546, 546, 546, 546, 546, 
	546, 546, 546, 546, 546, 546, 546, 546, 
	546, 546, 546, 546, 546, 546, 546, 546, 
	546, 546, 546, 546, 546, 546, 546, 546, 
	-1, 546, -1, 546, 546, 546, 546, 546, 
	546, 530, 546, 546, 546, -1, -1, 546, 
	546, 546, 546, 546, 546, 546, 546, -1, 
	546, 546, 546, 546, -1, -1, -1, 546, 
	546, 546, 546, 546, -1, -1, 546, 546, 
	546, 546, -1, -1, -1, 546, -1, -1, 
	-1, 546, 546, -1, 546, -1, -1, 546, 
	-1, -1, 546, -1, 546, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 545, -1, -1, -1, -1, -1, -1, 
	-1, -1, 545, 545, 545, 545, 545, -1, 
	545, 545, 545, -1, -1, -1, -1, 545, 
	-1, -1, -1, -1, -1, -1, 546, -1, 
	-1, -1, -1, 545, 545, 545, -1, -1, 
	546, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 545, 545, 545, 545, 545, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 546, 546, 546, 546, -1, -1, 
	546, 546, 546, 546, 546, 546, -1, -1, 
	-1, -1, 546, 546, 546, 546, 546, 546, 
	546, -1, -1, 546, -1, 546, -1, -1, 
	-1, -1, 546, 546, -1, 546, 546, 546, 
	546, -1, 546, 546, -1, -1, 546, -1, 
	-1, -1, -1, -1, 546, -1, 546, 546, 
	546, 546, 546, 546, 546, 546, -1, -1, 
	-1, -1, 546, 546, -1, 546, 546, 546, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	546, 546, -1, -1, 546, -1, 546, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	546, 546, 546, -1, -1, 546, 546, 546, 
	-1, -1, -1, -1, -1, 546, 546, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 546, -1, 546, -1, -1, 546, 546, 
	546, 547, 547, 547, 547, 547, 547, 547, 
	547, 547, 547, 547, 547, 547, 547, 547, 
	547, 547, 547, 547, 547, 547, 547, 547, 
	547, 547, 547, 547, 547, 547, 547, 547, 
	547, -1, 547, -1, 547, 547, 547, 547, 
	547, 547, -1, 547, 547, 547, -1, -1, 
	547, 547, 547, 547, 547, 547, 547, 547, 
	-1, 547, 547, 547, 547, -1, -1, -1, 
	547, 547, 547, 547, 547, -1, -1, 547, 
	547, 547, 547, -1, -1, -1, 547, -1, 
	-1, -1, 547, 547, -1, 547, -1, -1, 
	547, -1, -1, 547, -1, 547, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 547, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 547, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 546, 547, 547, 547, 547, -1, 
	-1, 547, 547, 547, 547, 547, 547, -1, 
	-1, -1, -1, 547, 547, 547, 547, 547, 
	547, 547, -1, -1, 547, -1, 547, -1, 
	-1, -1, -1, 547, 547, -1, 547, 547, 
	547, 547, -1, 547, 547, -1, -1, 547, 
	-1, -1, -1, -1, -1, 547, -1, 547, 
	547, 547, 547, 547, 547, 547, 547, -1, 
	-1, -1, -1, 547, 547, -1, 547, 547, 
	547, -1, -1, -1, -1, -1, -1, -1, 
	-1, 547, 547, -1, -1, 547, -1, 547, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 547, 547, 547, -1, -1, 547, 547, 
	547, -1, -1, -1, -1, -1, 547, 547, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 547, -1, 547, -1, -1, 547, 
	547, 547, 548, 548, 548, 548, 548, 548, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	548, 548, -1, 548, -1, 548, 548, 548, 
	548, 548, 548, -1, 548, 548, 548, -1, 
	-1, 548, 548, 548, 548, 548, 548, 548, 
	548, -1, 548, 548, 548, 548, -1, -1, 
	-1, 548, 548, 548, 548, 548, -1, -1, 
	548, 548, 548, 548, -1, -1, -1, 548, 
	-1, -1, -1, 548, 548, -1, 548, -1, 
	-1, 548, -1, -1, 548, -1, 548, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 545, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	548, -1, -1, -1, -1, 545, 545, 545, 
	-1, -1, 548, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 547, 548, 548, 548, 548, 
	-1, -1, 548, 548, 548, 548, 548, 548, 
	-1, -1, -1, -1, 548, 548, 548, 548, 
	548, 548, 548, -1, -1, 548, -1, 548, 
	-1, -1, -1, -1, 548, 548, -1, 548, 
	548, 548, 548, -1, 548, 548, -1, -1, 
	548, -1, -1, -1, -1, -1, 548, -1, 
	548, 548, 548, 548, 548, 548, 548, 548, 
	-1, -1, -1, -1, 548, 548, -1, 548, 
	548, 548, -1, -1, -1, -1, -1, -1, 
	-1, -1, 548, 548, -1, -1, 548, -1, 
	548, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 548, 548, 548, -1, -1, 548, 
	548, 548, -1, -1, -1, -1, -1, 548, 
	548, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 548, -1, 548, -1, -1, 
	548, 548, 548, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, -1, 552, 552, 
	552, 552, 552, -1, 552, -1, 552, 552, 
	552, 552, -1, 552, -1, 552, 552, 552, 
	-1, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, 552, -1, 552, 
	552, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, 552, -1, 552, 
	-1, -1, -1, -1, 552, 552, 552, 552, 
	552, -1, -1, 552, 552, 552, 552, 552, 
	552, 552, 552, 552, 552, 552, 552, 552, 
	552, 552, 552, -1, -1, -1, -1, -1, 
	552, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 548, 552, 552, 552, 
	552, -1, -1, 552, 552, 552, 552, 552, 
	552, -1, -1, -1, -1, 552, 552, 552, 
	552, 552, 552, 552, -1, -1, -1, -1, 
	552, -1, -1, -1, -1, 552, 552, -1, 
	-1, 552, 552, 552, -1, 552, 552, -1, 
	-1, 552, -1, -1, -1, -1, -1, -1, 
	-1, -1, 552, 552, 552, 552, 552, 552, 
	552, -1, -1, -1, 552, 552, 552, -1, 
	-1, 552, 552, -1, 552, 552, 552, 552, 
	552, -1, 552, 552, 552, -1, -1, -1, 
	552, 552, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, 552, 552, -1, 
	-1, 552, -1, -1, -1, -1, 552, -1, 
	552, 552, 552, 552, -1, 552, 552, 552, 
	552, 552, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 552, -1, 552, -1, 
	-1, 552, -1, 552, 552, -1, -1, -1, 
	552, -1, 552, -1, 552, 557, 557, 557, 
	557, 557, 557, 557, -1, 557, 557, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	557, 557, 557, 557, 557, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 557, 
	-1, -1, -1, 557, -1, -1, -1, 557, 
	557, 557, 557, 557, 557, -1, -1, -1, 
	-1, 557, 557, 557, -1, -1, -1, -1, 
	557, 557, -1, 557, 557, 557, 557, 557, 
	-1, -1, -1, -1, -1, -1, 557, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 557, 557, 557, 557, 
	557, -1, -1, 557, 557, -1, -1, -1, 
	-1, -1, 557, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 558, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	558, 558, 558, 558, 558, 558, 558, 558, 
	-1, 558, 558, 558, 558, 558, -1, 558, 
	-1, 558, 558, 558, 558, 552, 558, -1, 
	558, 558, 558, -1, -1, 558, 558, 558, 
	558, 558, 558, 558, 558, -1, 558, 558, 
	558, -1, -1, -1, -1, 558, 558, 558, 
	558, 558, -1, -1, 558, 558, 558, 558, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 558, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 557, 557, 
	557, 557, 557, -1, 557, 557, 557, -1, 
	-1, -1, -1, 557, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 557, 557, 
	557, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 557, -1, 557, 
	557, 557, 557, 557, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	558, 558, 558, 558, -1, -1, 558, 558, 
	-1, 558, 558, 558, -1, -1, 557, -1, 
	558, 558, 558, -1, 558, 558, 558, -1, 
	-1, -1, -1, 558, -1, -1, -1, -1, 
	558, -1, -1, -1, 558, 558, 558, -1, 
	558, 558, -1, -1, 558, -1, -1, -1, 
	-1, -1, -1, -1, -1, 558, 558, 558, 
	558, 558, 558, 558, -1, -1, -1, -1, 
	558, 558, -1, -1, 558, 558, -1, -1, 
	-1, -1, -1, -1, -1, -1, 558, 558, 
	-1, -1, -1, -1, 558, -1, -1, -1, 
	559, 559, 559, 559, 559, 559, 559, 559, 
	559, -1, 559, 559, -1, -1, 559, 559, 
	559, 559, -1, 558, 558, 558, -1, -1, 
	-1, -1, -1, 558, 558, -1, 559, 559, 
	559, -1, -1, -1, 559, -1, -1, 558, 
	-1, 559, -1, -1, -1, -1, 558, 559, 
	559, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 559, -1, -1, 
	559, 559, 559, 559, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 559, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	559, 559, -1, -1, -1, -1, -1, -1, 
	-1, 560, 560, 560, 560, 560, 560, 560, 
	560, 560, 560, 560, 560, 560, 560, 560, 
	560, 560, 560, 560, 560, 560, 560, 560, 
	560, 560, 560, -1, 560, 560, 560, 560, 
	560, -1, 560, -1, 560, 560, 560, 560, 
	-1, 560, -1, 560, 560, 560, -1, -1, 
	560, 560, 560, 560, 560, 560, 560, 560, 
	-1, 560, 560, 560, -1, -1, -1, -1, 
	560, 560, 560, 560, 560, -1, -1, 560, 
	560, 560, 560, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 560, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	558, -1, -1, -1, 559, -1, -1, -1, 
	-1, -1, -1, 559, -1, -1, -1, -1, 
	559, 559, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 559, -1, -1, -1, -1, 
	559, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 559, 
	559, 559, -1, 560, 560, 560, 560, 559, 
	559, 560, 560, -1, 560, 560, 560, -1, 
	-1, -1, -1, 560, 560, 560, -1, 560, 
	560, 560, -1, -1, -1, -1, 560, -1, 
	-1, -1, -1, 560, -1, -1, -1, 560, 
	560, 560, -1, 560, 560, -1, -1, 560, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	560, 560, 560, 560, 560, 560, 560, -1, 
	-1, -1, -1, 560, 560, -1, -1, 560, 
	560, -1, -1, -1, -1, -1, -1, -1, 
	-1, 560, 560, -1, -1, -1, -1, 560, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 560, 560, 
	560, -1, -1, -1, -1, -1, 560, 560, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 560, -1, -1, -1, -1, -1, 
	-1, 560, 561, 561, 561, 561, 561, 561, 
	561, 561, 561, 561, 561, 561, 561, 561, 
	561, 561, 561, 561, 561, 561, 561, 561, 
	561, 561, 561, 561, -1, 561, 561, 561, 
	561, 561, -1, 561, -1, 561, 561, 561, 
	561, -1, 561, -1, 561, 561, 561, -1, 
	-1, 561, 561, 561, 561, 561, 561, 561, 
	561, -1, 561, 561, 561, -1, -1, -1, 
	-1, 561, 561, 561, 561, 561, -1, -1, 
	561, 561, 561, 561, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 561, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 560, 561, 561, 561, 561, 
	-1, -1, 561, 561, -1, 561, 561, 561, 
	-1, -1, -1, -1, 561, 561, 561, -1, 
	561, 561, 561, -1, -1, -1, -1, 561, 
	-1, -1, -1, -1, 561, -1, -1, -1, 
	561, 561, 561, -1, 561, 561, -1, -1, 
	561, -1, -1, -1, -1, -1, -1, -1, 
	-1, 561, 561, 561, 561, 561, 561, 561, 
	-1, -1, -1, -1, 561, 561, -1, -1, 
	561, 561, -1, -1, -1, -1, -1, -1, 
	-1, -1, 561, 561, -1, -1, -1, -1, 
	561, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 561, 
	561, 561, -1, -1, -1, -1, -1, 561, 
	561, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 561, -1, -1, -1, -1, 
	-1, -1, 561, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, -1, 562, 562, 
	562, 562, 562, -1, 562, -1, 562, 562, 
	562, 562, -1, 562, -1, 562, 562, 562, 
	-1, 562, 562, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, 562, -1, 562, 
	562, 562, 562, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, 562, -1, 562, 
	-1, -1, -1, -1, 562, 562, 562, 562, 
	562, -1, -1, 562, 562, 562, 562, 562, 
	562, 562, 562, 562, 562, 562, 562, 562, 
	562, 562, 562, -1, -1, -1, -1, -1, 
	562, -1, -1, -1, -1, -1, 559, -1, 
	-1, -1, -1, -1, -1, 559, -1, -1, 
	-1, -1, 559, 559, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 559, -1, -1, 
	-1, -1, 559, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 559, 559, 559, 561, 562, 562, 562, 
	562, 559, -1, 562, 562, 562, 562, 562, 
	562, -1, -1, -1, -1, 562, 562, 562, 
	562, 562, 562, 562, -1, -1, -1, -1, 
	562, -1, -1, -1, -1, 562, 562, -1, 
	-1, 562, 562, 562, -1, 562, 562, -1, 
	-1, 562, -1, -1, -1, -1, -1, -1, 
	-1, -1, 562, 562, 562, 562, 562, 562, 
	562, -1, -1, -1, 562, 562, 562, -1, 
	-1, 562, 562, -1, 562, 562, 562, 562, 
	562, -1, 562, 562, 562, -1, -1, -1, 
	562, 562, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 562, 562, 562, -1, 
	-1, 562, -1, -1, -1, -1, 562, -1, 
	562, 562, 562, 562, -1, 562, 562, 562, 
	562, 562, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 562, -1, 562, -1, 
	-1, 562, -1, 562, 562, -1, -1, -1, 
	562, -1, 562, -1, 562, 569, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, 569, 
	569, 569, 569, 569, 569, 569, 569, -1, 
	569, 569, 569, 569, 569, -1, 569, -1, 
	569, 569, 569, 569, -1, 569, -1, 569, 
	569, 569, -1, -1, 569, 569, 569, 569, 
	569, 569, 569, 569, -1, 569, 569, 569, 
	-1, -1, -1, -1, 569, 569, 569, 569, 
	569, -1, -1, 569, 569, 569, 569, -1, 
	570, 570, 570, 570, 570, 570, 570, 570, 
	570, 569, 570, 570, -1, -1, 570, 570, 
	570, 570, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 570, 570, 
	570, -1, -1, -1, 570, -1, -1, -1, 
	-1, 570, -1, -1, -1, -1, -1, 570, 
	570, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 570, -1, -1, 
	570, 570, 570, 570, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 570, -1, -1, 
	-1, -1, -1, -1, -1, 562, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 569, 
	569, 569, 569, -1, -1, 569, 569, -1, 
	569, 569, 569, -1, -1, -1, -1, 569, 
	569, 569, -1, 569, 569, 569, -1, -1, 
	-1, -1, 569, -1, -1, -1, -1, 569, 
	-1, -1, -1, 569, 569, 569, -1, 569, 
	569, -1, -1, 569, -1, -1, -1, -1, 
	-1, -1, -1, -1, 569, 569, 569, 569, 
	569, 569, 569, -1, -1, -1, -1, 569, 
	569, -1, -1, 569, 569, -1, -1, -1, 
	-1, -1, -1, -1, -1, 569, 569, -1, 
	-1, -1, -1, 569, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 569, 569, 569, -1, -1, -1, 
	-1, -1, 569, 569, -1, -1, -1, -1, 
	-1, -1, -1, -1, 570, -1, 569, -1, 
	-1, -1, -1, 570, -1, 569, -1, -1, 
	570, 570, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 570, -1, -1, -1, -1, 
	570, -1, -1, -1, -1, -1, -1, 574, 
	574, 574, 574, 574, 574, 574, -1, 574, 
	574, -1, -1, -1, -1, -1, -1, 570, 
	570, 570, 574, 574, 574, 574, 574, 570, 
	570, -1, -1, -1, -1, -1, -1, -1, 
	-1, 574, -1, -1, -1, 574, -1, -1, 
	-1, 574, 574, 574, 574, 574, 574, -1, 
	-1, -1, -1, 574, 574, 574, -1, -1, 
	-1, -1, 574, 574, 574, 574, 574, 574, 
	574, 574, -1, -1, -1, -1, -1, -1, 
	574, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 574, 574, 
	574, 574, 574, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 575, 575, 575, 
	575, 575, 575, 575, 575, 575, 575, 575, 
	575, 575, 575, 575, 575, 575, 575, 575, 
	575, 575, 575, 575, 575, 575, 575, -1, 
	575, 575, 575, 575, 575, -1, 575, 569, 
	575, 575, 575, 575, -1, 575, -1, 575, 
	575, 575, -1, -1, 575, 575, 575, 575, 
	575, 575, 575, 575, -1, 575, 575, 575, 
	-1, -1, -1, -1, 575, 575, 575, 575, 
	575, -1, -1, 575, 575, 575, 575, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 575, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	574, 574, 574, 574, 574, -1, 574, 574, 
	574, -1, -1, -1, -1, 574, 574, -1, 
	-1, -1, 574, 574, -1, -1, -1, -1, 
	574, 574, 574, -1, -1, -1, -1, -1, 
	-1, -1, 574, -1, -1, -1, -1, -1, 
	-1, 574, 574, 574, 574, 574, -1, 575, 
	575, 575, 575, -1, -1, 575, 575, -1, 
	575, 575, 575, -1, -1, -1, -1, 575, 
	575, 575, 574, 575, 575, 575, 574, -1, 
	-1, -1, 575, -1, -1, -1, -1, 575, 
	-1, -1, -1, 575, 575, 575, -1, 575, 
	575, -1, -1, 575, -1, -1, -1, -1, 
	-1, -1, -1, -1, 575, 575, 575, 575, 
	575, 575, 575, -1, -1, -1, -1, 575, 
	575, -1, -1, 575, 575, -1, -1, -1, 
	-1, -1, -1, -1, -1, 575, 575, -1, 
	-1, -1, -1, 575, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 575, 575, 575, -1, -1, -1, 
	-1, -1, 575, 575, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 575, -1, 
	-1, -1, -1, -1, -1, 575, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 576, 576, 576, 576, 576, 576, 
	576, 576, 576, 576, 576, 576, 576, 576, 
	576, 576, 576, 576, 576, 576, 576, 576, 
	576, 576, 576, 576, -1, 576, 576, 576, 
	576, 576, -1, 576, -1, 576, 576, 576, 
	576, -1, 576, -1, 576, 576, 576, -1, 
	-1, 576, 576, 576, 576, 576, 576, 576, 
	576, -1, 576, 576, 576, -1, -1, -1, 
	-1, 576, 576, 576, 576, 576, -1, -1, 
	576, 576, 576, 576, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 576, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 570, -1, 
	-1, -1, -1, -1, -1, 570, -1, 575, 
	-1, -1, 570, 570, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 570, -1, -1, 
	-1, -1, 570, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 570, 570, 570, 576, 576, 576, 576, 
	-1, 570, 576, 576, -1, 576, 576, 576, 
	-1, -1, -1, -1, 576, 576, 576, -1, 
	576, 576, 576, -1, -1, -1, -1, 576, 
	-1, -1, -1, -1, 576, -1, -1, -1, 
	576, 576, 576, -1, 576, 576, -1, -1, 
	576, -1, -1, -1, -1, -1, -1, -1, 
	-1, 576, 576, 576, 576, 576, 576, 576, 
	-1, -1, -1, -1, 576, 576, -1, -1, 
	576, 576, -1, -1, -1, -1, -1, -1, 
	-1, -1, 576, 576, -1, -1, -1, -1, 
	576, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 576, 
	576, 576, -1, -1, -1, -1, -1, 576, 
	576, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 576, -1, -1, -1, -1, 
	-1, -1, 576, 577, 577, 577, 577, 577, 
	577, 577, 577, 577, 577, 577, 577, 577, 
	577, 577, -1, 577, 577, 577, 577, 577, 
	577, 577, 577, -1, -1, -1, 577, 577, 
	577, 577, 577, -1, 577, -1, 577, 577, 
	577, 577, -1, 577, -1, 577, 577, 577, 
	-1, -1, 577, -1, -1, 577, 577, 577, 
	577, 577, -1, 577, 577, 577, 577, -1, 
	-1, -1, 577, 577, 577, 577, 577, -1, 
	577, 577, 577, 577, 577, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 577, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	574, -1, -1, -1, -1, 574, -1, -1, 
	-1, -1, -1, 574, 574, -1, -1, -1, 
	-1, -1, -1, -1, 574, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 574, -1, -1, -1, 
	574, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 576, 577, 577, 577, 
	577, -1, -1, 577, 577, 577, 577, 577, 
	577, -1, -1, -1, -1, 577, 577, 577, 
	577, 577, 577, 577, -1, 577, 577, -1, 
	577, -1, -1, -1, -1, 577, 577, -1, 
	-1, 577, 577, 577, -1, 577, 577, 577, 
	-1, 577, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 577, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 577, 577, -1, -1, -1, -1, -1, 
	-1, -1, -1, 577, 577, -1, -1, -1, 
	-1, 577, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	577, 577, 577, -1, -1, -1, -1, -1, 
	577, 577, 578, 578, 578, 578, 578, 578, 
	578, -1, 578, 578, 577, -1, 577, -1, 
	-1, 577, -1, -1, -1, 578, 578, 578, 
	578, 578, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 578, -1, -1, -1, 
	578, -1, -1, -1, 578, 578, 578, 578, 
	578, 578, -1, -1, -1, -1, 578, 578, 
	578, -1, -1, -1, -1, 578, 578, -1, 
	578, 578, 578, 578, 578, -1, -1, -1, 
	-1, -1, -1, 578, 579, 579, 579, 579, 
	579, 579, 579, -1, 579, 579, -1, -1, 
	-1, 578, 578, 578, 578, 578, -1, 579, 
	579, 579, 579, 579, -1, -1, -1, 578, 
	-1, -1, -1, -1, -1, -1, 579, -1, 
	-1, -1, 579, -1, -1, -1, 579, 579, 
	579, 579, 579, 579, -1, -1, -1, -1, 
	579, 579, 579, -1, -1, -1, -1, 579, 
	579, -1, 579, 579, 579, 579, 579, -1, 
	-1, -1, -1, -1, -1, 579, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 579, 579, 579, 579, 579, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 579, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 577, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 578, 578, 578, 578, 578, 
	-1, 578, 578, 578, -1, -1, -1, -1, 
	578, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 578, 578, 578, -1, -1, 
	-1, -1, -1, -1, -1, 578, -1, -1, 
	-1, -1, -1, -1, 578, 578, 578, 578, 
	578, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 578, -1, -1, -1, 579, 579, 579, 
	579, 579, -1, 579, 579, 579, -1, -1, 
	-1, -1, 579, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 579, 579, 579, 
	-1, -1, -1, -1, -1, -1, -1, 579, 
	-1, -1, -1, -1, -1, -1, 579, 579, 
	579, 579, 579, 580, 580, 580, 580, 580, 
	580, 580, -1, 580, 580, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 580, 580, 
	580, 580, 580, 579, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 580, -1, -1, 
	-1, 580, -1, -1, -1, 580, 580, 580, 
	580, 580, 580, -1, -1, -1, -1, 580, 
	580, 580, -1, -1, -1, -1, 580, 580, 
	-1, 580, 580, 580, 580, 580, -1, -1, 
	-1, -1, -1, -1, 580, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 580, 580, 580, 580, 580, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	580, -1, -1, -1, -1, -1, -1, -1, 
	604, 604, 604, 604, 604, 604, 604, 604, 
	604, 604, 604, 604, 604, 604, 604, 604, 
	604, 604, 604, 604, 604, 604, 604, 604, 
	604, 604, -1, 604, 604, 604, 604, 604, 
	-1, 604, -1, 604, 604, 604, 604, -1, 
	604, -1, 604, 604, 604, -1, -1, 604, 
	604, 604, 604, 604, 604, 604, 604, -1, 
	604, 604, 604, -1, -1, -1, -1, 604, 
	604, 604, 604, 604, -1, -1, 604, 604, 
	604, 604, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 604, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 580, 580, 580, 580, 
	580, -1, 580, 580, 580, -1, -1, -1, 
	-1, 580, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 580, 580, 580, -1, 
	-1, -1, -1, -1, -1, -1, 580, -1, 
	-1, -1, -1, -1, -1, 580, 580, 580, 
	580, 580, 604, 604, 604, 604, -1, -1, 
	604, 604, -1, 604, 604, 604, -1, -1, 
	-1, -1, 604, 604, 604, -1, 604, 604, 
	604, -1, 580, -1, -1, 604, -1, -1, 
	-1, -1, 604, -1, -1, -1, 604, 604, 
	604, -1, 604, 604, -1, -1, 604, -1, 
	-1, -1, -1, -1, -1, -1, -1, 604, 
	604, 604, 604, 604, 604, 604, -1, -1, 
	-1, -1, 604, 604, -1, -1, 604, 604, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	604, 604, -1, -1, -1, -1, 604, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 604, 604, 604, 
	-1, -1, -1, -1, -1, 604, 604, 610, 
	610, 610, 610, 610, 610, 610, -1, 610, 
	610, 604, -1, -1, -1, -1, -1, -1, 
	604, -1, 610, 610, 610, 610, 610, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 610, -1, -1, -1, 610, -1, -1, 
	-1, 610, 610, 610, 610, 610, 610, -1, 
	-1, -1, -1, 610, 610, 610, -1, -1, 
	-1, -1, 610, 610, 610, 610, 610, 610, 
	610, -1, -1, -1, -1, -1, -1, -1, 
	610, 614, 614, 614, 614, 614, 614, 614, 
	-1, 614, 614, -1, -1, -1, 610, 610, 
	610, 610, 610, -1, 614, 614, 614, 614, 
	614, -1, -1, -1, 610, -1, -1, -1, 
	-1, -1, -1, 614, -1, -1, -1, 614, 
	-1, -1, -1, 614, 614, 614, 614, 614, 
	614, -1, -1, -1, -1, 614, 614, 614, 
	-1, -1, -1, -1, 614, 614, 614, 614, 
	614, 614, 614, 614, -1, -1, -1, -1, 
	-1, -1, 614, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	614, 614, 614, 614, 614, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 614, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 604, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	610, 610, 610, 610, 610, -1, 610, 610, 
	610, -1, -1, -1, -1, 610, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	610, 610, 610, -1, -1, 610, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 610, 610, 610, 610, 610, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 610, -1, -1, -1, 
	-1, -1, 614, 614, 614, 614, 614, -1, 
	614, 614, 614, -1, -1, -1, -1, 614, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 614, 614, 614, -1, -1, 614, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 614, 614, 614, 614, 614, 
	627, 627, 627, 627, 627, 627, 627, 627, 
	627, -1, 627, 627, -1, -1, 627, 627, 
	627, 627, -1, -1, -1, -1, 614, -1, 
	-1, -1, -1, -1, -1, -1, 627, 627, 
	627, -1, -1, -1, 627, -1, -1, -1, 
	-1, 627, -1, -1, -1, -1, -1, 627, 
	627, 630, 630, 630, 630, 630, 630, 630, 
	-1, 630, 630, -1, -1, 627, -1, -1, 
	627, 627, 627, 627, 630, 630, 630, 630, 
	630, -1, -1, -1, -1, 627, -1, -1, 
	-1, -1, -1, 630, -1, -1, -1, 630, 
	-1, -1, -1, 630, 630, 630, 630, 630, 
	630, -1, -1, -1, -1, 630, 630, 630, 
	-1, -1, -1, -1, 630, 630, -1, 630, 
	630, 630, 630, -1, -1, -1, -1, -1, 
	-1, -1, 630, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	630, 630, 630, -1, 630, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 627, -1, -1, -1, 
	-1, -1, -1, 627, -1, -1, -1, -1, 
	627, 627, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 627, -1, -1, -1, -1, 
	627, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 627, 
	627, 627, -1, -1, -1, -1, -1, 627, 
	627, -1, 630, 630, 630, 630, 630, -1, 
	630, 630, 630, -1, -1, -1, -1, 630, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 630, 630, 630, 630, 630, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, -1, 
	633, 633, 633, 633, 633, -1, 633, -1, 
	633, 633, 633, 633, -1, 633, -1, 633, 
	633, 633, -1, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	-1, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	-1, 633, -1, -1, -1, -1, 633, 633, 
	633, 633, 633, -1, -1, 633, 633, 633, 
	633, 633, 633, 633, 633, 633, 633, 633, 
	633, 633, 633, 633, 633, -1, -1, -1, 
	-1, -1, 633, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 610, 610, -1, -1, 610, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 633, 
	633, 633, 633, -1, -1, 633, 633, 633, 
	633, 633, 633, -1, -1, -1, 610, 633, 
	633, 633, 633, 633, 633, 633, -1, -1, 
	-1, -1, 633, -1, -1, -1, -1, 633, 
	633, -1, -1, 633, 633, 633, -1, 633, 
	633, -1, -1, 633, -1, 614, 614, -1, 
	-1, 614, -1, -1, 633, 633, 633, 633, 
	633, 633, 633, -1, -1, -1, 633, 633, 
	633, -1, -1, 633, 633, -1, 633, 633, 
	633, 633, 633, -1, 633, 633, 633, -1, 
	-1, -1, 633, 633, -1, -1, -1, -1, 
	614, -1, -1, -1, -1, -1, 633, 633, 
	633, -1, -1, 633, -1, -1, -1, -1, 
	633, -1, 633, 633, 633, 633, -1, 633, 
	633, 633, 633, 633, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 633, -1, 
	633, -1, -1, 633, -1, 633, 633, -1, 
	-1, -1, 633, -1, 633, -1, 633, -1, 
	-1, -1, -1, 634, 634, 634, 634, 634, 
	634, 634, -1, 634, 634, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 634, 634, 
	634, 634, 634, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 634, -1, -1, 
	-1, 634, -1, -1, -1, 634, 634, 634, 
	634, 634, 634, -1, -1, -1, -1, 634, 
	634, 634, -1, -1, -1, -1, 634, 634, 
	-1, 634, 634, 634, 634, 634, -1, -1, 
	-1, -1, -1, -1, 634, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 634, 634, 634, 634, 634, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	634, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 627, -1, 
	-1, -1, -1, -1, -1, 627, -1, -1, 
	-1, -1, 627, 627, -1, -1, -1, 633, 
	-1, -1, -1, -1, -1, 627, -1, -1, 
	-1, -1, 627, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 627, 627, 627, -1, -1, -1, -1, 
	-1, 627, -1, -1, 630, 630, 630, 630, 
	630, -1, 630, 630, 630, -1, -1, -1, 
	-1, 630, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 634, 634, 634, 634, 
	634, -1, 634, 634, 634, 630, 630, 630, 
	630, 634, 635, 635, 635, 635, 635, 635, 
	635, -1, 635, 635, 634, 634, 634, -1, 
	-1, -1, -1, -1, -1, 635, 635, 635, 
	635, 635, -1, 634, -1, 634, 634, 634, 
	634, 634, -1, -1, 635, -1, -1, -1, 
	635, -1, -1, -1, 635, 635, 635, 635, 
	635, 635, -1, -1, -1, -1, 635, 635, 
	635, -1, -1, -1, 634, 635, 635, -1, 
	635, 635, 635, 635, 635, -1, -1, -1, 
	-1, -1, -1, 635, 636, 636, 636, 636, 
	636, 636, 636, -1, 636, 636, -1, -1, 
	-1, 635, 635, 635, 635, 635, -1, 636, 
	636, 636, 636, 636, -1, -1, -1, 635, 
	-1, -1, -1, -1, -1, -1, 636, -1, 
	-1, -1, 636, -1, -1, -1, 636, 636, 
	636, 636, 636, 636, -1, -1, -1, -1, 
	636, 636, 636, -1, -1, -1, -1, 636, 
	636, -1, 636, 636, 636, 636, 636, -1, 
	-1, -1, -1, -1, -1, 636, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 636, 636, 636, 636, 636, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 636, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 635, 635, 635, 635, 635, 
	-1, 635, 635, 635, -1, -1, -1, -1, 
	635, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 635, 635, 635, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 635, -1, 635, 635, 635, 635, 
	635, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 635, -1, 636, 636, 636, 
	636, 636, -1, 636, 636, 636, -1, -1, 
	-1, -1, 636, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 636, 636, 636, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 636, -1, 636, 636, 
	636, 636, 636, 637, 637, 637, 637, 637, 
	637, 637, 637, 637, 637, 637, 637, 637, 
	637, 637, 637, 637, 637, 637, 637, 637, 
	637, 637, 637, 637, 637, 636, 637, 637, 
	637, 637, 637, -1, 637, -1, 637, 637, 
	637, 637, -1, 637, -1, 637, 637, 637, 
	-1, -1, 637, 637, 637, 637, 637, 637, 
	637, 637, -1, 637, 637, 637, -1, -1, 
	-1, -1, 637, 637, 637, 637, 637, -1, 
	-1, 637, 637, 637, 637, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 637, 
	641, 641, 641, 641, 641, 641, 641, 641, 
	641, 641, 641, 641, -1, -1, 641, 641, 
	641, 641, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 641, 641, 
	641, -1, -1, -1, 641, -1, -1, -1, 
	-1, 641, -1, -1, -1, -1, -1, 641, 
	641, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 641, -1, -1, 
	641, 641, 641, 641, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 641, -1, 
	-1, -1, -1, -1, -1, 637, 637, 637, 
	637, -1, -1, 637, 637, -1, 637, 637, 
	637, -1, -1, -1, -1, 637, 637, 637, 
	-1, 637, 637, 637, -1, -1, -1, -1, 
	637, -1, -1, -1, -1, 637, -1, -1, 
	-1, 637, 637, 637, -1, 637, 637, -1, 
	-1, 637, -1, -1, -1, -1, -1, -1, 
	-1, -1, 637, 637, 637, 637, 637, 637, 
	637, -1, -1, -1, -1, 637, 637, -1, 
	-1, 637, 637, -1, -1, -1, -1, -1, 
	-1, -1, -1, 637, 637, -1, -1, -1, 
	-1, 637, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	637, 637, 637, -1, -1, -1, -1, -1, 
	637, 637, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 637, -1, -1, -1, 
	-1, -1, -1, 637, 641, -1, -1, -1, 
	-1, -1, -1, -1, 641, 641, 641, -1, 
	641, 641, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 641, -1, -1, -1, -1, 
	641, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 641, 
	641, 641, -1, -1, -1, -1, -1, 641, 
	641, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 641, -1, -1, -1, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	-1, 643, 643, 643, 643, 643, -1, 643, 
	-1, 643, 643, 643, 643, -1, 643, -1, 
	643, 643, 643, -1, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, -1, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, -1, 643, -1, -1, -1, -1, 643, 
	643, 643, 643, 643, -1, 637, 643, 643, 
	643, 643, 643, 643, 643, 643, 643, 643, 
	643, 643, 643, 643, 643, 643, -1, -1, 
	-1, -1, -1, 643, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	643, 643, 643, 643, -1, -1, 643, 643, 
	643, 643, 643, 643, -1, -1, -1, -1, 
	643, 643, 643, 643, 643, 643, 643, -1, 
	-1, -1, -1, 643, -1, -1, -1, -1, 
	643, 643, -1, -1, 643, 643, 643, -1, 
	643, 643, -1, -1, 643, -1, -1, -1, 
	-1, -1, -1, -1, -1, 643, 643, 643, 
	643, 643, 643, 643, -1, -1, -1, 643, 
	643, 643, -1, -1, 643, 643, -1, 643, 
	643, 643, 643, 643, -1, 643, 643, 643, 
	-1, -1, -1, 643, 643, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 643, 
	643, 643, -1, -1, 643, -1, -1, -1, 
	-1, 643, -1, 643, 643, 643, 643, -1, 
	643, 643, 643, 643, 643, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 643, 
	-1, 643, -1, -1, 643, -1, 643, 643, 
	-1, -1, -1, 643, -1, 643, -1, 643, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 646, 646, 646, 646, 646, 
	646, 646, -1, 646, 646, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 646, 646, 
	646, 646, 646, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 646, -1, -1, 
	-1, 646, -1, -1, -1, 646, 646, 646, 
	646, 646, 646, -1, -1, -1, -1, 646, 
	646, 646, -1, -1, -1, -1, 646, 646, 
	646, 646, 646, 646, 646, -1, -1, -1, 
	-1, -1, -1, -1, 646, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 646, 646, 646, 646, 646, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	646, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	643, -1, -1, -1, 729, 729, 729, 729, 
	729, 729, 729, 729, 729, -1, 729, 729, 
	-1, -1, 729, 729, 729, 729, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 729, 729, 729, -1, -1, -1, 
	729, -1, -1, -1, -1, 729, -1, -1, 
	-1, -1, -1, 729, 729, -1, 641, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	641, 729, 641, 641, 729, 729, 729, 729, 
	-1, -1, -1, -1, -1, 641, -1, -1, 
	-1, 729, 641, -1, 646, 646, 646, 646, 
	646, -1, 646, 646, 646, -1, -1, -1, 
	-1, 646, 646, -1, -1, -1, 646, 646, 
	-1, 641, 641, 641, 646, 646, 646, -1, 
	-1, 641, -1, -1, -1, -1, 646, -1, 
	-1, -1, -1, -1, -1, 646, 646, 646, 
	646, 646, -1, -1, 641, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 646, -1, 
	-1, -1, 646, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, 649, 649, 649, 
	649, 649, 649, 649, 649, -1, 649, 649, 
	649, 649, 649, -1, 649, -1, 649, 649, 
	649, 649, -1, 649, -1, 649, 649, 649, 
	-1, -1, 649, 649, 649, 649, 649, 649, 
	649, 649, -1, 649, 649, 649, -1, -1, 
	-1, -1, 649, 649, 649, 649, 649, -1, 
	729, 649, 649, 649, 649, -1, -1, 729, 
	-1, -1, -1, -1, 729, 729, -1, 649, 
	-1, -1, -1, -1, -1, -1, -1, 729, 
	-1, -1, -1, -1, 729, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 729, 729, 729, -1, -1, 
	-1, -1, -1, 729, 729, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 649, 649, 649, 
	649, -1, -1, 649, 649, -1, 649, 649, 
	649, -1, -1, -1, -1, 649, 649, 649, 
	-1, 649, 649, 649, -1, -1, -1, -1, 
	649, -1, -1, -1, -1, 649, -1, -1, 
	-1, 649, 649, 649, -1, 649, 649, -1, 
	-1, 649, -1, -1, -1, -1, -1, -1, 
	-1, -1, 649, 649, 649, 649, 649, 649, 
	649, -1, -1, -1, -1, 649, 649, -1, 
	-1, 649, 649, -1, -1, -1, -1, -1, 
	-1, -1, -1, 649, 649, -1, -1, -1, 
	-1, 649, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	649, 649, 649, -1, -1, -1, -1, -1, 
	649, 649, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 649, -1, -1, -1, 
	-1, -1, -1, 649, -1, -1, -1, -1, 
	-1, -1, -1, -1, 652, 652, 652, 652, 
	652, 652, 652, 652, 652, 652, 652, 652, 
	652, 652, 652, -1, 652, 652, 652, 652, 
	652, 652, 652, 652, -1, -1, -1, 652, 
	652, 652, 652, 652, -1, 652, -1, 652, 
	652, 652, 652, -1, 652, 652, 652, 652, 
	652, -1, -1, 652, -1, -1, 652, 652, 
	652, 652, 652, -1, 652, 652, 652, -1, 
	-1, -1, -1, 652, 652, 652, 652, 652, 
	-1, -1, 652, 652, 652, 652, -1, 652, 
	-1, 652, -1, -1, -1, -1, -1, 652, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 649, -1, -1, 
	-1, -1, -1, -1, -1, -1, 652, 652, 
	652, 652, -1, -1, 652, 652, 652, 652, 
	652, 652, -1, -1, -1, -1, 652, 652, 
	652, 652, 652, 652, 652, -1, -1, -1, 
	-1, 652, -1, -1, -1, -1, 652, 652, 
	-1, -1, 652, 652, 652, -1, 652, 652, 
	-1, -1, 652, -1, -1, -1, 652, 652, 
	-1, 652, -1, -1, -1, -1, 652, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 652, 652, 646, -1, -1, -1, 
	-1, 646, -1, -1, 652, 652, -1, 646, 
	646, -1, 652, -1, -1, -1, -1, -1, 
	646, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 652, 652, 652, -1, -1, -1, -1, 
	-1, 652, 652, -1, -1, -1, -1, -1, 
	646, -1, -1, -1, 646, 652, -1, 652, 
	-1, -1, 652, -1, -1, 655, 655, 655, 
	655, 655, 655, 655, 655, 655, 655, 655, 
	655, 655, 655, 655, -1, 655, 655, 655, 
	655, 655, 655, 655, 655, -1, -1, -1, 
	655, 655, 655, 655, 655, -1, 655, -1, 
	655, 655, 655, 655, -1, 655, -1, 655, 
	655, 655, -1, -1, 655, -1, -1, 655, 
	655, 655, 655, 655, -1, 655, 655, 655, 
	-1, -1, -1, -1, 655, 655, 655, 655, 
	655, -1, -1, 655, 655, 655, 655, -1, 
	655, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 652, 655, 
	655, 655, 655, -1, -1, 655, 655, 655, 
	655, 655, 655, -1, -1, -1, -1, 655, 
	655, 655, 655, 655, 655, 655, -1, -1, 
	-1, -1, 655, -1, -1, -1, -1, 655, 
	655, -1, -1, 655, 655, 655, -1, 655, 
	655, -1, -1, 655, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 655, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 655, 655, -1, -1, -1, 
	-1, -1, -1, -1, -1, 655, 655, -1, 
	-1, -1, -1, 655, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 655, 655, 655, -1, -1, -1, 
	-1, -1, 655, 655, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 655, -1, 
	655, -1, -1, 655, -1, -1, 656, 656, 
	656, 656, 656, 656, 656, 656, 656, 656, 
	656, 656, 656, 656, 656, -1, 656, 656, 
	656, 656, 656, 656, 656, 656, -1, -1, 
	-1, 656, 656, 656, 656, 656, -1, 656, 
	-1, 656, 656, 656, 656, -1, 656, -1, 
	656, 656, 656, -1, -1, 656, -1, -1, 
	656, 656, 656, 656, 656, -1, 656, 656, 
	656, -1, -1, -1, -1, 656, 656, 656, 
	656, 656, -1, -1, 656, 656, 656, 656, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 656, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 656, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 655, 
	656, 656, 656, 656, -1, -1, 656, 656, 
	656, 656, 656, 656, -1, -1, -1, -1, 
	656, 656, 656, 656, 656, 656, 656, -1, 
	-1, -1, 656, 656, -1, -1, -1, -1, 
	656, 656, -1, -1, 656, 656, 656, -1, 
	656, 656, 656, -1, 656, -1, -1, -1, 
	-1, 652, -1, -1, -1, -1, -1, -1, 
	656, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 656, 656, -1, -1, 
	-1, -1, -1, -1, -1, -1, 656, 656, 
	-1, -1, -1, -1, 656, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 656, 656, 656, -1, -1, 
	-1, -1, -1, 656, 656, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 656, 
	-1, 656, -1, -1, 656, -1, -1, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, -1, 663, 663, 663, 663, 663, -1, 
	663, -1, 663, 663, 663, 663, -1, 663, 
	-1, 663, 663, 663, -1, 663, 663, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, 663, -1, 663, 663, 663, 663, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, 663, -1, 663, -1, -1, -1, -1, 
	663, 663, 663, 663, 663, -1, -1, 663, 
	663, 663, 663, 663, 663, 663, 663, 663, 
	663, 663, 663, 663, 663, 663, 663, -1, 
	-1, -1, -1, -1, 663, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	656, 663, 663, 663, 663, -1, -1, 663, 
	663, 663, 663, 663, 663, -1, -1, -1, 
	-1, 663, 663, 663, 663, 663, 663, 663, 
	-1, -1, -1, -1, 663, -1, -1, -1, 
	-1, 663, 663, -1, -1, 663, 663, 663, 
	-1, 663, 663, -1, -1, 663, -1, -1, 
	-1, -1, -1, -1, -1, -1, 663, 663, 
	663, 663, 663, 663, 663, -1, -1, -1, 
	663, 663, 663, -1, -1, 663, 663, -1, 
	663, 663, 663, 663, 663, -1, 663, 663, 
	663, -1, -1, -1, 663, 663, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	663, 663, 663, -1, -1, 663, -1, -1, 
	-1, -1, 663, -1, 663, 663, 663, 663, 
	-1, 663, 663, 663, 663, 663, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	663, -1, 663, -1, -1, 663, -1, 663, 
	663, -1, -1, -1, 663, -1, 663, -1, 
	663, -1, -1, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, -1, 664, 664, 
	664, 664, 664, -1, 664, -1, 664, 664, 
	664, 664, -1, 664, -1, 664, 664, 664, 
	-1, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, 664, -1, 664, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, 664, -1, 664, 
	-1, -1, -1, -1, 664, 664, 664, 664, 
	664, -1, -1, 664, 664, 664, 664, 664, 
	664, 664, 664, 664, 664, 664, 664, 664, 
	664, 664, 664, -1, -1, -1, -1, -1, 
	664, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 663, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 664, 664, 664, 
	664, -1, -1, 664, 664, 664, 664, 664, 
	664, -1, -1, -1, 656, 664, 664, 664, 
	664, 664, 664, 664, -1, -1, -1, -1, 
	664, -1, -1, -1, -1, 664, 664, -1, 
	-1, 664, 664, 664, -1, 664, 664, -1, 
	-1, 664, -1, -1, -1, -1, -1, -1, 
	-1, -1, 664, 664, 664, 664, 664, 664, 
	664, -1, -1, -1, 664, 664, 664, -1, 
	-1, 664, 664, -1, 664, 664, 664, 664, 
	664, -1, 664, 664, 664, -1, -1, -1, 
	664, 664, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 664, 664, 664, -1, 
	-1, 664, -1, -1, -1, -1, 664, -1, 
	664, 664, 664, 664, -1, 664, 664, 664, 
	664, 664, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 664, -1, 664, -1, 
	-1, 664, -1, 664, 664, -1, -1, -1, 
	664, -1, 664, -1, 664, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, -1, 
	665, 665, 665, 665, 665, -1, 665, -1, 
	665, 665, 665, 665, -1, 665, -1, 665, 
	665, 665, -1, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	-1, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	-1, 665, -1, -1, -1, -1, 665, 665, 
	665, 665, 665, -1, -1, 665, 665, 665, 
	665, 665, 665, 665, 665, 665, 665, 665, 
	665, 665, 665, 665, 665, -1, -1, -1, 
	-1, -1, 665, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 664, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 665, 
	665, 665, 665, -1, -1, 665, 665, 665, 
	665, 665, 665, -1, -1, -1, -1, 665, 
	665, 665, 665, 665, 665, 665, -1, -1, 
	-1, -1, 665, -1, -1, -1, -1, 665, 
	665, -1, -1, 665, 665, 665, -1, 665, 
	665, -1, -1, 665, -1, -1, -1, -1, 
	-1, -1, -1, -1, 665, 665, 665, 665, 
	665, 665, 665, -1, -1, -1, 665, 665, 
	665, -1, -1, 665, 665, -1, 665, 665, 
	665, 665, 665, -1, 665, 665, 665, -1, 
	-1, -1, 665, 665, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 665, 665, 
	665, -1, -1, 665, -1, -1, -1, -1, 
	665, -1, 665, 665, 665, 665, -1, 665, 
	665, 665, 665, 665, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 665, -1, 
	665, -1, -1, 665, -1, 665, 665, -1, 
	-1, -1, 665, -1, 665, -1, 665, 670, 
	670, 670, 670, 670, 670, 670, -1, 670, 
	670, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 670, 670, 670, 670, 670, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 670, -1, -1, -1, 670, -1, -1, 
	-1, 670, 670, 670, 670, 670, 670, -1, 
	-1, -1, -1, 670, 670, 670, -1, -1, 
	-1, -1, 670, 670, -1, 670, 670, 670, 
	670, -1, -1, -1, -1, -1, -1, -1, 
	670, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 670, 670, 
	670, -1, 670, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, -1, 672, 672, 672, 
	672, 672, -1, 672, -1, 672, 672, 672, 
	672, -1, 672, -1, 672, 672, 672, 665, 
	672, 672, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, 672, -1, 672, 672, 
	672, 672, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, 672, -1, 672, -1, 
	-1, -1, -1, 672, 672, 672, 672, 672, 
	-1, -1, 672, 672, 672, 672, 672, 672, 
	672, 672, 672, 672, 672, 672, 672, 672, 
	672, 672, -1, -1, -1, -1, -1, 672, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	670, 670, 670, 670, 670, -1, 670, 670, 
	670, -1, -1, -1, -1, 670, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 670, 670, 670, 670, 670, -1, -1, 
	-1, -1, -1, -1, 672, 672, 672, 672, 
	-1, -1, 672, 672, 672, 672, 672, 672, 
	-1, -1, -1, -1, 672, 672, 672, 672, 
	672, 672, 672, -1, -1, -1, -1, 672, 
	-1, -1, -1, -1, 672, 672, -1, -1, 
	672, 672, 672, -1, 672, 672, -1, -1, 
	672, -1, -1, -1, -1, -1, -1, -1, 
	-1, 672, 672, 672, 672, 672, 672, 672, 
	-1, -1, -1, 672, 672, 672, -1, -1, 
	672, 672, -1, 672, 672, 672, 672, 672, 
	-1, 672, 672, 672, -1, -1, -1, 672, 
	672, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 672, 672, 672, -1, -1, 
	672, -1, -1, -1, -1, 672, -1, 672, 
	672, 672, 672, -1, 672, 672, 672, 672, 
	672, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 672, -1, 672, -1, -1, 
	672, -1, 672, 672, -1, -1, -1, 672, 
	-1, 672, -1, 672, 677, 677, 677, 677, 
	677, 677, 677, 677, 677, 677, 677, 677, 
	677, 677, 677, 677, 677, 677, 677, 677, 
	677, 677, 677, 677, 677, 677, -1, 677, 
	677, 677, 677, 677, -1, 677, -1, 677, 
	677, 677, 677, -1, 677, -1, 677, 677, 
	677, -1, -1, 677, 677, 677, 677, 677, 
	677, 677, 677, -1, 677, 677, 677, -1, 
	-1, -1, -1, 677, 677, 677, 677, 677, 
	-1, -1, 677, 677, 677, 677, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	677, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 672, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 677, 677, 
	677, 677, -1, -1, 677, 677, -1, 677, 
	677, 677, -1, -1, -1, -1, 677, 677, 
	677, -1, 677, 677, 677, -1, -1, -1, 
	-1, 677, -1, -1, -1, -1, 677, -1, 
	-1, -1, 677, 677, 677, -1, 677, 677, 
	-1, -1, 677, -1, -1, -1, -1, -1, 
	-1, -1, -1, 677, 677, 677, 677, 677, 
	677, 677, -1, -1, -1, -1, 677, 677, 
	-1, -1, 677, 677, -1, -1, -1, -1, 
	-1, -1, -1, -1, 677, 677, -1, -1, 
	-1, -1, 677, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 677, 677, 677, -1, -1, -1, -1, 
	-1, 677, 677, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 677, -1, -1, 
	-1, -1, -1, -1, 677, 681, 681, 681, 
	681, 681, 681, 681, 681, 681, 681, 681, 
	681, 681, 681, 681, 681, 681, 681, 681, 
	681, 681, 681, 681, 681, 681, 681, 681, 
	681, 681, 681, 681, 681, -1, 681, -1, 
	681, 681, 681, 681, 681, 681, -1, 681, 
	681, 681, -1, -1, 681, 681, 681, 681, 
	681, 681, 681, 681, -1, 681, 681, 681, 
	681, -1, -1, -1, 681, 681, 681, 681, 
	681, -1, -1, 681, 681, 681, 681, -1, 
	-1, -1, 681, -1, -1, -1, 681, 681, 
	-1, 681, -1, -1, 681, -1, -1, 681, 
	-1, 681, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 670, 670, 670, 670, 670, -1, 
	670, 670, 670, -1, -1, -1, -1, 670, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 681, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 681, -1, -1, 
	-1, -1, -1, 670, 670, 670, 670, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 677, 681, 
	681, 681, 681, -1, -1, 681, 681, 681, 
	681, 681, 681, -1, -1, -1, -1, 681, 
	681, 681, 681, 681, 681, 681, -1, -1, 
	681, -1, 681, -1, -1, -1, -1, 681, 
	681, -1, 681, 681, 681, 681, -1, 681, 
	681, -1, -1, 681, -1, -1, -1, -1, 
	-1, 681, -1, 681, 681, 681, 681, 681, 
	681, 681, 681, -1, -1, -1, -1, 681, 
	681, -1, 681, 681, 681, -1, -1, -1, 
	-1, -1, -1, -1, -1, 681, 681, -1, 
	-1, 681, -1, 681, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 681, 681, 681, 
	-1, -1, 681, 681, 681, -1, -1, -1, 
	-1, -1, 681, 681, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 681, -1, 
	681, -1, -1, 681, 681, 681, 682, 682, 
	682, 682, 682, 682, 682, 682, 682, 682, 
	682, 682, 682, 682, 682, 682, 682, 682, 
	682, 682, 682, 682, 682, 682, 682, 682, 
	682, 682, 682, 682, 682, 682, -1, 682, 
	-1, 682, 682, 682, 682, 682, 682, -1, 
	682, 682, 682, -1, -1, 682, 682, 682, 
	682, 682, 682, 682, 682, -1, 682, 682, 
	682, 682, -1, -1, -1, 682, 682, 682, 
	682, 682, -1, -1, 682, 682, 682, 682, 
	-1, -1, -1, 682, -1, -1, -1, 682, 
	682, -1, 682, -1, -1, 682, -1, -1, 
	682, -1, 682, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 682, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 682, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 681, 
	682, 682, 682, 682, -1, -1, 682, 682, 
	682, 682, 682, 682, -1, -1, -1, -1, 
	682, 682, 682, 682, 682, 682, 682, -1, 
	-1, 682, -1, 682, -1, -1, -1, -1, 
	682, 682, -1, 682, 682, 682, 682, -1, 
	682, 682, -1, -1, 682, -1, -1, -1, 
	-1, -1, 682, -1, 682, 682, 682, 682, 
	682, 682, 682, 682, -1, -1, -1, -1, 
	682, 682, -1, 682, 682, 682, -1, -1, 
	-1, -1, -1, -1, -1, -1, 682, 682, 
	-1, -1, 682, -1, 682, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 682, 682, 
	682, -1, -1, 682, 682, 682, -1, -1, 
	-1, -1, -1, 682, 682, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 682, 
	-1, 682, -1, -1, 682, 682, 682, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, -1, 685, 685, 685, 685, 685, -1, 
	685, -1, 685, 685, 685, 685, -1, 685, 
	-1, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, -1, 685, 685, 685, 685, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, -1, 685, -1, -1, 685, -1, 
	685, 685, 685, 685, 685, -1, -1, 685, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, 685, 685, 685, 685, 685, 685, -1, 
	-1, -1, -1, -1, 685, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	682, 685, 685, 685, 685, -1, -1, 685, 
	685, 685, 685, 685, 685, -1, -1, -1, 
	-1, 685, 685, 685, 685, 685, 685, 685, 
	-1, -1, -1, -1, 685, -1, -1, -1, 
	-1, 685, 685, -1, -1, 685, 685, 685, 
	-1, 685, 685, -1, -1, 685, -1, -1, 
	-1, -1, -1, -1, -1, -1, 685, 685, 
	685, 685, 685, 685, 685, -1, -1, -1, 
	685, 685, 685, 685, -1, 685, 685, -1, 
	685, 685, 685, 685, 685, 685, 685, 685, 
	685, -1, -1, -1, 685, 685, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	685, 685, 685, -1, -1, 685, -1, -1, 
	-1, -1, 685, -1, 685, 685, 685, 685, 
	-1, 685, 685, 685, 685, 685, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	685, -1, 685, -1, -1, 685, -1, 685, 
	685, -1, -1, -1, 685, -1, 685, -1, 
	685, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, -1, 686, 686, 686, 686, 
	686, -1, 686, -1, 686, 686, 686, 686, 
	-1, 686, -1, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, -1, 686, 686, 686, 
	686, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, -1, 686, -1, -1, 
	686, -1, 686, 686, 686, 686, 686, -1, 
	-1, 686, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, 686, 686, 686, 686, 686, 
	686, -1, -1, -1, -1, -1, 686, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 685, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 686, 686, 686, 686, -1, 
	-1, 686, 686, 686, 686, 686, 686, -1, 
	-1, -1, -1, 686, 686, 686, 686, 686, 
	686, 686, -1, -1, -1, -1, 686, -1, 
	-1, -1, -1, 686, 686, -1, -1, 686, 
	686, 686, -1, 686, 686, -1, -1, 686, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	686, 686, 686, 686, 686, 686, 686, -1, 
	-1, -1, 686, 686, 686, 686, -1, 686, 
	686, -1, 686, 686, 686, 686, 686, 686, 
	686, 686, 686, -1, -1, -1, 686, 686, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 686, 686, 686, -1, -1, 686, 
	-1, -1, -1, -1, 686, -1, 686, 686, 
	686, 686, -1, 686, 686, 686, 686, 686, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 686, -1, 686, -1, -1, 686, 
	-1, 686, 686, -1, -1, -1, 686, -1, 
	686, -1, 686, 687, 687, 687, 687, 687, 
	687, 687, 687, 687, 687, 687, 687, -1, 
	-1, 687, 687, 687, 687, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 687, 687, 687, -1, -1, -1, 687, 
	-1, -1, -1, -1, 687, -1, -1, -1, 
	-1, -1, 687, 687, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	687, -1, -1, 687, 687, 687, 687, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 687, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 690, 690, 690, 690, 
	690, 690, 690, 690, 690, 690, 690, 690, 
	690, 690, 690, -1, 690, 690, 690, 690, 
	690, 690, 690, 690, -1, -1, -1, 690, 
	690, 690, 690, 690, -1, 690, -1, 690, 
	690, 690, 690, -1, 690, 690, 690, 690, 
	690, -1, -1, 690, -1, -1, 690, 690, 
	690, 690, 690, 686, 690, 690, 690, -1, 
	-1, -1, -1, 690, 690, 690, 690, 690, 
	-1, -1, 690, 690, 690, 690, -1, 690, 
	-1, -1, -1, -1, -1, -1, -1, 690, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 687, 
	-1, -1, -1, -1, -1, -1, -1, 687, 
	687, 687, -1, 687, 687, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 687, -1, 
	-1, -1, -1, 687, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 687, 687, 687, -1, 690, 690, 
	690, 690, 687, 687, 690, 690, 690, 690, 
	690, 690, -1, -1, -1, -1, 690, 690, 
	690, 690, 690, 690, 690, 687, -1, -1, 
	-1, 690, -1, -1, -1, -1, 690, 690, 
	-1, -1, 690, 690, 690, -1, 690, 690, 
	-1, -1, 690, -1, -1, -1, 690, -1, 
	-1, 690, -1, -1, -1, -1, 690, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 690, 690, -1, -1, -1, -1, 
	-1, -1, -1, -1, 690, 690, -1, -1, 
	-1, -1, 690, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 690, 690, 690, -1, -1, -1, -1, 
	-1, 690, 690, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 690, -1, 690, 
	-1, -1, 690, -1, -1, 693, 693, 693, 
	693, 693, 693, 693, 693, 693, 693, 693, 
	693, 693, 693, 693, -1, 693, 693, 693, 
	693, 693, 693, 693, 693, -1, -1, -1, 
	693, 693, 693, 693, 693, -1, 693, -1, 
	693, 693, 693, 693, -1, 693, -1, 693, 
	693, 693, -1, -1, 693, -1, -1, 693, 
	693, 693, 693, 693, -1, 693, 693, 693, 
	-1, -1, -1, -1, 693, 693, 693, 693, 
	693, -1, -1, 693, 693, 693, 693, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	693, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 690, 693, 
	693, 693, 693, -1, -1, 693, 693, 693, 
	693, 693, 693, -1, -1, -1, -1, 693, 
	693, 693, 693, 693, 693, 693, -1, -1, 
	-1, -1, 693, -1, -1, -1, -1, 693, 
	693, -1, -1, 693, 693, 693, -1, 693, 
	693, 693, -1, 693, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 693, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 693, 693, -1, -1, -1, 
	-1, -1, -1, -1, -1, 693, 693, -1, 
	-1, -1, -1, 693, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 693, 693, 693, -1, -1, -1, 
	-1, -1, 693, 693, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 693, -1, 
	693, -1, -1, 693, 702, 702, 702, 702, 
	702, 702, 702, -1, 702, 702, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 702, 
	702, 702, 702, 702, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 702, -1, 
	-1, -1, 702, -1, -1, -1, 702, 702, 
	702, 702, 702, 702, -1, -1, -1, -1, 
	702, 702, 702, -1, -1, -1, -1, 702, 
	702, 702, 702, 702, 702, 702, 702, -1, 
	-1, -1, -1, -1, -1, 702, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 702, 702, 702, 702, 702, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 702, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 687, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 687, -1, 687, 687, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	687, -1, -1, -1, -1, 687, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 687, 687, 687, 693, 
	-1, -1, -1, -1, 687, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 687, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	690, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 702, 702, 702, 
	702, 702, -1, 702, 702, 702, -1, -1, 
	-1, -1, 702, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 702, 702, 702, 
	-1, -1, 702, -1, 703, 703, 703, 703, 
	703, 703, 703, -1, 703, 703, 702, 702, 
	702, 702, 702, -1, -1, -1, -1, 703, 
	703, 703, 703, 703, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 703, -1, 
	-1, 702, 703, -1, -1, -1, 703, 703, 
	703, 703, 703, 703, -1, -1, -1, -1, 
	703, 703, 703, -1, -1, -1, -1, 703, 
	703, 703, 703, 703, 703, 703, 703, -1, 
	-1, -1, -1, -1, -1, 703, -1, -1, 
	-1, 705, 705, 705, 705, 705, 705, 705, 
	-1, 705, 705, 703, 703, 703, 703, 703, 
	-1, -1, 703, 703, 705, 705, 705, 705, 
	705, 703, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 705, -1, -1, -1, 705, 
	-1, -1, -1, 705, 705, 705, 705, 705, 
	705, -1, -1, -1, -1, 705, 705, 705, 
	-1, -1, -1, -1, 705, 705, -1, 705, 
	705, 705, 705, -1, -1, -1, -1, -1, 
	-1, -1, 705, 705, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	705, 705, 705, -1, 705, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 703, 703, 703, 
	703, 703, -1, 703, 703, 703, -1, -1, 
	-1, -1, 703, -1, -1, -1, -1, -1, 
	-1, -1, -1, 693, -1, 703, 703, 703, 
	-1, -1, 703, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 703, 703, 
	703, 703, 703, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 705, 
	705, 703, -1, -1, -1, -1, -1, -1, 
	-1, -1, 705, 705, 705, 705, 705, -1, 
	705, 705, 705, -1, -1, -1, -1, 705, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 705, 705, 705, 705, 705, 
	707, 707, 707, 707, 707, 707, 707, 707, 
	707, 707, 707, 707, 707, 707, 707, -1, 
	707, 707, 707, 707, 707, 707, 707, 707, 
	-1, -1, -1, 707, 707, 707, 707, 707, 
	-1, 707, -1, 707, 707, 707, 707, -1, 
	707, -1, 707, 707, 707, -1, -1, 707, 
	-1, -1, 707, 707, 707, 707, 707, -1, 
	707, 707, 707, -1, -1, -1, -1, 707, 
	707, 707, 707, 707, -1, -1, 707, 707, 
	707, 707, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 707, 707, 707, 707, -1, -1, 
	707, 707, 707, 707, 707, 707, -1, -1, 
	-1, -1, 707, 707, 707, 707, 707, 707, 
	707, -1, -1, -1, -1, 707, -1, -1, 
	-1, -1, 707, 707, -1, -1, 707, 707, 
	707, -1, 707, 707, -1, -1, 707, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 707, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 707, 707, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	707, 707, -1, -1, -1, -1, 707, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 707, 707, 707, 
	-1, -1, -1, -1, -1, 707, 707, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 707, -1, 707, -1, -1, 707, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 709, 
	709, 709, 709, 709, 709, 709, 709, 709, 
	709, 709, 709, 709, 709, 709, -1, 709, 
	709, 709, 709, 709, 709, 709, 709, -1, 
	-1, -1, 709, 709, 709, 709, 709, -1, 
	709, -1, 709, 709, 709, 709, -1, 709, 
	-1, 709, 709, 709, -1, -1, 709, -1, 
	-1, 709, 709, 709, 709, 709, -1, 709, 
	709, 709, -1, -1, -1, -1, 709, 709, 
	709, 709, 709, -1, -1, 709, 709, 709, 
	709, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 707, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 709, 709, 709, 709, -1, -1, 709, 
	709, 709, 709, 709, 709, -1, -1, -1, 
	-1, 709, 709, 709, 709, 709, 709, 709, 
	-1, -1, -1, -1, 709, -1, -1, -1, 
	-1, 709, 709, -1, -1, 709, 709, 709, 
	-1, 709, 709, -1, -1, 709, -1, -1, 
	-1, 705, 705, -1, -1, -1, -1, -1, 
	-1, 709, -1, -1, 705, 705, 705, 705, 
	705, -1, 705, 705, 705, 709, 709, -1, 
	-1, 705, -1, -1, -1, -1, -1, 709, 
	709, -1, -1, -1, -1, 709, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 705, 705, 705, 
	705, -1, -1, -1, 709, 709, 709, -1, 
	-1, -1, -1, -1, 709, 709, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	709, -1, 709, -1, -1, 709, -1, -1, 
	710, 710, 710, 710, 710, 710, 710, 710, 
	710, 710, 710, 710, 710, 710, 710, -1, 
	710, 710, 710, 710, 710, 710, 710, 710, 
	-1, -1, -1, 710, 710, 710, 710, 710, 
	-1, 710, -1, 710, 710, 710, 710, -1, 
	710, 710, 710, 710, 710, -1, -1, 710, 
	-1, -1, 710, 710, 710, 710, 710, -1, 
	710, 710, 710, -1, -1, -1, -1, 710, 
	710, 710, 710, 710, -1, -1, 710, 710, 
	710, 710, -1, 710, -1, -1, -1, -1, 
	-1, -1, -1, 710, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 709, 710, 710, 710, 710, -1, -1, 
	710, 710, 710, 710, 710, 710, -1, -1, 
	-1, -1, 710, 710, 710, 710, 710, 710, 
	710, -1, -1, -1, -1, 710, -1, -1, 
	-1, -1, 710, 710, -1, -1, 710, 710, 
	710, -1, 710, 710, -1, -1, 710, -1, 
	-1, -1, 710, -1, -1, 710, -1, -1, 
	-1, -1, 710, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 710, 710, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	710, 710, -1, -1, -1, -1, 710, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 710, 710, 710, 
	-1, -1, -1, -1, -1, 710, 710, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 710, -1, 710, -1, -1, 710, -1, 
	-1, 711, 711, 711, 711, 711, 711, 711, 
	711, 711, 711, 711, 711, 711, 711, 711, 
	-1, 711, 711, 711, 711, 711, 711, 711, 
	711, -1, -1, -1, 711, 711, 711, 711, 
	711, -1, 711, -1, 711, 711, 711, 711, 
	-1, 711, -1, 711, 711, 711, -1, -1, 
	711, -1, -1, 711, 711, 711, 711, 711, 
	-1, 711, 711, 711, -1, -1, -1, -1, 
	711, 711, 711, 711, 711, -1, -1, 711, 
	711, 711, 711, -1, 711, -1, -1, -1, 
	-1, -1, -1, -1, 711, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 710, 711, 711, 711, 711, -1, 
	-1, 711, 711, 711, 711, 711, 711, -1, 
	-1, -1, -1, 711, 711, 711, 711, 711, 
	711, 711, -1, -1, -1, -1, 711, -1, 
	-1, -1, -1, 711, 711, -1, -1, 711, 
	711, 711, -1, 711, 711, -1, -1, 711, 
	-1, -1, -1, -1, -1, -1, 711, -1, 
	-1, -1, -1, 711, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 711, 
	711, -1, -1, -1, -1, -1, -1, -1, 
	-1, 711, 711, -1, -1, -1, -1, 711, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 711, 711, 
	711, -1, -1, -1, -1, -1, 711, 711, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 711, -1, 711, -1, -1, 711, 
	-1, -1, 712, 712, 712, 712, 712, 712, 
	712, 712, 712, 712, 712, 712, 712, 712, 
	712, -1, 712, 712, 712, 712, 712, 712, 
	712, 712, -1, -1, -1, 712, 712, 712, 
	712, 712, -1, 712, -1, 712, 712, 712, 
	712, -1, 712, -1, 712, 712, 712, -1, 
	-1, 712, -1, -1, 712, 712, 712, 712, 
	712, -1, 712, 712, 712, -1, -1, -1, 
	-1, 712, 712, 712, 712, 712, -1, -1, 
	712, 712, 712, 712, -1, 712, -1, -1, 
	-1, -1, -1, -1, -1, 712, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 711, 712, 712, 712, 712, 
	-1, -1, 712, 712, 712, 712, 712, 712, 
	-1, -1, -1, -1, 712, 712, 712, 712, 
	712, 712, 712, -1, -1, -1, -1, 712, 
	-1, -1, -1, -1, 712, 712, -1, -1, 
	712, 712, 712, -1, 712, 712, -1, -1, 
	712, -1, -1, -1, -1, -1, -1, 712, 
	-1, -1, -1, -1, 712, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	712, 712, -1, -1, -1, -1, -1, -1, 
	-1, -1, 712, 712, -1, -1, -1, -1, 
	712, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 712, 
	712, 712, -1, -1, -1, -1, -1, 712, 
	712, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 712, -1, 712, -1, -1, 
	712, -1, -1, 715, 715, 715, 715, 715, 
	715, 715, 715, 715, 715, 715, 715, 715, 
	715, 715, -1, 715, 715, 715, 715, 715, 
	715, 715, 715, -1, -1, -1, 715, 715, 
	715, 715, 715, -1, 715, -1, 715, 715, 
	715, 715, -1, 715, -1, 715, 715, 715, 
	-1, -1, 715, -1, -1, 715, 715, 715, 
	715, 715, -1, 715, 715, 715, -1, -1, 
	-1, -1, 715, 715, 715, 715, 715, -1, 
	-1, 715, 715, 715, 715, -1, 716, 716, 
	716, 716, 716, 716, 716, 716, 716, 716, 
	716, 716, -1, -1, 716, 716, 716, 716, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 716, 716, 716, -1, 
	-1, -1, 716, -1, -1, -1, -1, 716, 
	-1, -1, -1, -1, -1, 716, 716, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 716, -1, -1, 716, 716, 
	716, 716, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 716, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 712, 715, 715, 715, 
	715, -1, -1, 715, 715, 715, 715, 715, 
	715, -1, -1, -1, -1, 715, 715, 715, 
	715, 715, 715, 715, -1, -1, -1, -1, 
	715, -1, -1, -1, -1, 715, 715, -1, 
	-1, 715, 715, 715, -1, 715, 715, -1, 
	-1, 715, -1, -1, -1, -1, -1, -1, 
	711, -1, -1, -1, -1, 715, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 715, 715, -1, -1, -1, -1, -1, 
	-1, -1, -1, 715, 715, -1, -1, -1, 
	-1, 715, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	715, 715, 715, -1, -1, -1, -1, -1, 
	715, 715, -1, -1, -1, -1, -1, -1, 
	-1, -1, 716, -1, 715, -1, 715, -1, 
	-1, 715, 716, 716, 716, -1, 716, 716, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 716, -1, -1, -1, -1, 716, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 716, 716, 716, 
	-1, -1, -1, -1, -1, 716, 716, 718, 
	718, 718, 718, 718, 718, 718, -1, 718, 
	718, -1, -1, -1, -1, -1, -1, -1, 
	716, -1, 718, 718, 718, 718, 718, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 718, -1, -1, -1, 718, -1, -1, 
	-1, 718, 718, 718, 718, 718, 718, -1, 
	-1, -1, -1, 718, 718, 718, -1, -1, 
	-1, -1, 718, 718, 718, 718, 718, 718, 
	718, 718, -1, -1, -1, -1, -1, -1, 
	718, -1, -1, -1, 719, 719, 719, 719, 
	719, 719, 719, -1, 719, 719, 718, 718, 
	718, 718, 718, -1, -1, -1, -1, 719, 
	719, 719, 719, 719, 718, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 719, -1, 
	-1, -1, 719, -1, -1, 715, 719, 719, 
	719, 719, 719, 719, -1, -1, -1, -1, 
	719, 719, 719, -1, -1, -1, -1, 719, 
	719, 719, 719, 719, 719, 719, 719, -1, 
	-1, -1, -1, -1, -1, 719, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 719, 719, 719, 719, 719, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 719, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	718, 718, 718, 718, 718, -1, 718, 718, 
	718, -1, -1, -1, -1, 718, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	718, 718, 718, -1, -1, 718, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 718, 718, 718, 718, 718, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 718, -1, -1, -1, 
	-1, -1, -1, -1, -1, 719, 719, 719, 
	719, 719, -1, 719, 719, 719, -1, -1, 
	-1, -1, 719, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 719, 719, 719, 
	-1, -1, 719, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 719, 719, 
	719, 719, 719, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 719, 720, 720, 720, 720, 720, 720, 
	720, -1, 720, 720, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 720, 720, 720, 
	720, 720, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 720, -1, -1, -1, 
	720, -1, -1, -1, 720, 720, 720, 720, 
	720, 720, -1, -1, -1, -1, 720, 720, 
	720, -1, -1, -1, -1, 720, 720, 720, 
	720, 720, 720, 720, 720, -1, -1, -1, 
	-1, -1, -1, 720, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 720, 720, 720, 720, 720, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 720, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 716, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 716, -1, 
	716, 716, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 716, -1, -1, -1, -1, 
	716, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 716, 
	716, 716, -1, -1, -1, -1, -1, 716, 
	-1, -1, -1, 720, 720, 720, 720, 720, 
	-1, 720, 720, 720, -1, -1, -1, -1, 
	720, -1, 716, -1, -1, -1, -1, -1, 
	-1, -1, -1, 720, 720, 720, -1, -1, 
	720, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 720, 720, 720, 720, 
	720, -1, -1, -1, -1, -1, -1, -1, 
	723, 723, 723, 723, 723, 723, 723, 723, 
	723, 723, 723, 723, 723, 723, 723, 720, 
	723, 723, 723, 723, 723, 723, 723, 723, 
	-1, -1, -1, 723, 723, 723, 723, 723, 
	-1, 723, -1, 723, 723, 723, 723, -1, 
	723, -1, 723, 723, 723, -1, -1, 723, 
	-1, -1, 723, 723, 723, 723, 723, -1, 
	723, 723, 723, -1, -1, -1, -1, 723, 
	723, 723, 723, 723, -1, -1, 723, 723, 
	723, 723, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 723, 723, 723, 723, -1, -1, 
	723, 723, 723, 723, 723, 723, -1, -1, 
	-1, -1, 723, 723, 723, 723, 723, 723, 
	723, -1, -1, -1, -1, 723, -1, -1, 
	-1, -1, 723, 723, -1, -1, 723, 723, 
	723, -1, 723, 723, -1, -1, 723, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 723, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 723, 723, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	723, 723, -1, -1, -1, -1, 723, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 723, 723, 723, 
	-1, -1, -1, -1, -1, 723, 723, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 723, -1, 723, -1, -1, 723, -1, 
	-1, 724, 724, 724, 724, 724, 724, 724, 
	724, 724, 724, 724, 724, 724, 724, 724, 
	-1, 724, 724, 724, 724, 724, 724, 724, 
	724, -1, -1, -1, 724, 724, 724, 724, 
	724, -1, 724, -1, 724, 724, 724, 724, 
	-1, 724, -1, 724, 724, 724, -1, -1, 
	724, -1, -1, 724, 724, 724, 724, 724, 
	-1, 724, 724, 724, -1, -1, -1, -1, 
	724, 724, 724, 724, 724, -1, -1, 724, 
	724, 724, 724, -1, 724, 725, 725, 725, 
	725, 725, 725, 725, 725, 725, 725, 725, 
	725, -1, -1, 725, 725, 725, 725, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 725, 725, 725, -1, -1, 
	-1, 725, -1, -1, -1, -1, 725, -1, 
	-1, -1, -1, -1, 725, 725, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 725, -1, -1, 725, 725, 725, 
	725, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 725, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 723, 724, 724, 724, 724, -1, 
	-1, 724, 724, 724, 724, 724, 724, -1, 
	-1, -1, -1, 724, 724, 724, 724, 724, 
	724, 724, -1, -1, -1, -1, 724, -1, 
	-1, -1, -1, 724, 724, -1, -1, 724, 
	724, 724, -1, 724, 724, -1, -1, 724, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 724, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 724, 
	724, -1, -1, -1, -1, -1, -1, -1, 
	-1, 724, 724, -1, -1, -1, -1, 724, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 724, 724, 
	724, -1, -1, -1, -1, -1, 724, 724, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 725, 724, -1, 724, -1, -1, 724, 
	-1, 725, 725, 725, -1, 725, 725, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	725, -1, -1, -1, -1, 725, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, 725, 725, 725, -1, 
	-1, -1, -1, -1, 725, 725, -1, -1, 
	731, 731, 731, 731, 731, 731, 731, 731, 
	731, 731, 731, 731, 731, 731, 731, 725, 
	731, 731, 731, 731, 731, 731, 731, 731, 
	-1, -1, -1, 731, 731, 731, 731, 731, 
	-1, 731, -1, 731, 731, 731, 731, -1, 
	731, -1, 731, 731, 731, -1, -1, 731, 
	-1, -1, 731, 731, 731, 731, 731, -1, 
	731, 731, 731, -1, -1, -1, -1, 731, 
	731, 731, 731, 731, -1, -1, 731, 731, 
	731, 731, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 724, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 731, 731, 731, 731, -1, -1, 
	731, 731, 731, 731, 731, 731, -1, -1, 
	-1, -1, 731, 731, 731, 731, 731, 731, 
	731, -1, -1, -1, -1, 731, -1, -1, 
	-1, -1, 731, 731, -1, -1, 731, 731, 
	731, -1, 731, 731, -1, -1, 731, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 731, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, 731, 731, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	731, 731, -1, -1, -1, -1, 731, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 731, 731, 731, 
	-1, -1, -1, -1, -1, 731, 731, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, 731, -1, 731, -1, -1, 731, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, 732, 732, 732, 
	732, 732, 732, 732, 732, 732, 732, 732, 
	732, 732, 732, 732, -1, 732, 732, 732, 
	732, 732, 732, 732, 732, -1, -1, -1, 
	732, 732, 732, 732, 732, -1, 732, -1, 
	732, 732, 732, 732, -1, 732, -1, 732, 
	732, 732, -1, -1, 732, -1, -1, 732, 
	732, 732, 732, 732, -1, 732, 732, 732, 
	-1, -1, -1, -1, 732, 732, 732, 732, 
	732, -1, -1, 732, 732, 732, 732, -1, 
	732, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 731, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 732, 
	732, 732, 732, -1, -1, 732, 732, 732, 
	732, 732, 732, -1, -1, -1, -1, 732, 
	732, 732, 732, 732, 732, 732, -1, -1, 
	-1, -1, 732, -1, -1, -1, -1, 732, 
	732, -1, -1, 732, 732, 732, -1, 732, 
	732, -1, -1, 732, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 732, 
	-1, -1, -1, 725, -1, -1, -1, -1, 
	-1, -1, -1, 732, 732, 725, -1, 725, 
	725, -1, -1, -1, -1, 732, 732, -1, 
	-1, -1, 725, 732, -1, -1, -1, 725, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, 732, 732, 732, -1, 725, 725, 
	725, -1, 732, 732, -1, -1, 725, -1, 
	-1, -1, -1, -1, -1, -1, 732, -1, 
	732, -1, -1, 732, -1, -1, -1, -1, 
	-1, 725, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, 732
};

static int pid_0_parser_keys[] = {
	4, 911, 478, 478, 478, 478, 4, 911, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	71, 71, 63, 809, 71, 71, 71, 827, 
	71, 71, 4, 911, 71, 71, 71, 71, 
	31, 863, 71, 71, 4, 478, 4, 851, 
	71, 71, 12, 899, 71, 899, 12, 899, 
	85, 91, 71, 899, 12, 899, 4, 478, 
	4, 478, 4, 478, 4, 860, 71, 852, 
	31, 852, 87, 87, 71, 863, 71, 71, 
	75, 75, 71, 71, 71, 71, 71, 71, 
	74, 893, 85, 85, 81, 81, 71, 900, 
	31, 865, 31, 865, 31, 865, 71, 71, 
	71, 71, 71, 899, 71, 899, 85, 85, 
	85, 85, 31, 865, 71, 899, 31, 865, 
	4, 478, 71, 253, 71, 253, 71, 253, 
	4, 892, 110, 924, 115, 912, 118, 872, 
	12, 925, 43, 917, 6, 6, 63, 917, 
	138, 138, 138, 138, 138, 138, 12, 899, 
	4, 478, 71, 899, 31, 863, 81, 81, 
	31, 863, 31, 863, 31, 863, 31, 863, 
	31, 863, 74, 878, 74, 893, 74, 893, 
	4, 916, 6, 914, 81, 81, 10, 899, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	12, 899, 12, 899, 12, 899, 12, 899, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 12, 899, 4, 478, 
	30, 30, 95, 95, 95, 95, 4, 478, 
	71, 900, 4, 478, 4, 478, 4, 478, 
	4, 478, 95, 95, 95, 95, 95, 95, 
	95, 95, 95, 95, 4, 478, 110, 926, 
	115, 912, 118, 872, 12, 927, 4, 478, 
	10, 899, 85, 85, 4, 851, 4, 478, 
	31, 863, 31, 863, 10, 918, 4, 851, 
	52, 839, 12, 899, 12, 899, 4, 809, 
	4, 478, 73, 73, 105, 105, 115, 912, 
	31, 863, 110, 870, 110, 924, 110, 314, 
	12, 925, 115, 871, 115, 912, 118, 118, 
	118, 118, 78, 78, 12, 925, 74, 76, 
	12, 879, 6, 478, 4, 478, 4, 478, 
	71, 73, 71, 71, 71, 71, 4, 913, 
	4, 478, 12, 899, 82, 82, 71, 71, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	12, 899, 12, 899, 43, 819, 43, 917, 
	4, 478, 63, 809, 4, 478, 120, 908, 
	120, 908, 86, 86, 86, 86, 86, 107, 
	94, 94, 31, 253, 74, 866, 74, 866, 
	74, 866, 74, 866, 74, 866, 74, 866, 
	4, 478, 4, 478, 4, 478, 110, 920, 
	115, 912, 118, 872, 71, 921, 4, 860, 
	4, 860, 6, 6, 4, 916, 4, 306, 
	4, 306, 4, 306, 4, 306, 4, 306, 
	4, 306, 4, 306, 4, 306, 4, 306, 
	4, 306, 4, 306, 4, 306, 4, 306, 
	4, 306, 4, 306, 4, 306, 4, 306, 
	31, 253, 6, 6, 6, 914, 6, 304, 
	6, 304, 81, 148, 31, 863, 31, 863, 
	31, 863, 31, 863, 31, 863, 31, 863, 
	31, 863, 31, 863, 110, 870, 110, 926, 
	110, 316, 12, 927, 115, 871, 118, 118, 
	78, 78, 12, 927, 74, 76, 12, 879, 
	86, 107, 4, 478, 4, 478, 12, 899, 
	4, 478, 4, 478, 4, 843, 12, 899, 
	12, 899, 10, 918, 4, 478, 12, 899, 
	12, 899, 12, 899, 12, 899, 12, 899, 
	12, 899, 12, 899, 12, 899, 12, 899, 
	12, 899, 71, 899, 4, 864, 12, 899, 
	4, 478, 71, 799, 4, 478, 4, 478, 
	85, 85, 88, 88, 19, 849, 10, 918, 
	4, 478, 4, 478, 52, 839, 4, 839, 
	4, 478, 71, 878, 10, 899, 86, 86, 
	86, 86, 73, 138, 4, 478, 4, 810, 
	115, 871, 4, 478, 113, 113, 110, 260, 
	4, 478, 4, 478, 4, 478, 115, 261, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	110, 924, 115, 912, 118, 872, 12, 899, 
	12, 290, 78, 113, 4, 478, 71, 863, 
	4, 478, 4, 478, 85, 85, 6, 6, 
	4, 913, 4, 303, 4, 303, 4, 303, 
	4, 303, 4, 303, 4, 303, 4, 303, 
	4, 303, 4, 303, 4, 303, 4, 303, 
	4, 303, 4, 303, 4, 303, 4, 303, 
	4, 303, 4, 303, 4, 478, 71, 290, 
	4, 478, 86, 86, 4, 478, 43, 226, 
	77, 836, 77, 226, 138, 138, 125, 139, 
	120, 902, 87, 298, 87, 298, 120, 908, 
	87, 298, 87, 298, 87, 298, 87, 298, 
	87, 298, 135, 135, 146, 909, 146, 909, 
	120, 908, 87, 298, 138, 138, 125, 139, 
	4, 478, 12, 899, 12, 899, 74, 893, 
	12, 919, 74, 893, 74, 893, 74, 893, 
	74, 893, 74, 888, 110, 870, 110, 920, 
	110, 310, 71, 921, 115, 871, 118, 118, 
	78, 78, 71, 921, 71, 873, 110, 920, 
	115, 912, 118, 872, 81, 81, 4, 478, 
	4, 478, 6, 6, 4, 478, 6, 6, 
	148, 915, 71, 71, 4, 478, 30, 30, 
	96, 96, 96, 96, 96, 96, 94, 94, 
	94, 94, 96, 96, 96, 96, 113, 113, 
	110, 260, 4, 478, 4, 478, 4, 478, 
	110, 926, 115, 912, 118, 872, 12, 899, 
	78, 113, 4, 478, 4, 478, 4, 478, 
	88, 88, 4, 478, 4, 478, 4, 478, 
	4, 843, 4, 478, 12, 899, 10, 899, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 86, 86, 
	86, 86, 86, 86, 86, 94, 81, 81, 
	12, 919, 19, 239, 4, 478, 88, 88, 
	10, 918, 71, 899, 10, 899, 10, 899, 
	4, 478, 88, 88, 4, 478, 4, 478, 
	4, 478, 4, 478, 63, 63, 4, 478, 
	110, 314, 110, 870, 115, 871, 118, 118, 
	12, 315, 4, 478, 71, 799, 6, 6, 
	4, 478, 71, 71, 71, 71, 4, 478, 
	4, 478, 4, 478, 71, 831, 120, 908, 
	125, 139, 87, 298, 146, 910, 146, 910, 
	4, 478, 120, 908, 120, 908, 120, 908, 
	120, 908, 120, 908, 120, 908, 120, 908, 
	120, 908, 120, 298, 87, 298, 87, 298, 
	87, 298, 87, 298, 94, 121, 121, 907, 
	4, 478, 86, 86, 86, 86, 86, 86, 
	12, 919, 12, 309, 4, 478, 4, 478, 
	4, 478, 4, 478, 4, 478, 4, 478, 
	4, 478, 4, 478, 110, 922, 115, 912, 
	118, 872, 12, 923, 113, 113, 110, 260, 
	4, 478, 4, 478, 4, 478, 71, 263, 
	110, 870, 115, 871, 118, 118, 71, 311, 
	71, 73, 78, 113, 4, 478, 148, 148, 
	149, 149, 148, 915, 148, 305, 148, 305, 
	148, 305, 148, 305, 148, 305, 148, 305, 
	148, 305, 148, 305, 148, 305, 148, 305, 
	148, 915, 12, 882, 4, 478, 4, 478, 
	4, 478, 31, 863, 31, 863, 12, 899, 
	4, 478, 110, 316, 110, 870, 115, 871, 
	118, 118, 12, 317, 4, 478, 10, 899, 
	4, 478, 4, 478, 4, 478, 31, 863, 
	87, 87, 71, 799, 86, 86, 74, 878, 
	88, 88, 4, 478, 10, 899, 110, 924, 
	115, 912, 118, 872, 12, 925, 4, 478, 
	4, 478, 4, 478, 12, 315, 12, 315, 
	12, 315, 86, 86, 71, 830, 77, 834, 
	138, 138, 87, 298, 87, 298, 146, 300, 
	145, 300, 87, 298, 120, 902, 120, 902, 
	120, 902, 120, 902, 87, 298, 87, 298, 
	87, 298, 87, 298, 88, 94, 121, 121, 
	87, 298, 87, 298, 87, 298, 87, 298, 
	4, 478, 86, 86, 74, 283, 110, 870, 
	110, 922, 110, 312, 12, 923, 115, 871, 
	118, 118, 78, 78, 12, 923, 71, 863, 
	12, 879, 110, 310, 71, 311, 71, 311, 
	71, 311, 71, 864, 71, 864, 148, 915, 
	149, 149, 149, 149, 6, 304, 10, 899, 
	71, 899, 71, 71, 12, 899, 96, 96, 
	96, 96, 4, 478, 12, 317, 12, 317, 
	12, 317, 4, 478, 86, 94, 86, 94, 
	95, 95, 10, 918, 86, 86, 4, 478, 
	10, 308, 110, 314, 12, 925, 115, 871, 
	118, 118, 4, 478, 87, 91, 71, 253, 
	4, 833, 71, 863, 81, 81, 4, 478, 
	4, 810, 146, 146, 88, 88, 87, 298, 
	88, 121, 113, 113, 110, 260, 4, 478, 
	4, 478, 4, 478, 71, 73, 110, 922, 
	115, 912, 118, 872, 12, 899, 78, 113, 
	4, 478, 71, 311, 71, 311, 149, 149, 
	148, 305, 4, 478, 85, 85, 10, 290, 
	10, 290, 4, 478, 4, 478, 31, 863, 
	88, 88, 4, 478, 4, 478, 10, 918, 
	71, 71, 71, 253, 4, 832, 71, 71, 
	71, 73, 4, 826, 146, 300, 87, 298, 
	87, 298, 88, 88, 110, 312, 110, 870, 
	115, 871, 118, 118, 12, 313, 12, 313, 
	6, 304, 12, 899, 96, 96, 4, 478, 
	88, 88, 4, 478, 4, 478, 4, 835, 
	4, 478, 71, 864, 71, 864, 4, 478, 
	10, 918, 87, 298, 12, 313, 12, 313, 
	12, 313, 86, 86, 86, 94, 4, 478, 
	4, 478, 10, 918, 71, 253, 71, 253, 
	88, 88, 10, 290, 88, 88, 4, 478, 
	4, 478, 0, 0
};

static unsigned int pid_0_parser_offsets[] = {
	0, 2, 15, 299, 1207, 1506, 1805, 2104, 
	2403, 2702, 3001, 3300, 3599, 3898, 4197, 4496, 
	4795, 5094, 5393, 5692, 5991, 6290, 6589, 6888, 
	24, 49, 25, 32, 26, 7187, 34, 39, 
	102, 41, 7485, 8095, 45, 7559, 46, 8416, 
	55, 48, 8490, 8773, 9378, 9683, 9988, 60, 
	217, 62, 86, 68, 69, 74, 75, 76, 
	80, 77, 78, 79, 397, 407, 441, 84, 
	85, 149, 156, 87, 89, 459, 158, 516, 
	10293, 92, 108, 143, 10607, 223, 146, 100, 
	10921, 423, 90, 500, 93, 95, 96, 10995, 
	11274, 162, 526, 97, 609, 644, 650, 699, 
	752, 232, 151, 383, 11563, 1102, 98, 11635, 
	11916, 12525, 12839, 13153, 9079, 12245, 13467, 13533, 
	13812, 14421, 14735, 15049, 15363, 15677, 15991, 16106, 
	107, 109, 111, 16420, 128, 16895, 17209, 17514, 
	17819, 112, 113, 114, 115, 116, 18124, 557, 
	259, 119, 18438, 18559, 18817, 117, 18922, 19227, 
	915, 958, 19485, 19784, 418, 19860, 20123, 20234, 
	20582, 118, 121, 269, 1069, 122, 656, 412, 
	16766, 129, 387, 124, 131, 132, 20898, 133, 
	14128, 136, 21057, 21362, 137, 138, 140, 21288, 
	21667, 21954, 141, 144, 22233, 22645, 22950, 23264, 
	23578, 23652, 213, 1144, 23931, 361, 24280, 1449, 
	1761, 150, 155, 273, 157, 691, 842, 1138, 
	1154, 1159, 1423, 568, 24585, 24899, 25213, 1189, 
	543, 391, 1702, 25527, 25841, 159, 26130, 8014, 
	22559, 26200, 26394, 26464, 26658, 26934, 27004, 27198, 
	27268, 27462, 27532, 27726, 27796, 27990, 28060, 28254, 
	1281, 160, 2597, 1723, 2000, 189, 1734, 2032, 
	2037, 2263, 2332, 2337, 2630, 2635, 164, 1739, 
	599, 28327, 236, 161, 163, 28574, 166, 28648, 
	175, 28935, 29258, 29572, 29687, 30001, 30315, 30602, 
	30676, 30768, 31067, 31141, 31571, 31663, 31819, 31911, 
	32067, 32159, 32315, 32442, 32562, 276, 33450, 33028, 
	33755, 602, 34060, 34360, 174, 182, 546, 33337, 
	34665, 34970, 704, 35275, 35580, 637, 35655, 198, 
	201, 280, 35941, 36255, 283, 36560, 203, 204, 
	36865, 37179, 37493, 434, 37807, 38121, 38435, 38749, 
	741, 623, 522, 39063, 39137, 417, 39416, 404, 
	39754, 40059, 209, 212, 39985, 24015, 34591, 36172, 
	40290, 40364, 40638, 40682, 40905, 40949, 41172, 41216, 
	41439, 41483, 41706, 41750, 41973, 42017, 42275, 502, 
	42580, 222, 42894, 835, 678, 563, 229, 892, 
	2783, 3063, 3086, 2190, 3382, 3647, 3946, 4245, 
	4544, 243, 295, 572, 3221, 4843, 245, 951, 
	43199, 43273, 43520, 1672, 43595, 2003, 2178, 2270, 
	2325, 1724, 252, 1458, 1495, 3525, 492, 246, 
	255, 4123, 837, 2093, 757, 554, 258, 43975, 
	44503, 262, 44817, 282, 2828, 291, 45122, 348, 
	378, 390, 395, 403, 433, 440, 450, 454, 
	514, 45421, 45735, 46049, 3076, 856, 564, 46363, 
	468, 46478, 46792, 47267, 455, 47581, 47895, 48209, 
	48514, 48819, 48893, 49077, 49189, 49584, 49971, 50285, 
	50599, 50913, 51227, 51541, 51855, 52169, 52483, 52797, 
	53102, 53410, 53718, 467, 473, 477, 524, 488, 
	54026, 627, 54158, 498, 54415, 760, 54484, 54552, 
	54934, 511, 55442, 55747, 56061, 56375, 521, 56680, 
	1181, 727, 676, 531, 47138, 56985, 910, 534, 
	57290, 536, 552, 57595, 57900, 58205, 1467, 3555, 
	900, 5142, 850, 1022, 58510, 3865, 4171, 4463, 
	4762, 4426, 4725, 5024, 5061, 2509, 5441, 5740, 
	6039, 6338, 560, 1112, 58815, 567, 581, 583, 
	58889, 59136, 59248, 59580, 59894, 60208, 60522, 60836, 
	61150, 61464, 3243, 1266, 685, 61778, 588, 733, 
	61897, 62211, 62525, 670, 928, 975, 597, 5917, 
	605, 620, 62839, 598, 614, 4024, 2806, 3736, 
	4609, 4623, 4908, 5220, 5497, 5519, 5531, 5796, 
	5818, 63153, 63272, 63577, 63882, 2929, 5613, 55008, 
	64187, 993, 1173, 1020, 626, 64501, 64622, 64880, 
	64985, 65290, 65595, 6211, 630, 819, 635, 2393, 
	639, 65909, 65984, 6252, 1405, 867, 66239, 66349, 
	66698, 67003, 67290, 67364, 67643, 659, 1498, 809, 
	661, 6637, 6947, 813, 1040, 7235, 7004, 7302, 
	7850, 7913, 8551, 8663, 8855, 8884, 682, 671, 
	9140, 9433, 9460, 9738, 67752, 697, 1593, 1314, 
	5972, 1766, 68039, 1031, 706, 709, 68113, 1599, 
	43856, 2069, 6515, 7584, 7637, 9036, 9618, 6715, 
	711, 713, 7700, 68392, 1392, 717, 68441, 729, 
	735, 68765, 69083, 69330, 69404, 69683, 815, 923, 
	736, 69768, 746, 70070, 22118, 2493, 70395, 1302, 
	751, 70699, 764, 1903, 71012, 1074, 761, 71317, 
	71622, 762, 767, 10043, 778, 784, 1047, 71927, 
	72243, 72557, 861, 5982, 2369, 1333, 72871, 936, 
	72986, 8171, 9103, 785, 6408, 73300, 799, 26739, 
	32723, 73605, 73910, 5912, 808, 74215, 74529, 74843, 
	828, 1427, 74948, 870, 884, 75253, 999, 10070, 
	11056, 875, 3081, 1390, 1472, 890, 75556, 75820, 
	8966, 75897, 896, 76176, 909, 76511, 76816, 77121, 
	77426, 6553, 7113, 77731, 77806, 11329, 78087, 78164, 
	78466, 922, 972, 78752, 79057, 79133, 2096, 2300, 
	926, 70548, 927, 79416, 79733, 0
};

static unsigned int pid_0_parser_targs[] = {
	1, 2, 3, 4, 5, 6, 7, 8, 
	9, 10, 11, 12, 13, 14, 15, 16, 
	17, 18, 19, 20, 21, 22, 23, 24, 
	25, 26, 27, 28, 29, 30, 31, 32, 
	33, 34, 35, 36, 37, 38, 39, 40, 
	41, 42, 43, 44, 45, 46, 47, 48, 
	49, 50, 51, 52, 53, 54, 55, 56, 
	57, 58, 58, 58, 58, 58, 59, 59, 
	60, 61, 62, 63, 64, 65, 66, 67, 
	68, 69, 70, 71, 72, 73, 74, 75, 
	76, 76, 77, 77, 78, 78, 79, 79, 
	80, 80, 81, 82, 83, 84, 85, 86, 
	87, 88, 89, 90, 91, 92, 93, 94, 
	95, 96, 97, 98, 99, 100, 101, 102, 
	103, 104, 105, 106, 107, 108, 109, 110, 
	111, 112, 113, 114, 115, 116, 117, 118, 
	119, 120, 121, 122, 123, 124, 125, 126, 
	127, 128, 129, 130, 131, 132, 133, 134, 
	135, 136, 137, 138, 139, 140, 141, 142, 
	143, 144, 145, 146, 147, 148, 149, 150, 
	151, 152, 153, 154, 155, 156, 157, 158, 
	159, 160, 161, 162, 163, 164, 165, 166, 
	167, 168, 169, 170, 171, 172, 173, 174, 
	175, 176, 177, 178, 178, 179, 180, 180, 
	181, 182, 183, 184, 185, 186, 187, 188, 
	189, 190, 191, 192, 193, 194, 195, 196, 
	197, 198, 199, 200, 201, 202, 203, 204, 
	205, 206, 207, 208, 209, 210, 211, 212, 
	213, 214, 215, 216, 217, 218, 219, 220, 
	221, 222, 223, 224, 225, 226, 227, 228, 
	229, 230, 231, 232, 233, 234, 235, 236, 
	237, 238, 239, 240, 241, 242, 243, 244, 
	245, 246, 247, 248, 249, 250, 251, 252, 
	253, 254, 255, 256, 257, 258, 259, 260, 
	261, 262, 263, 264, 265, 266, 267, 268, 
	269, 270, 271, 272, 273, 274, 275, 276, 
	277, 278, 278, 279, 280, 281, 282, 283, 
	284, 285, 286, 287, 288, 289, 290, 291, 
	291, 292, 292, 293, 293, 294, 294, 295, 
	296, 297, 298, 299, 300, 301, 302, 303, 
	304, 305, 306, 307, 308, 309, 310, 311, 
	312, 313, 314, 315, 316, 317, 318, 319, 
	320, 321, 322, 323, 324, 325, 326, 327, 
	328, 329, 330, 331, 332, 333, 334, 335, 
	336, 337, 338, 339, 340, 341, 342, 343, 
	344, 345, 346, 347, 348, 349, 350, 351, 
	352, 353, 354, 355, 356, 357, 358, 359, 
	360, 361, 362, 363, 364, 365, 366, 367, 
	368, 369, 370, 371, 372, 373, 374, 375, 
	376, 377, 378, 379, 380, 381, 382, 383, 
	384, 385, 386, 387, 387, 388, 388, 389, 
	389, 390, 390, 391, 392, 393, 394, 395, 
	396, 397, 398, 399, 400, 401, 402, 403, 
	404, 405, 406, 407, 408, 409, 410, 411, 
	412, 413, 414, 415, 416, 417, 418, 419, 
	420, 421, 422, 423, 423, 424, 424, 425, 
	425, 426, 427, 428, 429, 430, 431, 432, 
	433, 434, 435, 436, 437, 438, 439, 440, 
	441, 442, 443, 444, 445, 446, 447, 448, 
	449, 450, 451, 452, 453, 454, 455, 456, 
	457, 458, 458, 459, 460, 461, 462, 463, 
	464, 465, 466, 467, 468, 469, 470, 471, 
	472, 473, 474, 475, 476, 477, 478, 479, 
	480, 481, 482, 483, 484, 485, 486, 487, 
	488, 489, 490, 491, 492, 493, 494, 495, 
	496, 497, 498, 499, 500, 501, 502, 503, 
	504, 505, 506, 507, 508, 509, 510, 511, 
	512, 513, 514, 515, 516, 517, 518, 519, 
	520, 521, 522, 523, 524, 525, 526, 527, 
	528, 529, 530, 531, 532, 533, 534, 535, 
	536, 537, 538, 539, 540, 541, 542, 543, 
	544, 545, 546, 547, 548, 549, 550, 551, 
	552, 553, 554, 555, 556, 557, 558, 559, 
	560, 561, 561, 562, 563, 564, 565, 566, 
	567, 568, 569, 570, 571, 572, 573, 574, 
	575, 576, 577, 578, 579, 580, 581, 582, 
	583, 584, 585, 586, 587, 588, 589, 590, 
	591, 592, 593, 594, 595, 596, 597, 598, 
	599, 600, 601, 602, 603, 604, 605, 606, 
	607, 608, 609, 610, 611, 612, 613, 614, 
	615, 616, 617, 618, 619, 620, 621, 622, 
	623, 624, 625, 626, 627, 628, 629, 630, 
	631, 632, 633, 634, 635, 636, 637, 638, 
	639, 640, 641, 642, 643, 644, 645, 646, 
	647, 648, 649, 650, 651, 652, 653, 654, 
	655, 656, 657, 658, 659, 660, 661, 662, 
	663, 664, 665, 666, 667, 668, 669, 670, 
	671, 672, 673, 674, 675, 676, 677, 678, 
	679, 680, 681, 682, 683, 684, 685, 686, 
	687, 688, 689, 690, 691, 692, 693, 694, 
	695, 696, 697, 698, 699, 700, 701, 702, 
	703, 704, 705, 706, 707, 708, 709, 710, 
	711, 712, 713, 714, 715, 716, 717, 718, 
	719, 720, 721, 722, 723, 724, 725, 726, 
	727, 728, 729, 730, 731, 732, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733, 733, 733, 733, 733, 733, 733, 733, 
	733
};

static unsigned int pid_0_parser_actInds[] = {
	0, 2, 4, 6, 8, 10, 12, 14, 
	16, 18, 20, 22, 24, 26, 28, 30, 
	32, 34, 36, 38, 40, 42, 44, 46, 
	48, 50, 52, 54, 56, 58, 60, 62, 
	64, 66, 68, 70, 72, 74, 76, 78, 
	80, 82, 84, 86, 88, 90, 92, 94, 
	96, 98, 100, 102, 104, 106, 108, 110, 
	112, 114, 116, 119, 122, 125, 129, 131, 
	134, 136, 138, 140, 142, 144, 146, 148, 
	150, 152, 154, 156, 158, 160, 162, 164, 
	166, 168, 171, 173, 176, 178, 181, 183, 
	186, 188, 191, 193, 195, 197, 199, 201, 
	203, 205, 207, 209, 211, 214, 216, 218, 
	220, 222, 224, 226, 228, 230, 232, 234, 
	236, 238, 240, 242, 244, 246, 248, 250, 
	252, 254, 256, 258, 260, 262, 264, 266, 
	268, 270, 272, 274, 276, 278, 280, 282, 
	284, 286, 288, 290, 292, 294, 296, 298, 
	300, 302, 304, 306, 308, 310, 312, 314, 
	316, 318, 320, 322, 324, 326, 328, 330, 
	332, 334, 336, 338, 340, 342, 344, 346, 
	348, 350, 352, 354, 356, 358, 360, 362, 
	364, 366, 368, 370, 372, 374, 376, 378, 
	380, 382, 384, 386, 388, 391, 393, 395, 
	398, 400, 402, 404, 406, 408, 410, 412, 
	414, 416, 418, 420, 422, 424, 426, 428, 
	430, 432, 434, 436, 438, 440, 442, 444, 
	446, 448, 450, 452, 454, 456, 458, 460, 
	462, 464, 466, 468, 470, 472, 474, 476, 
	478, 480, 482, 484, 486, 488, 490, 492, 
	494, 496, 498, 500, 502, 504, 506, 508, 
	510, 512, 514, 516, 518, 520, 522, 524, 
	526, 528, 530, 532, 534, 536, 538, 540, 
	542, 544, 546, 548, 550, 552, 554, 556, 
	558, 560, 562, 564, 566, 568, 570, 572, 
	574, 576, 578, 580, 582, 584, 586, 588, 
	590, 592, 594, 597, 600, 602, 604, 606, 
	608, 610, 612, 614, 616, 618, 620, 622, 
	624, 627, 629, 632, 634, 637, 639, 642, 
	644, 646, 648, 650, 652, 654, 656, 658, 
	660, 662, 664, 666, 668, 670, 672, 674, 
	676, 678, 680, 682, 684, 686, 688, 690, 
	692, 694, 696, 698, 700, 702, 704, 706, 
	708, 710, 712, 714, 716, 718, 720, 722, 
	724, 726, 728, 730, 732, 734, 736, 738, 
	740, 742, 744, 746, 748, 750, 752, 754, 
	756, 758, 760, 762, 764, 766, 768, 770, 
	772, 774, 776, 778, 780, 782, 784, 786, 
	788, 790, 792, 794, 796, 798, 800, 802, 
	804, 806, 808, 810, 812, 814, 816, 818, 
	820, 822, 824, 826, 828, 832, 834, 838, 
	840, 844, 847, 851, 853, 855, 857, 859, 
	861, 863, 865, 867, 869, 871, 873, 875, 
	877, 879, 881, 883, 885, 887, 889, 891, 
	893, 895, 897, 899, 901, 903, 905, 907, 
	909, 911, 913, 915, 917, 920, 922, 925, 
	927, 930, 933, 936, 938, 940, 942, 944, 
	946, 948, 950, 952, 954, 956, 958, 960, 
	962, 964, 966, 968, 970, 972, 974, 976, 
	978, 980, 982, 984, 986, 988, 990, 992, 
	994, 996, 998, 1001, 1003, 1005, 1007, 1009, 
	1011, 1013, 1015, 1017, 1019, 1021, 1023, 1025, 
	1027, 1029, 1031, 1033, 1035, 1037, 1039, 1041, 
	1043, 1045, 1047, 1049, 1051, 1053, 1055, 1057, 
	1059, 1061, 1063, 1065, 1067, 1069, 1071, 1073, 
	1075, 1077, 1079, 1081, 1083, 1085, 1087, 1089, 
	1091, 1093, 1095, 1097, 1099, 1101, 1103, 1105, 
	1107, 1109, 1111, 1113, 1115, 1117, 1119, 1121, 
	1123, 1125, 1127, 1129, 1131, 1133, 1135, 1137, 
	1139, 1141, 1143, 1145, 1147, 1149, 1151, 1153, 
	1155, 1157, 1159, 1161, 1163, 1165, 1167, 1169, 
	1171, 1173, 1175, 1177, 1179, 1181, 1183, 1185, 
	1187, 1189, 1191, 1193, 1195, 1197, 1199, 1201, 
	1203, 1205, 1207, 1210, 1212, 1214, 1216, 1218, 
	1220, 1222, 1224, 1226, 1228, 1230, 1232, 1234, 
	1236, 1238, 1240, 1242, 1244, 1246, 1248, 1250, 
	1252, 1254, 1256, 1258, 1260, 1262, 1264, 1266, 
	1268, 1270, 1272, 1274, 1276, 1278, 1280, 1282, 
	1284, 1286, 1288, 1290, 1292, 1294, 1296, 1298, 
	1300, 1302, 1304, 1306, 1308, 1310, 1312, 1314, 
	1316, 1318, 1320, 1322, 1324, 1326, 1328, 1330, 
	1332, 1334, 1336, 1338, 1340, 1342, 1344, 1346, 
	1348, 1350, 1352, 1354, 1356, 1358, 1360, 1362, 
	1364, 1366, 1368, 1370, 1372, 1374, 1376, 1378, 
	1380, 1382, 1384, 1386, 1388, 1390, 1392, 1394, 
	1397, 1399, 1401, 1403, 1405, 1407, 1409, 1411, 
	1413, 1415, 1417, 1419, 1421, 1423, 1425, 1427, 
	1429, 1431, 1433, 1435, 1437, 1439, 1441, 1443, 
	1445, 1447, 1449, 1451, 1453, 1455, 1457, 1459, 
	1461, 1463, 1465, 1467, 1469, 1471, 1473, 1475, 
	1477, 1479, 1481, 1483, 1485, 1487, 1489, 1491, 
	1493, 1495, 1497, 1499, 1501, 1503, 1505, 1507, 
	1509, 1511, 1513, 1515, 1517, 1519, 1521, 1523, 
	1525, 1527, 1529, 1531, 1533, 1535, 1537, 1539, 
	1541, 1543, 1545, 1547, 1549, 1551, 1553, 1555, 
	1557, 1559, 1561, 1563, 1565, 1567, 1569, 1571, 
	1573, 1575, 1577, 1579, 1581, 1583, 1585, 1587, 
	1589, 1591, 1593, 1595, 1597, 1599, 1601, 1603, 
	1605, 1607, 1609, 1611, 1613, 1615, 1617, 1619, 
	1621, 1623, 1625, 1627, 1629, 1631, 1633, 1635, 
	1637, 1639, 1641, 1643, 1645, 1647, 1649, 1651, 
	1653, 1655, 1657, 1659, 1661, 1663, 1665, 1667, 
	1669, 1671, 1673, 1675, 1677, 1679, 1681, 1683, 
	1685, 1687, 1689, 1691, 1693, 1695, 1697, 1699, 
	1701, 1703, 1705, 1707, 1709, 1711, 1713, 1715, 
	1717, 1719, 1721, 1723, 1725, 1727, 1729, 1731, 
	1733, 1735, 1737, 1739, 1741, 1743, 1745, 1747, 
	1749, 1751, 1753, 1755, 1757, 1759, 1761, 1763, 
	1765, 1767, 1769, 1771, 1773, 1775, 1777, 1779, 
	1781, 1783, 1785, 1787, 1789, 1791, 1793, 1795, 
	1797, 1799, 1801, 1803, 1805, 1807, 1809, 1811, 
	1813, 1815, 1817, 1819, 1821, 1823, 1825, 1827, 
	1829, 1831, 1833, 1835, 1837, 1839, 1841, 1843, 
	1845, 1847, 1849, 1851, 1853, 1855, 1857, 1859, 
	1861, 1863, 1865, 1867, 1869, 1871, 1873, 1875, 
	1877, 1879, 1881, 1883, 1885, 1887, 1889, 1891, 
	1893, 1895, 1897, 1899, 1901, 1903, 1905, 1907, 
	1909, 1911, 1913, 1915, 1917, 1919, 1921, 1923, 
	1925, 1927, 1929, 1931, 1933, 1935, 1937, 1939, 
	1941, 1943, 1945, 1947, 1949, 1951, 1953, 1955, 
	1957, 1959, 1961, 1963, 1965, 1967, 1969, 1971, 
	1973, 1975, 1977, 1979, 1981, 1983, 1985, 1987, 
	1989, 1991, 1993, 1995, 1997, 1999, 2001, 2003, 
	2005, 2007, 2009, 2011, 2013, 2015, 2017, 2019, 
	2021, 2023, 2025, 2027, 2029, 2031, 2033, 2035, 
	2037, 2039, 2041, 2043, 2045, 2047, 2049, 2051, 
	2053, 2055, 2057, 2059, 2061, 2063, 2065, 2067, 
	2069, 2071, 2073, 2075, 2077, 2079, 2081, 2083, 
	2085, 2087, 2089, 2091, 2093, 2095, 2097, 2099, 
	2101, 2103, 2105, 2107, 2109, 2111, 2113, 2115, 
	2117, 2119, 2121, 2123, 2125, 2127, 2129, 2131, 
	2133, 2135, 2137, 2139, 2141, 2143, 2145, 2147, 
	2149, 2151, 2153, 2155, 2157, 2159, 2161, 2163, 
	2165, 2167, 2169, 2171, 2173, 2175, 2177, 2179, 
	2181, 2183, 2185, 2187, 2189, 2191, 2193, 2195, 
	2197, 2199, 2201, 2203, 2205, 2207, 2209, 2211, 
	2213, 2215, 2217, 2219, 2221, 2223, 2225, 2227, 
	2229, 2231, 2233, 2235, 2237, 2239, 2241, 2243, 
	2245, 2247, 2249, 2251, 2253, 2255, 2257, 2259, 
	2261, 2263, 2265, 2267, 2269, 2271, 2273, 2275, 
	2277, 2279, 2281, 2283, 2285, 2287, 2289, 2291, 
	2293, 2295, 2297, 2299, 2301, 2303, 2305, 2307, 
	2309, 2311, 2313, 2315, 2317, 2319, 2321, 2323, 
	2325, 2327, 2329, 2331, 2333, 2335, 2337, 2340, 
	2343, 2346, 2349, 2352, 2355, 2358, 2361, 2364, 
	2367
};

static unsigned int pid_0_parser_actions[] = {
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 238, 0, 1, 
	930, 0, 234, 1, 0, 238, 1, 930, 
	0, 1, 0, 238, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 1226, 0, 1, 0, 1, 1226, 0, 
	1, 0, 1, 1226, 0, 1, 0, 1, 
	1226, 0, 1, 0, 1, 1226, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 954, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 1294, 0, 1, 
	0, 1, 0, 1226, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 1294, 0, 1, 850, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 574, 0, 1, 0, 574, 1, 0, 
	1, 0, 1, 574, 0, 1, 0, 574, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1114, 1118, 1, 0, 
	1, 0, 1114, 1118, 1, 0, 1, 0, 
	1114, 1118, 1, 0, 1, 1022, 0, 1118, 
	1, 1022, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 658, 1, 0, 
	1, 0, 1, 658, 0, 1, 0, 658, 
	1, 0, 1, 658, 0, 1, 658, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 574, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 658, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 506, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 590, 0, 562, 0, 594, 0, 554, 
	0, 558, 0, 606, 0, 610, 0, 566, 
	0, 586, 0, 614, 0, 618, 0, 6, 
	0, 10, 0, 14, 0, 18, 0, 22, 
	0, 26, 0, 30, 0, 34, 0, 38, 
	0, 42, 0, 46, 0, 50, 0, 54, 
	0, 58, 0, 62, 0, 66, 0, 70, 
	0, 74, 0, 78, 0, 82, 0, 130, 
	0, 134, 0, 138, 0, 142, 0, 146, 
	0, 150, 0, 154, 0, 158, 0, 162, 
	0, 166, 0, 170, 0, 174, 0, 178, 
	0, 182, 0, 186, 0, 190, 0, 354, 
	0, 358, 0, 366, 0, 370, 0, 374, 
	0, 378, 0, 382, 0, 386, 0, 390, 
	0, 394, 0, 398, 0, 402, 0, 406, 
	0, 410, 0, 414, 0, 418, 0, 422, 
	0, 426, 0, 430, 0, 582, 0, 622, 
	0, 626, 0, 1, 0, 2, 0, 86, 
	0, 90, 0, 94, 0, 98, 0, 102, 
	0, 106, 0, 110, 0, 114, 0, 118, 
	0, 122, 0, 126, 0, 194, 0, 198, 
	0, 202, 0, 206, 0, 210, 0, 214, 
	0, 218, 0, 222, 0, 226, 0, 230, 
	0, 234, 0, 238, 0, 242, 0, 246, 
	0, 250, 0, 254, 0, 258, 0, 262, 
	0, 266, 0, 270, 0, 274, 0, 278, 
	0, 282, 0, 286, 0, 290, 0, 294, 
	0, 298, 0, 302, 0, 306, 0, 310, 
	0, 314, 0, 318, 0, 322, 0, 326, 
	0, 330, 0, 334, 0, 338, 0, 342, 
	0, 346, 0, 350, 0, 362, 0, 438, 
	0, 442, 0, 446, 0, 450, 0, 454, 
	0, 458, 0, 462, 0, 466, 0, 470, 
	0, 474, 0, 478, 0, 482, 0, 486, 
	0, 490, 0, 494, 0, 498, 0, 502, 
	0, 506, 0, 510, 0, 514, 0, 518, 
	0, 522, 0, 526, 0, 530, 0, 534, 
	0, 538, 0, 542, 0, 546, 0, 550, 
	0, 570, 0, 574, 0, 578, 0, 598, 
	0, 602, 0, 630, 0, 634, 0, 638, 
	0, 642, 0, 646, 0, 650, 0, 654, 
	0, 658, 0, 662, 0, 666, 0, 670, 
	0, 674, 0, 678, 0, 682, 0, 686, 
	0, 690, 0, 694, 0, 698, 0, 702, 
	0, 706, 0, 710, 0, 714, 0, 718, 
	0, 722, 0, 726, 0, 730, 0, 734, 
	0, 742, 0, 746, 0, 750, 0, 754, 
	0, 758, 0, 762, 0, 766, 0, 770, 
	0, 774, 0, 778, 0, 782, 0, 786, 
	0, 790, 0, 794, 0, 798, 0, 802, 
	0, 806, 0, 810, 0, 814, 0, 818, 
	0, 822, 0, 826, 0, 830, 0, 834, 
	0, 838, 0, 842, 0, 846, 0, 850, 
	0, 854, 0, 858, 0, 862, 0, 866, 
	0, 870, 0, 874, 0, 878, 0, 882, 
	0, 886, 0, 890, 0, 894, 0, 898, 
	0, 902, 0, 906, 0, 910, 0, 914, 
	0, 918, 0, 922, 0, 926, 0, 930, 
	0, 934, 0, 938, 0, 942, 0, 946, 
	0, 950, 0, 954, 0, 958, 0, 962, 
	0, 966, 0, 970, 0, 974, 0, 978, 
	0, 982, 0, 986, 0, 990, 0, 994, 
	0, 998, 0, 1002, 0, 1006, 0, 1010, 
	0, 1014, 0, 1018, 0, 1022, 0, 1026, 
	0, 1030, 0, 1034, 0, 1038, 0, 1042, 
	0, 1046, 0, 1050, 0, 1054, 0, 1058, 
	0, 1062, 0, 1066, 0, 1070, 0, 1074, 
	0, 1078, 0, 1082, 0, 1086, 0, 1090, 
	0, 1094, 0, 1098, 0, 1102, 0, 1106, 
	0, 1110, 0, 1114, 0, 1118, 0, 1122, 
	0, 1130, 0, 1134, 0, 1138, 0, 1142, 
	0, 1146, 0, 1150, 0, 1154, 0, 1158, 
	0, 1162, 0, 1166, 0, 1170, 0, 1174, 
	0, 1178, 0, 1182, 0, 1186, 0, 1190, 
	0, 1194, 0, 1198, 0, 1202, 0, 1206, 
	0, 1210, 0, 1214, 0, 1218, 0, 1222, 
	0, 1226, 0, 1230, 0, 1234, 0, 1238, 
	0, 1242, 0, 1246, 0, 1250, 0, 1254, 
	0, 1258, 0, 1262, 0, 1266, 0, 1270, 
	0, 1274, 0, 1278, 0, 1282, 0, 1286, 
	0, 1290, 0, 1298, 0, 1302, 0, 1306, 
	0, 1310, 0, 1314, 0, 1318, 0, 1322, 
	0, 1326, 0, 1330, 0, 1334, 0, 1338, 
	0, 1342, 0, 1346, 0, 1350, 0, 1354, 
	0, 1358, 0, 1362, 0, 1366, 0, 1370, 
	0, 1374, 0, 1378, 0, 1382, 0, 1386, 
	0, 1390, 0, 1394, 0, 1398, 0, 1402, 
	0, 1406, 0, 1410, 0, 1422, 0, 1426, 
	0, 1430, 0, 1434, 0, 1438, 0, 1442, 
	0, 1446, 0, 1450, 0, 1454, 0, 1458, 
	0, 1462, 0, 1466, 0, 1470, 0, 1474, 
	0, 1478, 0, 1482, 0, 1486, 0, 1490, 
	0, 1494, 0, 1498, 0, 1502, 0, 1506, 
	0, 1510, 0, 1514, 0, 1518, 0, 1522, 
	0, 1526, 0, 1530, 0, 1534, 0, 1538, 
	0, 1542, 0, 1546, 0, 1550, 0, 1554, 
	0, 1558, 0, 1562, 0, 1566, 0, 1570, 
	0, 1574, 0, 1578, 0, 1582, 0, 1586, 
	0, 1114, 1118, 0, 1114, 1122, 0, 1118, 
	1022, 0, 1198, 1074, 0, 1210, 1086, 0, 
	1214, 1090, 0, 1414, 1398, 0, 1418, 1402, 
	0, 1562, 1530, 0, 1570, 1538, 0, 1114, 
	1118, 1122, 0
};

static int pid_0_parser_commitLen[] = {
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, -7, -4, 
	-4, -3, -3, -3, -3, -2, -2, -2, 
	-2, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, -1, -1, -1, -1, -1, 
	-1, -1, -1, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0, 0, 0, 0, 0, 0, 0, 0, 
	0
};

static int pid_0_parser_tokenRegionInds[] = {
	1, 3, 5, 7, 9, 11, 13, 15, 
	17, 19, 21, 23, 25, 27, 29, 31, 
	33, 35, 37, 39, 41, 43, 45, 47, 
	49, 51, 53, 55, 58, 60, 62, 64, 
	66, 68, 70, 72, 74, 76, 78, 80, 
	82, 84, 86, 88, 90, 92, 94, 96, 
	98, 100, 102, 104, 106, 108, 110, 112, 
	114, 116, 118, 120, 122, 124, 126, 128, 
	130, 132, 134, 136, 138, 140, 142, 144, 
	146, 149, 151, 153, 155, 158, 160, 162, 
	164, 166, 168, 170, 173, 175, 177, 179, 
	181, 183, 185, 187, 189, 191, 193, 195, 
	197, 199, 201, 203, 205, 207, 209, 211, 
	213, 216, 219, 222, 225, 227, 229, 231, 
	233, 236, 239, 242, 245, 248, 251, 253, 
	256, 258, 260, 262, 265, 267, 270, 274, 
	278, 282, 284, 286, 288, 290, 292, 295, 
	297, 299, 301, 303, 305, 307, 309, 311, 
	313, 315, 317, 319, 321, 323, 325, 327, 
	329, 331, 333, 335, 337, 339, 341, 343, 
	345, 348, 350, 352, 354, 356, 358, 361, 
	363, 365, 367, 369, 371, 373, 375, 377, 
	379, 381, 383, 385, 387, 390, 392, 395, 
	398, 400, 402, 404, 407, 409, 412, 414, 
	416, 418, 420, 422, 424, 426, 428, 430, 
	432, 434, 436, 438, 440, 443, 446, 449, 
	451, 453, 455, 457, 460, 463, 465, 467, 
	469, 471, 473, 475, 477, 479, 481, 483, 
	485, 487, 489, 491, 493, 495, 497, 499, 
	501, 503, 505, 507, 509, 511, 514, 516, 
	518, 520, 522, 524, 526, 528, 530, 532, 
	534, 536, 539, 541, 543, 545, 548, 550, 
	552, 554, 557, 560, 562, 565, 568, 570, 
	572, 574, 576, 578, 580, 582, 584, 586, 
	588, 590, 592, 594, 596, 598, 600, 604, 
	606, 608, 610, 612, 614, 616, 618, 620, 
	622, 624, 626, 628, 630, 632, 634, 636, 
	638, 640, 643, 645, 647, 649, 652, 654, 
	656, 659, 662, 665, 667, 670, 673, 676, 
	679, 681, 683, 685, 687, 689, 692, 695, 
	697, 699, 701, 703, 705, 707, 709, 711, 
	713, 715, 717, 719, 721, 723, 725, 727, 
	729, 731, 733, 735, 737, 739, 741, 743, 
	745, 748, 750, 752, 755, 757, 759, 761, 
	763, 765, 768, 771, 773, 776, 779, 782, 
	785, 788, 790, 792, 794, 796, 799, 801, 
	803, 805, 807, 809, 811, 813, 815, 817, 
	819, 821, 823, 825, 827, 829, 832, 834, 
	836, 838, 841, 843, 845, 847, 849, 851, 
	854, 857, 859, 861, 863, 865, 867, 869, 
	871, 873, 875, 877, 879, 881, 883, 885, 
	887, 889, 892, 895, 898, 900, 902, 904, 
	906, 909, 912, 915, 918, 920, 923, 926, 
	928, 930, 932, 934, 936, 939, 942, 945, 
	948, 951, 954, 957, 960, 963, 966, 969, 
	973, 978, 983, 988, 990, 992, 994, 996, 
	998, 1000, 1002, 1004, 1006, 1008, 1010, 1012, 
	1014, 1016, 1018, 1020, 1023, 1026, 1028, 1030, 
	1032, 1034, 1036, 1038, 1040, 1043, 1045, 1047, 
	1049, 1051, 1053, 1055, 1057, 1059, 1061, 1063, 
	1065, 1067, 1070, 1072, 1074, 1076, 1078, 1080, 
	1082, 1084, 1086, 1088, 1090, 1092, 1094, 1097, 
	1100, 1103, 1106, 1109, 1111, 1113, 1115, 1117, 
	1119, 1121, 1123, 1126, 1129, 1132, 1135, 1138, 
	1141, 1144, 1147, 1149, 1151, 1153, 1155, 1157, 
	1159, 1162, 1165, 1168, 1170, 1172, 1174, 1176, 
	1179, 1181, 1184, 1187, 1189, 1191, 1193, 1195, 
	1197, 1199, 1201, 1203, 1205, 1207, 1209, 1211, 
	1213, 1215, 1217, 1221, 1225, 1229, 1231, 1233, 
	1235, 1238, 1240, 1242, 1244, 1246, 1249, 1251, 
	1253, 1255, 1257, 1260, 1262, 1264, 1266, 1268, 
	1270, 1272, 1274, 1276, 1278, 1280, 1282, 1284, 
	1286, 1288, 1290, 1293, 1296, 1299, 1301, 1303, 
	1305, 1307, 1310, 1313, 1315, 1317, 1320, 1322, 
	1324, 1326, 1328, 1331, 1334, 1337, 1340, 1342, 
	1344, 1347, 1350, 1353, 1356, 1358, 1360, 1362, 
	1364, 1366, 1368, 1371, 1373, 1375, 1377, 1380, 
	1382, 1384, 1386, 1389, 1392, 1395, 1398, 1401, 
	1403, 1405, 1407, 1409, 1411, 1413, 1415, 1417, 
	1419, 1421, 1424, 1427, 1430, 1433, 1435, 1437, 
	1439, 1441, 1443, 1445, 1448, 1450, 1452, 1455, 
	1457, 1459, 1461, 1463, 1465, 1467, 1469, 1471, 
	1473, 1475, 1477, 1479, 1482, 1485, 1487, 1489, 
	1492, 1495, 1498, 1500, 1502, 1504, 1506, 1508, 
	1511, 1514, 1517, 1520, 1522, 1524, 1526, 1528, 
	1530, 1532, 1536, 1540, 1542, 1544, 1547, 1550, 
	1552, 1554, 1556, 1558, 1560, 1562, 1564, 1566, 
	1569, 1572, 1574, 1576, 1578, 1580, 1582, 1585, 
	1588, 1590, 1592, 1594, 1596, 1598, 1600, 1602, 
	1604, 1606, 1608, 1610, 1612, 1614, 1617, 1620, 
	1623, 1626, 1628, 1630, 1632, 1634, 1636, 1638, 
	1640, 1642, 1644, 1646, 1648, 1650
};

static int pid_0_parser_tokenRegions[] = {
	0, 1, 0, 0, 0, 0, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	17, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 0, 
	1, 0, 1, 17, 0, 17, 0, 17, 
	0, 17, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 5, 
	0, 1, 0, 1, 5, 0, 1, 17, 
	25, 0, 1, 17, 25, 0, 1, 17, 
	25, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 9, 
	0, 1, 0, 5, 0, 5, 0, 5, 
	0, 1, 5, 0, 9, 0, 9, 0, 
	13, 0, 13, 0, 1, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 17, 0, 1, 
	0, 1, 17, 0, 1, 0, 17, 0, 
	17, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 25, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 5, 0, 5, 0, 5, 0, 
	1, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 17, 0, 1, 0, 1, 0, 9, 
	0, 1, 17, 0, 5, 0, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 9, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 5, 
	0, 9, 0, 13, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 17, 0, 1, 0, 1, 0, 17, 
	0, 17, 0, 17, 0, 1, 17, 0, 
	1, 17, 0, 17, 0, 1, 17, 0, 
	1, 17, 0, 1, 17, 0, 1, 17, 
	0, 1, 17, 0, 17, 0, 21, 0, 
	21, 0, 17, 0, 17, 1, 0, 17, 
	0, 17, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 5, 
	0, 5, 0, 5, 0, 1, 5, 0, 
	9, 0, 13, 0, 1, 0, 1, 5, 
	0, 1, 0, 5, 0, 9, 0, 13, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 25, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 5, 0, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 5, 0, 9, 0, 13, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 17, 25, 0, 1, 17, 25, 
	5, 0, 1, 17, 25, 5, 0, 1, 
	17, 25, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 5, 0, 1, 
	5, 0, 1, 0, 1, 0, 1, 0, 
	5, 0, 5, 0, 9, 0, 13, 0, 
	1, 5, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 17, 
	0, 17, 0, 1, 17, 0, 21, 0, 
	21, 0, 1, 0, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 0, 17, 0, 
	17, 0, 17, 0, 17, 0, 17, 1, 
	0, 17, 1, 0, 17, 1, 0, 17, 
	1, 0, 17, 1, 0, 17, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 1, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 5, 0, 9, 0, 13, 
	0, 1, 0, 5, 0, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 0, 5, 0, 9, 0, 13, 0, 
	1, 5, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 25, 
	0, 25, 0, 25, 0, 25, 0, 1, 
	0, 1, 17, 25, 0, 1, 17, 25, 
	0, 1, 17, 25, 0, 1, 0, 1, 
	0, 1, 0, 1, 5, 0, 5, 0, 
	5, 0, 9, 0, 13, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 5, 0, 9, 0, 
	13, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 0, 1, 0, 1, 
	0, 17, 0, 1, 17, 0, 1, 17, 
	0, 21, 0, 21, 0, 1, 17, 0, 
	17, 0, 17, 0, 17, 0, 17, 0, 
	17, 1, 0, 17, 1, 0, 17, 1, 
	0, 17, 1, 0, 1, 0, 17, 0, 
	1, 17, 0, 1, 17, 0, 1, 17, 
	0, 1, 17, 0, 1, 0, 1, 0, 
	1, 0, 5, 0, 5, 0, 5, 0, 
	1, 5, 0, 9, 0, 13, 0, 1, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 25, 0, 25, 0, 25, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 5, 0, 1, 5, 0, 1, 5, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 5, 0, 
	1, 0, 5, 0, 1, 5, 0, 9, 
	0, 13, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 1, 0, 1, 0, 1, 
	0, 1, 0, 21, 0, 1, 0, 1, 
	17, 0, 17, 1, 0, 5, 0, 5, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 0, 5, 0, 9, 0, 
	13, 0, 1, 0, 1, 5, 0, 1, 
	5, 0, 1, 5, 0, 1, 5, 0, 
	25, 0, 25, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 17, 25, 0, 
	1, 17, 25, 0, 1, 0, 1, 0, 
	1, 5, 0, 1, 5, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 21, 0, 1, 17, 
	0, 1, 17, 0, 1, 0, 5, 0, 
	5, 0, 9, 0, 13, 0, 1, 5, 
	0, 1, 5, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 17, 
	0, 1, 5, 0, 1, 5, 0, 1, 
	5, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 1, 0, 1, 0, 1, 0, 
	1, 0, 0
};

static int pid_0_parser_tokenPreRegions[] = {
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, -1, 0, -1, 0, 
	3, 0, 3, 0, 3, 0, -1, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, -1, 0, 3, 0, 3, 
	0, 3, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	-1, 0, 3, 3, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, -1, 0, 3, 
	0, -1, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, 3, 
	0, 3, 0, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, -1, 0, 3, 3, 0, -1, 
	-1, 0, 3, 3, 0, 3, 3, 0, 
	3, 3, 0, 3, 0, -1, -1, 0, 
	-1, 0, 3, 0, 3, 0, -1, -1, 
	0, -1, 0, -1, -1, 0, 3, 3, 
	3, 0, 3, 3, 3, 0, 3, 3, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, 3, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, 3, 
	0, -1, 0, -1, -1, 0, -1, 0, 
	3, 3, 0, 3, 3, 0, 3, 0, 
	3, 0, -1, 0, -1, -1, 0, 3, 
	0, -1, -1, 0, 3, 0, 19, 0, 
	19, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	3, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	-1, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 0, 3, 0, 3, 0, 3, 0, 
	3, 3, 3, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	3, 0, 3, 0, -1, 0, -1, 0, 
	3, 3, 0, -1, 0, 3, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, -1, 0, 3, 3, 0, 3, 
	0, 3, 0, 3, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, 3, 3, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, 3, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, -1, 0, 19, 0, -1, -1, 0, 
	19, 19, 0, 19, 19, 0, 19, 19, 
	0, 19, 19, 0, -1, 0, -1, 0, 
	-1, 0, 19, 0, -1, -1, 0, -1, 
	0, -1, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, 3, 0, -1, 0, -1, 
	0, 3, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, 3, 3, 0, 
	3, 3, 0, -1, -1, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, -1, 0, 3, 3, 3, 
	3, 0, 3, 3, 3, 3, 0, 3, 
	3, 3, 3, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, 3, 3, 0, 3, 
	3, 0, -1, 0, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, 3, 0, 3, 0, 3, 
	0, -1, 0, -1, 0, 3, 0, 19, 
	0, -1, 0, -1, -1, 0, -1, 0, 
	-1, 0, 19, 0, 19, 0, 19, 0, 
	19, 0, 19, 0, -1, 0, 19, 0, 
	19, 0, 19, 0, 19, 0, 19, 19, 
	0, 19, 19, 0, 19, 19, 0, 19, 
	19, 0, 3, 3, 0, 19, 0, 19, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, -1, 0, 
	3, 3, 0, 3, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, 3, 3, 3, 0, 3, 3, 3, 
	0, 3, 3, 3, 0, 3, 0, 3, 
	0, 3, 0, 3, 3, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, -1, 
	0, 3, 0, -1, 0, -1, 0, -1, 
	0, 3, 3, 0, 3, 0, 3, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	3, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, 3, 
	0, -1, 0, 19, 19, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, -1, 0, 19, 0, 3, 0, 
	-1, -1, 0, 19, 19, 0, 19, 19, 
	0, 19, 19, 0, 3, 0, -1, 0, 
	3, 0, -1, 0, -1, 0, -1, 0, 
	-1, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, -1, 0, -1, -1, 0, 
	-1, -1, 0, 3, 3, 0, 3, 3, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, 0, -1, 
	0, -1, 0, -1, 0, -1, -1, 0, 
	-1, -1, 0, -1, -1, 0, -1, -1, 
	0, -1, 0, -1, 0, -1, 0, 3, 
	0, 3, 0, -1, 0, 3, 3, 0, 
	-1, 0, -1, 0, -1, -1, 0, -1, 
	0, -1, 0, -1, 0, 3, 0, -1, 
	0, 3, 0, -1, 0, 3, 0, -1, 
	0, 19, 0, -1, 0, 19, 0, 3, 
	3, 0, 3, 3, 0, -1, 0, -1, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	-1, 0, -1, 0, -1, -1, 0, 3, 
	3, 0, -1, -1, 0, -1, -1, 0, 
	-1, 0, -1, 0, -1, 0, -1, 0, 
	3, 0, -1, 0, 3, 3, 3, 0, 
	3, 3, 3, 0, 3, 0, -1, 0, 
	-1, -1, 0, -1, -1, 0, 3, 0, 
	3, 0, 3, 0, -1, 0, 3, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, 3, 3, 0, 19, 0, -1, 0, 
	-1, 0, -1, 0, -1, 0, 3, 3, 
	0, -1, -1, 0, -1, 0, 3, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	3, 0, -1, 0, 3, 0, 3, 0, 
	3, 0, -1, 0, 3, 0, 3, 3, 
	0, -1, -1, 0, -1, -1, 0, -1, 
	-1, 0, -1, 0, 3, 0, 3, 0, 
	-1, 0, 3, 0, -1, 0, -1, 0, 
	-1, 0, 3, 0, -1, 0, 3, 0, 
	3, 0, 0
};

static struct pda_tables pid_0_pdaTables =
{
	pid_0_parser_indicies,
	pid_0_parser_owners,
	pid_0_parser_keys,
	pid_0_parser_offsets,
	pid_0_parser_targs,
	pid_0_parser_actInds,
	pid_0_parser_actions,
	pid_0_parser_commitLen,
	pid_0_parser_tokenRegionInds,
	pid_0_parser_tokenRegions,
	pid_0_parser_tokenPreRegions,

	80208,
	1468,
	734,
	1161,
	1161,
	2371,
	1161,
	1651,
	1651
};

static struct local_info locals_0[] = {
	{ 1, -1 }, { 1, -2 }
};

static unsigned char copy_0[] = {
	0, 0
};

static unsigned char copy_1[] = {
	0, 0
};

static unsigned char copy_2[] = {
	0, 0
};

static unsigned char copy_3[] = {
	0, 0
};

static unsigned char copy_4[] = {
	0, 0
};

static unsigned char copy_5[] = {
	0, 0
};

static unsigned char copy_6[] = {
	0, 0
};

static unsigned char copy_7[] = {
	0, 0
};

static unsigned char copy_8[] = {
	0, 0
};

static unsigned char copy_9[] = {
	0, 0
};

static unsigned char copy_10[] = {
	0, 0
};

static unsigned char copy_11[] = {
	0, 0
};

static unsigned char copy_12[] = {
	0, 0
};

static unsigned char copy_13[] = {
	0, 0
};

static unsigned char copy_14[] = {
	0, 0
};

static unsigned char copy_15[] = {
	0, 0
};

static unsigned char copy_16[] = {
	0, 0
};

static unsigned char copy_17[] = {
	0, 0
};

static unsigned char copy_18[] = {
	0, 0
};

static unsigned char copy_19[] = {
	0, 0
};

static unsigned char copy_20[] = {
	0, 0
};

static unsigned char copy_21[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_22[] = {
	0, 0, 0, 1
};

static unsigned char copy_23[] = {
	0, 0
};

static unsigned char copy_24[] = {
	0, 0
};

static unsigned char copy_25[] = {
	0, 0
};

static unsigned char copy_26[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_27[] = {
	0, 0
};

static unsigned char copy_28[] = {
	0, 0, 0, 1
};

static unsigned char copy_29[] = {
	0, 0, 0, 1
};

static unsigned char copy_30[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_31[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_32[] = {
	0, 0
};

static unsigned char copy_33[] = {
	0, 0
};

static unsigned char copy_34[] = {
	0, 0
};

static unsigned char copy_35[] = {
	0, 0
};

static unsigned char copy_36[] = {
	0, 0
};

static unsigned char copy_37[] = {
	0, 0
};

static unsigned char copy_38[] = {
	0, 0
};

static unsigned char copy_39[] = {
	0, 0
};

static unsigned char copy_40[] = {
	0, 0
};

static unsigned char copy_41[] = {
	0, 0
};

static unsigned char copy_42[] = {
	0, 0
};

static unsigned char copy_43[] = {
	0, 0
};

static unsigned char copy_44[] = {
	0, 0
};

static unsigned char copy_45[] = {
	0, 0
};

static unsigned char copy_46[] = {
	0, 0
};

static unsigned char copy_47[] = {
	0, 0
};

static unsigned char copy_48[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_49[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_50[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_51[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_52[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_53[] = {
	0, 0
};

static unsigned char copy_54[] = {
	0, 0
};

static unsigned char copy_56[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_57[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_58[] = {
	0, 0
};

static unsigned char copy_60[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_61[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7
};

static unsigned char copy_62[] = {
	0, 0
};

static unsigned char copy_63[] = {
	0, 0
};

static unsigned char copy_64[] = {
	0, 0
};

static unsigned char copy_65[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_66[] = {
	0, 0, 0, 1
};

static unsigned char copy_67[] = {
	0, 0, 0, 1
};

static unsigned char copy_68[] = {
	0, 0
};

static unsigned char copy_69[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_70[] = {
	0, 0, 0, 1
};

static unsigned char copy_72[] = {
	0, 0, 0, 1
};

static unsigned char copy_74[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_75[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_76[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_77[] = {
	0, 0
};

static unsigned char copy_78[] = {
	0, 0
};

static unsigned char copy_79[] = {
	0, 0
};

static unsigned char copy_80[] = {
	0, 0
};

static unsigned char copy_81[] = {
	0, 0
};

static unsigned char copy_82[] = {
	0, 0
};

static unsigned char copy_83[] = {
	0, 0
};

static unsigned char copy_84[] = {
	0, 0
};

static unsigned char copy_85[] = {
	0, 0
};

static unsigned char copy_86[] = {
	0, 0
};

static unsigned char copy_87[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_88[] = {
	0, 0
};

static unsigned char copy_89[] = {
	0, 0
};

static unsigned char copy_90[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_91[] = {
	0, 0
};

static unsigned char copy_92[] = {
	0, 0
};

static unsigned char copy_93[] = {
	0, 0
};

static unsigned char copy_94[] = {
	0, 0
};

static unsigned char copy_95[] = {
	0, 0
};

static unsigned char copy_96[] = {
	0, 0
};

static unsigned char copy_97[] = {
	0, 0
};

static unsigned char copy_98[] = {
	0, 0
};

static unsigned char copy_99[] = {
	0, 0
};

static unsigned char copy_100[] = {
	0, 0
};

static unsigned char copy_101[] = {
	0, 0
};

static unsigned char copy_102[] = {
	0, 0
};

static unsigned char copy_103[] = {
	0, 0
};

static unsigned char copy_104[] = {
	0, 0
};

static unsigned char copy_105[] = {
	0, 0
};

static unsigned char copy_106[] = {
	0, 0
};

static unsigned char copy_107[] = {
	0, 0
};

static unsigned char copy_109[] = {
	0, 0
};

static unsigned char copy_111[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_112[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_113[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_114[] = {
	0, 0
};

static unsigned char copy_116[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 
	0, 8
};

static unsigned char copy_117[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_118[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_120[] = {
	0, 0
};

static unsigned char copy_122[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_123[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_124[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_125[] = {
	0, 0, 0, 1
};

static unsigned char copy_127[] = {
	0, 0, 0, 1
};

static unsigned char copy_129[] = {
	0, 0
};

static unsigned char copy_131[] = {
	0, 0, 0, 1
};

static unsigned char copy_133[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_134[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_136[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_137[] = {
	0, 0
};

static unsigned char copy_138[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_139[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_140[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_141[] = {
	0, 0, 0, 1
};

static unsigned char copy_142[] = {
	0, 0, 0, 1
};

static unsigned char copy_143[] = {
	0, 0
};

static unsigned char copy_144[] = {
	0, 0
};

static unsigned char copy_145[] = {
	0, 0
};

static unsigned char copy_146[] = {
	0, 0, 0, 1
};

static unsigned char copy_147[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6
};

static unsigned char copy_148[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_149[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_150[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_151[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_152[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_153[] = {
	0, 0, 0, 1
};

static unsigned char copy_154[] = {
	0, 0, 0, 1
};

static unsigned char copy_155[] = {
	0, 0
};

static unsigned char copy_156[] = {
	0, 0
};

static unsigned char copy_157[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_158[] = {
	0, 0
};

static unsigned char copy_159[] = {
	0, 0, 0, 1
};

static unsigned char copy_160[] = {
	0, 0, 0, 1
};

static unsigned char copy_161[] = {
	0, 0
};

static unsigned char copy_162[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_163[] = {
	0, 0, 0, 1
};

static unsigned char copy_165[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_166[] = {
	0, 0
};

static unsigned char copy_167[] = {
	0, 0
};

static unsigned char copy_169[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_170[] = {
	0, 0, 0, 1
};

static unsigned char copy_171[] = {
	0, 0, 0, 1
};

static unsigned char copy_172[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_173[] = {
	0, 0
};

static unsigned char copy_174[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_175[] = {
	0, 0, 0, 1
};

static unsigned char copy_177[] = {
	0, 0, 0, 1
};

static unsigned char copy_178[] = {
	0, 0, 0, 1
};

static unsigned char copy_180[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_181[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_182[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_183[] = {
	0, 0, 0, 1
};

static unsigned char copy_184[] = {
	0, 0
};

static unsigned char copy_185[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_186[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_187[] = {
	0, 0
};

static unsigned char copy_188[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_189[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_190[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_191[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_192[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_193[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_194[] = {
	0, 0
};

static unsigned char copy_195[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_196[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_197[] = {
	0, 0
};

static unsigned char copy_198[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_199[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_200[] = {
	0, 0
};

static unsigned char copy_201[] = {
	0, 0, 0, 1
};

static unsigned char copy_202[] = {
	0, 0, 0, 1
};

static unsigned char copy_203[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_204[] = {
	0, 0, 0, 1
};

static unsigned char copy_205[] = {
	0, 0, 0, 1
};

static unsigned char copy_206[] = {
	0, 0
};

static unsigned char copy_207[] = {
	0, 0
};

static unsigned char copy_208[] = {
	0, 0
};

static unsigned char copy_210[] = {
	0, 0
};

static unsigned char copy_211[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_212[] = {
	0, 0
};

static unsigned char copy_213[] = {
	0, 0
};

static unsigned char copy_214[] = {
	0, 0
};

static unsigned char copy_215[] = {
	0, 0
};

static unsigned char copy_216[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_217[] = {
	0, 0
};

static unsigned char copy_218[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_219[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_220[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_221[] = {
	0, 0
};

static unsigned char copy_222[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_223[] = {
	0, 0
};

static unsigned char copy_224[] = {
	0, 0
};

static unsigned char copy_225[] = {
	0, 0
};

static unsigned char copy_226[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_227[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_228[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_229[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_230[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_231[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_233[] = {
	0, 0
};

static unsigned char copy_234[] = {
	0, 0
};

static unsigned char copy_235[] = {
	0, 0
};

static unsigned char copy_237[] = {
	0, 0, 0, 1
};

static unsigned char copy_239[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_241[] = {
	0, 0
};

static unsigned char copy_242[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_243[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_244[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_245[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_246[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_247[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_248[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_249[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_250[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_251[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_252[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_253[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_254[] = {
	0, 0, 0, 1
};

static unsigned char copy_256[] = {
	0, 0
};

static unsigned char copy_257[] = {
	0, 0
};

static unsigned char copy_258[] = {
	0, 0
};

static unsigned char copy_259[] = {
	0, 0
};

static unsigned char copy_260[] = {
	0, 0
};

static unsigned char copy_262[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_263[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_264[] = {
	0, 0, 0, 1
};

static unsigned char copy_265[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_266[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_267[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_268[] = {
	0, 0
};

static unsigned char copy_269[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_270[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_271[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_272[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_273[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_274[] = {
	0, 0
};

static unsigned char copy_275[] = {
	0, 0
};

static unsigned char copy_276[] = {
	0, 0
};

static unsigned char copy_282[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_283[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_284[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_285[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_286[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_287[] = {
	0, 0
};

static unsigned char copy_288[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_289[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_290[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_291[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_292[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_293[] = {
	0, 0
};

static unsigned char copy_294[] = {
	0, 0
};

static unsigned char copy_295[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_296[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_297[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_298[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_299[] = {
	0, 0
};

static unsigned char copy_300[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_301[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_302[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_303[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_304[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_305[] = {
	0, 0, 0, 1
};

static unsigned char copy_306[] = {
	0, 0
};

static unsigned char copy_307[] = {
	0, 0
};

static unsigned char copy_308[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_309[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_310[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_311[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_312[] = {
	0, 0
};

static unsigned char copy_313[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_314[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_315[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_316[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_317[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_318[] = {
	0, 0
};

static unsigned char copy_319[] = {
	0, 0
};

static unsigned char copy_320[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_321[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_322[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_324[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_325[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_326[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_327[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_328[] = {
	0, 0
};

static unsigned char copy_329[] = {
	0, 0
};

static unsigned char copy_331[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_332[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_333[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_334[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_335[] = {
	0, 0
};

static unsigned char copy_336[] = {
	0, 0, 0, 1
};

static unsigned char copy_337[] = {
	0, 0, 0, 1
};

static unsigned char copy_338[] = {
	0, 0, 0, 1
};

static unsigned char copy_339[] = {
	0, 0, 0, 1
};

static unsigned char copy_340[] = {
	0, 0, 0, 1, 0, 2, 0, 3
};

static unsigned char copy_341[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_342[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4
};

static unsigned char copy_343[] = {
	0, 0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5
};

static unsigned char copy_344[] = {
	0, 0
};

static unsigned char copy_345[] = {
	0, 0, 0, 1
};

static unsigned char copy_346[] = {
	0, 0
};

static unsigned char copy_347[] = {
	0, 0
};

static unsigned char copy_348[] = {
	0, 0
};

static unsigned char copy_349[] = {
	0, 0
};

static unsigned char copy_350[] = {
	0, 0
};

static unsigned char copy_351[] = {
	0, 0
};

static unsigned char copy_352[] = {
	0, 0
};

static unsigned char copy_353[] = {
	0, 0
};

static unsigned char copy_354[] = {
	0, 0
};

static unsigned char copy_355[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_356[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_357[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_358[] = {
	0, 0, 0, 1, 0, 2
};

static unsigned char copy_359[] = {
	0, 0, 0, 1
};

static unsigned char copy_361[] = {
	0, 0
};

static unsigned char copy_362[] = {
	0, 0, 0, 1, 0, 2
};

static code_t parser_rootCode[] = {
	255, 8, 4, 0, 255, 7, 3, 0, 
	255, 62, 2, 0, 85, 147, 3, 0, 
	255, 52, 3, 0, 39, 255, 255, 241, 
	1, 0, 0, 0, 107, 37, 255, 255, 
	2, 1, 0, 0, 0, 180, 144, 162, 
	135, 162, 31, 183, 1, 0, 226, 183, 
	0, 0, 242, 39, 254, 255, 29, 37, 
	254, 255, 87, 251, 0, 0, 85, 204, 
	87, 251, 1, 0, 255, 10
};

static struct lang_el_info parser_lelInfo[] = {
	{ "__UNUSED",  "__UNUSED", 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0 },
	{ "ptr",  "ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "str",  "str", 0, 0, 0, 0, -1, 289, 0, 0, 0, -1, 0, 0 },
	{ "il",  "il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "DEF",  "DEF", 0, 0, 0, 0, -1, 4, 0, 0, 0, -1, 0, 0 },
	{ "LEX",  "LEX", 0, 0, 0, 0, -1, 5, 0, 0, 0, -1, 0, 0 },
	{ "END",  "END", 0, 0, 0, 0, -1, 6, 0, 0, 0, -1, 0, 0 },
	{ "TOKEN",  "TOKEN", 0, 0, 0, 0, -1, 7, 0, 0, 0, -1, 0, 0 },
	{ "RL",  "RL", 0, 0, 0, 0, -1, 8, 0, 0, 0, -1, 0, 0 },
	{ "IGNORE",  "IGNORE", 0, 0, 0, 0, -1, 9, 0, 0, 0, -1, 0, 0 },
	{ "PRINT",  "PRINT", 0, 0, 0, 0, -1, 10, 0, 0, 0, -1, 0, 0 },
	{ "PRINTS",  "PRINTS", 0, 0, 0, 0, -1, 11, 0, 0, 0, -1, 0, 0 },
	{ "PARSE",  "PARSE", 0, 0, 0, 0, -1, 12, 0, 0, 0, -1, 0, 0 },
	{ "REDUCE",  "REDUCE", 0, 0, 0, 0, -1, 13, 0, 0, 0, -1, 0, 0 },
	{ "READ_REDUCE",  "READ_REDUCE", 0, 0, 0, 0, -1, 14, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_TREE",  "PARSE_TREE", 0, 0, 0, 0, -1, 15, 0, 0, 0, -1, 0, 0 },
	{ "PARSE_STOP",  "PARSE_STOP", 0, 0, 0, 0, -1, 16, 0, 0, 0, -1, 0, 0 },
	{ "CONS",  "CONS", 0, 0, 0, 0, -1, 17, 0, 0, 0, -1, 0, 0 },
	{ "MATCH",  "MATCH", 0, 0, 0, 0, -1, 18, 0, 0, 0, -1, 0, 0 },
	{ "REQUIRE",  "REQUIRE", 0, 0, 0, 0, -1, 19, 0, 0, 0, -1, 0, 0 },
	{ "SEND",  "SEND", 0, 0, 0, 0, -1, 20, 0, 0, 0, -1, 0, 0 },
	{ "SEND_TREE",  "SEND_TREE", 0, 0, 0, 0, -1, 21, 0, 0, 0, -1, 0, 0 },
	{ "NAMESPACE",  "NAMESPACE", 0, 0, 0, 0, -1, 22, 0, 0, 0, -1, 0, 0 },
	{ "REDUCTION",  "REDUCTION", 0, 0, 0, 0, -1, 23, 0, 0, 0, -1, 0, 0 },
	{ "FOR",  "FOR", 0, 0, 0, 0, -1, 24, 0, 0, 0, -1, 0, 0 },
	{ "IF",  "IF", 0, 0, 0, 0, -1, 25, 0, 0, 0, -1, 0, 0 },
	{ "YIELD",  "YIELD", 0, 0, 0, 0, -1, 26, 0, 0, 0, -1, 0, 0 },
	{ "WHILE",  "WHILE", 0, 0, 0, 0, -1, 27, 0, 0, 0, -1, 0, 0 },
	{ "ELSIF",  "ELSIF", 0, 0, 0, 0, -1, 28, 0, 0, 0, -1, 0, 0 },
	{ "ELSE",  "ELSE", 0, 0, 0, 0, -1, 29, 0, 0, 0, -1, 0, 0 },
	{ "IN",  "IN", 0, 0, 0, 0, -1, 30, 0, 0, 0, -1, 0, 0 },
	{ "PARSER",  "PARSER", 0, 0, 0, 0, -1, 31, 0, 0, 0, -1, 0, 0 },
	{ "LIST",  "LIST", 0, 0, 0, 0, -1, 32, 0, 0, 0, -1, 0, 0 },
	{ "LIST_EL",  "LIST_EL", 0, 0, 0, 0, -1, 33, 0, 0, 0, -1, 0, 0 },
	{ "MAP",  "MAP", 0, 0, 0, 0, -1, 34, 0, 0, 0, -1, 0, 0 },
	{ "MAP_EL",  "MAP_EL", 0, 0, 0, 0, -1, 35, 0, 0, 0, -1, 0, 0 },
	{ "PTR",  "PTR", 0, 0, 0, 0, -1, 36, 0, 0, 0, -1, 0, 0 },
	{ "ITER",  "ITER", 0, 0, 0, 0, -1, 37, 0, 0, 0, -1, 0, 0 },
	{ "REF",  "REF", 0, 0, 0, 0, -1, 38, 0, 0, 0, -1, 0, 0 },
	{ "EXPORT",  "EXPORT", 0, 0, 0, 0, -1, 39, 0, 0, 0, -1, 0, 0 },
	{ "RETURN",  "RETURN", 0, 0, 0, 0, -1, 40, 0, 0, 0, -1, 0, 0 },
	{ "BREAK",  "BREAK", 0, 0, 0, 0, -1, 41, 0, 0, 0, -1, 0, 0 },
	{ "REJECT",  "REJECT", 0, 0, 0, 0, -1, 42, 0, 0, 0, -1, 0, 0 },
	{ "REDUCEFIRST",  "REDUCEFIRST", 0, 0, 0, 0, -1, 43, 0, 0, 0, -1, 0, 0 },
	{ "ALIAS",  "ALIAS", 0, 0, 0, 0, -1, 44, 0, 0, 0, -1, 0, 0 },
	{ "COMMIT",  "COMMIT", 0, 0, 0, 0, -1, 45, 0, 0, 0, -1, 0, 0 },
	{ "NEW",  "NEW", 0, 0, 0, 0, -1, 46, 0, 0, 0, -1, 0, 0 },
	{ "PREEOF",  "PREEOF", 0, 0, 0, 0, -1, 47, 0, 0, 0, -1, 0, 0 },
	{ "GLOBAL",  "GLOBAL", 0, 0, 0, 0, -1, 48, 0, 0, 0, -1, 0, 0 },
	{ "EOS",  "EOS", 0, 0, 0, 0, -1, 49, 0, 0, 0, -1, 0, 0 },
	{ "CAST",  "CAST", 0, 0, 0, 0, -1, 50, 0, 0, 0, -1, 0, 0 },
	{ "SWITCH",  "SWITCH", 0, 0, 0, 0, -1, 51, 0, 0, 0, -1, 0, 0 },
	{ "CASE",  "CASE", 0, 0, 0, 0, -1, 52, 0, 0, 0, -1, 0, 0 },
	{ "DEFAULT",  "DEFAULT", 0, 0, 0, 0, -1, 53, 0, 0, 0, -1, 0, 0 },
	{ "INT",  "INT", 0, 0, 0, 0, -1, 54, 0, 0, 0, -1, 0, 0 },
	{ "BOOL",  "BOOL", 0, 0, 0, 0, -1, 55, 0, 0, 0, -1, 0, 0 },
	{ "VOID",  "VOID", 0, 0, 0, 0, -1, 56, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TOKEN",  "MAKE_TOKEN", 0, 0, 0, 0, -1, 57, 0, 0, 0, -1, 0, 0 },
	{ "MAKE_TREE",  "MAKE_TREE", 0, 0, 0, 0, -1, 58, 0, 0, 0, -1, 0, 0 },
	{ "TYPEID",  "TYPEID", 0, 0, 0, 0, -1, 59, 0, 0, 0, -1, 0, 0 },
	{ "LITERAL",  "LITERAL", 0, 0, 0, 0, -1, 60, 0, 0, 0, -1, 0, 0 },
	{ "CONTEXT",  "CONTEXT", 0, 0, 0, 0, -1, 61, 0, 0, 0, -1, 0, 0 },
	{ "STRUCT",  "STRUCT", 0, 0, 0, 0, -1, 62, 0, 0, 0, -1, 0, 0 },
	{ "NI",  "NI", 0, 0, 0, 0, -1, 63, 0, 0, 0, -1, 0, 0 },
	{ "NIL",  "NIL", 0, 0, 0, 0, -1, 64, 0, 0, 0, -1, 0, 0 },
	{ "TRUE",  "TRUE", 0, 0, 0, 0, -1, 65, 0, 0, 0, -1, 0, 0 },
	{ "FALSE",  "FALSE", 0, 0, 0, 0, -1, 66, 0, 0, 0, -1, 0, 0 },
	{ "LEFT",  "LEFT", 0, 0, 0, 0, -1, 67, 0, 0, 0, -1, 0, 0 },
	{ "RIGHT",  "RIGHT", 0, 0, 0, 0, -1, 68, 0, 0, 0, -1, 0, 0 },
	{ "NONASSOC",  "NONASSOC", 0, 0, 0, 0, -1, 69, 0, 0, 0, -1, 0, 0 },
	{ "INCLUDE",  "INCLUDE", 0, 0, 0, 0, -1, 70, 0, 0, 0, -1, 0, 0 },
	{ "id",  "id", 0, 0, 0, 0, -1, 71, 0, 0, 0, -1, 0, 0 },
	{ "number",  "number", 0, 0, 0, 0, -1, 72, 0, 0, 0, -1, 0, 0 },
	{ "backtick_lit",  "backtick_lit", 0, 0, 0, 0, -1, 73, 0, 0, 0, -1, 0, 0 },
	{ "DQ",  "DQ", 0, 0, 0, 0, -1, 74, 0, 0, 0, -1, 0, 0 },
	{ "SQ",  "SQ", 0, 0, 0, 0, -1, 75, 0, 0, 0, -1, 0, 0 },
	{ "TILDE",  "TILDE", 0, 0, 0, 0, -1, 76, 0, 0, 0, -1, 0, 0 },
	{ "SQOPEN",  "SQOPEN", 0, 0, 0, 0, -1, 77, 0, 0, 0, -1, 0, 0 },
	{ "SQCLOSE",  "SQCLOSE", 0, 0, 0, 0, -1, 78, 0, 0, 0, -1, 0, 0 },
	{ "BAR",  "BAR", 0, 0, 0, 0, -1, 79, 0, 0, 0, -1, 0, 0 },
	{ "FSLASH",  "FSLASH", 0, 0, 0, 0, -1, 80, 0, 0, 0, -1, 0, 0 },
	{ "COLON",  "COLON", 0, 0, 0, 0, -1, 81, 0, 0, 0, -1, 0, 0 },
	{ "DOUBLE_COLON",  "DOUBLE_COLON", 0, 0, 0, 0, -1, 82, 0, 0, 0, -1, 0, 0 },
	{ "DOT",  "DOT", 0, 0, 0, 0, -1, 83, 0, 0, 0, -1, 0, 0 },
	{ "ARROW",  "ARROW", 0, 0, 0, 0, -1, 84, 0, 0, 0, -1, 0, 0 },
	{ "POPEN",  "POPEN", 0, 0, 0, 0, -1, 85, 0, 0, 0, -1, 0, 0 },
	{ "PCLOSE",  "PCLOSE", 0, 0, 0, 0, -1, 86, 0, 0, 0, -1, 0, 0 },
	{ "COPEN",  "COPEN", 0, 0, 0, 0, -1, 87, 0, 0, 0, -1, 0, 0 },
	{ "CCLOSE",  "CCLOSE", 0, 0, 0, 0, -1, 88, 0, 0, 0, -1, 0, 0 },
	{ "STAR",  "STAR", 0, 0, 0, 0, -1, 89, 0, 0, 0, -1, 0, 0 },
	{ "QUESTION",  "QUESTION", 0, 0, 0, 0, -1, 90, 0, 0, 0, -1, 0, 0 },
	{ "EQUALS",  "EQUALS", 0, 0, 0, 0, -1, 91, 0, 0, 0, -1, 0, 0 },
	{ "EQEQ",  "EQEQ", 0, 0, 0, 0, -1, 92, 0, 0, 0, -1, 0, 0 },
	{ "NEQ",  "NEQ", 0, 0, 0, 0, -1, 93, 0, 0, 0, -1, 0, 0 },
	{ "COMMA",  "COMMA", 0, 0, 0, 0, -1, 94, 0, 0, 0, -1, 0, 0 },
	{ "LT",  "LT", 0, 0, 0, 0, -1, 95, 0, 0, 0, -1, 0, 0 },
	{ "GT",  "GT", 0, 0, 0, 0, -1, 96, 0, 0, 0, -1, 0, 0 },
	{ "LTEQ",  "LTEQ", 0, 0, 0, 0, -1, 97, 0, 0, 0, -1, 0, 0 },
	{ "GTEQ",  "GTEQ", 0, 0, 0, 0, -1, 98, 0, 0, 0, -1, 0, 0 },
	{ "BANG",  "BANG", 0, 0, 0, 0, -1, 99, 0, 0, 0, -1, 0, 0 },
	{ "DOLLAR",  "DOLLAR", 0, 0, 0, 0, -1, 100, 0, 0, 0, -1, 0, 0 },
	{ "CARET",  "CARET", 0, 0, 0, 0, -1, 101, 0, 0, 0, -1, 0, 0 },
	{ "AT",  "AT", 0, 0, 0, 0, -1, 102, 0, 0, 0, -1, 0, 0 },
	{ "PERCENT",  "PERCENT", 0, 0, 0, 0, -1, 103, 0, 0, 0, -1, 0, 0 },
	{ "PLUS",  "PLUS", 0, 0, 0, 0, -1, 104, 0, 0, 0, -1, 0, 0 },
	{ "MINUS",  "MINUS", 0, 0, 0, 0, -1, 105, 0, 0, 0, -1, 0, 0 },
	{ "AMPAMP",  "AMPAMP", 0, 0, 0, 0, -1, 106, 0, 0, 0, -1, 0, 0 },
	{ "BARBAR",  "BARBAR", 0, 0, 0, 0, -1, 107, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00d1",  "_ignore_00d1", 0, 0, 0, 1, -1, 108, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_00d3",  "_ignore_00d3", 0, 0, 0, 1, -1, 109, 0, 0, 0, -1, 0, 0 },
	{ "LIT_DQ",  "LIT_DQ", 0, 0, 0, 0, -1, 110, 0, 0, 0, -1, 0, 0 },
	{ "LIT_DQ_NL",  "LIT_DQ_NL", 0, 0, 0, 0, -1, 111, 0, 0, 0, -1, 0, 0 },
	{ "LIT_SQOPEN",  "LIT_SQOPEN", 0, 0, 0, 0, -1, 112, 0, 0, 0, -1, 0, 0 },
	{ "LIT_SQCLOSE",  "LIT_SQCLOSE", 0, 0, 0, 0, -1, 113, 0, 0, 0, -1, 0, 0 },
	{ "lit_dq_data",  "lit_dq_data", 0, 0, 0, 0, -1, 114, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ",  "CONS_SQ", 0, 0, 0, 0, -1, 115, 0, 0, 0, -1, 0, 0 },
	{ "CONS_SQ_NL",  "CONS_SQ_NL", 0, 0, 0, 0, -1, 116, 0, 0, 0, -1, 0, 0 },
	{ "sq_cons_data",  "sq_cons_data", 0, 0, 0, 0, -1, 117, 0, 0, 0, -1, 0, 0 },
	{ "TILDE_NL",  "TILDE_NL", 0, 0, 0, 0, -1, 118, 0, 0, 0, -1, 0, 0 },
	{ "tilde_data",  "tilde_data", 0, 0, 0, 0, -1, 119, 0, 0, 0, -1, 0, 0 },
	{ "lex_id",  "lex_id", 0, 0, 0, 0, -1, 120, 0, 0, 0, -1, 0, 0 },
	{ "lex_uint",  "lex_uint", 0, 0, 0, 0, -1, 121, 0, 0, 0, -1, 0, 0 },
	{ "lex_hex",  "lex_hex", 0, 0, 0, 0, -1, 122, 0, 0, 0, -1, 0, 0 },
	{ "lex_lit",  "lex_lit", 0, 0, 0, 0, -1, 123, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOT",  "LEX_DOT", 0, 0, 0, 0, -1, 124, 0, 0, 0, -1, 0, 0 },
	{ "LEX_BAR",  "LEX_BAR", 0, 0, 0, 0, -1, 125, 0, 0, 0, -1, 0, 0 },
	{ "LEX_AMP",  "LEX_AMP", 0, 0, 0, 0, -1, 126, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASH",  "LEX_DASH", 0, 0, 0, 0, -1, 127, 0, 0, 0, -1, 0, 0 },
	{ "LEX_POPEN",  "LEX_POPEN", 0, 0, 0, 0, -1, 128, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PCLOSE",  "LEX_PCLOSE", 0, 0, 0, 0, -1, 129, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STAR",  "LEX_STAR", 0, 0, 0, 0, -1, 130, 0, 0, 0, -1, 0, 0 },
	{ "LEX_STARSTAR",  "LEX_STARSTAR", 0, 0, 0, 0, -1, 131, 0, 0, 0, -1, 0, 0 },
	{ "LEX_QUESTION",  "LEX_QUESTION", 0, 0, 0, 0, -1, 132, 0, 0, 0, -1, 0, 0 },
	{ "LEX_PLUS",  "LEX_PLUS", 0, 0, 0, 0, -1, 133, 0, 0, 0, -1, 0, 0 },
	{ "LEX_CARET",  "LEX_CARET", 0, 0, 0, 0, -1, 134, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DOTDOT",  "LEX_DOTDOT", 0, 0, 0, 0, -1, 135, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_POS",  "LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 136, 0, 0, 0, -1, 0, 0 },
	{ "LEX_SQOPEN_NEG",  "LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 137, 0, 0, 0, -1, 0, 0 },
	{ "LEX_FSLASH",  "LEX_FSLASH", 0, 0, 0, 0, -1, 138, 0, 0, 0, -1, 0, 0 },
	{ "LEX_DASHDASH",  "LEX_DASHDASH", 0, 0, 0, 0, -1, 139, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GT",  "LEX_COLON_GT", 0, 0, 0, 0, -1, 140, 0, 0, 0, -1, 0, 0 },
	{ "LEX_COLON_GTGT",  "LEX_COLON_GTGT", 0, 0, 0, 0, -1, 141, 0, 0, 0, -1, 0, 0 },
	{ "LEX_LT_COLON",  "LEX_LT_COLON", 0, 0, 0, 0, -1, 142, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0117",  "_ignore_0117", 0, 0, 0, 1, -1, 143, 0, 0, 0, -1, 0, 0 },
	{ "_ignore_0119",  "_ignore_0119", 0, 0, 0, 1, -1, 144, 0, 0, 0, -1, 0, 0 },
	{ "RE_DASH",  "RE_DASH", 0, 0, 0, 0, -1, 145, 0, 0, 0, -1, 0, 0 },
	{ "RE_CHAR",  "RE_CHAR", 0, 0, 0, 0, -1, 146, 0, 0, 0, -1, 0, 0 },
	{ "RE_SQCLOSE",  "RE_SQCLOSE", 0, 0, 0, 0, -1, 147, 0, 0, 0, -1, 0, 0 },
	{ "RED_OPEN",  "RED_OPEN", 0, 0, 0, 0, -1, 177, 0, 0, 0, -1, 0, 0 },
	{ "RED_CLOSE",  "RED_CLOSE", 0, 0, 0, 0, -1, 178, 0, 0, 0, -1, 0, 0 },
	{ "red_id",  "red_id", 0, 0, 0, 0, -1, 179, 0, 0, 0, -1, 0, 0 },
	{ "red_comment",  "red_comment", 0, 0, 0, 0, -1, 180, 0, 0, 0, -1, 0, 0 },
	{ "red_ws",  "red_ws", 0, 0, 0, 0, -1, 181, 0, 0, 0, -1, 0, 0 },
	{ "red_lit",  "red_lit", 0, 0, 0, 0, -1, 182, 0, 0, 0, -1, 0, 0 },
	{ "RED_LHS",  "RED_LHS", 0, 0, 0, 0, -1, 183, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_REF",  "RED_RHS_REF", 0, 0, 0, 0, -1, 184, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_LOC",  "RED_RHS_LOC", 0, 0, 0, 0, -1, 185, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NREF",  "RED_RHS_NREF", 0, 0, 0, 0, -1, 186, 0, 0, 0, -1, 0, 0 },
	{ "RED_RHS_NLOC",  "RED_RHS_NLOC", 0, 0, 0, 0, -1, 187, 0, 0, 0, -1, 0, 0 },
	{ "red_any",  "red_any", 0, 0, 0, 0, -1, 188, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x57198fd0",  "_ign_0x57198fd0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x5720f0d0",  "_ign_0x5720f0d0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x57210bf0",  "_ign_0x57210bf0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x57211e50",  "_ign_0x57211e50", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x57212800",  "_ign_0x57212800", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x5721acd0",  "_ign_0x5721acd0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_ign_0x5722cee0",  "_ign_0x5722cee0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x5720f130_DEF_PAT_1",  "__0x5720f130_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x57210c50_DEF_PAT_2",  "__0x57210c50_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x57211eb0_DEF_PAT_3",  "__0x57211eb0_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x5721ad30_DEF_PAT_4",  "__0x5721ad30_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "__0x5722cf40_DEF_PAT_5",  "__0x5722cf40_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_T_any",  "_T_any", 0, 0, 0, 0, -1, 0, 0, 0, 782, -1, 0, 0 },
	{ "_T_start",  "_T_start", 0, 0, 0, 0, -1, 148, 0, 0, 783, -1, 0, 0 },
	{ "_T_root_item",  "_T_root_item", 0, 0, 0, 0, -1, 149, 0, 0, 784, -1, 0, 0 },
	{ "_T_include",  "_T_include", 0, 0, 0, 0, -1, 150, 0, 0, 785, -1, 0, 0 },
	{ "_T_precedence_def",  "_T_precedence_def", 0, 0, 0, 0, -1, 151, 0, 0, 786, -1, 0, 0 },
	{ "_T_pred_type",  "_T_pred_type", 0, 0, 0, 0, -1, 152, 0, 0, 787, -1, 0, 0 },
	{ "_T_pred_token_list",  "_T_pred_token_list", 0, 0, 0, 0, -1, 153, 0, 0, 788, -1, 0, 0 },
	{ "_T_pred_token",  "_T_pred_token", 0, 0, 0, 0, -1, 154, 0, 0, 789, -1, 0, 0 },
	{ "_T_pre_eof_def",  "_T_pre_eof_def", 0, 0, 0, 0, -1, 155, 0, 0, 790, -1, 0, 0 },
	{ "_T_alias_def",  "_T_alias_def", 0, 0, 0, 0, -1, 156, 0, 0, 791, -1, 0, 0 },
	{ "_T_struct_item",  "_T_struct_item", 0, 0, 0, 0, -1, 157, 0, 0, 792, -1, 0, 0 },
	{ "_T_export_def",  "_T_export_def", 0, 0, 0, 0, -1, 158, 0, 0, 793, -1, 0, 0 },
	{ "_T_global_def",  "_T_global_def", 0, 0, 0, 0, -1, 159, 0, 0, 794, -1, 0, 0 },
	{ "_T_iter_def",  "_T_iter_def", 0, 0, 0, 0, -1, 160, 0, 0, 795, -1, 0, 0 },
	{ "_T_reference_type_ref",  "_T_reference_type_ref", 0, 0, 0, 0, -1, 161, 0, 0, 796, -1, 0, 0 },
	{ "_T_param_var_def_seq",  "_T_param_var_def_seq", 0, 0, 0, 0, -1, 162, 0, 0, 797, -1, 0, 0 },
	{ "_T_param_var_def_list",  "_T_param_var_def_list", 0, 0, 0, 0, -1, 163, 0, 0, 798, -1, 0, 0 },
	{ "_T_param_var_def",  "_T_param_var_def", 0, 0, 0, 0, -1, 164, 0, 0, 799, -1, 0, 0 },
	{ "_T_opt_export",  "_T_opt_export", 0, 0, 0, 0, -1, 165, 0, 0, 800, -1, 0, 0 },
	{ "_T_function_def",  "_T_function_def", 0, 0, 0, 0, -1, 166, 0, 0, 801, -1, 0, 0 },
	{ "_T_in_host_def",  "_T_in_host_def", 0, 0, 0, 0, -1, 167, 0, 0, 802, -1, 0, 0 },
	{ "_T_struct_var_def",  "_T_struct_var_def", 0, 0, 0, 0, -1, 168, 0, 0, 803, -1, 0, 0 },
	{ "_T_struct_key",  "_T_struct_key", 0, 0, 0, 0, -1, 169, 0, 0, 804, -1, 0, 0 },
	{ "_T_struct_def",  "_T_struct_def", 0, 0, 0, 0, -1, 170, 0, 0, 805, -1, 0, 0 },
	{ "_T_literal_def",  "_T_literal_def", 0, 0, 0, 0, -1, 171, 0, 0, 806, -1, 0, 0 },
	{ "_T_literal_list",  "_T_literal_list", 0, 0, 0, 0, -1, 172, 0, 0, 807, -1, 0, 0 },
	{ "_T_literal_item",  "_T_literal_item", 0, 0, 0, 0, -1, 173, 0, 0, 808, -1, 0, 0 },
	{ "_T_no_ignore_left",  "_T_no_ignore_left", 0, 0, 0, 0, -1, 174, 0, 0, 809, -1, 0, 0 },
	{ "_T_no_ignore_right",  "_T_no_ignore_right", 0, 0, 0, 0, -1, 175, 0, 0, 810, -1, 0, 0 },
	{ "_T_reduction_def",  "_T_reduction_def", 0, 0, 0, 0, -1, 176, 0, 0, 811, -1, 0, 0 },
	{ "_T_red_nonterm",  "_T_red_nonterm", 0, 0, 0, 0, -1, 189, 0, 0, 812, -1, 0, 0 },
	{ "_T_red_action",  "_T_red_action", 0, 0, 0, 0, -1, 190, 0, 0, 813, -1, 0, 0 },
	{ "_T_host_item",  "_T_host_item", 0, 0, 0, 0, -1, 191, 0, 0, 814, -1, 0, 0 },
	{ "_T_reduction_item",  "_T_reduction_item", 0, 0, 0, 0, -1, 192, 0, 0, 815, -1, 0, 0 },
	{ "_T_namespace_def",  "_T_namespace_def", 0, 0, 0, 0, -1, 193, 0, 0, 816, -1, 0, 0 },
	{ "_T_namespace_item",  "_T_namespace_item", 0, 0, 0, 0, -1, 194, 0, 0, 817, -1, 0, 0 },
	{ "_T_obj_var_list",  "_T_obj_var_list", 0, 0, 0, 0, -1, 195, 0, 0, 818, -1, 0, 0 },
	{ "_T_opt_reduce_first",  "_T_opt_reduce_first", 0, 0, 0, 0, -1, 196, 0, 0, 819, -1, 0, 0 },
	{ "_T_cfl_def",  "_T_cfl_def", 0, 0, 0, 0, -1, 197, 0, 0, 820, -1, 0, 0 },
	{ "_T_region_def",  "_T_region_def", 0, 0, 0, 0, -1, 198, 0, 0, 821, -1, 0, 0 },
	{ "_T_rl_def",  "_T_rl_def", 0, 0, 0, 0, -1, 199, 0, 0, 822, -1, 0, 0 },
	{ "_T_opt_lex_expr",  "_T_opt_lex_expr", 0, 0, 0, 0, -1, 200, 0, 0, 823, -1, 0, 0 },
	{ "_T_token_def",  "_T_token_def", 0, 0, 0, 0, -1, 201, 0, 0, 824, -1, 0, 0 },
	{ "_T_ic_def",  "_T_ic_def", 0, 0, 0, 0, -1, 202, 0, 0, 825, -1, 0, 0 },
	{ "_T_opt_translate",  "_T_opt_translate", 0, 0, 0, 0, -1, 203, 0, 0, 826, -1, 0, 0 },
	{ "_T_opt_id",  "_T_opt_id", 0, 0, 0, 0, -1, 204, 0, 0, 827, -1, 0, 0 },
	{ "_T_ignore_def",  "_T_ignore_def", 0, 0, 0, 0, -1, 205, 0, 0, 828, -1, 0, 0 },
	{ "_T_prod_el",  "_T_prod_el", 0, 0, 0, 0, -1, 206, 0, 0, 829, -1, 0, 0 },
	{ "_T_opt_prod_el_name",  "_T_opt_prod_el_name", 0, 0, 0, 0, -1, 207, 0, 0, 830, -1, 0, 0 },
	{ "_T_prod_el_list",  "_T_prod_el_list", 0, 0, 0, 0, -1, 208, 0, 0, 831, -1, 0, 0 },
	{ "_T_opt_commit",  "_T_opt_commit", 0, 0, 0, 0, -1, 209, 0, 0, 832, -1, 0, 0 },
	{ "_T_opt_prod_name",  "_T_opt_prod_name", 0, 0, 0, 0, -1, 210, 0, 0, 833, -1, 0, 0 },
	{ "_T_prod",  "_T_prod", 0, 0, 0, 0, -1, 211, 0, 0, 834, -1, 0, 0 },
	{ "_T_opt_reduce",  "_T_opt_reduce", 0, 0, 0, 0, -1, 212, 0, 0, 835, -1, 0, 0 },
	{ "_T_prod_list",  "_T_prod_list", 0, 0, 0, 0, -1, 213, 0, 0, 836, -1, 0, 0 },
	{ "_T_case_clause",  "_T_case_clause", 0, 0, 0, 0, -1, 214, 0, 0, 837, -1, 0, 0 },
	{ "_T_default_clause",  "_T_default_clause", 0, 0, 0, 0, -1, 215, 0, 0, 838, -1, 0, 0 },
	{ "_T_case_clause_list",  "_T_case_clause_list", 0, 0, 0, 0, -1, 216, 0, 0, 839, -1, 0, 0 },
	{ "_T_statement",  "_T_statement", 0, 0, 0, 0, -1, 217, 0, 0, 840, -1, 0, 0 },
	{ "_T_elsif_list",  "_T_elsif_list", 0, 0, 0, 0, -1, 218, 0, 0, 841, -1, 0, 0 },
	{ "_T_elsif_clause",  "_T_elsif_clause", 0, 0, 0, 0, -1, 219, 0, 0, 842, -1, 0, 0 },
	{ "_T_optional_else",  "_T_optional_else", 0, 0, 0, 0, -1, 220, 0, 0, 843, -1, 0, 0 },
	{ "_T_call_arg_seq",  "_T_call_arg_seq", 0, 0, 0, 0, -1, 221, 0, 0, 844, -1, 0, 0 },
	{ "_T_call_arg_list",  "_T_call_arg_list", 0, 0, 0, 0, -1, 222, 0, 0, 845, -1, 0, 0 },
	{ "_T_iter_call",  "_T_iter_call", 0, 0, 0, 0, -1, 223, 0, 0, 846, -1, 0, 0 },
	{ "_T_block_or_single",  "_T_block_or_single", 0, 0, 0, 0, -1, 224, 0, 0, 847, -1, 0, 0 },
	{ "_T_require_pattern",  "_T_require_pattern", 0, 0, 0, 0, -1, 225, 0, 0, 848, -1, 0, 0 },
	{ "_T_opt_require_stmt",  "_T_opt_require_stmt", 0, 0, 0, 0, -1, 226, 0, 0, 849, -1, 0, 0 },
	{ "_T_lang_stmt_list",  "_T_lang_stmt_list", 0, 0, 0, 0, -1, 227, 0, 0, 850, -1, 0, 0 },
	{ "_T_opt_def_init",  "_T_opt_def_init", 0, 0, 0, 0, -1, 228, 0, 0, 851, -1, 0, 0 },
	{ "_T_var_def",  "_T_var_def", 0, 0, 0, 0, -1, 229, 0, 0, 852, -1, 0, 0 },
	{ "_T_print_stmt",  "_T_print_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 853, -1, 0, 0 },
	{ "_T_expr_stmt",  "_T_expr_stmt", 0, 0, 0, 0, -1, 231, 0, 0, 854, -1, 0, 0 },
	{ "_T_code_expr",  "_T_code_expr", 0, 0, 0, 0, -1, 232, 0, 0, 855, -1, 0, 0 },
	{ "_T_code_relational",  "_T_code_relational", 0, 0, 0, 0, -1, 233, 0, 0, 856, -1, 0, 0 },
	{ "_T_code_additive",  "_T_code_additive", 0, 0, 0, 0, -1, 234, 0, 0, 857, -1, 0, 0 },
	{ "_T_code_multiplicitive",  "_T_code_multiplicitive", 0, 0, 0, 0, -1, 235, 0, 0, 858, -1, 0, 0 },
	{ "_T_code_unary",  "_T_code_unary", 0, 0, 0, 0, -1, 236, 0, 0, 859, -1, 0, 0 },
	{ "_T_opt_eos",  "_T_opt_eos", 0, 0, 0, 0, -1, 237, 0, 0, 860, -1, 0, 0 },
	{ "_T_code_factor",  "_T_code_factor", 0, 0, 0, 0, -1, 238, 0, 0, 861, -1, 0, 0 },
	{ "_T_type_ref",  "_T_type_ref", 0, 0, 0, 0, -1, 239, 0, 0, 862, -1, 0, 0 },
	{ "_T_region_qual",  "_T_region_qual", 0, 0, 0, 0, -1, 240, 0, 0, 863, -1, 0, 0 },
	{ "_T_opt_repeat",  "_T_opt_repeat", 0, 0, 0, 0, -1, 241, 0, 0, 864, -1, 0, 0 },
	{ "_T_opt_capture",  "_T_opt_capture", 0, 0, 0, 0, -1, 242, 0, 0, 865, -1, 0, 0 },
	{ "_T_opt_field_init",  "_T_opt_field_init", 0, 0, 0, 0, -1, 243, 0, 0, 866, -1, 0, 0 },
	{ "_T_field_init",  "_T_field_init", 0, 0, 0, 0, -1, 244, 0, 0, 867, -1, 0, 0 },
	{ "_T_stmt_or_factor",  "_T_stmt_or_factor", 0, 0, 0, 0, -1, 245, 0, 0, 868, -1, 0, 0 },
	{ "_T_opt_label",  "_T_opt_label", 0, 0, 0, 0, -1, 246, 0, 0, 869, -1, 0, 0 },
	{ "_T_dq_lit_term",  "_T_dq_lit_term", 0, 0, 0, 0, -1, 247, 0, 0, 870, -1, 0, 0 },
	{ "_T_sq_lit_term",  "_T_sq_lit_term", 0, 0, 0, 0, -1, 248, 0, 0, 871, -1, 0, 0 },
	{ "_T_opt_tilde_data",  "_T_opt_tilde_data", 0, 0, 0, 0, -1, 249, 0, 0, 872, -1, 0, 0 },
	{ "_T_pattern_el_lel",  "_T_pattern_el_lel", 0, 0, 0, 0, -1, 250, 0, 0, 873, -1, 0, 0 },
	{ "_T_pattern_el",  "_T_pattern_el", 0, 0, 0, 0, -1, 251, 0, 0, 874, -1, 0, 0 },
	{ "_T_litpat_el",  "_T_litpat_el", 0, 0, 0, 0, -1, 252, 0, 0, 875, -1, 0, 0 },
	{ "_T_pattern_top_el",  "_T_pattern_top_el", 0, 0, 0, 0, -1, 253, 0, 0, 876, -1, 0, 0 },
	{ "_T_pattern_list",  "_T_pattern_list", 0, 0, 0, 0, -1, 254, 0, 0, 877, -1, 0, 0 },
	{ "_T_pattern",  "_T_pattern", 0, 0, 0, 0, -1, 255, 0, 0, 878, -1, 0, 0 },
	{ "_T_opt_no_trim",  "_T_opt_no_trim", 0, 0, 0, 0, -1, 256, 0, 0, 879, -1, 0, 0 },
	{ "_T_E1",  "_T_E1", 0, 0, 0, 0, -1, 257, 0, 0, 880, -1, 0, 0 },
	{ "_T_E2",  "_T_E2", 0, 0, 0, 0, -1, 258, 0, 0, 881, -1, 0, 0 },
	{ "_T_E3",  "_T_E3", 0, 0, 0, 0, -1, 259, 0, 0, 882, -1, 0, 0 },
	{ "_T_E4",  "_T_E4", 0, 0, 0, 0, -1, 260, 0, 0, 883, -1, 0, 0 },
	{ "_T_cons_el",  "_T_cons_el", 0, 0, 0, 0, -1, 261, 0, 0, 884, -1, 0, 0 },
	{ "_T_lit_cons_el",  "_T_lit_cons_el", 0, 0, 0, 0, -1, 262, 0, 0, 885, -1, 0, 0 },
	{ "_T_cons_top_el",  "_T_cons_top_el", 0, 0, 0, 0, -1, 263, 0, 0, 886, -1, 0, 0 },
	{ "_T_cons_list",  "_T_cons_list", 0, 0, 0, 0, -1, 264, 0, 0, 887, -1, 0, 0 },
	{ "_T_constructor",  "_T_constructor", 0, 0, 0, 0, -1, 265, 0, 0, 888, -1, 0, 0 },
	{ "_T_accum_el",  "_T_accum_el", 0, 0, 0, 0, -1, 266, 0, 0, 889, -1, 0, 0 },
	{ "_T_lit_accum_el",  "_T_lit_accum_el", 0, 0, 0, 0, -1, 267, 0, 0, 890, -1, 0, 0 },
	{ "_T_accum_top_el",  "_T_accum_top_el", 0, 0, 0, 0, -1, 268, 0, 0, 891, -1, 0, 0 },
	{ "_T_accum_list",  "_T_accum_list", 0, 0, 0, 0, -1, 269, 0, 0, 892, -1, 0, 0 },
	{ "_T_accumulate",  "_T_accumulate", 0, 0, 0, 0, -1, 270, 0, 0, 893, -1, 0, 0 },
	{ "_T_string_el",  "_T_string_el", 0, 0, 0, 0, -1, 271, 0, 0, 894, -1, 0, 0 },
	{ "_T_lit_string_el",  "_T_lit_string_el", 0, 0, 0, 0, -1, 272, 0, 0, 895, -1, 0, 0 },
	{ "_T_string_top_el",  "_T_string_top_el", 0, 0, 0, 0, -1, 273, 0, 0, 896, -1, 0, 0 },
	{ "_T_string_list",  "_T_string_list", 0, 0, 0, 0, -1, 274, 0, 0, 897, -1, 0, 0 },
	{ "_T_string",  "_T_string", 0, 0, 0, 0, -1, 275, 0, 0, 898, -1, 0, 0 },
	{ "_T_var_ref",  "_T_var_ref", 0, 0, 0, 0, -1, 276, 0, 0, 899, -1, 0, 0 },
	{ "_T_qual",  "_T_qual", 0, 0, 0, 0, -1, 277, 0, 0, 900, -1, 0, 0 },
	{ "_T_lex_expr",  "_T_lex_expr", 0, 0, 0, 0, -1, 278, 0, 0, 901, -1, 0, 0 },
	{ "_T_opt_lex_dot",  "_T_opt_lex_dot", 0, 0, 0, 0, -1, 279, 0, 0, 902, -1, 0, 0 },
	{ "_T_lex_term",  "_T_lex_term", 0, 0, 0, 0, -1, 280, 0, 0, 903, -1, 0, 0 },
	{ "_T_lex_factor_rep",  "_T_lex_factor_rep", 0, 0, 0, 0, -1, 281, 0, 0, 904, -1, 0, 0 },
	{ "_T_lex_factor_neg",  "_T_lex_factor_neg", 0, 0, 0, 0, -1, 282, 0, 0, 905, -1, 0, 0 },
	{ "_T_lex_range_lit",  "_T_lex_range_lit", 0, 0, 0, 0, -1, 283, 0, 0, 906, -1, 0, 0 },
	{ "_T_lex_num",  "_T_lex_num", 0, 0, 0, 0, -1, 284, 0, 0, 907, -1, 0, 0 },
	{ "_T_lex_factor",  "_T_lex_factor", 0, 0, 0, 0, -1, 285, 0, 0, 908, -1, 0, 0 },
	{ "_T_reg_or_data",  "_T_reg_or_data", 0, 0, 0, 0, -1, 286, 0, 0, 909, -1, 0, 0 },
	{ "_T_reg_or_char",  "_T_reg_or_char", 0, 0, 0, 0, -1, 287, 0, 0, 910, -1, 0, 0 },
	{ "_T__repeat_root_item",  "_T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 911, -1, 0, 0 },
	{ "_T__repeat_sq_cons_data",  "_T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 912, -1, 0, 0 },
	{ "_T__repeat_struct_item",  "_T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 913, -1, 0, 0 },
	{ "_T__repeat_reduction_item",  "_T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 914, -1, 0, 0 },
	{ "_T__repeat_host_item",  "_T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 915, -1, 0, 0 },
	{ "_T__repeat_namespace_item",  "_T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 916, -1, 0, 0 },
	{ "_T__repeat_var_def",  "_T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 917, -1, 0, 0 },
	{ "_T__repeat_statement",  "_T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 918, -1, 0, 0 },
	{ "_T__repeat_field_init",  "_T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 919, -1, 0, 0 },
	{ "_T__repeat_litpat_el",  "_T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 920, -1, 0, 0 },
	{ "_T__repeat_pattern_el",  "_T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 921, -1, 0, 0 },
	{ "_T__repeat_lit_cons_el",  "_T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 922, -1, 0, 0 },
	{ "_T__repeat_cons_el",  "_T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 923, -1, 0, 0 },
	{ "_T__repeat_lit_accum_el",  "_T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 924, -1, 0, 0 },
	{ "_T__repeat_accum_el",  "_T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 925, -1, 0, 0 },
	{ "_T__repeat_lit_string_el",  "_T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 926, -1, 0, 0 },
	{ "_T__repeat_string_el",  "_T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 927, -1, 0, 0 },
	{ "_eof_ptr",  "_eof_ptr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_str",  "_eof_str", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_il",  "_eof_il", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_any",  "_eof_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEF",  "_eof_DEF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX",  "_eof_LEX", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_END",  "_eof_END", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TOKEN",  "_eof_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RL",  "_eof_RL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IGNORE",  "_eof_IGNORE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINT",  "_eof_PRINT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PRINTS",  "_eof_PRINTS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE",  "_eof_PARSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCE",  "_eof_REDUCE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_READ_REDUCE",  "_eof_READ_REDUCE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_TREE",  "_eof_PARSE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSE_STOP",  "_eof_PARSE_STOP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS",  "_eof_CONS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MATCH",  "_eof_MATCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REQUIRE",  "_eof_REQUIRE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND",  "_eof_SEND", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SEND_TREE",  "_eof_SEND_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NAMESPACE",  "_eof_NAMESPACE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCTION",  "_eof_REDUCTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FOR",  "_eof_FOR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IF",  "_eof_IF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_YIELD",  "_eof_YIELD", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_WHILE",  "_eof_WHILE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSIF",  "_eof_ELSIF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ELSE",  "_eof_ELSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_IN",  "_eof_IN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PARSER",  "_eof_PARSER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST",  "_eof_LIST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIST_EL",  "_eof_LIST_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP",  "_eof_MAP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAP_EL",  "_eof_MAP_EL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PTR",  "_eof_PTR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ITER",  "_eof_ITER", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REF",  "_eof_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EXPORT",  "_eof_EXPORT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RETURN",  "_eof_RETURN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BREAK",  "_eof_BREAK", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REJECT",  "_eof_REJECT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_REDUCEFIRST",  "_eof_REDUCEFIRST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ALIAS",  "_eof_ALIAS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMIT",  "_eof_COMMIT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEW",  "_eof_NEW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PREEOF",  "_eof_PREEOF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GLOBAL",  "_eof_GLOBAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EOS",  "_eof_EOS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CAST",  "_eof_CAST", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SWITCH",  "_eof_SWITCH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CASE",  "_eof_CASE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DEFAULT",  "_eof_DEFAULT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INT",  "_eof_INT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BOOL",  "_eof_BOOL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_VOID",  "_eof_VOID", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TOKEN",  "_eof_MAKE_TOKEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MAKE_TREE",  "_eof_MAKE_TREE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TYPEID",  "_eof_TYPEID", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LITERAL",  "_eof_LITERAL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONTEXT",  "_eof_CONTEXT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STRUCT",  "_eof_STRUCT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NI",  "_eof_NI", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NIL",  "_eof_NIL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TRUE",  "_eof_TRUE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FALSE",  "_eof_FALSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEFT",  "_eof_LEFT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RIGHT",  "_eof_RIGHT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NONASSOC",  "_eof_NONASSOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_INCLUDE",  "_eof_INCLUDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_id",  "_eof_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_number",  "_eof_number", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_backtick_lit",  "_eof_backtick_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DQ",  "_eof_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQ",  "_eof_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE",  "_eof_TILDE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQOPEN",  "_eof_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_SQCLOSE",  "_eof_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BAR",  "_eof_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_FSLASH",  "_eof_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COLON",  "_eof_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOUBLE_COLON",  "_eof_DOUBLE_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOT",  "_eof_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ARROW",  "_eof_ARROW", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_POPEN",  "_eof_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PCLOSE",  "_eof_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COPEN",  "_eof_COPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CCLOSE",  "_eof_CCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_STAR",  "_eof_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_QUESTION",  "_eof_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQUALS",  "_eof_EQUALS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_EQEQ",  "_eof_EQEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_NEQ",  "_eof_NEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_COMMA",  "_eof_COMMA", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LT",  "_eof_LT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GT",  "_eof_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LTEQ",  "_eof_LTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_GTEQ",  "_eof_GTEQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BANG",  "_eof_BANG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_DOLLAR",  "_eof_DOLLAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CARET",  "_eof_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_AT",  "_eof_AT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PERCENT",  "_eof_PERCENT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_PLUS",  "_eof_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_MINUS",  "_eof_MINUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_AMPAMP",  "_eof_AMPAMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_BARBAR",  "_eof_BARBAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00d1",  "_eof__ignore_00d1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_00d3",  "_eof__ignore_00d3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_DQ",  "_eof_LIT_DQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_DQ_NL",  "_eof_LIT_DQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_SQOPEN",  "_eof_LIT_SQOPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LIT_SQCLOSE",  "_eof_LIT_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_dq_data",  "_eof_lit_dq_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ",  "_eof_CONS_SQ", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_CONS_SQ_NL",  "_eof_CONS_SQ_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_cons_data",  "_eof_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_TILDE_NL",  "_eof_TILDE_NL", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_tilde_data",  "_eof_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_id",  "_eof_lex_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_uint",  "_eof_lex_uint", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_hex",  "_eof_lex_hex", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_lit",  "_eof_lex_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOT",  "_eof_LEX_DOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_BAR",  "_eof_LEX_BAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_AMP",  "_eof_LEX_AMP", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASH",  "_eof_LEX_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_POPEN",  "_eof_LEX_POPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PCLOSE",  "_eof_LEX_PCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STAR",  "_eof_LEX_STAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_STARSTAR",  "_eof_LEX_STARSTAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_QUESTION",  "_eof_LEX_QUESTION", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_PLUS",  "_eof_LEX_PLUS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_CARET",  "_eof_LEX_CARET", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DOTDOT",  "_eof_LEX_DOTDOT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_POS",  "_eof_LEX_SQOPEN_POS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_SQOPEN_NEG",  "_eof_LEX_SQOPEN_NEG", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_FSLASH",  "_eof_LEX_FSLASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_DASHDASH",  "_eof_LEX_DASHDASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GT",  "_eof_LEX_COLON_GT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_COLON_GTGT",  "_eof_LEX_COLON_GTGT", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_LEX_LT_COLON",  "_eof_LEX_LT_COLON", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0117",  "_eof__ignore_0117", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ignore_0119",  "_eof__ignore_0119", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_DASH",  "_eof_RE_DASH", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_CHAR",  "_eof_RE_CHAR", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RE_SQCLOSE",  "_eof_RE_SQCLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_OPEN",  "_eof_RED_OPEN", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_CLOSE",  "_eof_RED_CLOSE", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_id",  "_eof_red_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_comment",  "_eof_red_comment", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_ws",  "_eof_red_ws", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_lit",  "_eof_red_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_LHS",  "_eof_RED_LHS", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_REF",  "_eof_RED_RHS_REF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_LOC",  "_eof_RED_RHS_LOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NREF",  "_eof_RED_RHS_NREF", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_RED_RHS_NLOC",  "_eof_RED_RHS_NLOC", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_any",  "_eof_red_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_start",  "_eof_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_root_item",  "_eof_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_include",  "_eof_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_precedence_def",  "_eof_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_type",  "_eof_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token_list",  "_eof_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pred_token",  "_eof_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pre_eof_def",  "_eof_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_alias_def",  "_eof_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_item",  "_eof_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_export_def",  "_eof_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_global_def",  "_eof_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_def",  "_eof_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reference_type_ref",  "_eof_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_seq",  "_eof_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def_list",  "_eof_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_param_var_def",  "_eof_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_export",  "_eof_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_function_def",  "_eof_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_in_host_def",  "_eof_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_var_def",  "_eof_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_key",  "_eof_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_struct_def",  "_eof_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_def",  "_eof_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_list",  "_eof_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_literal_item",  "_eof_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_left",  "_eof_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_no_ignore_right",  "_eof_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_def",  "_eof_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_nonterm",  "_eof_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_red_action",  "_eof_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_host_item",  "_eof_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reduction_item",  "_eof_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_def",  "_eof_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_namespace_item",  "_eof_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_obj_var_list",  "_eof_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce_first",  "_eof_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cfl_def",  "_eof_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_def",  "_eof_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_rl_def",  "_eof_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_expr",  "_eof_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_token_def",  "_eof_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ic_def",  "_eof_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_translate",  "_eof_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_id",  "_eof_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_ignore_def",  "_eof_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el",  "_eof_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_el_name",  "_eof_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_el_list",  "_eof_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_commit",  "_eof_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_prod_name",  "_eof_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod",  "_eof_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_reduce",  "_eof_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_prod_list",  "_eof_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause",  "_eof_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_default_clause",  "_eof_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_case_clause_list",  "_eof_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_statement",  "_eof_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_list",  "_eof_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_elsif_clause",  "_eof_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_optional_else",  "_eof_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_seq",  "_eof_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_call_arg_list",  "_eof_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_iter_call",  "_eof_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_block_or_single",  "_eof_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_require_pattern",  "_eof_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_require_stmt",  "_eof_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lang_stmt_list",  "_eof_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_def_init",  "_eof_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_def",  "_eof_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_print_stmt",  "_eof_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_expr_stmt",  "_eof_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_expr",  "_eof_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_relational",  "_eof_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_additive",  "_eof_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_multiplicitive",  "_eof_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_unary",  "_eof_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_eos",  "_eof_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_code_factor",  "_eof_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_type_ref",  "_eof_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_region_qual",  "_eof_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_repeat",  "_eof_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_capture",  "_eof_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_field_init",  "_eof_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_field_init",  "_eof_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_stmt_or_factor",  "_eof_stmt_or_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_label",  "_eof_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_dq_lit_term",  "_eof_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_sq_lit_term",  "_eof_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_tilde_data",  "_eof_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el_lel",  "_eof_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_el",  "_eof_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_litpat_el",  "_eof_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_top_el",  "_eof_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern_list",  "_eof_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_pattern",  "_eof_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_no_trim",  "_eof_opt_no_trim", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E1",  "_eof_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E2",  "_eof_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E3",  "_eof_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_E4",  "_eof_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_el",  "_eof_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_cons_el",  "_eof_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_top_el",  "_eof_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_cons_list",  "_eof_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_constructor",  "_eof_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_el",  "_eof_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_accum_el",  "_eof_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_top_el",  "_eof_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accum_list",  "_eof_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_accumulate",  "_eof_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_el",  "_eof_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lit_string_el",  "_eof_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_top_el",  "_eof_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string_list",  "_eof_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_string",  "_eof_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_var_ref",  "_eof_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_qual",  "_eof_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_expr",  "_eof_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_opt_lex_dot",  "_eof_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_term",  "_eof_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_rep",  "_eof_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor_neg",  "_eof_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_range_lit",  "_eof_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_num",  "_eof_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_lex_factor",  "_eof_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_data",  "_eof_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof_reg_or_char",  "_eof_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x57198fd0",  "_eof__ign_0x57198fd0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x5720f0d0",  "_eof__ign_0x5720f0d0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x57210bf0",  "_eof__ign_0x57210bf0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x57211e50",  "_eof__ign_0x57211e50", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x57212800",  "_eof__ign_0x57212800", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x5721acd0",  "_eof__ign_0x5721acd0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__ign_0x5722cee0",  "_eof__ign_0x5722cee0", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x5720f130_DEF_PAT_1",  "_eof___0x5720f130_DEF_PAT_1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x57210c50_DEF_PAT_2",  "_eof___0x57210c50_DEF_PAT_2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x57211eb0_DEF_PAT_3",  "_eof___0x57211eb0_DEF_PAT_3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x5721ad30_DEF_PAT_4",  "_eof___0x5721ad30_DEF_PAT_4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof___0x5722cf40_DEF_PAT_5",  "_eof___0x5722cf40_DEF_PAT_5", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_root_item",  "_eof__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_sq_cons_data",  "_eof__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_struct_item",  "_eof__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_reduction_item",  "_eof__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_host_item",  "_eof__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_namespace_item",  "_eof__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_var_def",  "_eof__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_statement",  "_eof__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_field_init",  "_eof__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_litpat_el",  "_eof__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_pattern_el",  "_eof__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_cons_el",  "_eof__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_cons_el",  "_eof__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_accum_el",  "_eof__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_accum_el",  "_eof__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_lit_string_el",  "_eof__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__repeat_string_el",  "_eof__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_any",  "_eof__T_any", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_start",  "_eof__T_start", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_root_item",  "_eof__T_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_include",  "_eof__T_include", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_precedence_def",  "_eof__T_precedence_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_type",  "_eof__T_pred_type", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token_list",  "_eof__T_pred_token_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pred_token",  "_eof__T_pred_token", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pre_eof_def",  "_eof__T_pre_eof_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_alias_def",  "_eof__T_alias_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_item",  "_eof__T_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_export_def",  "_eof__T_export_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_global_def",  "_eof__T_global_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_def",  "_eof__T_iter_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reference_type_ref",  "_eof__T_reference_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_seq",  "_eof__T_param_var_def_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def_list",  "_eof__T_param_var_def_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_param_var_def",  "_eof__T_param_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_export",  "_eof__T_opt_export", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_function_def",  "_eof__T_function_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_in_host_def",  "_eof__T_in_host_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_var_def",  "_eof__T_struct_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_key",  "_eof__T_struct_key", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_struct_def",  "_eof__T_struct_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_def",  "_eof__T_literal_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_list",  "_eof__T_literal_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_literal_item",  "_eof__T_literal_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_left",  "_eof__T_no_ignore_left", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_no_ignore_right",  "_eof__T_no_ignore_right", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_def",  "_eof__T_reduction_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_nonterm",  "_eof__T_red_nonterm", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_red_action",  "_eof__T_red_action", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_host_item",  "_eof__T_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reduction_item",  "_eof__T_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_def",  "_eof__T_namespace_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_namespace_item",  "_eof__T_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_obj_var_list",  "_eof__T_obj_var_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce_first",  "_eof__T_opt_reduce_first", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cfl_def",  "_eof__T_cfl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_def",  "_eof__T_region_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_rl_def",  "_eof__T_rl_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_expr",  "_eof__T_opt_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_token_def",  "_eof__T_token_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ic_def",  "_eof__T_ic_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_translate",  "_eof__T_opt_translate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_id",  "_eof__T_opt_id", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_ignore_def",  "_eof__T_ignore_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el",  "_eof__T_prod_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_el_name",  "_eof__T_opt_prod_el_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_el_list",  "_eof__T_prod_el_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_commit",  "_eof__T_opt_commit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_prod_name",  "_eof__T_opt_prod_name", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod",  "_eof__T_prod", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_reduce",  "_eof__T_opt_reduce", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_prod_list",  "_eof__T_prod_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause",  "_eof__T_case_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_default_clause",  "_eof__T_default_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_case_clause_list",  "_eof__T_case_clause_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_statement",  "_eof__T_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_list",  "_eof__T_elsif_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_elsif_clause",  "_eof__T_elsif_clause", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_optional_else",  "_eof__T_optional_else", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_seq",  "_eof__T_call_arg_seq", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_call_arg_list",  "_eof__T_call_arg_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_iter_call",  "_eof__T_iter_call", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_block_or_single",  "_eof__T_block_or_single", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_require_pattern",  "_eof__T_require_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_require_stmt",  "_eof__T_opt_require_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lang_stmt_list",  "_eof__T_lang_stmt_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_def_init",  "_eof__T_opt_def_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_def",  "_eof__T_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_print_stmt",  "_eof__T_print_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_expr_stmt",  "_eof__T_expr_stmt", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_expr",  "_eof__T_code_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_relational",  "_eof__T_code_relational", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_additive",  "_eof__T_code_additive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_multiplicitive",  "_eof__T_code_multiplicitive", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_unary",  "_eof__T_code_unary", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_eos",  "_eof__T_opt_eos", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_code_factor",  "_eof__T_code_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_type_ref",  "_eof__T_type_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_region_qual",  "_eof__T_region_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_repeat",  "_eof__T_opt_repeat", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_capture",  "_eof__T_opt_capture", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_field_init",  "_eof__T_opt_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_field_init",  "_eof__T_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_stmt_or_factor",  "_eof__T_stmt_or_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_label",  "_eof__T_opt_label", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_dq_lit_term",  "_eof__T_dq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_sq_lit_term",  "_eof__T_sq_lit_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_tilde_data",  "_eof__T_opt_tilde_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el_lel",  "_eof__T_pattern_el_lel", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_el",  "_eof__T_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_litpat_el",  "_eof__T_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_top_el",  "_eof__T_pattern_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern_list",  "_eof__T_pattern_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_pattern",  "_eof__T_pattern", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_no_trim",  "_eof__T_opt_no_trim", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E1",  "_eof__T_E1", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E2",  "_eof__T_E2", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E3",  "_eof__T_E3", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_E4",  "_eof__T_E4", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_el",  "_eof__T_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_cons_el",  "_eof__T_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_top_el",  "_eof__T_cons_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_cons_list",  "_eof__T_cons_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_constructor",  "_eof__T_constructor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_el",  "_eof__T_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_accum_el",  "_eof__T_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_top_el",  "_eof__T_accum_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accum_list",  "_eof__T_accum_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_accumulate",  "_eof__T_accumulate", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_el",  "_eof__T_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lit_string_el",  "_eof__T_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_top_el",  "_eof__T_string_top_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string_list",  "_eof__T_string_list", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_string",  "_eof__T_string", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_var_ref",  "_eof__T_var_ref", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_qual",  "_eof__T_qual", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_expr",  "_eof__T_lex_expr", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_opt_lex_dot",  "_eof__T_opt_lex_dot", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_term",  "_eof__T_lex_term", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_rep",  "_eof__T_lex_factor_rep", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor_neg",  "_eof__T_lex_factor_neg", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_range_lit",  "_eof__T_lex_range_lit", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_num",  "_eof__T_lex_num", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_lex_factor",  "_eof__T_lex_factor", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_data",  "_eof__T_reg_or_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T_reg_or_char",  "_eof__T_reg_or_char", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_root_item",  "_eof__T__repeat_root_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_sq_cons_data",  "_eof__T__repeat_sq_cons_data", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_struct_item",  "_eof__T__repeat_struct_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_reduction_item",  "_eof__T__repeat_reduction_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_host_item",  "_eof__T__repeat_host_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_namespace_item",  "_eof__T__repeat_namespace_item", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_var_def",  "_eof__T__repeat_var_def", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_statement",  "_eof__T__repeat_statement", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_field_init",  "_eof__T__repeat_field_init", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_litpat_el",  "_eof__T__repeat_litpat_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_pattern_el",  "_eof__T__repeat_pattern_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_cons_el",  "_eof__T__repeat_lit_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_cons_el",  "_eof__T__repeat_cons_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_accum_el",  "_eof__T__repeat_lit_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_accum_el",  "_eof__T__repeat_accum_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_lit_string_el",  "_eof__T__repeat_lit_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_eof__T__repeat_string_el",  "_eof__T__repeat_string_el", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "_notoken",  "_notoken", 0, 0, 0, 1, -1, 0, 0, 0, 0, -1, 0, 0 },
	{ "any",  "any", 0, 0, 0, 0, -1, 0, 0, 0, 172, -1, 0, 0 },
	{ "start",  "start", 0, 0, 0, 0, -1, 148, 0, 0, 173, -1, 0, 0 },
	{ "root_item",  "root_item", 0, 0, 0, 0, -1, 149, 0, 0, 174, -1, 0, 0 },
	{ "include",  "include", 0, 0, 0, 0, -1, 150, 0, 0, 175, -1, 0, 0 },
	{ "precedence_def",  "precedence_def", 0, 0, 0, 0, -1, 151, 0, 0, 176, -1, 0, 0 },
	{ "pred_type",  "pred_type", 0, 0, 0, 0, -1, 152, 0, 0, 177, -1, 0, 0 },
	{ "pred_token_list",  "pred_token_list", 0, 0, 0, 0, -1, 153, 0, 0, 178, -1, 0, 0 },
	{ "pred_token",  "pred_token", 0, 0, 0, 0, -1, 154, 0, 0, 179, -1, 0, 0 },
	{ "pre_eof_def",  "pre_eof_def", 0, 0, 0, 0, -1, 155, 0, 0, 180, -1, 0, 0 },
	{ "alias_def",  "alias_def", 0, 0, 0, 0, -1, 156, 0, 0, 181, -1, 0, 0 },
	{ "struct_item",  "struct_item", 0, 0, 0, 0, -1, 157, 0, 0, 182, -1, 0, 0 },
	{ "export_def",  "export_def", 0, 0, 0, 0, -1, 158, 0, 0, 183, -1, 0, 0 },
	{ "global_def",  "global_def", 0, 0, 0, 0, -1, 159, 0, 0, 184, -1, 0, 0 },
	{ "iter_def",  "iter_def", 0, 0, 0, 0, -1, 160, 0, 0, 185, -1, 0, 0 },
	{ "reference_type_ref",  "reference_type_ref", 0, 0, 0, 0, -1, 161, 0, 0, 186, -1, 0, 0 },
	{ "param_var_def_seq",  "param_var_def_seq", 0, 0, 0, 0, -1, 162, 0, 0, 187, -1, 0, 0 },
	{ "param_var_def_list",  "param_var_def_list", 0, 0, 0, 0, -1, 163, 0, 0, 188, -1, 0, 0 },
	{ "param_var_def",  "param_var_def", 0, 0, 0, 0, -1, 164, 0, 0, 189, -1, 0, 0 },
	{ "opt_export",  "opt_export", 0, 0, 0, 0, -1, 165, 0, 0, 190, -1, 0, 0 },
	{ "function_def",  "function_def", 0, 0, 0, 0, -1, 166, 0, 0, 191, -1, 0, 0 },
	{ "in_host_def",  "in_host_def", 0, 0, 0, 0, -1, 167, 0, 0, 192, -1, 0, 0 },
	{ "struct_var_def",  "struct_var_def", 0, 0, 0, 0, -1, 168, 0, 0, 193, -1, 0, 0 },
	{ "struct_key",  "struct_key", 0, 0, 0, 0, -1, 169, 0, 0, 194, -1, 0, 0 },
	{ "struct_def",  "struct_def", 0, 0, 0, 0, -1, 170, 0, 0, 195, -1, 0, 0 },
	{ "literal_def",  "literal_def", 0, 0, 0, 0, -1, 171, 0, 0, 196, -1, 0, 0 },
	{ "literal_list",  "literal_list", 0, 0, 0, 0, -1, 172, 0, 0, 197, -1, 0, 0 },
	{ "literal_item",  "literal_item", 0, 0, 0, 0, -1, 173, 0, 0, 198, -1, 0, 0 },
	{ "no_ignore_left",  "no_ignore_left", 0, 0, 0, 0, -1, 174, 0, 0, 199, -1, 0, 0 },
	{ "no_ignore_right",  "no_ignore_right", 0, 0, 0, 0, -1, 175, 0, 0, 200, -1, 0, 0 },
	{ "reduction_def",  "reduction_def", 0, 0, 0, 0, -1, 176, 0, 0, 201, -1, 0, 0 },
	{ "red_nonterm",  "red_nonterm", 0, 0, 0, 0, -1, 189, 0, 0, 202, -1, 0, 0 },
	{ "red_action",  "red_action", 0, 0, 0, 0, -1, 190, 0, 0, 203, -1, 0, 0 },
	{ "host_item",  "host_item", 0, 0, 0, 0, -1, 191, 0, 0, 204, -1, 0, 0 },
	{ "reduction_item",  "reduction_item", 0, 0, 0, 0, -1, 192, 0, 0, 205, -1, 0, 0 },
	{ "namespace_def",  "namespace_def", 0, 0, 0, 0, -1, 193, 0, 0, 206, -1, 0, 0 },
	{ "namespace_item",  "namespace_item", 0, 0, 0, 0, -1, 194, 0, 0, 207, -1, 0, 0 },
	{ "obj_var_list",  "obj_var_list", 0, 0, 0, 0, -1, 195, 0, 0, 208, -1, 0, 0 },
	{ "opt_reduce_first",  "opt_reduce_first", 0, 0, 0, 0, -1, 196, 0, 0, 209, -1, 0, 0 },
	{ "cfl_def",  "cfl_def", 0, 0, 0, 0, -1, 197, 0, 0, 210, -1, 0, 0 },
	{ "region_def",  "region_def", 0, 0, 0, 0, -1, 198, 0, 0, 211, -1, 0, 0 },
	{ "rl_def",  "rl_def", 0, 0, 0, 0, -1, 199, 0, 0, 212, -1, 0, 0 },
	{ "opt_lex_expr",  "opt_lex_expr", 0, 0, 0, 0, -1, 200, 0, 0, 213, -1, 0, 0 },
	{ "token_def",  "token_def", 0, 0, 0, 0, -1, 201, 0, 0, 214, -1, 0, 0 },
	{ "ic_def",  "ic_def", 0, 0, 0, 0, -1, 202, 0, 0, 215, -1, 0, 0 },
	{ "opt_translate",  "opt_translate", 0, 0, 0, 0, -1, 203, 0, 0, 216, -1, 0, 0 },
	{ "opt_id",  "opt_id", 0, 0, 0, 0, -1, 204, 0, 0, 217, -1, 0, 0 },
	{ "ignore_def",  "ignore_def", 0, 0, 0, 0, -1, 205, 0, 0, 218, -1, 0, 0 },
	{ "prod_el",  "prod_el", 0, 0, 0, 0, -1, 206, 0, 0, 219, -1, 0, 0 },
	{ "opt_prod_el_name",  "opt_prod_el_name", 0, 0, 0, 0, -1, 207, 0, 0, 220, -1, 0, 0 },
	{ "prod_el_list",  "prod_el_list", 0, 0, 0, 0, -1, 208, 0, 0, 221, -1, 0, 0 },
	{ "opt_commit",  "opt_commit", 0, 0, 0, 0, -1, 209, 0, 0, 222, -1, 0, 0 },
	{ "opt_prod_name",  "opt_prod_name", 0, 0, 0, 0, -1, 210, 0, 0, 223, -1, 0, 0 },
	{ "prod",  "prod", 0, 0, 0, 0, -1, 211, 0, 0, 224, -1, 0, 0 },
	{ "opt_reduce",  "opt_reduce", 0, 0, 0, 0, -1, 212, 0, 0, 225, -1, 0, 0 },
	{ "prod_list",  "prod_list", 0, 0, 0, 0, -1, 213, 0, 0, 226, -1, 0, 0 },
	{ "case_clause",  "case_clause", 0, 0, 0, 0, -1, 214, 0, 0, 227, -1, 0, 0 },
	{ "default_clause",  "default_clause", 0, 0, 0, 0, -1, 215, 0, 0, 228, -1, 0, 0 },
	{ "case_clause_list",  "case_clause_list", 0, 0, 0, 0, -1, 216, 0, 0, 229, -1, 0, 0 },
	{ "statement",  "statement", 0, 0, 0, 0, -1, 217, 0, 0, 230, -1, 0, 0 },
	{ "elsif_list",  "elsif_list", 0, 0, 0, 0, -1, 218, 0, 0, 231, -1, 0, 0 },
	{ "elsif_clause",  "elsif_clause", 0, 0, 0, 0, -1, 219, 0, 0, 232, -1, 0, 0 },
	{ "optional_else",  "optional_else", 0, 0, 0, 0, -1, 220, 0, 0, 233, -1, 0, 0 },
	{ "call_arg_seq",  "call_arg_seq", 0, 0, 0, 0, -1, 221, 0, 0, 234, -1, 0, 0 },
	{ "call_arg_list",  "call_arg_list", 0, 0, 0, 0, -1, 222, 0, 0, 235, -1, 0, 0 },
	{ "iter_call",  "iter_call", 0, 0, 0, 0, -1, 223, 0, 0, 236, -1, 0, 0 },
	{ "block_or_single",  "block_or_single", 0, 0, 0, 0, -1, 224, 0, 0, 237, -1, 0, 0 },
	{ "require_pattern",  "require_pattern", 0, 0, 0, 0, -1, 225, 0, 0, 238, -1, 0, 0 },
	{ "opt_require_stmt",  "opt_require_stmt", 0, 0, 0, 0, -1, 226, 0, 0, 239, -1, 0, 0 },
	{ "lang_stmt_list",  "lang_stmt_list", 0, 0, 0, 0, -1, 227, 0, 0, 240, -1, 0, 0 },
	{ "opt_def_init",  "opt_def_init", 0, 0, 0, 0, -1, 228, 0, 0, 241, -1, 0, 0 },
	{ "var_def",  "var_def", 0, 0, 0, 0, -1, 229, 0, 0, 242, -1, 0, 0 },
	{ "print_stmt",  "print_stmt", 0, 0, 0, 0, -1, 230, 0, 0, 243, -1, 0, 0 },
	{ "expr_stmt",  "expr_stmt", 0, 0, 0, 0, -1, 231, 0, 0, 244, -1, 0, 0 },
	{ "code_expr",  "code_expr", 0, 0, 0, 0, -1, 232, 0, 0, 245, -1, 0, 0 },
	{ "code_relational",  "code_relational", 0, 0, 0, 0, -1, 233, 0, 0, 246, -1, 0, 0 },
	{ "code_additive",  "code_additive", 0, 0, 0, 0, -1, 234, 0, 0, 247, -1, 0, 0 },
	{ "code_multiplicitive",  "code_multiplicitive", 0, 0, 0, 0, -1, 235, 0, 0, 248, -1, 0, 0 },
	{ "code_unary",  "code_unary", 0, 0, 0, 0, -1, 236, 0, 0, 249, -1, 0, 0 },
	{ "opt_eos",  "opt_eos", 0, 0, 0, 0, -1, 237, 0, 0, 250, -1, 0, 0 },
	{ "code_factor",  "code_factor", 0, 0, 0, 0, -1, 238, 0, 0, 251, -1, 0, 0 },
	{ "type_ref",  "type_ref", 0, 0, 0, 0, -1, 239, 0, 0, 252, -1, 0, 0 },
	{ "region_qual",  "region_qual", 0, 0, 0, 0, -1, 240, 0, 0, 253, -1, 0, 0 },
	{ "opt_repeat",  "opt_repeat", 0, 0, 0, 0, -1, 241, 0, 0, 254, -1, 0, 0 },
	{ "opt_capture",  "opt_capture", 0, 0, 0, 0, -1, 242, 0, 0, 255, -1, 0, 0 },
	{ "opt_field_init",  "opt_field_init", 0, 0, 0, 0, -1, 243, 0, 0, 256, -1, 0, 0 },
	{ "field_init",  "field_init", 0, 0, 0, 0, -1, 244, 0, 0, 257, -1, 0, 0 },
	{ "stmt_or_factor",  "stmt_or_factor", 0, 0, 0, 0, -1, 245, 0, 0, 258, -1, 0, 0 },
	{ "opt_label",  "opt_label", 0, 0, 0, 0, -1, 246, 0, 0, 259, -1, 0, 0 },
	{ "dq_lit_term",  "dq_lit_term", 0, 0, 0, 0, -1, 247, 0, 0, 260, -1, 0, 0 },
	{ "sq_lit_term",  "sq_lit_term", 0, 0, 0, 0, -1, 248, 0, 0, 261, -1, 0, 0 },
	{ "opt_tilde_data",  "opt_tilde_data", 0, 0, 0, 0, -1, 249, 0, 0, 262, -1, 0, 0 },
	{ "pattern_el_lel",  "pattern_el_lel", 0, 0, 0, 0, -1, 250, 0, 0, 263, -1, 0, 0 },
	{ "pattern_el",  "pattern_el", 0, 0, 0, 0, -1, 251, 0, 0, 264, -1, 0, 0 },
	{ "litpat_el",  "litpat_el", 0, 0, 0, 0, -1, 252, 0, 0, 265, -1, 0, 0 },
	{ "pattern_top_el",  "pattern_top_el", 0, 0, 0, 0, -1, 253, 0, 0, 266, -1, 0, 0 },
	{ "pattern_list",  "pattern_list", 0, 0, 0, 0, -1, 254, 0, 0, 267, -1, 0, 0 },
	{ "pattern",  "pattern", 0, 0, 0, 0, -1, 255, 0, 0, 268, -1, 0, 0 },
	{ "opt_no_trim",  "opt_no_trim", 0, 0, 0, 0, -1, 256, 0, 0, 269, -1, 0, 0 },
	{ "E1",  "E1", 0, 0, 0, 0, -1, 257, 0, 0, 270, -1, 0, 0 },
	{ "E2",  "E2", 0, 0, 0, 0, -1, 258, 0, 0, 271, -1, 0, 0 },
	{ "E3",  "E3", 0, 0, 0, 0, -1, 259, 0, 0, 272, -1, 0, 0 },
	{ "E4",  "E4", 0, 0, 0, 0, -1, 260, 0, 0, 273, -1, 0, 0 },
	{ "cons_el",  "cons_el", 0, 0, 0, 0, -1, 261, 0, 0, 274, -1, 0, 0 },
	{ "lit_cons_el",  "lit_cons_el", 0, 0, 0, 0, -1, 262, 0, 0, 275, -1, 0, 0 },
	{ "cons_top_el",  "cons_top_el", 0, 0, 0, 0, -1, 263, 0, 0, 276, -1, 0, 0 },
	{ "cons_list",  "cons_list", 0, 0, 0, 0, -1, 264, 0, 0, 277, -1, 0, 0 },
	{ "constructor",  "constructor", 0, 0, 0, 0, -1, 265, 0, 0, 278, -1, 0, 0 },
	{ "accum_el",  "accum_el", 0, 0, 0, 0, -1, 266, 0, 0, 279, -1, 0, 0 },
	{ "lit_accum_el",  "lit_accum_el", 0, 0, 0, 0, -1, 267, 0, 0, 280, -1, 0, 0 },
	{ "accum_top_el",  "accum_top_el", 0, 0, 0, 0, -1, 268, 0, 0, 281, -1, 0, 0 },
	{ "accum_list",  "accum_list", 0, 0, 0, 0, -1, 269, 0, 0, 282, -1, 0, 0 },
	{ "accumulate",  "accumulate", 0, 0, 0, 0, -1, 270, 0, 0, 283, -1, 0, 0 },
	{ "string_el",  "string_el", 0, 0, 0, 0, -1, 271, 0, 0, 284, -1, 0, 0 },
	{ "lit_string_el",  "lit_string_el", 0, 0, 0, 0, -1, 272, 0, 0, 285, -1, 0, 0 },
	{ "string_top_el",  "string_top_el", 0, 0, 0, 0, -1, 273, 0, 0, 286, -1, 0, 0 },
	{ "string_list",  "string_list", 0, 0, 0, 0, -1, 274, 0, 0, 287, -1, 0, 0 },
	{ "string",  "string", 0, 0, 0, 0, -1, 275, 0, 0, 288, -1, 0, 0 },
	{ "var_ref",  "var_ref", 0, 0, 0, 0, -1, 276, 0, 0, 289, -1, 0, 0 },
	{ "qual",  "qual", 0, 0, 0, 0, -1, 277, 0, 0, 290, -1, 0, 0 },
	{ "lex_expr",  "lex_expr", 0, 0, 0, 0, -1, 278, 0, 0, 291, -1, 0, 0 },
	{ "opt_lex_dot",  "opt_lex_dot", 0, 0, 0, 0, -1, 279, 0, 0, 292, -1, 0, 0 },
	{ "lex_term",  "lex_term", 0, 0, 0, 0, -1, 280, 0, 0, 293, -1, 0, 0 },
	{ "lex_factor_rep",  "lex_factor_rep", 0, 0, 0, 0, -1, 281, 0, 0, 294, -1, 0, 0 },
	{ "lex_factor_neg",  "lex_factor_neg", 0, 0, 0, 0, -1, 282, 0, 0, 295, -1, 0, 0 },
	{ "lex_range_lit",  "lex_range_lit", 0, 0, 0, 0, -1, 283, 0, 0, 296, -1, 0, 0 },
	{ "lex_num",  "lex_num", 0, 0, 0, 0, -1, 284, 0, 0, 297, -1, 0, 0 },
	{ "lex_factor",  "lex_factor", 0, 0, 0, 0, -1, 285, 0, 0, 298, -1, 0, 0 },
	{ "reg_or_data",  "reg_or_data", 0, 0, 0, 0, -1, 286, 0, 0, 299, -1, 0, 0 },
	{ "reg_or_char",  "reg_or_char", 0, 0, 0, 0, -1, 287, 0, 0, 300, -1, 0, 0 },
	{ "_repeat_root_item",  "_repeat_root_item", 1, 0, 0, 0, -1, 0, 0, 0, 301, -1, 0, 0 },
	{ "_repeat_sq_cons_data",  "_repeat_sq_cons_data", 1, 0, 0, 0, -1, 0, 0, 0, 302, -1, 0, 0 },
	{ "_repeat_struct_item",  "_repeat_struct_item", 1, 0, 0, 0, -1, 0, 0, 0, 303, -1, 0, 0 },
	{ "_repeat_reduction_item",  "_repeat_reduction_item", 1, 0, 0, 0, -1, 0, 0, 0, 304, -1, 0, 0 },
	{ "_repeat_host_item",  "_repeat_host_item", 1, 0, 0, 0, -1, 0, 0, 0, 305, -1, 0, 0 },
	{ "_repeat_namespace_item",  "_repeat_namespace_item", 1, 0, 0, 0, -1, 0, 0, 0, 306, -1, 0, 0 },
	{ "_repeat_var_def",  "_repeat_var_def", 1, 0, 0, 0, -1, 0, 0, 0, 307, -1, 0, 0 },
	{ "_repeat_statement",  "_repeat_statement", 1, 0, 0, 0, -1, 0, 0, 0, 308, -1, 0, 0 },
	{ "_repeat_field_init",  "_repeat_field_init", 1, 0, 0, 0, -1, 0, 0, 0, 309, -1, 0, 0 },
	{ "_repeat_litpat_el",  "_repeat_litpat_el", 1, 0, 0, 0, -1, 0, 0, 0, 310, -1, 0, 0 },
	{ "_repeat_pattern_el",  "_repeat_pattern_el", 1, 0, 0, 0, -1, 0, 0, 0, 311, -1, 0, 0 },
	{ "_repeat_lit_cons_el",  "_repeat_lit_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 312, -1, 0, 0 },
	{ "_repeat_cons_el",  "_repeat_cons_el", 1, 0, 0, 0, -1, 0, 0, 0, 313, -1, 0, 0 },
	{ "_repeat_lit_accum_el",  "_repeat_lit_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 314, -1, 0, 0 },
	{ "_repeat_accum_el",  "_repeat_accum_el", 1, 0, 0, 0, -1, 0, 0, 0, 315, -1, 0, 0 },
	{ "_repeat_lit_string_el",  "_repeat_lit_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 316, -1, 0, 0 },
	{ "_repeat_string_el",  "_repeat_string_el", 1, 0, 0, 0, -1, 0, 0, 0, 317, -1, 0, 0 },
	{ "_root",  "_root", 0, 0, 0, 0, -1, 0, 0, 0, 0, -1, 0, 0 }
};

static short struct_trees_0[] = {
	0, 1, 4, 
};

static short struct_trees_3[] = {
	0, 
};

static struct struct_el_info parser_selInfo[] = {
	{ 5, struct_trees_0, 3,  },
	{ 0, 0, 0,  },
	{ 3, 0, 0,  },
	{ 3, struct_trees_3, 1,  },

};

static struct frame_info parser_frameInfo[] = {
	{ "", 0, 0, 0, 0, locals_0, 2, 0, 2 }
};

static struct prod_info parser_prodInfo[] = {
	{ 783, 0, 1, "start-1", -1, 1, copy_0, 1,  },
	{ 784, 0, 1, "root_item-1", -1, 1, copy_1, 1,  },
	{ 784, 1, 1, "root_item-2", -1, 1, copy_2, 1,  },
	{ 784, 2, 1, "root_item-3", -1, 1, copy_3, 1,  },
	{ 784, 3, 1, "root_item-4", -1, 1, copy_4, 1,  },
	{ 784, 4, 1, "root_item-5", -1, 1, copy_5, 1,  },
	{ 784, 5, 1, "root_item-6", -1, 1, copy_6, 1,  },
	{ 784, 6, 1, "root_item-7", -1, 1, copy_7, 1,  },
	{ 784, 7, 1, "root_item-8", -1, 1, copy_8, 1,  },
	{ 784, 8, 1, "root_item-9", -1, 1, copy_9, 1,  },
	{ 784, 9, 1, "root_item-10", -1, 1, copy_10, 1,  },
	{ 784, 10, 1, "root_item-11", -1, 1, copy_11, 1,  },
	{ 784, 11, 1, "root_item-12", -1, 1, copy_12, 1,  },
	{ 784, 12, 1, "root_item-13", -1, 1, copy_13, 1,  },
	{ 784, 13, 1, "root_item-14", -1, 1, copy_14, 1,  },
	{ 784, 14, 1, "root_item-15", -1, 1, copy_15, 1,  },
	{ 784, 15, 1, "root_item-16", -1, 1, copy_16, 1,  },
	{ 784, 16, 1, "root_item-17", -1, 1, copy_17, 1,  },
	{ 784, 17, 1, "root_item-18", -1, 1, copy_18, 1,  },
	{ 784, 18, 1, "root_item-19", -1, 1, copy_19, 1,  },
	{ 784, 19, 1, "root_item-20", -1, 1, copy_20, 1,  },
	{ 785, 0, 4, "include-1", -1, 1, copy_21, 4,  },
	{ 786, 0, 2, "precedence_def-1", -1, 1, copy_22, 2,  },
	{ 787, 0, 1, "pred_type-1", -1, 1, copy_23, 1,  },
	{ 787, 1, 1, "pred_type-2", -1, 1, copy_24, 1,  },
	{ 787, 2, 1, "pred_type-3", -1, 1, copy_25, 1,  },
	{ 788, 0, 3, "pred_token_list-1", -1, 1, copy_26, 3,  },
	{ 788, 1, 1, "pred_token_list-2", -1, 1, copy_27, 1,  },
	{ 789, 0, 2, "pred_token-1", -1, 1, copy_28, 2,  },
	{ 789, 1, 2, "pred_token-2", -1, 1, copy_29, 2,  },
	{ 790, 0, 4, "pre_eof_def-1", -1, 1, copy_30, 4,  },
	{ 791, 0, 3, "alias_def-1", -1, 1, copy_31, 3,  },
	{ 792, 0, 1, "struct_item-1", -1, 1, copy_32, 1,  },
	{ 792, 1, 1, "struct_item-2", -1, 1, copy_33, 1,  },
	{ 792, 2, 1, "struct_item-3", -1, 1, copy_34, 1,  },
	{ 792, 3, 1, "struct_item-4", -1, 1, copy_35, 1,  },
	{ 792, 4, 1, "struct_item-5", -1, 1, copy_36, 1,  },
	{ 792, 5, 1, "struct_item-6", -1, 1, copy_37, 1,  },
	{ 792, 6, 1, "struct_item-7", -1, 1, copy_38, 1,  },
	{ 792, 7, 1, "struct_item-8", -1, 1, copy_39, 1,  },
	{ 792, 8, 1, "struct_item-9", -1, 1, copy_40, 1,  },
	{ 792, 9, 1, "struct_item-10", -1, 1, copy_41, 1,  },
	{ 792, 10, 1, "struct_item-11", -1, 1, copy_42, 1,  },
	{ 792, 11, 1, "struct_item-12", -1, 1, copy_43, 1,  },
	{ 792, 12, 1, "struct_item-13", -1, 1, copy_44, 1,  },
	{ 792, 13, 1, "struct_item-14", -1, 1, copy_45, 1,  },
	{ 792, 14, 1, "struct_item-15", -1, 1, copy_46, 1,  },
	{ 792, 15, 1, "struct_item-16", -1, 1, copy_47, 1,  },
	{ 793, 0, 3, "export_def-1", -1, 1, copy_48, 3,  },
	{ 794, 0, 3, "global_def-1", -1, 1, copy_49, 3,  },
	{ 795, 0, 8, "iter_def-1", -1, 1, copy_50, 8,  },
	{ 796, 0, 4, "reference_type_ref-1", -1, 1, copy_51, 4,  },
	{ 797, 0, 3, "param_var_def_seq-1", -1, 1, copy_52, 3,  },
	{ 797, 1, 1, "param_var_def_seq-2", -1, 1, copy_53, 1,  },
	{ 798, 0, 1, "param_var_def_list-1", -1, 1, copy_54, 1,  },
	{ 798, 1, 0, "param_var_def_list-2", -1, 1, 0, 0,  },
	{ 799, 0, 3, "param_var_def-1", -1, 1, copy_56, 3,  },
	{ 799, 1, 3, "param_var_def-2", -1, 1, copy_57, 3,  },
	{ 800, 0, 1, "opt_export-1", -1, 1, copy_58, 1,  },
	{ 800, 1, 0, "opt_export-2", -1, 1, 0, 0,  },
	{ 801, 0, 9, "function_def-1", -1, 1, copy_60, 9,  },
	{ 802, 0, 8, "in_host_def-1", -1, 1, copy_61, 8,  },
	{ 803, 0, 1, "struct_var_def-1", -1, 1, copy_62, 1,  },
	{ 804, 0, 1, "struct_key-1", -1, 1, copy_63, 1,  },
	{ 804, 1, 1, "struct_key-2", -1, 1, copy_64, 1,  },
	{ 805, 0, 4, "struct_def-1", -1, 1, copy_65, 4,  },
	{ 806, 0, 2, "literal_def-1", -1, 1, copy_66, 2,  },
	{ 807, 0, 2, "literal_list-1", -1, 1, copy_67, 2,  },
	{ 807, 1, 1, "literal_list-2", -1, 1, copy_68, 1,  },
	{ 808, 0, 3, "literal_item-1", -1, 1, copy_69, 3,  },
	{ 809, 0, 2, "no_ignore_left-1", -1, 1, copy_70, 2,  },
	{ 809, 1, 0, "no_ignore_left-2", -1, 1, 0, 0,  },
	{ 810, 0, 2, "no_ignore_right-1", -1, 1, copy_72, 2,  },
	{ 810, 1, 0, "no_ignore_right-2", -1, 1, 0, 0,  },
	{ 811, 0, 4, "reduction_def-1", -1, 1, copy_74, 4,  },
	{ 812, 0, 4, "red_nonterm-1", -1, 1, copy_75, 4,  },
	{ 813, 0, 6, "red_action-1", -1, 1, copy_76, 6,  },
	{ 814, 0, 1, "host_item-1", -1, 1, copy_77, 1,  },
	{ 814, 1, 1, "host_item-2", -1, 1, copy_78, 1,  },
	{ 814, 2, 1, "host_item-3", -1, 1, copy_79, 1,  },
	{ 814, 3, 1, "host_item-4", -1, 1, copy_80, 1,  },
	{ 814, 4, 1, "host_item-5", -1, 1, copy_81, 1,  },
	{ 814, 5, 1, "host_item-6", -1, 1, copy_82, 1,  },
	{ 814, 6, 1, "host_item-7", -1, 1, copy_83, 1,  },
	{ 814, 7, 1, "host_item-8", -1, 1, copy_84, 1,  },
	{ 814, 8, 1, "host_item-9", -1, 1, copy_85, 1,  },
	{ 814, 9, 1, "host_item-10", -1, 1, copy_86, 1,  },
	{ 814, 10, 3, "host_item-11", -1, 1, copy_87, 3,  },
	{ 815, 0, 1, "reduction_item-1", -1, 1, copy_88, 1,  },
	{ 815, 1, 1, "reduction_item-2", -1, 1, copy_89, 1,  },
	{ 816, 0, 4, "namespace_def-1", -1, 1, copy_90, 4,  },
	{ 817, 0, 1, "namespace_item-1", -1, 1, copy_91, 1,  },
	{ 817, 1, 1, "namespace_item-2", -1, 1, copy_92, 1,  },
	{ 817, 2, 1, "namespace_item-3", -1, 1, copy_93, 1,  },
	{ 817, 3, 1, "namespace_item-4", -1, 1, copy_94, 1,  },
	{ 817, 4, 1, "namespace_item-5", -1, 1, copy_95, 1,  },
	{ 817, 5, 1, "namespace_item-6", -1, 1, copy_96, 1,  },
	{ 817, 6, 1, "namespace_item-7", -1, 1, copy_97, 1,  },
	{ 817, 7, 1, "namespace_item-8", -1, 1, copy_98, 1,  },
	{ 817, 8, 1, "namespace_item-9", -1, 1, copy_99, 1,  },
	{ 817, 9, 1, "namespace_item-10", -1, 1, copy_100, 1,  },
	{ 817, 10, 1, "namespace_item-11", -1, 1, copy_101, 1,  },
	{ 817, 11, 1, "namespace_item-12", -1, 1, copy_102, 1,  },
	{ 817, 12, 1, "namespace_item-13", -1, 1, copy_103, 1,  },
	{ 817, 13, 1, "namespace_item-14", -1, 1, copy_104, 1,  },
	{ 817, 14, 1, "namespace_item-15", -1, 1, copy_105, 1,  },
	{ 817, 15, 1, "namespace_item-16", -1, 1, copy_106, 1,  },
	{ 817, 16, 1, "namespace_item-17", -1, 1, copy_107, 1,  },
	{ 818, 0, 0, "obj_var_list-1", -1, 1, 0, 0,  },
	{ 819, 0, 1, "opt_reduce_first-1", -1, 1, copy_109, 1,  },
	{ 819, 1, 0, "opt_reduce_first-2", -1, 1, 0, 0,  },
	{ 820, 0, 5, "cfl_def-1", -1, 1, copy_111, 5,  },
	{ 821, 0, 3, "region_def-1", -1, 1, copy_112, 3,  },
	{ 822, 0, 5, "rl_def-1", -1, 1, copy_113, 5,  },
	{ 823, 0, 1, "opt_lex_expr-1", -1, 1, copy_114, 1,  },
	{ 823, 1, 0, "opt_lex_expr-2", -1, 1, 0, 0,  },
	{ 824, 0, 9, "token_def-1", -1, 1, copy_116, 9,  },
	{ 825, 0, 3, "ic_def-1", -1, 1, copy_117, 3,  },
	{ 826, 0, 3, "opt_translate-1", -1, 1, copy_118, 3,  },
	{ 826, 1, 0, "opt_translate-2", -1, 1, 0, 0,  },
	{ 827, 0, 1, "opt_id-1", -1, 1, copy_120, 1,  },
	{ 827, 1, 0, "opt_id-2", -1, 1, 0, 0,  },
	{ 828, 0, 5, "ignore_def-1", -1, 1, copy_122, 5,  },
	{ 829, 0, 4, "prod_el-1", -1, 1, copy_123, 4,  },
	{ 829, 1, 4, "prod_el-2", -1, 1, copy_124, 4,  },
	{ 830, 0, 2, "opt_prod_el_name-1", -1, 1, copy_125, 2,  },
	{ 830, 1, 0, "opt_prod_el_name-2", -1, 1, 0, 0,  },
	{ 831, 0, 2, "prod_el_list-1", -1, 1, copy_127, 2,  },
	{ 831, 1, 0, "prod_el_list-2", -1, 1, 0, 0,  },
	{ 832, 0, 1, "opt_commit-1", -1, 1, copy_129, 1,  },
	{ 832, 1, 0, "opt_commit-2", -1, 1, 0, 0,  },
	{ 833, 0, 2, "opt_prod_name-1", -1, 1, copy_131, 2,  },
	{ 833, 1, 0, "opt_prod_name-2", -1, 1, 0, 0,  },
	{ 834, 0, 6, "prod-1", -1, 1, copy_133, 6,  },
	{ 835, 0, 3, "opt_reduce-1", -1, 1, copy_134, 3,  },
	{ 835, 1, 0, "opt_reduce-2", -1, 1, 0, 0,  },
	{ 836, 0, 3, "prod_list-1", -1, 1, copy_136, 3,  },
	{ 836, 1, 1, "prod_list-2", -1, 1, copy_137, 1,  },
	{ 837, 0, 3, "case_clause-1", -1, 1, copy_138, 3,  },
	{ 837, 1, 3, "case_clause-2", -1, 1, copy_139, 3,  },
	{ 837, 2, 4, "case_clause-3", -1, 1, copy_140, 4,  },
	{ 838, 0, 2, "default_clause-1", -1, 1, copy_141, 2,  },
	{ 839, 0, 2, "case_clause_list-1", -1, 1, copy_142, 2,  },
	{ 839, 1, 1, "case_clause_list-2", -1, 1, copy_143, 1,  },
	{ 839, 2, 1, "case_clause_list-3", -1, 1, copy_144, 1,  },
	{ 840, 0, 1, "statement-1", -1, 1, copy_145, 1,  },
	{ 840, 1, 2, "statement-2", -1, 1, copy_146, 2,  },
	{ 840, 2, 7, "statement-3", -1, 1, copy_147, 7,  },
	{ 840, 3, 4, "statement-4", -1, 1, copy_148, 4,  },
	{ 840, 4, 3, "statement-5", -1, 1, copy_149, 3,  },
	{ 840, 5, 5, "statement-6", -1, 1, copy_150, 5,  },
	{ 840, 6, 3, "statement-7", -1, 1, copy_151, 3,  },
	{ 840, 7, 3, "statement-8", -1, 1, copy_152, 3,  },
	{ 840, 8, 2, "statement-9", -1, 1, copy_153, 2,  },
	{ 840, 9, 2, "statement-10", -1, 1, copy_154, 2,  },
	{ 840, 10, 1, "statement-11", -1, 1, copy_155, 1,  },
	{ 840, 11, 1, "statement-12", -1, 1, copy_156, 1,  },
	{ 840, 12, 4, "statement-13", -1, 1, copy_157, 4,  },
	{ 840, 13, 1, "statement-14", -1, 1, copy_158, 1,  },
	{ 840, 14, 2, "statement-15", -1, 1, copy_159, 2,  },
	{ 841, 0, 2, "elsif_list-1", -1, 1, copy_160, 2,  },
	{ 841, 1, 1, "elsif_list-2", -1, 1, copy_161, 1,  },
	{ 842, 0, 3, "elsif_clause-1", -1, 1, copy_162, 3,  },
	{ 843, 0, 2, "optional_else-1", -1, 1, copy_163, 2,  },
	{ 843, 1, 0, "optional_else-2", -1, 1, 0, 0,  },
	{ 844, 0, 3, "call_arg_seq-1", -1, 1, copy_165, 3,  },
	{ 844, 1, 1, "call_arg_seq-2", -1, 1, copy_166, 1,  },
	{ 845, 0, 1, "call_arg_list-1", -1, 1, copy_167, 1,  },
	{ 845, 1, 0, "call_arg_list-2", -1, 1, 0, 0,  },
	{ 846, 0, 5, "iter_call-1", -1, 1, copy_169, 5,  },
	{ 846, 1, 2, "iter_call-2", -1, 1, copy_170, 2,  },
	{ 846, 2, 2, "iter_call-3", -1, 1, copy_171, 2,  },
	{ 847, 0, 3, "block_or_single-1", -1, 1, copy_172, 3,  },
	{ 847, 1, 1, "block_or_single-2", -1, 1, copy_173, 1,  },
	{ 848, 0, 3, "require_pattern-1", -1, 1, copy_174, 3,  },
	{ 849, 0, 2, "opt_require_stmt-1", -1, 1, copy_175, 2,  },
	{ 849, 1, 0, "opt_require_stmt-2", -1, 1, 0, 0,  },
	{ 850, 0, 2, "lang_stmt_list-1", -1, 1, copy_177, 2,  },
	{ 851, 0, 2, "opt_def_init-1", -1, 1, copy_178, 2,  },
	{ 851, 1, 0, "opt_def_init-2", -1, 1, 0, 0,  },
	{ 852, 0, 3, "var_def-1", -1, 1, copy_180, 3,  },
	{ 853, 0, 4, "print_stmt-1", -1, 1, copy_181, 4,  },
	{ 853, 1, 6, "print_stmt-2", -1, 1, copy_182, 6,  },
	{ 853, 2, 2, "print_stmt-3", -1, 1, copy_183, 2,  },
	{ 854, 0, 1, "expr_stmt-1", -1, 1, copy_184, 1,  },
	{ 855, 0, 3, "code_expr-1", -1, 1, copy_185, 3,  },
	{ 855, 1, 3, "code_expr-2", -1, 1, copy_186, 3,  },
	{ 855, 2, 1, "code_expr-3", -1, 1, copy_187, 1,  },
	{ 856, 0, 3, "code_relational-1", -1, 1, copy_188, 3,  },
	{ 856, 1, 3, "code_relational-2", -1, 1, copy_189, 3,  },
	{ 856, 2, 3, "code_relational-3", -1, 1, copy_190, 3,  },
	{ 856, 3, 3, "code_relational-4", -1, 1, copy_191, 3,  },
	{ 856, 4, 3, "code_relational-5", -1, 1, copy_192, 3,  },
	{ 856, 5, 3, "code_relational-6", -1, 1, copy_193, 3,  },
	{ 856, 6, 1, "code_relational-7", -1, 1, copy_194, 1,  },
	{ 857, 0, 3, "code_additive-1", -1, 1, copy_195, 3,  },
	{ 857, 1, 3, "code_additive-2", -1, 1, copy_196, 3,  },
	{ 857, 2, 1, "code_additive-3", -1, 1, copy_197, 1,  },
	{ 858, 0, 3, "code_multiplicitive-1", -1, 1, copy_198, 3,  },
	{ 858, 1, 3, "code_multiplicitive-2", -1, 1, copy_199, 3,  },
	{ 858, 2, 1, "code_multiplicitive-3", -1, 1, copy_200, 1,  },
	{ 859, 0, 2, "code_unary-1", -1, 1, copy_201, 2,  },
	{ 859, 1, 2, "code_unary-2", -1, 1, copy_202, 2,  },
	{ 859, 2, 3, "code_unary-3", -1, 1, copy_203, 3,  },
	{ 859, 3, 2, "code_unary-4", -1, 1, copy_204, 2,  },
	{ 859, 4, 2, "code_unary-5", -1, 1, copy_205, 2,  },
	{ 859, 5, 1, "code_unary-6", -1, 1, copy_206, 1,  },
	{ 860, 0, 1, "opt_eos-1", -1, 1, copy_207, 1,  },
	{ 860, 1, 1, "opt_eos-2", -1, 1, copy_208, 1,  },
	{ 860, 2, 0, "opt_eos-3", -1, 1, 0, 0,  },
	{ 861, 0, 1, "code_factor-1", -1, 1, copy_210, 1,  },
	{ 861, 1, 4, "code_factor-2", -1, 1, copy_211, 4,  },
	{ 861, 2, 1, "code_factor-3", -1, 1, copy_212, 1,  },
	{ 861, 3, 1, "code_factor-4", -1, 1, copy_213, 1,  },
	{ 861, 4, 1, "code_factor-5", -1, 1, copy_214, 1,  },
	{ 861, 5, 1, "code_factor-6", -1, 1, copy_215, 1,  },
	{ 861, 6, 3, "code_factor-7", -1, 1, copy_216, 3,  },
	{ 861, 7, 1, "code_factor-8", -1, 1, copy_217, 1,  },
	{ 861, 8, 3, "code_factor-9", -1, 1, copy_218, 3,  },
	{ 861, 9, 4, "code_factor-10", -1, 1, copy_219, 4,  },
	{ 861, 10, 5, "code_factor-11", -1, 1, copy_220, 5,  },
	{ 861, 11, 1, "code_factor-12", -1, 1, copy_221, 1,  },
	{ 862, 0, 3, "type_ref-1", -1, 1, copy_222, 3,  },
	{ 862, 1, 1, "type_ref-2", -1, 1, copy_223, 1,  },
	{ 862, 2, 1, "type_ref-3", -1, 1, copy_224, 1,  },
	{ 862, 3, 1, "type_ref-4", -1, 1, copy_225, 1,  },
	{ 862, 4, 4, "type_ref-5", -1, 1, copy_226, 4,  },
	{ 862, 5, 4, "type_ref-6", -1, 1, copy_227, 4,  },
	{ 862, 6, 6, "type_ref-7", -1, 1, copy_228, 6,  },
	{ 862, 7, 4, "type_ref-8", -1, 1, copy_229, 4,  },
	{ 862, 8, 6, "type_ref-9", -1, 1, copy_230, 6,  },
	{ 863, 0, 3, "region_qual-1", -1, 1, copy_231, 3,  },
	{ 863, 1, 0, "region_qual-2", -1, 1, 0, 0,  },
	{ 864, 0, 1, "opt_repeat-1", -1, 1, copy_233, 1,  },
	{ 864, 1, 1, "opt_repeat-2", -1, 1, copy_234, 1,  },
	{ 864, 2, 1, "opt_repeat-3", -1, 1, copy_235, 1,  },
	{ 864, 3, 0, "opt_repeat-4", -1, 1, 0, 0,  },
	{ 865, 0, 2, "opt_capture-1", -1, 1, copy_237, 2,  },
	{ 865, 1, 0, "opt_capture-2", -1, 1, 0, 0,  },
	{ 866, 0, 3, "opt_field_init-1", -1, 1, copy_239, 3,  },
	{ 866, 1, 0, "opt_field_init-2", -1, 1, 0, 0,  },
	{ 867, 0, 1, "field_init-1", -1, 1, copy_241, 1,  },
	{ 868, 0, 5, "stmt_or_factor-1", -1, 1, copy_242, 5,  },
	{ 868, 1, 5, "stmt_or_factor-2", -1, 1, copy_243, 5,  },
	{ 868, 2, 5, "stmt_or_factor-3", -1, 1, copy_244, 5,  },
	{ 868, 3, 5, "stmt_or_factor-4", -1, 1, copy_245, 5,  },
	{ 868, 4, 5, "stmt_or_factor-5", -1, 1, copy_246, 5,  },
	{ 868, 5, 4, "stmt_or_factor-6", -1, 1, copy_247, 4,  },
	{ 868, 6, 4, "stmt_or_factor-7", -1, 1, copy_248, 4,  },
	{ 868, 7, 4, "stmt_or_factor-8", -1, 1, copy_249, 4,  },
	{ 868, 8, 4, "stmt_or_factor-9", -1, 1, copy_250, 4,  },
	{ 868, 9, 5, "stmt_or_factor-10", -1, 1, copy_251, 5,  },
	{ 868, 10, 3, "stmt_or_factor-11", -1, 1, copy_252, 3,  },
	{ 868, 11, 6, "stmt_or_factor-12", -1, 1, copy_253, 6,  },
	{ 869, 0, 2, "opt_label-1", -1, 1, copy_254, 2,  },
	{ 869, 1, 0, "opt_label-2", -1, 1, 0, 0,  },
	{ 870, 0, 1, "dq_lit_term-1", -1, 1, copy_256, 1,  },
	{ 870, 1, 1, "dq_lit_term-2", -1, 1, copy_257, 1,  },
	{ 871, 0, 1, "sq_lit_term-1", -1, 1, copy_258, 1,  },
	{ 871, 1, 1, "sq_lit_term-2", -1, 1, copy_259, 1,  },
	{ 872, 0, 1, "opt_tilde_data-1", -1, 1, copy_260, 1,  },
	{ 872, 1, 0, "opt_tilde_data-2", -1, 1, 0, 0,  },
	{ 873, 0, 3, "pattern_el_lel-1", -1, 1, copy_262, 3,  },
	{ 873, 1, 3, "pattern_el_lel-2", -1, 1, copy_263, 3,  },
	{ 874, 0, 2, "pattern_el-1", -1, 1, copy_264, 2,  },
	{ 874, 1, 3, "pattern_el-2", -1, 1, copy_265, 3,  },
	{ 874, 2, 3, "pattern_el-3", -1, 1, copy_266, 3,  },
	{ 874, 3, 3, "pattern_el-4", -1, 1, copy_267, 3,  },
	{ 875, 0, 1, "litpat_el-1", -1, 1, copy_268, 1,  },
	{ 875, 1, 3, "litpat_el-2", -1, 1, copy_269, 3,  },
	{ 876, 0, 3, "pattern_top_el-1", -1, 1, copy_270, 3,  },
	{ 876, 1, 3, "pattern_top_el-2", -1, 1, copy_271, 3,  },
	{ 876, 2, 3, "pattern_top_el-3", -1, 1, copy_272, 3,  },
	{ 876, 3, 3, "pattern_top_el-4", -1, 1, copy_273, 3,  },
	{ 877, 0, 1, "pattern_list-1", -1, 1, copy_274, 1,  },
	{ 878, 0, 1, "pattern-1", -1, 1, copy_275, 1,  },
	{ 879, 0, 1, "opt_no_trim-1", -1, 1, copy_276, 1,  },
	{ 879, 1, 0, "opt_no_trim-2", -1, 1, 0, 0,  },
	{ 880, 0, 0, "E1-1", -1, 1, 0, 0,  },
	{ 881, 0, 0, "E2-1", -1, 1, 0, 0,  },
	{ 882, 0, 0, "E3-1", -1, 1, 0, 0,  },
	{ 883, 0, 0, "E4-1", -1, 1, 0, 0,  },
	{ 884, 0, 3, "cons_el-1", -1, 1, copy_282, 3,  },
	{ 884, 1, 4, "cons_el-2", -1, 1, copy_283, 4,  },
	{ 884, 2, 4, "cons_el-3", -1, 1, copy_284, 4,  },
	{ 884, 3, 4, "cons_el-4", -1, 1, copy_285, 4,  },
	{ 884, 4, 3, "cons_el-5", -1, 1, copy_286, 3,  },
	{ 885, 0, 1, "lit_cons_el-1", -1, 1, copy_287, 1,  },
	{ 885, 1, 3, "lit_cons_el-2", -1, 1, copy_288, 3,  },
	{ 886, 0, 3, "cons_top_el-1", -1, 1, copy_289, 3,  },
	{ 886, 1, 3, "cons_top_el-2", -1, 1, copy_290, 3,  },
	{ 886, 2, 3, "cons_top_el-3", -1, 1, copy_291, 3,  },
	{ 886, 3, 3, "cons_top_el-4", -1, 1, copy_292, 3,  },
	{ 887, 0, 1, "cons_list-1", -1, 1, copy_293, 1,  },
	{ 888, 0, 1, "constructor-1", -1, 1, copy_294, 1,  },
	{ 889, 0, 4, "accum_el-1", -1, 1, copy_295, 4,  },
	{ 889, 1, 4, "accum_el-2", -1, 1, copy_296, 4,  },
	{ 889, 2, 4, "accum_el-3", -1, 1, copy_297, 4,  },
	{ 889, 3, 3, "accum_el-4", -1, 1, copy_298, 3,  },
	{ 890, 0, 1, "lit_accum_el-1", -1, 1, copy_299, 1,  },
	{ 890, 1, 3, "lit_accum_el-2", -1, 1, copy_300, 3,  },
	{ 891, 0, 3, "accum_top_el-1", -1, 1, copy_301, 3,  },
	{ 891, 1, 3, "accum_top_el-2", -1, 1, copy_302, 3,  },
	{ 891, 2, 3, "accum_top_el-3", -1, 1, copy_303, 3,  },
	{ 891, 3, 3, "accum_top_el-4", -1, 1, copy_304, 3,  },
	{ 892, 0, 2, "accum_list-1", -1, 1, copy_305, 2,  },
	{ 892, 1, 1, "accum_list-2", -1, 1, copy_306, 1,  },
	{ 893, 0, 1, "accumulate-1", -1, 1, copy_307, 1,  },
	{ 894, 0, 4, "string_el-1", -1, 1, copy_308, 4,  },
	{ 894, 1, 4, "string_el-2", -1, 1, copy_309, 4,  },
	{ 894, 2, 4, "string_el-3", -1, 1, copy_310, 4,  },
	{ 894, 3, 3, "string_el-4", -1, 1, copy_311, 3,  },
	{ 895, 0, 1, "lit_string_el-1", -1, 1, copy_312, 1,  },
	{ 895, 1, 3, "lit_string_el-2", -1, 1, copy_313, 3,  },
	{ 896, 0, 3, "string_top_el-1", -1, 1, copy_314, 3,  },
	{ 896, 1, 3, "string_top_el-2", -1, 1, copy_315, 3,  },
	{ 896, 2, 3, "string_top_el-3", -1, 1, copy_316, 3,  },
	{ 896, 3, 3, "string_top_el-4", -1, 1, copy_317, 3,  },
	{ 897, 0, 1, "string_list-1", -1, 1, copy_318, 1,  },
	{ 898, 0, 1, "string-1", -1, 1, copy_319, 1,  },
	{ 899, 0, 3, "var_ref-1", -1, 1, copy_320, 3,  },
	{ 900, 0, 3, "qual-1", -1, 1, copy_321, 3,  },
	{ 900, 1, 3, "qual-2", -1, 1, copy_322, 3,  },
	{ 900, 2, 0, "qual-3", -1, 1, 0, 0,  },
	{ 901, 0, 3, "lex_expr-1", -1, 1, copy_324, 3,  },
	{ 901, 1, 3, "lex_expr-2", -1, 1, copy_325, 3,  },
	{ 901, 2, 3, "lex_expr-3", -1, 1, copy_326, 3,  },
	{ 901, 3, 3, "lex_expr-4", -1, 1, copy_327, 3,  },
	{ 901, 4, 1, "lex_expr-5", -1, 1, copy_328, 1,  },
	{ 902, 0, 1, "opt_lex_dot-1", -1, 1, copy_329, 1,  },
	{ 902, 1, 0, "opt_lex_dot-2", -1, 1, 0, 0,  },
	{ 903, 0, 3, "lex_term-1", -1, 1, copy_331, 3,  },
	{ 903, 1, 3, "lex_term-2", -1, 1, copy_332, 3,  },
	{ 903, 2, 3, "lex_term-3", -1, 1, copy_333, 3,  },
	{ 903, 3, 3, "lex_term-4", -1, 1, copy_334, 3,  },
	{ 903, 4, 1, "lex_term-5", -1, 1, copy_335, 1,  },
	{ 904, 0, 2, "lex_factor_rep-1", -1, 1, copy_336, 2,  },
	{ 904, 1, 2, "lex_factor_rep-2", -1, 1, copy_337, 2,  },
	{ 904, 2, 2, "lex_factor_rep-3", -1, 1, copy_338, 2,  },
	{ 904, 3, 2, "lex_factor_rep-4", -1, 1, copy_339, 2,  },
	{ 904, 4, 4, "lex_factor_rep-5", -1, 1, copy_340, 4,  },
	{ 904, 5, 5, "lex_factor_rep-6", -1, 1, copy_341, 5,  },
	{ 904, 6, 5, "lex_factor_rep-7", -1, 1, copy_342, 5,  },
	{ 904, 7, 6, "lex_factor_rep-8", -1, 1, copy_343, 6,  },
	{ 904, 8, 1, "lex_factor_rep-9", -1, 1, copy_344, 1,  },
	{ 905, 0, 2, "lex_factor_neg-1", -1, 1, copy_345, 2,  },
	{ 905, 1, 1, "lex_factor_neg-2", -1, 1, copy_346, 1,  },
	{ 906, 0, 1, "lex_range_lit-1", -1, 1, copy_347, 1,  },
	{ 906, 1, 1, "lex_range_lit-2", -1, 1, copy_348, 1,  },
	{ 907, 0, 1, "lex_num-1", -1, 1, copy_349, 1,  },
	{ 907, 1, 1, "lex_num-2", -1, 1, copy_350, 1,  },
	{ 908, 0, 1, "lex_factor-1", -1, 1, copy_351, 1,  },
	{ 908, 1, 1, "lex_factor-2", -1, 1, copy_352, 1,  },
	{ 908, 2, 1, "lex_factor-3", -1, 1, copy_353, 1,  },
	{ 908, 3, 1, "lex_factor-4", -1, 1, copy_354, 1,  },
	{ 908, 4, 3, "lex_factor-5", -1, 1, copy_355, 3,  },
	{ 908, 5, 3, "lex_factor-6", -1, 1, copy_356, 3,  },
	{ 908, 6, 3, "lex_factor-7", -1, 1, copy_357, 3,  },
	{ 908, 7, 3, "lex_factor-8", -1, 1, copy_358, 3,  },
	{ 909, 0, 2, "reg_or_data-1", -1, 1, copy_359, 2,  },
	{ 909, 1, 0, "reg_or_data-2", -1, 1, 0, 0,  },
	{ 910, 0, 1, "reg_or_char-1", -1, 1, copy_361, 1,  },
	{ 910, 1, 3, "reg_or_char-2", -1, 1, copy_362, 3,  },
	{ 911, 0, 2, "_repeat_root_item-1", -1, 1, 0, 0,  },
	{ 911, 1, 0, "_repeat_root_item-2", -1, 1, 0, 0,  },
	{ 912, 0, 2, "_repeat_sq_cons_data-1", -1, 1, 0, 0,  },
	{ 912, 1, 0, "_repeat_sq_cons_data-2", -1, 1, 0, 0,  },
	{ 913, 0, 2, "_repeat_struct_item-1", -1, 1, 0, 0,  },
	{ 913, 1, 0, "_repeat_struct_item-2", -1, 1, 0, 0,  },
	{ 914, 0, 2, "_repeat_reduction_item-1", -1, 1, 0, 0,  },
	{ 914, 1, 0, "_repeat_reduction_item-2", -1, 1, 0, 0,  },
	{ 915, 0, 2, "_repeat_host_item-1", -1, 1, 0, 0,  },
	{ 915, 1, 0, "_repeat_host_item-2", -1, 1, 0, 0,  },
	{ 916, 0, 2, "_repeat_namespace_item-1", -1, 1, 0, 0,  },
	{ 916, 1, 0, "_repeat_namespace_item-2", -1, 1, 0, 0,  },
	{ 917, 0, 2, "_repeat_var_def-1", -1, 1, 0, 0,  },
	{ 917, 1, 0, "_repeat_var_def-2", -1, 1, 0, 0,  },
	{ 918, 0, 2, "_repeat_statement-1", -1, 1, 0, 0,  },
	{ 918, 1, 0, "_repeat_statement-2", -1, 1, 0, 0,  },
	{ 919, 0, 2, "_repeat_field_init-1", -1, 1, 0, 0,  },
	{ 919, 1, 0, "_repeat_field_init-2", -1, 1, 0, 0,  },
	{ 920, 0, 2, "_repeat_litpat_el-1", -1, 1, 0, 0,  },
	{ 920, 1, 0, "_repeat_litpat_el-2", -1, 1, 0, 0,  },
	{ 921, 0, 2, "_repeat_pattern_el-1", -1, 1, 0, 0,  },
	{ 921, 1, 0, "_repeat_pattern_el-2", -1, 1, 0, 0,  },
	{ 922, 0, 2, "_repeat_lit_cons_el-1", -1, 1, 0, 0,  },
	{ 922, 1, 0, "_repeat_lit_cons_el-2", -1, 1, 0, 0,  },
	{ 923, 0, 2, "_repeat_cons_el-1", -1, 1, 0, 0,  },
	{ 923, 1, 0, "_repeat_cons_el-2", -1, 1, 0, 0,  },
	{ 924, 0, 2, "_repeat_lit_accum_el-1", -1, 1, 0, 0,  },
	{ 924, 1, 0, "_repeat_lit_accum_el-2", -1, 1, 0, 0,  },
	{ 925, 0, 2, "_repeat_accum_el-1", -1, 1, 0, 0,  },
	{ 925, 1, 0, "_repeat_accum_el-2", -1, 1, 0, 0,  },
	{ 926, 0, 2, "_repeat_lit_string_el-1", -1, 1, 0, 0,  },
	{ 926, 1, 0, "_repeat_lit_string_el-2", -1, 1, 0, 0,  },
	{ 927, 0, 2, "_repeat_string_el-1", -1, 1, 0, 0,  },
	{ 927, 1, 0, "_repeat_string_el-2", -1, 1, 0, 0,  },
	{ 928, 0, 1, "_root-1", -1, 1, 0, 0,  },
	{ 928, 1, 1, "_root-2", -1, 1, 0, 0,  },
	{ 928, 2, 1, "_root-3", -1, 1, 0, 0,  },
	{ 928, 3, 1, "_root-4", -1, 1, 0, 0,  },
	{ 928, 4, 1, "_root-5", -1, 1, 0, 0,  },
	{ 928, 5, 1, "_root-6", -1, 1, 0, 0,  },
	{ 928, 6, 1, "_root-7", -1, 1, 0, 0,  },
	{ 928, 7, 1, "_root-8", -1, 1, 0, 0,  },
	{ 928, 8, 1, "_root-9", -1, 1, 0, 0,  },
	{ 928, 9, 1, "_root-10", -1, 1, 0, 0,  },
	{ 928, 10, 1, "_root-11", -1, 1, 0, 0,  },
	{ 928, 11, 1, "_root-12", -1, 1, 0, 0,  },
	{ 928, 12, 1, "_root-13", -1, 1, 0, 0,  },
	{ 928, 13, 1, "_root-14", -1, 1, 0, 0,  },
	{ 928, 14, 1, "_root-15", -1, 1, 0, 0,  },
	{ 928, 15, 1, "_root-16", -1, 1, 0, 0,  },
	{ 928, 16, 1, "_root-17", -1, 1, 0, 0,  },
	{ 928, 17, 1, "_root-18", -1, 1, 0, 0,  },
	{ 928, 18, 1, "_root-19", -1, 1, 0, 0,  },
	{ 928, 19, 1, "_root-20", -1, 1, 0, 0,  },
	{ 928, 20, 1, "_root-21", -1, 1, 0, 0,  },
	{ 928, 21, 1, "_root-22", -1, 1, 0, 0,  },
	{ 928, 22, 1, "_root-23", -1, 1, 0, 0,  },
	{ 928, 23, 1, "_root-24", -1, 1, 0, 0,  },
	{ 928, 24, 1, "_root-25", -1, 1, 0, 0,  },
	{ 928, 25, 1, "_root-26", -1, 1, 0, 0,  },
	{ 928, 26, 1, "_root-27", -1, 1, 0, 0,  },
	{ 928, 27, 1, "_root-28", -1, 1, 0, 0,  },
	{ 928, 28, 1, "_root-29", -1, 1, 0, 0,  },
	{ 928, 29, 1, "_root-30", -1, 1, 0, 0,  },
	{ 928, 30, 1, "_root-31", -1, 1, 0, 0,  },
	{ 928, 31, 1, "_root-32", -1, 1, 0, 0,  },
	{ 928, 32, 1, "_root-33", -1, 1, 0, 0,  },
	{ 928, 33, 1, "_root-34", -1, 1, 0, 0,  },
	{ 928, 34, 1, "_root-35", -1, 1, 0, 0,  },
	{ 928, 35, 1, "_root-36", -1, 1, 0, 0,  },
	{ 928, 36, 1, "_root-37", -1, 1, 0, 0,  },
	{ 928, 37, 1, "_root-38", -1, 1, 0, 0,  },
	{ 928, 38, 1, "_root-39", -1, 1, 0, 0,  },
	{ 928, 39, 1, "_root-40", -1, 1, 0, 0,  },
	{ 928, 40, 1, "_root-41", -1, 1, 0, 0,  },
	{ 928, 41, 1, "_root-42", -1, 1, 0, 0,  },
	{ 928, 42, 1, "_root-43", -1, 1, 0, 0,  },
	{ 928, 43, 1, "_root-44", -1, 1, 0, 0,  },
	{ 928, 44, 1, "_root-45", -1, 1, 0, 0,  },
	{ 928, 45, 1, "_root-46", -1, 1, 0, 0,  },
	{ 928, 46, 1, "_root-47", -1, 1, 0, 0,  },
	{ 928, 47, 1, "_root-48", -1, 1, 0, 0,  },
	{ 928, 48, 1, "_root-49", -1, 1, 0, 0,  },
	{ 928, 49, 1, "_root-50", -1, 1, 0, 0,  },
	{ 928, 50, 1, "_root-51", -1, 1, 0, 0,  },
	{ 928, 51, 1, "_root-52", -1, 1, 0, 0,  },
	{ 928, 52, 1, "_root-53", -1, 1, 0, 0,  },
	{ 928, 53, 1, "_root-54", -1, 1, 0, 0,  },
	{ 928, 54, 1, "_root-55", -1, 1, 0, 0,  },
	{ 928, 55, 1, "_root-56", -1, 1, 0, 0,  },
	{ 928, 56, 1, "_root-57", -1, 1, 0, 0,  },
	{ 928, 57, 1, "_root-58", -1, 1, 0, 0,  },
	{ 928, 58, 1, "_root-59", -1, 1, 0, 0,  },
	{ 928, 59, 1, "_root-60", -1, 1, 0, 0,  },
	{ 928, 60, 1, "_root-61", -1, 1, 0, 0,  },
	{ 928, 61, 1, "_root-62", -1, 1, 0, 0,  },
	{ 928, 62, 1, "_root-63", -1, 1, 0, 0,  },
	{ 928, 63, 1, "_root-64", -1, 1, 0, 0,  },
	{ 928, 64, 1, "_root-65", -1, 1, 0, 0,  },
	{ 928, 65, 1, "_root-66", -1, 1, 0, 0,  },
	{ 928, 66, 1, "_root-67", -1, 1, 0, 0,  },
	{ 928, 67, 1, "_root-68", -1, 1, 0, 0,  },
	{ 928, 68, 1, "_root-69", -1, 1, 0, 0,  },
	{ 928, 69, 1, "_root-70", -1, 1, 0, 0,  },
	{ 928, 70, 1, "_root-71", -1, 1, 0, 0,  },
	{ 928, 71, 1, "_root-72", -1, 1, 0, 0,  },
	{ 928, 72, 1, "_root-73", -1, 1, 0, 0,  },
	{ 928, 73, 1, "_root-74", -1, 1, 0, 0,  },
	{ 928, 74, 1, "_root-75", -1, 1, 0, 0,  },
	{ 928, 75, 1, "_root-76", -1, 1, 0, 0,  },
	{ 928, 76, 1, "_root-77", -1, 1, 0, 0,  },
	{ 928, 77, 1, "_root-78", -1, 1, 0, 0,  },
	{ 928, 78, 1, "_root-79", -1, 1, 0, 0,  },
	{ 928, 79, 1, "_root-80", -1, 1, 0, 0,  },
	{ 928, 80, 1, "_root-81", -1, 1, 0, 0,  },
	{ 928, 81, 1, "_root-82", -1, 1, 0, 0,  },
	{ 928, 82, 1, "_root-83", -1, 1, 0, 0,  },
	{ 928, 83, 1, "_root-84", -1, 1, 0, 0,  },
	{ 928, 84, 1, "_root-85", -1, 1, 0, 0,  },
	{ 928, 85, 1, "_root-86", -1, 1, 0, 0,  },
	{ 928, 86, 1, "_root-87", -1, 1, 0, 0,  },
	{ 928, 87, 1, "_root-88", -1, 1, 0, 0,  },
	{ 928, 88, 1, "_root-89", -1, 1, 0, 0,  },
	{ 928, 89, 1, "_root-90", -1, 1, 0, 0,  },
	{ 928, 90, 1, "_root-91", -1, 1, 0, 0,  },
	{ 928, 91, 1, "_root-92", -1, 1, 0, 0,  },
	{ 928, 92, 1, "_root-93", -1, 1, 0, 0,  },
	{ 928, 93, 1, "_root-94", -1, 1, 0, 0,  },
	{ 928, 94, 1, "_root-95", -1, 1, 0, 0,  },
	{ 928, 95, 1, "_root-96", -1, 1, 0, 0,  },
	{ 928, 96, 1, "_root-97", -1, 1, 0, 0,  },
	{ 928, 97, 1, "_root-98", -1, 1, 0, 0,  },
	{ 928, 98, 1, "_root-99", -1, 1, 0, 0,  },
	{ 928, 99, 1, "_root-100", -1, 1, 0, 0,  },
	{ 928, 100, 1, "_root-101", -1, 1, 0, 0,  },
	{ 928, 101, 1, "_root-102", -1, 1, 0, 0,  },
	{ 928, 102, 1, "_root-103", -1, 1, 0, 0,  },
	{ 928, 103, 1, "_root-104", -1, 1, 0, 0,  },
	{ 928, 104, 1, "_root-105", -1, 1, 0, 0,  },
	{ 928, 105, 1, "_root-106", -1, 1, 0, 0,  },
	{ 928, 106, 1, "_root-107", -1, 1, 0, 0,  },
	{ 928, 107, 1, "_root-108", -1, 1, 0, 0,  },
	{ 928, 108, 1, "_root-109", -1, 1, 0, 0,  },
	{ 928, 109, 1, "_root-110", -1, 1, 0, 0,  },
	{ 928, 110, 1, "_root-111", -1, 1, 0, 0,  },
	{ 928, 111, 1, "_root-112", -1, 1, 0, 0,  },
	{ 928, 112, 1, "_root-113", -1, 1, 0, 0,  },
	{ 928, 113, 1, "_root-114", -1, 1, 0, 0,  },
	{ 928, 114, 1, "_root-115", -1, 1, 0, 0,  },
	{ 928, 115, 1, "_root-116", -1, 1, 0, 0,  },
	{ 928, 116, 1, "_root-117", -1, 1, 0, 0,  },
	{ 928, 117, 1, "_root-118", -1, 1, 0, 0,  },
	{ 928, 118, 1, "_root-119", -1, 1, 0, 0,  },
	{ 928, 119, 1, "_root-120", -1, 1, 0, 0,  },
	{ 928, 120, 1, "_root-121", -1, 1, 0, 0,  },
	{ 928, 121, 1, "_root-122", -1, 1, 0, 0,  },
	{ 928, 122, 1, "_root-123", -1, 1, 0, 0,  },
	{ 928, 123, 1, "_root-124", -1, 1, 0, 0,  },
	{ 928, 124, 1, "_root-125", -1, 1, 0, 0,  },
	{ 928, 125, 1, "_root-126", -1, 1, 0, 0,  },
	{ 928, 126, 1, "_root-127", -1, 1, 0, 0,  },
	{ 928, 127, 1, "_root-128", -1, 1, 0, 0,  },
	{ 928, 128, 1, "_root-129", -1, 1, 0, 0,  },
	{ 928, 129, 1, "_root-130", -1, 1, 0, 0,  },
	{ 928, 130, 1, "_root-131", -1, 1, 0, 0,  },
	{ 928, 131, 1, "_root-132", -1, 1, 0, 0,  },
	{ 928, 132, 1, "_root-133", -1, 1, 0, 0,  },
	{ 928, 133, 1, "_root-134", -1, 1, 0, 0,  },
	{ 928, 134, 1, "_root-135", -1, 1, 0, 0,  },
	{ 928, 135, 1, "_root-136", -1, 1, 0, 0,  },
	{ 928, 136, 1, "_root-137", -1, 1, 0, 0,  },
	{ 928, 137, 1, "_root-138", -1, 1, 0, 0,  },
	{ 928, 138, 1, "_root-139", -1, 1, 0, 0,  },
	{ 928, 139, 1, "_root-140", -1, 1, 0, 0,  },
	{ 928, 140, 1, "_root-141", -1, 1, 0, 0,  },
	{ 928, 141, 1, "_root-142", -1, 1, 0, 0,  },
	{ 928, 142, 1, "_root-143", -1, 1, 0, 0,  },
	{ 928, 143, 1, "_root-144", -1, 1, 0, 0,  },
	{ 928, 144, 1, "_root-145", -1, 1, 0, 0,  },
	{ 928, 145, 1, "_root-146", -1, 1, 0, 0,  },
	{ 928, 146, 1, "_root-147", -1, 1, 0, 0,  },
	{ 928, 147, 1, "_root-148", -1, 1, 0, 0,  },
	{ 928, 148, 1, "_root-149", -1, 1, 0, 0,  },
	{ 928, 149, 1, "_root-150", -1, 1, 0, 0,  },
	{ 928, 150, 1, "_root-151", -1, 1, 0, 0,  },
	{ 928, 151, 1, "_root-152", -1, 1, 0, 0,  },
	{ 928, 152, 1, "_root-153", -1, 1, 0, 0,  },
	{ 928, 153, 1, "_root-154", -1, 1, 0, 0,  },
	{ 928, 154, 1, "_root-155", -1, 1, 0, 0,  },
	{ 928, 155, 1, "_root-156", -1, 1, 0, 0,  },
	{ 928, 156, 1, "_root-157", -1, 1, 0, 0,  },
	{ 928, 157, 1, "_root-158", -1, 1, 0, 0,  },
	{ 928, 158, 1, "_root-159", -1, 1, 0, 0,  },
	{ 928, 159, 1, "_root-160", -1, 1, 0, 0,  },
	{ 928, 160, 1, "_root-161", -1, 1, 0, 0,  },
	{ 928, 161, 1, "_root-162", -1, 1, 0, 0,  },
	{ 928, 162, 1, "_root-163", -1, 1, 0, 0,  },
	{ 928, 163, 1, "_root-164", -1, 1, 0, 0,  },
	{ 928, 164, 1, "_root-165", -1, 1, 0, 0,  },
	{ 928, 165, 1, "_root-166", -1, 1, 0, 0,  },
	{ 928, 166, 1, "_root-167", -1, 1, 0, 0,  },
	{ 928, 167, 1, "_root-168", -1, 1, 0, 0,  },
	{ 928, 168, 1, "_root-169", -1, 1, 0, 0,  },
	{ 928, 169, 1, "_root-170", -1, 1, 0, 0,  },
	{ 928, 170, 1, "_root-171", -1, 1, 0, 0,  },
	{ 928, 171, 1, "_root-172", -1, 1, 0, 0,  },
	{ 928, 172, 1, "_root-173", -1, 1, 0, 0,  },
	{ 928, 173, 1, "_root-174", -1, 1, 0, 0,  },
	{ 928, 174, 1, "_root-175", -1, 1, 0, 0,  },
	{ 928, 175, 1, "_root-176", -1, 1, 0, 0,  },
	{ 928, 176, 1, "_root-177", -1, 1, 0, 0,  },
	{ 928, 177, 1, "_root-178", -1, 1, 0, 0,  },
	{ 928, 178, 1, "_root-179", -1, 1, 0, 0,  },
	{ 928, 179, 1, "_root-180", -1, 1, 0, 0,  },
	{ 928, 180, 1, "_root-181", -1, 1, 0, 0,  },
	{ 928, 181, 1, "_root-182", -1, 1, 0, 0,  },
	{ 928, 182, 1, "_root-183", -1, 1, 0, 0,  },
	{ 928, 183, 1, "_root-184", -1, 1, 0, 0,  },
	{ 928, 184, 1, "_root-185", -1, 1, 0, 0,  },
	{ 928, 185, 1, "_root-186", -1, 1, 0, 0,  },
	{ 928, 186, 1, "_root-187", -1, 1, 0, 0,  },
	{ 928, 187, 1, "_root-188", -1, 1, 0, 0,  },
	{ 928, 188, 1, "_root-189", -1, 1, 0, 0,  },
	{ 928, 189, 1, "_root-190", -1, 1, 0, 0,  },
	{ 928, 190, 1, "_root-191", -1, 1, 0, 0,  },
	{ 928, 191, 1, "_root-192", -1, 1, 0, 0,  },
	{ 928, 192, 1, "_root-193", -1, 1, 0, 0,  },
	{ 928, 193, 1, "_root-194", -1, 1, 0, 0,  },
	{ 928, 194, 1, "_root-195", -1, 1, 0, 0,  },
	{ 928, 195, 1, "_root-196", -1, 1, 0, 0,  },
	{ 928, 196, 1, "_root-197", -1, 1, 0, 0,  },
	{ 928, 197, 1, "_root-198", -1, 1, 0, 0,  },
	{ 928, 198, 1, "_root-199", -1, 1, 0, 0,  },
	{ 928, 199, 1, "_root-200", -1, 1, 0, 0,  },
	{ 928, 200, 1, "_root-201", -1, 1, 0, 0,  },
	{ 928, 201, 1, "_root-202", -1, 1, 0, 0,  },
	{ 928, 202, 1, "_root-203", -1, 1, 0, 0,  },
	{ 928, 203, 1, "_root-204", -1, 1, 0, 0,  },
	{ 928, 204, 1, "_root-205", -1, 1, 0, 0,  },
	{ 928, 205, 1, "_root-206", -1, 1, 0, 0,  },
	{ 928, 206, 1, "_root-207", -1, 1, 0, 0,  },
	{ 928, 207, 1, "_root-208", -1, 1, 0, 0,  },
	{ 928, 208, 1, "_root-209", -1, 1, 0, 0,  },
	{ 928, 209, 1, "_root-210", -1, 1, 0, 0,  },
	{ 928, 210, 1, "_root-211", -1, 1, 0, 0,  },
	{ 928, 211, 1, "_root-212", -1, 1, 0, 0,  },
	{ 928, 212, 1, "_root-213", -1, 1, 0, 0,  },
	{ 928, 213, 1, "_root-214", -1, 1, 0, 0,  },
	{ 928, 214, 1, "_root-215", -1, 1, 0, 0,  },
	{ 928, 215, 1, "_root-216", -1, 1, 0, 0,  },
	{ 928, 216, 1, "_root-217", -1, 1, 0, 0,  },
	{ 928, 217, 1, "_root-218", -1, 1, 0, 0,  },
	{ 928, 218, 1, "_root-219", -1, 1, 0, 0,  },
	{ 928, 219, 1, "_root-220", -1, 1, 0, 0,  },
	{ 928, 220, 1, "_root-221", -1, 1, 0, 0,  },
	{ 928, 221, 1, "_root-222", -1, 1, 0, 0,  },
	{ 928, 222, 1, "_root-223", -1, 1, 0, 0,  },
	{ 928, 223, 1, "_root-224", -1, 1, 0, 0,  },
	{ 928, 224, 1, "_root-225", -1, 1, 0, 0,  },
	{ 928, 225, 1, "_root-226", -1, 1, 0, 0,  },
	{ 928, 226, 1, "_root-227", -1, 1, 0, 0,  },
	{ 928, 227, 1, "_root-228", -1, 1, 0, 0,  },
	{ 928, 228, 1, "_root-229", -1, 1, 0, 0,  },
	{ 928, 229, 1, "_root-230", -1, 1, 0, 0,  },
	{ 928, 230, 1, "_root-231", -1, 1, 0, 0,  },
	{ 928, 231, 1, "_root-232", -1, 1, 0, 0,  },
	{ 928, 232, 1, "_root-233", -1, 1, 0, 0,  },
	{ 928, 233, 1, "_root-234", -1, 1, 0, 0,  },
	{ 928, 234, 1, "_root-235", -1, 1, 0, 0,  },
	{ 928, 235, 1, "_root-236", -1, 1, 0, 0,  },
	{ 928, 236, 1, "_root-237", -1, 1, 0, 0,  },
	{ 928, 237, 1, "_root-238", -1, 1, 0, 0,  },
	{ 928, 238, 1, "_root-239", -1, 1, 0, 0,  },
	{ 928, 239, 1, "_root-240", -1, 1, 0, 0,  },
	{ 928, 240, 1, "_root-241", -1, 1, 0, 0,  },
	{ 928, 241, 1, "_root-242", -1, 1, 0, 0,  },
	{ 928, 242, 1, "_root-243", -1, 1, 0, 0,  },
	{ 928, 243, 1, "_root-244", -1, 1, 0, 0,  },
	{ 928, 244, 1, "_root-245", -1, 1, 0, 0,  },
	{ 928, 245, 1, "_root-246", -1, 1, 0, 0,  },
	{ 928, 246, 1, "_root-247", -1, 1, 0, 0,  },
	{ 928, 247, 1, "_root-248", -1, 1, 0, 0,  },
	{ 928, 248, 1, "_root-249", -1, 1, 0, 0,  },
	{ 928, 249, 1, "_root-250", -1, 1, 0, 0,  },
	{ 928, 250, 1, "_root-251", -1, 1, 0, 0,  },
	{ 928, 251, 1, "_root-252", -1, 1, 0, 0,  },
	{ 928, 252, 1, "_root-253", -1, 1, 0, 0,  },
	{ 928, 253, 1, "_root-254", -1, 1, 0, 0,  },
	{ 928, 254, 1, "_root-255", -1, 1, 0, 0,  },
	{ 928, 255, 1, "_root-256", -1, 1, 0, 0,  },
	{ 928, 256, 1, "_root-257", -1, 1, 0, 0,  },
	{ 928, 257, 1, "_root-258", -1, 1, 0, 0,  },
	{ 928, 258, 1, "_root-259", -1, 1, 0, 0,  },
	{ 928, 259, 1, "_root-260", -1, 1, 0, 0,  },
	{ 928, 260, 1, "_root-261", -1, 1, 0, 0,  },
	{ 928, 261, 1, "_root-262", -1, 1, 0, 0,  },
	{ 928, 262, 1, "_root-263", -1, 1, 0, 0,  },
	{ 928, 263, 1, "_root-264", -1, 1, 0, 0,  },
	{ 928, 264, 1, "_root-265", -1, 1, 0, 0,  },
	{ 928, 265, 1, "_root-266", -1, 1, 0, 0,  },
	{ 928, 266, 1, "_root-267", -1, 1, 0, 0,  },
	{ 928, 267, 1, "_root-268", -1, 1, 0, 0,  },
	{ 928, 268, 1, "_root-269", -1, 1, 0, 0,  },
	{ 928, 269, 1, "_root-270", -1, 1, 0, 0,  },
	{ 928, 270, 1, "_root-271", -1, 1, 0, 0,  },
	{ 928, 271, 1, "_root-272", -1, 1, 0, 0,  },
	{ 928, 272, 1, "_root-273", -1, 1, 0, 0,  },
	{ 928, 273, 1, "_root-274", -1, 1, 0, 0,  },
	{ 928, 274, 1, "_root-275", -1, 1, 0, 0,  },
	{ 928, 275, 1, "_root-276", -1, 1, 0, 0,  },
	{ 928, 276, 1, "_root-277", -1, 1, 0, 0,  },
	{ 928, 277, 1, "_root-278", -1, 1, 0, 0,  },
	{ 928, 278, 1, "_root-279", -1, 1, 0, 0,  },
	{ 928, 279, 1, "_root-280", -1, 1, 0, 0,  },
	{ 928, 280, 1, "_root-281", -1, 1, 0, 0,  },
	{ 928, 281, 1, "_root-282", -1, 1, 0, 0,  },
	{ 928, 282, 1, "_root-283", -1, 1, 0, 0,  },
	{ 928, 283, 1, "_root-284", -1, 1, 0, 0,  },
	{ 928, 284, 1, "_root-285", -1, 1, 0, 0,  },
	{ 928, 285, 1, "_root-286", -1, 1, 0, 0,  },
	{ 928, 286, 1, "_root-287", -1, 1, 0, 0,  },
	{ 928, 287, 1, "_root-288", -1, 1, 0, 0,  },
	{ 928, 288, 1, "_root-289", -1, 1, 0, 0,  },
	{ 928, 289, 1, "_root-290", -1, 1, 0, 0,  },
	{ 928, 290, 1, "_root-291", -1, 1, 0, 0,  },
	{ 928, 291, 1, "_root-292", -1, 1, 0, 0,  },
	{ 928, 292, 1, "_root-293", -1, 1, 0, 0,  },
	{ 928, 293, 1, "_root-294", -1, 1, 0, 0,  },
	{ 928, 294, 1, "_root-295", -1, 1, 0, 0,  },
	{ 928, 295, 1, "_root-296", -1, 1, 0, 0,  },
	{ 928, 296, 1, "_root-297", -1, 1, 0, 0,  },
	{ 928, 297, 1, "_root-298", -1, 1, 0, 0,  },
	{ 928, 298, 1, "_root-299", -1, 1, 0, 0,  },
	{ 928, 299, 1, "_root-300", -1, 1, 0, 0,  },
	{ 928, 300, 1, "_root-301", -1, 1, 0, 0,  },
	{ 928, 301, 1, "_root-302", -1, 1, 0, 0,  },
	{ 928, 302, 1, "_root-303", -1, 1, 0, 0,  },
	{ 928, 303, 1, "_root-304", -1, 1, 0, 0,  },
	{ 928, 304, 1, "_root-305", -1, 1, 0, 0,  },
	{ 928, 305, 1, "_root-306", -1, 1, 0, 0,  },
	{ 928, 306, 1, "_root-307", -1, 1, 0, 0,  },
	{ 928, 307, 1, "_root-308", -1, 1, 0, 0,  },
	{ 928, 308, 1, "_root-309", -1, 1, 0, 0,  },
	{ 928, 309, 1, "_root-310", -1, 1, 0, 0,  },
	{ 928, 310, 1, "_root-311", -1, 1, 0, 0,  },
	{ 928, 311, 1, "_root-312", -1, 1, 0, 0,  },
	{ 928, 312, 1, "_root-313", -1, 1, 0, 0,  },
	{ 928, 313, 1, "_root-314", -1, 1, 0, 0,  },
	{ 928, 314, 1, "_root-315", -1, 1, 0, 0,  },
	{ 928, 315, 1, "_root-316", -1, 1, 0, 0,  },
	{ 928, 316, 1, "_root-317", -1, 1, 0, 0,  },
	{ 928, 317, 1, "_root-318", -1, 1, 0, 0,  },
	{ 928, 318, 1, "_root-319", -1, 1, 0, 0,  },
	{ 928, 319, 1, "_root-320", -1, 1, 0, 0,  },
	{ 928, 320, 1, "_root-321", -1, 1, 0, 0,  },
	{ 928, 321, 1, "_root-322", -1, 1, 0, 0,  },
	{ 928, 322, 1, "_root-323", -1, 1, 0, 0,  },
	{ 928, 323, 1, "_root-324", -1, 1, 0, 0,  },
	{ 928, 324, 1, "_root-325", -1, 1, 0, 0,  },
	{ 928, 325, 1, "_root-326", -1, 1, 0, 0,  },
	{ 928, 326, 1, "_root-327", -1, 1, 0, 0,  },
	{ 928, 327, 1, "_root-328", -1, 1, 0, 0,  },
	{ 928, 328, 1, "_root-329", -1, 1, 0, 0,  },
	{ 928, 329, 1, "_root-330", -1, 1, 0, 0,  },
	{ 928, 330, 1, "_root-331", -1, 1, 0, 0,  },
	{ 928, 331, 1, "_root-332", -1, 1, 0, 0,  },
	{ 928, 332, 1, "_root-333", -1, 1, 0, 0,  },
	{ 928, 333, 1, "_root-334", -1, 1, 0, 0,  },
	{ 928, 334, 1, "_root-335", -1, 1, 0, 0,  },
	{ 928, 335, 1, "_root-336", -1, 1, 0, 0,  },
	{ 928, 336, 1, "_root-337", -1, 1, 0, 0,  },
	{ 928, 337, 1, "_root-338", -1, 1, 0, 0,  },
	{ 928, 338, 1, "_root-339", -1, 1, 0, 0,  },
	{ 928, 339, 1, "_root-340", -1, 1, 0, 0,  },
	{ 928, 340, 1, "_root-341", -1, 1, 0, 0,  },
	{ 928, 341, 1, "_root-342", -1, 1, 0, 0,  },
	{ 928, 342, 1, "_root-343", -1, 1, 0, 0,  },
	{ 928, 343, 1, "_root-344", -1, 1, 0, 0,  },
	{ 928, 344, 1, "_root-345", -1, 1, 0, 0,  },
	{ 928, 345, 1, "_root-346", -1, 1, 0, 0,  },
	{ 928, 346, 1, "_root-347", -1, 1, 0, 0,  },
	{ 928, 347, 1, "_root-348", -1, 1, 0, 0,  },
	{ 928, 348, 1, "_root-349", -1, 1, 0, 0,  },
	{ 928, 349, 1, "_root-350", -1, 1, 0, 0,  },
	{ 928, 350, 1, "_root-351", -1, 1, 0, 0,  },
	{ 928, 351, 1, "_root-352", -1, 1, 0, 0,  },
	{ 928, 352, 1, "_root-353", -1, 1, 0, 0,  },
	{ 928, 353, 1, "_root-354", -1, 1, 0, 0,  },
	{ 928, 354, 1, "_root-355", -1, 1, 0, 0,  },
	{ 928, 355, 1, "_root-356", -1, 1, 0, 0,  },
	{ 928, 356, 1, "_root-357", -1, 1, 0, 0,  },
	{ 928, 357, 1, "_root-358", -1, 1, 0, 0,  },
	{ 928, 358, 1, "_root-359", -1, 1, 0, 0,  },
	{ 928, 359, 1, "_root-360", -1, 1, 0, 0,  },
	{ 928, 360, 1, "_root-361", -1, 1, 0, 0,  },
	{ 928, 361, 1, "_root-362", -1, 1, 0, 0,  },
	{ 928, 362, 1, "_root-363", -1, 1, 0, 0,  },
	{ 928, 363, 1, "_root-364", -1, 1, 0, 0,  },
	{ 928, 364, 1, "_root-365", -1, 1, 0, 0,  },
	{ 928, 365, 1, "_root-366", -1, 1, 0, 0,  },
	{ 928, 366, 1, "_root-367", -1, 1, 0, 0,  },
	{ 928, 367, 1, "_root-368", -1, 1, 0, 0,  },
	{ 928, 368, 1, "_root-369", -1, 1, 0, 0,  },
	{ 928, 369, 1, "_root-370", -1, 1, 0, 0,  },
	{ 928, 370, 1, "_root-371", -1, 1, 0, 0,  },
	{ 928, 371, 1, "_root-372", -1, 1, 0, 0,  },
	{ 928, 372, 1, "_root-373", -1, 1, 0, 0,  },
	{ 928, 373, 1, "_root-374", -1, 1, 0, 0,  },
	{ 928, 374, 1, "_root-375", -1, 1, 0, 0,  },
	{ 928, 375, 1, "_root-376", -1, 1, 0, 0,  },
	{ 928, 376, 1, "_root-377", -1, 1, 0, 0,  },
	{ 928, 377, 1, "_root-378", -1, 1, 0, 0,  },
	{ 928, 378, 1, "_root-379", -1, 1, 0, 0,  },
	{ 928, 379, 1, "_root-380", -1, 1, 0, 0,  },
	{ 928, 380, 1, "_root-381", -1, 1, 0, 0,  },
	{ 928, 381, 1, "_root-382", -1, 1, 0, 0,  },
	{ 928, 382, 1, "_root-383", -1, 1, 0, 0,  },
	{ 928, 383, 1, "_root-384", -1, 1, 0, 0,  },
	{ 928, 384, 1, "_root-385", -1, 1, 0, 0,  },
	{ 928, 385, 1, "_root-386", -1, 1, 0, 0,  },
	{ 928, 386, 1, "_root-387", -1, 1, 0, 0,  },
	{ 928, 387, 1, "_root-388", -1, 1, 0, 0,  },
	{ 928, 388, 1, "_root-389", -1, 1, 0, 0,  },
	{ 928, 389, 1, "_root-390", -1, 1, 0, 0,  },
	{ 928, 390, 1, "_root-391", -1, 1, 0, 0,  },
	{ 928, 391, 1, "_root-392", -1, 1, 0, 0,  },
	{ 928, 392, 1, "_root-393", -1, 1, 0, 0,  },
	{ 928, 393, 1, "_root-394", -1, 1, 0, 0,  },
	{ 928, 394, 1, "_root-395", -1, 1, 0, 0,  },
	{ 928, 395, 1, "_root-396", -1, 1, 0, 0,  },
	{ 928, 396, 1, "_root-397", -1, 1, 0, 0,  },
	{ 928, 397, 1, "_root-398", -1, 1, 0, 0,  },
	{ 928, 398, 1, "_root-399", -1, 1, 0, 0,  },
	{ 928, 399, 1, "_root-400", -1, 1, 0, 0,  },
	{ 928, 400, 1, "_root-401", -1, 1, 0, 0,  },
	{ 928, 401, 1, "_root-402", -1, 1, 0, 0,  },
	{ 928, 402, 1, "_root-403", -1, 1, 0, 0,  },
	{ 928, 403, 1, "_root-404", -1, 1, 0, 0,  },
	{ 928, 404, 1, "_root-405", -1, 1, 0, 0,  },
	{ 928, 405, 1, "_root-406", -1, 1, 0, 0,  },
	{ 928, 406, 1, "_root-407", -1, 1, 0, 0,  },
	{ 928, 407, 1, "_root-408", -1, 1, 0, 0,  },
	{ 928, 408, 1, "_root-409", -1, 1, 0, 0,  },
	{ 928, 409, 1, "_root-410", -1, 1, 0, 0,  },
	{ 928, 410, 1, "_root-411", -1, 1, 0, 0,  },
	{ 928, 411, 1, "_root-412", -1, 1, 0, 0,  },
	{ 928, 412, 1, "_root-413", -1, 1, 0, 0,  },
	{ 928, 413, 1, "_root-414", -1, 1, 0, 0,  },
	{ 928, 414, 1, "_root-415", -1, 1, 0, 0,  },
	{ 928, 415, 1, "_root-416", -1, 1, 0, 0,  },
	{ 928, 416, 1, "_root-417", -1, 1, 0, 0,  },
	{ 928, 417, 1, "_root-418", -1, 1, 0, 0,  },
	{ 928, 418, 1, "_root-419", -1, 1, 0, 0,  },
	{ 928, 419, 1, "_root-420", -1, 1, 0, 0,  },
	{ 928, 420, 1, "_root-421", -1, 1, 0, 0,  },
	{ 928, 421, 1, "_root-422", -1, 1, 0, 0,  },
	{ 928, 422, 1, "_root-423", -1, 1, 0, 0,  },
	{ 928, 423, 1, "_root-424", -1, 1, 0, 0,  },
	{ 928, 424, 1, "_root-425", -1, 1, 0, 0,  },
	{ 928, 425, 1, "_root-426", -1, 1, 0, 0,  },
	{ 928, 426, 1, "_root-427", -1, 1, 0, 0,  },
	{ 928, 427, 1, "_root-428", -1, 1, 0, 0,  },
	{ 928, 428, 1, "_root-429", -1, 1, 0, 0,  },
	{ 928, 429, 1, "_root-430", -1, 1, 0, 0,  },
	{ 928, 430, 1, "_root-431", -1, 1, 0, 0,  },
	{ 928, 431, 1, "_root-432", -1, 1, 0, 0,  },
	{ 928, 432, 1, "_root-433", -1, 1, 0, 0,  },
	{ 928, 433, 1, "_root-434", -1, 1, 0, 0,  },
	{ 928, 434, 1, "_root-435", -1, 1, 0, 0,  },
	{ 928, 435, 1, "_root-436", -1, 1, 0, 0,  },
	{ 928, 436, 1, "_root-437", -1, 1, 0, 0,  },
	{ 928, 437, 1, "_root-438", -1, 1, 0, 0,  },
	{ 928, 438, 1, "_root-439", -1, 1, 0, 0,  },
	{ 928, 439, 1, "_root-440", -1, 1, 0, 0,  },
	{ 928, 440, 1, "_root-441", -1, 1, 0, 0,  },
	{ 928, 441, 1, "_root-442", -1, 1, 0, 0,  },
	{ 928, 442, 1, "_root-443", -1, 1, 0, 0,  },
	{ 928, 443, 1, "_root-444", -1, 1, 0, 0,  },
	{ 928, 444, 1, "_root-445", -1, 1, 0, 0,  },
	{ 928, 445, 1, "_root-446", -1, 1, 0, 0,  },
	{ 928, 446, 1, "_root-447", -1, 1, 0, 0,  },
	{ 928, 447, 1, "_root-448", -1, 1, 0, 0,  },
	{ 928, 448, 1, "_root-449", -1, 1, 0, 0,  },
	{ 928, 449, 1, "_root-450", -1, 1, 0, 0,  },
	{ 928, 450, 1, "_root-451", -1, 1, 0, 0,  },
	{ 928, 451, 1, "_root-452", -1, 1, 0, 0,  },
	{ 928, 452, 1, "_root-453", -1, 1, 0, 0,  },
	{ 928, 453, 1, "_root-454", -1, 1, 0, 0,  },
	{ 928, 454, 1, "_root-455", -1, 1, 0, 0,  },
	{ 928, 455, 1, "_root-456", -1, 1, 0, 0,  },
	{ 928, 456, 1, "_root-457", -1, 1, 0, 0,  },
	{ 928, 457, 1, "_root-458", -1, 1, 0, 0,  },
	{ 928, 458, 1, "_root-459", -1, 1, 0, 0,  },
	{ 928, 459, 1, "_root-460", -1, 1, 0, 0,  },
	{ 928, 460, 1, "_root-461", -1, 1, 0, 0,  },
	{ 928, 461, 1, "_root-462", -1, 1, 0, 0,  },
	{ 928, 462, 1, "_root-463", -1, 1, 0, 0,  },
	{ 928, 463, 1, "_root-464", -1, 1, 0, 0,  },
	{ 928, 464, 1, "_root-465", -1, 1, 0, 0,  },
	{ 928, 465, 1, "_root-466", -1, 1, 0, 0,  },
	{ 928, 466, 1, "_root-467", -1, 1, 0, 0,  },
	{ 928, 467, 1, "_root-468", -1, 1, 0, 0,  },
	{ 928, 468, 1, "_root-469", -1, 1, 0, 0,  },
	{ 928, 469, 1, "_root-470", -1, 1, 0, 0,  },
	{ 928, 470, 1, "_root-471", -1, 1, 0, 0,  },
	{ 928, 471, 1, "_root-472", -1, 1, 0, 0,  },
	{ 928, 472, 1, "_root-473", -1, 1, 0, 0,  },
	{ 928, 473, 1, "_root-474", -1, 1, 0, 0,  },
	{ 928, 474, 1, "_root-475", -1, 1, 0, 0,  },
	{ 928, 475, 1, "_root-476", -1, 1, 0, 0,  },
	{ 928, 476, 1, "_root-477", -1, 1, 0, 0,  },
	{ 928, 477, 1, "_root-478", -1, 1, 0, 0,  },
	{ 928, 478, 1, "_root-479", -1, 1, 0, 0,  },
	{ 928, 479, 1, "_root-480", -1, 1, 0, 0,  },
	{ 928, 480, 1, "_root-481", -1, 1, 0, 0,  },
	{ 928, 481, 1, "_root-482", -1, 1, 0, 0,  },
	{ 928, 482, 1, "_root-483", -1, 1, 0, 0,  },
	{ 928, 483, 1, "_root-484", -1, 1, 0, 0,  },
	{ 928, 484, 1, "_root-485", -1, 1, 0, 0,  },
	{ 928, 485, 1, "_root-486", -1, 1, 0, 0,  },
	{ 928, 486, 1, "_root-487", -1, 1, 0, 0,  },
	{ 928, 487, 1, "_root-488", -1, 1, 0, 0,  },
	{ 928, 488, 1, "_root-489", -1, 1, 0, 0,  },
	{ 928, 489, 1, "_root-490", -1, 1, 0, 0,  },
	{ 928, 490, 1, "_root-491", -1, 1, 0, 0,  },
	{ 928, 491, 1, "_root-492", -1, 1, 0, 0,  },
	{ 928, 492, 1, "_root-493", -1, 1, 0, 0,  },
	{ 928, 493, 1, "_root-494", -1, 1, 0, 0,  },
	{ 928, 494, 1, "_root-495", -1, 1, 0, 0,  },
	{ 928, 495, 1, "_root-496", -1, 1, 0, 0,  },
	{ 928, 496, 1, "_root-497", -1, 1, 0, 0,  },
	{ 928, 497, 1, "_root-498", -1, 1, 0, 0,  },
	{ 928, 498, 1, "_root-499", -1, 1, 0, 0,  },
	{ 928, 499, 1, "_root-500", -1, 1, 0, 0,  },
	{ 928, 500, 1, "_root-501", -1, 1, 0, 0,  },
	{ 928, 501, 1, "_root-502", -1, 1, 0, 0,  },
	{ 928, 502, 1, "_root-503", -1, 1, 0, 0,  },
	{ 928, 503, 1, "_root-504", -1, 1, 0, 0,  },
	{ 928, 504, 1, "_root-505", -1, 1, 0, 0,  },
	{ 928, 505, 1, "_root-506", -1, 1, 0, 0,  },
	{ 928, 506, 1, "_root-507", -1, 1, 0, 0,  },
	{ 928, 507, 1, "_root-508", -1, 1, 0, 0,  },
	{ 928, 508, 1, "_root-509", -1, 1, 0, 0,  },
	{ 928, 509, 1, "_root-510", -1, 1, 0, 0,  },
	{ 928, 510, 1, "_root-511", -1, 1, 0, 0,  },
	{ 928, 511, 1, "_root-512", -1, 1, 0, 0,  },
	{ 928, 512, 1, "_root-513", -1, 1, 0, 0,  },
	{ 928, 513, 1, "_root-514", -1, 1, 0, 0,  },
	{ 928, 514, 1, "_root-515", -1, 1, 0, 0,  },
	{ 928, 515, 1, "_root-516", -1, 1, 0, 0,  },
	{ 928, 516, 1, "_root-517", -1, 1, 0, 0,  },
	{ 928, 517, 1, "_root-518", -1, 1, 0, 0,  },
	{ 928, 518, 1, "_root-519", -1, 1, 0, 0,  },
	{ 928, 519, 1, "_root-520", -1, 1, 0, 0,  },
	{ 928, 520, 1, "_root-521", -1, 1, 0, 0,  },
	{ 928, 521, 1, "_root-522", -1, 1, 0, 0,  },
	{ 928, 522, 1, "_root-523", -1, 1, 0, 0,  },
	{ 928, 523, 1, "_root-524", -1, 1, 0, 0,  },
	{ 928, 524, 1, "_root-525", -1, 1, 0, 0,  },
	{ 928, 525, 1, "_root-526", -1, 1, 0, 0,  },
	{ 928, 526, 1, "_root-527", -1, 1, 0, 0,  },
	{ 928, 527, 1, "_root-528", -1, 1, 0, 0,  },
	{ 928, 528, 1, "_root-529", -1, 1, 0, 0,  },
	{ 928, 529, 1, "_root-530", -1, 1, 0, 0,  },
	{ 928, 530, 1, "_root-531", -1, 1, 0, 0,  },
	{ 928, 531, 1, "_root-532", -1, 1, 0, 0,  },
	{ 928, 532, 1, "_root-533", -1, 1, 0, 0,  },
	{ 928, 533, 1, "_root-534", -1, 1, 0, 0,  },
	{ 928, 534, 1, "_root-535", -1, 1, 0, 0,  },
	{ 928, 535, 1, "_root-536", -1, 1, 0, 0,  },
	{ 928, 536, 1, "_root-537", -1, 1, 0, 0,  },
	{ 928, 537, 1, "_root-538", -1, 1, 0, 0,  },
	{ 928, 538, 1, "_root-539", -1, 1, 0, 0,  },
	{ 928, 539, 1, "_root-540", -1, 1, 0, 0,  },
	{ 928, 540, 1, "_root-541", -1, 1, 0, 0,  },
	{ 928, 541, 1, "_root-542", -1, 1, 0, 0,  },
	{ 928, 542, 1, "_root-543", -1, 1, 0, 0,  },
	{ 928, 543, 1, "_root-544", -1, 1, 0, 0,  },
	{ 928, 544, 1, "_root-545", -1, 1, 0, 0,  },
	{ 928, 545, 1, "_root-546", -1, 1, 0, 0,  },
	{ 928, 546, 1, "_root-547", -1, 1, 0, 0,  },
	{ 928, 547, 1, "_root-548", -1, 1, 0, 0,  },
	{ 928, 548, 1, "_root-549", -1, 1, 0, 0,  },
	{ 928, 549, 1, "_root-550", -1, 1, 0, 0,  },
	{ 928, 550, 1, "_root-551", -1, 1, 0, 0,  },
	{ 928, 551, 1, "_root-552", -1, 1, 0, 0,  },
	{ 928, 552, 1, "_root-553", -1, 1, 0, 0,  },
	{ 928, 553, 1, "_root-554", -1, 1, 0, 0,  },
	{ 928, 554, 1, "_root-555", -1, 1, 0, 0,  },
	{ 928, 555, 1, "_root-556", -1, 1, 0, 0,  },
	{ 928, 556, 1, "_root-557", -1, 1, 0, 0,  },
	{ 928, 557, 1, "_root-558", -1, 1, 0, 0,  },
	{ 928, 558, 1, "_root-559", -1, 1, 0, 0,  },
	{ 928, 559, 1, "_root-560", -1, 1, 0, 0,  },
	{ 928, 560, 1, "_root-561", -1, 1, 0, 0,  },
	{ 928, 561, 1, "_root-562", -1, 1, 0, 0,  },
	{ 928, 562, 1, "_root-563", -1, 1, 0, 0,  },
	{ 928, 563, 1, "_root-564", -1, 1, 0, 0,  },
	{ 928, 564, 1, "_root-565", -1, 1, 0, 0,  },
	{ 928, 565, 1, "_root-566", -1, 1, 0, 0,  },
	{ 928, 566, 1, "_root-567", -1, 1, 0, 0,  },
	{ 928, 567, 1, "_root-568", -1, 1, 0, 0,  },
	{ 928, 568, 1, "_root-569", -1, 1, 0, 0,  },
	{ 928, 569, 1, "_root-570", -1, 1, 0, 0,  },
	{ 928, 570, 1, "_root-571", -1, 1, 0, 0,  },
	{ 928, 571, 1, "_root-572", -1, 1, 0, 0,  },
	{ 928, 572, 1, "_root-573", -1, 1, 0, 0,  },
	{ 928, 573, 1, "_root-574", -1, 1, 0, 0,  },
	{ 928, 574, 1, "_root-575", -1, 1, 0, 0,  },
	{ 928, 575, 1, "_root-576", -1, 1, 0, 0,  },
	{ 928, 576, 1, "_root-577", -1, 1, 0, 0,  },
	{ 928, 577, 1, "_root-578", -1, 1, 0, 0,  },
	{ 928, 578, 1, "_root-579", -1, 1, 0, 0,  },
	{ 928, 579, 1, "_root-580", -1, 1, 0, 0,  },
	{ 928, 580, 1, "_root-581", -1, 1, 0, 0,  },
	{ 928, 581, 1, "_root-582", -1, 1, 0, 0,  },
	{ 928, 582, 1, "_root-583", -1, 1, 0, 0,  },
	{ 928, 583, 1, "_root-584", -1, 1, 0, 0,  },
	{ 928, 584, 1, "_root-585", -1, 1, 0, 0,  },
	{ 928, 585, 1, "_root-586", -1, 1, 0, 0,  },
	{ 928, 586, 1, "_root-587", -1, 1, 0, 0,  },
	{ 928, 587, 1, "_root-588", -1, 1, 0, 0,  },
	{ 928, 588, 1, "_root-589", -1, 1, 0, 0,  },
	{ 928, 589, 1, "_root-590", -1, 1, 0, 0,  },
	{ 928, 590, 1, "_root-591", -1, 1, 0, 0,  },
	{ 928, 591, 1, "_root-592", -1, 1, 0, 0,  },
	{ 928, 592, 1, "_root-593", -1, 1, 0, 0,  },
	{ 928, 593, 1, "_root-594", -1, 1, 0, 0,  },
	{ 928, 594, 1, "_root-595", -1, 1, 0, 0,  },
	{ 928, 595, 1, "_root-596", -1, 1, 0, 0,  },
	{ 928, 596, 1, "_root-597", -1, 1, 0, 0,  },
	{ 928, 597, 1, "_root-598", -1, 1, 0, 0,  },
	{ 928, 598, 1, "_root-599", -1, 1, 0, 0,  },
	{ 928, 599, 1, "_root-600", -1, 1, 0, 0,  },
	{ 928, 600, 1, "_root-601", -1, 1, 0, 0,  },
	{ 928, 601, 1, "_root-602", -1, 1, 0, 0,  },
	{ 928, 602, 1, "_root-603", -1, 1, 0, 0,  },
	{ 928, 603, 1, "_root-604", -1, 1, 0, 0,  },
	{ 928, 604, 1, "_root-605", -1, 1, 0, 0,  },
	{ 928, 605, 1, "_root-606", -1, 1, 0, 0,  },
	{ 928, 606, 1, "_root-607", -1, 1, 0, 0,  },
	{ 928, 607, 1, "_root-608", -1, 1, 0, 0,  },
	{ 928, 608, 1, "_root-609", -1, 1, 0, 0,  },
	{ 928, 609, 1, "_root-610", -1, 1, 0, 0,  },
	{ 928, 610, 1, "_root-611", -1, 1, 0, 0,  },
	{ 928, 611, 1, "_root-612", -1, 1, 0, 0,  },
	{ 928, 612, 1, "_root-613", -1, 1, 0, 0,  },
	{ 928, 613, 1, "_root-614", -1, 1, 0, 0,  },
	{ 928, 614, 1, "_root-615", -1, 1, 0, 0,  },
	{ 928, 615, 1, "_root-616", -1, 1, 0, 0,  },
	{ 928, 616, 1, "_root-617", -1, 1, 0, 0,  },
	{ 928, 617, 1, "_root-618", -1, 1, 0, 0,  },
	{ 928, 618, 1, "_root-619", -1, 1, 0, 0,  },
	{ 928, 619, 1, "_root-620", -1, 1, 0, 0,  },
	{ 928, 620, 1, "_root-621", -1, 1, 0, 0,  },
	{ 928, 621, 1, "_root-622", -1, 1, 0, 0,  },
	{ 928, 622, 1, "_root-623", -1, 1, 0, 0,  },
	{ 928, 623, 1, "_root-624", -1, 1, 0, 0,  },
	{ 928, 624, 1, "_root-625", -1, 1, 0, 0,  },
	{ 928, 625, 1, "_root-626", -1, 1, 0, 0,  },
	{ 928, 626, 1, "_root-627", -1, 1, 0, 0,  },
	{ 928, 627, 1, "_root-628", -1, 1, 0, 0,  },
	{ 928, 628, 1, "_root-629", -1, 1, 0, 0,  },
	{ 928, 629, 1, "_root-630", -1, 1, 0, 0,  },
	{ 928, 630, 1, "_root-631", -1, 1, 0, 0,  },
	{ 928, 631, 1, "_root-632", -1, 1, 0, 0,  },
	{ 928, 632, 1, "_root-633", -1, 1, 0, 0,  },
	{ 928, 633, 1, "_root-634", -1, 1, 0, 0,  },
	{ 928, 634, 1, "_root-635", -1, 1, 0, 0,  },
	{ 928, 635, 1, "_root-636", -1, 1, 0, 0,  },
	{ 928, 636, 1, "_root-637", -1, 1, 0, 0,  },
	{ 928, 637, 1, "_root-638", -1, 1, 0, 0,  },
	{ 928, 638, 1, "_root-639", -1, 1, 0, 0,  },
	{ 928, 639, 1, "_root-640", -1, 1, 0, 0,  },
	{ 928, 640, 1, "_root-641", -1, 1, 0, 0,  },
	{ 928, 641, 1, "_root-642", -1, 1, 0, 0,  },
	{ 928, 642, 1, "_root-643", -1, 1, 0, 0,  },
	{ 928, 643, 1, "_root-644", -1, 1, 0, 0,  },
	{ 928, 644, 1, "_root-645", -1, 1, 0, 0,  },
	{ 928, 645, 1, "_root-646", -1, 1, 0, 0,  },
	{ 928, 646, 1, "_root-647", -1, 1, 0, 0,  },
	{ 928, 647, 1, "_root-648", -1, 1, 0, 0,  },
	{ 928, 648, 1, "_root-649", -1, 1, 0, 0,  },
	{ 928, 649, 1, "_root-650", -1, 1, 0, 0,  },
	{ 928, 650, 1, "_root-651", -1, 1, 0, 0,  },
	{ 928, 651, 1, "_root-652", -1, 1, 0, 0,  },
	{ 928, 652, 1, "_root-653", -1, 1, 0, 0,  },
	{ 928, 653, 1, "_root-654", -1, 1, 0, 0,  },
	{ 928, 654, 1, "_root-655", -1, 1, 0, 0,  },
	{ 928, 655, 1, "_root-656", -1, 1, 0, 0,  },
	{ 928, 656, 1, "_root-657", -1, 1, 0, 0,  },
	{ 928, 657, 1, "_root-658", -1, 1, 0, 0,  },
	{ 928, 658, 1, "_root-659", -1, 1, 0, 0,  },
	{ 928, 659, 1, "_root-660", -1, 1, 0, 0,  },
	{ 928, 660, 1, "_root-661", -1, 1, 0, 0,  },
	{ 928, 661, 1, "_root-662", -1, 1, 0, 0,  },
	{ 928, 662, 1, "_root-663", -1, 1, 0, 0,  },
	{ 928, 663, 1, "_root-664", -1, 1, 0, 0,  },
	{ 928, 664, 1, "_root-665", -1, 1, 0, 0,  },
	{ 928, 665, 1, "_root-666", -1, 1, 0, 0,  },
	{ 928, 666, 1, "_root-667", -1, 1, 0, 0,  },
	{ 928, 667, 1, "_root-668", -1, 1, 0, 0,  },
	{ 928, 668, 1, "_root-669", -1, 1, 0, 0,  },
	{ 928, 669, 1, "_root-670", -1, 1, 0, 0,  },
	{ 928, 670, 1, "_root-671", -1, 1, 0, 0,  },
	{ 928, 671, 1, "_root-672", -1, 1, 0, 0,  },
	{ 928, 672, 1, "_root-673", -1, 1, 0, 0,  },
	{ 928, 673, 1, "_root-674", -1, 1, 0, 0,  },
	{ 928, 674, 1, "_root-675", -1, 1, 0, 0,  },
	{ 928, 675, 1, "_root-676", -1, 1, 0, 0,  },
	{ 928, 676, 1, "_root-677", -1, 1, 0, 0,  },
	{ 928, 677, 1, "_root-678", -1, 1, 0, 0,  },
	{ 928, 678, 1, "_root-679", -1, 1, 0, 0,  },
	{ 928, 679, 1, "_root-680", -1, 1, 0, 0,  },
	{ 928, 680, 1, "_root-681", -1, 1, 0, 0,  },
	{ 928, 681, 1, "_root-682", -1, 1, 0, 0,  },
	{ 928, 682, 1, "_root-683", -1, 1, 0, 0,  },
	{ 928, 683, 1, "_root-684", -1, 1, 0, 0,  },
	{ 928, 684, 1, "_root-685", -1, 1, 0, 0,  },
	{ 928, 685, 1, "_root-686", -1, 1, 0, 0,  },
	{ 928, 686, 1, "_root-687", -1, 1, 0, 0,  },
	{ 928, 687, 1, "_root-688", -1, 1, 0, 0,  },
	{ 928, 688, 1, "_root-689", -1, 1, 0, 0,  },
	{ 928, 689, 1, "_root-690", -1, 1, 0, 0,  },
	{ 928, 690, 1, "_root-691", -1, 1, 0, 0,  },
	{ 928, 691, 1, "_root-692", -1, 1, 0, 0,  },
	{ 928, 692, 1, "_root-693", -1, 1, 0, 0,  },
	{ 928, 693, 1, "_root-694", -1, 1, 0, 0,  },
	{ 928, 694, 1, "_root-695", -1, 1, 0, 0,  },
	{ 928, 695, 1, "_root-696", -1, 1, 0, 0,  },
	{ 928, 696, 1, "_root-697", -1, 1, 0, 0,  },
	{ 928, 697, 1, "_root-698", -1, 1, 0, 0,  },
	{ 928, 698, 1, "_root-699", -1, 1, 0, 0,  },
	{ 928, 699, 1, "_root-700", -1, 1, 0, 0,  },
	{ 928, 700, 1, "_root-701", -1, 1, 0, 0,  },
	{ 928, 701, 1, "_root-702", -1, 1, 0, 0,  },
	{ 928, 702, 1, "_root-703", -1, 1, 0, 0,  },
	{ 928, 703, 1, "_root-704", -1, 1, 0, 0,  },
	{ 928, 704, 1, "_root-705", -1, 1, 0, 0,  },
	{ 928, 705, 1, "_root-706", -1, 1, 0, 0,  },
	{ 928, 706, 1, "_root-707", -1, 1, 0, 0,  },
	{ 928, 707, 1, "_root-708", -1, 1, 0, 0,  },
	{ 928, 708, 1, "_root-709", -1, 1, 0, 0,  },
	{ 928, 709, 1, "_root-710", -1, 1, 0, 0,  },
	{ 928, 710, 1, "_root-711", -1, 1, 0, 0,  },
	{ 928, 711, 1, "_root-712", -1, 1, 0, 0,  },
	{ 928, 712, 1, "_root-713", -1, 1, 0, 0,  },
	{ 928, 713, 1, "_root-714", -1, 1, 0, 0,  },
	{ 928, 714, 1, "_root-715", -1, 1, 0, 0,  },
	{ 928, 715, 1, "_root-716", -1, 1, 0, 0,  },
	{ 928, 716, 1, "_root-717", -1, 1, 0, 0,  },
	{ 928, 717, 1, "_root-718", -1, 1, 0, 0,  },
	{ 928, 718, 1, "_root-719", -1, 1, 0, 0,  },
	{ 928, 719, 1, "_root-720", -1, 1, 0, 0,  },
	{ 928, 720, 1, "_root-721", -1, 1, 0, 0,  },
	{ 928, 721, 1, "_root-722", -1, 1, 0, 0,  },
	{ 928, 722, 1, "_root-723", -1, 1, 0, 0,  },
	{ 928, 723, 1, "_root-724", -1, 1, 0, 0,  },
	{ 928, 724, 1, "_root-725", -1, 1, 0, 0,  },
	{ 928, 725, 1, "_root-726", -1, 1, 0, 0,  },
	{ 928, 726, 1, "_root-727", -1, 1, 0, 0,  },
	{ 928, 727, 1, "_root-728", -1, 1, 0, 0,  },
	{ 928, 728, 1, "_root-729", -1, 1, 0, 0,  },
	{ 928, 729, 1, "_root-730", -1, 1, 0, 0,  },
	{ 928, 730, 1, "_root-731", -1, 1, 0, 0,  },
	{ 928, 731, 1, "_root-732", -1, 1, 0, 0,  },
	{ 928, 732, 1, "_root-733", -1, 1, 0, 0,  },
	{ 928, 733, 1, "_root-734", -1, 1, 0, 0,  },
	{ 928, 734, 1, "_root-735", -1, 1, 0, 0,  },
	{ 928, 735, 1, "_root-736", -1, 1, 0, 0,  },
	{ 928, 736, 1, "_root-737", -1, 1, 0, 0,  },
	{ 928, 737, 1, "_root-738", -1, 1, 0, 0,  },
	{ 928, 738, 1, "_root-739", -1, 1, 0, 0,  },
	{ 928, 739, 1, "_root-740", -1, 1, 0, 0,  },
	{ 928, 740, 1, "_root-741", -1, 1, 0, 0,  },
	{ 928, 741, 1, "_root-742", -1, 1, 0, 0,  },
	{ 928, 742, 1, "_root-743", -1, 1, 0, 0,  },
	{ 928, 743, 1, "_root-744", -1, 1, 0, 0,  },
	{ 928, 744, 1, "_root-745", -1, 1, 0, 0,  },
	{ 928, 745, 1, "_root-746", -1, 1, 0, 0,  },
	{ 928, 746, 1, "_root-747", -1, 1, 0, 0,  },
	{ 928, 747, 1, "_root-748", -1, 1, 0, 0,  },
	{ 928, 748, 1, "_root-749", -1, 1, 0, 0,  },
	{ 928, 749, 1, "_root-750", -1, 1, 0, 0,  },
	{ 928, 750, 1, "_root-751", -1, 1, 0, 0,  },
	{ 928, 751, 1, "_root-752", -1, 1, 0, 0,  },
	{ 928, 752, 1, "_root-753", -1, 1, 0, 0,  },
	{ 928, 753, 1, "_root-754", -1, 1, 0, 0,  },
	{ 928, 754, 1, "_root-755", -1, 1, 0, 0,  },
	{ 928, 755, 1, "_root-756", -1, 1, 0, 0,  },
	{ 928, 756, 1, "_root-757", -1, 1, 0, 0,  },
	{ 928, 757, 1, "_root-758", -1, 1, 0, 0,  },
	{ 928, 758, 1, "_root-759", -1, 1, 0, 0,  },
	{ 928, 759, 1, "_root-760", -1, 1, 0, 0,  },
	{ 928, 760, 1, "_root-761", -1, 1, 0, 0,  },
	{ 928, 761, 1, "_root-762", -1, 1, 0, 0,  },
	{ 928, 762, 1, "_root-763", -1, 1, 0, 0,  },
	{ 928, 763, 1, "_root-764", -1, 1, 0, 0,  },
	{ 928, 764, 1, "_root-765", -1, 1, 0, 0,  },
	{ 928, 765, 1, "_root-766", -1, 1, 0, 0,  },
	{ 928, 766, 1, "_root-767", -1, 1, 0, 0,  },
	{ 928, 767, 1, "_root-768", -1, 1, 0, 0,  },
	{ 928, 768, 1, "_root-769", -1, 1, 0, 0,  },
	{ 928, 769, 1, "_root-770", -1, 1, 0, 0,  },
	{ 928, 770, 1, "_root-771", -1, 1, 0, 0,  },
	{ 928, 771, 1, "_root-772", -1, 1, 0, 0,  },
	{ 928, 772, 1, "_root-773", -1, 1, 0, 0,  },
	{ 928, 773, 1, "_root-774", -1, 1, 0, 0,  },
	{ 928, 774, 1, "_root-775", -1, 1, 0, 0,  },
	{ 928, 775, 1, "_root-776", -1, 1, 0, 0,  },
	{ 928, 776, 1, "_root-777", -1, 1, 0, 0,  },
	{ 928, 777, 1, "_root-778", -1, 1, 0, 0,  },
	{ 928, 778, 1, "_root-779", -1, 1, 0, 0,  },
	{ 928, 779, 1, "_root-780", -1, 1, 0, 0,  },
	{ 928, 780, 1, "_root-781", -1, 1, 0, 0,  },
	{ 928, 781, 1, "_root-782", -1, 1, 0, 0,  },
	{ 928, 782, 1, "_root-783", -1, 1, 0, 0,  },
	{ 928, 783, 1, "_root-784", -1, 1, 0, 0,  },
	{ 928, 784, 1, "_root-785", -1, 1, 0, 0,  },
	{ 928, 785, 1, "_root-786", -1, 1, 0, 0,  },
	{ 928, 786, 1, "_root-787", -1, 1, 0, 0,  },
	{ 928, 787, 1, "_root-788", -1, 1, 0, 0,  },
	{ 928, 788, 1, "_root-789", -1, 1, 0, 0,  },
	{ 928, 789, 1, "_root-790", -1, 1, 0, 0,  },
	{ 928, 790, 1, "_root-791", -1, 1, 0, 0,  },
	{ 928, 791, 1, "_root-792", -1, 1, 0, 0,  },
	{ 928, 792, 1, "_root-793", -1, 1, 0, 0,  },
	{ 928, 793, 1, "_root-794", -1, 1, 0, 0,  },
	{ 928, 794, 1, "_root-795", -1, 1, 0, 0,  },
	{ 928, 795, 1, "_root-796", -1, 1, 0, 0,  },
	{ 928, 796, 1, "_root-797", -1, 1, 0, 0,  },
	{ 928, 797, 1, "_root-798", -1, 1, 0, 0,  },
	{ 928, 798, 1, "_root-799", -1, 1, 0, 0,  },
	{ 928, 799, 1, "_root-800", -1, 1, 0, 0,  },
	{ 928, 800, 1, "_root-801", -1, 1, 0, 0,  },
	{ 928, 801, 1, "_root-802", -1, 1, 0, 0,  },
	{ 928, 802, 1, "_root-803", -1, 1, 0, 0,  },
	{ 928, 803, 1, "_root-804", -1, 1, 0, 0,  },
	{ 928, 804, 1, "_root-805", -1, 1, 0, 0,  },
	{ 928, 805, 1, "_root-806", -1, 1, 0, 0,  },
	{ 928, 806, 1, "_root-807", -1, 1, 0, 0,  },
	{ 928, 807, 1, "_root-808", -1, 1, 0, 0,  },
	{ 928, 808, 1, "_root-809", -1, 1, 0, 0,  },
	{ 928, 809, 1, "_root-810", -1, 1, 0, 0,  },
	{ 928, 810, 1, "_root-811", -1, 1, 0, 0,  },
	{ 928, 811, 1, "_root-812", -1, 1, 0, 0,  },
	{ 928, 812, 1, "_root-813", -1, 1, 0, 0,  },
	{ 928, 813, 1, "_root-814", -1, 1, 0, 0,  },
	{ 928, 814, 1, "_root-815", -1, 1, 0, 0,  },
	{ 928, 815, 1, "_root-816", -1, 1, 0, 0,  },
	{ 928, 816, 1, "_root-817", -1, 1, 0, 0,  },
	{ 928, 817, 1, "_root-818", -1, 1, 0, 0,  },
	{ 928, 818, 1, "_root-819", -1, 1, 0, 0,  },
	{ 928, 819, 1, "_root-820", -1, 1, 0, 0,  },
	{ 928, 820, 1, "_root-821", -1, 1, 0, 0,  },
	{ 928, 821, 1, "_root-822", -1, 1, 0, 0,  },
	{ 928, 822, 1, "_root-823", -1, 1, 0, 0,  },
	{ 928, 823, 1, "_root-824", -1, 1, 0, 0,  },
	{ 928, 824, 1, "_root-825", -1, 1, 0, 0,  },
	{ 928, 825, 1, "_root-826", -1, 1, 0, 0,  },
	{ 928, 826, 1, "_root-827", -1, 1, 0, 0,  },
	{ 928, 827, 1, "_root-828", -1, 1, 0, 0,  },
	{ 928, 828, 1, "_root-829", -1, 1, 0, 0,  },
	{ 928, 829, 1, "_root-830", -1, 1, 0, 0,  },
	{ 928, 830, 1, "_root-831", -1, 1, 0, 0,  },
	{ 928, 831, 1, "_root-832", -1, 1, 0, 0,  },
	{ 928, 832, 1, "_root-833", -1, 1, 0, 0,  },
	{ 928, 833, 1, "_root-834", -1, 1, 0, 0,  },
	{ 928, 834, 1, "_root-835", -1, 1, 0, 0,  },
	{ 928, 835, 1, "_root-836", -1, 1, 0, 0,  },
	{ 928, 836, 1, "_root-837", -1, 1, 0, 0,  },
	{ 928, 837, 1, "_root-838", -1, 1, 0, 0,  },
	{ 928, 838, 1, "_root-839", -1, 1, 0, 0,  },
	{ 928, 839, 1, "_root-840", -1, 1, 0, 0,  },
	{ 928, 840, 1, "_root-841", -1, 1, 0, 0,  },
	{ 928, 841, 1, "_root-842", -1, 1, 0, 0,  },
	{ 928, 842, 1, "_root-843", -1, 1, 0, 0,  },
	{ 928, 843, 1, "_root-844", -1, 1, 0, 0,  },
	{ 928, 844, 1, "_root-845", -1, 1, 0, 0,  },
	{ 928, 845, 1, "_root-846", -1, 1, 0, 0,  },
	{ 928, 846, 1, "_root-847", -1, 1, 0, 0,  },
	{ 928, 847, 1, "_root-848", -1, 1, 0, 0,  },
	{ 928, 848, 1, "_root-849", -1, 1, 0, 0,  },
	{ 928, 849, 1, "_root-850", -1, 1, 0, 0,  },
	{ 928, 850, 1, "_root-851", -1, 1, 0, 0,  },
	{ 928, 851, 1, "_root-852", -1, 1, 0, 0,  },
	{ 928, 852, 1, "_root-853", -1, 1, 0, 0,  },
	{ 928, 853, 1, "_root-854", -1, 1, 0, 0,  },
	{ 928, 854, 1, "_root-855", -1, 1, 0, 0,  },
	{ 928, 855, 1, "_root-856", -1, 1, 0, 0,  },
	{ 928, 856, 1, "_root-857", -1, 1, 0, 0,  },
	{ 928, 857, 1, "_root-858", -1, 1, 0, 0,  },
	{ 928, 858, 1, "_root-859", -1, 1, 0, 0,  },
	{ 928, 859, 1, "_root-860", -1, 1, 0, 0,  },
	{ 928, 860, 1, "_root-861", -1, 1, 0, 0,  },
	{ 928, 861, 1, "_root-862", -1, 1, 0, 0,  },
	{ 928, 862, 1, "_root-863", -1, 1, 0, 0,  },
	{ 928, 863, 1, "_root-864", -1, 1, 0, 0,  },
	{ 928, 864, 1, "_root-865", -1, 1, 0, 0,  },
	{ 928, 865, 1, "_root-866", -1, 1, 0, 0,  },
	{ 928, 866, 1, "_root-867", -1, 1, 0, 0,  },
	{ 928, 867, 1, "_root-868", -1, 1, 0, 0,  },
	{ 928, 868, 1, "_root-869", -1, 1, 0, 0,  },
	{ 928, 869, 1, "_root-870", -1, 1, 0, 0,  },
	{ 928, 870, 1, "_root-871", -1, 1, 0, 0,  },
	{ 928, 871, 1, "_root-872", -1, 1, 0, 0,  },
	{ 928, 872, 1, "_root-873", -1, 1, 0, 0,  },
	{ 928, 873, 1, "_root-874", -1, 1, 0, 0,  },
	{ 928, 874, 1, "_root-875", -1, 1, 0, 0,  },
	{ 928, 875, 1, "_root-876", -1, 1, 0, 0,  },
	{ 928, 876, 1, "_root-877", -1, 1, 0, 0,  },
	{ 928, 877, 1, "_root-878", -1, 1, 0, 0,  },
	{ 928, 878, 1, "_root-879", -1, 1, 0, 0,  },
	{ 928, 879, 1, "_root-880", -1, 1, 0, 0,  },
	{ 928, 880, 1, "_root-881", -1, 1, 0, 0,  },
	{ 928, 881, 1, "_root-882", -1, 1, 0, 0,  },
	{ 928, 882, 1, "_root-883", -1, 1, 0, 0,  },
	{ 928, 883, 1, "_root-884", -1, 1, 0, 0,  },
	{ 928, 884, 1, "_root-885", -1, 1, 0, 0,  },
	{ 928, 885, 1, "_root-886", -1, 1, 0, 0,  },
	{ 928, 886, 1, "_root-887", -1, 1, 0, 0,  },
	{ 928, 887, 1, "_root-888", -1, 1, 0, 0,  },
	{ 928, 888, 1, "_root-889", -1, 1, 0, 0,  },
	{ 928, 889, 1, "_root-890", -1, 1, 0, 0,  },
	{ 928, 890, 1, "_root-891", -1, 1, 0, 0,  },
	{ 928, 891, 1, "_root-892", -1, 1, 0, 0,  },
	{ 928, 892, 1, "_root-893", -1, 1, 0, 0,  },
	{ 928, 893, 1, "_root-894", -1, 1, 0, 0,  },
	{ 928, 894, 1, "_root-895", -1, 1, 0, 0,  },
	{ 928, 895, 1, "_root-896", -1, 1, 0, 0,  },
	{ 928, 896, 1, "_root-897", -1, 1, 0, 0,  },
	{ 928, 897, 1, "_root-898", -1, 1, 0, 0,  },
	{ 928, 898, 1, "_root-899", -1, 1, 0, 0,  },
	{ 928, 899, 1, "_root-900", -1, 1, 0, 0,  },
	{ 928, 900, 1, "_root-901", -1, 1, 0, 0,  },
	{ 928, 901, 1, "_root-902", -1, 1, 0, 0,  },
	{ 928, 902, 1, "_root-903", -1, 1, 0, 0,  },
	{ 928, 903, 1, "_root-904", -1, 1, 0, 0,  },
	{ 928, 904, 1, "_root-905", -1, 1, 0, 0,  },
	{ 928, 905, 1, "_root-906", -1, 1, 0, 0,  },
	{ 928, 906, 1, "_root-907", -1, 1, 0, 0,  },
	{ 928, 907, 1, "_root-908", -1, 1, 0, 0,  },
	{ 928, 908, 1, "_root-909", -1, 1, 0, 0,  },
	{ 928, 909, 1, "_root-910", -1, 1, 0, 0,  },
	{ 928, 910, 1, "_root-911", -1, 1, 0, 0,  },
	{ 928, 911, 1, "_root-912", -1, 1, 0, 0,  },
	{ 928, 912, 1, "_root-913", -1, 1, 0, 0,  },
	{ 928, 913, 1, "_root-914", -1, 1, 0, 0,  },
	{ 928, 914, 1, "_root-915", -1, 1, 0, 0,  },
	{ 928, 915, 1, "_root-916", -1, 1, 0, 0,  },
	{ 928, 916, 1, "_root-917", -1, 1, 0, 0,  },
	{ 928, 917, 1, "_root-918", -1, 1, 0, 0,  },
	{ 928, 918, 1, "_root-919", -1, 1, 0, 0,  },
	{ 928, 919, 1, "_root-920", -1, 1, 0, 0,  },
	{ 928, 920, 1, "_root-921", -1, 1, 0, 0,  },
	{ 928, 921, 1, "_root-922", -1, 1, 0, 0,  },
	{ 928, 922, 1, "_root-923", -1, 1, 0, 0,  },
	{ 928, 923, 1, "_root-924", -1, 1, 0, 0,  },
	{ 928, 924, 1, "_root-925", -1, 1, 0, 0,  },
	{ 928, 925, 1, "_root-926", -1, 1, 0, 0,  },
	{ 928, 926, 1, "_root-927", -1, 1, 0, 0,  },
	{ 928, 927, 1, "_root-928", -1, 1, 0, 0,  }
};

static struct pat_cons_info parser_patReplInfo[] = {
};

static struct pat_cons_node parser_patReplNodes[] = {
};

static struct function_info parser_functionInfo[] = {

};

static struct region_info parser_regionInfo[] = {
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 160 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 161 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 162 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 163 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 164 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 165 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 0 },
	{ -1, -1, 166 }
};

static struct generic_info parser_genericInfo[] = {
	{ 0, 0, 0, 0, 0, 0, 0, 0 },
	{ 20, -1, -1, 0, 0, 0, 0, 0 },
	{ 21, 931, 1, 0, 0, 5, 0, -1 },
	{ 21, 932, 1, 0, 0, 2, 0, -1 },
};

static const char *parser_litdata[] = {
	"unwind code\n",
	"r",
};

static long parser_litlen[] = {
	12, 1, };

static head_t *parser_literals[] = {
	0, 0, };

static int startStates[] = {
	0, };

static int eofLelIds[] = {
	478, };

static int parserLelIds[] = {
	783, };

static CaptureAttr captureAttr[] = {
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp );
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt );
long colm_object_commit_union_sz( int reducer );
void colm_object_init_need();
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id );
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run );
void colm_object_read_reduce( program_t *prg, int reducer, stream_t *stream );

struct colm_sections colm_object = 
{
	parser_lelInfo,
	929,

	parser_selInfo,
	4,

	parser_prodInfo,
	1325,

	parser_regionInfo,
	29,

	parser_rootCode,
	70,
	0,

	parser_frameInfo,
	1,

	parser_functionInfo,
	0,

	parser_patReplInfo,
	0,

	parser_patReplNodes,
	0,

	parser_genericInfo,
	4,
	3,
	2,

	parser_litdata,
	parser_litlen,
	parser_literals,
	2,

	captureAttr,
	0,

	&fsmTables_start,
	&pid_0_pdaTables,
	startStates, eofLelIds, parserLelIds, 1,

	5,

	782,
	-1,
	2,
	782,
	0,
	781,
	929,
	932,
	931,
	933,
	934,
	&fsm_execute,
	&sendNamedLangEl,
	&initBindings,
	&popBinding,
	&colm_object_host_call,
	&colm_object_commit_reduce_forward,
	&colm_object_commit_union_sz,
	&colm_object_init_need,
	&colm_object_reducer_need_tok,
	&colm_object_reducer_need_ign,
	&colm_object_read_reduce,
};

tree_t **colm_object_host_call( program_t *prg, long code, tree_t **sp )
{
	value_t rtn = 0;
	switch ( code ) {
	}
	vm_push_value( rtn );
	return sp;
}
void colm_object_commit_reduce_forward( program_t *prg, tree_t **root,
		struct pda_run *pda_run, parse_tree_t *pt )
{
	commit_clear_parse_tree( prg, root, pda_run, pt->child );
}

long colm_object_commit_union_sz( int reducer ) { return 0; }
void colm_object_init_need() {}
int colm_object_reducer_need_tok( program_t *prg, struct pda_run *pda_run, int id ) { return COLM_RN_BOTH; }
int colm_object_reducer_need_ign( program_t *prg, struct pda_run *pda_run ) { return COLM_RN_BOTH; }

void colm_object_read_reduce( program_t *prg, int reducer, stream_t *stream ) {}
